#include "memtools_register_info.h"

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark ADC
#endif

// Bitfields in register ADC_CH_A_CFG1.
static const field_t hw_adc_ch_a_cfg1[] =
{
    {
        "CHA_TIMER",
        "This timer is for continuous conversion.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_SEL",
        "Select input channel (from 16 channels) for the logical channel A.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_AVG_EN",
        "If enable this bit, channel A will do average for each conversion.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_SINGLE",
        "Start a single conversion from logical channel A.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_EN",
        "This bit controls the working mode of logical channel A.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CH_A_CFG2.
static const field_t hw_adc_ch_a_cfg2[] =
{
    {
        "CHA_LOW_THRES",
        "Contains the lower compare value to compare with the conversion result"
        " when a compare mode has been selected.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_AVG_NUMBER",
        "If enable average function, this bit contains channel A average number"
        ".",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_AUTO_DIS",
        "During continuous conversion, if compare match a converted result, the"
        " ADC checks this bit.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_HIGH_THRES",
        "Contains the high compare value to compare with the conversion result "
        "when a compare mode has been selected.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_CMP_MODE",
        "Select which compare mode the conversion result will take for channel "
        "A.",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CH_B_CFG1.
static const field_t hw_adc_ch_b_cfg1[] =
{
    {
        "CHB_TIMER",
        "This timer is for continuous conversion.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_SEL",
        "Select input channel (from 16 channels) for the logical channel B.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_AVG_EN",
        "If enable this bit, channel B will do average for each conversion.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_SINGLE",
        "Start a single conversion from logical channel B.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_EN",
        "Controls the usable of logical channel B.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CH_B_CFG2.
static const field_t hw_adc_ch_b_cfg2[] =
{
    {
        "CHB_LOW_THRES",
        "Contains the smaller compare value to compare with the conversion resu"
        "lt when a compare mode has been selected.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_AVG_NUMBER",
        "If enable average function, this bit contains channel B average number"
        ".",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_AUTO_DIS",
        "During continuous conversion, if compare match a converted result, the"
        " ADC checks this bit.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_HIGH_THRES",
        "Contains the bigger compare value to compare with the conversion resul"
        "t when a compare mode has been selected.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_CMP_MODE",
        "Select which compare mode the conversion result will take for channel "
        "B.",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CH_C_CFG1.
static const field_t hw_adc_ch_c_cfg1[] =
{
    {
        "CHC_TIMER",
        "This timer is for continuous conversion.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_SEL",
        "Select input channel (from 16 channels) for the logical channel C.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_AVG_EN",
        "If enable this bit, channel C will do average for each conversion.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_SINGLE",
        "Controls the usable of logical channel C.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_EN",
        "Controls the usable of logical channel C.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CH_C_CFG2.
static const field_t hw_adc_ch_c_cfg2[] =
{
    {
        "CHC_LOW_THRES",
        "Contains the smaller compare value to compare with the conversion resu"
        "lt when a compare mode has been selected.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_AVG_NUMBER",
        "If enable average function, this bit contains channel C average number"
        ".",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_AUTO_DIS",
        "During continuous conversion, if compare match a converted result, the"
        " ADC checks this bit.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_HIGH_THRES",
        "Contains the bigger compare value to compare with the conversion resul"
        "t when a compare mode has been selected.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_CMP_MODE",
        "Select which compare mode the conversion result will take (for channel"
        " C).",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CH_D_CFG1.
static const field_t hw_adc_ch_d_cfg1[] =
{
    {
        "CHD_TIMER",
        "This timer is for continuous conversion.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_SEL",
        "Select input channel (from 16 channels) for the logical channel D.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_AVG_EN",
        "If enable this bit, channel D will do average for each conversion.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_SINGLE",
        "Start a single conversion from logical channel D.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_EN",
        "Controls the usable of logical channel D.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CH_D_CFG2.
static const field_t hw_adc_ch_d_cfg2[] =
{
    {
        "CHD_LOW_THRES",
        "Contains the smaller compare value to compare with the conversion resu"
        "lt when a compare mode has been selected.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_AVG_NUMBER",
        "If enable average function, this bit contains channel D average number"
        ".",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_AUTO_DIS",
        "During continuous conversion, if compare match a converted result, the"
        " ADC checks this bit.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_HIGH_THRES",
        "Contains the bigger compare value to compare with the conversion resul"
        "t when a compare mode has been selected.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_CMP_MODE",
        "Select which compare mode the conversion result will take (for channel"
        " D).",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CH_SW_CFG.
static const field_t hw_adc_ch_sw_cfg[] =
{
    {
        "CH_SW_AVG_NUMBER",
        "If enable average function, this bit contains channel Software average"
        " number.",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH_SW_AVG_EN",
        "If enable this bit, channel Software will do average for each conversi"
        "on.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH_SW_SEL",
        "Select 1 from 16 (physical) channels to be the software trigger channe"
        "l.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "START_CONV",
        "To start a software trigger, it must wait until the last software trig"
        "ger finish.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_TIMER_UNIT.
static const field_t hw_adc_timer_unit[] =
{
    {
        "CORE_TIMER_UNIT",
        "This parameter defines sample rate.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_DIV",
        "The ADC analogue core clock can vary from 300 kHz to 6 MHz.",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_DMA_FIFO.
static const field_t hw_adc_dma_fifo[] =
{
    {
        "DMA_WM_LVL",
        "Once the DMA FIFO data reach water mark level, a DMA request or interr"
        "upt is generated (if enabled), and transfer data through DMA or CPU.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_CH_SEL",
        "Select DMA FIFO source from Channel A, Channel B, Channel C, and Chann"
        "el D.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_EN",
        "This bit defines data in DMA FIFO is moved by SDMA or moved by CPU.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_FIFO_EN",
        "If enable DMA_FIFO_EN, ADC conversion result can store into DMA FIFO.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_RST",
        "This bit contains reset information.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_FIFO_STATUS.
static const field_t hw_adc_fifo_status[] =
{
    {
        "FIFO_ENTRIES",
        "This read-only bit represents the numbers of data in DMA FIFO.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_EMPTY",
        "This read-only bit represents the status of DMA FIFO.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_FULL",
        "This read-only bit represents the status of DMA FIFO.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_INT_SIG_EN.
static const field_t hw_adc_int_sig_en[] =
{
    {
        "CHA_CMP_INT_SIG_EN",
        "Define whether channel A compare interrupt flag is enabled.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_CMP_INT_SIG_EN",
        "Define whether channel B compare interrupt flag is enabled.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_CMP_INT_SIG_EN",
        "Define whether channel C compare interrupt flag is enabled.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_CMP_INT_SIG_EN",
        "Define whether channel D compare interrupt flag is enabled.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_REACH_WM_INT_SIG_EN",
        "Define whether the number of data in DMA FIFO is greater than DMA wate"
        "rmark level.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_UNDERRUN_INT_SIG_EN",
        "Define whether DMA FIFO underrun interrupt flag is enabled.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_OVRRUN_INT_SIG_EN",
        "Define whether DMA FIFO overrun interrupt flag is enabled.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_COV_INT_SIG_EN",
        "Define whether channel A round conversion interrupt flag enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_COV_INT_SIG_EN",
        "Define whether channel B conversion interrupt flag is enabled.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_COV_INT_SIG_EN",
        "Define whether channel C conversion interrupt flag is enabled.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_COV_INT_SIG_EN",
        "Define whether channel D conversion interrupt flag is enabled.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_CH_COV_INT_SIG_EN",
        "Define whether software trigger interrupt flag is enabled.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_COV_TO_INT_SIG_EN",
        "Define whether logical channel A conversion time out interrupt signal "
        "is enabled.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_COV_TO_INT_SIG_EN",
        "Define whether logical channel B conversion time out interrupt signal "
        "is enabled.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_COV_TO_INT_SIG_EN",
        "Define whether logical channel C conversion time out interrupt signal "
        "is enabled.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_COV_TO_INT_SIG_EN",
        "Define whether logical channel D conversion time out interrupt signal "
        "is enabled.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_CH_COV_TO_INT_SIG_EN",
        "Define whether software channel conversion time out interrupt signal i"
        "s enabled.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LAST_FIFO_DATA_READ_SIG_EN",
        "Define whether enable flag when the last data read out of FIFO (the la"
        "st of whole continuous result)",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_INT_EN.
static const field_t hw_adc_int_en[] =
{
    {
        "CHA_CMP_INT_EN",
        "Define whether channel A compare interrupt is enabled.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_CMP_INT_EN",
        "Define whether channel B compare interrupt is enabled.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_CMP_INT_EN",
        "Define whether channel C compare interrupt is enabled.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_CMP_INT_EN",
        "Define whether channel D compare interrupt is enabled.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_REACH_WM_INT_EN",
        "Define whether DMA watermark level interrupt is enabled.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_UNDERRUN_INT_EN",
        "Define whether DMA FIFO underrun interrupt is enabled.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_OVERRUN_INT_EN",
        "Define whether DMA FIFO overrun interrupt is enabled.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_COV_INT_EN",
        "Define whether channel A conversion interrupt is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_COV_INT_EN",
        "Define whether channel B conversion interrupt is enabled.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_COV_INT_EN",
        "Define whether channel C conversion interrupt is enabled.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_COV_INT_EN",
        "Define whether channel D conversion interrupt is enabled.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_CH_COV_INT_EN",
        "Define whether software trigger interrupt is enabled.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_COV_TO_INT_EN",
        "Define whether logical channel A conversion time out interrupt is enab"
        "led.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_COV_TO_INT_EN",
        "Define whether logical channel B conversion time out interrupt is enab"
        "led.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_COV_TO_INT_EN",
        "Define whether logical channel C conversion time out interrupt is enab"
        "led.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_COV_TO_INT_EN",
        "Define whether logical channel D conversion time out interrupt is enab"
        "led.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_CH_COV_TO_INT_EN",
        "Define whether software channel conversion time out interrupt is enabl"
        "ed.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LAST_FIFO_DATA_READ_EN",
        "Define whether generate an interrupt when the last data read out of FI"
        "FO (the last of whole continuous result)",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_INT_STATUS.
static const field_t hw_adc_int_status[] =
{
    {
        "CBA_CMP",
        "This is the flag of channel A compare.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_CMP",
        "This is the flag of channel B compare.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_CMP",
        "This is the flag of channel C compare.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_CMP",
        "This is the flag of channel D compare.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_REACH_WM",
        "This is the flag of DMA reach watermark level.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_UNDERRUN",
        "This is the flag of FIFO underrun.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_OVERRUN",
        "This is the flag of FIFO overrun.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_COV",
        "This is the flag of channel A conversion.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_COV",
        "This is the flag of channel B conversion.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_COV",
        "This is the flag of channel C conversion.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_COV",
        "This is the flag of channel D conversion.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_CH_COV",
        "This is the flag of software trigger.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHA_COV_TO",
        "Represent whether logical channel A conversion time exist.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_COV_TO",
        "Represent whether logical channel B conversion time out exist.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHC_COV_TO",
        "Represent whether logical channel C conversion time out exist.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_COV_TO",
        "Represent whether logical channel D conversion time out exist.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_CH_COV_TO",
        "Represents whether software channel conversion time out exist.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LAST_FIFO_DATA_READ",
        "Represents whether the last data read out of FIFO (the last of whole c"
        "ontinuous result)",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CHA_B_CNV_RSLT.
static const field_t hw_adc_cha_b_cnv_rslt[] =
{
    {
        "CHA_CNV_RSLT",
        "Channel A conversion result stores in this field.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHB_CNV_RSLT",
        "Channel B conversion result stores in this field.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CHC_D_CNV_RSLT.
static const field_t hw_adc_chc_d_cnv_rslt[] =
{
    {
        "CHC_CNV_RSLT",
        "Channel C conversion result stores in this field.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD_CNV_RSLT",
        "Channel D conversion result stores in this field.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_CH_SW_CNV_RSLT.
static const field_t hw_adc_ch_sw_cnv_rslt[] =
{
    {
        "CH_SW_CNV_RSLT",
        "Channel Software trigger conversion result stores in this field.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_DMA_FIFO_DAT.
static const field_t hw_adc_dma_fifo_dat[] =
{
    {
        "DMA_FIFO_0",
        "The even number of data is in this field.",
        0, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DAT1_FLAG",
        "The flag defines the status of data 1.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DMA_FIFO_1",
        "The even number of data is in this field.",
        16, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DAT2_FLAG",
        "The flag defines the status of data 2.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ADC_ADC_CFG.
static const field_t hw_adc_adc_cfg[] =
{
    {
        "ADC_EN",
        "The level shifter provides 1.8 V to 1.1 V converter.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADC_PD",
        "Power Down ADC analogue core.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADC_PD_OK",
        "This bit represents whether power down or to start conversion.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADC_CLK_DOWN",
        "This bit is for low power design.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a ADC module.
static const reg_t hw_adc[] =
{
    {
        "CH_A_CFG1",
        "CH_A_CFG1 defines the functions of channel A.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_adc_ch_a_cfg1
    },
    {
        "CH_A_CFG2",
        "CH_A_CFG2 defines the function of channel A.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_adc_ch_a_cfg2
    },
    {
        "CH_B_CFG1",
        "CH_B_CFG1 defines the functions of channel B.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_adc_ch_b_cfg1
    },
    {
        "CH_B_CFG2",
        "CH_B_CFG2 defines the functions of channel B.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_adc_ch_b_cfg2
    },
    {
        "CH_C_CFG1",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_adc_ch_c_cfg1
    },
    {
        "CH_C_CFG2",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_adc_ch_c_cfg2
    },
    {
        "CH_D_CFG1",
        "",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_adc_ch_d_cfg1
    },
    {
        "CH_D_CFG2",
        "",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_adc_ch_d_cfg2
    },
    {
        "CH_SW_CFG",
        "",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_adc_ch_sw_cfg
    },
    {
        "TIMER_UNIT",
        "",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_adc_timer_unit
    },
    {
        "DMA_FIFO",
        "",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_adc_dma_fifo
    },
    {
        "FIFO_STATUS",
        "",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_adc_fifo_status
    },
    {
        "INT_SIG_EN",
        "",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_adc_int_sig_en
    },
    {
        "INT_EN",
        "",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_adc_int_en
    },
    {
        "INT_STATUS",
        "",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_adc_int_status
    },
    {
        "CHA_B_CNV_RSLT",
        "",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_adc_cha_b_cnv_rslt
    },
    {
        "CHC_D_CNV_RSLT",
        "",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_adc_chc_d_cnv_rslt
    },
    {
        "CH_SW_CNV_RSLT",
        "",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_adc_ch_sw_cnv_rslt
    },
    {
        "DMA_FIFO_DAT",
        "",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_adc_dma_fifo_dat
    },
    {
        "ADC_CFG",
        "",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_adc_adc_cfg
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark APBH
#endif

// Bitfields in register APBH_CTRL0.
static const field_t hw_apbh_ctrl0[] =
{
    {
        "CLKGATE_CHANNEL",
        "These bits must be set to zero for normal operation of each channel.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "APB_BURST_EN",
        "Set this bit to one to enable apb master do a continous transfers when"
        " a device request a burst dma.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_BURST8_EN",
        "Set this bit to one (default) to enable AHB 8-beat burst.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal APBH DMA operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL0_SET.
static const field_t hw_apbh_ctrl0_set[] =
{
    {
        "CLKGATE_CHANNEL",
        "These bits must be set to zero for normal operation of each channel.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "APB_BURST_EN",
        "Set this bit to one to enable apb master do a continous transfers when"
        " a device request a burst dma.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_BURST8_EN",
        "Set this bit to one (default) to enable AHB 8-beat burst.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal APBH DMA operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL0_CLR.
static const field_t hw_apbh_ctrl0_clr[] =
{
    {
        "CLKGATE_CHANNEL",
        "These bits must be set to zero for normal operation of each channel.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "APB_BURST_EN",
        "Set this bit to one to enable apb master do a continous transfers when"
        " a device request a burst dma.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_BURST8_EN",
        "Set this bit to one (default) to enable AHB 8-beat burst.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal APBH DMA operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL0_TOG.
static const field_t hw_apbh_ctrl0_tog[] =
{
    {
        "CLKGATE_CHANNEL",
        "These bits must be set to zero for normal operation of each channel.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "APB_BURST_EN",
        "Set this bit to one to enable apb master do a continous transfers when"
        " a device request a burst dma.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_BURST8_EN",
        "Set this bit to one (default) to enable AHB 8-beat burst.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal APBH DMA operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL1.
static const field_t hw_apbh_ctrl1[] =
{
    {
        "CH0_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL1_SET.
static const field_t hw_apbh_ctrl1_set[] =
{
    {
        "CH0_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL1_CLR.
static const field_t hw_apbh_ctrl1_clr[] =
{
    {
        "CH0_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL1_TOG.
static const field_t hw_apbh_ctrl1_tog[] =
{
    {
        "CH0_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL2.
static const field_t hw_apbh_ctrl2[] =
{
    {
        "CH0_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH1_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH2_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH3_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH4_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH5_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH6_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH7_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH8_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH9_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH10_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH11_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH12_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH13_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH14_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH15_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL2_SET.
static const field_t hw_apbh_ctrl2_set[] =
{
    {
        "CH0_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH1_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH2_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH3_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH4_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH5_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH6_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH7_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH8_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH9_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH10_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH11_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH12_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH13_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH14_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH15_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL2_CLR.
static const field_t hw_apbh_ctrl2_clr[] =
{
    {
        "CH0_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH1_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH2_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH3_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH4_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH5_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH6_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH7_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH8_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH9_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH10_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH11_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH12_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH13_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH14_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH15_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL2_TOG.
static const field_t hw_apbh_ctrl2_tog[] =
{
    {
        "CH0_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH1_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH2_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH3_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH4_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH5_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH6_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH7_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH8_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH9_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH10_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH11_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH12_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH13_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH14_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH15_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CHANNEL_CTRL.
static const field_t hw_apbh_channel_ctrl[] =
{
    {
        "FREEZE_CHANNEL",
        "Setting a bit in this field will freeze the DMA channel associated wit"
        "h it.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET_CHANNEL",
        "Setting a bit in this field causes the DMA controller to take the corr"
        "esponding channel through its reset state.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CHANNEL_CTRL_SET.
static const field_t hw_apbh_channel_ctrl_set[] =
{
    {
        "FREEZE_CHANNEL",
        "Setting a bit in this field will freeze the DMA channel associated wit"
        "h it.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET_CHANNEL",
        "Setting a bit in this field causes the DMA controller to take the corr"
        "esponding channel through its reset state.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CHANNEL_CTRL_CLR.
static const field_t hw_apbh_channel_ctrl_clr[] =
{
    {
        "FREEZE_CHANNEL",
        "Setting a bit in this field will freeze the DMA channel associated wit"
        "h it.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET_CHANNEL",
        "Setting a bit in this field causes the DMA controller to take the corr"
        "esponding channel through its reset state.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CHANNEL_CTRL_TOG.
static const field_t hw_apbh_channel_ctrl_tog[] =
{
    {
        "FREEZE_CHANNEL",
        "Setting a bit in this field will freeze the DMA channel associated wit"
        "h it.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET_CHANNEL",
        "Setting a bit in this field causes the DMA controller to take the corr"
        "esponding channel through its reset state.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_DEVSEL.
static const field_t hw_apbh_devsel[] =
{
    {
        "CH0",
        "Reserved.",
        0, // LSB
        1, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH1",
        "Reserved.",
        2, // LSB
        3, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH2",
        "Reserved.",
        4, // LSB
        5, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH3",
        "Reserved.",
        6, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH4",
        "Reserved.",
        8, // LSB
        9, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH5",
        "Reserved.",
        10, // LSB
        11, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH6",
        "Reserved.",
        12, // LSB
        13, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH7",
        "Reserved.",
        14, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH8",
        "Reserved.",
        16, // LSB
        17, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH9",
        "Reserved.",
        18, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH10",
        "Reserved.",
        20, // LSB
        21, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH11",
        "Reserved.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH12",
        "Reserved.",
        24, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH13",
        "Reserved.",
        26, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH14",
        "Reserved.",
        28, // LSB
        29, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH15",
        "Reserved.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_DMA_BURST_SIZE.
static const field_t hw_apbh_dma_burst_size[] =
{
    {
        "CH0",
        "DMA burst size for GPMI channel 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1",
        "DMA burst size for GPMI channel 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2",
        "DMA burst size for GPMI channel 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3",
        "DMA burst size for GPMI channel 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4",
        "DMA burst size for GPMI channel 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5",
        "DMA burst size for GPMI channel 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6",
        "DMA burst size for GPMI channel 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7",
        "DMA burst size for GPMI channel 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8",
        "DMA burst size for SSP.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9",
        "Reserved.",
        18, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH10",
        "Reserved.",
        20, // LSB
        21, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH11",
        "Reserved.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH12",
        "Reserved.",
        24, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH13",
        "Reserved.",
        26, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH14",
        "Reserved.",
        28, // LSB
        29, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH15",
        "Reserved.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_DEBUG.
static const field_t hw_apbh_debug[] =
{
    {
        "GPMI_ONE_FIFO",
        "Set to 0ne and the 8 GPMI channels will share the DMA FIFO, and when s"
        "et to zero, the 8 GPMI channels will use its own DMA FIFO.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_CURCMDAR.
static const field_t hw_apbh_ch0_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_NXTCMDAR.
static const field_t hw_apbh_ch0_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_CMD.
static const field_t hw_apbh_ch0_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_BAR.
static const field_t hw_apbh_ch0_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_SEMA.
static const field_t hw_apbh_ch0_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_DEBUG1.
static const field_t hw_apbh_ch0_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_DEBUG2.
static const field_t hw_apbh_ch0_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_CURCMDAR.
static const field_t hw_apbh_ch1_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_NXTCMDAR.
static const field_t hw_apbh_ch1_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_CMD.
static const field_t hw_apbh_ch1_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_BAR.
static const field_t hw_apbh_ch1_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_SEMA.
static const field_t hw_apbh_ch1_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_DEBUG1.
static const field_t hw_apbh_ch1_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_DEBUG2.
static const field_t hw_apbh_ch1_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_CURCMDAR.
static const field_t hw_apbh_ch2_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_NXTCMDAR.
static const field_t hw_apbh_ch2_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_CMD.
static const field_t hw_apbh_ch2_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_BAR.
static const field_t hw_apbh_ch2_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_SEMA.
static const field_t hw_apbh_ch2_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_DEBUG1.
static const field_t hw_apbh_ch2_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_DEBUG2.
static const field_t hw_apbh_ch2_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_CURCMDAR.
static const field_t hw_apbh_ch3_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_NXTCMDAR.
static const field_t hw_apbh_ch3_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_CMD.
static const field_t hw_apbh_ch3_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_BAR.
static const field_t hw_apbh_ch3_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_SEMA.
static const field_t hw_apbh_ch3_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_DEBUG1.
static const field_t hw_apbh_ch3_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_DEBUG2.
static const field_t hw_apbh_ch3_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_CURCMDAR.
static const field_t hw_apbh_ch4_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_NXTCMDAR.
static const field_t hw_apbh_ch4_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_CMD.
static const field_t hw_apbh_ch4_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_BAR.
static const field_t hw_apbh_ch4_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_SEMA.
static const field_t hw_apbh_ch4_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_DEBUG1.
static const field_t hw_apbh_ch4_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_DEBUG2.
static const field_t hw_apbh_ch4_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_CURCMDAR.
static const field_t hw_apbh_ch5_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_NXTCMDAR.
static const field_t hw_apbh_ch5_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_CMD.
static const field_t hw_apbh_ch5_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_BAR.
static const field_t hw_apbh_ch5_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_SEMA.
static const field_t hw_apbh_ch5_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_DEBUG1.
static const field_t hw_apbh_ch5_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_DEBUG2.
static const field_t hw_apbh_ch5_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_CURCMDAR.
static const field_t hw_apbh_ch6_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_NXTCMDAR.
static const field_t hw_apbh_ch6_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_CMD.
static const field_t hw_apbh_ch6_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_BAR.
static const field_t hw_apbh_ch6_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_SEMA.
static const field_t hw_apbh_ch6_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_DEBUG1.
static const field_t hw_apbh_ch6_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_DEBUG2.
static const field_t hw_apbh_ch6_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_CURCMDAR.
static const field_t hw_apbh_ch7_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_NXTCMDAR.
static const field_t hw_apbh_ch7_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_CMD.
static const field_t hw_apbh_ch7_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_BAR.
static const field_t hw_apbh_ch7_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_SEMA.
static const field_t hw_apbh_ch7_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_DEBUG1.
static const field_t hw_apbh_ch7_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_DEBUG2.
static const field_t hw_apbh_ch7_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_CURCMDAR.
static const field_t hw_apbh_ch8_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_NXTCMDAR.
static const field_t hw_apbh_ch8_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_CMD.
static const field_t hw_apbh_ch8_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_BAR.
static const field_t hw_apbh_ch8_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_SEMA.
static const field_t hw_apbh_ch8_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_DEBUG1.
static const field_t hw_apbh_ch8_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_DEBUG2.
static const field_t hw_apbh_ch8_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_CURCMDAR.
static const field_t hw_apbh_ch9_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_NXTCMDAR.
static const field_t hw_apbh_ch9_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_CMD.
static const field_t hw_apbh_ch9_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_BAR.
static const field_t hw_apbh_ch9_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_SEMA.
static const field_t hw_apbh_ch9_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_DEBUG1.
static const field_t hw_apbh_ch9_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_DEBUG2.
static const field_t hw_apbh_ch9_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_CURCMDAR.
static const field_t hw_apbh_ch10_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_NXTCMDAR.
static const field_t hw_apbh_ch10_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_CMD.
static const field_t hw_apbh_ch10_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_BAR.
static const field_t hw_apbh_ch10_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_SEMA.
static const field_t hw_apbh_ch10_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_DEBUG1.
static const field_t hw_apbh_ch10_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_DEBUG2.
static const field_t hw_apbh_ch10_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_CURCMDAR.
static const field_t hw_apbh_ch11_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_NXTCMDAR.
static const field_t hw_apbh_ch11_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_CMD.
static const field_t hw_apbh_ch11_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_BAR.
static const field_t hw_apbh_ch11_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_SEMA.
static const field_t hw_apbh_ch11_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_DEBUG1.
static const field_t hw_apbh_ch11_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_DEBUG2.
static const field_t hw_apbh_ch11_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_CURCMDAR.
static const field_t hw_apbh_ch12_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_NXTCMDAR.
static const field_t hw_apbh_ch12_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_CMD.
static const field_t hw_apbh_ch12_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_BAR.
static const field_t hw_apbh_ch12_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_SEMA.
static const field_t hw_apbh_ch12_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_DEBUG1.
static const field_t hw_apbh_ch12_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_DEBUG2.
static const field_t hw_apbh_ch12_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_CURCMDAR.
static const field_t hw_apbh_ch13_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_NXTCMDAR.
static const field_t hw_apbh_ch13_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_CMD.
static const field_t hw_apbh_ch13_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_BAR.
static const field_t hw_apbh_ch13_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_SEMA.
static const field_t hw_apbh_ch13_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_DEBUG1.
static const field_t hw_apbh_ch13_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_DEBUG2.
static const field_t hw_apbh_ch13_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_CURCMDAR.
static const field_t hw_apbh_ch14_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_NXTCMDAR.
static const field_t hw_apbh_ch14_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_CMD.
static const field_t hw_apbh_ch14_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_BAR.
static const field_t hw_apbh_ch14_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_SEMA.
static const field_t hw_apbh_ch14_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_DEBUG1.
static const field_t hw_apbh_ch14_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_DEBUG2.
static const field_t hw_apbh_ch14_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_CURCMDAR.
static const field_t hw_apbh_ch15_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_NXTCMDAR.
static const field_t hw_apbh_ch15_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_CMD.
static const field_t hw_apbh_ch15_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_BAR.
static const field_t hw_apbh_ch15_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_SEMA.
static const field_t hw_apbh_ch15_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_DEBUG1.
static const field_t hw_apbh_ch15_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_DEBUG2.
static const field_t hw_apbh_ch15_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_VERSION.
static const field_t hw_apbh_version[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value reflecting the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value reflecting the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a APBH module.
static const reg_t hw_apbh[] =
{
    {
        "CTRL0",
        "The APBH CTRL 0 provides overall control of the AHB to APBH bridge and"
        " DMA.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_apbh_ctrl0
    },
    {
        "CTRL0_SET",
        "The APBH CTRL 0 provides overall control of the AHB to APBH bridge and"
        " DMA.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_apbh_ctrl0_set
    },
    {
        "CTRL0_CLR",
        "The APBH CTRL 0 provides overall control of the AHB to APBH bridge and"
        " DMA.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_apbh_ctrl0_clr
    },
    {
        "CTRL0_TOG",
        "The APBH CTRL 0 provides overall control of the AHB to APBH bridge and"
        " DMA.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_apbh_ctrl0_tog
    },
    {
        "CTRL1",
        "The APBH CTRL one provides overall control of the interrupts generated"
        " by the AHB to APBH DMA.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl1
    },
    {
        "CTRL1_SET",
        "The APBH CTRL one provides overall control of the interrupts generated"
        " by the AHB to APBH DMA.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl1_set
    },
    {
        "CTRL1_CLR",
        "The APBH CTRL one provides overall control of the interrupts generated"
        " by the AHB to APBH DMA.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl1_clr
    },
    {
        "CTRL1_TOG",
        "The APBH CTRL one provides overall control of the interrupts generated"
        " by the AHB to APBH DMA.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl1_tog
    },
    {
        "CTRL2",
        "The APBH CTRL 2 provides channel error interrupts generated by the AHB"
        " to APBH DMA.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl2
    },
    {
        "CTRL2_SET",
        "The APBH CTRL 2 provides channel error interrupts generated by the AHB"
        " to APBH DMA.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl2_set
    },
    {
        "CTRL2_CLR",
        "The APBH CTRL 2 provides channel error interrupts generated by the AHB"
        " to APBH DMA.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl2_clr
    },
    {
        "CTRL2_TOG",
        "The APBH CTRL 2 provides channel error interrupts generated by the AHB"
        " to APBH DMA.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl2_tog
    },
    {
        "CHANNEL_CTRL",
        "The APBH CHANNEL CTRL provides reset/freeze control of each DMA channe"
        "l.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_channel_ctrl
    },
    {
        "CHANNEL_CTRL_SET",
        "The APBH CHANNEL CTRL provides reset/freeze control of each DMA channe"
        "l.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_channel_ctrl_set
    },
    {
        "CHANNEL_CTRL_CLR",
        "The APBH CHANNEL CTRL provides reset/freeze control of each DMA channe"
        "l.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_channel_ctrl_clr
    },
    {
        "CHANNEL_CTRL_TOG",
        "The APBH CHANNEL CTRL provides reset/freeze control of each DMA channe"
        "l.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_channel_ctrl_tog
    },
    {
        "DEVSEL",
        "This register allows reassignment of the APBH device connected to the "
        "DMA Channels.",
        4, // Width in bytes
        0x00000040, // Base address offset
        false, // Readable
        false, // Writable
        16, // Number of bitfields
        hw_apbh_devsel
    },
    {
        "DMA_BURST_SIZE",
        "This register programs the apbh burst size of the APBH DMA devices whe"
        "n a DMA burst request is issued.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_apbh_dma_burst_size
    },
    {
        "DEBUG",
        "This register is for debug purpose.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_debug
    },
    {
        "CH0_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch0_curcmdar
    },
    {
        "CH0_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch0_nxtcmdar
    },
    {
        "CH0_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch0_cmd
    },
    {
        "CH0_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch0_bar
    },
    {
        "CH0_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch0_sema
    },
    {
        "CH0_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch0_debug1
    },
    {
        "CH0_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch0_debug2
    },
    {
        "CH1_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch1_curcmdar
    },
    {
        "CH1_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch1_nxtcmdar
    },
    {
        "CH1_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch1_cmd
    },
    {
        "CH1_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch1_bar
    },
    {
        "CH1_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch1_sema
    },
    {
        "CH1_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch1_debug1
    },
    {
        "CH1_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000001d0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch1_debug2
    },
    {
        "CH2_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch2_curcmdar
    },
    {
        "CH2_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch2_nxtcmdar
    },
    {
        "CH2_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch2_cmd
    },
    {
        "CH2_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch2_bar
    },
    {
        "CH2_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch2_sema
    },
    {
        "CH2_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch2_debug1
    },
    {
        "CH2_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch2_debug2
    },
    {
        "CH3_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch3_curcmdar
    },
    {
        "CH3_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch3_nxtcmdar
    },
    {
        "CH3_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch3_cmd
    },
    {
        "CH3_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000280, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch3_bar
    },
    {
        "CH3_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000290, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch3_sema
    },
    {
        "CH3_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000002a0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch3_debug1
    },
    {
        "CH3_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000002b0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch3_debug2
    },
    {
        "CH4_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000002c0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch4_curcmdar
    },
    {
        "CH4_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000002d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch4_nxtcmdar
    },
    {
        "CH4_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000002e0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch4_cmd
    },
    {
        "CH4_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000002f0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch4_bar
    },
    {
        "CH4_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch4_sema
    },
    {
        "CH4_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch4_debug1
    },
    {
        "CH4_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch4_debug2
    },
    {
        "CH5_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000330, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch5_curcmdar
    },
    {
        "CH5_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000340, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch5_nxtcmdar
    },
    {
        "CH5_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000350, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch5_cmd
    },
    {
        "CH5_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000360, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch5_bar
    },
    {
        "CH5_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000370, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch5_sema
    },
    {
        "CH5_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000380, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch5_debug1
    },
    {
        "CH5_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000390, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch5_debug2
    },
    {
        "CH6_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000003a0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch6_curcmdar
    },
    {
        "CH6_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000003b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch6_nxtcmdar
    },
    {
        "CH6_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000003c0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch6_cmd
    },
    {
        "CH6_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000003d0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch6_bar
    },
    {
        "CH6_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000003e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch6_sema
    },
    {
        "CH6_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000003f0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch6_debug1
    },
    {
        "CH6_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch6_debug2
    },
    {
        "CH7_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch7_curcmdar
    },
    {
        "CH7_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000420, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch7_nxtcmdar
    },
    {
        "CH7_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000430, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch7_cmd
    },
    {
        "CH7_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch7_bar
    },
    {
        "CH7_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch7_sema
    },
    {
        "CH7_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch7_debug1
    },
    {
        "CH7_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000470, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch7_debug2
    },
    {
        "CH8_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch8_curcmdar
    },
    {
        "CH8_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch8_nxtcmdar
    },
    {
        "CH8_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch8_cmd
    },
    {
        "CH8_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000004b0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch8_bar
    },
    {
        "CH8_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch8_sema
    },
    {
        "CH8_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000004d0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch8_debug1
    },
    {
        "CH8_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000004e0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch8_debug2
    },
    {
        "CH9_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000004f0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch9_curcmdar
    },
    {
        "CH9_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000500, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch9_nxtcmdar
    },
    {
        "CH9_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000510, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch9_cmd
    },
    {
        "CH9_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000520, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch9_bar
    },
    {
        "CH9_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000530, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch9_sema
    },
    {
        "CH9_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000540, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch9_debug1
    },
    {
        "CH9_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000550, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch9_debug2
    },
    {
        "CH10_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000560, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch10_curcmdar
    },
    {
        "CH10_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000570, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch10_nxtcmdar
    },
    {
        "CH10_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000580, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch10_cmd
    },
    {
        "CH10_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000590, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch10_bar
    },
    {
        "CH10_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000005a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch10_sema
    },
    {
        "CH10_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000005b0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch10_debug1
    },
    {
        "CH10_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000005c0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch10_debug2
    },
    {
        "CH11_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000005d0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch11_curcmdar
    },
    {
        "CH11_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000005e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch11_nxtcmdar
    },
    {
        "CH11_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000005f0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch11_cmd
    },
    {
        "CH11_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000600, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch11_bar
    },
    {
        "CH11_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000610, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch11_sema
    },
    {
        "CH11_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000620, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch11_debug1
    },
    {
        "CH11_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000630, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch11_debug2
    },
    {
        "CH12_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000640, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch12_curcmdar
    },
    {
        "CH12_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000650, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch12_nxtcmdar
    },
    {
        "CH12_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000660, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch12_cmd
    },
    {
        "CH12_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000670, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch12_bar
    },
    {
        "CH12_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000680, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch12_sema
    },
    {
        "CH12_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000690, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch12_debug1
    },
    {
        "CH12_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000006a0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch12_debug2
    },
    {
        "CH13_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000006b0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch13_curcmdar
    },
    {
        "CH13_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000006c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch13_nxtcmdar
    },
    {
        "CH13_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000006d0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch13_cmd
    },
    {
        "CH13_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000006e0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch13_bar
    },
    {
        "CH13_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000006f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch13_sema
    },
    {
        "CH13_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000700, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch13_debug1
    },
    {
        "CH13_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000710, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch13_debug2
    },
    {
        "CH14_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000720, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch14_curcmdar
    },
    {
        "CH14_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000730, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch14_nxtcmdar
    },
    {
        "CH14_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000740, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch14_cmd
    },
    {
        "CH14_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000750, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch14_bar
    },
    {
        "CH14_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000760, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch14_sema
    },
    {
        "CH14_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000770, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch14_debug1
    },
    {
        "CH14_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000780, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch14_debug2
    },
    {
        "CH15_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000790, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch15_curcmdar
    },
    {
        "CH15_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000007a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch15_nxtcmdar
    },
    {
        "CH15_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000007b0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch15_cmd
    },
    {
        "CH15_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000007c0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch15_bar
    },
    {
        "CH15_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "RM platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000007d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch15_sema
    },
    {
        "CH15_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000007e0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch15_debug1
    },
    {
        "CH15_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000007f0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch15_debug2
    },
    {
        "VERSION",
        "This register always returns a known read value for debug purposes it "
        "indicates the version of the block.",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_apbh_version
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark BCH
#endif

// Bitfields in register BCH_CTRL.
static const field_t hw_bch_ctrl[] =
{
    {
        "COMPLETE_IRQ",
        "This bit indicates the state of the external interrupt line.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ",
        "DEBUG STALL Interrupt Status.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "AHB Bus interface Error Interrupt Status.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETE_IRQ_EN",
        "1 = interrupt on completion of correction is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ_EN",
        "1 = interrupt on debug stall mode is enabled.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "This read-only field is reserved and always has the value 0",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M2M_ENABLE",
        "NOTE! WRITING THIS BIT INITIATES A MEMORY-TO-MEMORY OPERATION.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_ENCODE",
        "Selects encode (parity generation) or decode (correction) mode for mem"
        "ory-to-memory operations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_LAYOUT",
        "Selects the flash page format for memory-to-memory operations.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "This read-only field is reserved and always has the value 0",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUGSYNDROME",
        "(For debug purposes only).",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "This read-only field is reserved and always has the value 0.",
        23, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to 0 to enable normal BCH operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_CTRL_SET.
static const field_t hw_bch_ctrl_set[] =
{
    {
        "COMPLETE_IRQ",
        "This bit indicates the state of the external interrupt line.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ",
        "DEBUG STALL Interrupt Status.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "AHB Bus interface Error Interrupt Status.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETE_IRQ_EN",
        "1 = interrupt on completion of correction is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ_EN",
        "1 = interrupt on debug stall mode is enabled.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "This read-only field is reserved and always has the value 0",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M2M_ENABLE",
        "NOTE! WRITING THIS BIT INITIATES A MEMORY-TO-MEMORY OPERATION.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_ENCODE",
        "Selects encode (parity generation) or decode (correction) mode for mem"
        "ory-to-memory operations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_LAYOUT",
        "Selects the flash page format for memory-to-memory operations.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "This read-only field is reserved and always has the value 0",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUGSYNDROME",
        "(For debug purposes only).",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "This read-only field is reserved and always has the value 0.",
        23, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to 0 to enable normal BCH operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_CTRL_CLR.
static const field_t hw_bch_ctrl_clr[] =
{
    {
        "COMPLETE_IRQ",
        "This bit indicates the state of the external interrupt line.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ",
        "DEBUG STALL Interrupt Status.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "AHB Bus interface Error Interrupt Status.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETE_IRQ_EN",
        "1 = interrupt on completion of correction is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ_EN",
        "1 = interrupt on debug stall mode is enabled.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "This read-only field is reserved and always has the value 0",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M2M_ENABLE",
        "NOTE! WRITING THIS BIT INITIATES A MEMORY-TO-MEMORY OPERATION.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_ENCODE",
        "Selects encode (parity generation) or decode (correction) mode for mem"
        "ory-to-memory operations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_LAYOUT",
        "Selects the flash page format for memory-to-memory operations.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "This read-only field is reserved and always has the value 0",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUGSYNDROME",
        "(For debug purposes only).",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "This read-only field is reserved and always has the value 0.",
        23, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to 0 to enable normal BCH operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_CTRL_TOG.
static const field_t hw_bch_ctrl_tog[] =
{
    {
        "COMPLETE_IRQ",
        "This bit indicates the state of the external interrupt line.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ",
        "DEBUG STALL Interrupt Status.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "AHB Bus interface Error Interrupt Status.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETE_IRQ_EN",
        "1 = interrupt on completion of correction is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ_EN",
        "1 = interrupt on debug stall mode is enabled.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "This read-only field is reserved and always has the value 0",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M2M_ENABLE",
        "NOTE! WRITING THIS BIT INITIATES A MEMORY-TO-MEMORY OPERATION.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_ENCODE",
        "Selects encode (parity generation) or decode (correction) mode for mem"
        "ory-to-memory operations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_LAYOUT",
        "Selects the flash page format for memory-to-memory operations.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "This read-only field is reserved and always has the value 0",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUGSYNDROME",
        "(For debug purposes only).",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "This read-only field is reserved and always has the value 0.",
        23, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to 0 to enable normal BCH operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_STATUS0.
static const field_t hw_bch_status0[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UNCORRECTABLE",
        "1 = Uncorrectable error encountered during last processing cycle.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORRECTED",
        "1 = At least one correctable error encountered during last processing "
        "cycle.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLONES",
        "1 = All data bits of this transaction are ONE.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS_BLK0",
        "Count of symbols in error during processing of first block of flash (m"
        "etadata block).",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETED_CE",
        "This is the chip enable number corresponding to the NAND device from w"
        "hich this data came.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "Software supplies a 12 bit handle for this transfer as part of the GPM"
        "I DMA PIO operation that started the transaction.",
        20, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_STATUS0_SET.
static const field_t hw_bch_status0_set[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UNCORRECTABLE",
        "1 = Uncorrectable error encountered during last processing cycle.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORRECTED",
        "1 = At least one correctable error encountered during last processing "
        "cycle.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLONES",
        "1 = All data bits of this transaction are ONE.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS_BLK0",
        "Count of symbols in error during processing of first block of flash (m"
        "etadata block).",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETED_CE",
        "This is the chip enable number corresponding to the NAND device from w"
        "hich this data came.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "Software supplies a 12 bit handle for this transfer as part of the GPM"
        "I DMA PIO operation that started the transaction.",
        20, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_STATUS0_CLR.
static const field_t hw_bch_status0_clr[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UNCORRECTABLE",
        "1 = Uncorrectable error encountered during last processing cycle.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORRECTED",
        "1 = At least one correctable error encountered during last processing "
        "cycle.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLONES",
        "1 = All data bits of this transaction are ONE.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS_BLK0",
        "Count of symbols in error during processing of first block of flash (m"
        "etadata block).",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETED_CE",
        "This is the chip enable number corresponding to the NAND device from w"
        "hich this data came.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "Software supplies a 12 bit handle for this transfer as part of the GPM"
        "I DMA PIO operation that started the transaction.",
        20, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_STATUS0_TOG.
static const field_t hw_bch_status0_tog[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UNCORRECTABLE",
        "1 = Uncorrectable error encountered during last processing cycle.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORRECTED",
        "1 = At least one correctable error encountered during last processing "
        "cycle.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLONES",
        "1 = All data bits of this transaction are ONE.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS_BLK0",
        "Count of symbols in error during processing of first block of flash (m"
        "etadata block).",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETED_CE",
        "This is the chip enable number corresponding to the NAND device from w"
        "hich this data came.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "Software supplies a 12 bit handle for this transfer as part of the GPM"
        "I DMA PIO operation that started the transaction.",
        20, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_MODE.
static const field_t hw_bch_mode[] =
{
    {
        "ERASE_THRESHOLD",
        "This value indicates the maximum number of zero bits on a flash subpag"
        "e for it to be considered erased.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_MODE_SET.
static const field_t hw_bch_mode_set[] =
{
    {
        "ERASE_THRESHOLD",
        "This value indicates the maximum number of zero bits on a flash subpag"
        "e for it to be considered erased.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_MODE_CLR.
static const field_t hw_bch_mode_clr[] =
{
    {
        "ERASE_THRESHOLD",
        "This value indicates the maximum number of zero bits on a flash subpag"
        "e for it to be considered erased.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_MODE_TOG.
static const field_t hw_bch_mode_tog[] =
{
    {
        "ERASE_THRESHOLD",
        "This value indicates the maximum number of zero bits on a flash subpag"
        "e for it to be considered erased.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_ENCODEPTR.
static const field_t hw_bch_encodeptr[] =
{
    {
        "ADDR",
        "Address pointer to encode buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_ENCODEPTR_SET.
static const field_t hw_bch_encodeptr_set[] =
{
    {
        "ADDR",
        "Address pointer to encode buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_ENCODEPTR_CLR.
static const field_t hw_bch_encodeptr_clr[] =
{
    {
        "ADDR",
        "Address pointer to encode buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_ENCODEPTR_TOG.
static const field_t hw_bch_encodeptr_tog[] =
{
    {
        "ADDR",
        "Address pointer to encode buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DATAPTR.
static const field_t hw_bch_dataptr[] =
{
    {
        "ADDR",
        "Address pointer to data buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DATAPTR_SET.
static const field_t hw_bch_dataptr_set[] =
{
    {
        "ADDR",
        "Address pointer to data buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DATAPTR_CLR.
static const field_t hw_bch_dataptr_clr[] =
{
    {
        "ADDR",
        "Address pointer to data buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DATAPTR_TOG.
static const field_t hw_bch_dataptr_tog[] =
{
    {
        "ADDR",
        "Address pointer to data buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_METAPTR.
static const field_t hw_bch_metaptr[] =
{
    {
        "ADDR",
        "Address pointer to metadata buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_METAPTR_SET.
static const field_t hw_bch_metaptr_set[] =
{
    {
        "ADDR",
        "Address pointer to metadata buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_METAPTR_CLR.
static const field_t hw_bch_metaptr_clr[] =
{
    {
        "ADDR",
        "Address pointer to metadata buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_METAPTR_TOG.
static const field_t hw_bch_metaptr_tog[] =
{
    {
        "ADDR",
        "Address pointer to metadata buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_LAYOUTSELECT.
static const field_t hw_bch_layoutselect[] =
{
    {
        "CS0_SELECT",
        "Selects which layout is used for chip select 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS1_SELECT",
        "Selects which layout is used for chip select 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS2_SELECT",
        "Selects which layout is used for chip select 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS3_SELECT",
        "Selects which layout is used for chip select 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS4_SELECT",
        "Selects which layout is used for chip select 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS5_SELECT",
        "Selects which layout is used for chip select 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS6_SELECT",
        "Selects which layout is used for chip select 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS7_SELECT",
        "Selects which layout is used for chip select 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS8_SELECT",
        "Selects which layout is used for chip select 8.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS9_SELECT",
        "Selects which layout is used for chip select 9.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS10_SELECT",
        "Selects which layout is used for chip select 10.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS11_SELECT",
        "Selects which layout is used for chip select 11.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS12_SELECT",
        "Selects which layout is used for chip select 12.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS13_SELECT",
        "Selects which layout is used for chip select 13.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS14_SELECT",
        "Selects which layout is used for chip select 14.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS15_SELECT",
        "Selects which layout is used for chip select 15.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_LAYOUTSELECT_SET.
static const field_t hw_bch_layoutselect_set[] =
{
    {
        "CS0_SELECT",
        "Selects which layout is used for chip select 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS1_SELECT",
        "Selects which layout is used for chip select 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS2_SELECT",
        "Selects which layout is used for chip select 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS3_SELECT",
        "Selects which layout is used for chip select 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS4_SELECT",
        "Selects which layout is used for chip select 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS5_SELECT",
        "Selects which layout is used for chip select 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS6_SELECT",
        "Selects which layout is used for chip select 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS7_SELECT",
        "Selects which layout is used for chip select 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS8_SELECT",
        "Selects which layout is used for chip select 8.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS9_SELECT",
        "Selects which layout is used for chip select 9.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS10_SELECT",
        "Selects which layout is used for chip select 10.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS11_SELECT",
        "Selects which layout is used for chip select 11.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS12_SELECT",
        "Selects which layout is used for chip select 12.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS13_SELECT",
        "Selects which layout is used for chip select 13.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS14_SELECT",
        "Selects which layout is used for chip select 14.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS15_SELECT",
        "Selects which layout is used for chip select 15.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_LAYOUTSELECT_CLR.
static const field_t hw_bch_layoutselect_clr[] =
{
    {
        "CS0_SELECT",
        "Selects which layout is used for chip select 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS1_SELECT",
        "Selects which layout is used for chip select 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS2_SELECT",
        "Selects which layout is used for chip select 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS3_SELECT",
        "Selects which layout is used for chip select 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS4_SELECT",
        "Selects which layout is used for chip select 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS5_SELECT",
        "Selects which layout is used for chip select 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS6_SELECT",
        "Selects which layout is used for chip select 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS7_SELECT",
        "Selects which layout is used for chip select 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS8_SELECT",
        "Selects which layout is used for chip select 8.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS9_SELECT",
        "Selects which layout is used for chip select 9.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS10_SELECT",
        "Selects which layout is used for chip select 10.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS11_SELECT",
        "Selects which layout is used for chip select 11.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS12_SELECT",
        "Selects which layout is used for chip select 12.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS13_SELECT",
        "Selects which layout is used for chip select 13.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS14_SELECT",
        "Selects which layout is used for chip select 14.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS15_SELECT",
        "Selects which layout is used for chip select 15.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_LAYOUTSELECT_TOG.
static const field_t hw_bch_layoutselect_tog[] =
{
    {
        "CS0_SELECT",
        "Selects which layout is used for chip select 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS1_SELECT",
        "Selects which layout is used for chip select 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS2_SELECT",
        "Selects which layout is used for chip select 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS3_SELECT",
        "Selects which layout is used for chip select 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS4_SELECT",
        "Selects which layout is used for chip select 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS5_SELECT",
        "Selects which layout is used for chip select 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS6_SELECT",
        "Selects which layout is used for chip select 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS7_SELECT",
        "Selects which layout is used for chip select 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS8_SELECT",
        "Selects which layout is used for chip select 8.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS9_SELECT",
        "Selects which layout is used for chip select 9.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS10_SELECT",
        "Selects which layout is used for chip select 10.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS11_SELECT",
        "Selects which layout is used for chip select 11.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS12_SELECT",
        "Selects which layout is used for chip select 12.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS13_SELECT",
        "Selects which layout is used for chip select 13.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS14_SELECT",
        "Selects which layout is used for chip select 14.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS15_SELECT",
        "Selects which layout is used for chip select 15.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT0.
static const field_t hw_bch_flash0layout0[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT0_SET.
static const field_t hw_bch_flash0layout0_set[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT0_CLR.
static const field_t hw_bch_flash0layout0_clr[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT0_TOG.
static const field_t hw_bch_flash0layout0_tog[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT1.
static const field_t hw_bch_flash0layout1[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT1_SET.
static const field_t hw_bch_flash0layout1_set[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT1_CLR.
static const field_t hw_bch_flash0layout1_clr[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT1_TOG.
static const field_t hw_bch_flash0layout1_tog[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT0.
static const field_t hw_bch_flash1layout0[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT0_SET.
static const field_t hw_bch_flash1layout0_set[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT0_CLR.
static const field_t hw_bch_flash1layout0_clr[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT0_TOG.
static const field_t hw_bch_flash1layout0_tog[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT1.
static const field_t hw_bch_flash1layout1[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT1_SET.
static const field_t hw_bch_flash1layout1_set[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT1_CLR.
static const field_t hw_bch_flash1layout1_clr[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT1_TOG.
static const field_t hw_bch_flash1layout1_tog[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT0.
static const field_t hw_bch_flash2layout0[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT0_SET.
static const field_t hw_bch_flash2layout0_set[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT0_CLR.
static const field_t hw_bch_flash2layout0_clr[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT0_TOG.
static const field_t hw_bch_flash2layout0_tog[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT1.
static const field_t hw_bch_flash2layout1[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT1_SET.
static const field_t hw_bch_flash2layout1_set[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT1_CLR.
static const field_t hw_bch_flash2layout1_clr[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT1_TOG.
static const field_t hw_bch_flash2layout1_tog[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT0.
static const field_t hw_bch_flash3layout0[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT0_SET.
static const field_t hw_bch_flash3layout0_set[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT0_CLR.
static const field_t hw_bch_flash3layout0_clr[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT0_TOG.
static const field_t hw_bch_flash3layout0_tog[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT1.
static const field_t hw_bch_flash3layout1[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT1_SET.
static const field_t hw_bch_flash3layout1_set[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT1_CLR.
static const field_t hw_bch_flash3layout1_clr[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT1_TOG.
static const field_t hw_bch_flash3layout1_tog[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG0.
static const field_t hw_bch_debug0[] =
{
    {
        "DEBUG_REG_SELECT",
        "The value loaded in this bit field is used to select the internal regi"
        "ster state view of KES engine or the Chien search engine.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BM_KES_TEST_BYPASS",
        "1 = Point all SYND_GEN writes to dummy area at the end of the AUXILLIA"
        "RY block so that diagnostics can preload all payload, parity bytes and"
        " computed syndrome bytes for test the KES engine.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STALL",
        "Set to one to cause KES FSM to stall after notifying Chien search engi"
        "ne to start processing its block but before notifying the bus master t"
        "hat the KES computation is complete.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STEP",
        "Toggling this bit causes the KES FSM to skip passed the stall state if"
        " it is in DEBUG_STALL mode and completed processing a block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_STANDALONE",
        "Set to one, cause the KES engine to suppress toggling the KES_BM_DONE "
        "signal to the bus master and suppress toggling the CF_BM_DONE signal b"
        "y the CF engine.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_KICK",
        "Toggling causes KES engine FSM to start as if kick by the Bus Master.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_MODE4K",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input mode (4K "
        "or 2K pages).",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_PAYLOAD_FLAG",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input payload f"
        "lag.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SHIFT_SYND",
        "Toggling this bit causes the value in BCH_DEBUG0_KES_SYNDROME_SYMBOL t"
        "o be shift into the syndrome register array at the input to the KES en"
        "gine.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SYNDROME_SYMBOL",
        "The 9 bit value in this bit field shifts into the syndrome register ar"
        "ray at the input of the KES engine whenever BCH_DEBUG0_KES_DEBUG_SHIFT"
        "_SYND is toggled.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG0_SET.
static const field_t hw_bch_debug0_set[] =
{
    {
        "DEBUG_REG_SELECT",
        "The value loaded in this bit field is used to select the internal regi"
        "ster state view of KES engine or the Chien search engine.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BM_KES_TEST_BYPASS",
        "1 = Point all SYND_GEN writes to dummy area at the end of the AUXILLIA"
        "RY block so that diagnostics can preload all payload, parity bytes and"
        " computed syndrome bytes for test the KES engine.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STALL",
        "Set to one to cause KES FSM to stall after notifying Chien search engi"
        "ne to start processing its block but before notifying the bus master t"
        "hat the KES computation is complete.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STEP",
        "Toggling this bit causes the KES FSM to skip passed the stall state if"
        " it is in DEBUG_STALL mode and completed processing a block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_STANDALONE",
        "Set to one, cause the KES engine to suppress toggling the KES_BM_DONE "
        "signal to the bus master and suppress toggling the CF_BM_DONE signal b"
        "y the CF engine.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_KICK",
        "Toggling causes KES engine FSM to start as if kick by the Bus Master.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_MODE4K",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input mode (4K "
        "or 2K pages).",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_PAYLOAD_FLAG",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input payload f"
        "lag.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SHIFT_SYND",
        "Toggling this bit causes the value in BCH_DEBUG0_KES_SYNDROME_SYMBOL t"
        "o be shift into the syndrome register array at the input to the KES en"
        "gine.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SYNDROME_SYMBOL",
        "The 9 bit value in this bit field shifts into the syndrome register ar"
        "ray at the input of the KES engine whenever BCH_DEBUG0_KES_DEBUG_SHIFT"
        "_SYND is toggled.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG0_CLR.
static const field_t hw_bch_debug0_clr[] =
{
    {
        "DEBUG_REG_SELECT",
        "The value loaded in this bit field is used to select the internal regi"
        "ster state view of KES engine or the Chien search engine.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BM_KES_TEST_BYPASS",
        "1 = Point all SYND_GEN writes to dummy area at the end of the AUXILLIA"
        "RY block so that diagnostics can preload all payload, parity bytes and"
        " computed syndrome bytes for test the KES engine.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STALL",
        "Set to one to cause KES FSM to stall after notifying Chien search engi"
        "ne to start processing its block but before notifying the bus master t"
        "hat the KES computation is complete.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STEP",
        "Toggling this bit causes the KES FSM to skip passed the stall state if"
        " it is in DEBUG_STALL mode and completed processing a block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_STANDALONE",
        "Set to one, cause the KES engine to suppress toggling the KES_BM_DONE "
        "signal to the bus master and suppress toggling the CF_BM_DONE signal b"
        "y the CF engine.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_KICK",
        "Toggling causes KES engine FSM to start as if kick by the Bus Master.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_MODE4K",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input mode (4K "
        "or 2K pages).",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_PAYLOAD_FLAG",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input payload f"
        "lag.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SHIFT_SYND",
        "Toggling this bit causes the value in BCH_DEBUG0_KES_SYNDROME_SYMBOL t"
        "o be shift into the syndrome register array at the input to the KES en"
        "gine.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SYNDROME_SYMBOL",
        "The 9 bit value in this bit field shifts into the syndrome register ar"
        "ray at the input of the KES engine whenever BCH_DEBUG0_KES_DEBUG_SHIFT"
        "_SYND is toggled.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG0_TOG.
static const field_t hw_bch_debug0_tog[] =
{
    {
        "DEBUG_REG_SELECT",
        "The value loaded in this bit field is used to select the internal regi"
        "ster state view of KES engine or the Chien search engine.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BM_KES_TEST_BYPASS",
        "1 = Point all SYND_GEN writes to dummy area at the end of the AUXILLIA"
        "RY block so that diagnostics can preload all payload, parity bytes and"
        " computed syndrome bytes for test the KES engine.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STALL",
        "Set to one to cause KES FSM to stall after notifying Chien search engi"
        "ne to start processing its block but before notifying the bus master t"
        "hat the KES computation is complete.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STEP",
        "Toggling this bit causes the KES FSM to skip passed the stall state if"
        " it is in DEBUG_STALL mode and completed processing a block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_STANDALONE",
        "Set to one, cause the KES engine to suppress toggling the KES_BM_DONE "
        "signal to the bus master and suppress toggling the CF_BM_DONE signal b"
        "y the CF engine.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_KICK",
        "Toggling causes KES engine FSM to start as if kick by the Bus Master.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_MODE4K",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input mode (4K "
        "or 2K pages).",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_PAYLOAD_FLAG",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input payload f"
        "lag.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SHIFT_SYND",
        "Toggling this bit causes the value in BCH_DEBUG0_KES_SYNDROME_SYMBOL t"
        "o be shift into the syndrome register array at the input to the KES en"
        "gine.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SYNDROME_SYMBOL",
        "The 9 bit value in this bit field shifts into the syndrome register ar"
        "ray at the input of the KES engine whenever BCH_DEBUG0_KES_DEBUG_SHIFT"
        "_SYND is toggled.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGKESREAD.
static const field_t hw_bch_dbgkesread[] =
{
    {
        "VALUES",
        "This register returns the ROM BIST CRC value after a BIST test.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGKESREAD_SET.
static const field_t hw_bch_dbgkesread_set[] =
{
    {
        "VALUES",
        "This register returns the ROM BIST CRC value after a BIST test.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGKESREAD_CLR.
static const field_t hw_bch_dbgkesread_clr[] =
{
    {
        "VALUES",
        "This register returns the ROM BIST CRC value after a BIST test.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGKESREAD_TOG.
static const field_t hw_bch_dbgkesread_tog[] =
{
    {
        "VALUES",
        "This register returns the ROM BIST CRC value after a BIST test.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGCSFEREAD.
static const field_t hw_bch_dbgcsferead[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGCSFEREAD_SET.
static const field_t hw_bch_dbgcsferead_set[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGCSFEREAD_CLR.
static const field_t hw_bch_dbgcsferead_clr[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGCSFEREAD_TOG.
static const field_t hw_bch_dbgcsferead_tog[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGSYNDGENREAD.
static const field_t hw_bch_dbgsyndgenread[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGSYNDGENREAD_SET.
static const field_t hw_bch_dbgsyndgenread_set[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGSYNDGENREAD_CLR.
static const field_t hw_bch_dbgsyndgenread_clr[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGSYNDGENREAD_TOG.
static const field_t hw_bch_dbgsyndgenread_tog[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGAHBMREAD.
static const field_t hw_bch_dbgahbmread[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGAHBMREAD_SET.
static const field_t hw_bch_dbgahbmread_set[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGAHBMREAD_CLR.
static const field_t hw_bch_dbgahbmread_clr[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGAHBMREAD_TOG.
static const field_t hw_bch_dbgahbmread_tog[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_BLOCKNAME.
static const field_t hw_bch_blockname[] =
{
    {
        "NAME",
        "The name is in the ASCII characters BCH (0x20, H, C, B).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_BLOCKNAME_SET.
static const field_t hw_bch_blockname_set[] =
{
    {
        "NAME",
        "The name is in the ASCII characters BCH (0x20, H, C, B).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_BLOCKNAME_CLR.
static const field_t hw_bch_blockname_clr[] =
{
    {
        "NAME",
        "The name is in the ASCII characters BCH (0x20, H, C, B).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_BLOCKNAME_TOG.
static const field_t hw_bch_blockname_tog[] =
{
    {
        "NAME",
        "The name is in the ASCII characters BCH (0x20, H, C, B).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_VERSION.
static const field_t hw_bch_version[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value indicates the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value indicates the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_VERSION_SET.
static const field_t hw_bch_version_set[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value indicates the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value indicates the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_VERSION_CLR.
static const field_t hw_bch_version_clr[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value indicates the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value indicates the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_VERSION_TOG.
static const field_t hw_bch_version_tog[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value indicates the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value indicates the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG1.
static const field_t hw_bch_debug1[] =
{
    {
        "ERASED_ZERO_COUNT",
        "The zero counts on one page.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG1_PREERASECHK",
        "Blank page enables pre-erase check.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG1_SET.
static const field_t hw_bch_debug1_set[] =
{
    {
        "ERASED_ZERO_COUNT",
        "The zero counts on one page.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG1_PREERASECHK",
        "Blank page enables pre-erase check.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG1_CLR.
static const field_t hw_bch_debug1_clr[] =
{
    {
        "ERASED_ZERO_COUNT",
        "The zero counts on one page.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG1_PREERASECHK",
        "Blank page enables pre-erase check.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG1_TOG.
static const field_t hw_bch_debug1_tog[] =
{
    {
        "ERASED_ZERO_COUNT",
        "The zero counts on one page.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG1_PREERASECHK",
        "Blank page enables pre-erase check.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a BCH module.
static const reg_t hw_bch[] =
{
    {
        "CTRL",
        "The BCH CTRL provides overall control of the hardware ECC accelerator",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_bch_ctrl
    },
    {
        "CTRL_SET",
        "The BCH CTRL provides overall control of the hardware ECC accelerator",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_bch_ctrl_set
    },
    {
        "CTRL_CLR",
        "The BCH CTRL provides overall control of the hardware ECC accelerator",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_bch_ctrl_clr
    },
    {
        "CTRL_TOG",
        "The BCH CTRL provides overall control of the hardware ECC accelerator",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_bch_ctrl_tog
    },
    {
        "STATUS0",
        "The BCH STAT register provides visibility into the run-time status of "
        "the BCH and status information when processing is complete.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_bch_status0
    },
    {
        "STATUS0_SET",
        "The BCH STAT register provides visibility into the run-time status of "
        "the BCH and status information when processing is complete.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_bch_status0_set
    },
    {
        "STATUS0_CLR",
        "The BCH STAT register provides visibility into the run-time status of "
        "the BCH and status information when processing is complete.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_bch_status0_clr
    },
    {
        "STATUS0_TOG",
        "The BCH STAT register provides visibility into the run-time status of "
        "the BCH and status information when processing is complete.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_bch_status0_tog
    },
    {
        "MODE",
        "The BCH MODE register provides additional mode controls.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_bch_mode
    },
    {
        "MODE_SET",
        "The BCH MODE register provides additional mode controls.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_bch_mode_set
    },
    {
        "MODE_CLR",
        "The BCH MODE register provides additional mode controls.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_bch_mode_clr
    },
    {
        "MODE_TOG",
        "The BCH MODE register provides additional mode controls.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_bch_mode_tog
    },
    {
        "ENCODEPTR",
        "When performing memory to memory operations, indicates the address of "
        "the encode buffer.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_encodeptr
    },
    {
        "ENCODEPTR_SET",
        "When performing memory to memory operations, indicates the address of "
        "the encode buffer.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_encodeptr_set
    },
    {
        "ENCODEPTR_CLR",
        "When performing memory to memory operations, indicates the address of "
        "the encode buffer.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_encodeptr_clr
    },
    {
        "ENCODEPTR_TOG",
        "When performing memory to memory operations, indicates the address of "
        "the encode buffer.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_encodeptr_tog
    },
    {
        "DATAPTR",
        "When performing memory to memory operations, indicates the address of "
        "the data buffer.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_dataptr
    },
    {
        "DATAPTR_SET",
        "When performing memory to memory operations, indicates the address of "
        "the data buffer.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_dataptr_set
    },
    {
        "DATAPTR_CLR",
        "When performing memory to memory operations, indicates the address of "
        "the data buffer.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_dataptr_clr
    },
    {
        "DATAPTR_TOG",
        "When performing memory to memory operations, indicates the address of "
        "the data buffer.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_dataptr_tog
    },
    {
        "METAPTR",
        "When performing memory to memory operations, indicates the address of "
        "the metadata buffer.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_metaptr
    },
    {
        "METAPTR_SET",
        "When performing memory to memory operations, indicates the address of "
        "the metadata buffer.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_metaptr_set
    },
    {
        "METAPTR_CLR",
        "When performing memory to memory operations, indicates the address of "
        "the metadata buffer.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_metaptr_clr
    },
    {
        "METAPTR_TOG",
        "When performing memory to memory operations, indicates the address of "
        "the metadata buffer.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_metaptr_tog
    },
    {
        "LAYOUTSELECT",
        "The BCH LAYOUTSELECT register provides a mapping of chip selects to la"
        "yout registers.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_bch_layoutselect
    },
    {
        "LAYOUTSELECT_SET",
        "The BCH LAYOUTSELECT register provides a mapping of chip selects to la"
        "yout registers.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_bch_layoutselect_set
    },
    {
        "LAYOUTSELECT_CLR",
        "The BCH LAYOUTSELECT register provides a mapping of chip selects to la"
        "yout registers.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_bch_layoutselect_clr
    },
    {
        "LAYOUTSELECT_TOG",
        "The BCH LAYOUTSELECT register provides a mapping of chip selects to la"
        "yout registers.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_bch_layoutselect_tog
    },
    {
        "FLASH0LAYOUT0",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash0layout0
    },
    {
        "FLASH0LAYOUT0_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash0layout0_set
    },
    {
        "FLASH0LAYOUT0_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash0layout0_clr
    },
    {
        "FLASH0LAYOUT0_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash0layout0_tog
    },
    {
        "FLASH0LAYOUT1",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash0layout1
    },
    {
        "FLASH0LAYOUT1_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash0layout1_set
    },
    {
        "FLASH0LAYOUT1_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash0layout1_clr
    },
    {
        "FLASH0LAYOUT1_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash0layout1_tog
    },
    {
        "FLASH1LAYOUT0",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash1layout0
    },
    {
        "FLASH1LAYOUT0_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash1layout0_set
    },
    {
        "FLASH1LAYOUT0_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash1layout0_clr
    },
    {
        "FLASH1LAYOUT0_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash1layout0_tog
    },
    {
        "FLASH1LAYOUT1",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash1layout1
    },
    {
        "FLASH1LAYOUT1_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash1layout1_set
    },
    {
        "FLASH1LAYOUT1_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash1layout1_clr
    },
    {
        "FLASH1LAYOUT1_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash1layout1_tog
    },
    {
        "FLASH2LAYOUT0",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash2layout0
    },
    {
        "FLASH2LAYOUT0_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash2layout0_set
    },
    {
        "FLASH2LAYOUT0_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash2layout0_clr
    },
    {
        "FLASH2LAYOUT0_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash2layout0_tog
    },
    {
        "FLASH2LAYOUT1",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash2layout1
    },
    {
        "FLASH2LAYOUT1_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash2layout1_set
    },
    {
        "FLASH2LAYOUT1_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash2layout1_clr
    },
    {
        "FLASH2LAYOUT1_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash2layout1_tog
    },
    {
        "FLASH3LAYOUT0",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash3layout0
    },
    {
        "FLASH3LAYOUT0_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash3layout0_set
    },
    {
        "FLASH3LAYOUT0_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash3layout0_clr
    },
    {
        "FLASH3LAYOUT0_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash3layout0_tog
    },
    {
        "FLASH3LAYOUT1",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash3layout1
    },
    {
        "FLASH3LAYOUT1_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash3layout1_set
    },
    {
        "FLASH3LAYOUT1_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash3layout1_clr
    },
    {
        "FLASH3LAYOUT1_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash3layout1_tog
    },
    {
        "DEBUG0",
        "The hardware BCH accelerator internal state machines and signals can b"
        "e seen in the ECC debug register.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_bch_debug0
    },
    {
        "DEBUG0_SET",
        "The hardware BCH accelerator internal state machines and signals can b"
        "e seen in the ECC debug register.",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_bch_debug0_set
    },
    {
        "DEBUG0_CLR",
        "The hardware BCH accelerator internal state machines and signals can b"
        "e seen in the ECC debug register.",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_bch_debug0_clr
    },
    {
        "DEBUG0_TOG",
        "The hardware BCH accelerator internal state machines and signals can b"
        "e seen in the ECC debug register.",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_bch_debug0_tog
    },
    {
        "DBGKESREAD",
        "The hardware BCH ECC accelerator key equation solver internal state ma"
        "chines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgkesread
    },
    {
        "DBGKESREAD_SET",
        "The hardware BCH ECC accelerator key equation solver internal state ma"
        "chines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgkesread_set
    },
    {
        "DBGKESREAD_CLR",
        "The hardware BCH ECC accelerator key equation solver internal state ma"
        "chines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgkesread_clr
    },
    {
        "DBGKESREAD_TOG",
        "The hardware BCH ECC accelerator key equation solver internal state ma"
        "chines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgkesread_tog
    },
    {
        "DBGCSFEREAD",
        "The hardware BCH ECC accelerator Chien Search internal state machines "
        "and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgcsferead
    },
    {
        "DBGCSFEREAD_SET",
        "The hardware BCH ECC accelerator Chien Search internal state machines "
        "and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgcsferead_set
    },
    {
        "DBGCSFEREAD_CLR",
        "The hardware BCH ECC accelerator Chien Search internal state machines "
        "and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000128, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgcsferead_clr
    },
    {
        "DBGCSFEREAD_TOG",
        "The hardware BCH ECC accelerator Chien Search internal state machines "
        "and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x0000012c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgcsferead_tog
    },
    {
        "DBGSYNDGENREAD",
        "The hardware BCH ECC accelerator syndrome generator internal state mac"
        "hines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgsyndgenread
    },
    {
        "DBGSYNDGENREAD_SET",
        "The hardware BCH ECC accelerator syndrome generator internal state mac"
        "hines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgsyndgenread_set
    },
    {
        "DBGSYNDGENREAD_CLR",
        "The hardware BCH ECC accelerator syndrome generator internal state mac"
        "hines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgsyndgenread_clr
    },
    {
        "DBGSYNDGENREAD_TOG",
        "The hardware BCH ECC accelerator syndrome generator internal state mac"
        "hines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgsyndgenread_tog
    },
    {
        "DBGAHBMREAD",
        "The hardware BCH ECC accelerator bus master, ECC controller internal s"
        "tate machines, and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgahbmread
    },
    {
        "DBGAHBMREAD_SET",
        "The hardware BCH ECC accelerator bus master, ECC controller internal s"
        "tate machines, and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgahbmread_set
    },
    {
        "DBGAHBMREAD_CLR",
        "The hardware BCH ECC accelerator bus master, ECC controller internal s"
        "tate machines, and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000148, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgahbmread_clr
    },
    {
        "DBGAHBMREAD_TOG",
        "The hardware BCH ECC accelerator bus master, ECC controller internal s"
        "tate machines, and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x0000014c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgahbmread_tog
    },
    {
        "BLOCKNAME",
        "Read only view of the block name string BCH.",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_blockname
    },
    {
        "BLOCKNAME_SET",
        "Read only view of the block name string BCH.",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_blockname_set
    },
    {
        "BLOCKNAME_CLR",
        "Read only view of the block name string BCH.",
        4, // Width in bytes
        0x00000158, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_blockname_clr
    },
    {
        "BLOCKNAME_TOG",
        "Read only view of the block name string BCH.",
        4, // Width in bytes
        0x0000015c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_blockname_tog
    },
    {
        "VERSION",
        "This register always returns a known read value for debug purposes and"
        " indicates the version of the block and RTL version in use.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_bch_version
    },
    {
        "VERSION_SET",
        "This register always returns a known read value for debug purposes and"
        " indicates the version of the block and RTL version in use.",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_bch_version_set
    },
    {
        "VERSION_CLR",
        "This register always returns a known read value for debug purposes and"
        " indicates the version of the block and RTL version in use.",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_bch_version_clr
    },
    {
        "VERSION_TOG",
        "This register always returns a known read value for debug purposes and"
        " indicates the version of the block and RTL version in use.",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_bch_version_tog
    },
    {
        "DEBUG1",
        "The BCH_DEBUG1 register provides erased zero count information and pre"
        "-erase check.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_bch_debug1
    },
    {
        "DEBUG1_SET",
        "The BCH_DEBUG1 register provides erased zero count information and pre"
        "-erase check.",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_bch_debug1_set
    },
    {
        "DEBUG1_CLR",
        "The BCH_DEBUG1 register provides erased zero count information and pre"
        "-erase check.",
        4, // Width in bytes
        0x00000178, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_bch_debug1_clr
    },
    {
        "DEBUG1_TOG",
        "The BCH_DEBUG1 register provides erased zero count information and pre"
        "-erase check.",
        4, // Width in bytes
        0x0000017c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_bch_debug1_tog
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark CCM
#endif

// Bitfields in register CCM_GPR0.
static const field_t hw_ccm_gpr0[] =
{
    {
        "GP0",
        "Timeout cycle count of ipg_clk, when perform read and write.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_GPR0_SET.
static const field_t hw_ccm_gpr0_set[] =
{
    {
        "GP0",
        "Timeout cycle count of ipg_clk, when perform read and write.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_GPR0_CLR.
static const field_t hw_ccm_gpr0_clr[] =
{
    {
        "GP0",
        "Timeout cycle count of ipg_clk, when perform read and write.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_GPR0_TOG.
static const field_t hw_ccm_gpr0_tog[] =
{
    {
        "GP0",
        "Timeout cycle count of ipg_clk, when perform read and write.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL0.
static const field_t hw_ccm_pll_ctrl0[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL0_SET.
static const field_t hw_ccm_pll_ctrl0_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL0_CLR.
static const field_t hw_ccm_pll_ctrl0_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL0_TOG.
static const field_t hw_ccm_pll_ctrl0_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL1.
static const field_t hw_ccm_pll_ctrl1[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL1_SET.
static const field_t hw_ccm_pll_ctrl1_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL1_CLR.
static const field_t hw_ccm_pll_ctrl1_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL1_TOG.
static const field_t hw_ccm_pll_ctrl1_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL2.
static const field_t hw_ccm_pll_ctrl2[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL2_SET.
static const field_t hw_ccm_pll_ctrl2_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL2_CLR.
static const field_t hw_ccm_pll_ctrl2_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL2_TOG.
static const field_t hw_ccm_pll_ctrl2_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL3.
static const field_t hw_ccm_pll_ctrl3[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL3_SET.
static const field_t hw_ccm_pll_ctrl3_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL3_CLR.
static const field_t hw_ccm_pll_ctrl3_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL3_TOG.
static const field_t hw_ccm_pll_ctrl3_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL4.
static const field_t hw_ccm_pll_ctrl4[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL4_SET.
static const field_t hw_ccm_pll_ctrl4_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL4_CLR.
static const field_t hw_ccm_pll_ctrl4_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL4_TOG.
static const field_t hw_ccm_pll_ctrl4_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL5.
static const field_t hw_ccm_pll_ctrl5[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL5_SET.
static const field_t hw_ccm_pll_ctrl5_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL5_CLR.
static const field_t hw_ccm_pll_ctrl5_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL5_TOG.
static const field_t hw_ccm_pll_ctrl5_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL6.
static const field_t hw_ccm_pll_ctrl6[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL6_SET.
static const field_t hw_ccm_pll_ctrl6_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL6_CLR.
static const field_t hw_ccm_pll_ctrl6_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL6_TOG.
static const field_t hw_ccm_pll_ctrl6_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL7.
static const field_t hw_ccm_pll_ctrl7[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL7_SET.
static const field_t hw_ccm_pll_ctrl7_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL7_CLR.
static const field_t hw_ccm_pll_ctrl7_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL7_TOG.
static const field_t hw_ccm_pll_ctrl7_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL8.
static const field_t hw_ccm_pll_ctrl8[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL8_SET.
static const field_t hw_ccm_pll_ctrl8_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL8_CLR.
static const field_t hw_ccm_pll_ctrl8_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL8_TOG.
static const field_t hw_ccm_pll_ctrl8_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL9.
static const field_t hw_ccm_pll_ctrl9[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL9_SET.
static const field_t hw_ccm_pll_ctrl9_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL9_CLR.
static const field_t hw_ccm_pll_ctrl9_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL9_TOG.
static const field_t hw_ccm_pll_ctrl9_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL10.
static const field_t hw_ccm_pll_ctrl10[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL10_SET.
static const field_t hw_ccm_pll_ctrl10_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL10_CLR.
static const field_t hw_ccm_pll_ctrl10_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL10_TOG.
static const field_t hw_ccm_pll_ctrl10_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL11.
static const field_t hw_ccm_pll_ctrl11[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL11_SET.
static const field_t hw_ccm_pll_ctrl11_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL11_CLR.
static const field_t hw_ccm_pll_ctrl11_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL11_TOG.
static const field_t hw_ccm_pll_ctrl11_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL12.
static const field_t hw_ccm_pll_ctrl12[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL12_SET.
static const field_t hw_ccm_pll_ctrl12_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL12_CLR.
static const field_t hw_ccm_pll_ctrl12_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL12_TOG.
static const field_t hw_ccm_pll_ctrl12_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL13.
static const field_t hw_ccm_pll_ctrl13[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL13_SET.
static const field_t hw_ccm_pll_ctrl13_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL13_CLR.
static const field_t hw_ccm_pll_ctrl13_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL13_TOG.
static const field_t hw_ccm_pll_ctrl13_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL14.
static const field_t hw_ccm_pll_ctrl14[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL14_SET.
static const field_t hw_ccm_pll_ctrl14_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL14_CLR.
static const field_t hw_ccm_pll_ctrl14_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL14_TOG.
static const field_t hw_ccm_pll_ctrl14_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL15.
static const field_t hw_ccm_pll_ctrl15[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL15_SET.
static const field_t hw_ccm_pll_ctrl15_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL15_CLR.
static const field_t hw_ccm_pll_ctrl15_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL15_TOG.
static const field_t hw_ccm_pll_ctrl15_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL16.
static const field_t hw_ccm_pll_ctrl16[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL16_SET.
static const field_t hw_ccm_pll_ctrl16_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL16_CLR.
static const field_t hw_ccm_pll_ctrl16_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL16_TOG.
static const field_t hw_ccm_pll_ctrl16_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL17.
static const field_t hw_ccm_pll_ctrl17[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL17_SET.
static const field_t hw_ccm_pll_ctrl17_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL17_CLR.
static const field_t hw_ccm_pll_ctrl17_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL17_TOG.
static const field_t hw_ccm_pll_ctrl17_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL18.
static const field_t hw_ccm_pll_ctrl18[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL18_SET.
static const field_t hw_ccm_pll_ctrl18_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL18_CLR.
static const field_t hw_ccm_pll_ctrl18_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL18_TOG.
static const field_t hw_ccm_pll_ctrl18_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL19.
static const field_t hw_ccm_pll_ctrl19[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL19_SET.
static const field_t hw_ccm_pll_ctrl19_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL19_CLR.
static const field_t hw_ccm_pll_ctrl19_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL19_TOG.
static const field_t hw_ccm_pll_ctrl19_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL20.
static const field_t hw_ccm_pll_ctrl20[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL20_SET.
static const field_t hw_ccm_pll_ctrl20_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL20_CLR.
static const field_t hw_ccm_pll_ctrl20_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL20_TOG.
static const field_t hw_ccm_pll_ctrl20_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL21.
static const field_t hw_ccm_pll_ctrl21[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL21_SET.
static const field_t hw_ccm_pll_ctrl21_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL21_CLR.
static const field_t hw_ccm_pll_ctrl21_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL21_TOG.
static const field_t hw_ccm_pll_ctrl21_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL22.
static const field_t hw_ccm_pll_ctrl22[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL22_SET.
static const field_t hw_ccm_pll_ctrl22_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL22_CLR.
static const field_t hw_ccm_pll_ctrl22_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL22_TOG.
static const field_t hw_ccm_pll_ctrl22_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL23.
static const field_t hw_ccm_pll_ctrl23[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL23_SET.
static const field_t hw_ccm_pll_ctrl23_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL23_CLR.
static const field_t hw_ccm_pll_ctrl23_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL23_TOG.
static const field_t hw_ccm_pll_ctrl23_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL24.
static const field_t hw_ccm_pll_ctrl24[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL24_SET.
static const field_t hw_ccm_pll_ctrl24_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL24_CLR.
static const field_t hw_ccm_pll_ctrl24_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL24_TOG.
static const field_t hw_ccm_pll_ctrl24_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL25.
static const field_t hw_ccm_pll_ctrl25[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL25_SET.
static const field_t hw_ccm_pll_ctrl25_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL25_CLR.
static const field_t hw_ccm_pll_ctrl25_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL25_TOG.
static const field_t hw_ccm_pll_ctrl25_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL26.
static const field_t hw_ccm_pll_ctrl26[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL26_SET.
static const field_t hw_ccm_pll_ctrl26_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL26_CLR.
static const field_t hw_ccm_pll_ctrl26_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL26_TOG.
static const field_t hw_ccm_pll_ctrl26_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL27.
static const field_t hw_ccm_pll_ctrl27[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL27_SET.
static const field_t hw_ccm_pll_ctrl27_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL27_CLR.
static const field_t hw_ccm_pll_ctrl27_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL27_TOG.
static const field_t hw_ccm_pll_ctrl27_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL28.
static const field_t hw_ccm_pll_ctrl28[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL28_SET.
static const field_t hw_ccm_pll_ctrl28_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL28_CLR.
static const field_t hw_ccm_pll_ctrl28_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL28_TOG.
static const field_t hw_ccm_pll_ctrl28_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL29.
static const field_t hw_ccm_pll_ctrl29[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL29_SET.
static const field_t hw_ccm_pll_ctrl29_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL29_CLR.
static const field_t hw_ccm_pll_ctrl29_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL29_TOG.
static const field_t hw_ccm_pll_ctrl29_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL30.
static const field_t hw_ccm_pll_ctrl30[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL30_SET.
static const field_t hw_ccm_pll_ctrl30_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL30_CLR.
static const field_t hw_ccm_pll_ctrl30_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL30_TOG.
static const field_t hw_ccm_pll_ctrl30_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL31.
static const field_t hw_ccm_pll_ctrl31[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL31_SET.
static const field_t hw_ccm_pll_ctrl31_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL31_CLR.
static const field_t hw_ccm_pll_ctrl31_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL31_TOG.
static const field_t hw_ccm_pll_ctrl31_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL32.
static const field_t hw_ccm_pll_ctrl32[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL32_SET.
static const field_t hw_ccm_pll_ctrl32_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL32_CLR.
static const field_t hw_ccm_pll_ctrl32_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL32_TOG.
static const field_t hw_ccm_pll_ctrl32_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR0.
static const field_t hw_ccm_ccgr0[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR0_SET.
static const field_t hw_ccm_ccgr0_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR0_CLR.
static const field_t hw_ccm_ccgr0_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR0_TOG.
static const field_t hw_ccm_ccgr0_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR1.
static const field_t hw_ccm_ccgr1[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR1_SET.
static const field_t hw_ccm_ccgr1_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR1_CLR.
static const field_t hw_ccm_ccgr1_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR1_TOG.
static const field_t hw_ccm_ccgr1_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR2.
static const field_t hw_ccm_ccgr2[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR2_SET.
static const field_t hw_ccm_ccgr2_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR2_CLR.
static const field_t hw_ccm_ccgr2_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR2_TOG.
static const field_t hw_ccm_ccgr2_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR3.
static const field_t hw_ccm_ccgr3[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR3_SET.
static const field_t hw_ccm_ccgr3_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR3_CLR.
static const field_t hw_ccm_ccgr3_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR3_TOG.
static const field_t hw_ccm_ccgr3_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR4.
static const field_t hw_ccm_ccgr4[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR4_SET.
static const field_t hw_ccm_ccgr4_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR4_CLR.
static const field_t hw_ccm_ccgr4_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR4_TOG.
static const field_t hw_ccm_ccgr4_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR5.
static const field_t hw_ccm_ccgr5[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR5_SET.
static const field_t hw_ccm_ccgr5_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR5_CLR.
static const field_t hw_ccm_ccgr5_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR5_TOG.
static const field_t hw_ccm_ccgr5_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR6.
static const field_t hw_ccm_ccgr6[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR6_SET.
static const field_t hw_ccm_ccgr6_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR6_CLR.
static const field_t hw_ccm_ccgr6_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR6_TOG.
static const field_t hw_ccm_ccgr6_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR7.
static const field_t hw_ccm_ccgr7[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR7_SET.
static const field_t hw_ccm_ccgr7_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR7_CLR.
static const field_t hw_ccm_ccgr7_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR7_TOG.
static const field_t hw_ccm_ccgr7_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR8.
static const field_t hw_ccm_ccgr8[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR8_SET.
static const field_t hw_ccm_ccgr8_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR8_CLR.
static const field_t hw_ccm_ccgr8_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR8_TOG.
static const field_t hw_ccm_ccgr8_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR9.
static const field_t hw_ccm_ccgr9[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR9_SET.
static const field_t hw_ccm_ccgr9_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR9_CLR.
static const field_t hw_ccm_ccgr9_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR9_TOG.
static const field_t hw_ccm_ccgr9_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR10.
static const field_t hw_ccm_ccgr10[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR10_SET.
static const field_t hw_ccm_ccgr10_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR10_CLR.
static const field_t hw_ccm_ccgr10_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR10_TOG.
static const field_t hw_ccm_ccgr10_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR11.
static const field_t hw_ccm_ccgr11[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR11_SET.
static const field_t hw_ccm_ccgr11_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR11_CLR.
static const field_t hw_ccm_ccgr11_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR11_TOG.
static const field_t hw_ccm_ccgr11_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR12.
static const field_t hw_ccm_ccgr12[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR12_SET.
static const field_t hw_ccm_ccgr12_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR12_CLR.
static const field_t hw_ccm_ccgr12_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR12_TOG.
static const field_t hw_ccm_ccgr12_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR13.
static const field_t hw_ccm_ccgr13[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR13_SET.
static const field_t hw_ccm_ccgr13_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR13_CLR.
static const field_t hw_ccm_ccgr13_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR13_TOG.
static const field_t hw_ccm_ccgr13_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR14.
static const field_t hw_ccm_ccgr14[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR14_SET.
static const field_t hw_ccm_ccgr14_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR14_CLR.
static const field_t hw_ccm_ccgr14_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR14_TOG.
static const field_t hw_ccm_ccgr14_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR15.
static const field_t hw_ccm_ccgr15[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR15_SET.
static const field_t hw_ccm_ccgr15_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR15_CLR.
static const field_t hw_ccm_ccgr15_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR15_TOG.
static const field_t hw_ccm_ccgr15_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR16.
static const field_t hw_ccm_ccgr16[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR16_SET.
static const field_t hw_ccm_ccgr16_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR16_CLR.
static const field_t hw_ccm_ccgr16_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR16_TOG.
static const field_t hw_ccm_ccgr16_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR17.
static const field_t hw_ccm_ccgr17[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR17_SET.
static const field_t hw_ccm_ccgr17_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR17_CLR.
static const field_t hw_ccm_ccgr17_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR17_TOG.
static const field_t hw_ccm_ccgr17_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR18.
static const field_t hw_ccm_ccgr18[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR18_SET.
static const field_t hw_ccm_ccgr18_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR18_CLR.
static const field_t hw_ccm_ccgr18_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR18_TOG.
static const field_t hw_ccm_ccgr18_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR19.
static const field_t hw_ccm_ccgr19[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR19_SET.
static const field_t hw_ccm_ccgr19_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR19_CLR.
static const field_t hw_ccm_ccgr19_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR19_TOG.
static const field_t hw_ccm_ccgr19_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR20.
static const field_t hw_ccm_ccgr20[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR20_SET.
static const field_t hw_ccm_ccgr20_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR20_CLR.
static const field_t hw_ccm_ccgr20_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR20_TOG.
static const field_t hw_ccm_ccgr20_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR21.
static const field_t hw_ccm_ccgr21[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR21_SET.
static const field_t hw_ccm_ccgr21_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR21_CLR.
static const field_t hw_ccm_ccgr21_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR21_TOG.
static const field_t hw_ccm_ccgr21_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR22.
static const field_t hw_ccm_ccgr22[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR22_SET.
static const field_t hw_ccm_ccgr22_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR22_CLR.
static const field_t hw_ccm_ccgr22_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR22_TOG.
static const field_t hw_ccm_ccgr22_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR23.
static const field_t hw_ccm_ccgr23[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR23_SET.
static const field_t hw_ccm_ccgr23_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR23_CLR.
static const field_t hw_ccm_ccgr23_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR23_TOG.
static const field_t hw_ccm_ccgr23_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR24.
static const field_t hw_ccm_ccgr24[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR24_SET.
static const field_t hw_ccm_ccgr24_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR24_CLR.
static const field_t hw_ccm_ccgr24_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR24_TOG.
static const field_t hw_ccm_ccgr24_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR25.
static const field_t hw_ccm_ccgr25[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR25_SET.
static const field_t hw_ccm_ccgr25_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR25_CLR.
static const field_t hw_ccm_ccgr25_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR25_TOG.
static const field_t hw_ccm_ccgr25_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR26.
static const field_t hw_ccm_ccgr26[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR26_SET.
static const field_t hw_ccm_ccgr26_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR26_CLR.
static const field_t hw_ccm_ccgr26_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR26_TOG.
static const field_t hw_ccm_ccgr26_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR27.
static const field_t hw_ccm_ccgr27[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR27_SET.
static const field_t hw_ccm_ccgr27_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR27_CLR.
static const field_t hw_ccm_ccgr27_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR27_TOG.
static const field_t hw_ccm_ccgr27_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR28.
static const field_t hw_ccm_ccgr28[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR28_SET.
static const field_t hw_ccm_ccgr28_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR28_CLR.
static const field_t hw_ccm_ccgr28_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR28_TOG.
static const field_t hw_ccm_ccgr28_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR29.
static const field_t hw_ccm_ccgr29[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR29_SET.
static const field_t hw_ccm_ccgr29_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR29_CLR.
static const field_t hw_ccm_ccgr29_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR29_TOG.
static const field_t hw_ccm_ccgr29_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR30.
static const field_t hw_ccm_ccgr30[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR30_SET.
static const field_t hw_ccm_ccgr30_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR30_CLR.
static const field_t hw_ccm_ccgr30_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR30_TOG.
static const field_t hw_ccm_ccgr30_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR31.
static const field_t hw_ccm_ccgr31[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR31_SET.
static const field_t hw_ccm_ccgr31_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR31_CLR.
static const field_t hw_ccm_ccgr31_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR31_TOG.
static const field_t hw_ccm_ccgr31_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR32.
static const field_t hw_ccm_ccgr32[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR32_SET.
static const field_t hw_ccm_ccgr32_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR32_CLR.
static const field_t hw_ccm_ccgr32_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR32_TOG.
static const field_t hw_ccm_ccgr32_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR33.
static const field_t hw_ccm_ccgr33[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR33_SET.
static const field_t hw_ccm_ccgr33_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR33_CLR.
static const field_t hw_ccm_ccgr33_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR33_TOG.
static const field_t hw_ccm_ccgr33_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR34.
static const field_t hw_ccm_ccgr34[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR34_SET.
static const field_t hw_ccm_ccgr34_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR34_CLR.
static const field_t hw_ccm_ccgr34_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR34_TOG.
static const field_t hw_ccm_ccgr34_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR35.
static const field_t hw_ccm_ccgr35[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR35_SET.
static const field_t hw_ccm_ccgr35_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR35_CLR.
static const field_t hw_ccm_ccgr35_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR35_TOG.
static const field_t hw_ccm_ccgr35_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR36.
static const field_t hw_ccm_ccgr36[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR36_SET.
static const field_t hw_ccm_ccgr36_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR36_CLR.
static const field_t hw_ccm_ccgr36_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR36_TOG.
static const field_t hw_ccm_ccgr36_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR37.
static const field_t hw_ccm_ccgr37[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR37_SET.
static const field_t hw_ccm_ccgr37_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR37_CLR.
static const field_t hw_ccm_ccgr37_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR37_TOG.
static const field_t hw_ccm_ccgr37_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR38.
static const field_t hw_ccm_ccgr38[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR38_SET.
static const field_t hw_ccm_ccgr38_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR38_CLR.
static const field_t hw_ccm_ccgr38_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR38_TOG.
static const field_t hw_ccm_ccgr38_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR39.
static const field_t hw_ccm_ccgr39[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR39_SET.
static const field_t hw_ccm_ccgr39_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR39_CLR.
static const field_t hw_ccm_ccgr39_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR39_TOG.
static const field_t hw_ccm_ccgr39_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR40.
static const field_t hw_ccm_ccgr40[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR40_SET.
static const field_t hw_ccm_ccgr40_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR40_CLR.
static const field_t hw_ccm_ccgr40_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR40_TOG.
static const field_t hw_ccm_ccgr40_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR41.
static const field_t hw_ccm_ccgr41[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR41_SET.
static const field_t hw_ccm_ccgr41_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR41_CLR.
static const field_t hw_ccm_ccgr41_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR41_TOG.
static const field_t hw_ccm_ccgr41_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR42.
static const field_t hw_ccm_ccgr42[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR42_SET.
static const field_t hw_ccm_ccgr42_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR42_CLR.
static const field_t hw_ccm_ccgr42_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR42_TOG.
static const field_t hw_ccm_ccgr42_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR43.
static const field_t hw_ccm_ccgr43[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR43_SET.
static const field_t hw_ccm_ccgr43_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR43_CLR.
static const field_t hw_ccm_ccgr43_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR43_TOG.
static const field_t hw_ccm_ccgr43_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR44.
static const field_t hw_ccm_ccgr44[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR44_SET.
static const field_t hw_ccm_ccgr44_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR44_CLR.
static const field_t hw_ccm_ccgr44_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR44_TOG.
static const field_t hw_ccm_ccgr44_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR45.
static const field_t hw_ccm_ccgr45[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR45_SET.
static const field_t hw_ccm_ccgr45_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR45_CLR.
static const field_t hw_ccm_ccgr45_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR45_TOG.
static const field_t hw_ccm_ccgr45_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR46.
static const field_t hw_ccm_ccgr46[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR46_SET.
static const field_t hw_ccm_ccgr46_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR46_CLR.
static const field_t hw_ccm_ccgr46_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR46_TOG.
static const field_t hw_ccm_ccgr46_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR47.
static const field_t hw_ccm_ccgr47[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR47_SET.
static const field_t hw_ccm_ccgr47_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR47_CLR.
static const field_t hw_ccm_ccgr47_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR47_TOG.
static const field_t hw_ccm_ccgr47_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR48.
static const field_t hw_ccm_ccgr48[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR48_SET.
static const field_t hw_ccm_ccgr48_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR48_CLR.
static const field_t hw_ccm_ccgr48_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR48_TOG.
static const field_t hw_ccm_ccgr48_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR49.
static const field_t hw_ccm_ccgr49[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR49_SET.
static const field_t hw_ccm_ccgr49_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR49_CLR.
static const field_t hw_ccm_ccgr49_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR49_TOG.
static const field_t hw_ccm_ccgr49_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR50.
static const field_t hw_ccm_ccgr50[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR50_SET.
static const field_t hw_ccm_ccgr50_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR50_CLR.
static const field_t hw_ccm_ccgr50_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR50_TOG.
static const field_t hw_ccm_ccgr50_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR51.
static const field_t hw_ccm_ccgr51[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR51_SET.
static const field_t hw_ccm_ccgr51_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR51_CLR.
static const field_t hw_ccm_ccgr51_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR51_TOG.
static const field_t hw_ccm_ccgr51_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR52.
static const field_t hw_ccm_ccgr52[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR52_SET.
static const field_t hw_ccm_ccgr52_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR52_CLR.
static const field_t hw_ccm_ccgr52_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR52_TOG.
static const field_t hw_ccm_ccgr52_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR53.
static const field_t hw_ccm_ccgr53[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR53_SET.
static const field_t hw_ccm_ccgr53_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR53_CLR.
static const field_t hw_ccm_ccgr53_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR53_TOG.
static const field_t hw_ccm_ccgr53_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR54.
static const field_t hw_ccm_ccgr54[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR54_SET.
static const field_t hw_ccm_ccgr54_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR54_CLR.
static const field_t hw_ccm_ccgr54_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR54_TOG.
static const field_t hw_ccm_ccgr54_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR55.
static const field_t hw_ccm_ccgr55[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR55_SET.
static const field_t hw_ccm_ccgr55_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR55_CLR.
static const field_t hw_ccm_ccgr55_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR55_TOG.
static const field_t hw_ccm_ccgr55_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR56.
static const field_t hw_ccm_ccgr56[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR56_SET.
static const field_t hw_ccm_ccgr56_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR56_CLR.
static const field_t hw_ccm_ccgr56_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR56_TOG.
static const field_t hw_ccm_ccgr56_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR57.
static const field_t hw_ccm_ccgr57[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR57_SET.
static const field_t hw_ccm_ccgr57_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR57_CLR.
static const field_t hw_ccm_ccgr57_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR57_TOG.
static const field_t hw_ccm_ccgr57_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR58.
static const field_t hw_ccm_ccgr58[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR58_SET.
static const field_t hw_ccm_ccgr58_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR58_CLR.
static const field_t hw_ccm_ccgr58_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR58_TOG.
static const field_t hw_ccm_ccgr58_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR59.
static const field_t hw_ccm_ccgr59[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR59_SET.
static const field_t hw_ccm_ccgr59_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR59_CLR.
static const field_t hw_ccm_ccgr59_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR59_TOG.
static const field_t hw_ccm_ccgr59_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR60.
static const field_t hw_ccm_ccgr60[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR60_SET.
static const field_t hw_ccm_ccgr60_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR60_CLR.
static const field_t hw_ccm_ccgr60_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR60_TOG.
static const field_t hw_ccm_ccgr60_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR61.
static const field_t hw_ccm_ccgr61[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR61_SET.
static const field_t hw_ccm_ccgr61_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR61_CLR.
static const field_t hw_ccm_ccgr61_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR61_TOG.
static const field_t hw_ccm_ccgr61_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR62.
static const field_t hw_ccm_ccgr62[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR62_SET.
static const field_t hw_ccm_ccgr62_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR62_CLR.
static const field_t hw_ccm_ccgr62_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR62_TOG.
static const field_t hw_ccm_ccgr62_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR63.
static const field_t hw_ccm_ccgr63[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR63_SET.
static const field_t hw_ccm_ccgr63_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR63_CLR.
static const field_t hw_ccm_ccgr63_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR63_TOG.
static const field_t hw_ccm_ccgr63_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR64.
static const field_t hw_ccm_ccgr64[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR64_SET.
static const field_t hw_ccm_ccgr64_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR64_CLR.
static const field_t hw_ccm_ccgr64_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR64_TOG.
static const field_t hw_ccm_ccgr64_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR65.
static const field_t hw_ccm_ccgr65[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR65_SET.
static const field_t hw_ccm_ccgr65_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR65_CLR.
static const field_t hw_ccm_ccgr65_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR65_TOG.
static const field_t hw_ccm_ccgr65_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR66.
static const field_t hw_ccm_ccgr66[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR66_SET.
static const field_t hw_ccm_ccgr66_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR66_CLR.
static const field_t hw_ccm_ccgr66_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR66_TOG.
static const field_t hw_ccm_ccgr66_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR67.
static const field_t hw_ccm_ccgr67[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR67_SET.
static const field_t hw_ccm_ccgr67_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR67_CLR.
static const field_t hw_ccm_ccgr67_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR67_TOG.
static const field_t hw_ccm_ccgr67_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR68.
static const field_t hw_ccm_ccgr68[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR68_SET.
static const field_t hw_ccm_ccgr68_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR68_CLR.
static const field_t hw_ccm_ccgr68_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR68_TOG.
static const field_t hw_ccm_ccgr68_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR69.
static const field_t hw_ccm_ccgr69[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR69_SET.
static const field_t hw_ccm_ccgr69_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR69_CLR.
static const field_t hw_ccm_ccgr69_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR69_TOG.
static const field_t hw_ccm_ccgr69_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR70.
static const field_t hw_ccm_ccgr70[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR70_SET.
static const field_t hw_ccm_ccgr70_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR70_CLR.
static const field_t hw_ccm_ccgr70_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR70_TOG.
static const field_t hw_ccm_ccgr70_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR71.
static const field_t hw_ccm_ccgr71[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR71_SET.
static const field_t hw_ccm_ccgr71_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR71_CLR.
static const field_t hw_ccm_ccgr71_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR71_TOG.
static const field_t hw_ccm_ccgr71_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR72.
static const field_t hw_ccm_ccgr72[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR72_SET.
static const field_t hw_ccm_ccgr72_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR72_CLR.
static const field_t hw_ccm_ccgr72_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR72_TOG.
static const field_t hw_ccm_ccgr72_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR73.
static const field_t hw_ccm_ccgr73[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR73_SET.
static const field_t hw_ccm_ccgr73_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR73_CLR.
static const field_t hw_ccm_ccgr73_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR73_TOG.
static const field_t hw_ccm_ccgr73_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR74.
static const field_t hw_ccm_ccgr74[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR74_SET.
static const field_t hw_ccm_ccgr74_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR74_CLR.
static const field_t hw_ccm_ccgr74_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR74_TOG.
static const field_t hw_ccm_ccgr74_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR75.
static const field_t hw_ccm_ccgr75[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR75_SET.
static const field_t hw_ccm_ccgr75_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR75_CLR.
static const field_t hw_ccm_ccgr75_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR75_TOG.
static const field_t hw_ccm_ccgr75_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR76.
static const field_t hw_ccm_ccgr76[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR76_SET.
static const field_t hw_ccm_ccgr76_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR76_CLR.
static const field_t hw_ccm_ccgr76_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR76_TOG.
static const field_t hw_ccm_ccgr76_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR77.
static const field_t hw_ccm_ccgr77[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR77_SET.
static const field_t hw_ccm_ccgr77_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR77_CLR.
static const field_t hw_ccm_ccgr77_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR77_TOG.
static const field_t hw_ccm_ccgr77_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR78.
static const field_t hw_ccm_ccgr78[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR78_SET.
static const field_t hw_ccm_ccgr78_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR78_CLR.
static const field_t hw_ccm_ccgr78_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR78_TOG.
static const field_t hw_ccm_ccgr78_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR79.
static const field_t hw_ccm_ccgr79[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR79_SET.
static const field_t hw_ccm_ccgr79_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR79_CLR.
static const field_t hw_ccm_ccgr79_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR79_TOG.
static const field_t hw_ccm_ccgr79_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR80.
static const field_t hw_ccm_ccgr80[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR80_SET.
static const field_t hw_ccm_ccgr80_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR80_CLR.
static const field_t hw_ccm_ccgr80_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR80_TOG.
static const field_t hw_ccm_ccgr80_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR81.
static const field_t hw_ccm_ccgr81[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR81_SET.
static const field_t hw_ccm_ccgr81_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR81_CLR.
static const field_t hw_ccm_ccgr81_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR81_TOG.
static const field_t hw_ccm_ccgr81_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR82.
static const field_t hw_ccm_ccgr82[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR82_SET.
static const field_t hw_ccm_ccgr82_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR82_CLR.
static const field_t hw_ccm_ccgr82_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR82_TOG.
static const field_t hw_ccm_ccgr82_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR83.
static const field_t hw_ccm_ccgr83[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR83_SET.
static const field_t hw_ccm_ccgr83_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR83_CLR.
static const field_t hw_ccm_ccgr83_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR83_TOG.
static const field_t hw_ccm_ccgr83_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR84.
static const field_t hw_ccm_ccgr84[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR84_SET.
static const field_t hw_ccm_ccgr84_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR84_CLR.
static const field_t hw_ccm_ccgr84_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR84_TOG.
static const field_t hw_ccm_ccgr84_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR85.
static const field_t hw_ccm_ccgr85[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR85_SET.
static const field_t hw_ccm_ccgr85_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR85_CLR.
static const field_t hw_ccm_ccgr85_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR85_TOG.
static const field_t hw_ccm_ccgr85_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR86.
static const field_t hw_ccm_ccgr86[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR86_SET.
static const field_t hw_ccm_ccgr86_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR86_CLR.
static const field_t hw_ccm_ccgr86_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR86_TOG.
static const field_t hw_ccm_ccgr86_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR87.
static const field_t hw_ccm_ccgr87[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR87_SET.
static const field_t hw_ccm_ccgr87_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR87_CLR.
static const field_t hw_ccm_ccgr87_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR87_TOG.
static const field_t hw_ccm_ccgr87_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR88.
static const field_t hw_ccm_ccgr88[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR88_SET.
static const field_t hw_ccm_ccgr88_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR88_CLR.
static const field_t hw_ccm_ccgr88_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR88_TOG.
static const field_t hw_ccm_ccgr88_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR89.
static const field_t hw_ccm_ccgr89[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR89_SET.
static const field_t hw_ccm_ccgr89_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR89_CLR.
static const field_t hw_ccm_ccgr89_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR89_TOG.
static const field_t hw_ccm_ccgr89_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR90.
static const field_t hw_ccm_ccgr90[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR90_SET.
static const field_t hw_ccm_ccgr90_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR90_CLR.
static const field_t hw_ccm_ccgr90_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR90_TOG.
static const field_t hw_ccm_ccgr90_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR91.
static const field_t hw_ccm_ccgr91[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR91_SET.
static const field_t hw_ccm_ccgr91_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR91_CLR.
static const field_t hw_ccm_ccgr91_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR91_TOG.
static const field_t hw_ccm_ccgr91_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR92.
static const field_t hw_ccm_ccgr92[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR92_SET.
static const field_t hw_ccm_ccgr92_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR92_CLR.
static const field_t hw_ccm_ccgr92_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR92_TOG.
static const field_t hw_ccm_ccgr92_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR93.
static const field_t hw_ccm_ccgr93[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR93_SET.
static const field_t hw_ccm_ccgr93_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR93_CLR.
static const field_t hw_ccm_ccgr93_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR93_TOG.
static const field_t hw_ccm_ccgr93_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR94.
static const field_t hw_ccm_ccgr94[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR94_SET.
static const field_t hw_ccm_ccgr94_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR94_CLR.
static const field_t hw_ccm_ccgr94_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR94_TOG.
static const field_t hw_ccm_ccgr94_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR95.
static const field_t hw_ccm_ccgr95[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR95_SET.
static const field_t hw_ccm_ccgr95_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR95_CLR.
static const field_t hw_ccm_ccgr95_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR95_TOG.
static const field_t hw_ccm_ccgr95_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR96.
static const field_t hw_ccm_ccgr96[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR96_SET.
static const field_t hw_ccm_ccgr96_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR96_CLR.
static const field_t hw_ccm_ccgr96_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR96_TOG.
static const field_t hw_ccm_ccgr96_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR97.
static const field_t hw_ccm_ccgr97[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR97_SET.
static const field_t hw_ccm_ccgr97_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR97_CLR.
static const field_t hw_ccm_ccgr97_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR97_TOG.
static const field_t hw_ccm_ccgr97_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR98.
static const field_t hw_ccm_ccgr98[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR98_SET.
static const field_t hw_ccm_ccgr98_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR98_CLR.
static const field_t hw_ccm_ccgr98_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR98_TOG.
static const field_t hw_ccm_ccgr98_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR99.
static const field_t hw_ccm_ccgr99[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR99_SET.
static const field_t hw_ccm_ccgr99_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR99_CLR.
static const field_t hw_ccm_ccgr99_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR99_TOG.
static const field_t hw_ccm_ccgr99_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR100.
static const field_t hw_ccm_ccgr100[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR100_SET.
static const field_t hw_ccm_ccgr100_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR100_CLR.
static const field_t hw_ccm_ccgr100_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR100_TOG.
static const field_t hw_ccm_ccgr100_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR101.
static const field_t hw_ccm_ccgr101[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR101_SET.
static const field_t hw_ccm_ccgr101_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR101_CLR.
static const field_t hw_ccm_ccgr101_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR101_TOG.
static const field_t hw_ccm_ccgr101_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR102.
static const field_t hw_ccm_ccgr102[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR102_SET.
static const field_t hw_ccm_ccgr102_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR102_CLR.
static const field_t hw_ccm_ccgr102_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR102_TOG.
static const field_t hw_ccm_ccgr102_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR103.
static const field_t hw_ccm_ccgr103[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR103_SET.
static const field_t hw_ccm_ccgr103_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR103_CLR.
static const field_t hw_ccm_ccgr103_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR103_TOG.
static const field_t hw_ccm_ccgr103_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR104.
static const field_t hw_ccm_ccgr104[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR104_SET.
static const field_t hw_ccm_ccgr104_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR104_CLR.
static const field_t hw_ccm_ccgr104_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR104_TOG.
static const field_t hw_ccm_ccgr104_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR105.
static const field_t hw_ccm_ccgr105[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR105_SET.
static const field_t hw_ccm_ccgr105_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR105_CLR.
static const field_t hw_ccm_ccgr105_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR105_TOG.
static const field_t hw_ccm_ccgr105_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR106.
static const field_t hw_ccm_ccgr106[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR106_SET.
static const field_t hw_ccm_ccgr106_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR106_CLR.
static const field_t hw_ccm_ccgr106_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR106_TOG.
static const field_t hw_ccm_ccgr106_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR107.
static const field_t hw_ccm_ccgr107[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR107_SET.
static const field_t hw_ccm_ccgr107_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR107_CLR.
static const field_t hw_ccm_ccgr107_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR107_TOG.
static const field_t hw_ccm_ccgr107_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR108.
static const field_t hw_ccm_ccgr108[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR108_SET.
static const field_t hw_ccm_ccgr108_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR108_CLR.
static const field_t hw_ccm_ccgr108_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR108_TOG.
static const field_t hw_ccm_ccgr108_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR109.
static const field_t hw_ccm_ccgr109[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR109_SET.
static const field_t hw_ccm_ccgr109_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR109_CLR.
static const field_t hw_ccm_ccgr109_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR109_TOG.
static const field_t hw_ccm_ccgr109_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR110.
static const field_t hw_ccm_ccgr110[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR110_SET.
static const field_t hw_ccm_ccgr110_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR110_CLR.
static const field_t hw_ccm_ccgr110_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR110_TOG.
static const field_t hw_ccm_ccgr110_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR111.
static const field_t hw_ccm_ccgr111[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR111_SET.
static const field_t hw_ccm_ccgr111_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR111_CLR.
static const field_t hw_ccm_ccgr111_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR111_TOG.
static const field_t hw_ccm_ccgr111_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR112.
static const field_t hw_ccm_ccgr112[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR112_SET.
static const field_t hw_ccm_ccgr112_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR112_CLR.
static const field_t hw_ccm_ccgr112_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR112_TOG.
static const field_t hw_ccm_ccgr112_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR113.
static const field_t hw_ccm_ccgr113[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR113_SET.
static const field_t hw_ccm_ccgr113_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR113_CLR.
static const field_t hw_ccm_ccgr113_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR113_TOG.
static const field_t hw_ccm_ccgr113_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR114.
static const field_t hw_ccm_ccgr114[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR114_SET.
static const field_t hw_ccm_ccgr114_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR114_CLR.
static const field_t hw_ccm_ccgr114_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR114_TOG.
static const field_t hw_ccm_ccgr114_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR115.
static const field_t hw_ccm_ccgr115[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR115_SET.
static const field_t hw_ccm_ccgr115_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR115_CLR.
static const field_t hw_ccm_ccgr115_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR115_TOG.
static const field_t hw_ccm_ccgr115_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR116.
static const field_t hw_ccm_ccgr116[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR116_SET.
static const field_t hw_ccm_ccgr116_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR116_CLR.
static const field_t hw_ccm_ccgr116_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR116_TOG.
static const field_t hw_ccm_ccgr116_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR117.
static const field_t hw_ccm_ccgr117[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR117_SET.
static const field_t hw_ccm_ccgr117_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR117_CLR.
static const field_t hw_ccm_ccgr117_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR117_TOG.
static const field_t hw_ccm_ccgr117_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR118.
static const field_t hw_ccm_ccgr118[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR118_SET.
static const field_t hw_ccm_ccgr118_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR118_CLR.
static const field_t hw_ccm_ccgr118_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR118_TOG.
static const field_t hw_ccm_ccgr118_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR119.
static const field_t hw_ccm_ccgr119[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR119_SET.
static const field_t hw_ccm_ccgr119_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR119_CLR.
static const field_t hw_ccm_ccgr119_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR119_TOG.
static const field_t hw_ccm_ccgr119_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR120.
static const field_t hw_ccm_ccgr120[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR120_SET.
static const field_t hw_ccm_ccgr120_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR120_CLR.
static const field_t hw_ccm_ccgr120_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR120_TOG.
static const field_t hw_ccm_ccgr120_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR121.
static const field_t hw_ccm_ccgr121[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR121_SET.
static const field_t hw_ccm_ccgr121_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR121_CLR.
static const field_t hw_ccm_ccgr121_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR121_TOG.
static const field_t hw_ccm_ccgr121_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR122.
static const field_t hw_ccm_ccgr122[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR122_SET.
static const field_t hw_ccm_ccgr122_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR122_CLR.
static const field_t hw_ccm_ccgr122_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR122_TOG.
static const field_t hw_ccm_ccgr122_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR123.
static const field_t hw_ccm_ccgr123[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR123_SET.
static const field_t hw_ccm_ccgr123_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR123_CLR.
static const field_t hw_ccm_ccgr123_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR123_TOG.
static const field_t hw_ccm_ccgr123_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR124.
static const field_t hw_ccm_ccgr124[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR124_SET.
static const field_t hw_ccm_ccgr124_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR124_CLR.
static const field_t hw_ccm_ccgr124_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR124_TOG.
static const field_t hw_ccm_ccgr124_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR125.
static const field_t hw_ccm_ccgr125[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR125_SET.
static const field_t hw_ccm_ccgr125_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR125_CLR.
static const field_t hw_ccm_ccgr125_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR125_TOG.
static const field_t hw_ccm_ccgr125_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR126.
static const field_t hw_ccm_ccgr126[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR126_SET.
static const field_t hw_ccm_ccgr126_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR126_CLR.
static const field_t hw_ccm_ccgr126_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR126_TOG.
static const field_t hw_ccm_ccgr126_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR127.
static const field_t hw_ccm_ccgr127[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR127_SET.
static const field_t hw_ccm_ccgr127_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR127_CLR.
static const field_t hw_ccm_ccgr127_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR127_TOG.
static const field_t hw_ccm_ccgr127_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR128.
static const field_t hw_ccm_ccgr128[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR128_SET.
static const field_t hw_ccm_ccgr128_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR128_CLR.
static const field_t hw_ccm_ccgr128_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR128_TOG.
static const field_t hw_ccm_ccgr128_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR129.
static const field_t hw_ccm_ccgr129[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR129_SET.
static const field_t hw_ccm_ccgr129_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR129_CLR.
static const field_t hw_ccm_ccgr129_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR129_TOG.
static const field_t hw_ccm_ccgr129_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR130.
static const field_t hw_ccm_ccgr130[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR130_SET.
static const field_t hw_ccm_ccgr130_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR130_CLR.
static const field_t hw_ccm_ccgr130_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR130_TOG.
static const field_t hw_ccm_ccgr130_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR131.
static const field_t hw_ccm_ccgr131[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR131_SET.
static const field_t hw_ccm_ccgr131_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR131_CLR.
static const field_t hw_ccm_ccgr131_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR131_TOG.
static const field_t hw_ccm_ccgr131_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR132.
static const field_t hw_ccm_ccgr132[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR132_SET.
static const field_t hw_ccm_ccgr132_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR132_CLR.
static const field_t hw_ccm_ccgr132_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR132_TOG.
static const field_t hw_ccm_ccgr132_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR133.
static const field_t hw_ccm_ccgr133[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR133_SET.
static const field_t hw_ccm_ccgr133_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR133_CLR.
static const field_t hw_ccm_ccgr133_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR133_TOG.
static const field_t hw_ccm_ccgr133_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR134.
static const field_t hw_ccm_ccgr134[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR134_SET.
static const field_t hw_ccm_ccgr134_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR134_CLR.
static const field_t hw_ccm_ccgr134_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR134_TOG.
static const field_t hw_ccm_ccgr134_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR135.
static const field_t hw_ccm_ccgr135[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR135_SET.
static const field_t hw_ccm_ccgr135_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR135_CLR.
static const field_t hw_ccm_ccgr135_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR135_TOG.
static const field_t hw_ccm_ccgr135_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR136.
static const field_t hw_ccm_ccgr136[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR136_SET.
static const field_t hw_ccm_ccgr136_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR136_CLR.
static const field_t hw_ccm_ccgr136_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR136_TOG.
static const field_t hw_ccm_ccgr136_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR137.
static const field_t hw_ccm_ccgr137[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR137_SET.
static const field_t hw_ccm_ccgr137_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR137_CLR.
static const field_t hw_ccm_ccgr137_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR137_TOG.
static const field_t hw_ccm_ccgr137_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR138.
static const field_t hw_ccm_ccgr138[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR138_SET.
static const field_t hw_ccm_ccgr138_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR138_CLR.
static const field_t hw_ccm_ccgr138_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR138_TOG.
static const field_t hw_ccm_ccgr138_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR139.
static const field_t hw_ccm_ccgr139[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR139_SET.
static const field_t hw_ccm_ccgr139_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR139_CLR.
static const field_t hw_ccm_ccgr139_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR139_TOG.
static const field_t hw_ccm_ccgr139_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR140.
static const field_t hw_ccm_ccgr140[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR140_SET.
static const field_t hw_ccm_ccgr140_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR140_CLR.
static const field_t hw_ccm_ccgr140_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR140_TOG.
static const field_t hw_ccm_ccgr140_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR141.
static const field_t hw_ccm_ccgr141[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR141_SET.
static const field_t hw_ccm_ccgr141_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR141_CLR.
static const field_t hw_ccm_ccgr141_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR141_TOG.
static const field_t hw_ccm_ccgr141_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR142.
static const field_t hw_ccm_ccgr142[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR142_SET.
static const field_t hw_ccm_ccgr142_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR142_CLR.
static const field_t hw_ccm_ccgr142_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR142_TOG.
static const field_t hw_ccm_ccgr142_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR143.
static const field_t hw_ccm_ccgr143[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR143_SET.
static const field_t hw_ccm_ccgr143_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR143_CLR.
static const field_t hw_ccm_ccgr143_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR143_TOG.
static const field_t hw_ccm_ccgr143_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR144.
static const field_t hw_ccm_ccgr144[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR144_SET.
static const field_t hw_ccm_ccgr144_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR144_CLR.
static const field_t hw_ccm_ccgr144_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR144_TOG.
static const field_t hw_ccm_ccgr144_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR145.
static const field_t hw_ccm_ccgr145[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR145_SET.
static const field_t hw_ccm_ccgr145_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR145_CLR.
static const field_t hw_ccm_ccgr145_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR145_TOG.
static const field_t hw_ccm_ccgr145_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR146.
static const field_t hw_ccm_ccgr146[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR146_SET.
static const field_t hw_ccm_ccgr146_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR146_CLR.
static const field_t hw_ccm_ccgr146_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR146_TOG.
static const field_t hw_ccm_ccgr146_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR147.
static const field_t hw_ccm_ccgr147[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR147_SET.
static const field_t hw_ccm_ccgr147_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR147_CLR.
static const field_t hw_ccm_ccgr147_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR147_TOG.
static const field_t hw_ccm_ccgr147_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR148.
static const field_t hw_ccm_ccgr148[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR148_SET.
static const field_t hw_ccm_ccgr148_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR148_CLR.
static const field_t hw_ccm_ccgr148_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR148_TOG.
static const field_t hw_ccm_ccgr148_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR149.
static const field_t hw_ccm_ccgr149[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR149_SET.
static const field_t hw_ccm_ccgr149_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR149_CLR.
static const field_t hw_ccm_ccgr149_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR149_TOG.
static const field_t hw_ccm_ccgr149_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR150.
static const field_t hw_ccm_ccgr150[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR150_SET.
static const field_t hw_ccm_ccgr150_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR150_CLR.
static const field_t hw_ccm_ccgr150_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR150_TOG.
static const field_t hw_ccm_ccgr150_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR151.
static const field_t hw_ccm_ccgr151[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR151_SET.
static const field_t hw_ccm_ccgr151_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR151_CLR.
static const field_t hw_ccm_ccgr151_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR151_TOG.
static const field_t hw_ccm_ccgr151_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR152.
static const field_t hw_ccm_ccgr152[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR152_SET.
static const field_t hw_ccm_ccgr152_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR152_CLR.
static const field_t hw_ccm_ccgr152_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR152_TOG.
static const field_t hw_ccm_ccgr152_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR153.
static const field_t hw_ccm_ccgr153[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR153_SET.
static const field_t hw_ccm_ccgr153_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR153_CLR.
static const field_t hw_ccm_ccgr153_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR153_TOG.
static const field_t hw_ccm_ccgr153_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR154.
static const field_t hw_ccm_ccgr154[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR154_SET.
static const field_t hw_ccm_ccgr154_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR154_CLR.
static const field_t hw_ccm_ccgr154_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR154_TOG.
static const field_t hw_ccm_ccgr154_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR155.
static const field_t hw_ccm_ccgr155[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR155_SET.
static const field_t hw_ccm_ccgr155_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR155_CLR.
static const field_t hw_ccm_ccgr155_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR155_TOG.
static const field_t hw_ccm_ccgr155_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR156.
static const field_t hw_ccm_ccgr156[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR156_SET.
static const field_t hw_ccm_ccgr156_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR156_CLR.
static const field_t hw_ccm_ccgr156_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR156_TOG.
static const field_t hw_ccm_ccgr156_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR157.
static const field_t hw_ccm_ccgr157[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR157_SET.
static const field_t hw_ccm_ccgr157_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR157_CLR.
static const field_t hw_ccm_ccgr157_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR157_TOG.
static const field_t hw_ccm_ccgr157_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR158.
static const field_t hw_ccm_ccgr158[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR158_SET.
static const field_t hw_ccm_ccgr158_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR158_CLR.
static const field_t hw_ccm_ccgr158_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR158_TOG.
static const field_t hw_ccm_ccgr158_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR159.
static const field_t hw_ccm_ccgr159[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR159_SET.
static const field_t hw_ccm_ccgr159_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR159_CLR.
static const field_t hw_ccm_ccgr159_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR159_TOG.
static const field_t hw_ccm_ccgr159_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR160.
static const field_t hw_ccm_ccgr160[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR160_SET.
static const field_t hw_ccm_ccgr160_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR160_CLR.
static const field_t hw_ccm_ccgr160_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR160_TOG.
static const field_t hw_ccm_ccgr160_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR161.
static const field_t hw_ccm_ccgr161[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR161_SET.
static const field_t hw_ccm_ccgr161_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR161_CLR.
static const field_t hw_ccm_ccgr161_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR161_TOG.
static const field_t hw_ccm_ccgr161_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR162.
static const field_t hw_ccm_ccgr162[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR162_SET.
static const field_t hw_ccm_ccgr162_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR162_CLR.
static const field_t hw_ccm_ccgr162_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR162_TOG.
static const field_t hw_ccm_ccgr162_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR163.
static const field_t hw_ccm_ccgr163[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR163_SET.
static const field_t hw_ccm_ccgr163_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR163_CLR.
static const field_t hw_ccm_ccgr163_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR163_TOG.
static const field_t hw_ccm_ccgr163_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR164.
static const field_t hw_ccm_ccgr164[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR164_SET.
static const field_t hw_ccm_ccgr164_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR164_CLR.
static const field_t hw_ccm_ccgr164_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR164_TOG.
static const field_t hw_ccm_ccgr164_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR165.
static const field_t hw_ccm_ccgr165[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR165_SET.
static const field_t hw_ccm_ccgr165_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR165_CLR.
static const field_t hw_ccm_ccgr165_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR165_TOG.
static const field_t hw_ccm_ccgr165_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR166.
static const field_t hw_ccm_ccgr166[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR166_SET.
static const field_t hw_ccm_ccgr166_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR166_CLR.
static const field_t hw_ccm_ccgr166_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR166_TOG.
static const field_t hw_ccm_ccgr166_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR167.
static const field_t hw_ccm_ccgr167[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR167_SET.
static const field_t hw_ccm_ccgr167_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR167_CLR.
static const field_t hw_ccm_ccgr167_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR167_TOG.
static const field_t hw_ccm_ccgr167_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR168.
static const field_t hw_ccm_ccgr168[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR168_SET.
static const field_t hw_ccm_ccgr168_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR168_CLR.
static const field_t hw_ccm_ccgr168_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR168_TOG.
static const field_t hw_ccm_ccgr168_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR169.
static const field_t hw_ccm_ccgr169[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR169_SET.
static const field_t hw_ccm_ccgr169_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR169_CLR.
static const field_t hw_ccm_ccgr169_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR169_TOG.
static const field_t hw_ccm_ccgr169_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR170.
static const field_t hw_ccm_ccgr170[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR170_SET.
static const field_t hw_ccm_ccgr170_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR170_CLR.
static const field_t hw_ccm_ccgr170_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR170_TOG.
static const field_t hw_ccm_ccgr170_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR171.
static const field_t hw_ccm_ccgr171[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR171_SET.
static const field_t hw_ccm_ccgr171_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR171_CLR.
static const field_t hw_ccm_ccgr171_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR171_TOG.
static const field_t hw_ccm_ccgr171_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR172.
static const field_t hw_ccm_ccgr172[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR172_SET.
static const field_t hw_ccm_ccgr172_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR172_CLR.
static const field_t hw_ccm_ccgr172_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR172_TOG.
static const field_t hw_ccm_ccgr172_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR173.
static const field_t hw_ccm_ccgr173[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR173_SET.
static const field_t hw_ccm_ccgr173_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR173_CLR.
static const field_t hw_ccm_ccgr173_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR173_TOG.
static const field_t hw_ccm_ccgr173_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR174.
static const field_t hw_ccm_ccgr174[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR174_SET.
static const field_t hw_ccm_ccgr174_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR174_CLR.
static const field_t hw_ccm_ccgr174_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR174_TOG.
static const field_t hw_ccm_ccgr174_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR175.
static const field_t hw_ccm_ccgr175[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR175_SET.
static const field_t hw_ccm_ccgr175_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR175_CLR.
static const field_t hw_ccm_ccgr175_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR175_TOG.
static const field_t hw_ccm_ccgr175_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR176.
static const field_t hw_ccm_ccgr176[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR176_SET.
static const field_t hw_ccm_ccgr176_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR176_CLR.
static const field_t hw_ccm_ccgr176_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR176_TOG.
static const field_t hw_ccm_ccgr176_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR177.
static const field_t hw_ccm_ccgr177[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR177_SET.
static const field_t hw_ccm_ccgr177_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR177_CLR.
static const field_t hw_ccm_ccgr177_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR177_TOG.
static const field_t hw_ccm_ccgr177_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR178.
static const field_t hw_ccm_ccgr178[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR178_SET.
static const field_t hw_ccm_ccgr178_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR178_CLR.
static const field_t hw_ccm_ccgr178_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR178_TOG.
static const field_t hw_ccm_ccgr178_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR179.
static const field_t hw_ccm_ccgr179[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR179_SET.
static const field_t hw_ccm_ccgr179_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR179_CLR.
static const field_t hw_ccm_ccgr179_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR179_TOG.
static const field_t hw_ccm_ccgr179_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR180.
static const field_t hw_ccm_ccgr180[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR180_SET.
static const field_t hw_ccm_ccgr180_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR180_CLR.
static const field_t hw_ccm_ccgr180_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR180_TOG.
static const field_t hw_ccm_ccgr180_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR181.
static const field_t hw_ccm_ccgr181[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR181_SET.
static const field_t hw_ccm_ccgr181_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR181_CLR.
static const field_t hw_ccm_ccgr181_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR181_TOG.
static const field_t hw_ccm_ccgr181_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR182.
static const field_t hw_ccm_ccgr182[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR182_SET.
static const field_t hw_ccm_ccgr182_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR182_CLR.
static const field_t hw_ccm_ccgr182_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR182_TOG.
static const field_t hw_ccm_ccgr182_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR183.
static const field_t hw_ccm_ccgr183[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR183_SET.
static const field_t hw_ccm_ccgr183_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR183_CLR.
static const field_t hw_ccm_ccgr183_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR183_TOG.
static const field_t hw_ccm_ccgr183_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR184.
static const field_t hw_ccm_ccgr184[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR184_SET.
static const field_t hw_ccm_ccgr184_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR184_CLR.
static const field_t hw_ccm_ccgr184_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR184_TOG.
static const field_t hw_ccm_ccgr184_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR185.
static const field_t hw_ccm_ccgr185[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR185_SET.
static const field_t hw_ccm_ccgr185_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR185_CLR.
static const field_t hw_ccm_ccgr185_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR185_TOG.
static const field_t hw_ccm_ccgr185_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR186.
static const field_t hw_ccm_ccgr186[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR186_SET.
static const field_t hw_ccm_ccgr186_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR186_CLR.
static const field_t hw_ccm_ccgr186_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR186_TOG.
static const field_t hw_ccm_ccgr186_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR187.
static const field_t hw_ccm_ccgr187[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR187_SET.
static const field_t hw_ccm_ccgr187_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR187_CLR.
static const field_t hw_ccm_ccgr187_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR187_TOG.
static const field_t hw_ccm_ccgr187_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR188.
static const field_t hw_ccm_ccgr188[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR188_SET.
static const field_t hw_ccm_ccgr188_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR188_CLR.
static const field_t hw_ccm_ccgr188_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR188_TOG.
static const field_t hw_ccm_ccgr188_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR189.
static const field_t hw_ccm_ccgr189[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR189_SET.
static const field_t hw_ccm_ccgr189_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR189_CLR.
static const field_t hw_ccm_ccgr189_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR189_TOG.
static const field_t hw_ccm_ccgr189_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR190.
static const field_t hw_ccm_ccgr190[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR190_SET.
static const field_t hw_ccm_ccgr190_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR190_CLR.
static const field_t hw_ccm_ccgr190_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR190_TOG.
static const field_t hw_ccm_ccgr190_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT0.
static const field_t hw_ccm_target_root0[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT0_SET.
static const field_t hw_ccm_target_root0_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT0_CLR.
static const field_t hw_ccm_target_root0_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT0_TOG.
static const field_t hw_ccm_target_root0_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC0.
static const field_t hw_ccm_misc0[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT0_SET.
static const field_t hw_ccm_misc_root0_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT0_CLR.
static const field_t hw_ccm_misc_root0_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT0_TOG.
static const field_t hw_ccm_misc_root0_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST0.
static const field_t hw_ccm_post0[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT0_SET.
static const field_t hw_ccm_post_root0_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT0_CLR.
static const field_t hw_ccm_post_root0_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT0_TOG.
static const field_t hw_ccm_post_root0_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE0.
static const field_t hw_ccm_pre0[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT0_SET.
static const field_t hw_ccm_pre_root0_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT0_CLR.
static const field_t hw_ccm_pre_root0_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT0_TOG.
static const field_t hw_ccm_pre_root0_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL0.
static const field_t hw_ccm_access_ctrl0[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT0_SET.
static const field_t hw_ccm_access_ctrl_root0_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT0_CLR.
static const field_t hw_ccm_access_ctrl_root0_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT0_TOG.
static const field_t hw_ccm_access_ctrl_root0_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT1.
static const field_t hw_ccm_target_root1[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT1_SET.
static const field_t hw_ccm_target_root1_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT1_CLR.
static const field_t hw_ccm_target_root1_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT1_TOG.
static const field_t hw_ccm_target_root1_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC1.
static const field_t hw_ccm_misc1[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT1_SET.
static const field_t hw_ccm_misc_root1_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT1_CLR.
static const field_t hw_ccm_misc_root1_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT1_TOG.
static const field_t hw_ccm_misc_root1_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST1.
static const field_t hw_ccm_post1[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT1_SET.
static const field_t hw_ccm_post_root1_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT1_CLR.
static const field_t hw_ccm_post_root1_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT1_TOG.
static const field_t hw_ccm_post_root1_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE1.
static const field_t hw_ccm_pre1[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT1_SET.
static const field_t hw_ccm_pre_root1_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT1_CLR.
static const field_t hw_ccm_pre_root1_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT1_TOG.
static const field_t hw_ccm_pre_root1_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL1.
static const field_t hw_ccm_access_ctrl1[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT1_SET.
static const field_t hw_ccm_access_ctrl_root1_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT1_CLR.
static const field_t hw_ccm_access_ctrl_root1_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT1_TOG.
static const field_t hw_ccm_access_ctrl_root1_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT2.
static const field_t hw_ccm_target_root2[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT2_SET.
static const field_t hw_ccm_target_root2_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT2_CLR.
static const field_t hw_ccm_target_root2_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT2_TOG.
static const field_t hw_ccm_target_root2_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC2.
static const field_t hw_ccm_misc2[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT2_SET.
static const field_t hw_ccm_misc_root2_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT2_CLR.
static const field_t hw_ccm_misc_root2_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT2_TOG.
static const field_t hw_ccm_misc_root2_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST2.
static const field_t hw_ccm_post2[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT2_SET.
static const field_t hw_ccm_post_root2_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT2_CLR.
static const field_t hw_ccm_post_root2_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT2_TOG.
static const field_t hw_ccm_post_root2_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE2.
static const field_t hw_ccm_pre2[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT2_SET.
static const field_t hw_ccm_pre_root2_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT2_CLR.
static const field_t hw_ccm_pre_root2_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT2_TOG.
static const field_t hw_ccm_pre_root2_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL2.
static const field_t hw_ccm_access_ctrl2[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT2_SET.
static const field_t hw_ccm_access_ctrl_root2_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT2_CLR.
static const field_t hw_ccm_access_ctrl_root2_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT2_TOG.
static const field_t hw_ccm_access_ctrl_root2_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT3.
static const field_t hw_ccm_target_root3[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT3_SET.
static const field_t hw_ccm_target_root3_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT3_CLR.
static const field_t hw_ccm_target_root3_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT3_TOG.
static const field_t hw_ccm_target_root3_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC3.
static const field_t hw_ccm_misc3[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT3_SET.
static const field_t hw_ccm_misc_root3_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT3_CLR.
static const field_t hw_ccm_misc_root3_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT3_TOG.
static const field_t hw_ccm_misc_root3_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST3.
static const field_t hw_ccm_post3[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT3_SET.
static const field_t hw_ccm_post_root3_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT3_CLR.
static const field_t hw_ccm_post_root3_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT3_TOG.
static const field_t hw_ccm_post_root3_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE3.
static const field_t hw_ccm_pre3[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT3_SET.
static const field_t hw_ccm_pre_root3_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT3_CLR.
static const field_t hw_ccm_pre_root3_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT3_TOG.
static const field_t hw_ccm_pre_root3_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL3.
static const field_t hw_ccm_access_ctrl3[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT3_SET.
static const field_t hw_ccm_access_ctrl_root3_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT3_CLR.
static const field_t hw_ccm_access_ctrl_root3_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT3_TOG.
static const field_t hw_ccm_access_ctrl_root3_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT4.
static const field_t hw_ccm_target_root4[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT4_SET.
static const field_t hw_ccm_target_root4_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT4_CLR.
static const field_t hw_ccm_target_root4_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT4_TOG.
static const field_t hw_ccm_target_root4_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC4.
static const field_t hw_ccm_misc4[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT4_SET.
static const field_t hw_ccm_misc_root4_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT4_CLR.
static const field_t hw_ccm_misc_root4_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT4_TOG.
static const field_t hw_ccm_misc_root4_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST4.
static const field_t hw_ccm_post4[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT4_SET.
static const field_t hw_ccm_post_root4_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT4_CLR.
static const field_t hw_ccm_post_root4_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT4_TOG.
static const field_t hw_ccm_post_root4_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE4.
static const field_t hw_ccm_pre4[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT4_SET.
static const field_t hw_ccm_pre_root4_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT4_CLR.
static const field_t hw_ccm_pre_root4_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT4_TOG.
static const field_t hw_ccm_pre_root4_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL4.
static const field_t hw_ccm_access_ctrl4[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT4_SET.
static const field_t hw_ccm_access_ctrl_root4_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT4_CLR.
static const field_t hw_ccm_access_ctrl_root4_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT4_TOG.
static const field_t hw_ccm_access_ctrl_root4_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT5.
static const field_t hw_ccm_target_root5[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT5_SET.
static const field_t hw_ccm_target_root5_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT5_CLR.
static const field_t hw_ccm_target_root5_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT5_TOG.
static const field_t hw_ccm_target_root5_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC5.
static const field_t hw_ccm_misc5[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT5_SET.
static const field_t hw_ccm_misc_root5_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT5_CLR.
static const field_t hw_ccm_misc_root5_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT5_TOG.
static const field_t hw_ccm_misc_root5_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST5.
static const field_t hw_ccm_post5[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT5_SET.
static const field_t hw_ccm_post_root5_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT5_CLR.
static const field_t hw_ccm_post_root5_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT5_TOG.
static const field_t hw_ccm_post_root5_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE5.
static const field_t hw_ccm_pre5[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT5_SET.
static const field_t hw_ccm_pre_root5_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT5_CLR.
static const field_t hw_ccm_pre_root5_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT5_TOG.
static const field_t hw_ccm_pre_root5_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL5.
static const field_t hw_ccm_access_ctrl5[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT5_SET.
static const field_t hw_ccm_access_ctrl_root5_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT5_CLR.
static const field_t hw_ccm_access_ctrl_root5_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT5_TOG.
static const field_t hw_ccm_access_ctrl_root5_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT6.
static const field_t hw_ccm_target_root6[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT6_SET.
static const field_t hw_ccm_target_root6_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT6_CLR.
static const field_t hw_ccm_target_root6_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT6_TOG.
static const field_t hw_ccm_target_root6_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC6.
static const field_t hw_ccm_misc6[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT6_SET.
static const field_t hw_ccm_misc_root6_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT6_CLR.
static const field_t hw_ccm_misc_root6_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT6_TOG.
static const field_t hw_ccm_misc_root6_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST6.
static const field_t hw_ccm_post6[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT6_SET.
static const field_t hw_ccm_post_root6_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT6_CLR.
static const field_t hw_ccm_post_root6_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT6_TOG.
static const field_t hw_ccm_post_root6_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE6.
static const field_t hw_ccm_pre6[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT6_SET.
static const field_t hw_ccm_pre_root6_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT6_CLR.
static const field_t hw_ccm_pre_root6_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT6_TOG.
static const field_t hw_ccm_pre_root6_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL6.
static const field_t hw_ccm_access_ctrl6[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT6_SET.
static const field_t hw_ccm_access_ctrl_root6_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT6_CLR.
static const field_t hw_ccm_access_ctrl_root6_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT6_TOG.
static const field_t hw_ccm_access_ctrl_root6_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT7.
static const field_t hw_ccm_target_root7[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT7_SET.
static const field_t hw_ccm_target_root7_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT7_CLR.
static const field_t hw_ccm_target_root7_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT7_TOG.
static const field_t hw_ccm_target_root7_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC7.
static const field_t hw_ccm_misc7[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT7_SET.
static const field_t hw_ccm_misc_root7_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT7_CLR.
static const field_t hw_ccm_misc_root7_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT7_TOG.
static const field_t hw_ccm_misc_root7_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST7.
static const field_t hw_ccm_post7[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT7_SET.
static const field_t hw_ccm_post_root7_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT7_CLR.
static const field_t hw_ccm_post_root7_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT7_TOG.
static const field_t hw_ccm_post_root7_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE7.
static const field_t hw_ccm_pre7[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT7_SET.
static const field_t hw_ccm_pre_root7_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT7_CLR.
static const field_t hw_ccm_pre_root7_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT7_TOG.
static const field_t hw_ccm_pre_root7_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL7.
static const field_t hw_ccm_access_ctrl7[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT7_SET.
static const field_t hw_ccm_access_ctrl_root7_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT7_CLR.
static const field_t hw_ccm_access_ctrl_root7_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT7_TOG.
static const field_t hw_ccm_access_ctrl_root7_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT8.
static const field_t hw_ccm_target_root8[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT8_SET.
static const field_t hw_ccm_target_root8_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT8_CLR.
static const field_t hw_ccm_target_root8_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT8_TOG.
static const field_t hw_ccm_target_root8_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC8.
static const field_t hw_ccm_misc8[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT8_SET.
static const field_t hw_ccm_misc_root8_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT8_CLR.
static const field_t hw_ccm_misc_root8_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT8_TOG.
static const field_t hw_ccm_misc_root8_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST8.
static const field_t hw_ccm_post8[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT8_SET.
static const field_t hw_ccm_post_root8_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT8_CLR.
static const field_t hw_ccm_post_root8_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT8_TOG.
static const field_t hw_ccm_post_root8_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE8.
static const field_t hw_ccm_pre8[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT8_SET.
static const field_t hw_ccm_pre_root8_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT8_CLR.
static const field_t hw_ccm_pre_root8_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT8_TOG.
static const field_t hw_ccm_pre_root8_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL8.
static const field_t hw_ccm_access_ctrl8[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT8_SET.
static const field_t hw_ccm_access_ctrl_root8_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT8_CLR.
static const field_t hw_ccm_access_ctrl_root8_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT8_TOG.
static const field_t hw_ccm_access_ctrl_root8_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT9.
static const field_t hw_ccm_target_root9[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT9_SET.
static const field_t hw_ccm_target_root9_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT9_CLR.
static const field_t hw_ccm_target_root9_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT9_TOG.
static const field_t hw_ccm_target_root9_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC9.
static const field_t hw_ccm_misc9[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT9_SET.
static const field_t hw_ccm_misc_root9_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT9_CLR.
static const field_t hw_ccm_misc_root9_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT9_TOG.
static const field_t hw_ccm_misc_root9_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST9.
static const field_t hw_ccm_post9[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT9_SET.
static const field_t hw_ccm_post_root9_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT9_CLR.
static const field_t hw_ccm_post_root9_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT9_TOG.
static const field_t hw_ccm_post_root9_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE9.
static const field_t hw_ccm_pre9[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT9_SET.
static const field_t hw_ccm_pre_root9_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT9_CLR.
static const field_t hw_ccm_pre_root9_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT9_TOG.
static const field_t hw_ccm_pre_root9_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL9.
static const field_t hw_ccm_access_ctrl9[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT9_SET.
static const field_t hw_ccm_access_ctrl_root9_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT9_CLR.
static const field_t hw_ccm_access_ctrl_root9_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT9_TOG.
static const field_t hw_ccm_access_ctrl_root9_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT10.
static const field_t hw_ccm_target_root10[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT10_SET.
static const field_t hw_ccm_target_root10_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT10_CLR.
static const field_t hw_ccm_target_root10_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT10_TOG.
static const field_t hw_ccm_target_root10_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC10.
static const field_t hw_ccm_misc10[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT10_SET.
static const field_t hw_ccm_misc_root10_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT10_CLR.
static const field_t hw_ccm_misc_root10_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT10_TOG.
static const field_t hw_ccm_misc_root10_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST10.
static const field_t hw_ccm_post10[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT10_SET.
static const field_t hw_ccm_post_root10_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT10_CLR.
static const field_t hw_ccm_post_root10_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT10_TOG.
static const field_t hw_ccm_post_root10_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE10.
static const field_t hw_ccm_pre10[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT10_SET.
static const field_t hw_ccm_pre_root10_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT10_CLR.
static const field_t hw_ccm_pre_root10_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT10_TOG.
static const field_t hw_ccm_pre_root10_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL10.
static const field_t hw_ccm_access_ctrl10[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT10_SET.
static const field_t hw_ccm_access_ctrl_root10_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT10_CLR.
static const field_t hw_ccm_access_ctrl_root10_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT10_TOG.
static const field_t hw_ccm_access_ctrl_root10_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT11.
static const field_t hw_ccm_target_root11[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT11_SET.
static const field_t hw_ccm_target_root11_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT11_CLR.
static const field_t hw_ccm_target_root11_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT11_TOG.
static const field_t hw_ccm_target_root11_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC11.
static const field_t hw_ccm_misc11[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT11_SET.
static const field_t hw_ccm_misc_root11_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT11_CLR.
static const field_t hw_ccm_misc_root11_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT11_TOG.
static const field_t hw_ccm_misc_root11_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST11.
static const field_t hw_ccm_post11[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT11_SET.
static const field_t hw_ccm_post_root11_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT11_CLR.
static const field_t hw_ccm_post_root11_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT11_TOG.
static const field_t hw_ccm_post_root11_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE11.
static const field_t hw_ccm_pre11[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT11_SET.
static const field_t hw_ccm_pre_root11_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT11_CLR.
static const field_t hw_ccm_pre_root11_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT11_TOG.
static const field_t hw_ccm_pre_root11_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL11.
static const field_t hw_ccm_access_ctrl11[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT11_SET.
static const field_t hw_ccm_access_ctrl_root11_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT11_CLR.
static const field_t hw_ccm_access_ctrl_root11_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT11_TOG.
static const field_t hw_ccm_access_ctrl_root11_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT12.
static const field_t hw_ccm_target_root12[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT12_SET.
static const field_t hw_ccm_target_root12_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT12_CLR.
static const field_t hw_ccm_target_root12_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT12_TOG.
static const field_t hw_ccm_target_root12_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC12.
static const field_t hw_ccm_misc12[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT12_SET.
static const field_t hw_ccm_misc_root12_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT12_CLR.
static const field_t hw_ccm_misc_root12_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT12_TOG.
static const field_t hw_ccm_misc_root12_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST12.
static const field_t hw_ccm_post12[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT12_SET.
static const field_t hw_ccm_post_root12_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT12_CLR.
static const field_t hw_ccm_post_root12_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT12_TOG.
static const field_t hw_ccm_post_root12_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE12.
static const field_t hw_ccm_pre12[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT12_SET.
static const field_t hw_ccm_pre_root12_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT12_CLR.
static const field_t hw_ccm_pre_root12_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT12_TOG.
static const field_t hw_ccm_pre_root12_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL12.
static const field_t hw_ccm_access_ctrl12[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT12_SET.
static const field_t hw_ccm_access_ctrl_root12_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT12_CLR.
static const field_t hw_ccm_access_ctrl_root12_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT12_TOG.
static const field_t hw_ccm_access_ctrl_root12_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT13.
static const field_t hw_ccm_target_root13[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT13_SET.
static const field_t hw_ccm_target_root13_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT13_CLR.
static const field_t hw_ccm_target_root13_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT13_TOG.
static const field_t hw_ccm_target_root13_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC13.
static const field_t hw_ccm_misc13[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT13_SET.
static const field_t hw_ccm_misc_root13_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT13_CLR.
static const field_t hw_ccm_misc_root13_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT13_TOG.
static const field_t hw_ccm_misc_root13_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST13.
static const field_t hw_ccm_post13[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT13_SET.
static const field_t hw_ccm_post_root13_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT13_CLR.
static const field_t hw_ccm_post_root13_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT13_TOG.
static const field_t hw_ccm_post_root13_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE13.
static const field_t hw_ccm_pre13[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT13_SET.
static const field_t hw_ccm_pre_root13_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT13_CLR.
static const field_t hw_ccm_pre_root13_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT13_TOG.
static const field_t hw_ccm_pre_root13_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL13.
static const field_t hw_ccm_access_ctrl13[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT13_SET.
static const field_t hw_ccm_access_ctrl_root13_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT13_CLR.
static const field_t hw_ccm_access_ctrl_root13_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT13_TOG.
static const field_t hw_ccm_access_ctrl_root13_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT14.
static const field_t hw_ccm_target_root14[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT14_SET.
static const field_t hw_ccm_target_root14_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT14_CLR.
static const field_t hw_ccm_target_root14_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT14_TOG.
static const field_t hw_ccm_target_root14_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC14.
static const field_t hw_ccm_misc14[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT14_SET.
static const field_t hw_ccm_misc_root14_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT14_CLR.
static const field_t hw_ccm_misc_root14_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT14_TOG.
static const field_t hw_ccm_misc_root14_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST14.
static const field_t hw_ccm_post14[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT14_SET.
static const field_t hw_ccm_post_root14_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT14_CLR.
static const field_t hw_ccm_post_root14_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT14_TOG.
static const field_t hw_ccm_post_root14_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE14.
static const field_t hw_ccm_pre14[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT14_SET.
static const field_t hw_ccm_pre_root14_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT14_CLR.
static const field_t hw_ccm_pre_root14_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT14_TOG.
static const field_t hw_ccm_pre_root14_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL14.
static const field_t hw_ccm_access_ctrl14[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT14_SET.
static const field_t hw_ccm_access_ctrl_root14_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT14_CLR.
static const field_t hw_ccm_access_ctrl_root14_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT14_TOG.
static const field_t hw_ccm_access_ctrl_root14_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT15.
static const field_t hw_ccm_target_root15[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT15_SET.
static const field_t hw_ccm_target_root15_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT15_CLR.
static const field_t hw_ccm_target_root15_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT15_TOG.
static const field_t hw_ccm_target_root15_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC15.
static const field_t hw_ccm_misc15[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT15_SET.
static const field_t hw_ccm_misc_root15_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT15_CLR.
static const field_t hw_ccm_misc_root15_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT15_TOG.
static const field_t hw_ccm_misc_root15_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST15.
static const field_t hw_ccm_post15[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT15_SET.
static const field_t hw_ccm_post_root15_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT15_CLR.
static const field_t hw_ccm_post_root15_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT15_TOG.
static const field_t hw_ccm_post_root15_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE15.
static const field_t hw_ccm_pre15[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT15_SET.
static const field_t hw_ccm_pre_root15_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT15_CLR.
static const field_t hw_ccm_pre_root15_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT15_TOG.
static const field_t hw_ccm_pre_root15_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL15.
static const field_t hw_ccm_access_ctrl15[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT15_SET.
static const field_t hw_ccm_access_ctrl_root15_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT15_CLR.
static const field_t hw_ccm_access_ctrl_root15_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT15_TOG.
static const field_t hw_ccm_access_ctrl_root15_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT16.
static const field_t hw_ccm_target_root16[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT16_SET.
static const field_t hw_ccm_target_root16_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT16_CLR.
static const field_t hw_ccm_target_root16_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT16_TOG.
static const field_t hw_ccm_target_root16_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC16.
static const field_t hw_ccm_misc16[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT16_SET.
static const field_t hw_ccm_misc_root16_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT16_CLR.
static const field_t hw_ccm_misc_root16_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT16_TOG.
static const field_t hw_ccm_misc_root16_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST16.
static const field_t hw_ccm_post16[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT16_SET.
static const field_t hw_ccm_post_root16_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT16_CLR.
static const field_t hw_ccm_post_root16_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT16_TOG.
static const field_t hw_ccm_post_root16_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE16.
static const field_t hw_ccm_pre16[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT16_SET.
static const field_t hw_ccm_pre_root16_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT16_CLR.
static const field_t hw_ccm_pre_root16_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT16_TOG.
static const field_t hw_ccm_pre_root16_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL16.
static const field_t hw_ccm_access_ctrl16[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT16_SET.
static const field_t hw_ccm_access_ctrl_root16_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT16_CLR.
static const field_t hw_ccm_access_ctrl_root16_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT16_TOG.
static const field_t hw_ccm_access_ctrl_root16_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT17.
static const field_t hw_ccm_target_root17[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT17_SET.
static const field_t hw_ccm_target_root17_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT17_CLR.
static const field_t hw_ccm_target_root17_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT17_TOG.
static const field_t hw_ccm_target_root17_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC17.
static const field_t hw_ccm_misc17[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT17_SET.
static const field_t hw_ccm_misc_root17_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT17_CLR.
static const field_t hw_ccm_misc_root17_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT17_TOG.
static const field_t hw_ccm_misc_root17_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST17.
static const field_t hw_ccm_post17[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT17_SET.
static const field_t hw_ccm_post_root17_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT17_CLR.
static const field_t hw_ccm_post_root17_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT17_TOG.
static const field_t hw_ccm_post_root17_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE17.
static const field_t hw_ccm_pre17[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT17_SET.
static const field_t hw_ccm_pre_root17_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT17_CLR.
static const field_t hw_ccm_pre_root17_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT17_TOG.
static const field_t hw_ccm_pre_root17_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL17.
static const field_t hw_ccm_access_ctrl17[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT17_SET.
static const field_t hw_ccm_access_ctrl_root17_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT17_CLR.
static const field_t hw_ccm_access_ctrl_root17_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT17_TOG.
static const field_t hw_ccm_access_ctrl_root17_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT18.
static const field_t hw_ccm_target_root18[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT18_SET.
static const field_t hw_ccm_target_root18_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT18_CLR.
static const field_t hw_ccm_target_root18_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT18_TOG.
static const field_t hw_ccm_target_root18_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC18.
static const field_t hw_ccm_misc18[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT18_SET.
static const field_t hw_ccm_misc_root18_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT18_CLR.
static const field_t hw_ccm_misc_root18_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT18_TOG.
static const field_t hw_ccm_misc_root18_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST18.
static const field_t hw_ccm_post18[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT18_SET.
static const field_t hw_ccm_post_root18_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT18_CLR.
static const field_t hw_ccm_post_root18_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT18_TOG.
static const field_t hw_ccm_post_root18_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE18.
static const field_t hw_ccm_pre18[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT18_SET.
static const field_t hw_ccm_pre_root18_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT18_CLR.
static const field_t hw_ccm_pre_root18_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT18_TOG.
static const field_t hw_ccm_pre_root18_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL18.
static const field_t hw_ccm_access_ctrl18[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT18_SET.
static const field_t hw_ccm_access_ctrl_root18_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT18_CLR.
static const field_t hw_ccm_access_ctrl_root18_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT18_TOG.
static const field_t hw_ccm_access_ctrl_root18_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT19.
static const field_t hw_ccm_target_root19[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT19_SET.
static const field_t hw_ccm_target_root19_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT19_CLR.
static const field_t hw_ccm_target_root19_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT19_TOG.
static const field_t hw_ccm_target_root19_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC19.
static const field_t hw_ccm_misc19[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT19_SET.
static const field_t hw_ccm_misc_root19_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT19_CLR.
static const field_t hw_ccm_misc_root19_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT19_TOG.
static const field_t hw_ccm_misc_root19_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST19.
static const field_t hw_ccm_post19[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT19_SET.
static const field_t hw_ccm_post_root19_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT19_CLR.
static const field_t hw_ccm_post_root19_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT19_TOG.
static const field_t hw_ccm_post_root19_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE19.
static const field_t hw_ccm_pre19[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT19_SET.
static const field_t hw_ccm_pre_root19_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT19_CLR.
static const field_t hw_ccm_pre_root19_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT19_TOG.
static const field_t hw_ccm_pre_root19_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL19.
static const field_t hw_ccm_access_ctrl19[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT19_SET.
static const field_t hw_ccm_access_ctrl_root19_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT19_CLR.
static const field_t hw_ccm_access_ctrl_root19_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT19_TOG.
static const field_t hw_ccm_access_ctrl_root19_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT20.
static const field_t hw_ccm_target_root20[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT20_SET.
static const field_t hw_ccm_target_root20_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT20_CLR.
static const field_t hw_ccm_target_root20_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT20_TOG.
static const field_t hw_ccm_target_root20_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC20.
static const field_t hw_ccm_misc20[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT20_SET.
static const field_t hw_ccm_misc_root20_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT20_CLR.
static const field_t hw_ccm_misc_root20_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT20_TOG.
static const field_t hw_ccm_misc_root20_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST20.
static const field_t hw_ccm_post20[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT20_SET.
static const field_t hw_ccm_post_root20_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT20_CLR.
static const field_t hw_ccm_post_root20_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT20_TOG.
static const field_t hw_ccm_post_root20_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE20.
static const field_t hw_ccm_pre20[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT20_SET.
static const field_t hw_ccm_pre_root20_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT20_CLR.
static const field_t hw_ccm_pre_root20_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT20_TOG.
static const field_t hw_ccm_pre_root20_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL20.
static const field_t hw_ccm_access_ctrl20[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT20_SET.
static const field_t hw_ccm_access_ctrl_root20_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT20_CLR.
static const field_t hw_ccm_access_ctrl_root20_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT20_TOG.
static const field_t hw_ccm_access_ctrl_root20_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT21.
static const field_t hw_ccm_target_root21[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT21_SET.
static const field_t hw_ccm_target_root21_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT21_CLR.
static const field_t hw_ccm_target_root21_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT21_TOG.
static const field_t hw_ccm_target_root21_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC21.
static const field_t hw_ccm_misc21[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT21_SET.
static const field_t hw_ccm_misc_root21_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT21_CLR.
static const field_t hw_ccm_misc_root21_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT21_TOG.
static const field_t hw_ccm_misc_root21_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST21.
static const field_t hw_ccm_post21[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT21_SET.
static const field_t hw_ccm_post_root21_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT21_CLR.
static const field_t hw_ccm_post_root21_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT21_TOG.
static const field_t hw_ccm_post_root21_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE21.
static const field_t hw_ccm_pre21[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT21_SET.
static const field_t hw_ccm_pre_root21_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT21_CLR.
static const field_t hw_ccm_pre_root21_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT21_TOG.
static const field_t hw_ccm_pre_root21_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL21.
static const field_t hw_ccm_access_ctrl21[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT21_SET.
static const field_t hw_ccm_access_ctrl_root21_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT21_CLR.
static const field_t hw_ccm_access_ctrl_root21_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT21_TOG.
static const field_t hw_ccm_access_ctrl_root21_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT22.
static const field_t hw_ccm_target_root22[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT22_SET.
static const field_t hw_ccm_target_root22_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT22_CLR.
static const field_t hw_ccm_target_root22_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT22_TOG.
static const field_t hw_ccm_target_root22_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC22.
static const field_t hw_ccm_misc22[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT22_SET.
static const field_t hw_ccm_misc_root22_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT22_CLR.
static const field_t hw_ccm_misc_root22_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT22_TOG.
static const field_t hw_ccm_misc_root22_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST22.
static const field_t hw_ccm_post22[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT22_SET.
static const field_t hw_ccm_post_root22_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT22_CLR.
static const field_t hw_ccm_post_root22_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT22_TOG.
static const field_t hw_ccm_post_root22_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE22.
static const field_t hw_ccm_pre22[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT22_SET.
static const field_t hw_ccm_pre_root22_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT22_CLR.
static const field_t hw_ccm_pre_root22_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT22_TOG.
static const field_t hw_ccm_pre_root22_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL22.
static const field_t hw_ccm_access_ctrl22[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT22_SET.
static const field_t hw_ccm_access_ctrl_root22_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT22_CLR.
static const field_t hw_ccm_access_ctrl_root22_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT22_TOG.
static const field_t hw_ccm_access_ctrl_root22_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT23.
static const field_t hw_ccm_target_root23[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT23_SET.
static const field_t hw_ccm_target_root23_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT23_CLR.
static const field_t hw_ccm_target_root23_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT23_TOG.
static const field_t hw_ccm_target_root23_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC23.
static const field_t hw_ccm_misc23[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT23_SET.
static const field_t hw_ccm_misc_root23_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT23_CLR.
static const field_t hw_ccm_misc_root23_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT23_TOG.
static const field_t hw_ccm_misc_root23_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST23.
static const field_t hw_ccm_post23[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT23_SET.
static const field_t hw_ccm_post_root23_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT23_CLR.
static const field_t hw_ccm_post_root23_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT23_TOG.
static const field_t hw_ccm_post_root23_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE23.
static const field_t hw_ccm_pre23[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT23_SET.
static const field_t hw_ccm_pre_root23_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT23_CLR.
static const field_t hw_ccm_pre_root23_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT23_TOG.
static const field_t hw_ccm_pre_root23_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL23.
static const field_t hw_ccm_access_ctrl23[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT23_SET.
static const field_t hw_ccm_access_ctrl_root23_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT23_CLR.
static const field_t hw_ccm_access_ctrl_root23_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT23_TOG.
static const field_t hw_ccm_access_ctrl_root23_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT24.
static const field_t hw_ccm_target_root24[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT24_SET.
static const field_t hw_ccm_target_root24_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT24_CLR.
static const field_t hw_ccm_target_root24_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT24_TOG.
static const field_t hw_ccm_target_root24_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC24.
static const field_t hw_ccm_misc24[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT24_SET.
static const field_t hw_ccm_misc_root24_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT24_CLR.
static const field_t hw_ccm_misc_root24_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT24_TOG.
static const field_t hw_ccm_misc_root24_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST24.
static const field_t hw_ccm_post24[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT24_SET.
static const field_t hw_ccm_post_root24_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT24_CLR.
static const field_t hw_ccm_post_root24_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT24_TOG.
static const field_t hw_ccm_post_root24_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE24.
static const field_t hw_ccm_pre24[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT24_SET.
static const field_t hw_ccm_pre_root24_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT24_CLR.
static const field_t hw_ccm_pre_root24_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT24_TOG.
static const field_t hw_ccm_pre_root24_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL24.
static const field_t hw_ccm_access_ctrl24[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT24_SET.
static const field_t hw_ccm_access_ctrl_root24_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT24_CLR.
static const field_t hw_ccm_access_ctrl_root24_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT24_TOG.
static const field_t hw_ccm_access_ctrl_root24_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT25.
static const field_t hw_ccm_target_root25[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT25_SET.
static const field_t hw_ccm_target_root25_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT25_CLR.
static const field_t hw_ccm_target_root25_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT25_TOG.
static const field_t hw_ccm_target_root25_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC25.
static const field_t hw_ccm_misc25[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT25_SET.
static const field_t hw_ccm_misc_root25_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT25_CLR.
static const field_t hw_ccm_misc_root25_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT25_TOG.
static const field_t hw_ccm_misc_root25_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST25.
static const field_t hw_ccm_post25[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT25_SET.
static const field_t hw_ccm_post_root25_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT25_CLR.
static const field_t hw_ccm_post_root25_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT25_TOG.
static const field_t hw_ccm_post_root25_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE25.
static const field_t hw_ccm_pre25[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT25_SET.
static const field_t hw_ccm_pre_root25_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT25_CLR.
static const field_t hw_ccm_pre_root25_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT25_TOG.
static const field_t hw_ccm_pre_root25_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL25.
static const field_t hw_ccm_access_ctrl25[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT25_SET.
static const field_t hw_ccm_access_ctrl_root25_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT25_CLR.
static const field_t hw_ccm_access_ctrl_root25_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT25_TOG.
static const field_t hw_ccm_access_ctrl_root25_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT26.
static const field_t hw_ccm_target_root26[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT26_SET.
static const field_t hw_ccm_target_root26_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT26_CLR.
static const field_t hw_ccm_target_root26_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT26_TOG.
static const field_t hw_ccm_target_root26_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC26.
static const field_t hw_ccm_misc26[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT26_SET.
static const field_t hw_ccm_misc_root26_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT26_CLR.
static const field_t hw_ccm_misc_root26_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT26_TOG.
static const field_t hw_ccm_misc_root26_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST26.
static const field_t hw_ccm_post26[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT26_SET.
static const field_t hw_ccm_post_root26_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT26_CLR.
static const field_t hw_ccm_post_root26_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT26_TOG.
static const field_t hw_ccm_post_root26_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE26.
static const field_t hw_ccm_pre26[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT26_SET.
static const field_t hw_ccm_pre_root26_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT26_CLR.
static const field_t hw_ccm_pre_root26_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT26_TOG.
static const field_t hw_ccm_pre_root26_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL26.
static const field_t hw_ccm_access_ctrl26[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT26_SET.
static const field_t hw_ccm_access_ctrl_root26_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT26_CLR.
static const field_t hw_ccm_access_ctrl_root26_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT26_TOG.
static const field_t hw_ccm_access_ctrl_root26_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT27.
static const field_t hw_ccm_target_root27[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT27_SET.
static const field_t hw_ccm_target_root27_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT27_CLR.
static const field_t hw_ccm_target_root27_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT27_TOG.
static const field_t hw_ccm_target_root27_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC27.
static const field_t hw_ccm_misc27[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT27_SET.
static const field_t hw_ccm_misc_root27_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT27_CLR.
static const field_t hw_ccm_misc_root27_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT27_TOG.
static const field_t hw_ccm_misc_root27_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST27.
static const field_t hw_ccm_post27[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT27_SET.
static const field_t hw_ccm_post_root27_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT27_CLR.
static const field_t hw_ccm_post_root27_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT27_TOG.
static const field_t hw_ccm_post_root27_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE27.
static const field_t hw_ccm_pre27[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT27_SET.
static const field_t hw_ccm_pre_root27_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT27_CLR.
static const field_t hw_ccm_pre_root27_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT27_TOG.
static const field_t hw_ccm_pre_root27_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL27.
static const field_t hw_ccm_access_ctrl27[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT27_SET.
static const field_t hw_ccm_access_ctrl_root27_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT27_CLR.
static const field_t hw_ccm_access_ctrl_root27_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT27_TOG.
static const field_t hw_ccm_access_ctrl_root27_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT28.
static const field_t hw_ccm_target_root28[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT28_SET.
static const field_t hw_ccm_target_root28_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT28_CLR.
static const field_t hw_ccm_target_root28_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT28_TOG.
static const field_t hw_ccm_target_root28_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC28.
static const field_t hw_ccm_misc28[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT28_SET.
static const field_t hw_ccm_misc_root28_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT28_CLR.
static const field_t hw_ccm_misc_root28_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT28_TOG.
static const field_t hw_ccm_misc_root28_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST28.
static const field_t hw_ccm_post28[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT28_SET.
static const field_t hw_ccm_post_root28_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT28_CLR.
static const field_t hw_ccm_post_root28_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT28_TOG.
static const field_t hw_ccm_post_root28_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE28.
static const field_t hw_ccm_pre28[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT28_SET.
static const field_t hw_ccm_pre_root28_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT28_CLR.
static const field_t hw_ccm_pre_root28_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT28_TOG.
static const field_t hw_ccm_pre_root28_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL28.
static const field_t hw_ccm_access_ctrl28[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT28_SET.
static const field_t hw_ccm_access_ctrl_root28_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT28_CLR.
static const field_t hw_ccm_access_ctrl_root28_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT28_TOG.
static const field_t hw_ccm_access_ctrl_root28_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT29.
static const field_t hw_ccm_target_root29[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT29_SET.
static const field_t hw_ccm_target_root29_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT29_CLR.
static const field_t hw_ccm_target_root29_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT29_TOG.
static const field_t hw_ccm_target_root29_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC29.
static const field_t hw_ccm_misc29[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT29_SET.
static const field_t hw_ccm_misc_root29_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT29_CLR.
static const field_t hw_ccm_misc_root29_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT29_TOG.
static const field_t hw_ccm_misc_root29_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST29.
static const field_t hw_ccm_post29[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT29_SET.
static const field_t hw_ccm_post_root29_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT29_CLR.
static const field_t hw_ccm_post_root29_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT29_TOG.
static const field_t hw_ccm_post_root29_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE29.
static const field_t hw_ccm_pre29[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT29_SET.
static const field_t hw_ccm_pre_root29_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT29_CLR.
static const field_t hw_ccm_pre_root29_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT29_TOG.
static const field_t hw_ccm_pre_root29_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL29.
static const field_t hw_ccm_access_ctrl29[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT29_SET.
static const field_t hw_ccm_access_ctrl_root29_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT29_CLR.
static const field_t hw_ccm_access_ctrl_root29_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT29_TOG.
static const field_t hw_ccm_access_ctrl_root29_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT30.
static const field_t hw_ccm_target_root30[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT30_SET.
static const field_t hw_ccm_target_root30_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT30_CLR.
static const field_t hw_ccm_target_root30_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT30_TOG.
static const field_t hw_ccm_target_root30_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC30.
static const field_t hw_ccm_misc30[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT30_SET.
static const field_t hw_ccm_misc_root30_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT30_CLR.
static const field_t hw_ccm_misc_root30_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT30_TOG.
static const field_t hw_ccm_misc_root30_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST30.
static const field_t hw_ccm_post30[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT30_SET.
static const field_t hw_ccm_post_root30_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT30_CLR.
static const field_t hw_ccm_post_root30_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT30_TOG.
static const field_t hw_ccm_post_root30_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE30.
static const field_t hw_ccm_pre30[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT30_SET.
static const field_t hw_ccm_pre_root30_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT30_CLR.
static const field_t hw_ccm_pre_root30_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT30_TOG.
static const field_t hw_ccm_pre_root30_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL30.
static const field_t hw_ccm_access_ctrl30[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT30_SET.
static const field_t hw_ccm_access_ctrl_root30_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT30_CLR.
static const field_t hw_ccm_access_ctrl_root30_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT30_TOG.
static const field_t hw_ccm_access_ctrl_root30_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT31.
static const field_t hw_ccm_target_root31[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT31_SET.
static const field_t hw_ccm_target_root31_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT31_CLR.
static const field_t hw_ccm_target_root31_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT31_TOG.
static const field_t hw_ccm_target_root31_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC31.
static const field_t hw_ccm_misc31[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT31_SET.
static const field_t hw_ccm_misc_root31_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT31_CLR.
static const field_t hw_ccm_misc_root31_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT31_TOG.
static const field_t hw_ccm_misc_root31_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST31.
static const field_t hw_ccm_post31[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT31_SET.
static const field_t hw_ccm_post_root31_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT31_CLR.
static const field_t hw_ccm_post_root31_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT31_TOG.
static const field_t hw_ccm_post_root31_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE31.
static const field_t hw_ccm_pre31[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT31_SET.
static const field_t hw_ccm_pre_root31_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT31_CLR.
static const field_t hw_ccm_pre_root31_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT31_TOG.
static const field_t hw_ccm_pre_root31_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL31.
static const field_t hw_ccm_access_ctrl31[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT31_SET.
static const field_t hw_ccm_access_ctrl_root31_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT31_CLR.
static const field_t hw_ccm_access_ctrl_root31_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT31_TOG.
static const field_t hw_ccm_access_ctrl_root31_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT32.
static const field_t hw_ccm_target_root32[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT32_SET.
static const field_t hw_ccm_target_root32_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT32_CLR.
static const field_t hw_ccm_target_root32_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT32_TOG.
static const field_t hw_ccm_target_root32_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC32.
static const field_t hw_ccm_misc32[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT32_SET.
static const field_t hw_ccm_misc_root32_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT32_CLR.
static const field_t hw_ccm_misc_root32_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT32_TOG.
static const field_t hw_ccm_misc_root32_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST32.
static const field_t hw_ccm_post32[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT32_SET.
static const field_t hw_ccm_post_root32_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT32_CLR.
static const field_t hw_ccm_post_root32_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT32_TOG.
static const field_t hw_ccm_post_root32_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE32.
static const field_t hw_ccm_pre32[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT32_SET.
static const field_t hw_ccm_pre_root32_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT32_CLR.
static const field_t hw_ccm_pre_root32_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT32_TOG.
static const field_t hw_ccm_pre_root32_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL32.
static const field_t hw_ccm_access_ctrl32[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT32_SET.
static const field_t hw_ccm_access_ctrl_root32_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT32_CLR.
static const field_t hw_ccm_access_ctrl_root32_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT32_TOG.
static const field_t hw_ccm_access_ctrl_root32_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT33.
static const field_t hw_ccm_target_root33[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT33_SET.
static const field_t hw_ccm_target_root33_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT33_CLR.
static const field_t hw_ccm_target_root33_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT33_TOG.
static const field_t hw_ccm_target_root33_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC33.
static const field_t hw_ccm_misc33[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT33_SET.
static const field_t hw_ccm_misc_root33_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT33_CLR.
static const field_t hw_ccm_misc_root33_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT33_TOG.
static const field_t hw_ccm_misc_root33_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST33.
static const field_t hw_ccm_post33[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT33_SET.
static const field_t hw_ccm_post_root33_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT33_CLR.
static const field_t hw_ccm_post_root33_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT33_TOG.
static const field_t hw_ccm_post_root33_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE33.
static const field_t hw_ccm_pre33[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT33_SET.
static const field_t hw_ccm_pre_root33_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT33_CLR.
static const field_t hw_ccm_pre_root33_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT33_TOG.
static const field_t hw_ccm_pre_root33_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL33.
static const field_t hw_ccm_access_ctrl33[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT33_SET.
static const field_t hw_ccm_access_ctrl_root33_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT33_CLR.
static const field_t hw_ccm_access_ctrl_root33_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT33_TOG.
static const field_t hw_ccm_access_ctrl_root33_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT34.
static const field_t hw_ccm_target_root34[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT34_SET.
static const field_t hw_ccm_target_root34_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT34_CLR.
static const field_t hw_ccm_target_root34_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT34_TOG.
static const field_t hw_ccm_target_root34_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC34.
static const field_t hw_ccm_misc34[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT34_SET.
static const field_t hw_ccm_misc_root34_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT34_CLR.
static const field_t hw_ccm_misc_root34_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT34_TOG.
static const field_t hw_ccm_misc_root34_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST34.
static const field_t hw_ccm_post34[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT34_SET.
static const field_t hw_ccm_post_root34_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT34_CLR.
static const field_t hw_ccm_post_root34_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT34_TOG.
static const field_t hw_ccm_post_root34_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE34.
static const field_t hw_ccm_pre34[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT34_SET.
static const field_t hw_ccm_pre_root34_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT34_CLR.
static const field_t hw_ccm_pre_root34_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT34_TOG.
static const field_t hw_ccm_pre_root34_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL34.
static const field_t hw_ccm_access_ctrl34[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT34_SET.
static const field_t hw_ccm_access_ctrl_root34_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT34_CLR.
static const field_t hw_ccm_access_ctrl_root34_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT34_TOG.
static const field_t hw_ccm_access_ctrl_root34_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT35.
static const field_t hw_ccm_target_root35[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT35_SET.
static const field_t hw_ccm_target_root35_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT35_CLR.
static const field_t hw_ccm_target_root35_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT35_TOG.
static const field_t hw_ccm_target_root35_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC35.
static const field_t hw_ccm_misc35[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT35_SET.
static const field_t hw_ccm_misc_root35_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT35_CLR.
static const field_t hw_ccm_misc_root35_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT35_TOG.
static const field_t hw_ccm_misc_root35_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST35.
static const field_t hw_ccm_post35[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT35_SET.
static const field_t hw_ccm_post_root35_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT35_CLR.
static const field_t hw_ccm_post_root35_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT35_TOG.
static const field_t hw_ccm_post_root35_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE35.
static const field_t hw_ccm_pre35[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT35_SET.
static const field_t hw_ccm_pre_root35_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT35_CLR.
static const field_t hw_ccm_pre_root35_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT35_TOG.
static const field_t hw_ccm_pre_root35_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL35.
static const field_t hw_ccm_access_ctrl35[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT35_SET.
static const field_t hw_ccm_access_ctrl_root35_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT35_CLR.
static const field_t hw_ccm_access_ctrl_root35_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT35_TOG.
static const field_t hw_ccm_access_ctrl_root35_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT36.
static const field_t hw_ccm_target_root36[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT36_SET.
static const field_t hw_ccm_target_root36_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT36_CLR.
static const field_t hw_ccm_target_root36_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT36_TOG.
static const field_t hw_ccm_target_root36_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC36.
static const field_t hw_ccm_misc36[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT36_SET.
static const field_t hw_ccm_misc_root36_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT36_CLR.
static const field_t hw_ccm_misc_root36_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT36_TOG.
static const field_t hw_ccm_misc_root36_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST36.
static const field_t hw_ccm_post36[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT36_SET.
static const field_t hw_ccm_post_root36_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT36_CLR.
static const field_t hw_ccm_post_root36_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT36_TOG.
static const field_t hw_ccm_post_root36_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE36.
static const field_t hw_ccm_pre36[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT36_SET.
static const field_t hw_ccm_pre_root36_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT36_CLR.
static const field_t hw_ccm_pre_root36_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT36_TOG.
static const field_t hw_ccm_pre_root36_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL36.
static const field_t hw_ccm_access_ctrl36[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT36_SET.
static const field_t hw_ccm_access_ctrl_root36_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT36_CLR.
static const field_t hw_ccm_access_ctrl_root36_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT36_TOG.
static const field_t hw_ccm_access_ctrl_root36_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT37.
static const field_t hw_ccm_target_root37[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT37_SET.
static const field_t hw_ccm_target_root37_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT37_CLR.
static const field_t hw_ccm_target_root37_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT37_TOG.
static const field_t hw_ccm_target_root37_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC37.
static const field_t hw_ccm_misc37[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT37_SET.
static const field_t hw_ccm_misc_root37_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT37_CLR.
static const field_t hw_ccm_misc_root37_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT37_TOG.
static const field_t hw_ccm_misc_root37_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST37.
static const field_t hw_ccm_post37[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT37_SET.
static const field_t hw_ccm_post_root37_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT37_CLR.
static const field_t hw_ccm_post_root37_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT37_TOG.
static const field_t hw_ccm_post_root37_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE37.
static const field_t hw_ccm_pre37[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT37_SET.
static const field_t hw_ccm_pre_root37_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT37_CLR.
static const field_t hw_ccm_pre_root37_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT37_TOG.
static const field_t hw_ccm_pre_root37_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL37.
static const field_t hw_ccm_access_ctrl37[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT37_SET.
static const field_t hw_ccm_access_ctrl_root37_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT37_CLR.
static const field_t hw_ccm_access_ctrl_root37_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT37_TOG.
static const field_t hw_ccm_access_ctrl_root37_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT38.
static const field_t hw_ccm_target_root38[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT38_SET.
static const field_t hw_ccm_target_root38_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT38_CLR.
static const field_t hw_ccm_target_root38_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT38_TOG.
static const field_t hw_ccm_target_root38_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC38.
static const field_t hw_ccm_misc38[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT38_SET.
static const field_t hw_ccm_misc_root38_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT38_CLR.
static const field_t hw_ccm_misc_root38_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT38_TOG.
static const field_t hw_ccm_misc_root38_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST38.
static const field_t hw_ccm_post38[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT38_SET.
static const field_t hw_ccm_post_root38_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT38_CLR.
static const field_t hw_ccm_post_root38_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT38_TOG.
static const field_t hw_ccm_post_root38_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE38.
static const field_t hw_ccm_pre38[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT38_SET.
static const field_t hw_ccm_pre_root38_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT38_CLR.
static const field_t hw_ccm_pre_root38_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT38_TOG.
static const field_t hw_ccm_pre_root38_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL38.
static const field_t hw_ccm_access_ctrl38[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT38_SET.
static const field_t hw_ccm_access_ctrl_root38_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT38_CLR.
static const field_t hw_ccm_access_ctrl_root38_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT38_TOG.
static const field_t hw_ccm_access_ctrl_root38_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT39.
static const field_t hw_ccm_target_root39[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT39_SET.
static const field_t hw_ccm_target_root39_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT39_CLR.
static const field_t hw_ccm_target_root39_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT39_TOG.
static const field_t hw_ccm_target_root39_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC39.
static const field_t hw_ccm_misc39[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT39_SET.
static const field_t hw_ccm_misc_root39_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT39_CLR.
static const field_t hw_ccm_misc_root39_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT39_TOG.
static const field_t hw_ccm_misc_root39_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST39.
static const field_t hw_ccm_post39[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT39_SET.
static const field_t hw_ccm_post_root39_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT39_CLR.
static const field_t hw_ccm_post_root39_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT39_TOG.
static const field_t hw_ccm_post_root39_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE39.
static const field_t hw_ccm_pre39[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT39_SET.
static const field_t hw_ccm_pre_root39_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT39_CLR.
static const field_t hw_ccm_pre_root39_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT39_TOG.
static const field_t hw_ccm_pre_root39_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL39.
static const field_t hw_ccm_access_ctrl39[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT39_SET.
static const field_t hw_ccm_access_ctrl_root39_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT39_CLR.
static const field_t hw_ccm_access_ctrl_root39_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT39_TOG.
static const field_t hw_ccm_access_ctrl_root39_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT40.
static const field_t hw_ccm_target_root40[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT40_SET.
static const field_t hw_ccm_target_root40_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT40_CLR.
static const field_t hw_ccm_target_root40_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT40_TOG.
static const field_t hw_ccm_target_root40_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC40.
static const field_t hw_ccm_misc40[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT40_SET.
static const field_t hw_ccm_misc_root40_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT40_CLR.
static const field_t hw_ccm_misc_root40_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT40_TOG.
static const field_t hw_ccm_misc_root40_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST40.
static const field_t hw_ccm_post40[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT40_SET.
static const field_t hw_ccm_post_root40_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT40_CLR.
static const field_t hw_ccm_post_root40_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT40_TOG.
static const field_t hw_ccm_post_root40_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE40.
static const field_t hw_ccm_pre40[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT40_SET.
static const field_t hw_ccm_pre_root40_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT40_CLR.
static const field_t hw_ccm_pre_root40_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT40_TOG.
static const field_t hw_ccm_pre_root40_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL40.
static const field_t hw_ccm_access_ctrl40[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT40_SET.
static const field_t hw_ccm_access_ctrl_root40_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT40_CLR.
static const field_t hw_ccm_access_ctrl_root40_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT40_TOG.
static const field_t hw_ccm_access_ctrl_root40_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT41.
static const field_t hw_ccm_target_root41[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT41_SET.
static const field_t hw_ccm_target_root41_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT41_CLR.
static const field_t hw_ccm_target_root41_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT41_TOG.
static const field_t hw_ccm_target_root41_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC41.
static const field_t hw_ccm_misc41[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT41_SET.
static const field_t hw_ccm_misc_root41_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT41_CLR.
static const field_t hw_ccm_misc_root41_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT41_TOG.
static const field_t hw_ccm_misc_root41_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST41.
static const field_t hw_ccm_post41[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT41_SET.
static const field_t hw_ccm_post_root41_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT41_CLR.
static const field_t hw_ccm_post_root41_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT41_TOG.
static const field_t hw_ccm_post_root41_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE41.
static const field_t hw_ccm_pre41[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT41_SET.
static const field_t hw_ccm_pre_root41_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT41_CLR.
static const field_t hw_ccm_pre_root41_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT41_TOG.
static const field_t hw_ccm_pre_root41_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL41.
static const field_t hw_ccm_access_ctrl41[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT41_SET.
static const field_t hw_ccm_access_ctrl_root41_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT41_CLR.
static const field_t hw_ccm_access_ctrl_root41_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT41_TOG.
static const field_t hw_ccm_access_ctrl_root41_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT42.
static const field_t hw_ccm_target_root42[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT42_SET.
static const field_t hw_ccm_target_root42_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT42_CLR.
static const field_t hw_ccm_target_root42_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT42_TOG.
static const field_t hw_ccm_target_root42_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC42.
static const field_t hw_ccm_misc42[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT42_SET.
static const field_t hw_ccm_misc_root42_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT42_CLR.
static const field_t hw_ccm_misc_root42_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT42_TOG.
static const field_t hw_ccm_misc_root42_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST42.
static const field_t hw_ccm_post42[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT42_SET.
static const field_t hw_ccm_post_root42_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT42_CLR.
static const field_t hw_ccm_post_root42_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT42_TOG.
static const field_t hw_ccm_post_root42_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE42.
static const field_t hw_ccm_pre42[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT42_SET.
static const field_t hw_ccm_pre_root42_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT42_CLR.
static const field_t hw_ccm_pre_root42_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT42_TOG.
static const field_t hw_ccm_pre_root42_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL42.
static const field_t hw_ccm_access_ctrl42[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT42_SET.
static const field_t hw_ccm_access_ctrl_root42_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT42_CLR.
static const field_t hw_ccm_access_ctrl_root42_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT42_TOG.
static const field_t hw_ccm_access_ctrl_root42_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT43.
static const field_t hw_ccm_target_root43[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT43_SET.
static const field_t hw_ccm_target_root43_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT43_CLR.
static const field_t hw_ccm_target_root43_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT43_TOG.
static const field_t hw_ccm_target_root43_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC43.
static const field_t hw_ccm_misc43[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT43_SET.
static const field_t hw_ccm_misc_root43_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT43_CLR.
static const field_t hw_ccm_misc_root43_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT43_TOG.
static const field_t hw_ccm_misc_root43_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST43.
static const field_t hw_ccm_post43[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT43_SET.
static const field_t hw_ccm_post_root43_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT43_CLR.
static const field_t hw_ccm_post_root43_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT43_TOG.
static const field_t hw_ccm_post_root43_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE43.
static const field_t hw_ccm_pre43[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT43_SET.
static const field_t hw_ccm_pre_root43_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT43_CLR.
static const field_t hw_ccm_pre_root43_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT43_TOG.
static const field_t hw_ccm_pre_root43_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL43.
static const field_t hw_ccm_access_ctrl43[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT43_SET.
static const field_t hw_ccm_access_ctrl_root43_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT43_CLR.
static const field_t hw_ccm_access_ctrl_root43_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT43_TOG.
static const field_t hw_ccm_access_ctrl_root43_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT44.
static const field_t hw_ccm_target_root44[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT44_SET.
static const field_t hw_ccm_target_root44_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT44_CLR.
static const field_t hw_ccm_target_root44_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT44_TOG.
static const field_t hw_ccm_target_root44_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC44.
static const field_t hw_ccm_misc44[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT44_SET.
static const field_t hw_ccm_misc_root44_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT44_CLR.
static const field_t hw_ccm_misc_root44_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT44_TOG.
static const field_t hw_ccm_misc_root44_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST44.
static const field_t hw_ccm_post44[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT44_SET.
static const field_t hw_ccm_post_root44_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT44_CLR.
static const field_t hw_ccm_post_root44_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT44_TOG.
static const field_t hw_ccm_post_root44_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE44.
static const field_t hw_ccm_pre44[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT44_SET.
static const field_t hw_ccm_pre_root44_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT44_CLR.
static const field_t hw_ccm_pre_root44_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT44_TOG.
static const field_t hw_ccm_pre_root44_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL44.
static const field_t hw_ccm_access_ctrl44[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT44_SET.
static const field_t hw_ccm_access_ctrl_root44_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT44_CLR.
static const field_t hw_ccm_access_ctrl_root44_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT44_TOG.
static const field_t hw_ccm_access_ctrl_root44_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT45.
static const field_t hw_ccm_target_root45[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT45_SET.
static const field_t hw_ccm_target_root45_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT45_CLR.
static const field_t hw_ccm_target_root45_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT45_TOG.
static const field_t hw_ccm_target_root45_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC45.
static const field_t hw_ccm_misc45[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT45_SET.
static const field_t hw_ccm_misc_root45_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT45_CLR.
static const field_t hw_ccm_misc_root45_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT45_TOG.
static const field_t hw_ccm_misc_root45_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST45.
static const field_t hw_ccm_post45[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT45_SET.
static const field_t hw_ccm_post_root45_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT45_CLR.
static const field_t hw_ccm_post_root45_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT45_TOG.
static const field_t hw_ccm_post_root45_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE45.
static const field_t hw_ccm_pre45[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT45_SET.
static const field_t hw_ccm_pre_root45_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT45_CLR.
static const field_t hw_ccm_pre_root45_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT45_TOG.
static const field_t hw_ccm_pre_root45_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL45.
static const field_t hw_ccm_access_ctrl45[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT45_SET.
static const field_t hw_ccm_access_ctrl_root45_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT45_CLR.
static const field_t hw_ccm_access_ctrl_root45_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT45_TOG.
static const field_t hw_ccm_access_ctrl_root45_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT46.
static const field_t hw_ccm_target_root46[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT46_SET.
static const field_t hw_ccm_target_root46_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT46_CLR.
static const field_t hw_ccm_target_root46_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT46_TOG.
static const field_t hw_ccm_target_root46_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC46.
static const field_t hw_ccm_misc46[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT46_SET.
static const field_t hw_ccm_misc_root46_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT46_CLR.
static const field_t hw_ccm_misc_root46_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT46_TOG.
static const field_t hw_ccm_misc_root46_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST46.
static const field_t hw_ccm_post46[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT46_SET.
static const field_t hw_ccm_post_root46_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT46_CLR.
static const field_t hw_ccm_post_root46_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT46_TOG.
static const field_t hw_ccm_post_root46_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE46.
static const field_t hw_ccm_pre46[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT46_SET.
static const field_t hw_ccm_pre_root46_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT46_CLR.
static const field_t hw_ccm_pre_root46_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT46_TOG.
static const field_t hw_ccm_pre_root46_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL46.
static const field_t hw_ccm_access_ctrl46[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT46_SET.
static const field_t hw_ccm_access_ctrl_root46_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT46_CLR.
static const field_t hw_ccm_access_ctrl_root46_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT46_TOG.
static const field_t hw_ccm_access_ctrl_root46_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT47.
static const field_t hw_ccm_target_root47[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT47_SET.
static const field_t hw_ccm_target_root47_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT47_CLR.
static const field_t hw_ccm_target_root47_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT47_TOG.
static const field_t hw_ccm_target_root47_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC47.
static const field_t hw_ccm_misc47[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT47_SET.
static const field_t hw_ccm_misc_root47_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT47_CLR.
static const field_t hw_ccm_misc_root47_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT47_TOG.
static const field_t hw_ccm_misc_root47_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST47.
static const field_t hw_ccm_post47[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT47_SET.
static const field_t hw_ccm_post_root47_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT47_CLR.
static const field_t hw_ccm_post_root47_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT47_TOG.
static const field_t hw_ccm_post_root47_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE47.
static const field_t hw_ccm_pre47[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT47_SET.
static const field_t hw_ccm_pre_root47_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT47_CLR.
static const field_t hw_ccm_pre_root47_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT47_TOG.
static const field_t hw_ccm_pre_root47_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL47.
static const field_t hw_ccm_access_ctrl47[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT47_SET.
static const field_t hw_ccm_access_ctrl_root47_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT47_CLR.
static const field_t hw_ccm_access_ctrl_root47_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT47_TOG.
static const field_t hw_ccm_access_ctrl_root47_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT48.
static const field_t hw_ccm_target_root48[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT48_SET.
static const field_t hw_ccm_target_root48_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT48_CLR.
static const field_t hw_ccm_target_root48_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT48_TOG.
static const field_t hw_ccm_target_root48_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC48.
static const field_t hw_ccm_misc48[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT48_SET.
static const field_t hw_ccm_misc_root48_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT48_CLR.
static const field_t hw_ccm_misc_root48_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT48_TOG.
static const field_t hw_ccm_misc_root48_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST48.
static const field_t hw_ccm_post48[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT48_SET.
static const field_t hw_ccm_post_root48_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT48_CLR.
static const field_t hw_ccm_post_root48_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT48_TOG.
static const field_t hw_ccm_post_root48_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE48.
static const field_t hw_ccm_pre48[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT48_SET.
static const field_t hw_ccm_pre_root48_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT48_CLR.
static const field_t hw_ccm_pre_root48_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT48_TOG.
static const field_t hw_ccm_pre_root48_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL48.
static const field_t hw_ccm_access_ctrl48[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT48_SET.
static const field_t hw_ccm_access_ctrl_root48_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT48_CLR.
static const field_t hw_ccm_access_ctrl_root48_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT48_TOG.
static const field_t hw_ccm_access_ctrl_root48_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT49.
static const field_t hw_ccm_target_root49[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT49_SET.
static const field_t hw_ccm_target_root49_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT49_CLR.
static const field_t hw_ccm_target_root49_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT49_TOG.
static const field_t hw_ccm_target_root49_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC49.
static const field_t hw_ccm_misc49[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT49_SET.
static const field_t hw_ccm_misc_root49_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT49_CLR.
static const field_t hw_ccm_misc_root49_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT49_TOG.
static const field_t hw_ccm_misc_root49_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST49.
static const field_t hw_ccm_post49[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT49_SET.
static const field_t hw_ccm_post_root49_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT49_CLR.
static const field_t hw_ccm_post_root49_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT49_TOG.
static const field_t hw_ccm_post_root49_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE49.
static const field_t hw_ccm_pre49[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT49_SET.
static const field_t hw_ccm_pre_root49_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT49_CLR.
static const field_t hw_ccm_pre_root49_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT49_TOG.
static const field_t hw_ccm_pre_root49_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL49.
static const field_t hw_ccm_access_ctrl49[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT49_SET.
static const field_t hw_ccm_access_ctrl_root49_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT49_CLR.
static const field_t hw_ccm_access_ctrl_root49_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT49_TOG.
static const field_t hw_ccm_access_ctrl_root49_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT50.
static const field_t hw_ccm_target_root50[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT50_SET.
static const field_t hw_ccm_target_root50_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT50_CLR.
static const field_t hw_ccm_target_root50_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT50_TOG.
static const field_t hw_ccm_target_root50_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC50.
static const field_t hw_ccm_misc50[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT50_SET.
static const field_t hw_ccm_misc_root50_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT50_CLR.
static const field_t hw_ccm_misc_root50_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT50_TOG.
static const field_t hw_ccm_misc_root50_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST50.
static const field_t hw_ccm_post50[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT50_SET.
static const field_t hw_ccm_post_root50_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT50_CLR.
static const field_t hw_ccm_post_root50_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT50_TOG.
static const field_t hw_ccm_post_root50_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE50.
static const field_t hw_ccm_pre50[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT50_SET.
static const field_t hw_ccm_pre_root50_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT50_CLR.
static const field_t hw_ccm_pre_root50_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT50_TOG.
static const field_t hw_ccm_pre_root50_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL50.
static const field_t hw_ccm_access_ctrl50[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT50_SET.
static const field_t hw_ccm_access_ctrl_root50_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT50_CLR.
static const field_t hw_ccm_access_ctrl_root50_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT50_TOG.
static const field_t hw_ccm_access_ctrl_root50_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT51.
static const field_t hw_ccm_target_root51[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT51_SET.
static const field_t hw_ccm_target_root51_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT51_CLR.
static const field_t hw_ccm_target_root51_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT51_TOG.
static const field_t hw_ccm_target_root51_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC51.
static const field_t hw_ccm_misc51[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT51_SET.
static const field_t hw_ccm_misc_root51_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT51_CLR.
static const field_t hw_ccm_misc_root51_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT51_TOG.
static const field_t hw_ccm_misc_root51_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST51.
static const field_t hw_ccm_post51[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT51_SET.
static const field_t hw_ccm_post_root51_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT51_CLR.
static const field_t hw_ccm_post_root51_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT51_TOG.
static const field_t hw_ccm_post_root51_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE51.
static const field_t hw_ccm_pre51[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT51_SET.
static const field_t hw_ccm_pre_root51_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT51_CLR.
static const field_t hw_ccm_pre_root51_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT51_TOG.
static const field_t hw_ccm_pre_root51_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL51.
static const field_t hw_ccm_access_ctrl51[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT51_SET.
static const field_t hw_ccm_access_ctrl_root51_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT51_CLR.
static const field_t hw_ccm_access_ctrl_root51_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT51_TOG.
static const field_t hw_ccm_access_ctrl_root51_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT52.
static const field_t hw_ccm_target_root52[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT52_SET.
static const field_t hw_ccm_target_root52_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT52_CLR.
static const field_t hw_ccm_target_root52_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT52_TOG.
static const field_t hw_ccm_target_root52_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC52.
static const field_t hw_ccm_misc52[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT52_SET.
static const field_t hw_ccm_misc_root52_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT52_CLR.
static const field_t hw_ccm_misc_root52_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT52_TOG.
static const field_t hw_ccm_misc_root52_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST52.
static const field_t hw_ccm_post52[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT52_SET.
static const field_t hw_ccm_post_root52_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT52_CLR.
static const field_t hw_ccm_post_root52_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT52_TOG.
static const field_t hw_ccm_post_root52_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE52.
static const field_t hw_ccm_pre52[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT52_SET.
static const field_t hw_ccm_pre_root52_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT52_CLR.
static const field_t hw_ccm_pre_root52_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT52_TOG.
static const field_t hw_ccm_pre_root52_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL52.
static const field_t hw_ccm_access_ctrl52[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT52_SET.
static const field_t hw_ccm_access_ctrl_root52_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT52_CLR.
static const field_t hw_ccm_access_ctrl_root52_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT52_TOG.
static const field_t hw_ccm_access_ctrl_root52_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT53.
static const field_t hw_ccm_target_root53[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT53_SET.
static const field_t hw_ccm_target_root53_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT53_CLR.
static const field_t hw_ccm_target_root53_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT53_TOG.
static const field_t hw_ccm_target_root53_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC53.
static const field_t hw_ccm_misc53[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT53_SET.
static const field_t hw_ccm_misc_root53_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT53_CLR.
static const field_t hw_ccm_misc_root53_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT53_TOG.
static const field_t hw_ccm_misc_root53_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST53.
static const field_t hw_ccm_post53[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT53_SET.
static const field_t hw_ccm_post_root53_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT53_CLR.
static const field_t hw_ccm_post_root53_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT53_TOG.
static const field_t hw_ccm_post_root53_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE53.
static const field_t hw_ccm_pre53[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT53_SET.
static const field_t hw_ccm_pre_root53_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT53_CLR.
static const field_t hw_ccm_pre_root53_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT53_TOG.
static const field_t hw_ccm_pre_root53_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL53.
static const field_t hw_ccm_access_ctrl53[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT53_SET.
static const field_t hw_ccm_access_ctrl_root53_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT53_CLR.
static const field_t hw_ccm_access_ctrl_root53_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT53_TOG.
static const field_t hw_ccm_access_ctrl_root53_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT54.
static const field_t hw_ccm_target_root54[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT54_SET.
static const field_t hw_ccm_target_root54_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT54_CLR.
static const field_t hw_ccm_target_root54_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT54_TOG.
static const field_t hw_ccm_target_root54_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC54.
static const field_t hw_ccm_misc54[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT54_SET.
static const field_t hw_ccm_misc_root54_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT54_CLR.
static const field_t hw_ccm_misc_root54_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT54_TOG.
static const field_t hw_ccm_misc_root54_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST54.
static const field_t hw_ccm_post54[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT54_SET.
static const field_t hw_ccm_post_root54_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT54_CLR.
static const field_t hw_ccm_post_root54_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT54_TOG.
static const field_t hw_ccm_post_root54_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE54.
static const field_t hw_ccm_pre54[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT54_SET.
static const field_t hw_ccm_pre_root54_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT54_CLR.
static const field_t hw_ccm_pre_root54_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT54_TOG.
static const field_t hw_ccm_pre_root54_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL54.
static const field_t hw_ccm_access_ctrl54[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT54_SET.
static const field_t hw_ccm_access_ctrl_root54_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT54_CLR.
static const field_t hw_ccm_access_ctrl_root54_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT54_TOG.
static const field_t hw_ccm_access_ctrl_root54_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT55.
static const field_t hw_ccm_target_root55[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT55_SET.
static const field_t hw_ccm_target_root55_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT55_CLR.
static const field_t hw_ccm_target_root55_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT55_TOG.
static const field_t hw_ccm_target_root55_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC55.
static const field_t hw_ccm_misc55[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT55_SET.
static const field_t hw_ccm_misc_root55_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT55_CLR.
static const field_t hw_ccm_misc_root55_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT55_TOG.
static const field_t hw_ccm_misc_root55_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST55.
static const field_t hw_ccm_post55[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT55_SET.
static const field_t hw_ccm_post_root55_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT55_CLR.
static const field_t hw_ccm_post_root55_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT55_TOG.
static const field_t hw_ccm_post_root55_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE55.
static const field_t hw_ccm_pre55[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT55_SET.
static const field_t hw_ccm_pre_root55_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT55_CLR.
static const field_t hw_ccm_pre_root55_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT55_TOG.
static const field_t hw_ccm_pre_root55_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL55.
static const field_t hw_ccm_access_ctrl55[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT55_SET.
static const field_t hw_ccm_access_ctrl_root55_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT55_CLR.
static const field_t hw_ccm_access_ctrl_root55_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT55_TOG.
static const field_t hw_ccm_access_ctrl_root55_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT56.
static const field_t hw_ccm_target_root56[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT56_SET.
static const field_t hw_ccm_target_root56_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT56_CLR.
static const field_t hw_ccm_target_root56_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT56_TOG.
static const field_t hw_ccm_target_root56_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC56.
static const field_t hw_ccm_misc56[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT56_SET.
static const field_t hw_ccm_misc_root56_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT56_CLR.
static const field_t hw_ccm_misc_root56_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT56_TOG.
static const field_t hw_ccm_misc_root56_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST56.
static const field_t hw_ccm_post56[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT56_SET.
static const field_t hw_ccm_post_root56_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT56_CLR.
static const field_t hw_ccm_post_root56_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT56_TOG.
static const field_t hw_ccm_post_root56_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE56.
static const field_t hw_ccm_pre56[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT56_SET.
static const field_t hw_ccm_pre_root56_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT56_CLR.
static const field_t hw_ccm_pre_root56_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT56_TOG.
static const field_t hw_ccm_pre_root56_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL56.
static const field_t hw_ccm_access_ctrl56[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT56_SET.
static const field_t hw_ccm_access_ctrl_root56_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT56_CLR.
static const field_t hw_ccm_access_ctrl_root56_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT56_TOG.
static const field_t hw_ccm_access_ctrl_root56_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT57.
static const field_t hw_ccm_target_root57[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT57_SET.
static const field_t hw_ccm_target_root57_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT57_CLR.
static const field_t hw_ccm_target_root57_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT57_TOG.
static const field_t hw_ccm_target_root57_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC57.
static const field_t hw_ccm_misc57[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT57_SET.
static const field_t hw_ccm_misc_root57_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT57_CLR.
static const field_t hw_ccm_misc_root57_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT57_TOG.
static const field_t hw_ccm_misc_root57_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST57.
static const field_t hw_ccm_post57[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT57_SET.
static const field_t hw_ccm_post_root57_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT57_CLR.
static const field_t hw_ccm_post_root57_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT57_TOG.
static const field_t hw_ccm_post_root57_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE57.
static const field_t hw_ccm_pre57[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT57_SET.
static const field_t hw_ccm_pre_root57_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT57_CLR.
static const field_t hw_ccm_pre_root57_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT57_TOG.
static const field_t hw_ccm_pre_root57_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL57.
static const field_t hw_ccm_access_ctrl57[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT57_SET.
static const field_t hw_ccm_access_ctrl_root57_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT57_CLR.
static const field_t hw_ccm_access_ctrl_root57_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT57_TOG.
static const field_t hw_ccm_access_ctrl_root57_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT58.
static const field_t hw_ccm_target_root58[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT58_SET.
static const field_t hw_ccm_target_root58_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT58_CLR.
static const field_t hw_ccm_target_root58_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT58_TOG.
static const field_t hw_ccm_target_root58_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC58.
static const field_t hw_ccm_misc58[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT58_SET.
static const field_t hw_ccm_misc_root58_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT58_CLR.
static const field_t hw_ccm_misc_root58_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT58_TOG.
static const field_t hw_ccm_misc_root58_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST58.
static const field_t hw_ccm_post58[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT58_SET.
static const field_t hw_ccm_post_root58_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT58_CLR.
static const field_t hw_ccm_post_root58_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT58_TOG.
static const field_t hw_ccm_post_root58_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE58.
static const field_t hw_ccm_pre58[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT58_SET.
static const field_t hw_ccm_pre_root58_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT58_CLR.
static const field_t hw_ccm_pre_root58_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT58_TOG.
static const field_t hw_ccm_pre_root58_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL58.
static const field_t hw_ccm_access_ctrl58[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT58_SET.
static const field_t hw_ccm_access_ctrl_root58_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT58_CLR.
static const field_t hw_ccm_access_ctrl_root58_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT58_TOG.
static const field_t hw_ccm_access_ctrl_root58_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT59.
static const field_t hw_ccm_target_root59[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT59_SET.
static const field_t hw_ccm_target_root59_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT59_CLR.
static const field_t hw_ccm_target_root59_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT59_TOG.
static const field_t hw_ccm_target_root59_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC59.
static const field_t hw_ccm_misc59[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT59_SET.
static const field_t hw_ccm_misc_root59_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT59_CLR.
static const field_t hw_ccm_misc_root59_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT59_TOG.
static const field_t hw_ccm_misc_root59_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST59.
static const field_t hw_ccm_post59[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT59_SET.
static const field_t hw_ccm_post_root59_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT59_CLR.
static const field_t hw_ccm_post_root59_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT59_TOG.
static const field_t hw_ccm_post_root59_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE59.
static const field_t hw_ccm_pre59[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT59_SET.
static const field_t hw_ccm_pre_root59_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT59_CLR.
static const field_t hw_ccm_pre_root59_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT59_TOG.
static const field_t hw_ccm_pre_root59_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL59.
static const field_t hw_ccm_access_ctrl59[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT59_SET.
static const field_t hw_ccm_access_ctrl_root59_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT59_CLR.
static const field_t hw_ccm_access_ctrl_root59_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT59_TOG.
static const field_t hw_ccm_access_ctrl_root59_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT60.
static const field_t hw_ccm_target_root60[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT60_SET.
static const field_t hw_ccm_target_root60_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT60_CLR.
static const field_t hw_ccm_target_root60_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT60_TOG.
static const field_t hw_ccm_target_root60_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC60.
static const field_t hw_ccm_misc60[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT60_SET.
static const field_t hw_ccm_misc_root60_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT60_CLR.
static const field_t hw_ccm_misc_root60_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT60_TOG.
static const field_t hw_ccm_misc_root60_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST60.
static const field_t hw_ccm_post60[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT60_SET.
static const field_t hw_ccm_post_root60_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT60_CLR.
static const field_t hw_ccm_post_root60_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT60_TOG.
static const field_t hw_ccm_post_root60_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE60.
static const field_t hw_ccm_pre60[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT60_SET.
static const field_t hw_ccm_pre_root60_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT60_CLR.
static const field_t hw_ccm_pre_root60_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT60_TOG.
static const field_t hw_ccm_pre_root60_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL60.
static const field_t hw_ccm_access_ctrl60[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT60_SET.
static const field_t hw_ccm_access_ctrl_root60_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT60_CLR.
static const field_t hw_ccm_access_ctrl_root60_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT60_TOG.
static const field_t hw_ccm_access_ctrl_root60_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT61.
static const field_t hw_ccm_target_root61[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT61_SET.
static const field_t hw_ccm_target_root61_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT61_CLR.
static const field_t hw_ccm_target_root61_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT61_TOG.
static const field_t hw_ccm_target_root61_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC61.
static const field_t hw_ccm_misc61[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT61_SET.
static const field_t hw_ccm_misc_root61_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT61_CLR.
static const field_t hw_ccm_misc_root61_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT61_TOG.
static const field_t hw_ccm_misc_root61_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST61.
static const field_t hw_ccm_post61[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT61_SET.
static const field_t hw_ccm_post_root61_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT61_CLR.
static const field_t hw_ccm_post_root61_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT61_TOG.
static const field_t hw_ccm_post_root61_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE61.
static const field_t hw_ccm_pre61[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT61_SET.
static const field_t hw_ccm_pre_root61_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT61_CLR.
static const field_t hw_ccm_pre_root61_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT61_TOG.
static const field_t hw_ccm_pre_root61_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL61.
static const field_t hw_ccm_access_ctrl61[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT61_SET.
static const field_t hw_ccm_access_ctrl_root61_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT61_CLR.
static const field_t hw_ccm_access_ctrl_root61_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT61_TOG.
static const field_t hw_ccm_access_ctrl_root61_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT62.
static const field_t hw_ccm_target_root62[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT62_SET.
static const field_t hw_ccm_target_root62_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT62_CLR.
static const field_t hw_ccm_target_root62_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT62_TOG.
static const field_t hw_ccm_target_root62_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC62.
static const field_t hw_ccm_misc62[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT62_SET.
static const field_t hw_ccm_misc_root62_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT62_CLR.
static const field_t hw_ccm_misc_root62_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT62_TOG.
static const field_t hw_ccm_misc_root62_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST62.
static const field_t hw_ccm_post62[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT62_SET.
static const field_t hw_ccm_post_root62_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT62_CLR.
static const field_t hw_ccm_post_root62_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT62_TOG.
static const field_t hw_ccm_post_root62_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE62.
static const field_t hw_ccm_pre62[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT62_SET.
static const field_t hw_ccm_pre_root62_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT62_CLR.
static const field_t hw_ccm_pre_root62_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT62_TOG.
static const field_t hw_ccm_pre_root62_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL62.
static const field_t hw_ccm_access_ctrl62[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT62_SET.
static const field_t hw_ccm_access_ctrl_root62_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT62_CLR.
static const field_t hw_ccm_access_ctrl_root62_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT62_TOG.
static const field_t hw_ccm_access_ctrl_root62_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT63.
static const field_t hw_ccm_target_root63[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT63_SET.
static const field_t hw_ccm_target_root63_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT63_CLR.
static const field_t hw_ccm_target_root63_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT63_TOG.
static const field_t hw_ccm_target_root63_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC63.
static const field_t hw_ccm_misc63[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT63_SET.
static const field_t hw_ccm_misc_root63_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT63_CLR.
static const field_t hw_ccm_misc_root63_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT63_TOG.
static const field_t hw_ccm_misc_root63_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST63.
static const field_t hw_ccm_post63[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT63_SET.
static const field_t hw_ccm_post_root63_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT63_CLR.
static const field_t hw_ccm_post_root63_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT63_TOG.
static const field_t hw_ccm_post_root63_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE63.
static const field_t hw_ccm_pre63[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT63_SET.
static const field_t hw_ccm_pre_root63_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT63_CLR.
static const field_t hw_ccm_pre_root63_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT63_TOG.
static const field_t hw_ccm_pre_root63_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL63.
static const field_t hw_ccm_access_ctrl63[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT63_SET.
static const field_t hw_ccm_access_ctrl_root63_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT63_CLR.
static const field_t hw_ccm_access_ctrl_root63_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT63_TOG.
static const field_t hw_ccm_access_ctrl_root63_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT64.
static const field_t hw_ccm_target_root64[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT64_SET.
static const field_t hw_ccm_target_root64_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT64_CLR.
static const field_t hw_ccm_target_root64_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT64_TOG.
static const field_t hw_ccm_target_root64_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC64.
static const field_t hw_ccm_misc64[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT64_SET.
static const field_t hw_ccm_misc_root64_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT64_CLR.
static const field_t hw_ccm_misc_root64_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT64_TOG.
static const field_t hw_ccm_misc_root64_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST64.
static const field_t hw_ccm_post64[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT64_SET.
static const field_t hw_ccm_post_root64_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT64_CLR.
static const field_t hw_ccm_post_root64_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT64_TOG.
static const field_t hw_ccm_post_root64_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE64.
static const field_t hw_ccm_pre64[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT64_SET.
static const field_t hw_ccm_pre_root64_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT64_CLR.
static const field_t hw_ccm_pre_root64_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT64_TOG.
static const field_t hw_ccm_pre_root64_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL64.
static const field_t hw_ccm_access_ctrl64[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT64_SET.
static const field_t hw_ccm_access_ctrl_root64_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT64_CLR.
static const field_t hw_ccm_access_ctrl_root64_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT64_TOG.
static const field_t hw_ccm_access_ctrl_root64_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT65.
static const field_t hw_ccm_target_root65[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT65_SET.
static const field_t hw_ccm_target_root65_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT65_CLR.
static const field_t hw_ccm_target_root65_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT65_TOG.
static const field_t hw_ccm_target_root65_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC65.
static const field_t hw_ccm_misc65[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT65_SET.
static const field_t hw_ccm_misc_root65_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT65_CLR.
static const field_t hw_ccm_misc_root65_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT65_TOG.
static const field_t hw_ccm_misc_root65_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST65.
static const field_t hw_ccm_post65[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT65_SET.
static const field_t hw_ccm_post_root65_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT65_CLR.
static const field_t hw_ccm_post_root65_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT65_TOG.
static const field_t hw_ccm_post_root65_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE65.
static const field_t hw_ccm_pre65[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT65_SET.
static const field_t hw_ccm_pre_root65_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT65_CLR.
static const field_t hw_ccm_pre_root65_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT65_TOG.
static const field_t hw_ccm_pre_root65_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL65.
static const field_t hw_ccm_access_ctrl65[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT65_SET.
static const field_t hw_ccm_access_ctrl_root65_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT65_CLR.
static const field_t hw_ccm_access_ctrl_root65_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT65_TOG.
static const field_t hw_ccm_access_ctrl_root65_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT66.
static const field_t hw_ccm_target_root66[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT66_SET.
static const field_t hw_ccm_target_root66_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT66_CLR.
static const field_t hw_ccm_target_root66_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT66_TOG.
static const field_t hw_ccm_target_root66_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC66.
static const field_t hw_ccm_misc66[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT66_SET.
static const field_t hw_ccm_misc_root66_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT66_CLR.
static const field_t hw_ccm_misc_root66_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT66_TOG.
static const field_t hw_ccm_misc_root66_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST66.
static const field_t hw_ccm_post66[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT66_SET.
static const field_t hw_ccm_post_root66_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT66_CLR.
static const field_t hw_ccm_post_root66_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT66_TOG.
static const field_t hw_ccm_post_root66_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE66.
static const field_t hw_ccm_pre66[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT66_SET.
static const field_t hw_ccm_pre_root66_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT66_CLR.
static const field_t hw_ccm_pre_root66_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT66_TOG.
static const field_t hw_ccm_pre_root66_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL66.
static const field_t hw_ccm_access_ctrl66[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT66_SET.
static const field_t hw_ccm_access_ctrl_root66_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT66_CLR.
static const field_t hw_ccm_access_ctrl_root66_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT66_TOG.
static const field_t hw_ccm_access_ctrl_root66_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT67.
static const field_t hw_ccm_target_root67[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT67_SET.
static const field_t hw_ccm_target_root67_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT67_CLR.
static const field_t hw_ccm_target_root67_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT67_TOG.
static const field_t hw_ccm_target_root67_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC67.
static const field_t hw_ccm_misc67[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT67_SET.
static const field_t hw_ccm_misc_root67_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT67_CLR.
static const field_t hw_ccm_misc_root67_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT67_TOG.
static const field_t hw_ccm_misc_root67_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST67.
static const field_t hw_ccm_post67[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT67_SET.
static const field_t hw_ccm_post_root67_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT67_CLR.
static const field_t hw_ccm_post_root67_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT67_TOG.
static const field_t hw_ccm_post_root67_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE67.
static const field_t hw_ccm_pre67[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT67_SET.
static const field_t hw_ccm_pre_root67_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT67_CLR.
static const field_t hw_ccm_pre_root67_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT67_TOG.
static const field_t hw_ccm_pre_root67_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL67.
static const field_t hw_ccm_access_ctrl67[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT67_SET.
static const field_t hw_ccm_access_ctrl_root67_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT67_CLR.
static const field_t hw_ccm_access_ctrl_root67_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT67_TOG.
static const field_t hw_ccm_access_ctrl_root67_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT68.
static const field_t hw_ccm_target_root68[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT68_SET.
static const field_t hw_ccm_target_root68_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT68_CLR.
static const field_t hw_ccm_target_root68_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT68_TOG.
static const field_t hw_ccm_target_root68_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC68.
static const field_t hw_ccm_misc68[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT68_SET.
static const field_t hw_ccm_misc_root68_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT68_CLR.
static const field_t hw_ccm_misc_root68_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT68_TOG.
static const field_t hw_ccm_misc_root68_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST68.
static const field_t hw_ccm_post68[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT68_SET.
static const field_t hw_ccm_post_root68_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT68_CLR.
static const field_t hw_ccm_post_root68_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT68_TOG.
static const field_t hw_ccm_post_root68_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE68.
static const field_t hw_ccm_pre68[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT68_SET.
static const field_t hw_ccm_pre_root68_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT68_CLR.
static const field_t hw_ccm_pre_root68_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT68_TOG.
static const field_t hw_ccm_pre_root68_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL68.
static const field_t hw_ccm_access_ctrl68[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT68_SET.
static const field_t hw_ccm_access_ctrl_root68_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT68_CLR.
static const field_t hw_ccm_access_ctrl_root68_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT68_TOG.
static const field_t hw_ccm_access_ctrl_root68_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT69.
static const field_t hw_ccm_target_root69[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT69_SET.
static const field_t hw_ccm_target_root69_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT69_CLR.
static const field_t hw_ccm_target_root69_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT69_TOG.
static const field_t hw_ccm_target_root69_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC69.
static const field_t hw_ccm_misc69[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT69_SET.
static const field_t hw_ccm_misc_root69_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT69_CLR.
static const field_t hw_ccm_misc_root69_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT69_TOG.
static const field_t hw_ccm_misc_root69_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST69.
static const field_t hw_ccm_post69[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT69_SET.
static const field_t hw_ccm_post_root69_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT69_CLR.
static const field_t hw_ccm_post_root69_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT69_TOG.
static const field_t hw_ccm_post_root69_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE69.
static const field_t hw_ccm_pre69[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT69_SET.
static const field_t hw_ccm_pre_root69_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT69_CLR.
static const field_t hw_ccm_pre_root69_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT69_TOG.
static const field_t hw_ccm_pre_root69_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL69.
static const field_t hw_ccm_access_ctrl69[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT69_SET.
static const field_t hw_ccm_access_ctrl_root69_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT69_CLR.
static const field_t hw_ccm_access_ctrl_root69_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT69_TOG.
static const field_t hw_ccm_access_ctrl_root69_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT70.
static const field_t hw_ccm_target_root70[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT70_SET.
static const field_t hw_ccm_target_root70_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT70_CLR.
static const field_t hw_ccm_target_root70_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT70_TOG.
static const field_t hw_ccm_target_root70_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC70.
static const field_t hw_ccm_misc70[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT70_SET.
static const field_t hw_ccm_misc_root70_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT70_CLR.
static const field_t hw_ccm_misc_root70_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT70_TOG.
static const field_t hw_ccm_misc_root70_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST70.
static const field_t hw_ccm_post70[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT70_SET.
static const field_t hw_ccm_post_root70_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT70_CLR.
static const field_t hw_ccm_post_root70_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT70_TOG.
static const field_t hw_ccm_post_root70_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE70.
static const field_t hw_ccm_pre70[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT70_SET.
static const field_t hw_ccm_pre_root70_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT70_CLR.
static const field_t hw_ccm_pre_root70_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT70_TOG.
static const field_t hw_ccm_pre_root70_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL70.
static const field_t hw_ccm_access_ctrl70[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT70_SET.
static const field_t hw_ccm_access_ctrl_root70_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT70_CLR.
static const field_t hw_ccm_access_ctrl_root70_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT70_TOG.
static const field_t hw_ccm_access_ctrl_root70_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT71.
static const field_t hw_ccm_target_root71[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT71_SET.
static const field_t hw_ccm_target_root71_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT71_CLR.
static const field_t hw_ccm_target_root71_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT71_TOG.
static const field_t hw_ccm_target_root71_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC71.
static const field_t hw_ccm_misc71[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT71_SET.
static const field_t hw_ccm_misc_root71_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT71_CLR.
static const field_t hw_ccm_misc_root71_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT71_TOG.
static const field_t hw_ccm_misc_root71_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST71.
static const field_t hw_ccm_post71[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT71_SET.
static const field_t hw_ccm_post_root71_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT71_CLR.
static const field_t hw_ccm_post_root71_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT71_TOG.
static const field_t hw_ccm_post_root71_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE71.
static const field_t hw_ccm_pre71[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT71_SET.
static const field_t hw_ccm_pre_root71_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT71_CLR.
static const field_t hw_ccm_pre_root71_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT71_TOG.
static const field_t hw_ccm_pre_root71_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL71.
static const field_t hw_ccm_access_ctrl71[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT71_SET.
static const field_t hw_ccm_access_ctrl_root71_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT71_CLR.
static const field_t hw_ccm_access_ctrl_root71_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT71_TOG.
static const field_t hw_ccm_access_ctrl_root71_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT72.
static const field_t hw_ccm_target_root72[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT72_SET.
static const field_t hw_ccm_target_root72_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT72_CLR.
static const field_t hw_ccm_target_root72_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT72_TOG.
static const field_t hw_ccm_target_root72_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC72.
static const field_t hw_ccm_misc72[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT72_SET.
static const field_t hw_ccm_misc_root72_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT72_CLR.
static const field_t hw_ccm_misc_root72_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT72_TOG.
static const field_t hw_ccm_misc_root72_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST72.
static const field_t hw_ccm_post72[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT72_SET.
static const field_t hw_ccm_post_root72_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT72_CLR.
static const field_t hw_ccm_post_root72_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT72_TOG.
static const field_t hw_ccm_post_root72_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE72.
static const field_t hw_ccm_pre72[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT72_SET.
static const field_t hw_ccm_pre_root72_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT72_CLR.
static const field_t hw_ccm_pre_root72_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT72_TOG.
static const field_t hw_ccm_pre_root72_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL72.
static const field_t hw_ccm_access_ctrl72[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT72_SET.
static const field_t hw_ccm_access_ctrl_root72_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT72_CLR.
static const field_t hw_ccm_access_ctrl_root72_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT72_TOG.
static const field_t hw_ccm_access_ctrl_root72_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT73.
static const field_t hw_ccm_target_root73[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT73_SET.
static const field_t hw_ccm_target_root73_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT73_CLR.
static const field_t hw_ccm_target_root73_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT73_TOG.
static const field_t hw_ccm_target_root73_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC73.
static const field_t hw_ccm_misc73[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT73_SET.
static const field_t hw_ccm_misc_root73_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT73_CLR.
static const field_t hw_ccm_misc_root73_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT73_TOG.
static const field_t hw_ccm_misc_root73_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST73.
static const field_t hw_ccm_post73[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT73_SET.
static const field_t hw_ccm_post_root73_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT73_CLR.
static const field_t hw_ccm_post_root73_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT73_TOG.
static const field_t hw_ccm_post_root73_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE73.
static const field_t hw_ccm_pre73[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT73_SET.
static const field_t hw_ccm_pre_root73_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT73_CLR.
static const field_t hw_ccm_pre_root73_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT73_TOG.
static const field_t hw_ccm_pre_root73_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL73.
static const field_t hw_ccm_access_ctrl73[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT73_SET.
static const field_t hw_ccm_access_ctrl_root73_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT73_CLR.
static const field_t hw_ccm_access_ctrl_root73_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT73_TOG.
static const field_t hw_ccm_access_ctrl_root73_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT74.
static const field_t hw_ccm_target_root74[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT74_SET.
static const field_t hw_ccm_target_root74_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT74_CLR.
static const field_t hw_ccm_target_root74_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT74_TOG.
static const field_t hw_ccm_target_root74_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC74.
static const field_t hw_ccm_misc74[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT74_SET.
static const field_t hw_ccm_misc_root74_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT74_CLR.
static const field_t hw_ccm_misc_root74_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT74_TOG.
static const field_t hw_ccm_misc_root74_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST74.
static const field_t hw_ccm_post74[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT74_SET.
static const field_t hw_ccm_post_root74_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT74_CLR.
static const field_t hw_ccm_post_root74_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT74_TOG.
static const field_t hw_ccm_post_root74_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE74.
static const field_t hw_ccm_pre74[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT74_SET.
static const field_t hw_ccm_pre_root74_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT74_CLR.
static const field_t hw_ccm_pre_root74_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT74_TOG.
static const field_t hw_ccm_pre_root74_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL74.
static const field_t hw_ccm_access_ctrl74[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT74_SET.
static const field_t hw_ccm_access_ctrl_root74_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT74_CLR.
static const field_t hw_ccm_access_ctrl_root74_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT74_TOG.
static const field_t hw_ccm_access_ctrl_root74_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT75.
static const field_t hw_ccm_target_root75[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT75_SET.
static const field_t hw_ccm_target_root75_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT75_CLR.
static const field_t hw_ccm_target_root75_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT75_TOG.
static const field_t hw_ccm_target_root75_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC75.
static const field_t hw_ccm_misc75[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT75_SET.
static const field_t hw_ccm_misc_root75_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT75_CLR.
static const field_t hw_ccm_misc_root75_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT75_TOG.
static const field_t hw_ccm_misc_root75_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST75.
static const field_t hw_ccm_post75[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT75_SET.
static const field_t hw_ccm_post_root75_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT75_CLR.
static const field_t hw_ccm_post_root75_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT75_TOG.
static const field_t hw_ccm_post_root75_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE75.
static const field_t hw_ccm_pre75[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT75_SET.
static const field_t hw_ccm_pre_root75_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT75_CLR.
static const field_t hw_ccm_pre_root75_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT75_TOG.
static const field_t hw_ccm_pre_root75_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL75.
static const field_t hw_ccm_access_ctrl75[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT75_SET.
static const field_t hw_ccm_access_ctrl_root75_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT75_CLR.
static const field_t hw_ccm_access_ctrl_root75_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT75_TOG.
static const field_t hw_ccm_access_ctrl_root75_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT76.
static const field_t hw_ccm_target_root76[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT76_SET.
static const field_t hw_ccm_target_root76_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT76_CLR.
static const field_t hw_ccm_target_root76_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT76_TOG.
static const field_t hw_ccm_target_root76_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC76.
static const field_t hw_ccm_misc76[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT76_SET.
static const field_t hw_ccm_misc_root76_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT76_CLR.
static const field_t hw_ccm_misc_root76_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT76_TOG.
static const field_t hw_ccm_misc_root76_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST76.
static const field_t hw_ccm_post76[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT76_SET.
static const field_t hw_ccm_post_root76_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT76_CLR.
static const field_t hw_ccm_post_root76_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT76_TOG.
static const field_t hw_ccm_post_root76_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE76.
static const field_t hw_ccm_pre76[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT76_SET.
static const field_t hw_ccm_pre_root76_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT76_CLR.
static const field_t hw_ccm_pre_root76_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT76_TOG.
static const field_t hw_ccm_pre_root76_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL76.
static const field_t hw_ccm_access_ctrl76[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT76_SET.
static const field_t hw_ccm_access_ctrl_root76_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT76_CLR.
static const field_t hw_ccm_access_ctrl_root76_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT76_TOG.
static const field_t hw_ccm_access_ctrl_root76_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT77.
static const field_t hw_ccm_target_root77[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT77_SET.
static const field_t hw_ccm_target_root77_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT77_CLR.
static const field_t hw_ccm_target_root77_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT77_TOG.
static const field_t hw_ccm_target_root77_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC77.
static const field_t hw_ccm_misc77[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT77_SET.
static const field_t hw_ccm_misc_root77_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT77_CLR.
static const field_t hw_ccm_misc_root77_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT77_TOG.
static const field_t hw_ccm_misc_root77_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST77.
static const field_t hw_ccm_post77[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT77_SET.
static const field_t hw_ccm_post_root77_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT77_CLR.
static const field_t hw_ccm_post_root77_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT77_TOG.
static const field_t hw_ccm_post_root77_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE77.
static const field_t hw_ccm_pre77[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT77_SET.
static const field_t hw_ccm_pre_root77_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT77_CLR.
static const field_t hw_ccm_pre_root77_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT77_TOG.
static const field_t hw_ccm_pre_root77_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL77.
static const field_t hw_ccm_access_ctrl77[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT77_SET.
static const field_t hw_ccm_access_ctrl_root77_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT77_CLR.
static const field_t hw_ccm_access_ctrl_root77_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT77_TOG.
static const field_t hw_ccm_access_ctrl_root77_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT78.
static const field_t hw_ccm_target_root78[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT78_SET.
static const field_t hw_ccm_target_root78_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT78_CLR.
static const field_t hw_ccm_target_root78_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT78_TOG.
static const field_t hw_ccm_target_root78_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC78.
static const field_t hw_ccm_misc78[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT78_SET.
static const field_t hw_ccm_misc_root78_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT78_CLR.
static const field_t hw_ccm_misc_root78_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT78_TOG.
static const field_t hw_ccm_misc_root78_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST78.
static const field_t hw_ccm_post78[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT78_SET.
static const field_t hw_ccm_post_root78_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT78_CLR.
static const field_t hw_ccm_post_root78_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT78_TOG.
static const field_t hw_ccm_post_root78_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE78.
static const field_t hw_ccm_pre78[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT78_SET.
static const field_t hw_ccm_pre_root78_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT78_CLR.
static const field_t hw_ccm_pre_root78_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT78_TOG.
static const field_t hw_ccm_pre_root78_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL78.
static const field_t hw_ccm_access_ctrl78[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT78_SET.
static const field_t hw_ccm_access_ctrl_root78_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT78_CLR.
static const field_t hw_ccm_access_ctrl_root78_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT78_TOG.
static const field_t hw_ccm_access_ctrl_root78_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT79.
static const field_t hw_ccm_target_root79[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT79_SET.
static const field_t hw_ccm_target_root79_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT79_CLR.
static const field_t hw_ccm_target_root79_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT79_TOG.
static const field_t hw_ccm_target_root79_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC79.
static const field_t hw_ccm_misc79[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT79_SET.
static const field_t hw_ccm_misc_root79_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT79_CLR.
static const field_t hw_ccm_misc_root79_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT79_TOG.
static const field_t hw_ccm_misc_root79_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST79.
static const field_t hw_ccm_post79[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT79_SET.
static const field_t hw_ccm_post_root79_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT79_CLR.
static const field_t hw_ccm_post_root79_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT79_TOG.
static const field_t hw_ccm_post_root79_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE79.
static const field_t hw_ccm_pre79[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT79_SET.
static const field_t hw_ccm_pre_root79_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT79_CLR.
static const field_t hw_ccm_pre_root79_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT79_TOG.
static const field_t hw_ccm_pre_root79_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL79.
static const field_t hw_ccm_access_ctrl79[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT79_SET.
static const field_t hw_ccm_access_ctrl_root79_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT79_CLR.
static const field_t hw_ccm_access_ctrl_root79_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT79_TOG.
static const field_t hw_ccm_access_ctrl_root79_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT80.
static const field_t hw_ccm_target_root80[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT80_SET.
static const field_t hw_ccm_target_root80_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT80_CLR.
static const field_t hw_ccm_target_root80_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT80_TOG.
static const field_t hw_ccm_target_root80_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC80.
static const field_t hw_ccm_misc80[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT80_SET.
static const field_t hw_ccm_misc_root80_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT80_CLR.
static const field_t hw_ccm_misc_root80_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT80_TOG.
static const field_t hw_ccm_misc_root80_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST80.
static const field_t hw_ccm_post80[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT80_SET.
static const field_t hw_ccm_post_root80_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT80_CLR.
static const field_t hw_ccm_post_root80_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT80_TOG.
static const field_t hw_ccm_post_root80_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE80.
static const field_t hw_ccm_pre80[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT80_SET.
static const field_t hw_ccm_pre_root80_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT80_CLR.
static const field_t hw_ccm_pre_root80_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT80_TOG.
static const field_t hw_ccm_pre_root80_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL80.
static const field_t hw_ccm_access_ctrl80[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT80_SET.
static const field_t hw_ccm_access_ctrl_root80_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT80_CLR.
static const field_t hw_ccm_access_ctrl_root80_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT80_TOG.
static const field_t hw_ccm_access_ctrl_root80_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT81.
static const field_t hw_ccm_target_root81[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT81_SET.
static const field_t hw_ccm_target_root81_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT81_CLR.
static const field_t hw_ccm_target_root81_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT81_TOG.
static const field_t hw_ccm_target_root81_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC81.
static const field_t hw_ccm_misc81[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT81_SET.
static const field_t hw_ccm_misc_root81_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT81_CLR.
static const field_t hw_ccm_misc_root81_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT81_TOG.
static const field_t hw_ccm_misc_root81_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST81.
static const field_t hw_ccm_post81[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT81_SET.
static const field_t hw_ccm_post_root81_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT81_CLR.
static const field_t hw_ccm_post_root81_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT81_TOG.
static const field_t hw_ccm_post_root81_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE81.
static const field_t hw_ccm_pre81[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT81_SET.
static const field_t hw_ccm_pre_root81_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT81_CLR.
static const field_t hw_ccm_pre_root81_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT81_TOG.
static const field_t hw_ccm_pre_root81_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL81.
static const field_t hw_ccm_access_ctrl81[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT81_SET.
static const field_t hw_ccm_access_ctrl_root81_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT81_CLR.
static const field_t hw_ccm_access_ctrl_root81_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT81_TOG.
static const field_t hw_ccm_access_ctrl_root81_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT82.
static const field_t hw_ccm_target_root82[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT82_SET.
static const field_t hw_ccm_target_root82_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT82_CLR.
static const field_t hw_ccm_target_root82_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT82_TOG.
static const field_t hw_ccm_target_root82_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC82.
static const field_t hw_ccm_misc82[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT82_SET.
static const field_t hw_ccm_misc_root82_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT82_CLR.
static const field_t hw_ccm_misc_root82_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT82_TOG.
static const field_t hw_ccm_misc_root82_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST82.
static const field_t hw_ccm_post82[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT82_SET.
static const field_t hw_ccm_post_root82_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT82_CLR.
static const field_t hw_ccm_post_root82_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT82_TOG.
static const field_t hw_ccm_post_root82_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE82.
static const field_t hw_ccm_pre82[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT82_SET.
static const field_t hw_ccm_pre_root82_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT82_CLR.
static const field_t hw_ccm_pre_root82_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT82_TOG.
static const field_t hw_ccm_pre_root82_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL82.
static const field_t hw_ccm_access_ctrl82[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT82_SET.
static const field_t hw_ccm_access_ctrl_root82_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT82_CLR.
static const field_t hw_ccm_access_ctrl_root82_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT82_TOG.
static const field_t hw_ccm_access_ctrl_root82_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT83.
static const field_t hw_ccm_target_root83[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT83_SET.
static const field_t hw_ccm_target_root83_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT83_CLR.
static const field_t hw_ccm_target_root83_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT83_TOG.
static const field_t hw_ccm_target_root83_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC83.
static const field_t hw_ccm_misc83[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT83_SET.
static const field_t hw_ccm_misc_root83_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT83_CLR.
static const field_t hw_ccm_misc_root83_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT83_TOG.
static const field_t hw_ccm_misc_root83_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST83.
static const field_t hw_ccm_post83[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT83_SET.
static const field_t hw_ccm_post_root83_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT83_CLR.
static const field_t hw_ccm_post_root83_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT83_TOG.
static const field_t hw_ccm_post_root83_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE83.
static const field_t hw_ccm_pre83[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT83_SET.
static const field_t hw_ccm_pre_root83_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT83_CLR.
static const field_t hw_ccm_pre_root83_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT83_TOG.
static const field_t hw_ccm_pre_root83_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL83.
static const field_t hw_ccm_access_ctrl83[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT83_SET.
static const field_t hw_ccm_access_ctrl_root83_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT83_CLR.
static const field_t hw_ccm_access_ctrl_root83_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT83_TOG.
static const field_t hw_ccm_access_ctrl_root83_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT84.
static const field_t hw_ccm_target_root84[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT84_SET.
static const field_t hw_ccm_target_root84_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT84_CLR.
static const field_t hw_ccm_target_root84_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT84_TOG.
static const field_t hw_ccm_target_root84_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC84.
static const field_t hw_ccm_misc84[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT84_SET.
static const field_t hw_ccm_misc_root84_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT84_CLR.
static const field_t hw_ccm_misc_root84_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT84_TOG.
static const field_t hw_ccm_misc_root84_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST84.
static const field_t hw_ccm_post84[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT84_SET.
static const field_t hw_ccm_post_root84_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT84_CLR.
static const field_t hw_ccm_post_root84_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT84_TOG.
static const field_t hw_ccm_post_root84_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE84.
static const field_t hw_ccm_pre84[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT84_SET.
static const field_t hw_ccm_pre_root84_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT84_CLR.
static const field_t hw_ccm_pre_root84_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT84_TOG.
static const field_t hw_ccm_pre_root84_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL84.
static const field_t hw_ccm_access_ctrl84[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT84_SET.
static const field_t hw_ccm_access_ctrl_root84_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT84_CLR.
static const field_t hw_ccm_access_ctrl_root84_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT84_TOG.
static const field_t hw_ccm_access_ctrl_root84_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT85.
static const field_t hw_ccm_target_root85[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT85_SET.
static const field_t hw_ccm_target_root85_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT85_CLR.
static const field_t hw_ccm_target_root85_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT85_TOG.
static const field_t hw_ccm_target_root85_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC85.
static const field_t hw_ccm_misc85[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT85_SET.
static const field_t hw_ccm_misc_root85_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT85_CLR.
static const field_t hw_ccm_misc_root85_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT85_TOG.
static const field_t hw_ccm_misc_root85_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST85.
static const field_t hw_ccm_post85[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT85_SET.
static const field_t hw_ccm_post_root85_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT85_CLR.
static const field_t hw_ccm_post_root85_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT85_TOG.
static const field_t hw_ccm_post_root85_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE85.
static const field_t hw_ccm_pre85[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT85_SET.
static const field_t hw_ccm_pre_root85_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT85_CLR.
static const field_t hw_ccm_pre_root85_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT85_TOG.
static const field_t hw_ccm_pre_root85_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL85.
static const field_t hw_ccm_access_ctrl85[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT85_SET.
static const field_t hw_ccm_access_ctrl_root85_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT85_CLR.
static const field_t hw_ccm_access_ctrl_root85_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT85_TOG.
static const field_t hw_ccm_access_ctrl_root85_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT86.
static const field_t hw_ccm_target_root86[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT86_SET.
static const field_t hw_ccm_target_root86_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT86_CLR.
static const field_t hw_ccm_target_root86_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT86_TOG.
static const field_t hw_ccm_target_root86_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC86.
static const field_t hw_ccm_misc86[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT86_SET.
static const field_t hw_ccm_misc_root86_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT86_CLR.
static const field_t hw_ccm_misc_root86_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT86_TOG.
static const field_t hw_ccm_misc_root86_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST86.
static const field_t hw_ccm_post86[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT86_SET.
static const field_t hw_ccm_post_root86_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT86_CLR.
static const field_t hw_ccm_post_root86_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT86_TOG.
static const field_t hw_ccm_post_root86_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE86.
static const field_t hw_ccm_pre86[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT86_SET.
static const field_t hw_ccm_pre_root86_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT86_CLR.
static const field_t hw_ccm_pre_root86_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT86_TOG.
static const field_t hw_ccm_pre_root86_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL86.
static const field_t hw_ccm_access_ctrl86[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT86_SET.
static const field_t hw_ccm_access_ctrl_root86_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT86_CLR.
static const field_t hw_ccm_access_ctrl_root86_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT86_TOG.
static const field_t hw_ccm_access_ctrl_root86_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT87.
static const field_t hw_ccm_target_root87[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT87_SET.
static const field_t hw_ccm_target_root87_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT87_CLR.
static const field_t hw_ccm_target_root87_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT87_TOG.
static const field_t hw_ccm_target_root87_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC87.
static const field_t hw_ccm_misc87[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT87_SET.
static const field_t hw_ccm_misc_root87_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT87_CLR.
static const field_t hw_ccm_misc_root87_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT87_TOG.
static const field_t hw_ccm_misc_root87_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST87.
static const field_t hw_ccm_post87[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT87_SET.
static const field_t hw_ccm_post_root87_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT87_CLR.
static const field_t hw_ccm_post_root87_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT87_TOG.
static const field_t hw_ccm_post_root87_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE87.
static const field_t hw_ccm_pre87[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT87_SET.
static const field_t hw_ccm_pre_root87_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT87_CLR.
static const field_t hw_ccm_pre_root87_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT87_TOG.
static const field_t hw_ccm_pre_root87_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL87.
static const field_t hw_ccm_access_ctrl87[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT87_SET.
static const field_t hw_ccm_access_ctrl_root87_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT87_CLR.
static const field_t hw_ccm_access_ctrl_root87_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT87_TOG.
static const field_t hw_ccm_access_ctrl_root87_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT88.
static const field_t hw_ccm_target_root88[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT88_SET.
static const field_t hw_ccm_target_root88_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT88_CLR.
static const field_t hw_ccm_target_root88_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT88_TOG.
static const field_t hw_ccm_target_root88_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC88.
static const field_t hw_ccm_misc88[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT88_SET.
static const field_t hw_ccm_misc_root88_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT88_CLR.
static const field_t hw_ccm_misc_root88_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT88_TOG.
static const field_t hw_ccm_misc_root88_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST88.
static const field_t hw_ccm_post88[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT88_SET.
static const field_t hw_ccm_post_root88_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT88_CLR.
static const field_t hw_ccm_post_root88_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT88_TOG.
static const field_t hw_ccm_post_root88_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE88.
static const field_t hw_ccm_pre88[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT88_SET.
static const field_t hw_ccm_pre_root88_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT88_CLR.
static const field_t hw_ccm_pre_root88_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT88_TOG.
static const field_t hw_ccm_pre_root88_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL88.
static const field_t hw_ccm_access_ctrl88[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT88_SET.
static const field_t hw_ccm_access_ctrl_root88_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT88_CLR.
static const field_t hw_ccm_access_ctrl_root88_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT88_TOG.
static const field_t hw_ccm_access_ctrl_root88_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT89.
static const field_t hw_ccm_target_root89[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT89_SET.
static const field_t hw_ccm_target_root89_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT89_CLR.
static const field_t hw_ccm_target_root89_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT89_TOG.
static const field_t hw_ccm_target_root89_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC89.
static const field_t hw_ccm_misc89[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT89_SET.
static const field_t hw_ccm_misc_root89_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT89_CLR.
static const field_t hw_ccm_misc_root89_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT89_TOG.
static const field_t hw_ccm_misc_root89_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST89.
static const field_t hw_ccm_post89[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT89_SET.
static const field_t hw_ccm_post_root89_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT89_CLR.
static const field_t hw_ccm_post_root89_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT89_TOG.
static const field_t hw_ccm_post_root89_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE89.
static const field_t hw_ccm_pre89[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT89_SET.
static const field_t hw_ccm_pre_root89_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT89_CLR.
static const field_t hw_ccm_pre_root89_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT89_TOG.
static const field_t hw_ccm_pre_root89_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL89.
static const field_t hw_ccm_access_ctrl89[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT89_SET.
static const field_t hw_ccm_access_ctrl_root89_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT89_CLR.
static const field_t hw_ccm_access_ctrl_root89_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT89_TOG.
static const field_t hw_ccm_access_ctrl_root89_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT90.
static const field_t hw_ccm_target_root90[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT90_SET.
static const field_t hw_ccm_target_root90_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT90_CLR.
static const field_t hw_ccm_target_root90_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT90_TOG.
static const field_t hw_ccm_target_root90_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC90.
static const field_t hw_ccm_misc90[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT90_SET.
static const field_t hw_ccm_misc_root90_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT90_CLR.
static const field_t hw_ccm_misc_root90_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT90_TOG.
static const field_t hw_ccm_misc_root90_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST90.
static const field_t hw_ccm_post90[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT90_SET.
static const field_t hw_ccm_post_root90_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT90_CLR.
static const field_t hw_ccm_post_root90_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT90_TOG.
static const field_t hw_ccm_post_root90_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE90.
static const field_t hw_ccm_pre90[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT90_SET.
static const field_t hw_ccm_pre_root90_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT90_CLR.
static const field_t hw_ccm_pre_root90_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT90_TOG.
static const field_t hw_ccm_pre_root90_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL90.
static const field_t hw_ccm_access_ctrl90[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT90_SET.
static const field_t hw_ccm_access_ctrl_root90_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT90_CLR.
static const field_t hw_ccm_access_ctrl_root90_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT90_TOG.
static const field_t hw_ccm_access_ctrl_root90_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT91.
static const field_t hw_ccm_target_root91[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT91_SET.
static const field_t hw_ccm_target_root91_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT91_CLR.
static const field_t hw_ccm_target_root91_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT91_TOG.
static const field_t hw_ccm_target_root91_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC91.
static const field_t hw_ccm_misc91[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT91_SET.
static const field_t hw_ccm_misc_root91_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT91_CLR.
static const field_t hw_ccm_misc_root91_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT91_TOG.
static const field_t hw_ccm_misc_root91_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST91.
static const field_t hw_ccm_post91[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT91_SET.
static const field_t hw_ccm_post_root91_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT91_CLR.
static const field_t hw_ccm_post_root91_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT91_TOG.
static const field_t hw_ccm_post_root91_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE91.
static const field_t hw_ccm_pre91[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT91_SET.
static const field_t hw_ccm_pre_root91_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT91_CLR.
static const field_t hw_ccm_pre_root91_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT91_TOG.
static const field_t hw_ccm_pre_root91_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL91.
static const field_t hw_ccm_access_ctrl91[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT91_SET.
static const field_t hw_ccm_access_ctrl_root91_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT91_CLR.
static const field_t hw_ccm_access_ctrl_root91_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT91_TOG.
static const field_t hw_ccm_access_ctrl_root91_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT92.
static const field_t hw_ccm_target_root92[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT92_SET.
static const field_t hw_ccm_target_root92_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT92_CLR.
static const field_t hw_ccm_target_root92_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT92_TOG.
static const field_t hw_ccm_target_root92_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC92.
static const field_t hw_ccm_misc92[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT92_SET.
static const field_t hw_ccm_misc_root92_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT92_CLR.
static const field_t hw_ccm_misc_root92_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT92_TOG.
static const field_t hw_ccm_misc_root92_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST92.
static const field_t hw_ccm_post92[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT92_SET.
static const field_t hw_ccm_post_root92_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT92_CLR.
static const field_t hw_ccm_post_root92_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT92_TOG.
static const field_t hw_ccm_post_root92_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE92.
static const field_t hw_ccm_pre92[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT92_SET.
static const field_t hw_ccm_pre_root92_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT92_CLR.
static const field_t hw_ccm_pre_root92_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT92_TOG.
static const field_t hw_ccm_pre_root92_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL92.
static const field_t hw_ccm_access_ctrl92[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT92_SET.
static const field_t hw_ccm_access_ctrl_root92_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT92_CLR.
static const field_t hw_ccm_access_ctrl_root92_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT92_TOG.
static const field_t hw_ccm_access_ctrl_root92_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT93.
static const field_t hw_ccm_target_root93[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT93_SET.
static const field_t hw_ccm_target_root93_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT93_CLR.
static const field_t hw_ccm_target_root93_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT93_TOG.
static const field_t hw_ccm_target_root93_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC93.
static const field_t hw_ccm_misc93[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT93_SET.
static const field_t hw_ccm_misc_root93_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT93_CLR.
static const field_t hw_ccm_misc_root93_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT93_TOG.
static const field_t hw_ccm_misc_root93_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST93.
static const field_t hw_ccm_post93[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT93_SET.
static const field_t hw_ccm_post_root93_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT93_CLR.
static const field_t hw_ccm_post_root93_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT93_TOG.
static const field_t hw_ccm_post_root93_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE93.
static const field_t hw_ccm_pre93[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT93_SET.
static const field_t hw_ccm_pre_root93_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT93_CLR.
static const field_t hw_ccm_pre_root93_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT93_TOG.
static const field_t hw_ccm_pre_root93_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL93.
static const field_t hw_ccm_access_ctrl93[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT93_SET.
static const field_t hw_ccm_access_ctrl_root93_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT93_CLR.
static const field_t hw_ccm_access_ctrl_root93_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT93_TOG.
static const field_t hw_ccm_access_ctrl_root93_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT94.
static const field_t hw_ccm_target_root94[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT94_SET.
static const field_t hw_ccm_target_root94_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT94_CLR.
static const field_t hw_ccm_target_root94_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT94_TOG.
static const field_t hw_ccm_target_root94_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC94.
static const field_t hw_ccm_misc94[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT94_SET.
static const field_t hw_ccm_misc_root94_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT94_CLR.
static const field_t hw_ccm_misc_root94_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT94_TOG.
static const field_t hw_ccm_misc_root94_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST94.
static const field_t hw_ccm_post94[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT94_SET.
static const field_t hw_ccm_post_root94_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT94_CLR.
static const field_t hw_ccm_post_root94_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT94_TOG.
static const field_t hw_ccm_post_root94_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE94.
static const field_t hw_ccm_pre94[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT94_SET.
static const field_t hw_ccm_pre_root94_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT94_CLR.
static const field_t hw_ccm_pre_root94_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT94_TOG.
static const field_t hw_ccm_pre_root94_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL94.
static const field_t hw_ccm_access_ctrl94[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT94_SET.
static const field_t hw_ccm_access_ctrl_root94_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT94_CLR.
static const field_t hw_ccm_access_ctrl_root94_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT94_TOG.
static const field_t hw_ccm_access_ctrl_root94_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT95.
static const field_t hw_ccm_target_root95[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT95_SET.
static const field_t hw_ccm_target_root95_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT95_CLR.
static const field_t hw_ccm_target_root95_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT95_TOG.
static const field_t hw_ccm_target_root95_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC95.
static const field_t hw_ccm_misc95[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT95_SET.
static const field_t hw_ccm_misc_root95_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT95_CLR.
static const field_t hw_ccm_misc_root95_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT95_TOG.
static const field_t hw_ccm_misc_root95_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST95.
static const field_t hw_ccm_post95[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT95_SET.
static const field_t hw_ccm_post_root95_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT95_CLR.
static const field_t hw_ccm_post_root95_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT95_TOG.
static const field_t hw_ccm_post_root95_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE95.
static const field_t hw_ccm_pre95[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT95_SET.
static const field_t hw_ccm_pre_root95_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT95_CLR.
static const field_t hw_ccm_pre_root95_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT95_TOG.
static const field_t hw_ccm_pre_root95_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL95.
static const field_t hw_ccm_access_ctrl95[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT95_SET.
static const field_t hw_ccm_access_ctrl_root95_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT95_CLR.
static const field_t hw_ccm_access_ctrl_root95_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT95_TOG.
static const field_t hw_ccm_access_ctrl_root95_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT96.
static const field_t hw_ccm_target_root96[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT96_SET.
static const field_t hw_ccm_target_root96_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT96_CLR.
static const field_t hw_ccm_target_root96_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT96_TOG.
static const field_t hw_ccm_target_root96_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC96.
static const field_t hw_ccm_misc96[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT96_SET.
static const field_t hw_ccm_misc_root96_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT96_CLR.
static const field_t hw_ccm_misc_root96_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT96_TOG.
static const field_t hw_ccm_misc_root96_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST96.
static const field_t hw_ccm_post96[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT96_SET.
static const field_t hw_ccm_post_root96_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT96_CLR.
static const field_t hw_ccm_post_root96_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT96_TOG.
static const field_t hw_ccm_post_root96_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE96.
static const field_t hw_ccm_pre96[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT96_SET.
static const field_t hw_ccm_pre_root96_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT96_CLR.
static const field_t hw_ccm_pre_root96_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT96_TOG.
static const field_t hw_ccm_pre_root96_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL96.
static const field_t hw_ccm_access_ctrl96[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT96_SET.
static const field_t hw_ccm_access_ctrl_root96_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT96_CLR.
static const field_t hw_ccm_access_ctrl_root96_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT96_TOG.
static const field_t hw_ccm_access_ctrl_root96_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT97.
static const field_t hw_ccm_target_root97[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT97_SET.
static const field_t hw_ccm_target_root97_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT97_CLR.
static const field_t hw_ccm_target_root97_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT97_TOG.
static const field_t hw_ccm_target_root97_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC97.
static const field_t hw_ccm_misc97[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT97_SET.
static const field_t hw_ccm_misc_root97_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT97_CLR.
static const field_t hw_ccm_misc_root97_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT97_TOG.
static const field_t hw_ccm_misc_root97_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST97.
static const field_t hw_ccm_post97[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT97_SET.
static const field_t hw_ccm_post_root97_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT97_CLR.
static const field_t hw_ccm_post_root97_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT97_TOG.
static const field_t hw_ccm_post_root97_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE97.
static const field_t hw_ccm_pre97[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT97_SET.
static const field_t hw_ccm_pre_root97_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT97_CLR.
static const field_t hw_ccm_pre_root97_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT97_TOG.
static const field_t hw_ccm_pre_root97_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL97.
static const field_t hw_ccm_access_ctrl97[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT97_SET.
static const field_t hw_ccm_access_ctrl_root97_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT97_CLR.
static const field_t hw_ccm_access_ctrl_root97_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT97_TOG.
static const field_t hw_ccm_access_ctrl_root97_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT98.
static const field_t hw_ccm_target_root98[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT98_SET.
static const field_t hw_ccm_target_root98_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT98_CLR.
static const field_t hw_ccm_target_root98_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT98_TOG.
static const field_t hw_ccm_target_root98_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC98.
static const field_t hw_ccm_misc98[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT98_SET.
static const field_t hw_ccm_misc_root98_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT98_CLR.
static const field_t hw_ccm_misc_root98_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT98_TOG.
static const field_t hw_ccm_misc_root98_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST98.
static const field_t hw_ccm_post98[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT98_SET.
static const field_t hw_ccm_post_root98_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT98_CLR.
static const field_t hw_ccm_post_root98_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT98_TOG.
static const field_t hw_ccm_post_root98_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE98.
static const field_t hw_ccm_pre98[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT98_SET.
static const field_t hw_ccm_pre_root98_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT98_CLR.
static const field_t hw_ccm_pre_root98_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT98_TOG.
static const field_t hw_ccm_pre_root98_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL98.
static const field_t hw_ccm_access_ctrl98[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT98_SET.
static const field_t hw_ccm_access_ctrl_root98_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT98_CLR.
static const field_t hw_ccm_access_ctrl_root98_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT98_TOG.
static const field_t hw_ccm_access_ctrl_root98_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT99.
static const field_t hw_ccm_target_root99[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT99_SET.
static const field_t hw_ccm_target_root99_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT99_CLR.
static const field_t hw_ccm_target_root99_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT99_TOG.
static const field_t hw_ccm_target_root99_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC99.
static const field_t hw_ccm_misc99[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT99_SET.
static const field_t hw_ccm_misc_root99_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT99_CLR.
static const field_t hw_ccm_misc_root99_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT99_TOG.
static const field_t hw_ccm_misc_root99_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST99.
static const field_t hw_ccm_post99[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT99_SET.
static const field_t hw_ccm_post_root99_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT99_CLR.
static const field_t hw_ccm_post_root99_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT99_TOG.
static const field_t hw_ccm_post_root99_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE99.
static const field_t hw_ccm_pre99[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT99_SET.
static const field_t hw_ccm_pre_root99_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT99_CLR.
static const field_t hw_ccm_pre_root99_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT99_TOG.
static const field_t hw_ccm_pre_root99_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL99.
static const field_t hw_ccm_access_ctrl99[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT99_SET.
static const field_t hw_ccm_access_ctrl_root99_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT99_CLR.
static const field_t hw_ccm_access_ctrl_root99_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT99_TOG.
static const field_t hw_ccm_access_ctrl_root99_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT100.
static const field_t hw_ccm_target_root100[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT100_SET.
static const field_t hw_ccm_target_root100_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT100_CLR.
static const field_t hw_ccm_target_root100_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT100_TOG.
static const field_t hw_ccm_target_root100_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC100.
static const field_t hw_ccm_misc100[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT100_SET.
static const field_t hw_ccm_misc_root100_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT100_CLR.
static const field_t hw_ccm_misc_root100_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT100_TOG.
static const field_t hw_ccm_misc_root100_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST100.
static const field_t hw_ccm_post100[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT100_SET.
static const field_t hw_ccm_post_root100_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT100_CLR.
static const field_t hw_ccm_post_root100_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT100_TOG.
static const field_t hw_ccm_post_root100_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE100.
static const field_t hw_ccm_pre100[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT100_SET.
static const field_t hw_ccm_pre_root100_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT100_CLR.
static const field_t hw_ccm_pre_root100_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT100_TOG.
static const field_t hw_ccm_pre_root100_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL100.
static const field_t hw_ccm_access_ctrl100[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT100_SET.
static const field_t hw_ccm_access_ctrl_root100_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT100_CLR.
static const field_t hw_ccm_access_ctrl_root100_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT100_TOG.
static const field_t hw_ccm_access_ctrl_root100_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT101.
static const field_t hw_ccm_target_root101[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT101_SET.
static const field_t hw_ccm_target_root101_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT101_CLR.
static const field_t hw_ccm_target_root101_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT101_TOG.
static const field_t hw_ccm_target_root101_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC101.
static const field_t hw_ccm_misc101[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT101_SET.
static const field_t hw_ccm_misc_root101_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT101_CLR.
static const field_t hw_ccm_misc_root101_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT101_TOG.
static const field_t hw_ccm_misc_root101_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST101.
static const field_t hw_ccm_post101[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT101_SET.
static const field_t hw_ccm_post_root101_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT101_CLR.
static const field_t hw_ccm_post_root101_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT101_TOG.
static const field_t hw_ccm_post_root101_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE101.
static const field_t hw_ccm_pre101[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT101_SET.
static const field_t hw_ccm_pre_root101_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT101_CLR.
static const field_t hw_ccm_pre_root101_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT101_TOG.
static const field_t hw_ccm_pre_root101_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL101.
static const field_t hw_ccm_access_ctrl101[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT101_SET.
static const field_t hw_ccm_access_ctrl_root101_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT101_CLR.
static const field_t hw_ccm_access_ctrl_root101_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT101_TOG.
static const field_t hw_ccm_access_ctrl_root101_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT102.
static const field_t hw_ccm_target_root102[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT102_SET.
static const field_t hw_ccm_target_root102_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT102_CLR.
static const field_t hw_ccm_target_root102_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT102_TOG.
static const field_t hw_ccm_target_root102_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC102.
static const field_t hw_ccm_misc102[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT102_SET.
static const field_t hw_ccm_misc_root102_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT102_CLR.
static const field_t hw_ccm_misc_root102_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT102_TOG.
static const field_t hw_ccm_misc_root102_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST102.
static const field_t hw_ccm_post102[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT102_SET.
static const field_t hw_ccm_post_root102_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT102_CLR.
static const field_t hw_ccm_post_root102_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT102_TOG.
static const field_t hw_ccm_post_root102_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE102.
static const field_t hw_ccm_pre102[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT102_SET.
static const field_t hw_ccm_pre_root102_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT102_CLR.
static const field_t hw_ccm_pre_root102_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT102_TOG.
static const field_t hw_ccm_pre_root102_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL102.
static const field_t hw_ccm_access_ctrl102[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT102_SET.
static const field_t hw_ccm_access_ctrl_root102_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT102_CLR.
static const field_t hw_ccm_access_ctrl_root102_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT102_TOG.
static const field_t hw_ccm_access_ctrl_root102_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT103.
static const field_t hw_ccm_target_root103[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT103_SET.
static const field_t hw_ccm_target_root103_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT103_CLR.
static const field_t hw_ccm_target_root103_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT103_TOG.
static const field_t hw_ccm_target_root103_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC103.
static const field_t hw_ccm_misc103[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT103_SET.
static const field_t hw_ccm_misc_root103_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT103_CLR.
static const field_t hw_ccm_misc_root103_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT103_TOG.
static const field_t hw_ccm_misc_root103_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST103.
static const field_t hw_ccm_post103[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT103_SET.
static const field_t hw_ccm_post_root103_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT103_CLR.
static const field_t hw_ccm_post_root103_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT103_TOG.
static const field_t hw_ccm_post_root103_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE103.
static const field_t hw_ccm_pre103[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT103_SET.
static const field_t hw_ccm_pre_root103_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT103_CLR.
static const field_t hw_ccm_pre_root103_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT103_TOG.
static const field_t hw_ccm_pre_root103_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL103.
static const field_t hw_ccm_access_ctrl103[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT103_SET.
static const field_t hw_ccm_access_ctrl_root103_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT103_CLR.
static const field_t hw_ccm_access_ctrl_root103_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT103_TOG.
static const field_t hw_ccm_access_ctrl_root103_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT104.
static const field_t hw_ccm_target_root104[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT104_SET.
static const field_t hw_ccm_target_root104_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT104_CLR.
static const field_t hw_ccm_target_root104_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT104_TOG.
static const field_t hw_ccm_target_root104_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC104.
static const field_t hw_ccm_misc104[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT104_SET.
static const field_t hw_ccm_misc_root104_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT104_CLR.
static const field_t hw_ccm_misc_root104_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT104_TOG.
static const field_t hw_ccm_misc_root104_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST104.
static const field_t hw_ccm_post104[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT104_SET.
static const field_t hw_ccm_post_root104_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT104_CLR.
static const field_t hw_ccm_post_root104_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT104_TOG.
static const field_t hw_ccm_post_root104_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE104.
static const field_t hw_ccm_pre104[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT104_SET.
static const field_t hw_ccm_pre_root104_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT104_CLR.
static const field_t hw_ccm_pre_root104_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT104_TOG.
static const field_t hw_ccm_pre_root104_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL104.
static const field_t hw_ccm_access_ctrl104[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT104_SET.
static const field_t hw_ccm_access_ctrl_root104_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT104_CLR.
static const field_t hw_ccm_access_ctrl_root104_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT104_TOG.
static const field_t hw_ccm_access_ctrl_root104_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT105.
static const field_t hw_ccm_target_root105[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT105_SET.
static const field_t hw_ccm_target_root105_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT105_CLR.
static const field_t hw_ccm_target_root105_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT105_TOG.
static const field_t hw_ccm_target_root105_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC105.
static const field_t hw_ccm_misc105[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT105_SET.
static const field_t hw_ccm_misc_root105_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT105_CLR.
static const field_t hw_ccm_misc_root105_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT105_TOG.
static const field_t hw_ccm_misc_root105_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST105.
static const field_t hw_ccm_post105[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT105_SET.
static const field_t hw_ccm_post_root105_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT105_CLR.
static const field_t hw_ccm_post_root105_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT105_TOG.
static const field_t hw_ccm_post_root105_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE105.
static const field_t hw_ccm_pre105[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT105_SET.
static const field_t hw_ccm_pre_root105_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT105_CLR.
static const field_t hw_ccm_pre_root105_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT105_TOG.
static const field_t hw_ccm_pre_root105_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL105.
static const field_t hw_ccm_access_ctrl105[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT105_SET.
static const field_t hw_ccm_access_ctrl_root105_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT105_CLR.
static const field_t hw_ccm_access_ctrl_root105_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT105_TOG.
static const field_t hw_ccm_access_ctrl_root105_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT106.
static const field_t hw_ccm_target_root106[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT106_SET.
static const field_t hw_ccm_target_root106_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT106_CLR.
static const field_t hw_ccm_target_root106_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT106_TOG.
static const field_t hw_ccm_target_root106_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC106.
static const field_t hw_ccm_misc106[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT106_SET.
static const field_t hw_ccm_misc_root106_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT106_CLR.
static const field_t hw_ccm_misc_root106_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT106_TOG.
static const field_t hw_ccm_misc_root106_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST106.
static const field_t hw_ccm_post106[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT106_SET.
static const field_t hw_ccm_post_root106_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT106_CLR.
static const field_t hw_ccm_post_root106_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT106_TOG.
static const field_t hw_ccm_post_root106_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE106.
static const field_t hw_ccm_pre106[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT106_SET.
static const field_t hw_ccm_pre_root106_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT106_CLR.
static const field_t hw_ccm_pre_root106_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT106_TOG.
static const field_t hw_ccm_pre_root106_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL106.
static const field_t hw_ccm_access_ctrl106[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT106_SET.
static const field_t hw_ccm_access_ctrl_root106_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT106_CLR.
static const field_t hw_ccm_access_ctrl_root106_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT106_TOG.
static const field_t hw_ccm_access_ctrl_root106_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT107.
static const field_t hw_ccm_target_root107[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT107_SET.
static const field_t hw_ccm_target_root107_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT107_CLR.
static const field_t hw_ccm_target_root107_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT107_TOG.
static const field_t hw_ccm_target_root107_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC107.
static const field_t hw_ccm_misc107[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT107_SET.
static const field_t hw_ccm_misc_root107_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT107_CLR.
static const field_t hw_ccm_misc_root107_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT107_TOG.
static const field_t hw_ccm_misc_root107_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST107.
static const field_t hw_ccm_post107[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT107_SET.
static const field_t hw_ccm_post_root107_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT107_CLR.
static const field_t hw_ccm_post_root107_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT107_TOG.
static const field_t hw_ccm_post_root107_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE107.
static const field_t hw_ccm_pre107[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT107_SET.
static const field_t hw_ccm_pre_root107_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT107_CLR.
static const field_t hw_ccm_pre_root107_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT107_TOG.
static const field_t hw_ccm_pre_root107_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL107.
static const field_t hw_ccm_access_ctrl107[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT107_SET.
static const field_t hw_ccm_access_ctrl_root107_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT107_CLR.
static const field_t hw_ccm_access_ctrl_root107_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT107_TOG.
static const field_t hw_ccm_access_ctrl_root107_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT108.
static const field_t hw_ccm_target_root108[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT108_SET.
static const field_t hw_ccm_target_root108_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT108_CLR.
static const field_t hw_ccm_target_root108_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT108_TOG.
static const field_t hw_ccm_target_root108_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC108.
static const field_t hw_ccm_misc108[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT108_SET.
static const field_t hw_ccm_misc_root108_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT108_CLR.
static const field_t hw_ccm_misc_root108_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT108_TOG.
static const field_t hw_ccm_misc_root108_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST108.
static const field_t hw_ccm_post108[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT108_SET.
static const field_t hw_ccm_post_root108_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT108_CLR.
static const field_t hw_ccm_post_root108_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT108_TOG.
static const field_t hw_ccm_post_root108_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE108.
static const field_t hw_ccm_pre108[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT108_SET.
static const field_t hw_ccm_pre_root108_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT108_CLR.
static const field_t hw_ccm_pre_root108_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT108_TOG.
static const field_t hw_ccm_pre_root108_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL108.
static const field_t hw_ccm_access_ctrl108[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT108_SET.
static const field_t hw_ccm_access_ctrl_root108_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT108_CLR.
static const field_t hw_ccm_access_ctrl_root108_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT108_TOG.
static const field_t hw_ccm_access_ctrl_root108_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT109.
static const field_t hw_ccm_target_root109[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT109_SET.
static const field_t hw_ccm_target_root109_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT109_CLR.
static const field_t hw_ccm_target_root109_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT109_TOG.
static const field_t hw_ccm_target_root109_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC109.
static const field_t hw_ccm_misc109[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT109_SET.
static const field_t hw_ccm_misc_root109_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT109_CLR.
static const field_t hw_ccm_misc_root109_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT109_TOG.
static const field_t hw_ccm_misc_root109_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST109.
static const field_t hw_ccm_post109[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT109_SET.
static const field_t hw_ccm_post_root109_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT109_CLR.
static const field_t hw_ccm_post_root109_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT109_TOG.
static const field_t hw_ccm_post_root109_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE109.
static const field_t hw_ccm_pre109[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT109_SET.
static const field_t hw_ccm_pre_root109_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT109_CLR.
static const field_t hw_ccm_pre_root109_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT109_TOG.
static const field_t hw_ccm_pre_root109_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL109.
static const field_t hw_ccm_access_ctrl109[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT109_SET.
static const field_t hw_ccm_access_ctrl_root109_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT109_CLR.
static const field_t hw_ccm_access_ctrl_root109_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT109_TOG.
static const field_t hw_ccm_access_ctrl_root109_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT110.
static const field_t hw_ccm_target_root110[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT110_SET.
static const field_t hw_ccm_target_root110_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT110_CLR.
static const field_t hw_ccm_target_root110_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT110_TOG.
static const field_t hw_ccm_target_root110_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC110.
static const field_t hw_ccm_misc110[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT110_SET.
static const field_t hw_ccm_misc_root110_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT110_CLR.
static const field_t hw_ccm_misc_root110_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT110_TOG.
static const field_t hw_ccm_misc_root110_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST110.
static const field_t hw_ccm_post110[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT110_SET.
static const field_t hw_ccm_post_root110_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT110_CLR.
static const field_t hw_ccm_post_root110_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT110_TOG.
static const field_t hw_ccm_post_root110_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE110.
static const field_t hw_ccm_pre110[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT110_SET.
static const field_t hw_ccm_pre_root110_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT110_CLR.
static const field_t hw_ccm_pre_root110_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT110_TOG.
static const field_t hw_ccm_pre_root110_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL110.
static const field_t hw_ccm_access_ctrl110[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT110_SET.
static const field_t hw_ccm_access_ctrl_root110_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT110_CLR.
static const field_t hw_ccm_access_ctrl_root110_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT110_TOG.
static const field_t hw_ccm_access_ctrl_root110_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT111.
static const field_t hw_ccm_target_root111[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT111_SET.
static const field_t hw_ccm_target_root111_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT111_CLR.
static const field_t hw_ccm_target_root111_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT111_TOG.
static const field_t hw_ccm_target_root111_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC111.
static const field_t hw_ccm_misc111[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT111_SET.
static const field_t hw_ccm_misc_root111_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT111_CLR.
static const field_t hw_ccm_misc_root111_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT111_TOG.
static const field_t hw_ccm_misc_root111_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST111.
static const field_t hw_ccm_post111[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT111_SET.
static const field_t hw_ccm_post_root111_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT111_CLR.
static const field_t hw_ccm_post_root111_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT111_TOG.
static const field_t hw_ccm_post_root111_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE111.
static const field_t hw_ccm_pre111[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT111_SET.
static const field_t hw_ccm_pre_root111_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT111_CLR.
static const field_t hw_ccm_pre_root111_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT111_TOG.
static const field_t hw_ccm_pre_root111_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL111.
static const field_t hw_ccm_access_ctrl111[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT111_SET.
static const field_t hw_ccm_access_ctrl_root111_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT111_CLR.
static const field_t hw_ccm_access_ctrl_root111_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT111_TOG.
static const field_t hw_ccm_access_ctrl_root111_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT112.
static const field_t hw_ccm_target_root112[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT112_SET.
static const field_t hw_ccm_target_root112_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT112_CLR.
static const field_t hw_ccm_target_root112_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT112_TOG.
static const field_t hw_ccm_target_root112_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC112.
static const field_t hw_ccm_misc112[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT112_SET.
static const field_t hw_ccm_misc_root112_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT112_CLR.
static const field_t hw_ccm_misc_root112_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT112_TOG.
static const field_t hw_ccm_misc_root112_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST112.
static const field_t hw_ccm_post112[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT112_SET.
static const field_t hw_ccm_post_root112_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT112_CLR.
static const field_t hw_ccm_post_root112_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT112_TOG.
static const field_t hw_ccm_post_root112_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE112.
static const field_t hw_ccm_pre112[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT112_SET.
static const field_t hw_ccm_pre_root112_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT112_CLR.
static const field_t hw_ccm_pre_root112_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT112_TOG.
static const field_t hw_ccm_pre_root112_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL112.
static const field_t hw_ccm_access_ctrl112[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT112_SET.
static const field_t hw_ccm_access_ctrl_root112_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT112_CLR.
static const field_t hw_ccm_access_ctrl_root112_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT112_TOG.
static const field_t hw_ccm_access_ctrl_root112_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT113.
static const field_t hw_ccm_target_root113[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT113_SET.
static const field_t hw_ccm_target_root113_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT113_CLR.
static const field_t hw_ccm_target_root113_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT113_TOG.
static const field_t hw_ccm_target_root113_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC113.
static const field_t hw_ccm_misc113[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT113_SET.
static const field_t hw_ccm_misc_root113_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT113_CLR.
static const field_t hw_ccm_misc_root113_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT113_TOG.
static const field_t hw_ccm_misc_root113_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST113.
static const field_t hw_ccm_post113[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT113_SET.
static const field_t hw_ccm_post_root113_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT113_CLR.
static const field_t hw_ccm_post_root113_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT113_TOG.
static const field_t hw_ccm_post_root113_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE113.
static const field_t hw_ccm_pre113[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT113_SET.
static const field_t hw_ccm_pre_root113_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT113_CLR.
static const field_t hw_ccm_pre_root113_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT113_TOG.
static const field_t hw_ccm_pre_root113_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL113.
static const field_t hw_ccm_access_ctrl113[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT113_SET.
static const field_t hw_ccm_access_ctrl_root113_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT113_CLR.
static const field_t hw_ccm_access_ctrl_root113_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT113_TOG.
static const field_t hw_ccm_access_ctrl_root113_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT114.
static const field_t hw_ccm_target_root114[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT114_SET.
static const field_t hw_ccm_target_root114_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT114_CLR.
static const field_t hw_ccm_target_root114_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT114_TOG.
static const field_t hw_ccm_target_root114_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC114.
static const field_t hw_ccm_misc114[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT114_SET.
static const field_t hw_ccm_misc_root114_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT114_CLR.
static const field_t hw_ccm_misc_root114_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT114_TOG.
static const field_t hw_ccm_misc_root114_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST114.
static const field_t hw_ccm_post114[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT114_SET.
static const field_t hw_ccm_post_root114_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT114_CLR.
static const field_t hw_ccm_post_root114_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT114_TOG.
static const field_t hw_ccm_post_root114_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE114.
static const field_t hw_ccm_pre114[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT114_SET.
static const field_t hw_ccm_pre_root114_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT114_CLR.
static const field_t hw_ccm_pre_root114_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT114_TOG.
static const field_t hw_ccm_pre_root114_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL114.
static const field_t hw_ccm_access_ctrl114[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT114_SET.
static const field_t hw_ccm_access_ctrl_root114_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT114_CLR.
static const field_t hw_ccm_access_ctrl_root114_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT114_TOG.
static const field_t hw_ccm_access_ctrl_root114_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT115.
static const field_t hw_ccm_target_root115[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT115_SET.
static const field_t hw_ccm_target_root115_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT115_CLR.
static const field_t hw_ccm_target_root115_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT115_TOG.
static const field_t hw_ccm_target_root115_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC115.
static const field_t hw_ccm_misc115[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT115_SET.
static const field_t hw_ccm_misc_root115_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT115_CLR.
static const field_t hw_ccm_misc_root115_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT115_TOG.
static const field_t hw_ccm_misc_root115_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST115.
static const field_t hw_ccm_post115[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT115_SET.
static const field_t hw_ccm_post_root115_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT115_CLR.
static const field_t hw_ccm_post_root115_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT115_TOG.
static const field_t hw_ccm_post_root115_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE115.
static const field_t hw_ccm_pre115[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT115_SET.
static const field_t hw_ccm_pre_root115_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT115_CLR.
static const field_t hw_ccm_pre_root115_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT115_TOG.
static const field_t hw_ccm_pre_root115_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL115.
static const field_t hw_ccm_access_ctrl115[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT115_SET.
static const field_t hw_ccm_access_ctrl_root115_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT115_CLR.
static const field_t hw_ccm_access_ctrl_root115_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT115_TOG.
static const field_t hw_ccm_access_ctrl_root115_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT116.
static const field_t hw_ccm_target_root116[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT116_SET.
static const field_t hw_ccm_target_root116_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT116_CLR.
static const field_t hw_ccm_target_root116_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT116_TOG.
static const field_t hw_ccm_target_root116_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC116.
static const field_t hw_ccm_misc116[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT116_SET.
static const field_t hw_ccm_misc_root116_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT116_CLR.
static const field_t hw_ccm_misc_root116_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT116_TOG.
static const field_t hw_ccm_misc_root116_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST116.
static const field_t hw_ccm_post116[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT116_SET.
static const field_t hw_ccm_post_root116_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT116_CLR.
static const field_t hw_ccm_post_root116_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT116_TOG.
static const field_t hw_ccm_post_root116_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE116.
static const field_t hw_ccm_pre116[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT116_SET.
static const field_t hw_ccm_pre_root116_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT116_CLR.
static const field_t hw_ccm_pre_root116_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT116_TOG.
static const field_t hw_ccm_pre_root116_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL116.
static const field_t hw_ccm_access_ctrl116[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT116_SET.
static const field_t hw_ccm_access_ctrl_root116_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT116_CLR.
static const field_t hw_ccm_access_ctrl_root116_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT116_TOG.
static const field_t hw_ccm_access_ctrl_root116_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT117.
static const field_t hw_ccm_target_root117[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT117_SET.
static const field_t hw_ccm_target_root117_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT117_CLR.
static const field_t hw_ccm_target_root117_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT117_TOG.
static const field_t hw_ccm_target_root117_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC117.
static const field_t hw_ccm_misc117[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT117_SET.
static const field_t hw_ccm_misc_root117_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT117_CLR.
static const field_t hw_ccm_misc_root117_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT117_TOG.
static const field_t hw_ccm_misc_root117_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST117.
static const field_t hw_ccm_post117[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT117_SET.
static const field_t hw_ccm_post_root117_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT117_CLR.
static const field_t hw_ccm_post_root117_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT117_TOG.
static const field_t hw_ccm_post_root117_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE117.
static const field_t hw_ccm_pre117[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT117_SET.
static const field_t hw_ccm_pre_root117_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT117_CLR.
static const field_t hw_ccm_pre_root117_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT117_TOG.
static const field_t hw_ccm_pre_root117_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL117.
static const field_t hw_ccm_access_ctrl117[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT117_SET.
static const field_t hw_ccm_access_ctrl_root117_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT117_CLR.
static const field_t hw_ccm_access_ctrl_root117_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT117_TOG.
static const field_t hw_ccm_access_ctrl_root117_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT118.
static const field_t hw_ccm_target_root118[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT118_SET.
static const field_t hw_ccm_target_root118_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT118_CLR.
static const field_t hw_ccm_target_root118_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT118_TOG.
static const field_t hw_ccm_target_root118_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC118.
static const field_t hw_ccm_misc118[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT118_SET.
static const field_t hw_ccm_misc_root118_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT118_CLR.
static const field_t hw_ccm_misc_root118_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT118_TOG.
static const field_t hw_ccm_misc_root118_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST118.
static const field_t hw_ccm_post118[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT118_SET.
static const field_t hw_ccm_post_root118_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT118_CLR.
static const field_t hw_ccm_post_root118_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT118_TOG.
static const field_t hw_ccm_post_root118_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE118.
static const field_t hw_ccm_pre118[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT118_SET.
static const field_t hw_ccm_pre_root118_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT118_CLR.
static const field_t hw_ccm_pre_root118_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT118_TOG.
static const field_t hw_ccm_pre_root118_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL118.
static const field_t hw_ccm_access_ctrl118[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT118_SET.
static const field_t hw_ccm_access_ctrl_root118_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT118_CLR.
static const field_t hw_ccm_access_ctrl_root118_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT118_TOG.
static const field_t hw_ccm_access_ctrl_root118_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT119.
static const field_t hw_ccm_target_root119[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT119_SET.
static const field_t hw_ccm_target_root119_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT119_CLR.
static const field_t hw_ccm_target_root119_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT119_TOG.
static const field_t hw_ccm_target_root119_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC119.
static const field_t hw_ccm_misc119[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT119_SET.
static const field_t hw_ccm_misc_root119_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT119_CLR.
static const field_t hw_ccm_misc_root119_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT119_TOG.
static const field_t hw_ccm_misc_root119_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST119.
static const field_t hw_ccm_post119[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT119_SET.
static const field_t hw_ccm_post_root119_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT119_CLR.
static const field_t hw_ccm_post_root119_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT119_TOG.
static const field_t hw_ccm_post_root119_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE119.
static const field_t hw_ccm_pre119[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT119_SET.
static const field_t hw_ccm_pre_root119_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT119_CLR.
static const field_t hw_ccm_pre_root119_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT119_TOG.
static const field_t hw_ccm_pre_root119_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL119.
static const field_t hw_ccm_access_ctrl119[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT119_SET.
static const field_t hw_ccm_access_ctrl_root119_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT119_CLR.
static const field_t hw_ccm_access_ctrl_root119_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT119_TOG.
static const field_t hw_ccm_access_ctrl_root119_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT120.
static const field_t hw_ccm_target_root120[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT120_SET.
static const field_t hw_ccm_target_root120_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT120_CLR.
static const field_t hw_ccm_target_root120_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT120_TOG.
static const field_t hw_ccm_target_root120_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and DRAM_"
        "PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC120.
static const field_t hw_ccm_misc120[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT120_SET.
static const field_t hw_ccm_misc_root120_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT120_CLR.
static const field_t hw_ccm_misc_root120_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT120_TOG.
static const field_t hw_ccm_misc_root120_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST120.
static const field_t hw_ccm_post120[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT120_SET.
static const field_t hw_ccm_post_root120_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT120_CLR.
static const field_t hw_ccm_post_root120_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, DRAM, "
        "this field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT120_TOG.
static const field_t hw_ccm_post_root120_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, DRAM, this"
        " field is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Safe multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE120.
static const field_t hw_ccm_pre120[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT120_SET.
static const field_t hw_ccm_pre_root120_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT120_CLR.
static const field_t hw_ccm_pre_root120_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT120_TOG.
static const field_t hw_ccm_pre_root120_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL120.
static const field_t hw_ccm_access_ctrl120[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT120_SET.
static const field_t hw_ccm_access_ctrl_root120_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT120_CLR.
static const field_t hw_ccm_access_ctrl_root120_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT120_TOG.
static const field_t hw_ccm_access_ctrl_root120_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a CCM module.
static const reg_t hw_ccm[] =
{
    {
        "GPR0",
        "GPR0",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ccm_gpr0
    },
    {
        "GPR0_SET",
        "GPR0",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ccm_gpr0_set
    },
    {
        "GPR0_CLR",
        "GPR0",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ccm_gpr0_clr
    },
    {
        "GPR0_TOG",
        "GPR0",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ccm_gpr0_tog
    },
    {
        "PLL_CTRL0",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl0
    },
    {
        "PLL_CTRL0_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl0_set
    },
    {
        "PLL_CTRL0_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl0_clr
    },
    {
        "PLL_CTRL0_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000080c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl0_tog
    },
    {
        "PLL_CTRL1",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000810, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl1
    },
    {
        "PLL_CTRL1_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000814, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl1_set
    },
    {
        "PLL_CTRL1_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000818, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl1_clr
    },
    {
        "PLL_CTRL1_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000081c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl1_tog
    },
    {
        "PLL_CTRL2",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl2
    },
    {
        "PLL_CTRL2_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl2_set
    },
    {
        "PLL_CTRL2_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl2_clr
    },
    {
        "PLL_CTRL2_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000082c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl2_tog
    },
    {
        "PLL_CTRL3",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000830, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl3
    },
    {
        "PLL_CTRL3_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000834, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl3_set
    },
    {
        "PLL_CTRL3_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000838, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl3_clr
    },
    {
        "PLL_CTRL3_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000083c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl3_tog
    },
    {
        "PLL_CTRL4",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000840, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl4
    },
    {
        "PLL_CTRL4_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000844, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl4_set
    },
    {
        "PLL_CTRL4_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000848, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl4_clr
    },
    {
        "PLL_CTRL4_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000084c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl4_tog
    },
    {
        "PLL_CTRL5",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000850, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl5
    },
    {
        "PLL_CTRL5_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000854, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl5_set
    },
    {
        "PLL_CTRL5_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000858, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl5_clr
    },
    {
        "PLL_CTRL5_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000085c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl5_tog
    },
    {
        "PLL_CTRL6",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000860, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl6
    },
    {
        "PLL_CTRL6_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000864, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl6_set
    },
    {
        "PLL_CTRL6_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000868, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl6_clr
    },
    {
        "PLL_CTRL6_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000086c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl6_tog
    },
    {
        "PLL_CTRL7",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000870, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl7
    },
    {
        "PLL_CTRL7_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000874, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl7_set
    },
    {
        "PLL_CTRL7_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000878, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl7_clr
    },
    {
        "PLL_CTRL7_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000087c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl7_tog
    },
    {
        "PLL_CTRL8",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl8
    },
    {
        "PLL_CTRL8_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl8_set
    },
    {
        "PLL_CTRL8_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl8_clr
    },
    {
        "PLL_CTRL8_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000088c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl8_tog
    },
    {
        "PLL_CTRL9",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000890, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl9
    },
    {
        "PLL_CTRL9_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000894, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl9_set
    },
    {
        "PLL_CTRL9_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000898, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl9_clr
    },
    {
        "PLL_CTRL9_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000089c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl9_tog
    },
    {
        "PLL_CTRL10",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl10
    },
    {
        "PLL_CTRL10_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl10_set
    },
    {
        "PLL_CTRL10_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl10_clr
    },
    {
        "PLL_CTRL10_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl10_tog
    },
    {
        "PLL_CTRL11",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl11
    },
    {
        "PLL_CTRL11_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl11_set
    },
    {
        "PLL_CTRL11_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl11_clr
    },
    {
        "PLL_CTRL11_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl11_tog
    },
    {
        "PLL_CTRL12",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl12
    },
    {
        "PLL_CTRL12_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl12_set
    },
    {
        "PLL_CTRL12_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl12_clr
    },
    {
        "PLL_CTRL12_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl12_tog
    },
    {
        "PLL_CTRL13",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl13
    },
    {
        "PLL_CTRL13_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl13_set
    },
    {
        "PLL_CTRL13_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl13_clr
    },
    {
        "PLL_CTRL13_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl13_tog
    },
    {
        "PLL_CTRL14",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl14
    },
    {
        "PLL_CTRL14_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl14_set
    },
    {
        "PLL_CTRL14_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl14_clr
    },
    {
        "PLL_CTRL14_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl14_tog
    },
    {
        "PLL_CTRL15",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl15
    },
    {
        "PLL_CTRL15_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl15_set
    },
    {
        "PLL_CTRL15_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl15_clr
    },
    {
        "PLL_CTRL15_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl15_tog
    },
    {
        "PLL_CTRL16",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl16
    },
    {
        "PLL_CTRL16_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl16_set
    },
    {
        "PLL_CTRL16_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl16_clr
    },
    {
        "PLL_CTRL16_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000090c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl16_tog
    },
    {
        "PLL_CTRL17",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000910, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl17
    },
    {
        "PLL_CTRL17_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000914, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl17_set
    },
    {
        "PLL_CTRL17_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000918, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl17_clr
    },
    {
        "PLL_CTRL17_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000091c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl17_tog
    },
    {
        "PLL_CTRL18",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl18
    },
    {
        "PLL_CTRL18_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl18_set
    },
    {
        "PLL_CTRL18_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl18_clr
    },
    {
        "PLL_CTRL18_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000092c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl18_tog
    },
    {
        "PLL_CTRL19",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000930, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl19
    },
    {
        "PLL_CTRL19_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000934, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl19_set
    },
    {
        "PLL_CTRL19_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000938, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl19_clr
    },
    {
        "PLL_CTRL19_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000093c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl19_tog
    },
    {
        "PLL_CTRL20",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000940, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl20
    },
    {
        "PLL_CTRL20_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000944, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl20_set
    },
    {
        "PLL_CTRL20_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000948, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl20_clr
    },
    {
        "PLL_CTRL20_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000094c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl20_tog
    },
    {
        "PLL_CTRL21",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000950, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl21
    },
    {
        "PLL_CTRL21_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000954, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl21_set
    },
    {
        "PLL_CTRL21_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000958, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl21_clr
    },
    {
        "PLL_CTRL21_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000095c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl21_tog
    },
    {
        "PLL_CTRL22",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000960, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl22
    },
    {
        "PLL_CTRL22_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000964, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl22_set
    },
    {
        "PLL_CTRL22_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000968, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl22_clr
    },
    {
        "PLL_CTRL22_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000096c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl22_tog
    },
    {
        "PLL_CTRL23",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000970, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl23
    },
    {
        "PLL_CTRL23_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000974, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl23_set
    },
    {
        "PLL_CTRL23_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000978, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl23_clr
    },
    {
        "PLL_CTRL23_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000097c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl23_tog
    },
    {
        "PLL_CTRL24",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl24
    },
    {
        "PLL_CTRL24_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl24_set
    },
    {
        "PLL_CTRL24_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl24_clr
    },
    {
        "PLL_CTRL24_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000098c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl24_tog
    },
    {
        "PLL_CTRL25",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000990, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl25
    },
    {
        "PLL_CTRL25_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000994, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl25_set
    },
    {
        "PLL_CTRL25_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000998, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl25_clr
    },
    {
        "PLL_CTRL25_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000099c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl25_tog
    },
    {
        "PLL_CTRL26",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl26
    },
    {
        "PLL_CTRL26_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl26_set
    },
    {
        "PLL_CTRL26_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl26_clr
    },
    {
        "PLL_CTRL26_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl26_tog
    },
    {
        "PLL_CTRL27",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl27
    },
    {
        "PLL_CTRL27_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl27_set
    },
    {
        "PLL_CTRL27_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl27_clr
    },
    {
        "PLL_CTRL27_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl27_tog
    },
    {
        "PLL_CTRL28",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl28
    },
    {
        "PLL_CTRL28_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl28_set
    },
    {
        "PLL_CTRL28_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl28_clr
    },
    {
        "PLL_CTRL28_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl28_tog
    },
    {
        "PLL_CTRL29",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl29
    },
    {
        "PLL_CTRL29_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl29_set
    },
    {
        "PLL_CTRL29_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl29_clr
    },
    {
        "PLL_CTRL29_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl29_tog
    },
    {
        "PLL_CTRL30",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl30
    },
    {
        "PLL_CTRL30_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl30_set
    },
    {
        "PLL_CTRL30_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl30_clr
    },
    {
        "PLL_CTRL30_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl30_tog
    },
    {
        "PLL_CTRL31",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl31
    },
    {
        "PLL_CTRL31_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl31_set
    },
    {
        "PLL_CTRL31_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl31_clr
    },
    {
        "PLL_CTRL31_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl31_tog
    },
    {
        "PLL_CTRL32",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl32
    },
    {
        "PLL_CTRL32_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl32_set
    },
    {
        "PLL_CTRL32_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl32_clr
    },
    {
        "PLL_CTRL32_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl32_tog
    },
    {
        "CCGR0",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr0
    },
    {
        "CCGR0_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr0_set
    },
    {
        "CCGR0_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr0_clr
    },
    {
        "CCGR0_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000400c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr0_tog
    },
    {
        "CCGR1",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004010, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr1
    },
    {
        "CCGR1_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004014, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr1_set
    },
    {
        "CCGR1_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004018, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr1_clr
    },
    {
        "CCGR1_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000401c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr1_tog
    },
    {
        "CCGR2",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr2
    },
    {
        "CCGR2_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr2_set
    },
    {
        "CCGR2_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr2_clr
    },
    {
        "CCGR2_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000402c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr2_tog
    },
    {
        "CCGR3",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004030, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr3
    },
    {
        "CCGR3_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004034, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr3_set
    },
    {
        "CCGR3_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004038, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr3_clr
    },
    {
        "CCGR3_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000403c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr3_tog
    },
    {
        "CCGR4",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004040, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr4
    },
    {
        "CCGR4_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004044, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr4_set
    },
    {
        "CCGR4_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004048, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr4_clr
    },
    {
        "CCGR4_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000404c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr4_tog
    },
    {
        "CCGR5",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004050, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr5
    },
    {
        "CCGR5_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004054, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr5_set
    },
    {
        "CCGR5_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004058, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr5_clr
    },
    {
        "CCGR5_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000405c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr5_tog
    },
    {
        "CCGR6",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004060, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr6
    },
    {
        "CCGR6_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004064, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr6_set
    },
    {
        "CCGR6_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004068, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr6_clr
    },
    {
        "CCGR6_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000406c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr6_tog
    },
    {
        "CCGR7",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004070, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr7
    },
    {
        "CCGR7_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004074, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr7_set
    },
    {
        "CCGR7_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004078, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr7_clr
    },
    {
        "CCGR7_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000407c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr7_tog
    },
    {
        "CCGR8",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr8
    },
    {
        "CCGR8_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr8_set
    },
    {
        "CCGR8_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr8_clr
    },
    {
        "CCGR8_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000408c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr8_tog
    },
    {
        "CCGR9",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004090, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr9
    },
    {
        "CCGR9_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004094, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr9_set
    },
    {
        "CCGR9_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004098, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr9_clr
    },
    {
        "CCGR9_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000409c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr9_tog
    },
    {
        "CCGR10",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr10
    },
    {
        "CCGR10_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr10_set
    },
    {
        "CCGR10_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr10_clr
    },
    {
        "CCGR10_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr10_tog
    },
    {
        "CCGR11",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr11
    },
    {
        "CCGR11_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr11_set
    },
    {
        "CCGR11_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr11_clr
    },
    {
        "CCGR11_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr11_tog
    },
    {
        "CCGR12",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr12
    },
    {
        "CCGR12_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr12_set
    },
    {
        "CCGR12_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr12_clr
    },
    {
        "CCGR12_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr12_tog
    },
    {
        "CCGR13",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr13
    },
    {
        "CCGR13_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr13_set
    },
    {
        "CCGR13_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr13_clr
    },
    {
        "CCGR13_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr13_tog
    },
    {
        "CCGR14",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr14
    },
    {
        "CCGR14_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr14_set
    },
    {
        "CCGR14_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr14_clr
    },
    {
        "CCGR14_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr14_tog
    },
    {
        "CCGR15",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr15
    },
    {
        "CCGR15_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr15_set
    },
    {
        "CCGR15_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr15_clr
    },
    {
        "CCGR15_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr15_tog
    },
    {
        "CCGR16",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr16
    },
    {
        "CCGR16_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr16_set
    },
    {
        "CCGR16_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr16_clr
    },
    {
        "CCGR16_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000410c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr16_tog
    },
    {
        "CCGR17",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004110, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr17
    },
    {
        "CCGR17_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004114, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr17_set
    },
    {
        "CCGR17_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004118, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr17_clr
    },
    {
        "CCGR17_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000411c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr17_tog
    },
    {
        "CCGR18",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr18
    },
    {
        "CCGR18_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr18_set
    },
    {
        "CCGR18_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr18_clr
    },
    {
        "CCGR18_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000412c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr18_tog
    },
    {
        "CCGR19",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004130, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr19
    },
    {
        "CCGR19_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004134, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr19_set
    },
    {
        "CCGR19_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004138, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr19_clr
    },
    {
        "CCGR19_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000413c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr19_tog
    },
    {
        "CCGR20",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004140, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr20
    },
    {
        "CCGR20_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004144, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr20_set
    },
    {
        "CCGR20_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004148, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr20_clr
    },
    {
        "CCGR20_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000414c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr20_tog
    },
    {
        "CCGR21",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004150, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr21
    },
    {
        "CCGR21_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004154, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr21_set
    },
    {
        "CCGR21_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004158, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr21_clr
    },
    {
        "CCGR21_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000415c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr21_tog
    },
    {
        "CCGR22",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004160, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr22
    },
    {
        "CCGR22_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004164, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr22_set
    },
    {
        "CCGR22_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004168, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr22_clr
    },
    {
        "CCGR22_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000416c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr22_tog
    },
    {
        "CCGR23",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004170, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr23
    },
    {
        "CCGR23_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004174, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr23_set
    },
    {
        "CCGR23_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004178, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr23_clr
    },
    {
        "CCGR23_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000417c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr23_tog
    },
    {
        "CCGR24",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr24
    },
    {
        "CCGR24_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr24_set
    },
    {
        "CCGR24_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr24_clr
    },
    {
        "CCGR24_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000418c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr24_tog
    },
    {
        "CCGR25",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004190, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr25
    },
    {
        "CCGR25_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004194, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr25_set
    },
    {
        "CCGR25_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004198, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr25_clr
    },
    {
        "CCGR25_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000419c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr25_tog
    },
    {
        "CCGR26",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr26
    },
    {
        "CCGR26_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr26_set
    },
    {
        "CCGR26_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr26_clr
    },
    {
        "CCGR26_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr26_tog
    },
    {
        "CCGR27",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr27
    },
    {
        "CCGR27_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr27_set
    },
    {
        "CCGR27_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr27_clr
    },
    {
        "CCGR27_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr27_tog
    },
    {
        "CCGR28",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr28
    },
    {
        "CCGR28_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr28_set
    },
    {
        "CCGR28_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr28_clr
    },
    {
        "CCGR28_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr28_tog
    },
    {
        "CCGR29",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr29
    },
    {
        "CCGR29_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr29_set
    },
    {
        "CCGR29_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr29_clr
    },
    {
        "CCGR29_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr29_tog
    },
    {
        "CCGR30",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr30
    },
    {
        "CCGR30_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr30_set
    },
    {
        "CCGR30_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr30_clr
    },
    {
        "CCGR30_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr30_tog
    },
    {
        "CCGR31",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr31
    },
    {
        "CCGR31_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr31_set
    },
    {
        "CCGR31_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr31_clr
    },
    {
        "CCGR31_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr31_tog
    },
    {
        "CCGR32",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr32
    },
    {
        "CCGR32_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr32_set
    },
    {
        "CCGR32_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr32_clr
    },
    {
        "CCGR32_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000420c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr32_tog
    },
    {
        "CCGR33",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004210, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr33
    },
    {
        "CCGR33_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004214, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr33_set
    },
    {
        "CCGR33_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004218, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr33_clr
    },
    {
        "CCGR33_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000421c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr33_tog
    },
    {
        "CCGR34",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr34
    },
    {
        "CCGR34_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr34_set
    },
    {
        "CCGR34_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr34_clr
    },
    {
        "CCGR34_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000422c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr34_tog
    },
    {
        "CCGR35",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004230, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr35
    },
    {
        "CCGR35_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004234, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr35_set
    },
    {
        "CCGR35_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004238, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr35_clr
    },
    {
        "CCGR35_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000423c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr35_tog
    },
    {
        "CCGR36",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004240, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr36
    },
    {
        "CCGR36_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004244, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr36_set
    },
    {
        "CCGR36_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004248, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr36_clr
    },
    {
        "CCGR36_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000424c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr36_tog
    },
    {
        "CCGR37",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004250, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr37
    },
    {
        "CCGR37_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004254, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr37_set
    },
    {
        "CCGR37_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004258, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr37_clr
    },
    {
        "CCGR37_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000425c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr37_tog
    },
    {
        "CCGR38",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004260, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr38
    },
    {
        "CCGR38_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004264, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr38_set
    },
    {
        "CCGR38_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004268, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr38_clr
    },
    {
        "CCGR38_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000426c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr38_tog
    },
    {
        "CCGR39",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004270, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr39
    },
    {
        "CCGR39_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004274, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr39_set
    },
    {
        "CCGR39_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004278, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr39_clr
    },
    {
        "CCGR39_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000427c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr39_tog
    },
    {
        "CCGR40",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004280, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr40
    },
    {
        "CCGR40_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004284, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr40_set
    },
    {
        "CCGR40_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004288, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr40_clr
    },
    {
        "CCGR40_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000428c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr40_tog
    },
    {
        "CCGR41",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004290, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr41
    },
    {
        "CCGR41_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004294, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr41_set
    },
    {
        "CCGR41_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004298, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr41_clr
    },
    {
        "CCGR41_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000429c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr41_tog
    },
    {
        "CCGR42",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr42
    },
    {
        "CCGR42_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr42_set
    },
    {
        "CCGR42_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr42_clr
    },
    {
        "CCGR42_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr42_tog
    },
    {
        "CCGR43",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr43
    },
    {
        "CCGR43_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr43_set
    },
    {
        "CCGR43_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr43_clr
    },
    {
        "CCGR43_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr43_tog
    },
    {
        "CCGR44",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr44
    },
    {
        "CCGR44_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr44_set
    },
    {
        "CCGR44_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr44_clr
    },
    {
        "CCGR44_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr44_tog
    },
    {
        "CCGR45",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr45
    },
    {
        "CCGR45_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr45_set
    },
    {
        "CCGR45_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr45_clr
    },
    {
        "CCGR45_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr45_tog
    },
    {
        "CCGR46",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr46
    },
    {
        "CCGR46_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr46_set
    },
    {
        "CCGR46_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr46_clr
    },
    {
        "CCGR46_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr46_tog
    },
    {
        "CCGR47",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr47
    },
    {
        "CCGR47_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr47_set
    },
    {
        "CCGR47_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr47_clr
    },
    {
        "CCGR47_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr47_tog
    },
    {
        "CCGR48",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr48
    },
    {
        "CCGR48_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004304, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr48_set
    },
    {
        "CCGR48_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004308, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr48_clr
    },
    {
        "CCGR48_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000430c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr48_tog
    },
    {
        "CCGR49",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004310, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr49
    },
    {
        "CCGR49_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004314, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr49_set
    },
    {
        "CCGR49_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004318, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr49_clr
    },
    {
        "CCGR49_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000431c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr49_tog
    },
    {
        "CCGR50",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004320, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr50
    },
    {
        "CCGR50_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004324, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr50_set
    },
    {
        "CCGR50_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004328, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr50_clr
    },
    {
        "CCGR50_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000432c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr50_tog
    },
    {
        "CCGR51",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004330, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr51
    },
    {
        "CCGR51_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004334, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr51_set
    },
    {
        "CCGR51_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004338, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr51_clr
    },
    {
        "CCGR51_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000433c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr51_tog
    },
    {
        "CCGR52",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004340, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr52
    },
    {
        "CCGR52_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004344, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr52_set
    },
    {
        "CCGR52_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004348, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr52_clr
    },
    {
        "CCGR52_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000434c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr52_tog
    },
    {
        "CCGR53",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004350, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr53
    },
    {
        "CCGR53_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004354, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr53_set
    },
    {
        "CCGR53_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004358, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr53_clr
    },
    {
        "CCGR53_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000435c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr53_tog
    },
    {
        "CCGR54",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004360, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr54
    },
    {
        "CCGR54_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004364, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr54_set
    },
    {
        "CCGR54_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004368, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr54_clr
    },
    {
        "CCGR54_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000436c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr54_tog
    },
    {
        "CCGR55",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004370, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr55
    },
    {
        "CCGR55_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004374, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr55_set
    },
    {
        "CCGR55_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004378, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr55_clr
    },
    {
        "CCGR55_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000437c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr55_tog
    },
    {
        "CCGR56",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004380, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr56
    },
    {
        "CCGR56_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004384, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr56_set
    },
    {
        "CCGR56_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004388, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr56_clr
    },
    {
        "CCGR56_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000438c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr56_tog
    },
    {
        "CCGR57",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004390, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr57
    },
    {
        "CCGR57_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004394, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr57_set
    },
    {
        "CCGR57_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004398, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr57_clr
    },
    {
        "CCGR57_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000439c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr57_tog
    },
    {
        "CCGR58",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr58
    },
    {
        "CCGR58_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr58_set
    },
    {
        "CCGR58_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr58_clr
    },
    {
        "CCGR58_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr58_tog
    },
    {
        "CCGR59",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr59
    },
    {
        "CCGR59_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr59_set
    },
    {
        "CCGR59_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr59_clr
    },
    {
        "CCGR59_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr59_tog
    },
    {
        "CCGR60",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr60
    },
    {
        "CCGR60_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr60_set
    },
    {
        "CCGR60_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr60_clr
    },
    {
        "CCGR60_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr60_tog
    },
    {
        "CCGR61",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr61
    },
    {
        "CCGR61_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr61_set
    },
    {
        "CCGR61_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr61_clr
    },
    {
        "CCGR61_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr61_tog
    },
    {
        "CCGR62",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr62
    },
    {
        "CCGR62_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr62_set
    },
    {
        "CCGR62_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr62_clr
    },
    {
        "CCGR62_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr62_tog
    },
    {
        "CCGR63",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr63
    },
    {
        "CCGR63_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr63_set
    },
    {
        "CCGR63_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr63_clr
    },
    {
        "CCGR63_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr63_tog
    },
    {
        "CCGR64",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004400, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr64
    },
    {
        "CCGR64_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004404, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr64_set
    },
    {
        "CCGR64_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr64_clr
    },
    {
        "CCGR64_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000440c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr64_tog
    },
    {
        "CCGR65",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004410, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr65
    },
    {
        "CCGR65_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004414, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr65_set
    },
    {
        "CCGR65_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004418, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr65_clr
    },
    {
        "CCGR65_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000441c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr65_tog
    },
    {
        "CCGR66",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004420, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr66
    },
    {
        "CCGR66_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004424, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr66_set
    },
    {
        "CCGR66_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004428, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr66_clr
    },
    {
        "CCGR66_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000442c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr66_tog
    },
    {
        "CCGR67",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004430, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr67
    },
    {
        "CCGR67_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004434, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr67_set
    },
    {
        "CCGR67_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004438, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr67_clr
    },
    {
        "CCGR67_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000443c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr67_tog
    },
    {
        "CCGR68",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004440, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr68
    },
    {
        "CCGR68_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004444, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr68_set
    },
    {
        "CCGR68_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004448, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr68_clr
    },
    {
        "CCGR68_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000444c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr68_tog
    },
    {
        "CCGR69",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004450, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr69
    },
    {
        "CCGR69_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004454, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr69_set
    },
    {
        "CCGR69_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004458, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr69_clr
    },
    {
        "CCGR69_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000445c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr69_tog
    },
    {
        "CCGR70",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004460, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr70
    },
    {
        "CCGR70_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004464, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr70_set
    },
    {
        "CCGR70_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004468, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr70_clr
    },
    {
        "CCGR70_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000446c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr70_tog
    },
    {
        "CCGR71",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004470, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr71
    },
    {
        "CCGR71_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004474, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr71_set
    },
    {
        "CCGR71_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004478, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr71_clr
    },
    {
        "CCGR71_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000447c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr71_tog
    },
    {
        "CCGR72",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004480, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr72
    },
    {
        "CCGR72_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004484, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr72_set
    },
    {
        "CCGR72_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004488, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr72_clr
    },
    {
        "CCGR72_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000448c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr72_tog
    },
    {
        "CCGR73",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004490, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr73
    },
    {
        "CCGR73_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004494, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr73_set
    },
    {
        "CCGR73_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004498, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr73_clr
    },
    {
        "CCGR73_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000449c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr73_tog
    },
    {
        "CCGR74",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr74
    },
    {
        "CCGR74_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr74_set
    },
    {
        "CCGR74_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr74_clr
    },
    {
        "CCGR74_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr74_tog
    },
    {
        "CCGR75",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr75
    },
    {
        "CCGR75_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr75_set
    },
    {
        "CCGR75_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr75_clr
    },
    {
        "CCGR75_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr75_tog
    },
    {
        "CCGR76",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr76
    },
    {
        "CCGR76_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr76_set
    },
    {
        "CCGR76_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr76_clr
    },
    {
        "CCGR76_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr76_tog
    },
    {
        "CCGR77",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr77
    },
    {
        "CCGR77_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr77_set
    },
    {
        "CCGR77_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr77_clr
    },
    {
        "CCGR77_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr77_tog
    },
    {
        "CCGR78",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr78
    },
    {
        "CCGR78_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr78_set
    },
    {
        "CCGR78_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr78_clr
    },
    {
        "CCGR78_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr78_tog
    },
    {
        "CCGR79",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr79
    },
    {
        "CCGR79_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr79_set
    },
    {
        "CCGR79_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr79_clr
    },
    {
        "CCGR79_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr79_tog
    },
    {
        "CCGR80",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004500, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr80
    },
    {
        "CCGR80_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004504, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr80_set
    },
    {
        "CCGR80_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004508, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr80_clr
    },
    {
        "CCGR80_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000450c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr80_tog
    },
    {
        "CCGR81",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004510, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr81
    },
    {
        "CCGR81_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004514, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr81_set
    },
    {
        "CCGR81_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004518, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr81_clr
    },
    {
        "CCGR81_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000451c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr81_tog
    },
    {
        "CCGR82",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004520, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr82
    },
    {
        "CCGR82_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004524, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr82_set
    },
    {
        "CCGR82_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004528, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr82_clr
    },
    {
        "CCGR82_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000452c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr82_tog
    },
    {
        "CCGR83",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004530, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr83
    },
    {
        "CCGR83_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004534, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr83_set
    },
    {
        "CCGR83_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004538, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr83_clr
    },
    {
        "CCGR83_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000453c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr83_tog
    },
    {
        "CCGR84",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004540, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr84
    },
    {
        "CCGR84_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004544, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr84_set
    },
    {
        "CCGR84_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004548, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr84_clr
    },
    {
        "CCGR84_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000454c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr84_tog
    },
    {
        "CCGR85",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004550, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr85
    },
    {
        "CCGR85_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004554, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr85_set
    },
    {
        "CCGR85_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004558, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr85_clr
    },
    {
        "CCGR85_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000455c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr85_tog
    },
    {
        "CCGR86",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004560, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr86
    },
    {
        "CCGR86_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004564, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr86_set
    },
    {
        "CCGR86_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004568, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr86_clr
    },
    {
        "CCGR86_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000456c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr86_tog
    },
    {
        "CCGR87",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004570, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr87
    },
    {
        "CCGR87_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004574, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr87_set
    },
    {
        "CCGR87_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004578, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr87_clr
    },
    {
        "CCGR87_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000457c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr87_tog
    },
    {
        "CCGR88",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004580, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr88
    },
    {
        "CCGR88_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004584, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr88_set
    },
    {
        "CCGR88_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004588, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr88_clr
    },
    {
        "CCGR88_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000458c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr88_tog
    },
    {
        "CCGR89",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004590, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr89
    },
    {
        "CCGR89_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004594, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr89_set
    },
    {
        "CCGR89_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004598, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr89_clr
    },
    {
        "CCGR89_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000459c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr89_tog
    },
    {
        "CCGR90",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr90
    },
    {
        "CCGR90_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr90_set
    },
    {
        "CCGR90_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr90_clr
    },
    {
        "CCGR90_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr90_tog
    },
    {
        "CCGR91",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr91
    },
    {
        "CCGR91_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr91_set
    },
    {
        "CCGR91_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr91_clr
    },
    {
        "CCGR91_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr91_tog
    },
    {
        "CCGR92",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr92
    },
    {
        "CCGR92_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr92_set
    },
    {
        "CCGR92_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr92_clr
    },
    {
        "CCGR92_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr92_tog
    },
    {
        "CCGR93",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr93
    },
    {
        "CCGR93_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr93_set
    },
    {
        "CCGR93_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr93_clr
    },
    {
        "CCGR93_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr93_tog
    },
    {
        "CCGR94",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr94
    },
    {
        "CCGR94_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr94_set
    },
    {
        "CCGR94_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr94_clr
    },
    {
        "CCGR94_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr94_tog
    },
    {
        "CCGR95",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr95
    },
    {
        "CCGR95_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr95_set
    },
    {
        "CCGR95_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr95_clr
    },
    {
        "CCGR95_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr95_tog
    },
    {
        "CCGR96",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004600, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr96
    },
    {
        "CCGR96_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr96_set
    },
    {
        "CCGR96_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr96_clr
    },
    {
        "CCGR96_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000460c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr96_tog
    },
    {
        "CCGR97",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004610, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr97
    },
    {
        "CCGR97_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004614, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr97_set
    },
    {
        "CCGR97_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004618, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr97_clr
    },
    {
        "CCGR97_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000461c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr97_tog
    },
    {
        "CCGR98",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr98
    },
    {
        "CCGR98_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004624, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr98_set
    },
    {
        "CCGR98_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004628, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr98_clr
    },
    {
        "CCGR98_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000462c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr98_tog
    },
    {
        "CCGR99",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004630, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr99
    },
    {
        "CCGR99_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004634, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr99_set
    },
    {
        "CCGR99_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004638, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr99_clr
    },
    {
        "CCGR99_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000463c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr99_tog
    },
    {
        "CCGR100",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004640, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr100
    },
    {
        "CCGR100_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004644, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr100_set
    },
    {
        "CCGR100_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004648, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr100_clr
    },
    {
        "CCGR100_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000464c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr100_tog
    },
    {
        "CCGR101",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004650, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr101
    },
    {
        "CCGR101_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004654, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr101_set
    },
    {
        "CCGR101_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004658, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr101_clr
    },
    {
        "CCGR101_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000465c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr101_tog
    },
    {
        "CCGR102",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004660, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr102
    },
    {
        "CCGR102_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004664, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr102_set
    },
    {
        "CCGR102_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004668, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr102_clr
    },
    {
        "CCGR102_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000466c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr102_tog
    },
    {
        "CCGR103",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004670, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr103
    },
    {
        "CCGR103_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004674, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr103_set
    },
    {
        "CCGR103_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004678, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr103_clr
    },
    {
        "CCGR103_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000467c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr103_tog
    },
    {
        "CCGR104",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr104
    },
    {
        "CCGR104_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004684, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr104_set
    },
    {
        "CCGR104_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004688, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr104_clr
    },
    {
        "CCGR104_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000468c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr104_tog
    },
    {
        "CCGR105",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004690, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr105
    },
    {
        "CCGR105_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004694, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr105_set
    },
    {
        "CCGR105_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004698, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr105_clr
    },
    {
        "CCGR105_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000469c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr105_tog
    },
    {
        "CCGR106",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr106
    },
    {
        "CCGR106_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr106_set
    },
    {
        "CCGR106_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr106_clr
    },
    {
        "CCGR106_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr106_tog
    },
    {
        "CCGR107",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr107
    },
    {
        "CCGR107_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr107_set
    },
    {
        "CCGR107_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr107_clr
    },
    {
        "CCGR107_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr107_tog
    },
    {
        "CCGR108",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr108
    },
    {
        "CCGR108_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr108_set
    },
    {
        "CCGR108_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr108_clr
    },
    {
        "CCGR108_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr108_tog
    },
    {
        "CCGR109",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr109
    },
    {
        "CCGR109_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr109_set
    },
    {
        "CCGR109_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr109_clr
    },
    {
        "CCGR109_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr109_tog
    },
    {
        "CCGR110",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr110
    },
    {
        "CCGR110_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr110_set
    },
    {
        "CCGR110_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr110_clr
    },
    {
        "CCGR110_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr110_tog
    },
    {
        "CCGR111",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr111
    },
    {
        "CCGR111_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr111_set
    },
    {
        "CCGR111_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr111_clr
    },
    {
        "CCGR111_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr111_tog
    },
    {
        "CCGR112",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004700, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr112
    },
    {
        "CCGR112_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004704, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr112_set
    },
    {
        "CCGR112_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004708, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr112_clr
    },
    {
        "CCGR112_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000470c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr112_tog
    },
    {
        "CCGR113",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004710, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr113
    },
    {
        "CCGR113_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004714, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr113_set
    },
    {
        "CCGR113_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004718, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr113_clr
    },
    {
        "CCGR113_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000471c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr113_tog
    },
    {
        "CCGR114",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004720, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr114
    },
    {
        "CCGR114_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004724, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr114_set
    },
    {
        "CCGR114_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004728, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr114_clr
    },
    {
        "CCGR114_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000472c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr114_tog
    },
    {
        "CCGR115",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004730, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr115
    },
    {
        "CCGR115_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004734, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr115_set
    },
    {
        "CCGR115_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004738, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr115_clr
    },
    {
        "CCGR115_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000473c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr115_tog
    },
    {
        "CCGR116",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004740, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr116
    },
    {
        "CCGR116_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004744, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr116_set
    },
    {
        "CCGR116_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004748, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr116_clr
    },
    {
        "CCGR116_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000474c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr116_tog
    },
    {
        "CCGR117",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004750, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr117
    },
    {
        "CCGR117_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004754, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr117_set
    },
    {
        "CCGR117_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004758, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr117_clr
    },
    {
        "CCGR117_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000475c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr117_tog
    },
    {
        "CCGR118",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004760, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr118
    },
    {
        "CCGR118_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004764, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr118_set
    },
    {
        "CCGR118_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004768, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr118_clr
    },
    {
        "CCGR118_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000476c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr118_tog
    },
    {
        "CCGR119",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004770, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr119
    },
    {
        "CCGR119_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004774, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr119_set
    },
    {
        "CCGR119_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004778, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr119_clr
    },
    {
        "CCGR119_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000477c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr119_tog
    },
    {
        "CCGR120",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004780, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr120
    },
    {
        "CCGR120_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004784, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr120_set
    },
    {
        "CCGR120_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004788, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr120_clr
    },
    {
        "CCGR120_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000478c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr120_tog
    },
    {
        "CCGR121",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004790, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr121
    },
    {
        "CCGR121_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004794, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr121_set
    },
    {
        "CCGR121_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004798, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr121_clr
    },
    {
        "CCGR121_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000479c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr121_tog
    },
    {
        "CCGR122",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr122
    },
    {
        "CCGR122_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr122_set
    },
    {
        "CCGR122_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr122_clr
    },
    {
        "CCGR122_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr122_tog
    },
    {
        "CCGR123",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr123
    },
    {
        "CCGR123_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr123_set
    },
    {
        "CCGR123_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr123_clr
    },
    {
        "CCGR123_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr123_tog
    },
    {
        "CCGR124",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr124
    },
    {
        "CCGR124_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr124_set
    },
    {
        "CCGR124_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr124_clr
    },
    {
        "CCGR124_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr124_tog
    },
    {
        "CCGR125",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr125
    },
    {
        "CCGR125_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr125_set
    },
    {
        "CCGR125_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr125_clr
    },
    {
        "CCGR125_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr125_tog
    },
    {
        "CCGR126",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr126
    },
    {
        "CCGR126_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr126_set
    },
    {
        "CCGR126_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr126_clr
    },
    {
        "CCGR126_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr126_tog
    },
    {
        "CCGR127",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr127
    },
    {
        "CCGR127_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr127_set
    },
    {
        "CCGR127_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr127_clr
    },
    {
        "CCGR127_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr127_tog
    },
    {
        "CCGR128",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr128
    },
    {
        "CCGR128_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr128_set
    },
    {
        "CCGR128_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr128_clr
    },
    {
        "CCGR128_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000480c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr128_tog
    },
    {
        "CCGR129",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004810, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr129
    },
    {
        "CCGR129_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004814, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr129_set
    },
    {
        "CCGR129_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004818, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr129_clr
    },
    {
        "CCGR129_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000481c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr129_tog
    },
    {
        "CCGR130",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr130
    },
    {
        "CCGR130_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr130_set
    },
    {
        "CCGR130_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr130_clr
    },
    {
        "CCGR130_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000482c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr130_tog
    },
    {
        "CCGR131",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004830, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr131
    },
    {
        "CCGR131_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004834, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr131_set
    },
    {
        "CCGR131_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004838, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr131_clr
    },
    {
        "CCGR131_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000483c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr131_tog
    },
    {
        "CCGR132",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004840, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr132
    },
    {
        "CCGR132_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004844, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr132_set
    },
    {
        "CCGR132_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004848, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr132_clr
    },
    {
        "CCGR132_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000484c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr132_tog
    },
    {
        "CCGR133",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004850, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr133
    },
    {
        "CCGR133_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004854, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr133_set
    },
    {
        "CCGR133_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004858, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr133_clr
    },
    {
        "CCGR133_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000485c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr133_tog
    },
    {
        "CCGR134",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004860, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr134
    },
    {
        "CCGR134_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004864, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr134_set
    },
    {
        "CCGR134_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004868, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr134_clr
    },
    {
        "CCGR134_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000486c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr134_tog
    },
    {
        "CCGR135",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004870, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr135
    },
    {
        "CCGR135_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004874, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr135_set
    },
    {
        "CCGR135_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004878, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr135_clr
    },
    {
        "CCGR135_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000487c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr135_tog
    },
    {
        "CCGR136",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr136
    },
    {
        "CCGR136_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr136_set
    },
    {
        "CCGR136_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr136_clr
    },
    {
        "CCGR136_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000488c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr136_tog
    },
    {
        "CCGR137",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004890, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr137
    },
    {
        "CCGR137_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004894, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr137_set
    },
    {
        "CCGR137_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004898, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr137_clr
    },
    {
        "CCGR137_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000489c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr137_tog
    },
    {
        "CCGR138",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr138
    },
    {
        "CCGR138_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr138_set
    },
    {
        "CCGR138_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr138_clr
    },
    {
        "CCGR138_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr138_tog
    },
    {
        "CCGR139",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr139
    },
    {
        "CCGR139_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr139_set
    },
    {
        "CCGR139_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr139_clr
    },
    {
        "CCGR139_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr139_tog
    },
    {
        "CCGR140",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr140
    },
    {
        "CCGR140_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr140_set
    },
    {
        "CCGR140_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr140_clr
    },
    {
        "CCGR140_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr140_tog
    },
    {
        "CCGR141",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr141
    },
    {
        "CCGR141_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr141_set
    },
    {
        "CCGR141_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr141_clr
    },
    {
        "CCGR141_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr141_tog
    },
    {
        "CCGR142",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr142
    },
    {
        "CCGR142_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr142_set
    },
    {
        "CCGR142_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr142_clr
    },
    {
        "CCGR142_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr142_tog
    },
    {
        "CCGR143",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr143
    },
    {
        "CCGR143_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr143_set
    },
    {
        "CCGR143_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr143_clr
    },
    {
        "CCGR143_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr143_tog
    },
    {
        "CCGR144",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr144
    },
    {
        "CCGR144_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr144_set
    },
    {
        "CCGR144_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr144_clr
    },
    {
        "CCGR144_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000490c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr144_tog
    },
    {
        "CCGR145",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004910, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr145
    },
    {
        "CCGR145_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004914, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr145_set
    },
    {
        "CCGR145_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004918, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr145_clr
    },
    {
        "CCGR145_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000491c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr145_tog
    },
    {
        "CCGR146",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr146
    },
    {
        "CCGR146_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr146_set
    },
    {
        "CCGR146_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr146_clr
    },
    {
        "CCGR146_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000492c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr146_tog
    },
    {
        "CCGR147",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004930, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr147
    },
    {
        "CCGR147_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004934, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr147_set
    },
    {
        "CCGR147_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004938, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr147_clr
    },
    {
        "CCGR147_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000493c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr147_tog
    },
    {
        "CCGR148",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004940, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr148
    },
    {
        "CCGR148_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004944, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr148_set
    },
    {
        "CCGR148_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004948, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr148_clr
    },
    {
        "CCGR148_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000494c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr148_tog
    },
    {
        "CCGR149",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004950, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr149
    },
    {
        "CCGR149_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004954, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr149_set
    },
    {
        "CCGR149_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004958, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr149_clr
    },
    {
        "CCGR149_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000495c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr149_tog
    },
    {
        "CCGR150",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004960, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr150
    },
    {
        "CCGR150_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004964, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr150_set
    },
    {
        "CCGR150_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004968, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr150_clr
    },
    {
        "CCGR150_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000496c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr150_tog
    },
    {
        "CCGR151",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004970, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr151
    },
    {
        "CCGR151_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004974, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr151_set
    },
    {
        "CCGR151_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004978, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr151_clr
    },
    {
        "CCGR151_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000497c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr151_tog
    },
    {
        "CCGR152",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr152
    },
    {
        "CCGR152_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr152_set
    },
    {
        "CCGR152_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr152_clr
    },
    {
        "CCGR152_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000498c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr152_tog
    },
    {
        "CCGR153",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004990, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr153
    },
    {
        "CCGR153_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004994, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr153_set
    },
    {
        "CCGR153_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004998, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr153_clr
    },
    {
        "CCGR153_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000499c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr153_tog
    },
    {
        "CCGR154",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr154
    },
    {
        "CCGR154_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr154_set
    },
    {
        "CCGR154_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr154_clr
    },
    {
        "CCGR154_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr154_tog
    },
    {
        "CCGR155",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr155
    },
    {
        "CCGR155_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr155_set
    },
    {
        "CCGR155_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr155_clr
    },
    {
        "CCGR155_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr155_tog
    },
    {
        "CCGR156",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr156
    },
    {
        "CCGR156_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr156_set
    },
    {
        "CCGR156_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr156_clr
    },
    {
        "CCGR156_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr156_tog
    },
    {
        "CCGR157",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr157
    },
    {
        "CCGR157_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr157_set
    },
    {
        "CCGR157_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr157_clr
    },
    {
        "CCGR157_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr157_tog
    },
    {
        "CCGR158",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr158
    },
    {
        "CCGR158_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr158_set
    },
    {
        "CCGR158_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr158_clr
    },
    {
        "CCGR158_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr158_tog
    },
    {
        "CCGR159",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr159
    },
    {
        "CCGR159_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr159_set
    },
    {
        "CCGR159_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr159_clr
    },
    {
        "CCGR159_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr159_tog
    },
    {
        "CCGR160",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr160
    },
    {
        "CCGR160_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr160_set
    },
    {
        "CCGR160_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr160_clr
    },
    {
        "CCGR160_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr160_tog
    },
    {
        "CCGR161",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a10, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr161
    },
    {
        "CCGR161_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a14, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr161_set
    },
    {
        "CCGR161_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a18, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr161_clr
    },
    {
        "CCGR161_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a1c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr161_tog
    },
    {
        "CCGR162",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr162
    },
    {
        "CCGR162_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr162_set
    },
    {
        "CCGR162_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr162_clr
    },
    {
        "CCGR162_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr162_tog
    },
    {
        "CCGR163",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a30, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr163
    },
    {
        "CCGR163_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a34, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr163_set
    },
    {
        "CCGR163_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a38, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr163_clr
    },
    {
        "CCGR163_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a3c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr163_tog
    },
    {
        "CCGR164",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a40, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr164
    },
    {
        "CCGR164_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a44, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr164_set
    },
    {
        "CCGR164_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a48, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr164_clr
    },
    {
        "CCGR164_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a4c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr164_tog
    },
    {
        "CCGR165",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a50, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr165
    },
    {
        "CCGR165_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a54, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr165_set
    },
    {
        "CCGR165_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a58, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr165_clr
    },
    {
        "CCGR165_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a5c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr165_tog
    },
    {
        "CCGR166",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a60, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr166
    },
    {
        "CCGR166_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a64, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr166_set
    },
    {
        "CCGR166_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a68, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr166_clr
    },
    {
        "CCGR166_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a6c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr166_tog
    },
    {
        "CCGR167",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a70, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr167
    },
    {
        "CCGR167_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a74, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr167_set
    },
    {
        "CCGR167_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a78, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr167_clr
    },
    {
        "CCGR167_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a7c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr167_tog
    },
    {
        "CCGR168",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr168
    },
    {
        "CCGR168_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr168_set
    },
    {
        "CCGR168_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr168_clr
    },
    {
        "CCGR168_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr168_tog
    },
    {
        "CCGR169",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a90, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr169
    },
    {
        "CCGR169_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a94, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr169_set
    },
    {
        "CCGR169_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a98, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr169_clr
    },
    {
        "CCGR169_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a9c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr169_tog
    },
    {
        "CCGR170",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004aa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr170
    },
    {
        "CCGR170_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004aa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr170_set
    },
    {
        "CCGR170_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004aa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr170_clr
    },
    {
        "CCGR170_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004aac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr170_tog
    },
    {
        "CCGR171",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ab0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr171
    },
    {
        "CCGR171_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ab4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr171_set
    },
    {
        "CCGR171_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ab8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr171_clr
    },
    {
        "CCGR171_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004abc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr171_tog
    },
    {
        "CCGR172",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ac0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr172
    },
    {
        "CCGR172_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ac4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr172_set
    },
    {
        "CCGR172_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ac8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr172_clr
    },
    {
        "CCGR172_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004acc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr172_tog
    },
    {
        "CCGR173",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ad0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr173
    },
    {
        "CCGR173_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ad4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr173_set
    },
    {
        "CCGR173_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ad8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr173_clr
    },
    {
        "CCGR173_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004adc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr173_tog
    },
    {
        "CCGR174",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ae0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr174
    },
    {
        "CCGR174_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ae4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr174_set
    },
    {
        "CCGR174_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ae8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr174_clr
    },
    {
        "CCGR174_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004aec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr174_tog
    },
    {
        "CCGR175",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004af0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr175
    },
    {
        "CCGR175_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004af4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr175_set
    },
    {
        "CCGR175_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004af8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr175_clr
    },
    {
        "CCGR175_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004afc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr175_tog
    },
    {
        "CCGR176",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr176
    },
    {
        "CCGR176_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr176_set
    },
    {
        "CCGR176_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr176_clr
    },
    {
        "CCGR176_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr176_tog
    },
    {
        "CCGR177",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b10, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr177
    },
    {
        "CCGR177_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b14, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr177_set
    },
    {
        "CCGR177_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b18, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr177_clr
    },
    {
        "CCGR177_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b1c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr177_tog
    },
    {
        "CCGR178",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr178
    },
    {
        "CCGR178_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr178_set
    },
    {
        "CCGR178_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr178_clr
    },
    {
        "CCGR178_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr178_tog
    },
    {
        "CCGR179",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b30, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr179
    },
    {
        "CCGR179_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b34, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr179_set
    },
    {
        "CCGR179_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b38, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr179_clr
    },
    {
        "CCGR179_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b3c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr179_tog
    },
    {
        "CCGR180",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b40, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr180
    },
    {
        "CCGR180_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b44, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr180_set
    },
    {
        "CCGR180_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b48, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr180_clr
    },
    {
        "CCGR180_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b4c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr180_tog
    },
    {
        "CCGR181",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b50, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr181
    },
    {
        "CCGR181_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b54, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr181_set
    },
    {
        "CCGR181_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b58, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr181_clr
    },
    {
        "CCGR181_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b5c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr181_tog
    },
    {
        "CCGR182",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b60, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr182
    },
    {
        "CCGR182_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b64, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr182_set
    },
    {
        "CCGR182_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b68, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr182_clr
    },
    {
        "CCGR182_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b6c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr182_tog
    },
    {
        "CCGR183",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b70, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr183
    },
    {
        "CCGR183_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b74, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr183_set
    },
    {
        "CCGR183_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b78, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr183_clr
    },
    {
        "CCGR183_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b7c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr183_tog
    },
    {
        "CCGR184",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr184
    },
    {
        "CCGR184_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr184_set
    },
    {
        "CCGR184_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr184_clr
    },
    {
        "CCGR184_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr184_tog
    },
    {
        "CCGR185",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b90, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr185
    },
    {
        "CCGR185_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b94, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr185_set
    },
    {
        "CCGR185_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b98, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr185_clr
    },
    {
        "CCGR185_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b9c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr185_tog
    },
    {
        "CCGR186",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ba0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr186
    },
    {
        "CCGR186_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ba4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr186_set
    },
    {
        "CCGR186_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ba8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr186_clr
    },
    {
        "CCGR186_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr186_tog
    },
    {
        "CCGR187",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bb0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr187
    },
    {
        "CCGR187_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bb4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr187_set
    },
    {
        "CCGR187_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bb8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr187_clr
    },
    {
        "CCGR187_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bbc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr187_tog
    },
    {
        "CCGR188",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bc0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr188
    },
    {
        "CCGR188_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bc4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr188_set
    },
    {
        "CCGR188_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bc8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr188_clr
    },
    {
        "CCGR188_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bcc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr188_tog
    },
    {
        "CCGR189",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bd0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr189
    },
    {
        "CCGR189_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bd4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr189_set
    },
    {
        "CCGR189_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bd8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr189_clr
    },
    {
        "CCGR189_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bdc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr189_tog
    },
    {
        "CCGR190",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004be0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr190
    },
    {
        "CCGR190_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004be4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr190_set
    },
    {
        "CCGR190_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004be8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr190_clr
    },
    {
        "CCGR190_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr190_tog
    },
    {
        "TARGET_ROOT0",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root0
    },
    {
        "TARGET_ROOT0_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root0_set
    },
    {
        "TARGET_ROOT0_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root0_clr
    },
    {
        "TARGET_ROOT0_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000800c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root0_tog
    },
    {
        "MISC0",
        "MISC",
        4, // Width in bytes
        0x00008010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc0
    },
    {
        "MISC_ROOT0_SET",
        "Misc",
        4, // Width in bytes
        0x00008014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root0_set
    },
    {
        "MISC_ROOT0_CLR",
        "MISC",
        4, // Width in bytes
        0x00008018, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root0_clr
    },
    {
        "MISC_ROOT0_TOG",
        "MISC",
        4, // Width in bytes
        0x0000801c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root0_tog
    },
    {
        "POST0",
        "Post Register",
        4, // Width in bytes
        0x00008020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post0
    },
    {
        "POST_ROOT0_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root0_set
    },
    {
        "POST_ROOT0_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root0_clr
    },
    {
        "POST_ROOT0_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000802c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root0_tog
    },
    {
        "PRE0",
        "Pre Register",
        4, // Width in bytes
        0x00008030, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre0
    },
    {
        "PRE_ROOT0_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008034, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root0_set
    },
    {
        "PRE_ROOT0_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008038, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root0_clr
    },
    {
        "PRE_ROOT0_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000803c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root0_tog
    },
    {
        "ACCESS_CTRL0",
        "Access Control Register",
        4, // Width in bytes
        0x00008070, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl0
    },
    {
        "ACCESS_CTRL_ROOT0_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008074, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root0_set
    },
    {
        "ACCESS_CTRL_ROOT0_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008078, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root0_clr
    },
    {
        "ACCESS_CTRL_ROOT0_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000807c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root0_tog
    },
    {
        "TARGET_ROOT1",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root1
    },
    {
        "TARGET_ROOT1_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root1_set
    },
    {
        "TARGET_ROOT1_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root1_clr
    },
    {
        "TARGET_ROOT1_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000808c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root1_tog
    },
    {
        "MISC1",
        "MISC",
        4, // Width in bytes
        0x00008090, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc1
    },
    {
        "MISC_ROOT1_SET",
        "Misc",
        4, // Width in bytes
        0x00008094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root1_set
    },
    {
        "MISC_ROOT1_CLR",
        "MISC",
        4, // Width in bytes
        0x00008098, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root1_clr
    },
    {
        "MISC_ROOT1_TOG",
        "MISC",
        4, // Width in bytes
        0x0000809c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root1_tog
    },
    {
        "POST1",
        "Post Register",
        4, // Width in bytes
        0x000080a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post1
    },
    {
        "POST_ROOT1_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000080a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root1_set
    },
    {
        "POST_ROOT1_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000080a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root1_clr
    },
    {
        "POST_ROOT1_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000080ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root1_tog
    },
    {
        "PRE1",
        "Pre Register",
        4, // Width in bytes
        0x000080b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre1
    },
    {
        "PRE_ROOT1_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000080b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root1_set
    },
    {
        "PRE_ROOT1_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000080b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root1_clr
    },
    {
        "PRE_ROOT1_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000080bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root1_tog
    },
    {
        "ACCESS_CTRL1",
        "Access Control Register",
        4, // Width in bytes
        0x000080f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl1
    },
    {
        "ACCESS_CTRL_ROOT1_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000080f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root1_set
    },
    {
        "ACCESS_CTRL_ROOT1_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000080f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root1_clr
    },
    {
        "ACCESS_CTRL_ROOT1_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000080fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root1_tog
    },
    {
        "TARGET_ROOT2",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root2
    },
    {
        "TARGET_ROOT2_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root2_set
    },
    {
        "TARGET_ROOT2_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root2_clr
    },
    {
        "TARGET_ROOT2_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000810c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root2_tog
    },
    {
        "MISC2",
        "MISC",
        4, // Width in bytes
        0x00008110, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc2
    },
    {
        "MISC_ROOT2_SET",
        "Misc",
        4, // Width in bytes
        0x00008114, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root2_set
    },
    {
        "MISC_ROOT2_CLR",
        "MISC",
        4, // Width in bytes
        0x00008118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root2_clr
    },
    {
        "MISC_ROOT2_TOG",
        "MISC",
        4, // Width in bytes
        0x0000811c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root2_tog
    },
    {
        "POST2",
        "Post Register",
        4, // Width in bytes
        0x00008120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post2
    },
    {
        "POST_ROOT2_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root2_set
    },
    {
        "POST_ROOT2_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root2_clr
    },
    {
        "POST_ROOT2_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000812c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root2_tog
    },
    {
        "PRE2",
        "Pre Register",
        4, // Width in bytes
        0x00008130, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre2
    },
    {
        "PRE_ROOT2_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008134, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root2_set
    },
    {
        "PRE_ROOT2_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008138, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root2_clr
    },
    {
        "PRE_ROOT2_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000813c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root2_tog
    },
    {
        "ACCESS_CTRL2",
        "Access Control Register",
        4, // Width in bytes
        0x00008170, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl2
    },
    {
        "ACCESS_CTRL_ROOT2_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008174, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root2_set
    },
    {
        "ACCESS_CTRL_ROOT2_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008178, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root2_clr
    },
    {
        "ACCESS_CTRL_ROOT2_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000817c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root2_tog
    },
    {
        "TARGET_ROOT3",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root3
    },
    {
        "TARGET_ROOT3_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root3_set
    },
    {
        "TARGET_ROOT3_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root3_clr
    },
    {
        "TARGET_ROOT3_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000818c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root3_tog
    },
    {
        "MISC3",
        "MISC",
        4, // Width in bytes
        0x00008190, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc3
    },
    {
        "MISC_ROOT3_SET",
        "Misc",
        4, // Width in bytes
        0x00008194, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root3_set
    },
    {
        "MISC_ROOT3_CLR",
        "MISC",
        4, // Width in bytes
        0x00008198, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root3_clr
    },
    {
        "MISC_ROOT3_TOG",
        "MISC",
        4, // Width in bytes
        0x0000819c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root3_tog
    },
    {
        "POST3",
        "Post Register",
        4, // Width in bytes
        0x000081a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post3
    },
    {
        "POST_ROOT3_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000081a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root3_set
    },
    {
        "POST_ROOT3_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000081a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root3_clr
    },
    {
        "POST_ROOT3_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000081ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root3_tog
    },
    {
        "PRE3",
        "Pre Register",
        4, // Width in bytes
        0x000081b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre3
    },
    {
        "PRE_ROOT3_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000081b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root3_set
    },
    {
        "PRE_ROOT3_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000081b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root3_clr
    },
    {
        "PRE_ROOT3_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000081bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root3_tog
    },
    {
        "ACCESS_CTRL3",
        "Access Control Register",
        4, // Width in bytes
        0x000081f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl3
    },
    {
        "ACCESS_CTRL_ROOT3_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000081f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root3_set
    },
    {
        "ACCESS_CTRL_ROOT3_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000081f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root3_clr
    },
    {
        "ACCESS_CTRL_ROOT3_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000081fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root3_tog
    },
    {
        "TARGET_ROOT4",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root4
    },
    {
        "TARGET_ROOT4_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root4_set
    },
    {
        "TARGET_ROOT4_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root4_clr
    },
    {
        "TARGET_ROOT4_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000820c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root4_tog
    },
    {
        "MISC4",
        "MISC",
        4, // Width in bytes
        0x00008210, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc4
    },
    {
        "MISC_ROOT4_SET",
        "Misc",
        4, // Width in bytes
        0x00008214, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root4_set
    },
    {
        "MISC_ROOT4_CLR",
        "MISC",
        4, // Width in bytes
        0x00008218, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root4_clr
    },
    {
        "MISC_ROOT4_TOG",
        "MISC",
        4, // Width in bytes
        0x0000821c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root4_tog
    },
    {
        "POST4",
        "Post Register",
        4, // Width in bytes
        0x00008220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post4
    },
    {
        "POST_ROOT4_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root4_set
    },
    {
        "POST_ROOT4_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root4_clr
    },
    {
        "POST_ROOT4_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000822c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root4_tog
    },
    {
        "PRE4",
        "Pre Register",
        4, // Width in bytes
        0x00008230, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre4
    },
    {
        "PRE_ROOT4_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008234, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root4_set
    },
    {
        "PRE_ROOT4_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008238, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root4_clr
    },
    {
        "PRE_ROOT4_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000823c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root4_tog
    },
    {
        "ACCESS_CTRL4",
        "Access Control Register",
        4, // Width in bytes
        0x00008270, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl4
    },
    {
        "ACCESS_CTRL_ROOT4_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008274, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root4_set
    },
    {
        "ACCESS_CTRL_ROOT4_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008278, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root4_clr
    },
    {
        "ACCESS_CTRL_ROOT4_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000827c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root4_tog
    },
    {
        "TARGET_ROOT5",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008280, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root5
    },
    {
        "TARGET_ROOT5_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008284, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root5_set
    },
    {
        "TARGET_ROOT5_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008288, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root5_clr
    },
    {
        "TARGET_ROOT5_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000828c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root5_tog
    },
    {
        "MISC5",
        "MISC",
        4, // Width in bytes
        0x00008290, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc5
    },
    {
        "MISC_ROOT5_SET",
        "Misc",
        4, // Width in bytes
        0x00008294, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root5_set
    },
    {
        "MISC_ROOT5_CLR",
        "MISC",
        4, // Width in bytes
        0x00008298, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root5_clr
    },
    {
        "MISC_ROOT5_TOG",
        "MISC",
        4, // Width in bytes
        0x0000829c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root5_tog
    },
    {
        "POST5",
        "Post Register",
        4, // Width in bytes
        0x000082a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post5
    },
    {
        "POST_ROOT5_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000082a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root5_set
    },
    {
        "POST_ROOT5_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000082a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root5_clr
    },
    {
        "POST_ROOT5_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000082ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root5_tog
    },
    {
        "PRE5",
        "Pre Register",
        4, // Width in bytes
        0x000082b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre5
    },
    {
        "PRE_ROOT5_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000082b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root5_set
    },
    {
        "PRE_ROOT5_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000082b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root5_clr
    },
    {
        "PRE_ROOT5_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000082bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root5_tog
    },
    {
        "ACCESS_CTRL5",
        "Access Control Register",
        4, // Width in bytes
        0x000082f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl5
    },
    {
        "ACCESS_CTRL_ROOT5_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000082f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root5_set
    },
    {
        "ACCESS_CTRL_ROOT5_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000082f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root5_clr
    },
    {
        "ACCESS_CTRL_ROOT5_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000082fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root5_tog
    },
    {
        "TARGET_ROOT6",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root6
    },
    {
        "TARGET_ROOT6_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008304, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root6_set
    },
    {
        "TARGET_ROOT6_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008308, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root6_clr
    },
    {
        "TARGET_ROOT6_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000830c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root6_tog
    },
    {
        "MISC6",
        "MISC",
        4, // Width in bytes
        0x00008310, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc6
    },
    {
        "MISC_ROOT6_SET",
        "Misc",
        4, // Width in bytes
        0x00008314, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root6_set
    },
    {
        "MISC_ROOT6_CLR",
        "MISC",
        4, // Width in bytes
        0x00008318, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root6_clr
    },
    {
        "MISC_ROOT6_TOG",
        "MISC",
        4, // Width in bytes
        0x0000831c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root6_tog
    },
    {
        "POST6",
        "Post Register",
        4, // Width in bytes
        0x00008320, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post6
    },
    {
        "POST_ROOT6_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008324, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root6_set
    },
    {
        "POST_ROOT6_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008328, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root6_clr
    },
    {
        "POST_ROOT6_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000832c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root6_tog
    },
    {
        "PRE6",
        "Pre Register",
        4, // Width in bytes
        0x00008330, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre6
    },
    {
        "PRE_ROOT6_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008334, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root6_set
    },
    {
        "PRE_ROOT6_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008338, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root6_clr
    },
    {
        "PRE_ROOT6_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000833c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root6_tog
    },
    {
        "ACCESS_CTRL6",
        "Access Control Register",
        4, // Width in bytes
        0x00008370, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl6
    },
    {
        "ACCESS_CTRL_ROOT6_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008374, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root6_set
    },
    {
        "ACCESS_CTRL_ROOT6_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008378, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root6_clr
    },
    {
        "ACCESS_CTRL_ROOT6_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000837c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root6_tog
    },
    {
        "TARGET_ROOT7",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008380, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root7
    },
    {
        "TARGET_ROOT7_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008384, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root7_set
    },
    {
        "TARGET_ROOT7_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008388, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root7_clr
    },
    {
        "TARGET_ROOT7_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000838c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root7_tog
    },
    {
        "MISC7",
        "MISC",
        4, // Width in bytes
        0x00008390, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc7
    },
    {
        "MISC_ROOT7_SET",
        "Misc",
        4, // Width in bytes
        0x00008394, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root7_set
    },
    {
        "MISC_ROOT7_CLR",
        "MISC",
        4, // Width in bytes
        0x00008398, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root7_clr
    },
    {
        "MISC_ROOT7_TOG",
        "MISC",
        4, // Width in bytes
        0x0000839c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root7_tog
    },
    {
        "POST7",
        "Post Register",
        4, // Width in bytes
        0x000083a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post7
    },
    {
        "POST_ROOT7_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000083a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root7_set
    },
    {
        "POST_ROOT7_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000083a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root7_clr
    },
    {
        "POST_ROOT7_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000083ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root7_tog
    },
    {
        "PRE7",
        "Pre Register",
        4, // Width in bytes
        0x000083b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre7
    },
    {
        "PRE_ROOT7_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000083b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root7_set
    },
    {
        "PRE_ROOT7_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000083b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root7_clr
    },
    {
        "PRE_ROOT7_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000083bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root7_tog
    },
    {
        "ACCESS_CTRL7",
        "Access Control Register",
        4, // Width in bytes
        0x000083f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl7
    },
    {
        "ACCESS_CTRL_ROOT7_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000083f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root7_set
    },
    {
        "ACCESS_CTRL_ROOT7_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000083f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root7_clr
    },
    {
        "ACCESS_CTRL_ROOT7_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000083fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root7_tog
    },
    {
        "TARGET_ROOT8",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008400, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root8
    },
    {
        "TARGET_ROOT8_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008404, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root8_set
    },
    {
        "TARGET_ROOT8_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root8_clr
    },
    {
        "TARGET_ROOT8_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000840c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root8_tog
    },
    {
        "MISC8",
        "MISC",
        4, // Width in bytes
        0x00008410, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc8
    },
    {
        "MISC_ROOT8_SET",
        "Misc",
        4, // Width in bytes
        0x00008414, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root8_set
    },
    {
        "MISC_ROOT8_CLR",
        "MISC",
        4, // Width in bytes
        0x00008418, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root8_clr
    },
    {
        "MISC_ROOT8_TOG",
        "MISC",
        4, // Width in bytes
        0x0000841c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root8_tog
    },
    {
        "POST8",
        "Post Register",
        4, // Width in bytes
        0x00008420, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post8
    },
    {
        "POST_ROOT8_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008424, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root8_set
    },
    {
        "POST_ROOT8_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008428, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root8_clr
    },
    {
        "POST_ROOT8_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000842c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root8_tog
    },
    {
        "PRE8",
        "Pre Register",
        4, // Width in bytes
        0x00008430, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre8
    },
    {
        "PRE_ROOT8_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008434, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root8_set
    },
    {
        "PRE_ROOT8_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008438, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root8_clr
    },
    {
        "PRE_ROOT8_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000843c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root8_tog
    },
    {
        "ACCESS_CTRL8",
        "Access Control Register",
        4, // Width in bytes
        0x00008470, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl8
    },
    {
        "ACCESS_CTRL_ROOT8_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008474, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root8_set
    },
    {
        "ACCESS_CTRL_ROOT8_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008478, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root8_clr
    },
    {
        "ACCESS_CTRL_ROOT8_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000847c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root8_tog
    },
    {
        "TARGET_ROOT9",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008480, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root9
    },
    {
        "TARGET_ROOT9_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008484, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root9_set
    },
    {
        "TARGET_ROOT9_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008488, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root9_clr
    },
    {
        "TARGET_ROOT9_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000848c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root9_tog
    },
    {
        "MISC9",
        "MISC",
        4, // Width in bytes
        0x00008490, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc9
    },
    {
        "MISC_ROOT9_SET",
        "Misc",
        4, // Width in bytes
        0x00008494, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root9_set
    },
    {
        "MISC_ROOT9_CLR",
        "MISC",
        4, // Width in bytes
        0x00008498, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root9_clr
    },
    {
        "MISC_ROOT9_TOG",
        "MISC",
        4, // Width in bytes
        0x0000849c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root9_tog
    },
    {
        "POST9",
        "Post Register",
        4, // Width in bytes
        0x000084a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post9
    },
    {
        "POST_ROOT9_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000084a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root9_set
    },
    {
        "POST_ROOT9_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000084a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root9_clr
    },
    {
        "POST_ROOT9_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000084ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root9_tog
    },
    {
        "PRE9",
        "Pre Register",
        4, // Width in bytes
        0x000084b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre9
    },
    {
        "PRE_ROOT9_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000084b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root9_set
    },
    {
        "PRE_ROOT9_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000084b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root9_clr
    },
    {
        "PRE_ROOT9_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000084bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root9_tog
    },
    {
        "ACCESS_CTRL9",
        "Access Control Register",
        4, // Width in bytes
        0x000084f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl9
    },
    {
        "ACCESS_CTRL_ROOT9_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000084f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root9_set
    },
    {
        "ACCESS_CTRL_ROOT9_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000084f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root9_clr
    },
    {
        "ACCESS_CTRL_ROOT9_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000084fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root9_tog
    },
    {
        "TARGET_ROOT10",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008500, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root10
    },
    {
        "TARGET_ROOT10_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008504, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root10_set
    },
    {
        "TARGET_ROOT10_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008508, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root10_clr
    },
    {
        "TARGET_ROOT10_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000850c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root10_tog
    },
    {
        "MISC10",
        "MISC",
        4, // Width in bytes
        0x00008510, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc10
    },
    {
        "MISC_ROOT10_SET",
        "Misc",
        4, // Width in bytes
        0x00008514, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root10_set
    },
    {
        "MISC_ROOT10_CLR",
        "MISC",
        4, // Width in bytes
        0x00008518, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root10_clr
    },
    {
        "MISC_ROOT10_TOG",
        "MISC",
        4, // Width in bytes
        0x0000851c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root10_tog
    },
    {
        "POST10",
        "Post Register",
        4, // Width in bytes
        0x00008520, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post10
    },
    {
        "POST_ROOT10_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008524, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root10_set
    },
    {
        "POST_ROOT10_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008528, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root10_clr
    },
    {
        "POST_ROOT10_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000852c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root10_tog
    },
    {
        "PRE10",
        "Pre Register",
        4, // Width in bytes
        0x00008530, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre10
    },
    {
        "PRE_ROOT10_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008534, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root10_set
    },
    {
        "PRE_ROOT10_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008538, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root10_clr
    },
    {
        "PRE_ROOT10_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000853c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root10_tog
    },
    {
        "ACCESS_CTRL10",
        "Access Control Register",
        4, // Width in bytes
        0x00008570, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl10
    },
    {
        "ACCESS_CTRL_ROOT10_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008574, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root10_set
    },
    {
        "ACCESS_CTRL_ROOT10_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008578, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root10_clr
    },
    {
        "ACCESS_CTRL_ROOT10_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000857c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root10_tog
    },
    {
        "TARGET_ROOT11",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008580, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root11
    },
    {
        "TARGET_ROOT11_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008584, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root11_set
    },
    {
        "TARGET_ROOT11_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008588, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root11_clr
    },
    {
        "TARGET_ROOT11_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000858c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root11_tog
    },
    {
        "MISC11",
        "MISC",
        4, // Width in bytes
        0x00008590, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc11
    },
    {
        "MISC_ROOT11_SET",
        "Misc",
        4, // Width in bytes
        0x00008594, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root11_set
    },
    {
        "MISC_ROOT11_CLR",
        "MISC",
        4, // Width in bytes
        0x00008598, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root11_clr
    },
    {
        "MISC_ROOT11_TOG",
        "MISC",
        4, // Width in bytes
        0x0000859c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root11_tog
    },
    {
        "POST11",
        "Post Register",
        4, // Width in bytes
        0x000085a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post11
    },
    {
        "POST_ROOT11_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000085a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root11_set
    },
    {
        "POST_ROOT11_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000085a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root11_clr
    },
    {
        "POST_ROOT11_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000085ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root11_tog
    },
    {
        "PRE11",
        "Pre Register",
        4, // Width in bytes
        0x000085b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre11
    },
    {
        "PRE_ROOT11_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000085b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root11_set
    },
    {
        "PRE_ROOT11_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000085b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root11_clr
    },
    {
        "PRE_ROOT11_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000085bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root11_tog
    },
    {
        "ACCESS_CTRL11",
        "Access Control Register",
        4, // Width in bytes
        0x000085f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl11
    },
    {
        "ACCESS_CTRL_ROOT11_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000085f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root11_set
    },
    {
        "ACCESS_CTRL_ROOT11_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000085f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root11_clr
    },
    {
        "ACCESS_CTRL_ROOT11_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000085fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root11_tog
    },
    {
        "TARGET_ROOT12",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008600, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root12
    },
    {
        "TARGET_ROOT12_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root12_set
    },
    {
        "TARGET_ROOT12_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root12_clr
    },
    {
        "TARGET_ROOT12_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000860c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root12_tog
    },
    {
        "MISC12",
        "MISC",
        4, // Width in bytes
        0x00008610, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc12
    },
    {
        "MISC_ROOT12_SET",
        "Misc",
        4, // Width in bytes
        0x00008614, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root12_set
    },
    {
        "MISC_ROOT12_CLR",
        "MISC",
        4, // Width in bytes
        0x00008618, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root12_clr
    },
    {
        "MISC_ROOT12_TOG",
        "MISC",
        4, // Width in bytes
        0x0000861c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root12_tog
    },
    {
        "POST12",
        "Post Register",
        4, // Width in bytes
        0x00008620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post12
    },
    {
        "POST_ROOT12_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008624, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root12_set
    },
    {
        "POST_ROOT12_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008628, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root12_clr
    },
    {
        "POST_ROOT12_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000862c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root12_tog
    },
    {
        "PRE12",
        "Pre Register",
        4, // Width in bytes
        0x00008630, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre12
    },
    {
        "PRE_ROOT12_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008634, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root12_set
    },
    {
        "PRE_ROOT12_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008638, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root12_clr
    },
    {
        "PRE_ROOT12_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000863c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root12_tog
    },
    {
        "ACCESS_CTRL12",
        "Access Control Register",
        4, // Width in bytes
        0x00008670, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl12
    },
    {
        "ACCESS_CTRL_ROOT12_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008674, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root12_set
    },
    {
        "ACCESS_CTRL_ROOT12_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008678, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root12_clr
    },
    {
        "ACCESS_CTRL_ROOT12_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000867c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root12_tog
    },
    {
        "TARGET_ROOT13",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root13
    },
    {
        "TARGET_ROOT13_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008684, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root13_set
    },
    {
        "TARGET_ROOT13_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008688, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root13_clr
    },
    {
        "TARGET_ROOT13_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000868c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root13_tog
    },
    {
        "MISC13",
        "MISC",
        4, // Width in bytes
        0x00008690, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc13
    },
    {
        "MISC_ROOT13_SET",
        "Misc",
        4, // Width in bytes
        0x00008694, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root13_set
    },
    {
        "MISC_ROOT13_CLR",
        "MISC",
        4, // Width in bytes
        0x00008698, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root13_clr
    },
    {
        "MISC_ROOT13_TOG",
        "MISC",
        4, // Width in bytes
        0x0000869c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root13_tog
    },
    {
        "POST13",
        "Post Register",
        4, // Width in bytes
        0x000086a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post13
    },
    {
        "POST_ROOT13_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000086a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root13_set
    },
    {
        "POST_ROOT13_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000086a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root13_clr
    },
    {
        "POST_ROOT13_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000086ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root13_tog
    },
    {
        "PRE13",
        "Pre Register",
        4, // Width in bytes
        0x000086b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre13
    },
    {
        "PRE_ROOT13_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000086b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root13_set
    },
    {
        "PRE_ROOT13_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000086b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root13_clr
    },
    {
        "PRE_ROOT13_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000086bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root13_tog
    },
    {
        "ACCESS_CTRL13",
        "Access Control Register",
        4, // Width in bytes
        0x000086f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl13
    },
    {
        "ACCESS_CTRL_ROOT13_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000086f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root13_set
    },
    {
        "ACCESS_CTRL_ROOT13_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000086f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root13_clr
    },
    {
        "ACCESS_CTRL_ROOT13_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000086fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root13_tog
    },
    {
        "TARGET_ROOT14",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008700, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root14
    },
    {
        "TARGET_ROOT14_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008704, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root14_set
    },
    {
        "TARGET_ROOT14_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008708, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root14_clr
    },
    {
        "TARGET_ROOT14_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000870c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root14_tog
    },
    {
        "MISC14",
        "MISC",
        4, // Width in bytes
        0x00008710, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc14
    },
    {
        "MISC_ROOT14_SET",
        "Misc",
        4, // Width in bytes
        0x00008714, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root14_set
    },
    {
        "MISC_ROOT14_CLR",
        "MISC",
        4, // Width in bytes
        0x00008718, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root14_clr
    },
    {
        "MISC_ROOT14_TOG",
        "MISC",
        4, // Width in bytes
        0x0000871c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root14_tog
    },
    {
        "POST14",
        "Post Register",
        4, // Width in bytes
        0x00008720, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post14
    },
    {
        "POST_ROOT14_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008724, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root14_set
    },
    {
        "POST_ROOT14_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008728, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root14_clr
    },
    {
        "POST_ROOT14_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000872c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root14_tog
    },
    {
        "PRE14",
        "Pre Register",
        4, // Width in bytes
        0x00008730, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre14
    },
    {
        "PRE_ROOT14_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008734, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root14_set
    },
    {
        "PRE_ROOT14_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008738, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root14_clr
    },
    {
        "PRE_ROOT14_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000873c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root14_tog
    },
    {
        "ACCESS_CTRL14",
        "Access Control Register",
        4, // Width in bytes
        0x00008770, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl14
    },
    {
        "ACCESS_CTRL_ROOT14_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008774, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root14_set
    },
    {
        "ACCESS_CTRL_ROOT14_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008778, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root14_clr
    },
    {
        "ACCESS_CTRL_ROOT14_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000877c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root14_tog
    },
    {
        "TARGET_ROOT15",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008780, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root15
    },
    {
        "TARGET_ROOT15_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008784, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root15_set
    },
    {
        "TARGET_ROOT15_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008788, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root15_clr
    },
    {
        "TARGET_ROOT15_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000878c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root15_tog
    },
    {
        "MISC15",
        "MISC",
        4, // Width in bytes
        0x00008790, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc15
    },
    {
        "MISC_ROOT15_SET",
        "Misc",
        4, // Width in bytes
        0x00008794, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root15_set
    },
    {
        "MISC_ROOT15_CLR",
        "MISC",
        4, // Width in bytes
        0x00008798, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root15_clr
    },
    {
        "MISC_ROOT15_TOG",
        "MISC",
        4, // Width in bytes
        0x0000879c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root15_tog
    },
    {
        "POST15",
        "Post Register",
        4, // Width in bytes
        0x000087a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post15
    },
    {
        "POST_ROOT15_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000087a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root15_set
    },
    {
        "POST_ROOT15_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000087a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root15_clr
    },
    {
        "POST_ROOT15_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000087ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root15_tog
    },
    {
        "PRE15",
        "Pre Register",
        4, // Width in bytes
        0x000087b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre15
    },
    {
        "PRE_ROOT15_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000087b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root15_set
    },
    {
        "PRE_ROOT15_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000087b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root15_clr
    },
    {
        "PRE_ROOT15_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000087bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root15_tog
    },
    {
        "ACCESS_CTRL15",
        "Access Control Register",
        4, // Width in bytes
        0x000087f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl15
    },
    {
        "ACCESS_CTRL_ROOT15_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000087f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root15_set
    },
    {
        "ACCESS_CTRL_ROOT15_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000087f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root15_clr
    },
    {
        "ACCESS_CTRL_ROOT15_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000087fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root15_tog
    },
    {
        "TARGET_ROOT16",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root16
    },
    {
        "TARGET_ROOT16_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root16_set
    },
    {
        "TARGET_ROOT16_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root16_clr
    },
    {
        "TARGET_ROOT16_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000880c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root16_tog
    },
    {
        "MISC16",
        "MISC",
        4, // Width in bytes
        0x00008810, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc16
    },
    {
        "MISC_ROOT16_SET",
        "Misc",
        4, // Width in bytes
        0x00008814, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root16_set
    },
    {
        "MISC_ROOT16_CLR",
        "MISC",
        4, // Width in bytes
        0x00008818, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root16_clr
    },
    {
        "MISC_ROOT16_TOG",
        "MISC",
        4, // Width in bytes
        0x0000881c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root16_tog
    },
    {
        "POST16",
        "Post Register",
        4, // Width in bytes
        0x00008820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post16
    },
    {
        "POST_ROOT16_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root16_set
    },
    {
        "POST_ROOT16_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root16_clr
    },
    {
        "POST_ROOT16_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000882c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root16_tog
    },
    {
        "PRE16",
        "Pre Register",
        4, // Width in bytes
        0x00008830, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre16
    },
    {
        "PRE_ROOT16_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008834, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root16_set
    },
    {
        "PRE_ROOT16_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008838, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root16_clr
    },
    {
        "PRE_ROOT16_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000883c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root16_tog
    },
    {
        "ACCESS_CTRL16",
        "Access Control Register",
        4, // Width in bytes
        0x00008870, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl16
    },
    {
        "ACCESS_CTRL_ROOT16_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008874, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root16_set
    },
    {
        "ACCESS_CTRL_ROOT16_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008878, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root16_clr
    },
    {
        "ACCESS_CTRL_ROOT16_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000887c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root16_tog
    },
    {
        "TARGET_ROOT17",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root17
    },
    {
        "TARGET_ROOT17_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root17_set
    },
    {
        "TARGET_ROOT17_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root17_clr
    },
    {
        "TARGET_ROOT17_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000888c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root17_tog
    },
    {
        "MISC17",
        "MISC",
        4, // Width in bytes
        0x00008890, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc17
    },
    {
        "MISC_ROOT17_SET",
        "Misc",
        4, // Width in bytes
        0x00008894, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root17_set
    },
    {
        "MISC_ROOT17_CLR",
        "MISC",
        4, // Width in bytes
        0x00008898, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root17_clr
    },
    {
        "MISC_ROOT17_TOG",
        "MISC",
        4, // Width in bytes
        0x0000889c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root17_tog
    },
    {
        "POST17",
        "Post Register",
        4, // Width in bytes
        0x000088a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post17
    },
    {
        "POST_ROOT17_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000088a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root17_set
    },
    {
        "POST_ROOT17_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000088a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root17_clr
    },
    {
        "POST_ROOT17_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000088ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root17_tog
    },
    {
        "PRE17",
        "Pre Register",
        4, // Width in bytes
        0x000088b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre17
    },
    {
        "PRE_ROOT17_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000088b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root17_set
    },
    {
        "PRE_ROOT17_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000088b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root17_clr
    },
    {
        "PRE_ROOT17_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000088bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root17_tog
    },
    {
        "ACCESS_CTRL17",
        "Access Control Register",
        4, // Width in bytes
        0x000088f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl17
    },
    {
        "ACCESS_CTRL_ROOT17_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000088f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root17_set
    },
    {
        "ACCESS_CTRL_ROOT17_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000088f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root17_clr
    },
    {
        "ACCESS_CTRL_ROOT17_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000088fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root17_tog
    },
    {
        "TARGET_ROOT18",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root18
    },
    {
        "TARGET_ROOT18_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root18_set
    },
    {
        "TARGET_ROOT18_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root18_clr
    },
    {
        "TARGET_ROOT18_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000890c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root18_tog
    },
    {
        "MISC18",
        "MISC",
        4, // Width in bytes
        0x00008910, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc18
    },
    {
        "MISC_ROOT18_SET",
        "Misc",
        4, // Width in bytes
        0x00008914, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root18_set
    },
    {
        "MISC_ROOT18_CLR",
        "MISC",
        4, // Width in bytes
        0x00008918, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root18_clr
    },
    {
        "MISC_ROOT18_TOG",
        "MISC",
        4, // Width in bytes
        0x0000891c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root18_tog
    },
    {
        "POST18",
        "Post Register",
        4, // Width in bytes
        0x00008920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post18
    },
    {
        "POST_ROOT18_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root18_set
    },
    {
        "POST_ROOT18_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root18_clr
    },
    {
        "POST_ROOT18_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000892c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root18_tog
    },
    {
        "PRE18",
        "Pre Register",
        4, // Width in bytes
        0x00008930, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre18
    },
    {
        "PRE_ROOT18_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008934, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root18_set
    },
    {
        "PRE_ROOT18_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008938, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root18_clr
    },
    {
        "PRE_ROOT18_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000893c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root18_tog
    },
    {
        "ACCESS_CTRL18",
        "Access Control Register",
        4, // Width in bytes
        0x00008970, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl18
    },
    {
        "ACCESS_CTRL_ROOT18_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008974, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root18_set
    },
    {
        "ACCESS_CTRL_ROOT18_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008978, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root18_clr
    },
    {
        "ACCESS_CTRL_ROOT18_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000897c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root18_tog
    },
    {
        "TARGET_ROOT19",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root19
    },
    {
        "TARGET_ROOT19_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root19_set
    },
    {
        "TARGET_ROOT19_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root19_clr
    },
    {
        "TARGET_ROOT19_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000898c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root19_tog
    },
    {
        "MISC19",
        "MISC",
        4, // Width in bytes
        0x00008990, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc19
    },
    {
        "MISC_ROOT19_SET",
        "Misc",
        4, // Width in bytes
        0x00008994, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root19_set
    },
    {
        "MISC_ROOT19_CLR",
        "MISC",
        4, // Width in bytes
        0x00008998, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root19_clr
    },
    {
        "MISC_ROOT19_TOG",
        "MISC",
        4, // Width in bytes
        0x0000899c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root19_tog
    },
    {
        "POST19",
        "Post Register",
        4, // Width in bytes
        0x000089a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post19
    },
    {
        "POST_ROOT19_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000089a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root19_set
    },
    {
        "POST_ROOT19_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000089a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root19_clr
    },
    {
        "POST_ROOT19_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000089ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root19_tog
    },
    {
        "PRE19",
        "Pre Register",
        4, // Width in bytes
        0x000089b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre19
    },
    {
        "PRE_ROOT19_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000089b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root19_set
    },
    {
        "PRE_ROOT19_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000089b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root19_clr
    },
    {
        "PRE_ROOT19_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000089bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root19_tog
    },
    {
        "ACCESS_CTRL19",
        "Access Control Register",
        4, // Width in bytes
        0x000089f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl19
    },
    {
        "ACCESS_CTRL_ROOT19_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000089f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root19_set
    },
    {
        "ACCESS_CTRL_ROOT19_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000089f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root19_clr
    },
    {
        "ACCESS_CTRL_ROOT19_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000089fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root19_tog
    },
    {
        "TARGET_ROOT20",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root20
    },
    {
        "TARGET_ROOT20_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root20_set
    },
    {
        "TARGET_ROOT20_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root20_clr
    },
    {
        "TARGET_ROOT20_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root20_tog
    },
    {
        "MISC20",
        "MISC",
        4, // Width in bytes
        0x00008a10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc20
    },
    {
        "MISC_ROOT20_SET",
        "Misc",
        4, // Width in bytes
        0x00008a14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root20_set
    },
    {
        "MISC_ROOT20_CLR",
        "MISC",
        4, // Width in bytes
        0x00008a18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root20_clr
    },
    {
        "MISC_ROOT20_TOG",
        "MISC",
        4, // Width in bytes
        0x00008a1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root20_tog
    },
    {
        "POST20",
        "Post Register",
        4, // Width in bytes
        0x00008a20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post20
    },
    {
        "POST_ROOT20_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008a24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root20_set
    },
    {
        "POST_ROOT20_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008a28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root20_clr
    },
    {
        "POST_ROOT20_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008a2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root20_tog
    },
    {
        "PRE20",
        "Pre Register",
        4, // Width in bytes
        0x00008a30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre20
    },
    {
        "PRE_ROOT20_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008a34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root20_set
    },
    {
        "PRE_ROOT20_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008a38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root20_clr
    },
    {
        "PRE_ROOT20_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008a3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root20_tog
    },
    {
        "ACCESS_CTRL20",
        "Access Control Register",
        4, // Width in bytes
        0x00008a70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl20
    },
    {
        "ACCESS_CTRL_ROOT20_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008a74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root20_set
    },
    {
        "ACCESS_CTRL_ROOT20_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008a78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root20_clr
    },
    {
        "ACCESS_CTRL_ROOT20_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008a7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root20_tog
    },
    {
        "TARGET_ROOT21",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root21
    },
    {
        "TARGET_ROOT21_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root21_set
    },
    {
        "TARGET_ROOT21_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root21_clr
    },
    {
        "TARGET_ROOT21_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root21_tog
    },
    {
        "MISC21",
        "MISC",
        4, // Width in bytes
        0x00008a90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc21
    },
    {
        "MISC_ROOT21_SET",
        "Misc",
        4, // Width in bytes
        0x00008a94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root21_set
    },
    {
        "MISC_ROOT21_CLR",
        "MISC",
        4, // Width in bytes
        0x00008a98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root21_clr
    },
    {
        "MISC_ROOT21_TOG",
        "MISC",
        4, // Width in bytes
        0x00008a9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root21_tog
    },
    {
        "POST21",
        "Post Register",
        4, // Width in bytes
        0x00008aa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post21
    },
    {
        "POST_ROOT21_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008aa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root21_set
    },
    {
        "POST_ROOT21_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008aa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root21_clr
    },
    {
        "POST_ROOT21_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008aac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root21_tog
    },
    {
        "PRE21",
        "Pre Register",
        4, // Width in bytes
        0x00008ab0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre21
    },
    {
        "PRE_ROOT21_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008ab4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root21_set
    },
    {
        "PRE_ROOT21_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008ab8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root21_clr
    },
    {
        "PRE_ROOT21_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008abc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root21_tog
    },
    {
        "ACCESS_CTRL21",
        "Access Control Register",
        4, // Width in bytes
        0x00008af0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl21
    },
    {
        "ACCESS_CTRL_ROOT21_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008af4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root21_set
    },
    {
        "ACCESS_CTRL_ROOT21_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008af8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root21_clr
    },
    {
        "ACCESS_CTRL_ROOT21_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008afc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root21_tog
    },
    {
        "TARGET_ROOT22",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root22
    },
    {
        "TARGET_ROOT22_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root22_set
    },
    {
        "TARGET_ROOT22_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root22_clr
    },
    {
        "TARGET_ROOT22_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root22_tog
    },
    {
        "MISC22",
        "MISC",
        4, // Width in bytes
        0x00008b10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc22
    },
    {
        "MISC_ROOT22_SET",
        "Misc",
        4, // Width in bytes
        0x00008b14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root22_set
    },
    {
        "MISC_ROOT22_CLR",
        "MISC",
        4, // Width in bytes
        0x00008b18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root22_clr
    },
    {
        "MISC_ROOT22_TOG",
        "MISC",
        4, // Width in bytes
        0x00008b1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root22_tog
    },
    {
        "POST22",
        "Post Register",
        4, // Width in bytes
        0x00008b20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post22
    },
    {
        "POST_ROOT22_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008b24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root22_set
    },
    {
        "POST_ROOT22_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008b28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root22_clr
    },
    {
        "POST_ROOT22_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008b2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root22_tog
    },
    {
        "PRE22",
        "Pre Register",
        4, // Width in bytes
        0x00008b30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre22
    },
    {
        "PRE_ROOT22_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008b34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root22_set
    },
    {
        "PRE_ROOT22_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008b38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root22_clr
    },
    {
        "PRE_ROOT22_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008b3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root22_tog
    },
    {
        "ACCESS_CTRL22",
        "Access Control Register",
        4, // Width in bytes
        0x00008b70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl22
    },
    {
        "ACCESS_CTRL_ROOT22_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008b74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root22_set
    },
    {
        "ACCESS_CTRL_ROOT22_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008b78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root22_clr
    },
    {
        "ACCESS_CTRL_ROOT22_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008b7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root22_tog
    },
    {
        "TARGET_ROOT23",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root23
    },
    {
        "TARGET_ROOT23_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root23_set
    },
    {
        "TARGET_ROOT23_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root23_clr
    },
    {
        "TARGET_ROOT23_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root23_tog
    },
    {
        "MISC23",
        "MISC",
        4, // Width in bytes
        0x00008b90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc23
    },
    {
        "MISC_ROOT23_SET",
        "Misc",
        4, // Width in bytes
        0x00008b94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root23_set
    },
    {
        "MISC_ROOT23_CLR",
        "MISC",
        4, // Width in bytes
        0x00008b98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root23_clr
    },
    {
        "MISC_ROOT23_TOG",
        "MISC",
        4, // Width in bytes
        0x00008b9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root23_tog
    },
    {
        "POST23",
        "Post Register",
        4, // Width in bytes
        0x00008ba0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post23
    },
    {
        "POST_ROOT23_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008ba4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root23_set
    },
    {
        "POST_ROOT23_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008ba8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root23_clr
    },
    {
        "POST_ROOT23_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008bac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root23_tog
    },
    {
        "PRE23",
        "Pre Register",
        4, // Width in bytes
        0x00008bb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre23
    },
    {
        "PRE_ROOT23_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008bb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root23_set
    },
    {
        "PRE_ROOT23_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008bb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root23_clr
    },
    {
        "PRE_ROOT23_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008bbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root23_tog
    },
    {
        "ACCESS_CTRL23",
        "Access Control Register",
        4, // Width in bytes
        0x00008bf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl23
    },
    {
        "ACCESS_CTRL_ROOT23_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008bf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root23_set
    },
    {
        "ACCESS_CTRL_ROOT23_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008bf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root23_clr
    },
    {
        "ACCESS_CTRL_ROOT23_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008bfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root23_tog
    },
    {
        "TARGET_ROOT24",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root24
    },
    {
        "TARGET_ROOT24_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root24_set
    },
    {
        "TARGET_ROOT24_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root24_clr
    },
    {
        "TARGET_ROOT24_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root24_tog
    },
    {
        "MISC24",
        "MISC",
        4, // Width in bytes
        0x00008c10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc24
    },
    {
        "MISC_ROOT24_SET",
        "Misc",
        4, // Width in bytes
        0x00008c14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root24_set
    },
    {
        "MISC_ROOT24_CLR",
        "MISC",
        4, // Width in bytes
        0x00008c18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root24_clr
    },
    {
        "MISC_ROOT24_TOG",
        "MISC",
        4, // Width in bytes
        0x00008c1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root24_tog
    },
    {
        "POST24",
        "Post Register",
        4, // Width in bytes
        0x00008c20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post24
    },
    {
        "POST_ROOT24_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008c24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root24_set
    },
    {
        "POST_ROOT24_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008c28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root24_clr
    },
    {
        "POST_ROOT24_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008c2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root24_tog
    },
    {
        "PRE24",
        "Pre Register",
        4, // Width in bytes
        0x00008c30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre24
    },
    {
        "PRE_ROOT24_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008c34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root24_set
    },
    {
        "PRE_ROOT24_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008c38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root24_clr
    },
    {
        "PRE_ROOT24_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008c3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root24_tog
    },
    {
        "ACCESS_CTRL24",
        "Access Control Register",
        4, // Width in bytes
        0x00008c70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl24
    },
    {
        "ACCESS_CTRL_ROOT24_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008c74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root24_set
    },
    {
        "ACCESS_CTRL_ROOT24_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008c78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root24_clr
    },
    {
        "ACCESS_CTRL_ROOT24_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008c7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root24_tog
    },
    {
        "TARGET_ROOT25",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root25
    },
    {
        "TARGET_ROOT25_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root25_set
    },
    {
        "TARGET_ROOT25_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root25_clr
    },
    {
        "TARGET_ROOT25_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root25_tog
    },
    {
        "MISC25",
        "MISC",
        4, // Width in bytes
        0x00008c90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc25
    },
    {
        "MISC_ROOT25_SET",
        "Misc",
        4, // Width in bytes
        0x00008c94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root25_set
    },
    {
        "MISC_ROOT25_CLR",
        "MISC",
        4, // Width in bytes
        0x00008c98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root25_clr
    },
    {
        "MISC_ROOT25_TOG",
        "MISC",
        4, // Width in bytes
        0x00008c9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root25_tog
    },
    {
        "POST25",
        "Post Register",
        4, // Width in bytes
        0x00008ca0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post25
    },
    {
        "POST_ROOT25_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008ca4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root25_set
    },
    {
        "POST_ROOT25_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008ca8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root25_clr
    },
    {
        "POST_ROOT25_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008cac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root25_tog
    },
    {
        "PRE25",
        "Pre Register",
        4, // Width in bytes
        0x00008cb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre25
    },
    {
        "PRE_ROOT25_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008cb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root25_set
    },
    {
        "PRE_ROOT25_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008cb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root25_clr
    },
    {
        "PRE_ROOT25_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008cbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root25_tog
    },
    {
        "ACCESS_CTRL25",
        "Access Control Register",
        4, // Width in bytes
        0x00008cf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl25
    },
    {
        "ACCESS_CTRL_ROOT25_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008cf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root25_set
    },
    {
        "ACCESS_CTRL_ROOT25_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008cf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root25_clr
    },
    {
        "ACCESS_CTRL_ROOT25_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008cfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root25_tog
    },
    {
        "TARGET_ROOT26",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root26
    },
    {
        "TARGET_ROOT26_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root26_set
    },
    {
        "TARGET_ROOT26_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root26_clr
    },
    {
        "TARGET_ROOT26_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root26_tog
    },
    {
        "MISC26",
        "MISC",
        4, // Width in bytes
        0x00008d10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc26
    },
    {
        "MISC_ROOT26_SET",
        "Misc",
        4, // Width in bytes
        0x00008d14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root26_set
    },
    {
        "MISC_ROOT26_CLR",
        "MISC",
        4, // Width in bytes
        0x00008d18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root26_clr
    },
    {
        "MISC_ROOT26_TOG",
        "MISC",
        4, // Width in bytes
        0x00008d1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root26_tog
    },
    {
        "POST26",
        "Post Register",
        4, // Width in bytes
        0x00008d20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post26
    },
    {
        "POST_ROOT26_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008d24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root26_set
    },
    {
        "POST_ROOT26_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008d28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root26_clr
    },
    {
        "POST_ROOT26_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008d2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root26_tog
    },
    {
        "PRE26",
        "Pre Register",
        4, // Width in bytes
        0x00008d30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre26
    },
    {
        "PRE_ROOT26_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008d34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root26_set
    },
    {
        "PRE_ROOT26_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008d38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root26_clr
    },
    {
        "PRE_ROOT26_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008d3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root26_tog
    },
    {
        "ACCESS_CTRL26",
        "Access Control Register",
        4, // Width in bytes
        0x00008d70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl26
    },
    {
        "ACCESS_CTRL_ROOT26_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008d74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root26_set
    },
    {
        "ACCESS_CTRL_ROOT26_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008d78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root26_clr
    },
    {
        "ACCESS_CTRL_ROOT26_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008d7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root26_tog
    },
    {
        "TARGET_ROOT27",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root27
    },
    {
        "TARGET_ROOT27_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root27_set
    },
    {
        "TARGET_ROOT27_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root27_clr
    },
    {
        "TARGET_ROOT27_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root27_tog
    },
    {
        "MISC27",
        "MISC",
        4, // Width in bytes
        0x00008d90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc27
    },
    {
        "MISC_ROOT27_SET",
        "Misc",
        4, // Width in bytes
        0x00008d94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root27_set
    },
    {
        "MISC_ROOT27_CLR",
        "MISC",
        4, // Width in bytes
        0x00008d98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root27_clr
    },
    {
        "MISC_ROOT27_TOG",
        "MISC",
        4, // Width in bytes
        0x00008d9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root27_tog
    },
    {
        "POST27",
        "Post Register",
        4, // Width in bytes
        0x00008da0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post27
    },
    {
        "POST_ROOT27_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008da4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root27_set
    },
    {
        "POST_ROOT27_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008da8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root27_clr
    },
    {
        "POST_ROOT27_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008dac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root27_tog
    },
    {
        "PRE27",
        "Pre Register",
        4, // Width in bytes
        0x00008db0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre27
    },
    {
        "PRE_ROOT27_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008db4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root27_set
    },
    {
        "PRE_ROOT27_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008db8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root27_clr
    },
    {
        "PRE_ROOT27_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008dbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root27_tog
    },
    {
        "ACCESS_CTRL27",
        "Access Control Register",
        4, // Width in bytes
        0x00008df0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl27
    },
    {
        "ACCESS_CTRL_ROOT27_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008df4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root27_set
    },
    {
        "ACCESS_CTRL_ROOT27_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008df8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root27_clr
    },
    {
        "ACCESS_CTRL_ROOT27_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008dfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root27_tog
    },
    {
        "TARGET_ROOT28",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008e00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root28
    },
    {
        "TARGET_ROOT28_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008e04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root28_set
    },
    {
        "TARGET_ROOT28_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008e08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root28_clr
    },
    {
        "TARGET_ROOT28_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008e0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root28_tog
    },
    {
        "MISC28",
        "MISC",
        4, // Width in bytes
        0x00008e10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc28
    },
    {
        "MISC_ROOT28_SET",
        "Misc",
        4, // Width in bytes
        0x00008e14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root28_set
    },
    {
        "MISC_ROOT28_CLR",
        "MISC",
        4, // Width in bytes
        0x00008e18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root28_clr
    },
    {
        "MISC_ROOT28_TOG",
        "MISC",
        4, // Width in bytes
        0x00008e1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root28_tog
    },
    {
        "POST28",
        "Post Register",
        4, // Width in bytes
        0x00008e20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post28
    },
    {
        "POST_ROOT28_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008e24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root28_set
    },
    {
        "POST_ROOT28_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008e28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root28_clr
    },
    {
        "POST_ROOT28_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008e2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root28_tog
    },
    {
        "PRE28",
        "Pre Register",
        4, // Width in bytes
        0x00008e30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre28
    },
    {
        "PRE_ROOT28_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008e34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root28_set
    },
    {
        "PRE_ROOT28_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008e38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root28_clr
    },
    {
        "PRE_ROOT28_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008e3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root28_tog
    },
    {
        "ACCESS_CTRL28",
        "Access Control Register",
        4, // Width in bytes
        0x00008e70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl28
    },
    {
        "ACCESS_CTRL_ROOT28_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008e74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root28_set
    },
    {
        "ACCESS_CTRL_ROOT28_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008e78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root28_clr
    },
    {
        "ACCESS_CTRL_ROOT28_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008e7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root28_tog
    },
    {
        "TARGET_ROOT29",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008e80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root29
    },
    {
        "TARGET_ROOT29_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008e84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root29_set
    },
    {
        "TARGET_ROOT29_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008e88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root29_clr
    },
    {
        "TARGET_ROOT29_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008e8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root29_tog
    },
    {
        "MISC29",
        "MISC",
        4, // Width in bytes
        0x00008e90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc29
    },
    {
        "MISC_ROOT29_SET",
        "Misc",
        4, // Width in bytes
        0x00008e94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root29_set
    },
    {
        "MISC_ROOT29_CLR",
        "MISC",
        4, // Width in bytes
        0x00008e98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root29_clr
    },
    {
        "MISC_ROOT29_TOG",
        "MISC",
        4, // Width in bytes
        0x00008e9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root29_tog
    },
    {
        "POST29",
        "Post Register",
        4, // Width in bytes
        0x00008ea0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post29
    },
    {
        "POST_ROOT29_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008ea4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root29_set
    },
    {
        "POST_ROOT29_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008ea8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root29_clr
    },
    {
        "POST_ROOT29_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008eac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root29_tog
    },
    {
        "PRE29",
        "Pre Register",
        4, // Width in bytes
        0x00008eb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre29
    },
    {
        "PRE_ROOT29_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008eb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root29_set
    },
    {
        "PRE_ROOT29_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008eb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root29_clr
    },
    {
        "PRE_ROOT29_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008ebc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root29_tog
    },
    {
        "ACCESS_CTRL29",
        "Access Control Register",
        4, // Width in bytes
        0x00008ef0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl29
    },
    {
        "ACCESS_CTRL_ROOT29_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008ef4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root29_set
    },
    {
        "ACCESS_CTRL_ROOT29_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008ef8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root29_clr
    },
    {
        "ACCESS_CTRL_ROOT29_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008efc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root29_tog
    },
    {
        "TARGET_ROOT30",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008f00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root30
    },
    {
        "TARGET_ROOT30_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008f04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root30_set
    },
    {
        "TARGET_ROOT30_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008f08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root30_clr
    },
    {
        "TARGET_ROOT30_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008f0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root30_tog
    },
    {
        "MISC30",
        "MISC",
        4, // Width in bytes
        0x00008f10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc30
    },
    {
        "MISC_ROOT30_SET",
        "Misc",
        4, // Width in bytes
        0x00008f14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root30_set
    },
    {
        "MISC_ROOT30_CLR",
        "MISC",
        4, // Width in bytes
        0x00008f18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root30_clr
    },
    {
        "MISC_ROOT30_TOG",
        "MISC",
        4, // Width in bytes
        0x00008f1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root30_tog
    },
    {
        "POST30",
        "Post Register",
        4, // Width in bytes
        0x00008f20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post30
    },
    {
        "POST_ROOT30_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008f24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root30_set
    },
    {
        "POST_ROOT30_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008f28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root30_clr
    },
    {
        "POST_ROOT30_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008f2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root30_tog
    },
    {
        "PRE30",
        "Pre Register",
        4, // Width in bytes
        0x00008f30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre30
    },
    {
        "PRE_ROOT30_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008f34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root30_set
    },
    {
        "PRE_ROOT30_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008f38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root30_clr
    },
    {
        "PRE_ROOT30_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008f3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root30_tog
    },
    {
        "ACCESS_CTRL30",
        "Access Control Register",
        4, // Width in bytes
        0x00008f70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl30
    },
    {
        "ACCESS_CTRL_ROOT30_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008f74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root30_set
    },
    {
        "ACCESS_CTRL_ROOT30_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008f78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root30_clr
    },
    {
        "ACCESS_CTRL_ROOT30_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008f7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root30_tog
    },
    {
        "TARGET_ROOT31",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008f80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root31
    },
    {
        "TARGET_ROOT31_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008f84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root31_set
    },
    {
        "TARGET_ROOT31_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008f88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root31_clr
    },
    {
        "TARGET_ROOT31_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008f8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root31_tog
    },
    {
        "MISC31",
        "MISC",
        4, // Width in bytes
        0x00008f90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc31
    },
    {
        "MISC_ROOT31_SET",
        "Misc",
        4, // Width in bytes
        0x00008f94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root31_set
    },
    {
        "MISC_ROOT31_CLR",
        "MISC",
        4, // Width in bytes
        0x00008f98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root31_clr
    },
    {
        "MISC_ROOT31_TOG",
        "MISC",
        4, // Width in bytes
        0x00008f9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root31_tog
    },
    {
        "POST31",
        "Post Register",
        4, // Width in bytes
        0x00008fa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post31
    },
    {
        "POST_ROOT31_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008fa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root31_set
    },
    {
        "POST_ROOT31_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008fa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root31_clr
    },
    {
        "POST_ROOT31_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008fac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root31_tog
    },
    {
        "PRE31",
        "Pre Register",
        4, // Width in bytes
        0x00008fb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre31
    },
    {
        "PRE_ROOT31_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008fb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root31_set
    },
    {
        "PRE_ROOT31_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008fb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root31_clr
    },
    {
        "PRE_ROOT31_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008fbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root31_tog
    },
    {
        "ACCESS_CTRL31",
        "Access Control Register",
        4, // Width in bytes
        0x00008ff0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl31
    },
    {
        "ACCESS_CTRL_ROOT31_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008ff4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root31_set
    },
    {
        "ACCESS_CTRL_ROOT31_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008ff8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root31_clr
    },
    {
        "ACCESS_CTRL_ROOT31_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008ffc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root31_tog
    },
    {
        "TARGET_ROOT32",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root32
    },
    {
        "TARGET_ROOT32_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root32_set
    },
    {
        "TARGET_ROOT32_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root32_clr
    },
    {
        "TARGET_ROOT32_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000900c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root32_tog
    },
    {
        "MISC32",
        "MISC",
        4, // Width in bytes
        0x00009010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc32
    },
    {
        "MISC_ROOT32_SET",
        "Misc",
        4, // Width in bytes
        0x00009014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root32_set
    },
    {
        "MISC_ROOT32_CLR",
        "MISC",
        4, // Width in bytes
        0x00009018, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root32_clr
    },
    {
        "MISC_ROOT32_TOG",
        "MISC",
        4, // Width in bytes
        0x0000901c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root32_tog
    },
    {
        "POST32",
        "Post Register",
        4, // Width in bytes
        0x00009020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post32
    },
    {
        "POST_ROOT32_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root32_set
    },
    {
        "POST_ROOT32_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root32_clr
    },
    {
        "POST_ROOT32_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000902c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root32_tog
    },
    {
        "PRE32",
        "Pre Register",
        4, // Width in bytes
        0x00009030, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre32
    },
    {
        "PRE_ROOT32_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009034, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root32_set
    },
    {
        "PRE_ROOT32_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009038, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root32_clr
    },
    {
        "PRE_ROOT32_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000903c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root32_tog
    },
    {
        "ACCESS_CTRL32",
        "Access Control Register",
        4, // Width in bytes
        0x00009070, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl32
    },
    {
        "ACCESS_CTRL_ROOT32_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009074, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root32_set
    },
    {
        "ACCESS_CTRL_ROOT32_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009078, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root32_clr
    },
    {
        "ACCESS_CTRL_ROOT32_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000907c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root32_tog
    },
    {
        "TARGET_ROOT33",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root33
    },
    {
        "TARGET_ROOT33_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root33_set
    },
    {
        "TARGET_ROOT33_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root33_clr
    },
    {
        "TARGET_ROOT33_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000908c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root33_tog
    },
    {
        "MISC33",
        "MISC",
        4, // Width in bytes
        0x00009090, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc33
    },
    {
        "MISC_ROOT33_SET",
        "Misc",
        4, // Width in bytes
        0x00009094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root33_set
    },
    {
        "MISC_ROOT33_CLR",
        "MISC",
        4, // Width in bytes
        0x00009098, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root33_clr
    },
    {
        "MISC_ROOT33_TOG",
        "MISC",
        4, // Width in bytes
        0x0000909c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root33_tog
    },
    {
        "POST33",
        "Post Register",
        4, // Width in bytes
        0x000090a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post33
    },
    {
        "POST_ROOT33_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000090a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root33_set
    },
    {
        "POST_ROOT33_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000090a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root33_clr
    },
    {
        "POST_ROOT33_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000090ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root33_tog
    },
    {
        "PRE33",
        "Pre Register",
        4, // Width in bytes
        0x000090b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre33
    },
    {
        "PRE_ROOT33_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000090b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root33_set
    },
    {
        "PRE_ROOT33_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000090b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root33_clr
    },
    {
        "PRE_ROOT33_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000090bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root33_tog
    },
    {
        "ACCESS_CTRL33",
        "Access Control Register",
        4, // Width in bytes
        0x000090f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl33
    },
    {
        "ACCESS_CTRL_ROOT33_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000090f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root33_set
    },
    {
        "ACCESS_CTRL_ROOT33_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000090f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root33_clr
    },
    {
        "ACCESS_CTRL_ROOT33_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000090fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root33_tog
    },
    {
        "TARGET_ROOT34",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root34
    },
    {
        "TARGET_ROOT34_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root34_set
    },
    {
        "TARGET_ROOT34_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root34_clr
    },
    {
        "TARGET_ROOT34_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000910c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root34_tog
    },
    {
        "MISC34",
        "MISC",
        4, // Width in bytes
        0x00009110, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc34
    },
    {
        "MISC_ROOT34_SET",
        "Misc",
        4, // Width in bytes
        0x00009114, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root34_set
    },
    {
        "MISC_ROOT34_CLR",
        "MISC",
        4, // Width in bytes
        0x00009118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root34_clr
    },
    {
        "MISC_ROOT34_TOG",
        "MISC",
        4, // Width in bytes
        0x0000911c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root34_tog
    },
    {
        "POST34",
        "Post Register",
        4, // Width in bytes
        0x00009120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post34
    },
    {
        "POST_ROOT34_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root34_set
    },
    {
        "POST_ROOT34_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root34_clr
    },
    {
        "POST_ROOT34_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000912c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root34_tog
    },
    {
        "PRE34",
        "Pre Register",
        4, // Width in bytes
        0x00009130, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre34
    },
    {
        "PRE_ROOT34_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009134, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root34_set
    },
    {
        "PRE_ROOT34_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009138, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root34_clr
    },
    {
        "PRE_ROOT34_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000913c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root34_tog
    },
    {
        "ACCESS_CTRL34",
        "Access Control Register",
        4, // Width in bytes
        0x00009170, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl34
    },
    {
        "ACCESS_CTRL_ROOT34_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009174, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root34_set
    },
    {
        "ACCESS_CTRL_ROOT34_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009178, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root34_clr
    },
    {
        "ACCESS_CTRL_ROOT34_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000917c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root34_tog
    },
    {
        "TARGET_ROOT35",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root35
    },
    {
        "TARGET_ROOT35_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root35_set
    },
    {
        "TARGET_ROOT35_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root35_clr
    },
    {
        "TARGET_ROOT35_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000918c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root35_tog
    },
    {
        "MISC35",
        "MISC",
        4, // Width in bytes
        0x00009190, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc35
    },
    {
        "MISC_ROOT35_SET",
        "Misc",
        4, // Width in bytes
        0x00009194, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root35_set
    },
    {
        "MISC_ROOT35_CLR",
        "MISC",
        4, // Width in bytes
        0x00009198, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root35_clr
    },
    {
        "MISC_ROOT35_TOG",
        "MISC",
        4, // Width in bytes
        0x0000919c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root35_tog
    },
    {
        "POST35",
        "Post Register",
        4, // Width in bytes
        0x000091a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post35
    },
    {
        "POST_ROOT35_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000091a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root35_set
    },
    {
        "POST_ROOT35_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000091a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root35_clr
    },
    {
        "POST_ROOT35_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000091ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root35_tog
    },
    {
        "PRE35",
        "Pre Register",
        4, // Width in bytes
        0x000091b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre35
    },
    {
        "PRE_ROOT35_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000091b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root35_set
    },
    {
        "PRE_ROOT35_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000091b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root35_clr
    },
    {
        "PRE_ROOT35_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000091bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root35_tog
    },
    {
        "ACCESS_CTRL35",
        "Access Control Register",
        4, // Width in bytes
        0x000091f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl35
    },
    {
        "ACCESS_CTRL_ROOT35_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000091f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root35_set
    },
    {
        "ACCESS_CTRL_ROOT35_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000091f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root35_clr
    },
    {
        "ACCESS_CTRL_ROOT35_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000091fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root35_tog
    },
    {
        "TARGET_ROOT36",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root36
    },
    {
        "TARGET_ROOT36_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root36_set
    },
    {
        "TARGET_ROOT36_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root36_clr
    },
    {
        "TARGET_ROOT36_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000920c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root36_tog
    },
    {
        "MISC36",
        "MISC",
        4, // Width in bytes
        0x00009210, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc36
    },
    {
        "MISC_ROOT36_SET",
        "Misc",
        4, // Width in bytes
        0x00009214, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root36_set
    },
    {
        "MISC_ROOT36_CLR",
        "MISC",
        4, // Width in bytes
        0x00009218, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root36_clr
    },
    {
        "MISC_ROOT36_TOG",
        "MISC",
        4, // Width in bytes
        0x0000921c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root36_tog
    },
    {
        "POST36",
        "Post Register",
        4, // Width in bytes
        0x00009220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post36
    },
    {
        "POST_ROOT36_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root36_set
    },
    {
        "POST_ROOT36_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root36_clr
    },
    {
        "POST_ROOT36_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000922c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root36_tog
    },
    {
        "PRE36",
        "Pre Register",
        4, // Width in bytes
        0x00009230, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre36
    },
    {
        "PRE_ROOT36_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009234, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root36_set
    },
    {
        "PRE_ROOT36_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009238, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root36_clr
    },
    {
        "PRE_ROOT36_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000923c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root36_tog
    },
    {
        "ACCESS_CTRL36",
        "Access Control Register",
        4, // Width in bytes
        0x00009270, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl36
    },
    {
        "ACCESS_CTRL_ROOT36_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009274, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root36_set
    },
    {
        "ACCESS_CTRL_ROOT36_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009278, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root36_clr
    },
    {
        "ACCESS_CTRL_ROOT36_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000927c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root36_tog
    },
    {
        "TARGET_ROOT37",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009280, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root37
    },
    {
        "TARGET_ROOT37_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009284, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root37_set
    },
    {
        "TARGET_ROOT37_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009288, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root37_clr
    },
    {
        "TARGET_ROOT37_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000928c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root37_tog
    },
    {
        "MISC37",
        "MISC",
        4, // Width in bytes
        0x00009290, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc37
    },
    {
        "MISC_ROOT37_SET",
        "Misc",
        4, // Width in bytes
        0x00009294, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root37_set
    },
    {
        "MISC_ROOT37_CLR",
        "MISC",
        4, // Width in bytes
        0x00009298, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root37_clr
    },
    {
        "MISC_ROOT37_TOG",
        "MISC",
        4, // Width in bytes
        0x0000929c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root37_tog
    },
    {
        "POST37",
        "Post Register",
        4, // Width in bytes
        0x000092a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post37
    },
    {
        "POST_ROOT37_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000092a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root37_set
    },
    {
        "POST_ROOT37_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000092a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root37_clr
    },
    {
        "POST_ROOT37_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000092ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root37_tog
    },
    {
        "PRE37",
        "Pre Register",
        4, // Width in bytes
        0x000092b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre37
    },
    {
        "PRE_ROOT37_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000092b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root37_set
    },
    {
        "PRE_ROOT37_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000092b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root37_clr
    },
    {
        "PRE_ROOT37_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000092bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root37_tog
    },
    {
        "ACCESS_CTRL37",
        "Access Control Register",
        4, // Width in bytes
        0x000092f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl37
    },
    {
        "ACCESS_CTRL_ROOT37_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000092f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root37_set
    },
    {
        "ACCESS_CTRL_ROOT37_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000092f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root37_clr
    },
    {
        "ACCESS_CTRL_ROOT37_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000092fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root37_tog
    },
    {
        "TARGET_ROOT38",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root38
    },
    {
        "TARGET_ROOT38_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009304, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root38_set
    },
    {
        "TARGET_ROOT38_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009308, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root38_clr
    },
    {
        "TARGET_ROOT38_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000930c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root38_tog
    },
    {
        "MISC38",
        "MISC",
        4, // Width in bytes
        0x00009310, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc38
    },
    {
        "MISC_ROOT38_SET",
        "Misc",
        4, // Width in bytes
        0x00009314, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root38_set
    },
    {
        "MISC_ROOT38_CLR",
        "MISC",
        4, // Width in bytes
        0x00009318, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root38_clr
    },
    {
        "MISC_ROOT38_TOG",
        "MISC",
        4, // Width in bytes
        0x0000931c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root38_tog
    },
    {
        "POST38",
        "Post Register",
        4, // Width in bytes
        0x00009320, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post38
    },
    {
        "POST_ROOT38_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009324, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root38_set
    },
    {
        "POST_ROOT38_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009328, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root38_clr
    },
    {
        "POST_ROOT38_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000932c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root38_tog
    },
    {
        "PRE38",
        "Pre Register",
        4, // Width in bytes
        0x00009330, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre38
    },
    {
        "PRE_ROOT38_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009334, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root38_set
    },
    {
        "PRE_ROOT38_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009338, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root38_clr
    },
    {
        "PRE_ROOT38_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000933c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root38_tog
    },
    {
        "ACCESS_CTRL38",
        "Access Control Register",
        4, // Width in bytes
        0x00009370, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl38
    },
    {
        "ACCESS_CTRL_ROOT38_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009374, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root38_set
    },
    {
        "ACCESS_CTRL_ROOT38_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009378, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root38_clr
    },
    {
        "ACCESS_CTRL_ROOT38_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000937c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root38_tog
    },
    {
        "TARGET_ROOT39",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009380, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root39
    },
    {
        "TARGET_ROOT39_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009384, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root39_set
    },
    {
        "TARGET_ROOT39_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009388, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root39_clr
    },
    {
        "TARGET_ROOT39_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000938c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root39_tog
    },
    {
        "MISC39",
        "MISC",
        4, // Width in bytes
        0x00009390, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc39
    },
    {
        "MISC_ROOT39_SET",
        "Misc",
        4, // Width in bytes
        0x00009394, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root39_set
    },
    {
        "MISC_ROOT39_CLR",
        "MISC",
        4, // Width in bytes
        0x00009398, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root39_clr
    },
    {
        "MISC_ROOT39_TOG",
        "MISC",
        4, // Width in bytes
        0x0000939c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root39_tog
    },
    {
        "POST39",
        "Post Register",
        4, // Width in bytes
        0x000093a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post39
    },
    {
        "POST_ROOT39_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000093a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root39_set
    },
    {
        "POST_ROOT39_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000093a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root39_clr
    },
    {
        "POST_ROOT39_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000093ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root39_tog
    },
    {
        "PRE39",
        "Pre Register",
        4, // Width in bytes
        0x000093b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre39
    },
    {
        "PRE_ROOT39_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000093b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root39_set
    },
    {
        "PRE_ROOT39_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000093b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root39_clr
    },
    {
        "PRE_ROOT39_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000093bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root39_tog
    },
    {
        "ACCESS_CTRL39",
        "Access Control Register",
        4, // Width in bytes
        0x000093f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl39
    },
    {
        "ACCESS_CTRL_ROOT39_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000093f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root39_set
    },
    {
        "ACCESS_CTRL_ROOT39_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000093f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root39_clr
    },
    {
        "ACCESS_CTRL_ROOT39_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000093fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root39_tog
    },
    {
        "TARGET_ROOT40",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009400, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root40
    },
    {
        "TARGET_ROOT40_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009404, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root40_set
    },
    {
        "TARGET_ROOT40_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root40_clr
    },
    {
        "TARGET_ROOT40_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000940c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root40_tog
    },
    {
        "MISC40",
        "MISC",
        4, // Width in bytes
        0x00009410, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc40
    },
    {
        "MISC_ROOT40_SET",
        "Misc",
        4, // Width in bytes
        0x00009414, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root40_set
    },
    {
        "MISC_ROOT40_CLR",
        "MISC",
        4, // Width in bytes
        0x00009418, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root40_clr
    },
    {
        "MISC_ROOT40_TOG",
        "MISC",
        4, // Width in bytes
        0x0000941c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root40_tog
    },
    {
        "POST40",
        "Post Register",
        4, // Width in bytes
        0x00009420, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post40
    },
    {
        "POST_ROOT40_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009424, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root40_set
    },
    {
        "POST_ROOT40_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009428, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root40_clr
    },
    {
        "POST_ROOT40_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000942c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root40_tog
    },
    {
        "PRE40",
        "Pre Register",
        4, // Width in bytes
        0x00009430, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre40
    },
    {
        "PRE_ROOT40_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009434, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root40_set
    },
    {
        "PRE_ROOT40_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009438, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root40_clr
    },
    {
        "PRE_ROOT40_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000943c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root40_tog
    },
    {
        "ACCESS_CTRL40",
        "Access Control Register",
        4, // Width in bytes
        0x00009470, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl40
    },
    {
        "ACCESS_CTRL_ROOT40_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009474, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root40_set
    },
    {
        "ACCESS_CTRL_ROOT40_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009478, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root40_clr
    },
    {
        "ACCESS_CTRL_ROOT40_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000947c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root40_tog
    },
    {
        "TARGET_ROOT41",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009480, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root41
    },
    {
        "TARGET_ROOT41_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009484, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root41_set
    },
    {
        "TARGET_ROOT41_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009488, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root41_clr
    },
    {
        "TARGET_ROOT41_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000948c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root41_tog
    },
    {
        "MISC41",
        "MISC",
        4, // Width in bytes
        0x00009490, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc41
    },
    {
        "MISC_ROOT41_SET",
        "Misc",
        4, // Width in bytes
        0x00009494, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root41_set
    },
    {
        "MISC_ROOT41_CLR",
        "MISC",
        4, // Width in bytes
        0x00009498, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root41_clr
    },
    {
        "MISC_ROOT41_TOG",
        "MISC",
        4, // Width in bytes
        0x0000949c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root41_tog
    },
    {
        "POST41",
        "Post Register",
        4, // Width in bytes
        0x000094a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post41
    },
    {
        "POST_ROOT41_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000094a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root41_set
    },
    {
        "POST_ROOT41_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000094a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root41_clr
    },
    {
        "POST_ROOT41_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000094ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root41_tog
    },
    {
        "PRE41",
        "Pre Register",
        4, // Width in bytes
        0x000094b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre41
    },
    {
        "PRE_ROOT41_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000094b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root41_set
    },
    {
        "PRE_ROOT41_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000094b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root41_clr
    },
    {
        "PRE_ROOT41_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000094bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root41_tog
    },
    {
        "ACCESS_CTRL41",
        "Access Control Register",
        4, // Width in bytes
        0x000094f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl41
    },
    {
        "ACCESS_CTRL_ROOT41_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000094f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root41_set
    },
    {
        "ACCESS_CTRL_ROOT41_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000094f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root41_clr
    },
    {
        "ACCESS_CTRL_ROOT41_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000094fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root41_tog
    },
    {
        "TARGET_ROOT42",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009500, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root42
    },
    {
        "TARGET_ROOT42_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009504, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root42_set
    },
    {
        "TARGET_ROOT42_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009508, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root42_clr
    },
    {
        "TARGET_ROOT42_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000950c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root42_tog
    },
    {
        "MISC42",
        "MISC",
        4, // Width in bytes
        0x00009510, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc42
    },
    {
        "MISC_ROOT42_SET",
        "Misc",
        4, // Width in bytes
        0x00009514, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root42_set
    },
    {
        "MISC_ROOT42_CLR",
        "MISC",
        4, // Width in bytes
        0x00009518, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root42_clr
    },
    {
        "MISC_ROOT42_TOG",
        "MISC",
        4, // Width in bytes
        0x0000951c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root42_tog
    },
    {
        "POST42",
        "Post Register",
        4, // Width in bytes
        0x00009520, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post42
    },
    {
        "POST_ROOT42_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009524, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root42_set
    },
    {
        "POST_ROOT42_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009528, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root42_clr
    },
    {
        "POST_ROOT42_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000952c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root42_tog
    },
    {
        "PRE42",
        "Pre Register",
        4, // Width in bytes
        0x00009530, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre42
    },
    {
        "PRE_ROOT42_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009534, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root42_set
    },
    {
        "PRE_ROOT42_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009538, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root42_clr
    },
    {
        "PRE_ROOT42_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000953c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root42_tog
    },
    {
        "ACCESS_CTRL42",
        "Access Control Register",
        4, // Width in bytes
        0x00009570, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl42
    },
    {
        "ACCESS_CTRL_ROOT42_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009574, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root42_set
    },
    {
        "ACCESS_CTRL_ROOT42_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009578, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root42_clr
    },
    {
        "ACCESS_CTRL_ROOT42_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000957c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root42_tog
    },
    {
        "TARGET_ROOT43",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009580, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root43
    },
    {
        "TARGET_ROOT43_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009584, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root43_set
    },
    {
        "TARGET_ROOT43_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009588, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root43_clr
    },
    {
        "TARGET_ROOT43_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000958c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root43_tog
    },
    {
        "MISC43",
        "MISC",
        4, // Width in bytes
        0x00009590, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc43
    },
    {
        "MISC_ROOT43_SET",
        "Misc",
        4, // Width in bytes
        0x00009594, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root43_set
    },
    {
        "MISC_ROOT43_CLR",
        "MISC",
        4, // Width in bytes
        0x00009598, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root43_clr
    },
    {
        "MISC_ROOT43_TOG",
        "MISC",
        4, // Width in bytes
        0x0000959c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root43_tog
    },
    {
        "POST43",
        "Post Register",
        4, // Width in bytes
        0x000095a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post43
    },
    {
        "POST_ROOT43_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000095a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root43_set
    },
    {
        "POST_ROOT43_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000095a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root43_clr
    },
    {
        "POST_ROOT43_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000095ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root43_tog
    },
    {
        "PRE43",
        "Pre Register",
        4, // Width in bytes
        0x000095b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre43
    },
    {
        "PRE_ROOT43_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000095b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root43_set
    },
    {
        "PRE_ROOT43_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000095b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root43_clr
    },
    {
        "PRE_ROOT43_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000095bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root43_tog
    },
    {
        "ACCESS_CTRL43",
        "Access Control Register",
        4, // Width in bytes
        0x000095f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl43
    },
    {
        "ACCESS_CTRL_ROOT43_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000095f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root43_set
    },
    {
        "ACCESS_CTRL_ROOT43_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000095f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root43_clr
    },
    {
        "ACCESS_CTRL_ROOT43_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000095fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root43_tog
    },
    {
        "TARGET_ROOT44",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009600, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root44
    },
    {
        "TARGET_ROOT44_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root44_set
    },
    {
        "TARGET_ROOT44_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root44_clr
    },
    {
        "TARGET_ROOT44_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000960c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root44_tog
    },
    {
        "MISC44",
        "MISC",
        4, // Width in bytes
        0x00009610, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc44
    },
    {
        "MISC_ROOT44_SET",
        "Misc",
        4, // Width in bytes
        0x00009614, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root44_set
    },
    {
        "MISC_ROOT44_CLR",
        "MISC",
        4, // Width in bytes
        0x00009618, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root44_clr
    },
    {
        "MISC_ROOT44_TOG",
        "MISC",
        4, // Width in bytes
        0x0000961c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root44_tog
    },
    {
        "POST44",
        "Post Register",
        4, // Width in bytes
        0x00009620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post44
    },
    {
        "POST_ROOT44_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009624, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root44_set
    },
    {
        "POST_ROOT44_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009628, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root44_clr
    },
    {
        "POST_ROOT44_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000962c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root44_tog
    },
    {
        "PRE44",
        "Pre Register",
        4, // Width in bytes
        0x00009630, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre44
    },
    {
        "PRE_ROOT44_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009634, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root44_set
    },
    {
        "PRE_ROOT44_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009638, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root44_clr
    },
    {
        "PRE_ROOT44_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000963c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root44_tog
    },
    {
        "ACCESS_CTRL44",
        "Access Control Register",
        4, // Width in bytes
        0x00009670, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl44
    },
    {
        "ACCESS_CTRL_ROOT44_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009674, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root44_set
    },
    {
        "ACCESS_CTRL_ROOT44_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009678, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root44_clr
    },
    {
        "ACCESS_CTRL_ROOT44_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000967c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root44_tog
    },
    {
        "TARGET_ROOT45",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root45
    },
    {
        "TARGET_ROOT45_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009684, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root45_set
    },
    {
        "TARGET_ROOT45_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009688, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root45_clr
    },
    {
        "TARGET_ROOT45_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000968c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root45_tog
    },
    {
        "MISC45",
        "MISC",
        4, // Width in bytes
        0x00009690, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc45
    },
    {
        "MISC_ROOT45_SET",
        "Misc",
        4, // Width in bytes
        0x00009694, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root45_set
    },
    {
        "MISC_ROOT45_CLR",
        "MISC",
        4, // Width in bytes
        0x00009698, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root45_clr
    },
    {
        "MISC_ROOT45_TOG",
        "MISC",
        4, // Width in bytes
        0x0000969c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root45_tog
    },
    {
        "POST45",
        "Post Register",
        4, // Width in bytes
        0x000096a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post45
    },
    {
        "POST_ROOT45_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000096a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root45_set
    },
    {
        "POST_ROOT45_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000096a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root45_clr
    },
    {
        "POST_ROOT45_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000096ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root45_tog
    },
    {
        "PRE45",
        "Pre Register",
        4, // Width in bytes
        0x000096b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre45
    },
    {
        "PRE_ROOT45_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000096b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root45_set
    },
    {
        "PRE_ROOT45_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000096b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root45_clr
    },
    {
        "PRE_ROOT45_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000096bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root45_tog
    },
    {
        "ACCESS_CTRL45",
        "Access Control Register",
        4, // Width in bytes
        0x000096f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl45
    },
    {
        "ACCESS_CTRL_ROOT45_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000096f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root45_set
    },
    {
        "ACCESS_CTRL_ROOT45_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000096f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root45_clr
    },
    {
        "ACCESS_CTRL_ROOT45_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000096fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root45_tog
    },
    {
        "TARGET_ROOT46",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009700, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root46
    },
    {
        "TARGET_ROOT46_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009704, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root46_set
    },
    {
        "TARGET_ROOT46_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009708, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root46_clr
    },
    {
        "TARGET_ROOT46_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000970c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root46_tog
    },
    {
        "MISC46",
        "MISC",
        4, // Width in bytes
        0x00009710, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc46
    },
    {
        "MISC_ROOT46_SET",
        "Misc",
        4, // Width in bytes
        0x00009714, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root46_set
    },
    {
        "MISC_ROOT46_CLR",
        "MISC",
        4, // Width in bytes
        0x00009718, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root46_clr
    },
    {
        "MISC_ROOT46_TOG",
        "MISC",
        4, // Width in bytes
        0x0000971c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root46_tog
    },
    {
        "POST46",
        "Post Register",
        4, // Width in bytes
        0x00009720, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post46
    },
    {
        "POST_ROOT46_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009724, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root46_set
    },
    {
        "POST_ROOT46_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009728, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root46_clr
    },
    {
        "POST_ROOT46_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000972c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root46_tog
    },
    {
        "PRE46",
        "Pre Register",
        4, // Width in bytes
        0x00009730, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre46
    },
    {
        "PRE_ROOT46_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009734, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root46_set
    },
    {
        "PRE_ROOT46_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009738, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root46_clr
    },
    {
        "PRE_ROOT46_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000973c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root46_tog
    },
    {
        "ACCESS_CTRL46",
        "Access Control Register",
        4, // Width in bytes
        0x00009770, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl46
    },
    {
        "ACCESS_CTRL_ROOT46_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009774, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root46_set
    },
    {
        "ACCESS_CTRL_ROOT46_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009778, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root46_clr
    },
    {
        "ACCESS_CTRL_ROOT46_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000977c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root46_tog
    },
    {
        "TARGET_ROOT47",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009780, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root47
    },
    {
        "TARGET_ROOT47_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009784, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root47_set
    },
    {
        "TARGET_ROOT47_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009788, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root47_clr
    },
    {
        "TARGET_ROOT47_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000978c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root47_tog
    },
    {
        "MISC47",
        "MISC",
        4, // Width in bytes
        0x00009790, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc47
    },
    {
        "MISC_ROOT47_SET",
        "Misc",
        4, // Width in bytes
        0x00009794, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root47_set
    },
    {
        "MISC_ROOT47_CLR",
        "MISC",
        4, // Width in bytes
        0x00009798, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root47_clr
    },
    {
        "MISC_ROOT47_TOG",
        "MISC",
        4, // Width in bytes
        0x0000979c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root47_tog
    },
    {
        "POST47",
        "Post Register",
        4, // Width in bytes
        0x000097a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post47
    },
    {
        "POST_ROOT47_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000097a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root47_set
    },
    {
        "POST_ROOT47_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000097a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root47_clr
    },
    {
        "POST_ROOT47_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000097ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root47_tog
    },
    {
        "PRE47",
        "Pre Register",
        4, // Width in bytes
        0x000097b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre47
    },
    {
        "PRE_ROOT47_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000097b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root47_set
    },
    {
        "PRE_ROOT47_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000097b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root47_clr
    },
    {
        "PRE_ROOT47_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000097bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root47_tog
    },
    {
        "ACCESS_CTRL47",
        "Access Control Register",
        4, // Width in bytes
        0x000097f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl47
    },
    {
        "ACCESS_CTRL_ROOT47_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000097f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root47_set
    },
    {
        "ACCESS_CTRL_ROOT47_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000097f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root47_clr
    },
    {
        "ACCESS_CTRL_ROOT47_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000097fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root47_tog
    },
    {
        "TARGET_ROOT48",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root48
    },
    {
        "TARGET_ROOT48_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root48_set
    },
    {
        "TARGET_ROOT48_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root48_clr
    },
    {
        "TARGET_ROOT48_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000980c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root48_tog
    },
    {
        "MISC48",
        "MISC",
        4, // Width in bytes
        0x00009810, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc48
    },
    {
        "MISC_ROOT48_SET",
        "Misc",
        4, // Width in bytes
        0x00009814, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root48_set
    },
    {
        "MISC_ROOT48_CLR",
        "MISC",
        4, // Width in bytes
        0x00009818, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root48_clr
    },
    {
        "MISC_ROOT48_TOG",
        "MISC",
        4, // Width in bytes
        0x0000981c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root48_tog
    },
    {
        "POST48",
        "Post Register",
        4, // Width in bytes
        0x00009820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post48
    },
    {
        "POST_ROOT48_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root48_set
    },
    {
        "POST_ROOT48_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root48_clr
    },
    {
        "POST_ROOT48_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000982c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root48_tog
    },
    {
        "PRE48",
        "Pre Register",
        4, // Width in bytes
        0x00009830, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre48
    },
    {
        "PRE_ROOT48_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009834, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root48_set
    },
    {
        "PRE_ROOT48_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009838, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root48_clr
    },
    {
        "PRE_ROOT48_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000983c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root48_tog
    },
    {
        "ACCESS_CTRL48",
        "Access Control Register",
        4, // Width in bytes
        0x00009870, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl48
    },
    {
        "ACCESS_CTRL_ROOT48_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009874, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root48_set
    },
    {
        "ACCESS_CTRL_ROOT48_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009878, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root48_clr
    },
    {
        "ACCESS_CTRL_ROOT48_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000987c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root48_tog
    },
    {
        "TARGET_ROOT49",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root49
    },
    {
        "TARGET_ROOT49_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root49_set
    },
    {
        "TARGET_ROOT49_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root49_clr
    },
    {
        "TARGET_ROOT49_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000988c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root49_tog
    },
    {
        "MISC49",
        "MISC",
        4, // Width in bytes
        0x00009890, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc49
    },
    {
        "MISC_ROOT49_SET",
        "Misc",
        4, // Width in bytes
        0x00009894, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root49_set
    },
    {
        "MISC_ROOT49_CLR",
        "MISC",
        4, // Width in bytes
        0x00009898, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root49_clr
    },
    {
        "MISC_ROOT49_TOG",
        "MISC",
        4, // Width in bytes
        0x0000989c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root49_tog
    },
    {
        "POST49",
        "Post Register",
        4, // Width in bytes
        0x000098a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post49
    },
    {
        "POST_ROOT49_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000098a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root49_set
    },
    {
        "POST_ROOT49_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000098a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root49_clr
    },
    {
        "POST_ROOT49_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000098ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root49_tog
    },
    {
        "PRE49",
        "Pre Register",
        4, // Width in bytes
        0x000098b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre49
    },
    {
        "PRE_ROOT49_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000098b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root49_set
    },
    {
        "PRE_ROOT49_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000098b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root49_clr
    },
    {
        "PRE_ROOT49_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000098bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root49_tog
    },
    {
        "ACCESS_CTRL49",
        "Access Control Register",
        4, // Width in bytes
        0x000098f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl49
    },
    {
        "ACCESS_CTRL_ROOT49_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000098f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root49_set
    },
    {
        "ACCESS_CTRL_ROOT49_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000098f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root49_clr
    },
    {
        "ACCESS_CTRL_ROOT49_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000098fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root49_tog
    },
    {
        "TARGET_ROOT50",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root50
    },
    {
        "TARGET_ROOT50_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root50_set
    },
    {
        "TARGET_ROOT50_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root50_clr
    },
    {
        "TARGET_ROOT50_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000990c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root50_tog
    },
    {
        "MISC50",
        "MISC",
        4, // Width in bytes
        0x00009910, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc50
    },
    {
        "MISC_ROOT50_SET",
        "Misc",
        4, // Width in bytes
        0x00009914, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root50_set
    },
    {
        "MISC_ROOT50_CLR",
        "MISC",
        4, // Width in bytes
        0x00009918, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root50_clr
    },
    {
        "MISC_ROOT50_TOG",
        "MISC",
        4, // Width in bytes
        0x0000991c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root50_tog
    },
    {
        "POST50",
        "Post Register",
        4, // Width in bytes
        0x00009920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post50
    },
    {
        "POST_ROOT50_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root50_set
    },
    {
        "POST_ROOT50_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root50_clr
    },
    {
        "POST_ROOT50_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000992c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root50_tog
    },
    {
        "PRE50",
        "Pre Register",
        4, // Width in bytes
        0x00009930, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre50
    },
    {
        "PRE_ROOT50_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009934, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root50_set
    },
    {
        "PRE_ROOT50_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009938, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root50_clr
    },
    {
        "PRE_ROOT50_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000993c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root50_tog
    },
    {
        "ACCESS_CTRL50",
        "Access Control Register",
        4, // Width in bytes
        0x00009970, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl50
    },
    {
        "ACCESS_CTRL_ROOT50_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009974, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root50_set
    },
    {
        "ACCESS_CTRL_ROOT50_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009978, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root50_clr
    },
    {
        "ACCESS_CTRL_ROOT50_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000997c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root50_tog
    },
    {
        "TARGET_ROOT51",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root51
    },
    {
        "TARGET_ROOT51_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root51_set
    },
    {
        "TARGET_ROOT51_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root51_clr
    },
    {
        "TARGET_ROOT51_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000998c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root51_tog
    },
    {
        "MISC51",
        "MISC",
        4, // Width in bytes
        0x00009990, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc51
    },
    {
        "MISC_ROOT51_SET",
        "Misc",
        4, // Width in bytes
        0x00009994, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root51_set
    },
    {
        "MISC_ROOT51_CLR",
        "MISC",
        4, // Width in bytes
        0x00009998, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root51_clr
    },
    {
        "MISC_ROOT51_TOG",
        "MISC",
        4, // Width in bytes
        0x0000999c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root51_tog
    },
    {
        "POST51",
        "Post Register",
        4, // Width in bytes
        0x000099a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post51
    },
    {
        "POST_ROOT51_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000099a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root51_set
    },
    {
        "POST_ROOT51_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000099a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root51_clr
    },
    {
        "POST_ROOT51_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000099ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root51_tog
    },
    {
        "PRE51",
        "Pre Register",
        4, // Width in bytes
        0x000099b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre51
    },
    {
        "PRE_ROOT51_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000099b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root51_set
    },
    {
        "PRE_ROOT51_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000099b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root51_clr
    },
    {
        "PRE_ROOT51_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000099bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root51_tog
    },
    {
        "ACCESS_CTRL51",
        "Access Control Register",
        4, // Width in bytes
        0x000099f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl51
    },
    {
        "ACCESS_CTRL_ROOT51_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000099f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root51_set
    },
    {
        "ACCESS_CTRL_ROOT51_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000099f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root51_clr
    },
    {
        "ACCESS_CTRL_ROOT51_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000099fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root51_tog
    },
    {
        "TARGET_ROOT52",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009a00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root52
    },
    {
        "TARGET_ROOT52_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009a04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root52_set
    },
    {
        "TARGET_ROOT52_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009a08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root52_clr
    },
    {
        "TARGET_ROOT52_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009a0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root52_tog
    },
    {
        "MISC52",
        "MISC",
        4, // Width in bytes
        0x00009a10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc52
    },
    {
        "MISC_ROOT52_SET",
        "Misc",
        4, // Width in bytes
        0x00009a14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root52_set
    },
    {
        "MISC_ROOT52_CLR",
        "MISC",
        4, // Width in bytes
        0x00009a18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root52_clr
    },
    {
        "MISC_ROOT52_TOG",
        "MISC",
        4, // Width in bytes
        0x00009a1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root52_tog
    },
    {
        "POST52",
        "Post Register",
        4, // Width in bytes
        0x00009a20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post52
    },
    {
        "POST_ROOT52_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009a24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root52_set
    },
    {
        "POST_ROOT52_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009a28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root52_clr
    },
    {
        "POST_ROOT52_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009a2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root52_tog
    },
    {
        "PRE52",
        "Pre Register",
        4, // Width in bytes
        0x00009a30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre52
    },
    {
        "PRE_ROOT52_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009a34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root52_set
    },
    {
        "PRE_ROOT52_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009a38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root52_clr
    },
    {
        "PRE_ROOT52_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009a3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root52_tog
    },
    {
        "ACCESS_CTRL52",
        "Access Control Register",
        4, // Width in bytes
        0x00009a70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl52
    },
    {
        "ACCESS_CTRL_ROOT52_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009a74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root52_set
    },
    {
        "ACCESS_CTRL_ROOT52_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009a78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root52_clr
    },
    {
        "ACCESS_CTRL_ROOT52_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009a7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root52_tog
    },
    {
        "TARGET_ROOT53",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009a80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root53
    },
    {
        "TARGET_ROOT53_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009a84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root53_set
    },
    {
        "TARGET_ROOT53_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009a88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root53_clr
    },
    {
        "TARGET_ROOT53_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009a8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root53_tog
    },
    {
        "MISC53",
        "MISC",
        4, // Width in bytes
        0x00009a90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc53
    },
    {
        "MISC_ROOT53_SET",
        "Misc",
        4, // Width in bytes
        0x00009a94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root53_set
    },
    {
        "MISC_ROOT53_CLR",
        "MISC",
        4, // Width in bytes
        0x00009a98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root53_clr
    },
    {
        "MISC_ROOT53_TOG",
        "MISC",
        4, // Width in bytes
        0x00009a9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root53_tog
    },
    {
        "POST53",
        "Post Register",
        4, // Width in bytes
        0x00009aa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post53
    },
    {
        "POST_ROOT53_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009aa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root53_set
    },
    {
        "POST_ROOT53_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009aa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root53_clr
    },
    {
        "POST_ROOT53_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009aac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root53_tog
    },
    {
        "PRE53",
        "Pre Register",
        4, // Width in bytes
        0x00009ab0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre53
    },
    {
        "PRE_ROOT53_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009ab4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root53_set
    },
    {
        "PRE_ROOT53_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009ab8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root53_clr
    },
    {
        "PRE_ROOT53_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009abc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root53_tog
    },
    {
        "ACCESS_CTRL53",
        "Access Control Register",
        4, // Width in bytes
        0x00009af0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl53
    },
    {
        "ACCESS_CTRL_ROOT53_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009af4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root53_set
    },
    {
        "ACCESS_CTRL_ROOT53_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009af8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root53_clr
    },
    {
        "ACCESS_CTRL_ROOT53_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009afc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root53_tog
    },
    {
        "TARGET_ROOT54",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009b00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root54
    },
    {
        "TARGET_ROOT54_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009b04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root54_set
    },
    {
        "TARGET_ROOT54_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009b08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root54_clr
    },
    {
        "TARGET_ROOT54_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009b0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root54_tog
    },
    {
        "MISC54",
        "MISC",
        4, // Width in bytes
        0x00009b10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc54
    },
    {
        "MISC_ROOT54_SET",
        "Misc",
        4, // Width in bytes
        0x00009b14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root54_set
    },
    {
        "MISC_ROOT54_CLR",
        "MISC",
        4, // Width in bytes
        0x00009b18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root54_clr
    },
    {
        "MISC_ROOT54_TOG",
        "MISC",
        4, // Width in bytes
        0x00009b1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root54_tog
    },
    {
        "POST54",
        "Post Register",
        4, // Width in bytes
        0x00009b20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post54
    },
    {
        "POST_ROOT54_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009b24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root54_set
    },
    {
        "POST_ROOT54_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009b28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root54_clr
    },
    {
        "POST_ROOT54_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009b2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root54_tog
    },
    {
        "PRE54",
        "Pre Register",
        4, // Width in bytes
        0x00009b30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre54
    },
    {
        "PRE_ROOT54_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009b34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root54_set
    },
    {
        "PRE_ROOT54_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009b38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root54_clr
    },
    {
        "PRE_ROOT54_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009b3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root54_tog
    },
    {
        "ACCESS_CTRL54",
        "Access Control Register",
        4, // Width in bytes
        0x00009b70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl54
    },
    {
        "ACCESS_CTRL_ROOT54_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009b74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root54_set
    },
    {
        "ACCESS_CTRL_ROOT54_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009b78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root54_clr
    },
    {
        "ACCESS_CTRL_ROOT54_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009b7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root54_tog
    },
    {
        "TARGET_ROOT55",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009b80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root55
    },
    {
        "TARGET_ROOT55_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009b84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root55_set
    },
    {
        "TARGET_ROOT55_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009b88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root55_clr
    },
    {
        "TARGET_ROOT55_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009b8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root55_tog
    },
    {
        "MISC55",
        "MISC",
        4, // Width in bytes
        0x00009b90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc55
    },
    {
        "MISC_ROOT55_SET",
        "Misc",
        4, // Width in bytes
        0x00009b94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root55_set
    },
    {
        "MISC_ROOT55_CLR",
        "MISC",
        4, // Width in bytes
        0x00009b98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root55_clr
    },
    {
        "MISC_ROOT55_TOG",
        "MISC",
        4, // Width in bytes
        0x00009b9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root55_tog
    },
    {
        "POST55",
        "Post Register",
        4, // Width in bytes
        0x00009ba0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post55
    },
    {
        "POST_ROOT55_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009ba4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root55_set
    },
    {
        "POST_ROOT55_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009ba8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root55_clr
    },
    {
        "POST_ROOT55_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009bac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root55_tog
    },
    {
        "PRE55",
        "Pre Register",
        4, // Width in bytes
        0x00009bb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre55
    },
    {
        "PRE_ROOT55_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009bb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root55_set
    },
    {
        "PRE_ROOT55_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009bb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root55_clr
    },
    {
        "PRE_ROOT55_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009bbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root55_tog
    },
    {
        "ACCESS_CTRL55",
        "Access Control Register",
        4, // Width in bytes
        0x00009bf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl55
    },
    {
        "ACCESS_CTRL_ROOT55_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009bf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root55_set
    },
    {
        "ACCESS_CTRL_ROOT55_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009bf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root55_clr
    },
    {
        "ACCESS_CTRL_ROOT55_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009bfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root55_tog
    },
    {
        "TARGET_ROOT56",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009c00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root56
    },
    {
        "TARGET_ROOT56_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009c04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root56_set
    },
    {
        "TARGET_ROOT56_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009c08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root56_clr
    },
    {
        "TARGET_ROOT56_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009c0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root56_tog
    },
    {
        "MISC56",
        "MISC",
        4, // Width in bytes
        0x00009c10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc56
    },
    {
        "MISC_ROOT56_SET",
        "Misc",
        4, // Width in bytes
        0x00009c14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root56_set
    },
    {
        "MISC_ROOT56_CLR",
        "MISC",
        4, // Width in bytes
        0x00009c18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root56_clr
    },
    {
        "MISC_ROOT56_TOG",
        "MISC",
        4, // Width in bytes
        0x00009c1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root56_tog
    },
    {
        "POST56",
        "Post Register",
        4, // Width in bytes
        0x00009c20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post56
    },
    {
        "POST_ROOT56_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009c24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root56_set
    },
    {
        "POST_ROOT56_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009c28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root56_clr
    },
    {
        "POST_ROOT56_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009c2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root56_tog
    },
    {
        "PRE56",
        "Pre Register",
        4, // Width in bytes
        0x00009c30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre56
    },
    {
        "PRE_ROOT56_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009c34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root56_set
    },
    {
        "PRE_ROOT56_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009c38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root56_clr
    },
    {
        "PRE_ROOT56_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009c3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root56_tog
    },
    {
        "ACCESS_CTRL56",
        "Access Control Register",
        4, // Width in bytes
        0x00009c70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl56
    },
    {
        "ACCESS_CTRL_ROOT56_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009c74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root56_set
    },
    {
        "ACCESS_CTRL_ROOT56_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009c78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root56_clr
    },
    {
        "ACCESS_CTRL_ROOT56_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009c7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root56_tog
    },
    {
        "TARGET_ROOT57",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009c80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root57
    },
    {
        "TARGET_ROOT57_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009c84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root57_set
    },
    {
        "TARGET_ROOT57_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009c88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root57_clr
    },
    {
        "TARGET_ROOT57_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009c8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root57_tog
    },
    {
        "MISC57",
        "MISC",
        4, // Width in bytes
        0x00009c90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc57
    },
    {
        "MISC_ROOT57_SET",
        "Misc",
        4, // Width in bytes
        0x00009c94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root57_set
    },
    {
        "MISC_ROOT57_CLR",
        "MISC",
        4, // Width in bytes
        0x00009c98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root57_clr
    },
    {
        "MISC_ROOT57_TOG",
        "MISC",
        4, // Width in bytes
        0x00009c9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root57_tog
    },
    {
        "POST57",
        "Post Register",
        4, // Width in bytes
        0x00009ca0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post57
    },
    {
        "POST_ROOT57_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009ca4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root57_set
    },
    {
        "POST_ROOT57_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009ca8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root57_clr
    },
    {
        "POST_ROOT57_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009cac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root57_tog
    },
    {
        "PRE57",
        "Pre Register",
        4, // Width in bytes
        0x00009cb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre57
    },
    {
        "PRE_ROOT57_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009cb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root57_set
    },
    {
        "PRE_ROOT57_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009cb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root57_clr
    },
    {
        "PRE_ROOT57_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009cbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root57_tog
    },
    {
        "ACCESS_CTRL57",
        "Access Control Register",
        4, // Width in bytes
        0x00009cf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl57
    },
    {
        "ACCESS_CTRL_ROOT57_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009cf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root57_set
    },
    {
        "ACCESS_CTRL_ROOT57_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009cf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root57_clr
    },
    {
        "ACCESS_CTRL_ROOT57_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009cfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root57_tog
    },
    {
        "TARGET_ROOT58",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009d00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root58
    },
    {
        "TARGET_ROOT58_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009d04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root58_set
    },
    {
        "TARGET_ROOT58_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009d08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root58_clr
    },
    {
        "TARGET_ROOT58_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009d0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root58_tog
    },
    {
        "MISC58",
        "MISC",
        4, // Width in bytes
        0x00009d10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc58
    },
    {
        "MISC_ROOT58_SET",
        "Misc",
        4, // Width in bytes
        0x00009d14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root58_set
    },
    {
        "MISC_ROOT58_CLR",
        "MISC",
        4, // Width in bytes
        0x00009d18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root58_clr
    },
    {
        "MISC_ROOT58_TOG",
        "MISC",
        4, // Width in bytes
        0x00009d1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root58_tog
    },
    {
        "POST58",
        "Post Register",
        4, // Width in bytes
        0x00009d20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post58
    },
    {
        "POST_ROOT58_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009d24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root58_set
    },
    {
        "POST_ROOT58_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009d28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root58_clr
    },
    {
        "POST_ROOT58_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009d2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root58_tog
    },
    {
        "PRE58",
        "Pre Register",
        4, // Width in bytes
        0x00009d30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre58
    },
    {
        "PRE_ROOT58_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009d34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root58_set
    },
    {
        "PRE_ROOT58_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009d38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root58_clr
    },
    {
        "PRE_ROOT58_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009d3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root58_tog
    },
    {
        "ACCESS_CTRL58",
        "Access Control Register",
        4, // Width in bytes
        0x00009d70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl58
    },
    {
        "ACCESS_CTRL_ROOT58_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009d74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root58_set
    },
    {
        "ACCESS_CTRL_ROOT58_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009d78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root58_clr
    },
    {
        "ACCESS_CTRL_ROOT58_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009d7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root58_tog
    },
    {
        "TARGET_ROOT59",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009d80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root59
    },
    {
        "TARGET_ROOT59_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009d84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root59_set
    },
    {
        "TARGET_ROOT59_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009d88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root59_clr
    },
    {
        "TARGET_ROOT59_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009d8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root59_tog
    },
    {
        "MISC59",
        "MISC",
        4, // Width in bytes
        0x00009d90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc59
    },
    {
        "MISC_ROOT59_SET",
        "Misc",
        4, // Width in bytes
        0x00009d94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root59_set
    },
    {
        "MISC_ROOT59_CLR",
        "MISC",
        4, // Width in bytes
        0x00009d98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root59_clr
    },
    {
        "MISC_ROOT59_TOG",
        "MISC",
        4, // Width in bytes
        0x00009d9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root59_tog
    },
    {
        "POST59",
        "Post Register",
        4, // Width in bytes
        0x00009da0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post59
    },
    {
        "POST_ROOT59_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009da4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root59_set
    },
    {
        "POST_ROOT59_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009da8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root59_clr
    },
    {
        "POST_ROOT59_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009dac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root59_tog
    },
    {
        "PRE59",
        "Pre Register",
        4, // Width in bytes
        0x00009db0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre59
    },
    {
        "PRE_ROOT59_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009db4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root59_set
    },
    {
        "PRE_ROOT59_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009db8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root59_clr
    },
    {
        "PRE_ROOT59_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009dbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root59_tog
    },
    {
        "ACCESS_CTRL59",
        "Access Control Register",
        4, // Width in bytes
        0x00009df0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl59
    },
    {
        "ACCESS_CTRL_ROOT59_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009df4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root59_set
    },
    {
        "ACCESS_CTRL_ROOT59_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009df8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root59_clr
    },
    {
        "ACCESS_CTRL_ROOT59_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009dfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root59_tog
    },
    {
        "TARGET_ROOT60",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009e00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root60
    },
    {
        "TARGET_ROOT60_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009e04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root60_set
    },
    {
        "TARGET_ROOT60_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009e08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root60_clr
    },
    {
        "TARGET_ROOT60_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009e0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root60_tog
    },
    {
        "MISC60",
        "MISC",
        4, // Width in bytes
        0x00009e10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc60
    },
    {
        "MISC_ROOT60_SET",
        "Misc",
        4, // Width in bytes
        0x00009e14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root60_set
    },
    {
        "MISC_ROOT60_CLR",
        "MISC",
        4, // Width in bytes
        0x00009e18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root60_clr
    },
    {
        "MISC_ROOT60_TOG",
        "MISC",
        4, // Width in bytes
        0x00009e1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root60_tog
    },
    {
        "POST60",
        "Post Register",
        4, // Width in bytes
        0x00009e20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post60
    },
    {
        "POST_ROOT60_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009e24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root60_set
    },
    {
        "POST_ROOT60_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009e28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root60_clr
    },
    {
        "POST_ROOT60_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009e2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root60_tog
    },
    {
        "PRE60",
        "Pre Register",
        4, // Width in bytes
        0x00009e30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre60
    },
    {
        "PRE_ROOT60_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009e34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root60_set
    },
    {
        "PRE_ROOT60_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009e38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root60_clr
    },
    {
        "PRE_ROOT60_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009e3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root60_tog
    },
    {
        "ACCESS_CTRL60",
        "Access Control Register",
        4, // Width in bytes
        0x00009e70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl60
    },
    {
        "ACCESS_CTRL_ROOT60_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009e74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root60_set
    },
    {
        "ACCESS_CTRL_ROOT60_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009e78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root60_clr
    },
    {
        "ACCESS_CTRL_ROOT60_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009e7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root60_tog
    },
    {
        "TARGET_ROOT61",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009e80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root61
    },
    {
        "TARGET_ROOT61_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009e84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root61_set
    },
    {
        "TARGET_ROOT61_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009e88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root61_clr
    },
    {
        "TARGET_ROOT61_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009e8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root61_tog
    },
    {
        "MISC61",
        "MISC",
        4, // Width in bytes
        0x00009e90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc61
    },
    {
        "MISC_ROOT61_SET",
        "Misc",
        4, // Width in bytes
        0x00009e94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root61_set
    },
    {
        "MISC_ROOT61_CLR",
        "MISC",
        4, // Width in bytes
        0x00009e98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root61_clr
    },
    {
        "MISC_ROOT61_TOG",
        "MISC",
        4, // Width in bytes
        0x00009e9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root61_tog
    },
    {
        "POST61",
        "Post Register",
        4, // Width in bytes
        0x00009ea0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post61
    },
    {
        "POST_ROOT61_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009ea4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root61_set
    },
    {
        "POST_ROOT61_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009ea8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root61_clr
    },
    {
        "POST_ROOT61_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009eac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root61_tog
    },
    {
        "PRE61",
        "Pre Register",
        4, // Width in bytes
        0x00009eb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre61
    },
    {
        "PRE_ROOT61_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009eb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root61_set
    },
    {
        "PRE_ROOT61_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009eb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root61_clr
    },
    {
        "PRE_ROOT61_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009ebc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root61_tog
    },
    {
        "ACCESS_CTRL61",
        "Access Control Register",
        4, // Width in bytes
        0x00009ef0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl61
    },
    {
        "ACCESS_CTRL_ROOT61_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009ef4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root61_set
    },
    {
        "ACCESS_CTRL_ROOT61_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009ef8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root61_clr
    },
    {
        "ACCESS_CTRL_ROOT61_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009efc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root61_tog
    },
    {
        "TARGET_ROOT62",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009f00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root62
    },
    {
        "TARGET_ROOT62_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009f04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root62_set
    },
    {
        "TARGET_ROOT62_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009f08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root62_clr
    },
    {
        "TARGET_ROOT62_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009f0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root62_tog
    },
    {
        "MISC62",
        "MISC",
        4, // Width in bytes
        0x00009f10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc62
    },
    {
        "MISC_ROOT62_SET",
        "Misc",
        4, // Width in bytes
        0x00009f14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root62_set
    },
    {
        "MISC_ROOT62_CLR",
        "MISC",
        4, // Width in bytes
        0x00009f18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root62_clr
    },
    {
        "MISC_ROOT62_TOG",
        "MISC",
        4, // Width in bytes
        0x00009f1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root62_tog
    },
    {
        "POST62",
        "Post Register",
        4, // Width in bytes
        0x00009f20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post62
    },
    {
        "POST_ROOT62_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009f24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root62_set
    },
    {
        "POST_ROOT62_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009f28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root62_clr
    },
    {
        "POST_ROOT62_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009f2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root62_tog
    },
    {
        "PRE62",
        "Pre Register",
        4, // Width in bytes
        0x00009f30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre62
    },
    {
        "PRE_ROOT62_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009f34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root62_set
    },
    {
        "PRE_ROOT62_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009f38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root62_clr
    },
    {
        "PRE_ROOT62_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009f3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root62_tog
    },
    {
        "ACCESS_CTRL62",
        "Access Control Register",
        4, // Width in bytes
        0x00009f70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl62
    },
    {
        "ACCESS_CTRL_ROOT62_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009f74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root62_set
    },
    {
        "ACCESS_CTRL_ROOT62_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009f78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root62_clr
    },
    {
        "ACCESS_CTRL_ROOT62_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009f7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root62_tog
    },
    {
        "TARGET_ROOT63",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009f80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root63
    },
    {
        "TARGET_ROOT63_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009f84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root63_set
    },
    {
        "TARGET_ROOT63_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009f88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root63_clr
    },
    {
        "TARGET_ROOT63_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009f8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root63_tog
    },
    {
        "MISC63",
        "MISC",
        4, // Width in bytes
        0x00009f90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc63
    },
    {
        "MISC_ROOT63_SET",
        "Misc",
        4, // Width in bytes
        0x00009f94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root63_set
    },
    {
        "MISC_ROOT63_CLR",
        "MISC",
        4, // Width in bytes
        0x00009f98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root63_clr
    },
    {
        "MISC_ROOT63_TOG",
        "MISC",
        4, // Width in bytes
        0x00009f9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root63_tog
    },
    {
        "POST63",
        "Post Register",
        4, // Width in bytes
        0x00009fa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post63
    },
    {
        "POST_ROOT63_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009fa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root63_set
    },
    {
        "POST_ROOT63_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009fa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root63_clr
    },
    {
        "POST_ROOT63_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00009fac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root63_tog
    },
    {
        "PRE63",
        "Pre Register",
        4, // Width in bytes
        0x00009fb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre63
    },
    {
        "PRE_ROOT63_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009fb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root63_set
    },
    {
        "PRE_ROOT63_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009fb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root63_clr
    },
    {
        "PRE_ROOT63_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00009fbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root63_tog
    },
    {
        "ACCESS_CTRL63",
        "Access Control Register",
        4, // Width in bytes
        0x00009ff0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl63
    },
    {
        "ACCESS_CTRL_ROOT63_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009ff4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root63_set
    },
    {
        "ACCESS_CTRL_ROOT63_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009ff8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root63_clr
    },
    {
        "ACCESS_CTRL_ROOT63_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00009ffc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root63_tog
    },
    {
        "TARGET_ROOT64",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root64
    },
    {
        "TARGET_ROOT64_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root64_set
    },
    {
        "TARGET_ROOT64_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root64_clr
    },
    {
        "TARGET_ROOT64_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a00c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root64_tog
    },
    {
        "MISC64",
        "MISC",
        4, // Width in bytes
        0x0000a010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc64
    },
    {
        "MISC_ROOT64_SET",
        "Misc",
        4, // Width in bytes
        0x0000a014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root64_set
    },
    {
        "MISC_ROOT64_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a018, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root64_clr
    },
    {
        "MISC_ROOT64_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a01c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root64_tog
    },
    {
        "POST64",
        "Post Register",
        4, // Width in bytes
        0x0000a020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post64
    },
    {
        "POST_ROOT64_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root64_set
    },
    {
        "POST_ROOT64_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root64_clr
    },
    {
        "POST_ROOT64_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a02c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root64_tog
    },
    {
        "PRE64",
        "Pre Register",
        4, // Width in bytes
        0x0000a030, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre64
    },
    {
        "PRE_ROOT64_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a034, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root64_set
    },
    {
        "PRE_ROOT64_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a038, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root64_clr
    },
    {
        "PRE_ROOT64_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a03c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root64_tog
    },
    {
        "ACCESS_CTRL64",
        "Access Control Register",
        4, // Width in bytes
        0x0000a070, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl64
    },
    {
        "ACCESS_CTRL_ROOT64_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a074, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root64_set
    },
    {
        "ACCESS_CTRL_ROOT64_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a078, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root64_clr
    },
    {
        "ACCESS_CTRL_ROOT64_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a07c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root64_tog
    },
    {
        "TARGET_ROOT65",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root65
    },
    {
        "TARGET_ROOT65_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root65_set
    },
    {
        "TARGET_ROOT65_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root65_clr
    },
    {
        "TARGET_ROOT65_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a08c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root65_tog
    },
    {
        "MISC65",
        "MISC",
        4, // Width in bytes
        0x0000a090, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc65
    },
    {
        "MISC_ROOT65_SET",
        "Misc",
        4, // Width in bytes
        0x0000a094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root65_set
    },
    {
        "MISC_ROOT65_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a098, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root65_clr
    },
    {
        "MISC_ROOT65_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a09c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root65_tog
    },
    {
        "POST65",
        "Post Register",
        4, // Width in bytes
        0x0000a0a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post65
    },
    {
        "POST_ROOT65_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a0a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root65_set
    },
    {
        "POST_ROOT65_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a0a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root65_clr
    },
    {
        "POST_ROOT65_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a0ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root65_tog
    },
    {
        "PRE65",
        "Pre Register",
        4, // Width in bytes
        0x0000a0b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre65
    },
    {
        "PRE_ROOT65_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a0b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root65_set
    },
    {
        "PRE_ROOT65_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a0b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root65_clr
    },
    {
        "PRE_ROOT65_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a0bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root65_tog
    },
    {
        "ACCESS_CTRL65",
        "Access Control Register",
        4, // Width in bytes
        0x0000a0f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl65
    },
    {
        "ACCESS_CTRL_ROOT65_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a0f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root65_set
    },
    {
        "ACCESS_CTRL_ROOT65_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a0f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root65_clr
    },
    {
        "ACCESS_CTRL_ROOT65_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a0fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root65_tog
    },
    {
        "TARGET_ROOT66",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root66
    },
    {
        "TARGET_ROOT66_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root66_set
    },
    {
        "TARGET_ROOT66_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root66_clr
    },
    {
        "TARGET_ROOT66_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a10c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root66_tog
    },
    {
        "MISC66",
        "MISC",
        4, // Width in bytes
        0x0000a110, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc66
    },
    {
        "MISC_ROOT66_SET",
        "Misc",
        4, // Width in bytes
        0x0000a114, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root66_set
    },
    {
        "MISC_ROOT66_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root66_clr
    },
    {
        "MISC_ROOT66_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a11c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root66_tog
    },
    {
        "POST66",
        "Post Register",
        4, // Width in bytes
        0x0000a120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post66
    },
    {
        "POST_ROOT66_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root66_set
    },
    {
        "POST_ROOT66_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root66_clr
    },
    {
        "POST_ROOT66_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a12c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root66_tog
    },
    {
        "PRE66",
        "Pre Register",
        4, // Width in bytes
        0x0000a130, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre66
    },
    {
        "PRE_ROOT66_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a134, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root66_set
    },
    {
        "PRE_ROOT66_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a138, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root66_clr
    },
    {
        "PRE_ROOT66_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a13c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root66_tog
    },
    {
        "ACCESS_CTRL66",
        "Access Control Register",
        4, // Width in bytes
        0x0000a170, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl66
    },
    {
        "ACCESS_CTRL_ROOT66_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a174, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root66_set
    },
    {
        "ACCESS_CTRL_ROOT66_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a178, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root66_clr
    },
    {
        "ACCESS_CTRL_ROOT66_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a17c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root66_tog
    },
    {
        "TARGET_ROOT67",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root67
    },
    {
        "TARGET_ROOT67_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root67_set
    },
    {
        "TARGET_ROOT67_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root67_clr
    },
    {
        "TARGET_ROOT67_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a18c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root67_tog
    },
    {
        "MISC67",
        "MISC",
        4, // Width in bytes
        0x0000a190, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc67
    },
    {
        "MISC_ROOT67_SET",
        "Misc",
        4, // Width in bytes
        0x0000a194, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root67_set
    },
    {
        "MISC_ROOT67_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a198, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root67_clr
    },
    {
        "MISC_ROOT67_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a19c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root67_tog
    },
    {
        "POST67",
        "Post Register",
        4, // Width in bytes
        0x0000a1a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post67
    },
    {
        "POST_ROOT67_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a1a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root67_set
    },
    {
        "POST_ROOT67_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a1a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root67_clr
    },
    {
        "POST_ROOT67_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a1ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root67_tog
    },
    {
        "PRE67",
        "Pre Register",
        4, // Width in bytes
        0x0000a1b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre67
    },
    {
        "PRE_ROOT67_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a1b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root67_set
    },
    {
        "PRE_ROOT67_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a1b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root67_clr
    },
    {
        "PRE_ROOT67_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a1bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root67_tog
    },
    {
        "ACCESS_CTRL67",
        "Access Control Register",
        4, // Width in bytes
        0x0000a1f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl67
    },
    {
        "ACCESS_CTRL_ROOT67_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a1f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root67_set
    },
    {
        "ACCESS_CTRL_ROOT67_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a1f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root67_clr
    },
    {
        "ACCESS_CTRL_ROOT67_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a1fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root67_tog
    },
    {
        "TARGET_ROOT68",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root68
    },
    {
        "TARGET_ROOT68_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root68_set
    },
    {
        "TARGET_ROOT68_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root68_clr
    },
    {
        "TARGET_ROOT68_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a20c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root68_tog
    },
    {
        "MISC68",
        "MISC",
        4, // Width in bytes
        0x0000a210, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc68
    },
    {
        "MISC_ROOT68_SET",
        "Misc",
        4, // Width in bytes
        0x0000a214, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root68_set
    },
    {
        "MISC_ROOT68_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a218, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root68_clr
    },
    {
        "MISC_ROOT68_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a21c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root68_tog
    },
    {
        "POST68",
        "Post Register",
        4, // Width in bytes
        0x0000a220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post68
    },
    {
        "POST_ROOT68_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root68_set
    },
    {
        "POST_ROOT68_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root68_clr
    },
    {
        "POST_ROOT68_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a22c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root68_tog
    },
    {
        "PRE68",
        "Pre Register",
        4, // Width in bytes
        0x0000a230, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre68
    },
    {
        "PRE_ROOT68_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a234, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root68_set
    },
    {
        "PRE_ROOT68_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a238, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root68_clr
    },
    {
        "PRE_ROOT68_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a23c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root68_tog
    },
    {
        "ACCESS_CTRL68",
        "Access Control Register",
        4, // Width in bytes
        0x0000a270, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl68
    },
    {
        "ACCESS_CTRL_ROOT68_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a274, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root68_set
    },
    {
        "ACCESS_CTRL_ROOT68_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a278, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root68_clr
    },
    {
        "ACCESS_CTRL_ROOT68_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a27c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root68_tog
    },
    {
        "TARGET_ROOT69",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a280, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root69
    },
    {
        "TARGET_ROOT69_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a284, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root69_set
    },
    {
        "TARGET_ROOT69_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a288, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root69_clr
    },
    {
        "TARGET_ROOT69_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a28c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root69_tog
    },
    {
        "MISC69",
        "MISC",
        4, // Width in bytes
        0x0000a290, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc69
    },
    {
        "MISC_ROOT69_SET",
        "Misc",
        4, // Width in bytes
        0x0000a294, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root69_set
    },
    {
        "MISC_ROOT69_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a298, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root69_clr
    },
    {
        "MISC_ROOT69_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a29c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root69_tog
    },
    {
        "POST69",
        "Post Register",
        4, // Width in bytes
        0x0000a2a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post69
    },
    {
        "POST_ROOT69_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a2a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root69_set
    },
    {
        "POST_ROOT69_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a2a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root69_clr
    },
    {
        "POST_ROOT69_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a2ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root69_tog
    },
    {
        "PRE69",
        "Pre Register",
        4, // Width in bytes
        0x0000a2b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre69
    },
    {
        "PRE_ROOT69_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a2b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root69_set
    },
    {
        "PRE_ROOT69_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a2b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root69_clr
    },
    {
        "PRE_ROOT69_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a2bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root69_tog
    },
    {
        "ACCESS_CTRL69",
        "Access Control Register",
        4, // Width in bytes
        0x0000a2f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl69
    },
    {
        "ACCESS_CTRL_ROOT69_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a2f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root69_set
    },
    {
        "ACCESS_CTRL_ROOT69_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a2f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root69_clr
    },
    {
        "ACCESS_CTRL_ROOT69_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a2fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root69_tog
    },
    {
        "TARGET_ROOT70",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root70
    },
    {
        "TARGET_ROOT70_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a304, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root70_set
    },
    {
        "TARGET_ROOT70_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a308, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root70_clr
    },
    {
        "TARGET_ROOT70_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a30c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root70_tog
    },
    {
        "MISC70",
        "MISC",
        4, // Width in bytes
        0x0000a310, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc70
    },
    {
        "MISC_ROOT70_SET",
        "Misc",
        4, // Width in bytes
        0x0000a314, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root70_set
    },
    {
        "MISC_ROOT70_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a318, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root70_clr
    },
    {
        "MISC_ROOT70_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a31c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root70_tog
    },
    {
        "POST70",
        "Post Register",
        4, // Width in bytes
        0x0000a320, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post70
    },
    {
        "POST_ROOT70_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a324, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root70_set
    },
    {
        "POST_ROOT70_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a328, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root70_clr
    },
    {
        "POST_ROOT70_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a32c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root70_tog
    },
    {
        "PRE70",
        "Pre Register",
        4, // Width in bytes
        0x0000a330, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre70
    },
    {
        "PRE_ROOT70_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a334, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root70_set
    },
    {
        "PRE_ROOT70_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a338, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root70_clr
    },
    {
        "PRE_ROOT70_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a33c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root70_tog
    },
    {
        "ACCESS_CTRL70",
        "Access Control Register",
        4, // Width in bytes
        0x0000a370, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl70
    },
    {
        "ACCESS_CTRL_ROOT70_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a374, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root70_set
    },
    {
        "ACCESS_CTRL_ROOT70_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a378, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root70_clr
    },
    {
        "ACCESS_CTRL_ROOT70_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a37c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root70_tog
    },
    {
        "TARGET_ROOT71",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a380, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root71
    },
    {
        "TARGET_ROOT71_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a384, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root71_set
    },
    {
        "TARGET_ROOT71_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a388, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root71_clr
    },
    {
        "TARGET_ROOT71_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a38c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root71_tog
    },
    {
        "MISC71",
        "MISC",
        4, // Width in bytes
        0x0000a390, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc71
    },
    {
        "MISC_ROOT71_SET",
        "Misc",
        4, // Width in bytes
        0x0000a394, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root71_set
    },
    {
        "MISC_ROOT71_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a398, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root71_clr
    },
    {
        "MISC_ROOT71_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a39c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root71_tog
    },
    {
        "POST71",
        "Post Register",
        4, // Width in bytes
        0x0000a3a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post71
    },
    {
        "POST_ROOT71_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a3a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root71_set
    },
    {
        "POST_ROOT71_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a3a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root71_clr
    },
    {
        "POST_ROOT71_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a3ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root71_tog
    },
    {
        "PRE71",
        "Pre Register",
        4, // Width in bytes
        0x0000a3b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre71
    },
    {
        "PRE_ROOT71_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a3b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root71_set
    },
    {
        "PRE_ROOT71_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a3b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root71_clr
    },
    {
        "PRE_ROOT71_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a3bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root71_tog
    },
    {
        "ACCESS_CTRL71",
        "Access Control Register",
        4, // Width in bytes
        0x0000a3f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl71
    },
    {
        "ACCESS_CTRL_ROOT71_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a3f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root71_set
    },
    {
        "ACCESS_CTRL_ROOT71_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a3f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root71_clr
    },
    {
        "ACCESS_CTRL_ROOT71_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a3fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root71_tog
    },
    {
        "TARGET_ROOT72",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a400, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root72
    },
    {
        "TARGET_ROOT72_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a404, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root72_set
    },
    {
        "TARGET_ROOT72_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root72_clr
    },
    {
        "TARGET_ROOT72_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a40c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root72_tog
    },
    {
        "MISC72",
        "MISC",
        4, // Width in bytes
        0x0000a410, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc72
    },
    {
        "MISC_ROOT72_SET",
        "Misc",
        4, // Width in bytes
        0x0000a414, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root72_set
    },
    {
        "MISC_ROOT72_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a418, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root72_clr
    },
    {
        "MISC_ROOT72_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a41c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root72_tog
    },
    {
        "POST72",
        "Post Register",
        4, // Width in bytes
        0x0000a420, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post72
    },
    {
        "POST_ROOT72_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a424, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root72_set
    },
    {
        "POST_ROOT72_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a428, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root72_clr
    },
    {
        "POST_ROOT72_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a42c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root72_tog
    },
    {
        "PRE72",
        "Pre Register",
        4, // Width in bytes
        0x0000a430, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre72
    },
    {
        "PRE_ROOT72_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a434, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root72_set
    },
    {
        "PRE_ROOT72_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a438, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root72_clr
    },
    {
        "PRE_ROOT72_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a43c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root72_tog
    },
    {
        "ACCESS_CTRL72",
        "Access Control Register",
        4, // Width in bytes
        0x0000a470, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl72
    },
    {
        "ACCESS_CTRL_ROOT72_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a474, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root72_set
    },
    {
        "ACCESS_CTRL_ROOT72_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a478, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root72_clr
    },
    {
        "ACCESS_CTRL_ROOT72_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a47c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root72_tog
    },
    {
        "TARGET_ROOT73",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a480, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root73
    },
    {
        "TARGET_ROOT73_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a484, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root73_set
    },
    {
        "TARGET_ROOT73_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a488, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root73_clr
    },
    {
        "TARGET_ROOT73_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a48c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root73_tog
    },
    {
        "MISC73",
        "MISC",
        4, // Width in bytes
        0x0000a490, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc73
    },
    {
        "MISC_ROOT73_SET",
        "Misc",
        4, // Width in bytes
        0x0000a494, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root73_set
    },
    {
        "MISC_ROOT73_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a498, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root73_clr
    },
    {
        "MISC_ROOT73_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a49c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root73_tog
    },
    {
        "POST73",
        "Post Register",
        4, // Width in bytes
        0x0000a4a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post73
    },
    {
        "POST_ROOT73_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a4a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root73_set
    },
    {
        "POST_ROOT73_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a4a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root73_clr
    },
    {
        "POST_ROOT73_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a4ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root73_tog
    },
    {
        "PRE73",
        "Pre Register",
        4, // Width in bytes
        0x0000a4b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre73
    },
    {
        "PRE_ROOT73_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a4b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root73_set
    },
    {
        "PRE_ROOT73_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a4b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root73_clr
    },
    {
        "PRE_ROOT73_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a4bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root73_tog
    },
    {
        "ACCESS_CTRL73",
        "Access Control Register",
        4, // Width in bytes
        0x0000a4f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl73
    },
    {
        "ACCESS_CTRL_ROOT73_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a4f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root73_set
    },
    {
        "ACCESS_CTRL_ROOT73_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a4f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root73_clr
    },
    {
        "ACCESS_CTRL_ROOT73_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a4fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root73_tog
    },
    {
        "TARGET_ROOT74",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a500, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root74
    },
    {
        "TARGET_ROOT74_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a504, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root74_set
    },
    {
        "TARGET_ROOT74_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a508, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root74_clr
    },
    {
        "TARGET_ROOT74_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a50c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root74_tog
    },
    {
        "MISC74",
        "MISC",
        4, // Width in bytes
        0x0000a510, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc74
    },
    {
        "MISC_ROOT74_SET",
        "Misc",
        4, // Width in bytes
        0x0000a514, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root74_set
    },
    {
        "MISC_ROOT74_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a518, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root74_clr
    },
    {
        "MISC_ROOT74_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a51c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root74_tog
    },
    {
        "POST74",
        "Post Register",
        4, // Width in bytes
        0x0000a520, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post74
    },
    {
        "POST_ROOT74_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a524, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root74_set
    },
    {
        "POST_ROOT74_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a528, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root74_clr
    },
    {
        "POST_ROOT74_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a52c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root74_tog
    },
    {
        "PRE74",
        "Pre Register",
        4, // Width in bytes
        0x0000a530, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre74
    },
    {
        "PRE_ROOT74_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a534, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root74_set
    },
    {
        "PRE_ROOT74_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a538, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root74_clr
    },
    {
        "PRE_ROOT74_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a53c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root74_tog
    },
    {
        "ACCESS_CTRL74",
        "Access Control Register",
        4, // Width in bytes
        0x0000a570, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl74
    },
    {
        "ACCESS_CTRL_ROOT74_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a574, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root74_set
    },
    {
        "ACCESS_CTRL_ROOT74_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a578, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root74_clr
    },
    {
        "ACCESS_CTRL_ROOT74_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a57c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root74_tog
    },
    {
        "TARGET_ROOT75",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a580, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root75
    },
    {
        "TARGET_ROOT75_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a584, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root75_set
    },
    {
        "TARGET_ROOT75_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a588, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root75_clr
    },
    {
        "TARGET_ROOT75_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a58c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root75_tog
    },
    {
        "MISC75",
        "MISC",
        4, // Width in bytes
        0x0000a590, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc75
    },
    {
        "MISC_ROOT75_SET",
        "Misc",
        4, // Width in bytes
        0x0000a594, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root75_set
    },
    {
        "MISC_ROOT75_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a598, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root75_clr
    },
    {
        "MISC_ROOT75_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a59c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root75_tog
    },
    {
        "POST75",
        "Post Register",
        4, // Width in bytes
        0x0000a5a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post75
    },
    {
        "POST_ROOT75_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a5a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root75_set
    },
    {
        "POST_ROOT75_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a5a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root75_clr
    },
    {
        "POST_ROOT75_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a5ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root75_tog
    },
    {
        "PRE75",
        "Pre Register",
        4, // Width in bytes
        0x0000a5b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre75
    },
    {
        "PRE_ROOT75_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a5b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root75_set
    },
    {
        "PRE_ROOT75_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a5b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root75_clr
    },
    {
        "PRE_ROOT75_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a5bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root75_tog
    },
    {
        "ACCESS_CTRL75",
        "Access Control Register",
        4, // Width in bytes
        0x0000a5f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl75
    },
    {
        "ACCESS_CTRL_ROOT75_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a5f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root75_set
    },
    {
        "ACCESS_CTRL_ROOT75_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a5f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root75_clr
    },
    {
        "ACCESS_CTRL_ROOT75_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a5fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root75_tog
    },
    {
        "TARGET_ROOT76",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a600, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root76
    },
    {
        "TARGET_ROOT76_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root76_set
    },
    {
        "TARGET_ROOT76_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root76_clr
    },
    {
        "TARGET_ROOT76_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a60c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root76_tog
    },
    {
        "MISC76",
        "MISC",
        4, // Width in bytes
        0x0000a610, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc76
    },
    {
        "MISC_ROOT76_SET",
        "Misc",
        4, // Width in bytes
        0x0000a614, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root76_set
    },
    {
        "MISC_ROOT76_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a618, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root76_clr
    },
    {
        "MISC_ROOT76_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a61c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root76_tog
    },
    {
        "POST76",
        "Post Register",
        4, // Width in bytes
        0x0000a620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post76
    },
    {
        "POST_ROOT76_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a624, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root76_set
    },
    {
        "POST_ROOT76_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a628, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root76_clr
    },
    {
        "POST_ROOT76_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a62c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root76_tog
    },
    {
        "PRE76",
        "Pre Register",
        4, // Width in bytes
        0x0000a630, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre76
    },
    {
        "PRE_ROOT76_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a634, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root76_set
    },
    {
        "PRE_ROOT76_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a638, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root76_clr
    },
    {
        "PRE_ROOT76_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a63c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root76_tog
    },
    {
        "ACCESS_CTRL76",
        "Access Control Register",
        4, // Width in bytes
        0x0000a670, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl76
    },
    {
        "ACCESS_CTRL_ROOT76_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a674, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root76_set
    },
    {
        "ACCESS_CTRL_ROOT76_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a678, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root76_clr
    },
    {
        "ACCESS_CTRL_ROOT76_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a67c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root76_tog
    },
    {
        "TARGET_ROOT77",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root77
    },
    {
        "TARGET_ROOT77_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a684, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root77_set
    },
    {
        "TARGET_ROOT77_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a688, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root77_clr
    },
    {
        "TARGET_ROOT77_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a68c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root77_tog
    },
    {
        "MISC77",
        "MISC",
        4, // Width in bytes
        0x0000a690, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc77
    },
    {
        "MISC_ROOT77_SET",
        "Misc",
        4, // Width in bytes
        0x0000a694, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root77_set
    },
    {
        "MISC_ROOT77_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a698, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root77_clr
    },
    {
        "MISC_ROOT77_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a69c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root77_tog
    },
    {
        "POST77",
        "Post Register",
        4, // Width in bytes
        0x0000a6a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post77
    },
    {
        "POST_ROOT77_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a6a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root77_set
    },
    {
        "POST_ROOT77_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a6a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root77_clr
    },
    {
        "POST_ROOT77_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a6ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root77_tog
    },
    {
        "PRE77",
        "Pre Register",
        4, // Width in bytes
        0x0000a6b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre77
    },
    {
        "PRE_ROOT77_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a6b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root77_set
    },
    {
        "PRE_ROOT77_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a6b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root77_clr
    },
    {
        "PRE_ROOT77_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a6bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root77_tog
    },
    {
        "ACCESS_CTRL77",
        "Access Control Register",
        4, // Width in bytes
        0x0000a6f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl77
    },
    {
        "ACCESS_CTRL_ROOT77_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a6f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root77_set
    },
    {
        "ACCESS_CTRL_ROOT77_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a6f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root77_clr
    },
    {
        "ACCESS_CTRL_ROOT77_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a6fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root77_tog
    },
    {
        "TARGET_ROOT78",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a700, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root78
    },
    {
        "TARGET_ROOT78_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a704, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root78_set
    },
    {
        "TARGET_ROOT78_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a708, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root78_clr
    },
    {
        "TARGET_ROOT78_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a70c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root78_tog
    },
    {
        "MISC78",
        "MISC",
        4, // Width in bytes
        0x0000a710, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc78
    },
    {
        "MISC_ROOT78_SET",
        "Misc",
        4, // Width in bytes
        0x0000a714, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root78_set
    },
    {
        "MISC_ROOT78_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a718, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root78_clr
    },
    {
        "MISC_ROOT78_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a71c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root78_tog
    },
    {
        "POST78",
        "Post Register",
        4, // Width in bytes
        0x0000a720, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post78
    },
    {
        "POST_ROOT78_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a724, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root78_set
    },
    {
        "POST_ROOT78_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a728, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root78_clr
    },
    {
        "POST_ROOT78_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a72c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root78_tog
    },
    {
        "PRE78",
        "Pre Register",
        4, // Width in bytes
        0x0000a730, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre78
    },
    {
        "PRE_ROOT78_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a734, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root78_set
    },
    {
        "PRE_ROOT78_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a738, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root78_clr
    },
    {
        "PRE_ROOT78_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a73c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root78_tog
    },
    {
        "ACCESS_CTRL78",
        "Access Control Register",
        4, // Width in bytes
        0x0000a770, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl78
    },
    {
        "ACCESS_CTRL_ROOT78_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a774, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root78_set
    },
    {
        "ACCESS_CTRL_ROOT78_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a778, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root78_clr
    },
    {
        "ACCESS_CTRL_ROOT78_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a77c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root78_tog
    },
    {
        "TARGET_ROOT79",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a780, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root79
    },
    {
        "TARGET_ROOT79_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a784, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root79_set
    },
    {
        "TARGET_ROOT79_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a788, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root79_clr
    },
    {
        "TARGET_ROOT79_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a78c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root79_tog
    },
    {
        "MISC79",
        "MISC",
        4, // Width in bytes
        0x0000a790, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc79
    },
    {
        "MISC_ROOT79_SET",
        "Misc",
        4, // Width in bytes
        0x0000a794, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root79_set
    },
    {
        "MISC_ROOT79_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a798, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root79_clr
    },
    {
        "MISC_ROOT79_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a79c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root79_tog
    },
    {
        "POST79",
        "Post Register",
        4, // Width in bytes
        0x0000a7a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post79
    },
    {
        "POST_ROOT79_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a7a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root79_set
    },
    {
        "POST_ROOT79_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a7a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root79_clr
    },
    {
        "POST_ROOT79_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a7ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root79_tog
    },
    {
        "PRE79",
        "Pre Register",
        4, // Width in bytes
        0x0000a7b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre79
    },
    {
        "PRE_ROOT79_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a7b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root79_set
    },
    {
        "PRE_ROOT79_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a7b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root79_clr
    },
    {
        "PRE_ROOT79_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a7bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root79_tog
    },
    {
        "ACCESS_CTRL79",
        "Access Control Register",
        4, // Width in bytes
        0x0000a7f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl79
    },
    {
        "ACCESS_CTRL_ROOT79_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a7f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root79_set
    },
    {
        "ACCESS_CTRL_ROOT79_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a7f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root79_clr
    },
    {
        "ACCESS_CTRL_ROOT79_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a7fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root79_tog
    },
    {
        "TARGET_ROOT80",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root80
    },
    {
        "TARGET_ROOT80_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root80_set
    },
    {
        "TARGET_ROOT80_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root80_clr
    },
    {
        "TARGET_ROOT80_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a80c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root80_tog
    },
    {
        "MISC80",
        "MISC",
        4, // Width in bytes
        0x0000a810, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc80
    },
    {
        "MISC_ROOT80_SET",
        "Misc",
        4, // Width in bytes
        0x0000a814, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root80_set
    },
    {
        "MISC_ROOT80_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a818, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root80_clr
    },
    {
        "MISC_ROOT80_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a81c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root80_tog
    },
    {
        "POST80",
        "Post Register",
        4, // Width in bytes
        0x0000a820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post80
    },
    {
        "POST_ROOT80_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root80_set
    },
    {
        "POST_ROOT80_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root80_clr
    },
    {
        "POST_ROOT80_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a82c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root80_tog
    },
    {
        "PRE80",
        "Pre Register",
        4, // Width in bytes
        0x0000a830, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre80
    },
    {
        "PRE_ROOT80_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a834, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root80_set
    },
    {
        "PRE_ROOT80_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a838, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root80_clr
    },
    {
        "PRE_ROOT80_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a83c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root80_tog
    },
    {
        "ACCESS_CTRL80",
        "Access Control Register",
        4, // Width in bytes
        0x0000a870, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl80
    },
    {
        "ACCESS_CTRL_ROOT80_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a874, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root80_set
    },
    {
        "ACCESS_CTRL_ROOT80_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a878, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root80_clr
    },
    {
        "ACCESS_CTRL_ROOT80_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a87c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root80_tog
    },
    {
        "TARGET_ROOT81",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root81
    },
    {
        "TARGET_ROOT81_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root81_set
    },
    {
        "TARGET_ROOT81_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root81_clr
    },
    {
        "TARGET_ROOT81_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a88c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root81_tog
    },
    {
        "MISC81",
        "MISC",
        4, // Width in bytes
        0x0000a890, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc81
    },
    {
        "MISC_ROOT81_SET",
        "Misc",
        4, // Width in bytes
        0x0000a894, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root81_set
    },
    {
        "MISC_ROOT81_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a898, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root81_clr
    },
    {
        "MISC_ROOT81_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a89c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root81_tog
    },
    {
        "POST81",
        "Post Register",
        4, // Width in bytes
        0x0000a8a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post81
    },
    {
        "POST_ROOT81_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a8a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root81_set
    },
    {
        "POST_ROOT81_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a8a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root81_clr
    },
    {
        "POST_ROOT81_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a8ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root81_tog
    },
    {
        "PRE81",
        "Pre Register",
        4, // Width in bytes
        0x0000a8b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre81
    },
    {
        "PRE_ROOT81_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a8b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root81_set
    },
    {
        "PRE_ROOT81_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a8b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root81_clr
    },
    {
        "PRE_ROOT81_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a8bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root81_tog
    },
    {
        "ACCESS_CTRL81",
        "Access Control Register",
        4, // Width in bytes
        0x0000a8f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl81
    },
    {
        "ACCESS_CTRL_ROOT81_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a8f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root81_set
    },
    {
        "ACCESS_CTRL_ROOT81_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a8f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root81_clr
    },
    {
        "ACCESS_CTRL_ROOT81_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a8fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root81_tog
    },
    {
        "TARGET_ROOT82",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root82
    },
    {
        "TARGET_ROOT82_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root82_set
    },
    {
        "TARGET_ROOT82_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root82_clr
    },
    {
        "TARGET_ROOT82_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a90c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root82_tog
    },
    {
        "MISC82",
        "MISC",
        4, // Width in bytes
        0x0000a910, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc82
    },
    {
        "MISC_ROOT82_SET",
        "Misc",
        4, // Width in bytes
        0x0000a914, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root82_set
    },
    {
        "MISC_ROOT82_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a918, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root82_clr
    },
    {
        "MISC_ROOT82_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a91c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root82_tog
    },
    {
        "POST82",
        "Post Register",
        4, // Width in bytes
        0x0000a920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post82
    },
    {
        "POST_ROOT82_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root82_set
    },
    {
        "POST_ROOT82_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root82_clr
    },
    {
        "POST_ROOT82_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a92c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root82_tog
    },
    {
        "PRE82",
        "Pre Register",
        4, // Width in bytes
        0x0000a930, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre82
    },
    {
        "PRE_ROOT82_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a934, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root82_set
    },
    {
        "PRE_ROOT82_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a938, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root82_clr
    },
    {
        "PRE_ROOT82_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a93c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root82_tog
    },
    {
        "ACCESS_CTRL82",
        "Access Control Register",
        4, // Width in bytes
        0x0000a970, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl82
    },
    {
        "ACCESS_CTRL_ROOT82_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a974, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root82_set
    },
    {
        "ACCESS_CTRL_ROOT82_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a978, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root82_clr
    },
    {
        "ACCESS_CTRL_ROOT82_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a97c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root82_tog
    },
    {
        "TARGET_ROOT83",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root83
    },
    {
        "TARGET_ROOT83_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root83_set
    },
    {
        "TARGET_ROOT83_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root83_clr
    },
    {
        "TARGET_ROOT83_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a98c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root83_tog
    },
    {
        "MISC83",
        "MISC",
        4, // Width in bytes
        0x0000a990, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc83
    },
    {
        "MISC_ROOT83_SET",
        "Misc",
        4, // Width in bytes
        0x0000a994, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root83_set
    },
    {
        "MISC_ROOT83_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a998, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root83_clr
    },
    {
        "MISC_ROOT83_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a99c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root83_tog
    },
    {
        "POST83",
        "Post Register",
        4, // Width in bytes
        0x0000a9a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post83
    },
    {
        "POST_ROOT83_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a9a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root83_set
    },
    {
        "POST_ROOT83_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a9a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root83_clr
    },
    {
        "POST_ROOT83_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a9ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root83_tog
    },
    {
        "PRE83",
        "Pre Register",
        4, // Width in bytes
        0x0000a9b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre83
    },
    {
        "PRE_ROOT83_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a9b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root83_set
    },
    {
        "PRE_ROOT83_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a9b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root83_clr
    },
    {
        "PRE_ROOT83_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a9bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root83_tog
    },
    {
        "ACCESS_CTRL83",
        "Access Control Register",
        4, // Width in bytes
        0x0000a9f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl83
    },
    {
        "ACCESS_CTRL_ROOT83_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a9f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root83_set
    },
    {
        "ACCESS_CTRL_ROOT83_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a9f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root83_clr
    },
    {
        "ACCESS_CTRL_ROOT83_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a9fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root83_tog
    },
    {
        "TARGET_ROOT84",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root84
    },
    {
        "TARGET_ROOT84_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root84_set
    },
    {
        "TARGET_ROOT84_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root84_clr
    },
    {
        "TARGET_ROOT84_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root84_tog
    },
    {
        "MISC84",
        "MISC",
        4, // Width in bytes
        0x0000aa10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc84
    },
    {
        "MISC_ROOT84_SET",
        "Misc",
        4, // Width in bytes
        0x0000aa14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root84_set
    },
    {
        "MISC_ROOT84_CLR",
        "MISC",
        4, // Width in bytes
        0x0000aa18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root84_clr
    },
    {
        "MISC_ROOT84_TOG",
        "MISC",
        4, // Width in bytes
        0x0000aa1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root84_tog
    },
    {
        "POST84",
        "Post Register",
        4, // Width in bytes
        0x0000aa20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post84
    },
    {
        "POST_ROOT84_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000aa24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root84_set
    },
    {
        "POST_ROOT84_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000aa28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root84_clr
    },
    {
        "POST_ROOT84_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000aa2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root84_tog
    },
    {
        "PRE84",
        "Pre Register",
        4, // Width in bytes
        0x0000aa30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre84
    },
    {
        "PRE_ROOT84_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000aa34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root84_set
    },
    {
        "PRE_ROOT84_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000aa38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root84_clr
    },
    {
        "PRE_ROOT84_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000aa3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root84_tog
    },
    {
        "ACCESS_CTRL84",
        "Access Control Register",
        4, // Width in bytes
        0x0000aa70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl84
    },
    {
        "ACCESS_CTRL_ROOT84_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000aa74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root84_set
    },
    {
        "ACCESS_CTRL_ROOT84_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000aa78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root84_clr
    },
    {
        "ACCESS_CTRL_ROOT84_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000aa7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root84_tog
    },
    {
        "TARGET_ROOT85",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root85
    },
    {
        "TARGET_ROOT85_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root85_set
    },
    {
        "TARGET_ROOT85_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root85_clr
    },
    {
        "TARGET_ROOT85_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root85_tog
    },
    {
        "MISC85",
        "MISC",
        4, // Width in bytes
        0x0000aa90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc85
    },
    {
        "MISC_ROOT85_SET",
        "Misc",
        4, // Width in bytes
        0x0000aa94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root85_set
    },
    {
        "MISC_ROOT85_CLR",
        "MISC",
        4, // Width in bytes
        0x0000aa98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root85_clr
    },
    {
        "MISC_ROOT85_TOG",
        "MISC",
        4, // Width in bytes
        0x0000aa9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root85_tog
    },
    {
        "POST85",
        "Post Register",
        4, // Width in bytes
        0x0000aaa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post85
    },
    {
        "POST_ROOT85_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000aaa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root85_set
    },
    {
        "POST_ROOT85_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000aaa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root85_clr
    },
    {
        "POST_ROOT85_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000aaac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root85_tog
    },
    {
        "PRE85",
        "Pre Register",
        4, // Width in bytes
        0x0000aab0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre85
    },
    {
        "PRE_ROOT85_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000aab4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root85_set
    },
    {
        "PRE_ROOT85_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000aab8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root85_clr
    },
    {
        "PRE_ROOT85_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000aabc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root85_tog
    },
    {
        "ACCESS_CTRL85",
        "Access Control Register",
        4, // Width in bytes
        0x0000aaf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl85
    },
    {
        "ACCESS_CTRL_ROOT85_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000aaf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root85_set
    },
    {
        "ACCESS_CTRL_ROOT85_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000aaf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root85_clr
    },
    {
        "ACCESS_CTRL_ROOT85_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000aafc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root85_tog
    },
    {
        "TARGET_ROOT86",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root86
    },
    {
        "TARGET_ROOT86_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root86_set
    },
    {
        "TARGET_ROOT86_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root86_clr
    },
    {
        "TARGET_ROOT86_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root86_tog
    },
    {
        "MISC86",
        "MISC",
        4, // Width in bytes
        0x0000ab10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc86
    },
    {
        "MISC_ROOT86_SET",
        "Misc",
        4, // Width in bytes
        0x0000ab14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root86_set
    },
    {
        "MISC_ROOT86_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ab18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root86_clr
    },
    {
        "MISC_ROOT86_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ab1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root86_tog
    },
    {
        "POST86",
        "Post Register",
        4, // Width in bytes
        0x0000ab20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post86
    },
    {
        "POST_ROOT86_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ab24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root86_set
    },
    {
        "POST_ROOT86_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ab28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root86_clr
    },
    {
        "POST_ROOT86_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000ab2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root86_tog
    },
    {
        "PRE86",
        "Pre Register",
        4, // Width in bytes
        0x0000ab30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre86
    },
    {
        "PRE_ROOT86_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000ab34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root86_set
    },
    {
        "PRE_ROOT86_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000ab38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root86_clr
    },
    {
        "PRE_ROOT86_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000ab3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root86_tog
    },
    {
        "ACCESS_CTRL86",
        "Access Control Register",
        4, // Width in bytes
        0x0000ab70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl86
    },
    {
        "ACCESS_CTRL_ROOT86_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000ab74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root86_set
    },
    {
        "ACCESS_CTRL_ROOT86_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000ab78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root86_clr
    },
    {
        "ACCESS_CTRL_ROOT86_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000ab7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root86_tog
    },
    {
        "TARGET_ROOT87",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root87
    },
    {
        "TARGET_ROOT87_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root87_set
    },
    {
        "TARGET_ROOT87_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root87_clr
    },
    {
        "TARGET_ROOT87_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root87_tog
    },
    {
        "MISC87",
        "MISC",
        4, // Width in bytes
        0x0000ab90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc87
    },
    {
        "MISC_ROOT87_SET",
        "Misc",
        4, // Width in bytes
        0x0000ab94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root87_set
    },
    {
        "MISC_ROOT87_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ab98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root87_clr
    },
    {
        "MISC_ROOT87_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ab9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root87_tog
    },
    {
        "POST87",
        "Post Register",
        4, // Width in bytes
        0x0000aba0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post87
    },
    {
        "POST_ROOT87_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000aba4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root87_set
    },
    {
        "POST_ROOT87_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000aba8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root87_clr
    },
    {
        "POST_ROOT87_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000abac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root87_tog
    },
    {
        "PRE87",
        "Pre Register",
        4, // Width in bytes
        0x0000abb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre87
    },
    {
        "PRE_ROOT87_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000abb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root87_set
    },
    {
        "PRE_ROOT87_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000abb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root87_clr
    },
    {
        "PRE_ROOT87_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000abbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root87_tog
    },
    {
        "ACCESS_CTRL87",
        "Access Control Register",
        4, // Width in bytes
        0x0000abf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl87
    },
    {
        "ACCESS_CTRL_ROOT87_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000abf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root87_set
    },
    {
        "ACCESS_CTRL_ROOT87_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000abf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root87_clr
    },
    {
        "ACCESS_CTRL_ROOT87_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000abfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root87_tog
    },
    {
        "TARGET_ROOT88",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root88
    },
    {
        "TARGET_ROOT88_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root88_set
    },
    {
        "TARGET_ROOT88_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root88_clr
    },
    {
        "TARGET_ROOT88_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root88_tog
    },
    {
        "MISC88",
        "MISC",
        4, // Width in bytes
        0x0000ac10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc88
    },
    {
        "MISC_ROOT88_SET",
        "Misc",
        4, // Width in bytes
        0x0000ac14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root88_set
    },
    {
        "MISC_ROOT88_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ac18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root88_clr
    },
    {
        "MISC_ROOT88_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ac1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root88_tog
    },
    {
        "POST88",
        "Post Register",
        4, // Width in bytes
        0x0000ac20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post88
    },
    {
        "POST_ROOT88_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ac24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root88_set
    },
    {
        "POST_ROOT88_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ac28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root88_clr
    },
    {
        "POST_ROOT88_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000ac2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root88_tog
    },
    {
        "PRE88",
        "Pre Register",
        4, // Width in bytes
        0x0000ac30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre88
    },
    {
        "PRE_ROOT88_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000ac34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root88_set
    },
    {
        "PRE_ROOT88_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000ac38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root88_clr
    },
    {
        "PRE_ROOT88_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000ac3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root88_tog
    },
    {
        "ACCESS_CTRL88",
        "Access Control Register",
        4, // Width in bytes
        0x0000ac70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl88
    },
    {
        "ACCESS_CTRL_ROOT88_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000ac74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root88_set
    },
    {
        "ACCESS_CTRL_ROOT88_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000ac78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root88_clr
    },
    {
        "ACCESS_CTRL_ROOT88_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000ac7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root88_tog
    },
    {
        "TARGET_ROOT89",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root89
    },
    {
        "TARGET_ROOT89_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root89_set
    },
    {
        "TARGET_ROOT89_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root89_clr
    },
    {
        "TARGET_ROOT89_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root89_tog
    },
    {
        "MISC89",
        "MISC",
        4, // Width in bytes
        0x0000ac90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc89
    },
    {
        "MISC_ROOT89_SET",
        "Misc",
        4, // Width in bytes
        0x0000ac94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root89_set
    },
    {
        "MISC_ROOT89_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ac98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root89_clr
    },
    {
        "MISC_ROOT89_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ac9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root89_tog
    },
    {
        "POST89",
        "Post Register",
        4, // Width in bytes
        0x0000aca0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post89
    },
    {
        "POST_ROOT89_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000aca4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root89_set
    },
    {
        "POST_ROOT89_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000aca8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root89_clr
    },
    {
        "POST_ROOT89_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000acac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root89_tog
    },
    {
        "PRE89",
        "Pre Register",
        4, // Width in bytes
        0x0000acb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre89
    },
    {
        "PRE_ROOT89_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000acb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root89_set
    },
    {
        "PRE_ROOT89_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000acb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root89_clr
    },
    {
        "PRE_ROOT89_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000acbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root89_tog
    },
    {
        "ACCESS_CTRL89",
        "Access Control Register",
        4, // Width in bytes
        0x0000acf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl89
    },
    {
        "ACCESS_CTRL_ROOT89_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000acf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root89_set
    },
    {
        "ACCESS_CTRL_ROOT89_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000acf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root89_clr
    },
    {
        "ACCESS_CTRL_ROOT89_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000acfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root89_tog
    },
    {
        "TARGET_ROOT90",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root90
    },
    {
        "TARGET_ROOT90_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root90_set
    },
    {
        "TARGET_ROOT90_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root90_clr
    },
    {
        "TARGET_ROOT90_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root90_tog
    },
    {
        "MISC90",
        "MISC",
        4, // Width in bytes
        0x0000ad10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc90
    },
    {
        "MISC_ROOT90_SET",
        "Misc",
        4, // Width in bytes
        0x0000ad14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root90_set
    },
    {
        "MISC_ROOT90_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ad18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root90_clr
    },
    {
        "MISC_ROOT90_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ad1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root90_tog
    },
    {
        "POST90",
        "Post Register",
        4, // Width in bytes
        0x0000ad20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post90
    },
    {
        "POST_ROOT90_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ad24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root90_set
    },
    {
        "POST_ROOT90_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ad28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root90_clr
    },
    {
        "POST_ROOT90_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000ad2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root90_tog
    },
    {
        "PRE90",
        "Pre Register",
        4, // Width in bytes
        0x0000ad30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre90
    },
    {
        "PRE_ROOT90_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000ad34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root90_set
    },
    {
        "PRE_ROOT90_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000ad38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root90_clr
    },
    {
        "PRE_ROOT90_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000ad3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root90_tog
    },
    {
        "ACCESS_CTRL90",
        "Access Control Register",
        4, // Width in bytes
        0x0000ad70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl90
    },
    {
        "ACCESS_CTRL_ROOT90_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000ad74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root90_set
    },
    {
        "ACCESS_CTRL_ROOT90_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000ad78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root90_clr
    },
    {
        "ACCESS_CTRL_ROOT90_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000ad7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root90_tog
    },
    {
        "TARGET_ROOT91",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root91
    },
    {
        "TARGET_ROOT91_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root91_set
    },
    {
        "TARGET_ROOT91_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root91_clr
    },
    {
        "TARGET_ROOT91_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root91_tog
    },
    {
        "MISC91",
        "MISC",
        4, // Width in bytes
        0x0000ad90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc91
    },
    {
        "MISC_ROOT91_SET",
        "Misc",
        4, // Width in bytes
        0x0000ad94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root91_set
    },
    {
        "MISC_ROOT91_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ad98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root91_clr
    },
    {
        "MISC_ROOT91_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ad9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root91_tog
    },
    {
        "POST91",
        "Post Register",
        4, // Width in bytes
        0x0000ada0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post91
    },
    {
        "POST_ROOT91_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ada4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root91_set
    },
    {
        "POST_ROOT91_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ada8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root91_clr
    },
    {
        "POST_ROOT91_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000adac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root91_tog
    },
    {
        "PRE91",
        "Pre Register",
        4, // Width in bytes
        0x0000adb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre91
    },
    {
        "PRE_ROOT91_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000adb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root91_set
    },
    {
        "PRE_ROOT91_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000adb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root91_clr
    },
    {
        "PRE_ROOT91_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000adbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root91_tog
    },
    {
        "ACCESS_CTRL91",
        "Access Control Register",
        4, // Width in bytes
        0x0000adf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl91
    },
    {
        "ACCESS_CTRL_ROOT91_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000adf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root91_set
    },
    {
        "ACCESS_CTRL_ROOT91_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000adf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root91_clr
    },
    {
        "ACCESS_CTRL_ROOT91_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000adfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root91_tog
    },
    {
        "TARGET_ROOT92",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root92
    },
    {
        "TARGET_ROOT92_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root92_set
    },
    {
        "TARGET_ROOT92_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root92_clr
    },
    {
        "TARGET_ROOT92_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root92_tog
    },
    {
        "MISC92",
        "MISC",
        4, // Width in bytes
        0x0000ae10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc92
    },
    {
        "MISC_ROOT92_SET",
        "Misc",
        4, // Width in bytes
        0x0000ae14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root92_set
    },
    {
        "MISC_ROOT92_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ae18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root92_clr
    },
    {
        "MISC_ROOT92_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ae1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root92_tog
    },
    {
        "POST92",
        "Post Register",
        4, // Width in bytes
        0x0000ae20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post92
    },
    {
        "POST_ROOT92_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ae24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root92_set
    },
    {
        "POST_ROOT92_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ae28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root92_clr
    },
    {
        "POST_ROOT92_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000ae2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root92_tog
    },
    {
        "PRE92",
        "Pre Register",
        4, // Width in bytes
        0x0000ae30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre92
    },
    {
        "PRE_ROOT92_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000ae34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root92_set
    },
    {
        "PRE_ROOT92_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000ae38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root92_clr
    },
    {
        "PRE_ROOT92_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000ae3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root92_tog
    },
    {
        "ACCESS_CTRL92",
        "Access Control Register",
        4, // Width in bytes
        0x0000ae70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl92
    },
    {
        "ACCESS_CTRL_ROOT92_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000ae74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root92_set
    },
    {
        "ACCESS_CTRL_ROOT92_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000ae78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root92_clr
    },
    {
        "ACCESS_CTRL_ROOT92_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000ae7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root92_tog
    },
    {
        "TARGET_ROOT93",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root93
    },
    {
        "TARGET_ROOT93_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root93_set
    },
    {
        "TARGET_ROOT93_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root93_clr
    },
    {
        "TARGET_ROOT93_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root93_tog
    },
    {
        "MISC93",
        "MISC",
        4, // Width in bytes
        0x0000ae90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc93
    },
    {
        "MISC_ROOT93_SET",
        "Misc",
        4, // Width in bytes
        0x0000ae94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root93_set
    },
    {
        "MISC_ROOT93_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ae98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root93_clr
    },
    {
        "MISC_ROOT93_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ae9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root93_tog
    },
    {
        "POST93",
        "Post Register",
        4, // Width in bytes
        0x0000aea0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post93
    },
    {
        "POST_ROOT93_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000aea4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root93_set
    },
    {
        "POST_ROOT93_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000aea8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root93_clr
    },
    {
        "POST_ROOT93_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000aeac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root93_tog
    },
    {
        "PRE93",
        "Pre Register",
        4, // Width in bytes
        0x0000aeb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre93
    },
    {
        "PRE_ROOT93_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000aeb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root93_set
    },
    {
        "PRE_ROOT93_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000aeb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root93_clr
    },
    {
        "PRE_ROOT93_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000aebc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root93_tog
    },
    {
        "ACCESS_CTRL93",
        "Access Control Register",
        4, // Width in bytes
        0x0000aef0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl93
    },
    {
        "ACCESS_CTRL_ROOT93_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000aef4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root93_set
    },
    {
        "ACCESS_CTRL_ROOT93_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000aef8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root93_clr
    },
    {
        "ACCESS_CTRL_ROOT93_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000aefc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root93_tog
    },
    {
        "TARGET_ROOT94",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root94
    },
    {
        "TARGET_ROOT94_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root94_set
    },
    {
        "TARGET_ROOT94_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root94_clr
    },
    {
        "TARGET_ROOT94_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root94_tog
    },
    {
        "MISC94",
        "MISC",
        4, // Width in bytes
        0x0000af10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc94
    },
    {
        "MISC_ROOT94_SET",
        "Misc",
        4, // Width in bytes
        0x0000af14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root94_set
    },
    {
        "MISC_ROOT94_CLR",
        "MISC",
        4, // Width in bytes
        0x0000af18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root94_clr
    },
    {
        "MISC_ROOT94_TOG",
        "MISC",
        4, // Width in bytes
        0x0000af1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root94_tog
    },
    {
        "POST94",
        "Post Register",
        4, // Width in bytes
        0x0000af20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post94
    },
    {
        "POST_ROOT94_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000af24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root94_set
    },
    {
        "POST_ROOT94_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000af28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root94_clr
    },
    {
        "POST_ROOT94_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000af2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root94_tog
    },
    {
        "PRE94",
        "Pre Register",
        4, // Width in bytes
        0x0000af30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre94
    },
    {
        "PRE_ROOT94_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000af34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root94_set
    },
    {
        "PRE_ROOT94_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000af38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root94_clr
    },
    {
        "PRE_ROOT94_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000af3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root94_tog
    },
    {
        "ACCESS_CTRL94",
        "Access Control Register",
        4, // Width in bytes
        0x0000af70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl94
    },
    {
        "ACCESS_CTRL_ROOT94_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000af74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root94_set
    },
    {
        "ACCESS_CTRL_ROOT94_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000af78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root94_clr
    },
    {
        "ACCESS_CTRL_ROOT94_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000af7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root94_tog
    },
    {
        "TARGET_ROOT95",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root95
    },
    {
        "TARGET_ROOT95_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root95_set
    },
    {
        "TARGET_ROOT95_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root95_clr
    },
    {
        "TARGET_ROOT95_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root95_tog
    },
    {
        "MISC95",
        "MISC",
        4, // Width in bytes
        0x0000af90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc95
    },
    {
        "MISC_ROOT95_SET",
        "Misc",
        4, // Width in bytes
        0x0000af94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root95_set
    },
    {
        "MISC_ROOT95_CLR",
        "MISC",
        4, // Width in bytes
        0x0000af98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root95_clr
    },
    {
        "MISC_ROOT95_TOG",
        "MISC",
        4, // Width in bytes
        0x0000af9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root95_tog
    },
    {
        "POST95",
        "Post Register",
        4, // Width in bytes
        0x0000afa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post95
    },
    {
        "POST_ROOT95_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000afa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root95_set
    },
    {
        "POST_ROOT95_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000afa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root95_clr
    },
    {
        "POST_ROOT95_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000afac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root95_tog
    },
    {
        "PRE95",
        "Pre Register",
        4, // Width in bytes
        0x0000afb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre95
    },
    {
        "PRE_ROOT95_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000afb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root95_set
    },
    {
        "PRE_ROOT95_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000afb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root95_clr
    },
    {
        "PRE_ROOT95_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000afbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root95_tog
    },
    {
        "ACCESS_CTRL95",
        "Access Control Register",
        4, // Width in bytes
        0x0000aff0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl95
    },
    {
        "ACCESS_CTRL_ROOT95_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000aff4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root95_set
    },
    {
        "ACCESS_CTRL_ROOT95_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000aff8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root95_clr
    },
    {
        "ACCESS_CTRL_ROOT95_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000affc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root95_tog
    },
    {
        "TARGET_ROOT96",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root96
    },
    {
        "TARGET_ROOT96_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root96_set
    },
    {
        "TARGET_ROOT96_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root96_clr
    },
    {
        "TARGET_ROOT96_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b00c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root96_tog
    },
    {
        "MISC96",
        "MISC",
        4, // Width in bytes
        0x0000b010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc96
    },
    {
        "MISC_ROOT96_SET",
        "Misc",
        4, // Width in bytes
        0x0000b014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root96_set
    },
    {
        "MISC_ROOT96_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b018, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root96_clr
    },
    {
        "MISC_ROOT96_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b01c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root96_tog
    },
    {
        "POST96",
        "Post Register",
        4, // Width in bytes
        0x0000b020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post96
    },
    {
        "POST_ROOT96_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root96_set
    },
    {
        "POST_ROOT96_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root96_clr
    },
    {
        "POST_ROOT96_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b02c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root96_tog
    },
    {
        "PRE96",
        "Pre Register",
        4, // Width in bytes
        0x0000b030, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre96
    },
    {
        "PRE_ROOT96_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b034, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root96_set
    },
    {
        "PRE_ROOT96_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b038, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root96_clr
    },
    {
        "PRE_ROOT96_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b03c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root96_tog
    },
    {
        "ACCESS_CTRL96",
        "Access Control Register",
        4, // Width in bytes
        0x0000b070, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl96
    },
    {
        "ACCESS_CTRL_ROOT96_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b074, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root96_set
    },
    {
        "ACCESS_CTRL_ROOT96_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b078, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root96_clr
    },
    {
        "ACCESS_CTRL_ROOT96_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b07c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root96_tog
    },
    {
        "TARGET_ROOT97",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root97
    },
    {
        "TARGET_ROOT97_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root97_set
    },
    {
        "TARGET_ROOT97_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root97_clr
    },
    {
        "TARGET_ROOT97_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b08c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root97_tog
    },
    {
        "MISC97",
        "MISC",
        4, // Width in bytes
        0x0000b090, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc97
    },
    {
        "MISC_ROOT97_SET",
        "Misc",
        4, // Width in bytes
        0x0000b094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root97_set
    },
    {
        "MISC_ROOT97_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b098, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root97_clr
    },
    {
        "MISC_ROOT97_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b09c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root97_tog
    },
    {
        "POST97",
        "Post Register",
        4, // Width in bytes
        0x0000b0a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post97
    },
    {
        "POST_ROOT97_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b0a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root97_set
    },
    {
        "POST_ROOT97_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b0a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root97_clr
    },
    {
        "POST_ROOT97_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b0ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root97_tog
    },
    {
        "PRE97",
        "Pre Register",
        4, // Width in bytes
        0x0000b0b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre97
    },
    {
        "PRE_ROOT97_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b0b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root97_set
    },
    {
        "PRE_ROOT97_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b0b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root97_clr
    },
    {
        "PRE_ROOT97_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b0bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root97_tog
    },
    {
        "ACCESS_CTRL97",
        "Access Control Register",
        4, // Width in bytes
        0x0000b0f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl97
    },
    {
        "ACCESS_CTRL_ROOT97_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b0f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root97_set
    },
    {
        "ACCESS_CTRL_ROOT97_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b0f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root97_clr
    },
    {
        "ACCESS_CTRL_ROOT97_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b0fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root97_tog
    },
    {
        "TARGET_ROOT98",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root98
    },
    {
        "TARGET_ROOT98_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root98_set
    },
    {
        "TARGET_ROOT98_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root98_clr
    },
    {
        "TARGET_ROOT98_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b10c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root98_tog
    },
    {
        "MISC98",
        "MISC",
        4, // Width in bytes
        0x0000b110, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc98
    },
    {
        "MISC_ROOT98_SET",
        "Misc",
        4, // Width in bytes
        0x0000b114, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root98_set
    },
    {
        "MISC_ROOT98_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root98_clr
    },
    {
        "MISC_ROOT98_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b11c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root98_tog
    },
    {
        "POST98",
        "Post Register",
        4, // Width in bytes
        0x0000b120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post98
    },
    {
        "POST_ROOT98_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root98_set
    },
    {
        "POST_ROOT98_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root98_clr
    },
    {
        "POST_ROOT98_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b12c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root98_tog
    },
    {
        "PRE98",
        "Pre Register",
        4, // Width in bytes
        0x0000b130, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre98
    },
    {
        "PRE_ROOT98_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b134, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root98_set
    },
    {
        "PRE_ROOT98_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b138, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root98_clr
    },
    {
        "PRE_ROOT98_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b13c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root98_tog
    },
    {
        "ACCESS_CTRL98",
        "Access Control Register",
        4, // Width in bytes
        0x0000b170, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl98
    },
    {
        "ACCESS_CTRL_ROOT98_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b174, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root98_set
    },
    {
        "ACCESS_CTRL_ROOT98_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b178, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root98_clr
    },
    {
        "ACCESS_CTRL_ROOT98_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b17c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root98_tog
    },
    {
        "TARGET_ROOT99",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root99
    },
    {
        "TARGET_ROOT99_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root99_set
    },
    {
        "TARGET_ROOT99_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root99_clr
    },
    {
        "TARGET_ROOT99_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b18c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root99_tog
    },
    {
        "MISC99",
        "MISC",
        4, // Width in bytes
        0x0000b190, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc99
    },
    {
        "MISC_ROOT99_SET",
        "Misc",
        4, // Width in bytes
        0x0000b194, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root99_set
    },
    {
        "MISC_ROOT99_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b198, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root99_clr
    },
    {
        "MISC_ROOT99_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b19c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root99_tog
    },
    {
        "POST99",
        "Post Register",
        4, // Width in bytes
        0x0000b1a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post99
    },
    {
        "POST_ROOT99_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b1a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root99_set
    },
    {
        "POST_ROOT99_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b1a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root99_clr
    },
    {
        "POST_ROOT99_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b1ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root99_tog
    },
    {
        "PRE99",
        "Pre Register",
        4, // Width in bytes
        0x0000b1b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre99
    },
    {
        "PRE_ROOT99_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b1b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root99_set
    },
    {
        "PRE_ROOT99_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b1b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root99_clr
    },
    {
        "PRE_ROOT99_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b1bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root99_tog
    },
    {
        "ACCESS_CTRL99",
        "Access Control Register",
        4, // Width in bytes
        0x0000b1f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl99
    },
    {
        "ACCESS_CTRL_ROOT99_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b1f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root99_set
    },
    {
        "ACCESS_CTRL_ROOT99_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b1f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root99_clr
    },
    {
        "ACCESS_CTRL_ROOT99_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b1fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root99_tog
    },
    {
        "TARGET_ROOT100",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root100
    },
    {
        "TARGET_ROOT100_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root100_set
    },
    {
        "TARGET_ROOT100_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root100_clr
    },
    {
        "TARGET_ROOT100_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b20c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root100_tog
    },
    {
        "MISC100",
        "MISC",
        4, // Width in bytes
        0x0000b210, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc100
    },
    {
        "MISC_ROOT100_SET",
        "Misc",
        4, // Width in bytes
        0x0000b214, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root100_set
    },
    {
        "MISC_ROOT100_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b218, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root100_clr
    },
    {
        "MISC_ROOT100_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b21c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root100_tog
    },
    {
        "POST100",
        "Post Register",
        4, // Width in bytes
        0x0000b220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post100
    },
    {
        "POST_ROOT100_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root100_set
    },
    {
        "POST_ROOT100_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root100_clr
    },
    {
        "POST_ROOT100_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b22c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root100_tog
    },
    {
        "PRE100",
        "Pre Register",
        4, // Width in bytes
        0x0000b230, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre100
    },
    {
        "PRE_ROOT100_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b234, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root100_set
    },
    {
        "PRE_ROOT100_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b238, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root100_clr
    },
    {
        "PRE_ROOT100_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b23c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root100_tog
    },
    {
        "ACCESS_CTRL100",
        "Access Control Register",
        4, // Width in bytes
        0x0000b270, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl100
    },
    {
        "ACCESS_CTRL_ROOT100_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b274, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root100_set
    },
    {
        "ACCESS_CTRL_ROOT100_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b278, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root100_clr
    },
    {
        "ACCESS_CTRL_ROOT100_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b27c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root100_tog
    },
    {
        "TARGET_ROOT101",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b280, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root101
    },
    {
        "TARGET_ROOT101_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b284, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root101_set
    },
    {
        "TARGET_ROOT101_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b288, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root101_clr
    },
    {
        "TARGET_ROOT101_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b28c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root101_tog
    },
    {
        "MISC101",
        "MISC",
        4, // Width in bytes
        0x0000b290, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc101
    },
    {
        "MISC_ROOT101_SET",
        "Misc",
        4, // Width in bytes
        0x0000b294, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root101_set
    },
    {
        "MISC_ROOT101_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b298, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root101_clr
    },
    {
        "MISC_ROOT101_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b29c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root101_tog
    },
    {
        "POST101",
        "Post Register",
        4, // Width in bytes
        0x0000b2a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post101
    },
    {
        "POST_ROOT101_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b2a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root101_set
    },
    {
        "POST_ROOT101_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b2a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root101_clr
    },
    {
        "POST_ROOT101_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b2ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root101_tog
    },
    {
        "PRE101",
        "Pre Register",
        4, // Width in bytes
        0x0000b2b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre101
    },
    {
        "PRE_ROOT101_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b2b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root101_set
    },
    {
        "PRE_ROOT101_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b2b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root101_clr
    },
    {
        "PRE_ROOT101_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b2bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root101_tog
    },
    {
        "ACCESS_CTRL101",
        "Access Control Register",
        4, // Width in bytes
        0x0000b2f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl101
    },
    {
        "ACCESS_CTRL_ROOT101_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b2f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root101_set
    },
    {
        "ACCESS_CTRL_ROOT101_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b2f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root101_clr
    },
    {
        "ACCESS_CTRL_ROOT101_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b2fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root101_tog
    },
    {
        "TARGET_ROOT102",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root102
    },
    {
        "TARGET_ROOT102_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b304, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root102_set
    },
    {
        "TARGET_ROOT102_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b308, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root102_clr
    },
    {
        "TARGET_ROOT102_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b30c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root102_tog
    },
    {
        "MISC102",
        "MISC",
        4, // Width in bytes
        0x0000b310, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc102
    },
    {
        "MISC_ROOT102_SET",
        "Misc",
        4, // Width in bytes
        0x0000b314, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root102_set
    },
    {
        "MISC_ROOT102_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b318, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root102_clr
    },
    {
        "MISC_ROOT102_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b31c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root102_tog
    },
    {
        "POST102",
        "Post Register",
        4, // Width in bytes
        0x0000b320, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post102
    },
    {
        "POST_ROOT102_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b324, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root102_set
    },
    {
        "POST_ROOT102_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b328, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root102_clr
    },
    {
        "POST_ROOT102_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b32c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root102_tog
    },
    {
        "PRE102",
        "Pre Register",
        4, // Width in bytes
        0x0000b330, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre102
    },
    {
        "PRE_ROOT102_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b334, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root102_set
    },
    {
        "PRE_ROOT102_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b338, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root102_clr
    },
    {
        "PRE_ROOT102_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b33c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root102_tog
    },
    {
        "ACCESS_CTRL102",
        "Access Control Register",
        4, // Width in bytes
        0x0000b370, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl102
    },
    {
        "ACCESS_CTRL_ROOT102_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b374, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root102_set
    },
    {
        "ACCESS_CTRL_ROOT102_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b378, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root102_clr
    },
    {
        "ACCESS_CTRL_ROOT102_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b37c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root102_tog
    },
    {
        "TARGET_ROOT103",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b380, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root103
    },
    {
        "TARGET_ROOT103_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b384, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root103_set
    },
    {
        "TARGET_ROOT103_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b388, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root103_clr
    },
    {
        "TARGET_ROOT103_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b38c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root103_tog
    },
    {
        "MISC103",
        "MISC",
        4, // Width in bytes
        0x0000b390, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc103
    },
    {
        "MISC_ROOT103_SET",
        "Misc",
        4, // Width in bytes
        0x0000b394, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root103_set
    },
    {
        "MISC_ROOT103_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b398, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root103_clr
    },
    {
        "MISC_ROOT103_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b39c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root103_tog
    },
    {
        "POST103",
        "Post Register",
        4, // Width in bytes
        0x0000b3a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post103
    },
    {
        "POST_ROOT103_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b3a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root103_set
    },
    {
        "POST_ROOT103_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b3a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root103_clr
    },
    {
        "POST_ROOT103_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b3ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root103_tog
    },
    {
        "PRE103",
        "Pre Register",
        4, // Width in bytes
        0x0000b3b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre103
    },
    {
        "PRE_ROOT103_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b3b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root103_set
    },
    {
        "PRE_ROOT103_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b3b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root103_clr
    },
    {
        "PRE_ROOT103_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b3bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root103_tog
    },
    {
        "ACCESS_CTRL103",
        "Access Control Register",
        4, // Width in bytes
        0x0000b3f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl103
    },
    {
        "ACCESS_CTRL_ROOT103_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b3f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root103_set
    },
    {
        "ACCESS_CTRL_ROOT103_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b3f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root103_clr
    },
    {
        "ACCESS_CTRL_ROOT103_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b3fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root103_tog
    },
    {
        "TARGET_ROOT104",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b400, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root104
    },
    {
        "TARGET_ROOT104_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b404, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root104_set
    },
    {
        "TARGET_ROOT104_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root104_clr
    },
    {
        "TARGET_ROOT104_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b40c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root104_tog
    },
    {
        "MISC104",
        "MISC",
        4, // Width in bytes
        0x0000b410, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc104
    },
    {
        "MISC_ROOT104_SET",
        "Misc",
        4, // Width in bytes
        0x0000b414, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root104_set
    },
    {
        "MISC_ROOT104_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b418, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root104_clr
    },
    {
        "MISC_ROOT104_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b41c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root104_tog
    },
    {
        "POST104",
        "Post Register",
        4, // Width in bytes
        0x0000b420, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post104
    },
    {
        "POST_ROOT104_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b424, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root104_set
    },
    {
        "POST_ROOT104_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b428, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root104_clr
    },
    {
        "POST_ROOT104_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b42c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root104_tog
    },
    {
        "PRE104",
        "Pre Register",
        4, // Width in bytes
        0x0000b430, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre104
    },
    {
        "PRE_ROOT104_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b434, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root104_set
    },
    {
        "PRE_ROOT104_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b438, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root104_clr
    },
    {
        "PRE_ROOT104_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b43c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root104_tog
    },
    {
        "ACCESS_CTRL104",
        "Access Control Register",
        4, // Width in bytes
        0x0000b470, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl104
    },
    {
        "ACCESS_CTRL_ROOT104_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b474, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root104_set
    },
    {
        "ACCESS_CTRL_ROOT104_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b478, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root104_clr
    },
    {
        "ACCESS_CTRL_ROOT104_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b47c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root104_tog
    },
    {
        "TARGET_ROOT105",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b480, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root105
    },
    {
        "TARGET_ROOT105_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b484, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root105_set
    },
    {
        "TARGET_ROOT105_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b488, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root105_clr
    },
    {
        "TARGET_ROOT105_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b48c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root105_tog
    },
    {
        "MISC105",
        "MISC",
        4, // Width in bytes
        0x0000b490, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc105
    },
    {
        "MISC_ROOT105_SET",
        "Misc",
        4, // Width in bytes
        0x0000b494, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root105_set
    },
    {
        "MISC_ROOT105_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b498, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root105_clr
    },
    {
        "MISC_ROOT105_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b49c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root105_tog
    },
    {
        "POST105",
        "Post Register",
        4, // Width in bytes
        0x0000b4a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post105
    },
    {
        "POST_ROOT105_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b4a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root105_set
    },
    {
        "POST_ROOT105_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b4a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root105_clr
    },
    {
        "POST_ROOT105_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b4ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root105_tog
    },
    {
        "PRE105",
        "Pre Register",
        4, // Width in bytes
        0x0000b4b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre105
    },
    {
        "PRE_ROOT105_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b4b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root105_set
    },
    {
        "PRE_ROOT105_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b4b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root105_clr
    },
    {
        "PRE_ROOT105_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b4bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root105_tog
    },
    {
        "ACCESS_CTRL105",
        "Access Control Register",
        4, // Width in bytes
        0x0000b4f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl105
    },
    {
        "ACCESS_CTRL_ROOT105_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b4f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root105_set
    },
    {
        "ACCESS_CTRL_ROOT105_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b4f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root105_clr
    },
    {
        "ACCESS_CTRL_ROOT105_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b4fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root105_tog
    },
    {
        "TARGET_ROOT106",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b500, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root106
    },
    {
        "TARGET_ROOT106_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b504, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root106_set
    },
    {
        "TARGET_ROOT106_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b508, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root106_clr
    },
    {
        "TARGET_ROOT106_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b50c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root106_tog
    },
    {
        "MISC106",
        "MISC",
        4, // Width in bytes
        0x0000b510, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc106
    },
    {
        "MISC_ROOT106_SET",
        "Misc",
        4, // Width in bytes
        0x0000b514, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root106_set
    },
    {
        "MISC_ROOT106_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b518, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root106_clr
    },
    {
        "MISC_ROOT106_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b51c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root106_tog
    },
    {
        "POST106",
        "Post Register",
        4, // Width in bytes
        0x0000b520, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post106
    },
    {
        "POST_ROOT106_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b524, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root106_set
    },
    {
        "POST_ROOT106_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b528, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root106_clr
    },
    {
        "POST_ROOT106_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b52c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root106_tog
    },
    {
        "PRE106",
        "Pre Register",
        4, // Width in bytes
        0x0000b530, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre106
    },
    {
        "PRE_ROOT106_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b534, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root106_set
    },
    {
        "PRE_ROOT106_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b538, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root106_clr
    },
    {
        "PRE_ROOT106_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b53c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root106_tog
    },
    {
        "ACCESS_CTRL106",
        "Access Control Register",
        4, // Width in bytes
        0x0000b570, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl106
    },
    {
        "ACCESS_CTRL_ROOT106_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b574, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root106_set
    },
    {
        "ACCESS_CTRL_ROOT106_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b578, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root106_clr
    },
    {
        "ACCESS_CTRL_ROOT106_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b57c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root106_tog
    },
    {
        "TARGET_ROOT107",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b580, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root107
    },
    {
        "TARGET_ROOT107_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b584, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root107_set
    },
    {
        "TARGET_ROOT107_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b588, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root107_clr
    },
    {
        "TARGET_ROOT107_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b58c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root107_tog
    },
    {
        "MISC107",
        "MISC",
        4, // Width in bytes
        0x0000b590, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc107
    },
    {
        "MISC_ROOT107_SET",
        "Misc",
        4, // Width in bytes
        0x0000b594, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root107_set
    },
    {
        "MISC_ROOT107_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b598, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root107_clr
    },
    {
        "MISC_ROOT107_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b59c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root107_tog
    },
    {
        "POST107",
        "Post Register",
        4, // Width in bytes
        0x0000b5a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post107
    },
    {
        "POST_ROOT107_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b5a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root107_set
    },
    {
        "POST_ROOT107_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b5a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root107_clr
    },
    {
        "POST_ROOT107_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b5ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root107_tog
    },
    {
        "PRE107",
        "Pre Register",
        4, // Width in bytes
        0x0000b5b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre107
    },
    {
        "PRE_ROOT107_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b5b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root107_set
    },
    {
        "PRE_ROOT107_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b5b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root107_clr
    },
    {
        "PRE_ROOT107_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b5bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root107_tog
    },
    {
        "ACCESS_CTRL107",
        "Access Control Register",
        4, // Width in bytes
        0x0000b5f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl107
    },
    {
        "ACCESS_CTRL_ROOT107_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b5f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root107_set
    },
    {
        "ACCESS_CTRL_ROOT107_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b5f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root107_clr
    },
    {
        "ACCESS_CTRL_ROOT107_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b5fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root107_tog
    },
    {
        "TARGET_ROOT108",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b600, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root108
    },
    {
        "TARGET_ROOT108_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root108_set
    },
    {
        "TARGET_ROOT108_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root108_clr
    },
    {
        "TARGET_ROOT108_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b60c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root108_tog
    },
    {
        "MISC108",
        "MISC",
        4, // Width in bytes
        0x0000b610, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc108
    },
    {
        "MISC_ROOT108_SET",
        "Misc",
        4, // Width in bytes
        0x0000b614, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root108_set
    },
    {
        "MISC_ROOT108_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b618, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root108_clr
    },
    {
        "MISC_ROOT108_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b61c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root108_tog
    },
    {
        "POST108",
        "Post Register",
        4, // Width in bytes
        0x0000b620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post108
    },
    {
        "POST_ROOT108_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b624, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root108_set
    },
    {
        "POST_ROOT108_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b628, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root108_clr
    },
    {
        "POST_ROOT108_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b62c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root108_tog
    },
    {
        "PRE108",
        "Pre Register",
        4, // Width in bytes
        0x0000b630, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre108
    },
    {
        "PRE_ROOT108_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b634, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root108_set
    },
    {
        "PRE_ROOT108_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b638, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root108_clr
    },
    {
        "PRE_ROOT108_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b63c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root108_tog
    },
    {
        "ACCESS_CTRL108",
        "Access Control Register",
        4, // Width in bytes
        0x0000b670, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl108
    },
    {
        "ACCESS_CTRL_ROOT108_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b674, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root108_set
    },
    {
        "ACCESS_CTRL_ROOT108_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b678, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root108_clr
    },
    {
        "ACCESS_CTRL_ROOT108_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b67c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root108_tog
    },
    {
        "TARGET_ROOT109",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root109
    },
    {
        "TARGET_ROOT109_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b684, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root109_set
    },
    {
        "TARGET_ROOT109_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b688, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root109_clr
    },
    {
        "TARGET_ROOT109_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b68c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root109_tog
    },
    {
        "MISC109",
        "MISC",
        4, // Width in bytes
        0x0000b690, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc109
    },
    {
        "MISC_ROOT109_SET",
        "Misc",
        4, // Width in bytes
        0x0000b694, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root109_set
    },
    {
        "MISC_ROOT109_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b698, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root109_clr
    },
    {
        "MISC_ROOT109_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b69c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root109_tog
    },
    {
        "POST109",
        "Post Register",
        4, // Width in bytes
        0x0000b6a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post109
    },
    {
        "POST_ROOT109_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b6a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root109_set
    },
    {
        "POST_ROOT109_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b6a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root109_clr
    },
    {
        "POST_ROOT109_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b6ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root109_tog
    },
    {
        "PRE109",
        "Pre Register",
        4, // Width in bytes
        0x0000b6b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre109
    },
    {
        "PRE_ROOT109_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b6b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root109_set
    },
    {
        "PRE_ROOT109_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b6b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root109_clr
    },
    {
        "PRE_ROOT109_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b6bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root109_tog
    },
    {
        "ACCESS_CTRL109",
        "Access Control Register",
        4, // Width in bytes
        0x0000b6f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl109
    },
    {
        "ACCESS_CTRL_ROOT109_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b6f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root109_set
    },
    {
        "ACCESS_CTRL_ROOT109_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b6f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root109_clr
    },
    {
        "ACCESS_CTRL_ROOT109_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b6fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root109_tog
    },
    {
        "TARGET_ROOT110",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b700, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root110
    },
    {
        "TARGET_ROOT110_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b704, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root110_set
    },
    {
        "TARGET_ROOT110_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b708, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root110_clr
    },
    {
        "TARGET_ROOT110_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b70c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root110_tog
    },
    {
        "MISC110",
        "MISC",
        4, // Width in bytes
        0x0000b710, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc110
    },
    {
        "MISC_ROOT110_SET",
        "Misc",
        4, // Width in bytes
        0x0000b714, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root110_set
    },
    {
        "MISC_ROOT110_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b718, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root110_clr
    },
    {
        "MISC_ROOT110_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b71c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root110_tog
    },
    {
        "POST110",
        "Post Register",
        4, // Width in bytes
        0x0000b720, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post110
    },
    {
        "POST_ROOT110_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b724, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root110_set
    },
    {
        "POST_ROOT110_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b728, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root110_clr
    },
    {
        "POST_ROOT110_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b72c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root110_tog
    },
    {
        "PRE110",
        "Pre Register",
        4, // Width in bytes
        0x0000b730, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre110
    },
    {
        "PRE_ROOT110_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b734, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root110_set
    },
    {
        "PRE_ROOT110_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b738, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root110_clr
    },
    {
        "PRE_ROOT110_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b73c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root110_tog
    },
    {
        "ACCESS_CTRL110",
        "Access Control Register",
        4, // Width in bytes
        0x0000b770, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl110
    },
    {
        "ACCESS_CTRL_ROOT110_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b774, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root110_set
    },
    {
        "ACCESS_CTRL_ROOT110_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b778, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root110_clr
    },
    {
        "ACCESS_CTRL_ROOT110_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b77c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root110_tog
    },
    {
        "TARGET_ROOT111",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b780, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root111
    },
    {
        "TARGET_ROOT111_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b784, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root111_set
    },
    {
        "TARGET_ROOT111_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b788, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root111_clr
    },
    {
        "TARGET_ROOT111_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b78c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root111_tog
    },
    {
        "MISC111",
        "MISC",
        4, // Width in bytes
        0x0000b790, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc111
    },
    {
        "MISC_ROOT111_SET",
        "Misc",
        4, // Width in bytes
        0x0000b794, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root111_set
    },
    {
        "MISC_ROOT111_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b798, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root111_clr
    },
    {
        "MISC_ROOT111_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b79c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root111_tog
    },
    {
        "POST111",
        "Post Register",
        4, // Width in bytes
        0x0000b7a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post111
    },
    {
        "POST_ROOT111_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b7a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root111_set
    },
    {
        "POST_ROOT111_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b7a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root111_clr
    },
    {
        "POST_ROOT111_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b7ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root111_tog
    },
    {
        "PRE111",
        "Pre Register",
        4, // Width in bytes
        0x0000b7b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre111
    },
    {
        "PRE_ROOT111_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b7b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root111_set
    },
    {
        "PRE_ROOT111_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b7b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root111_clr
    },
    {
        "PRE_ROOT111_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b7bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root111_tog
    },
    {
        "ACCESS_CTRL111",
        "Access Control Register",
        4, // Width in bytes
        0x0000b7f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl111
    },
    {
        "ACCESS_CTRL_ROOT111_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b7f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root111_set
    },
    {
        "ACCESS_CTRL_ROOT111_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b7f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root111_clr
    },
    {
        "ACCESS_CTRL_ROOT111_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b7fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root111_tog
    },
    {
        "TARGET_ROOT112",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root112
    },
    {
        "TARGET_ROOT112_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root112_set
    },
    {
        "TARGET_ROOT112_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root112_clr
    },
    {
        "TARGET_ROOT112_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b80c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root112_tog
    },
    {
        "MISC112",
        "MISC",
        4, // Width in bytes
        0x0000b810, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc112
    },
    {
        "MISC_ROOT112_SET",
        "Misc",
        4, // Width in bytes
        0x0000b814, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root112_set
    },
    {
        "MISC_ROOT112_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b818, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root112_clr
    },
    {
        "MISC_ROOT112_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b81c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root112_tog
    },
    {
        "POST112",
        "Post Register",
        4, // Width in bytes
        0x0000b820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post112
    },
    {
        "POST_ROOT112_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root112_set
    },
    {
        "POST_ROOT112_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root112_clr
    },
    {
        "POST_ROOT112_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b82c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root112_tog
    },
    {
        "PRE112",
        "Pre Register",
        4, // Width in bytes
        0x0000b830, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre112
    },
    {
        "PRE_ROOT112_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b834, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root112_set
    },
    {
        "PRE_ROOT112_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b838, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root112_clr
    },
    {
        "PRE_ROOT112_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b83c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root112_tog
    },
    {
        "ACCESS_CTRL112",
        "Access Control Register",
        4, // Width in bytes
        0x0000b870, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl112
    },
    {
        "ACCESS_CTRL_ROOT112_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b874, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root112_set
    },
    {
        "ACCESS_CTRL_ROOT112_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b878, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root112_clr
    },
    {
        "ACCESS_CTRL_ROOT112_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b87c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root112_tog
    },
    {
        "TARGET_ROOT113",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root113
    },
    {
        "TARGET_ROOT113_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root113_set
    },
    {
        "TARGET_ROOT113_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root113_clr
    },
    {
        "TARGET_ROOT113_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b88c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root113_tog
    },
    {
        "MISC113",
        "MISC",
        4, // Width in bytes
        0x0000b890, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc113
    },
    {
        "MISC_ROOT113_SET",
        "Misc",
        4, // Width in bytes
        0x0000b894, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root113_set
    },
    {
        "MISC_ROOT113_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b898, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root113_clr
    },
    {
        "MISC_ROOT113_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b89c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root113_tog
    },
    {
        "POST113",
        "Post Register",
        4, // Width in bytes
        0x0000b8a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post113
    },
    {
        "POST_ROOT113_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b8a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root113_set
    },
    {
        "POST_ROOT113_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b8a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root113_clr
    },
    {
        "POST_ROOT113_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b8ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root113_tog
    },
    {
        "PRE113",
        "Pre Register",
        4, // Width in bytes
        0x0000b8b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre113
    },
    {
        "PRE_ROOT113_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b8b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root113_set
    },
    {
        "PRE_ROOT113_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b8b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root113_clr
    },
    {
        "PRE_ROOT113_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b8bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root113_tog
    },
    {
        "ACCESS_CTRL113",
        "Access Control Register",
        4, // Width in bytes
        0x0000b8f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl113
    },
    {
        "ACCESS_CTRL_ROOT113_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b8f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root113_set
    },
    {
        "ACCESS_CTRL_ROOT113_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b8f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root113_clr
    },
    {
        "ACCESS_CTRL_ROOT113_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b8fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root113_tog
    },
    {
        "TARGET_ROOT114",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root114
    },
    {
        "TARGET_ROOT114_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root114_set
    },
    {
        "TARGET_ROOT114_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root114_clr
    },
    {
        "TARGET_ROOT114_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b90c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root114_tog
    },
    {
        "MISC114",
        "MISC",
        4, // Width in bytes
        0x0000b910, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc114
    },
    {
        "MISC_ROOT114_SET",
        "Misc",
        4, // Width in bytes
        0x0000b914, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root114_set
    },
    {
        "MISC_ROOT114_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b918, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root114_clr
    },
    {
        "MISC_ROOT114_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b91c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root114_tog
    },
    {
        "POST114",
        "Post Register",
        4, // Width in bytes
        0x0000b920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post114
    },
    {
        "POST_ROOT114_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root114_set
    },
    {
        "POST_ROOT114_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root114_clr
    },
    {
        "POST_ROOT114_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b92c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root114_tog
    },
    {
        "PRE114",
        "Pre Register",
        4, // Width in bytes
        0x0000b930, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre114
    },
    {
        "PRE_ROOT114_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b934, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root114_set
    },
    {
        "PRE_ROOT114_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b938, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root114_clr
    },
    {
        "PRE_ROOT114_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b93c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root114_tog
    },
    {
        "ACCESS_CTRL114",
        "Access Control Register",
        4, // Width in bytes
        0x0000b970, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl114
    },
    {
        "ACCESS_CTRL_ROOT114_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b974, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root114_set
    },
    {
        "ACCESS_CTRL_ROOT114_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b978, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root114_clr
    },
    {
        "ACCESS_CTRL_ROOT114_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b97c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root114_tog
    },
    {
        "TARGET_ROOT115",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root115
    },
    {
        "TARGET_ROOT115_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root115_set
    },
    {
        "TARGET_ROOT115_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root115_clr
    },
    {
        "TARGET_ROOT115_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b98c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root115_tog
    },
    {
        "MISC115",
        "MISC",
        4, // Width in bytes
        0x0000b990, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc115
    },
    {
        "MISC_ROOT115_SET",
        "Misc",
        4, // Width in bytes
        0x0000b994, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root115_set
    },
    {
        "MISC_ROOT115_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b998, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root115_clr
    },
    {
        "MISC_ROOT115_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b99c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root115_tog
    },
    {
        "POST115",
        "Post Register",
        4, // Width in bytes
        0x0000b9a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post115
    },
    {
        "POST_ROOT115_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b9a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root115_set
    },
    {
        "POST_ROOT115_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b9a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root115_clr
    },
    {
        "POST_ROOT115_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b9ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root115_tog
    },
    {
        "PRE115",
        "Pre Register",
        4, // Width in bytes
        0x0000b9b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre115
    },
    {
        "PRE_ROOT115_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b9b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root115_set
    },
    {
        "PRE_ROOT115_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b9b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root115_clr
    },
    {
        "PRE_ROOT115_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b9bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root115_tog
    },
    {
        "ACCESS_CTRL115",
        "Access Control Register",
        4, // Width in bytes
        0x0000b9f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl115
    },
    {
        "ACCESS_CTRL_ROOT115_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b9f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root115_set
    },
    {
        "ACCESS_CTRL_ROOT115_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b9f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root115_clr
    },
    {
        "ACCESS_CTRL_ROOT115_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b9fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root115_tog
    },
    {
        "TARGET_ROOT116",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root116
    },
    {
        "TARGET_ROOT116_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root116_set
    },
    {
        "TARGET_ROOT116_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root116_clr
    },
    {
        "TARGET_ROOT116_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root116_tog
    },
    {
        "MISC116",
        "MISC",
        4, // Width in bytes
        0x0000ba10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc116
    },
    {
        "MISC_ROOT116_SET",
        "Misc",
        4, // Width in bytes
        0x0000ba14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root116_set
    },
    {
        "MISC_ROOT116_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ba18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root116_clr
    },
    {
        "MISC_ROOT116_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ba1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root116_tog
    },
    {
        "POST116",
        "Post Register",
        4, // Width in bytes
        0x0000ba20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post116
    },
    {
        "POST_ROOT116_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ba24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root116_set
    },
    {
        "POST_ROOT116_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ba28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root116_clr
    },
    {
        "POST_ROOT116_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000ba2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root116_tog
    },
    {
        "PRE116",
        "Pre Register",
        4, // Width in bytes
        0x0000ba30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre116
    },
    {
        "PRE_ROOT116_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000ba34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root116_set
    },
    {
        "PRE_ROOT116_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000ba38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root116_clr
    },
    {
        "PRE_ROOT116_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000ba3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root116_tog
    },
    {
        "ACCESS_CTRL116",
        "Access Control Register",
        4, // Width in bytes
        0x0000ba70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl116
    },
    {
        "ACCESS_CTRL_ROOT116_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000ba74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root116_set
    },
    {
        "ACCESS_CTRL_ROOT116_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000ba78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root116_clr
    },
    {
        "ACCESS_CTRL_ROOT116_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000ba7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root116_tog
    },
    {
        "TARGET_ROOT117",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root117
    },
    {
        "TARGET_ROOT117_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root117_set
    },
    {
        "TARGET_ROOT117_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root117_clr
    },
    {
        "TARGET_ROOT117_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root117_tog
    },
    {
        "MISC117",
        "MISC",
        4, // Width in bytes
        0x0000ba90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc117
    },
    {
        "MISC_ROOT117_SET",
        "Misc",
        4, // Width in bytes
        0x0000ba94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root117_set
    },
    {
        "MISC_ROOT117_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ba98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root117_clr
    },
    {
        "MISC_ROOT117_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ba9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root117_tog
    },
    {
        "POST117",
        "Post Register",
        4, // Width in bytes
        0x0000baa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post117
    },
    {
        "POST_ROOT117_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000baa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root117_set
    },
    {
        "POST_ROOT117_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000baa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root117_clr
    },
    {
        "POST_ROOT117_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000baac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root117_tog
    },
    {
        "PRE117",
        "Pre Register",
        4, // Width in bytes
        0x0000bab0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre117
    },
    {
        "PRE_ROOT117_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bab4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root117_set
    },
    {
        "PRE_ROOT117_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bab8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root117_clr
    },
    {
        "PRE_ROOT117_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000babc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root117_tog
    },
    {
        "ACCESS_CTRL117",
        "Access Control Register",
        4, // Width in bytes
        0x0000baf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl117
    },
    {
        "ACCESS_CTRL_ROOT117_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000baf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root117_set
    },
    {
        "ACCESS_CTRL_ROOT117_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000baf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root117_clr
    },
    {
        "ACCESS_CTRL_ROOT117_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bafc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root117_tog
    },
    {
        "TARGET_ROOT118",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root118
    },
    {
        "TARGET_ROOT118_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root118_set
    },
    {
        "TARGET_ROOT118_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root118_clr
    },
    {
        "TARGET_ROOT118_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root118_tog
    },
    {
        "MISC118",
        "MISC",
        4, // Width in bytes
        0x0000bb10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc118
    },
    {
        "MISC_ROOT118_SET",
        "Misc",
        4, // Width in bytes
        0x0000bb14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root118_set
    },
    {
        "MISC_ROOT118_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bb18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root118_clr
    },
    {
        "MISC_ROOT118_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bb1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root118_tog
    },
    {
        "POST118",
        "Post Register",
        4, // Width in bytes
        0x0000bb20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post118
    },
    {
        "POST_ROOT118_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bb24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root118_set
    },
    {
        "POST_ROOT118_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bb28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root118_clr
    },
    {
        "POST_ROOT118_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bb2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root118_tog
    },
    {
        "PRE118",
        "Pre Register",
        4, // Width in bytes
        0x0000bb30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre118
    },
    {
        "PRE_ROOT118_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bb34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root118_set
    },
    {
        "PRE_ROOT118_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bb38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root118_clr
    },
    {
        "PRE_ROOT118_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bb3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root118_tog
    },
    {
        "ACCESS_CTRL118",
        "Access Control Register",
        4, // Width in bytes
        0x0000bb70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl118
    },
    {
        "ACCESS_CTRL_ROOT118_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bb74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root118_set
    },
    {
        "ACCESS_CTRL_ROOT118_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bb78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root118_clr
    },
    {
        "ACCESS_CTRL_ROOT118_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bb7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root118_tog
    },
    {
        "TARGET_ROOT119",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root119
    },
    {
        "TARGET_ROOT119_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root119_set
    },
    {
        "TARGET_ROOT119_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root119_clr
    },
    {
        "TARGET_ROOT119_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root119_tog
    },
    {
        "MISC119",
        "MISC",
        4, // Width in bytes
        0x0000bb90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc119
    },
    {
        "MISC_ROOT119_SET",
        "Misc",
        4, // Width in bytes
        0x0000bb94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root119_set
    },
    {
        "MISC_ROOT119_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bb98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root119_clr
    },
    {
        "MISC_ROOT119_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bb9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root119_tog
    },
    {
        "POST119",
        "Post Register",
        4, // Width in bytes
        0x0000bba0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post119
    },
    {
        "POST_ROOT119_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bba4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root119_set
    },
    {
        "POST_ROOT119_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bba8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root119_clr
    },
    {
        "POST_ROOT119_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bbac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root119_tog
    },
    {
        "PRE119",
        "Pre Register",
        4, // Width in bytes
        0x0000bbb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre119
    },
    {
        "PRE_ROOT119_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bbb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root119_set
    },
    {
        "PRE_ROOT119_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bbb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root119_clr
    },
    {
        "PRE_ROOT119_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bbbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root119_tog
    },
    {
        "ACCESS_CTRL119",
        "Access Control Register",
        4, // Width in bytes
        0x0000bbf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl119
    },
    {
        "ACCESS_CTRL_ROOT119_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bbf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root119_set
    },
    {
        "ACCESS_CTRL_ROOT119_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bbf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root119_clr
    },
    {
        "ACCESS_CTRL_ROOT119_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bbfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root119_tog
    },
    {
        "TARGET_ROOT120",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root120
    },
    {
        "TARGET_ROOT120_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root120_set
    },
    {
        "TARGET_ROOT120_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root120_clr
    },
    {
        "TARGET_ROOT120_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root120_tog
    },
    {
        "MISC120",
        "MISC",
        4, // Width in bytes
        0x0000bc10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc120
    },
    {
        "MISC_ROOT120_SET",
        "Misc",
        4, // Width in bytes
        0x0000bc14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root120_set
    },
    {
        "MISC_ROOT120_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bc18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root120_clr
    },
    {
        "MISC_ROOT120_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bc1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root120_tog
    },
    {
        "POST120",
        "Post Register",
        4, // Width in bytes
        0x0000bc20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post120
    },
    {
        "POST_ROOT120_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bc24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root120_set
    },
    {
        "POST_ROOT120_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bc28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root120_clr
    },
    {
        "POST_ROOT120_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bc2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root120_tog
    },
    {
        "PRE120",
        "Pre Register",
        4, // Width in bytes
        0x0000bc30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre120
    },
    {
        "PRE_ROOT120_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bc34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root120_set
    },
    {
        "PRE_ROOT120_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bc38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root120_clr
    },
    {
        "PRE_ROOT120_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bc3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root120_tog
    },
    {
        "ACCESS_CTRL120",
        "Access Control Register",
        4, // Width in bytes
        0x0000bc70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl120
    },
    {
        "ACCESS_CTRL_ROOT120_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bc74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root120_set
    },
    {
        "ACCESS_CTRL_ROOT120_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bc78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root120_clr
    },
    {
        "ACCESS_CTRL_ROOT120_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bc7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root120_tog
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark CCM_ANALOG
#endif

// Bitfields in register CCM_ANALOG_ANALOG_PLL_ARM.
static const field_t hw_ccm_analog_analog_pll_arm[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Analog debug bit.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "Enable the clock output.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SEL",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_24MHZ_SEL",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SEL",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_ARM_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_ARM_SET.
static const field_t hw_ccm_analog_analog_pll_arm_set[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Analog debug bit.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "Enable the clock output.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SEL",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_24MHZ_SEL",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SEL",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_ARM_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_ARM_CLR.
static const field_t hw_ccm_analog_analog_pll_arm_clr[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Analog debug bit.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "Enable the clock output.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SEL",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_24MHZ_SEL",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SEL",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_ARM_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_ARM_TOG.
static const field_t hw_ccm_analog_analog_pll_arm_tog[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Analog debug bit.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "Enable the clock output.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SEL",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_24MHZ_SEL",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SEL",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_ARM_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_DDR.
static const field_t hw_ccm_analog_analog_pll_ddr[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIV2_ENABLE_CLK",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DDR_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the post divider for the PLL clk and lvds outputs: 0x"
        "0=div-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        23, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_DDR_SET.
static const field_t hw_ccm_analog_analog_pll_ddr_set[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIV2_ENABLE_CLK",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DDR_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the post divider for the PLL clk and lvds outputs: 0x"
        "0=div-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        23, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_DDR_CLR.
static const field_t hw_ccm_analog_analog_pll_ddr_clr[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIV2_ENABLE_CLK",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DDR_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the post divider for the PLL clk and lvds outputs: 0x"
        "0=div-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        23, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_DDR_TOG.
static const field_t hw_ccm_analog_analog_pll_ddr_tog[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIV2_ENABLE_CLK",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DDR_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the post divider for the PLL clk and lvds outputs: 0x"
        "0=div-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        23, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_DDR_SS.
static const field_t hw_ccm_analog_analog_pll_ddr_ss[] =
{
    {
        "STEP",
        "The max frequency change = stop/B*24MHz.",
        0, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "This bit enables the spread spectrum modulation.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOP",
        "Frequency change = step/B*24MHz.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_DDR_NUM.
static const field_t hw_ccm_analog_analog_pll_ddr_num[] =
{
    {
        "A",
        "30 bit numerator (A) of fractional loop divider (signed integer).",
        0, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_DDR_DENOM.
static const field_t hw_ccm_analog_analog_pll_ddr_denom[] =
{
    {
        "B",
        "30 bit Denominator (B) of fractional loop divider (signed integer).",
        0, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_480.
static const field_t hw_ccm_analog_analog_pll_480[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        1, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAIN_DIV1_CLKGATE",
        "If set to 1, pll_sys_main_480m_clk is off (power savings).",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAIN_DIV2_CLKGATE",
        "If set to 1, pll_sys_main_240m_clk is off (power savings).",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAIN_DIV4_CLKGATE",
        "If set to 1, pll_sys_main_120m_clk is off (power savings).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Analog debug bit.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "Enable the clock output.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_480_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD4_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd0_196m_clk is off (power savings).",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd1_166m_clk is off (power savings).",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd2_135m_clk is off (power savings).",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        29, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_480_SET.
static const field_t hw_ccm_analog_analog_pll_480_set[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        1, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAIN_DIV1_CLKGATE",
        "If set to 1, pll_sys_main_480m_clk is off (power savings).",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAIN_DIV2_CLKGATE",
        "If set to 1, pll_sys_main_240m_clk is off (power savings).",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAIN_DIV4_CLKGATE",
        "If set to 1, pll_sys_main_120m_clk is off (power savings).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Analog debug bit.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "Enable the clock output.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_480_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD4_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd0_196m_clk is off (power savings).",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd1_166m_clk is off (power savings).",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd2_135m_clk is off (power savings).",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        29, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_480_CLR.
static const field_t hw_ccm_analog_analog_pll_480_clr[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        1, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAIN_DIV1_CLKGATE",
        "If set to 1, pll_sys_main_480m_clk is off (power savings).",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAIN_DIV2_CLKGATE",
        "If set to 1, pll_sys_main_240m_clk is off (power savings).",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAIN_DIV4_CLKGATE",
        "If set to 1, pll_sys_main_120m_clk is off (power savings).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Analog debug bit.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "Enable the clock output.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_480_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD4_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd0_196m_clk is off (power savings).",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd1_166m_clk is off (power savings).",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd2_135m_clk is off (power savings).",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        29, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_480_TOG.
static const field_t hw_ccm_analog_analog_pll_480_tog[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        1, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAIN_DIV1_CLKGATE",
        "If set to 1, pll_sys_main_480m_clk is off (power savings).",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAIN_DIV2_CLKGATE",
        "If set to 1, pll_sys_main_240m_clk is off (power savings).",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAIN_DIV4_CLKGATE",
        "If set to 1, pll_sys_main_120m_clk is off (power savings).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Analog debug bit.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "Enable the clock output.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_480_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD4_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd0_196m_clk is off (power savings).",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd1_166m_clk is off (power savings).",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_DIV2_CLKGATE",
        "If set to 1, pll_sys_pfd2_135m_clk is off (power savings).",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        29, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PFD_480A.
static const field_t hw_ccm_analog_analog_pfd_480a[] =
{
    {
        "PFD0_FRAC",
        "This field controls the fractional divide value.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD0_DIV1_CLKGATE",
        "If set to 1, the IO fractional divider clock (reference ref_pfd0) is o"
        "ff (power savings).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_FRAC",
        "This field controls the fractional divide value.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD1_DIV1_CLKGATE",
        "IO Clock Gate.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_FRAC",
        "This field controls the fractional divide value.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD2_DIV1_CLKGATE",
        "IO Clock Gate.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_FRAC",
        "This field controls the fractional divide value.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD3_DIV1_CLKGATE",
        "IO Clock Gate.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PFD_480A_SET.
static const field_t hw_ccm_analog_analog_pfd_480a_set[] =
{
    {
        "PFD0_FRAC",
        "This field controls the fractional divide value.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD0_DIV1_CLKGATE",
        "If set to 1, the IO fractional divider clock (reference ref_pfd0) is o"
        "ff (power savings).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_FRAC",
        "This field controls the fractional divide value.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD1_DIV1_CLKGATE",
        "IO Clock Gate.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_FRAC",
        "This field controls the fractional divide value.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD2_DIV1_CLKGATE",
        "IO Clock Gate.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_FRAC",
        "This field controls the fractional divide value.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD3_DIV1_CLKGATE",
        "IO Clock Gate.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PFD_480A_CLR.
static const field_t hw_ccm_analog_analog_pfd_480a_clr[] =
{
    {
        "PFD0_FRAC",
        "This field controls the fractional divide value.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD0_DIV1_CLKGATE",
        "If set to 1, the IO fractional divider clock (reference ref_pfd0) is o"
        "ff (power savings).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_FRAC",
        "This field controls the fractional divide value.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD1_DIV1_CLKGATE",
        "IO Clock Gate.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_FRAC",
        "This field controls the fractional divide value.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD2_DIV1_CLKGATE",
        "IO Clock Gate.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_FRAC",
        "This field controls the fractional divide value.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD3_DIV1_CLKGATE",
        "IO Clock Gate.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PFD_480A_TOG.
static const field_t hw_ccm_analog_analog_pfd_480a_tog[] =
{
    {
        "PFD0_FRAC",
        "This field controls the fractional divide value.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD0_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD0_DIV1_CLKGATE",
        "If set to 1, the IO fractional divider clock (reference ref_pfd0) is o"
        "ff (power savings).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_FRAC",
        "This field controls the fractional divide value.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD1_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD1_DIV1_CLKGATE",
        "IO Clock Gate.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_FRAC",
        "This field controls the fractional divide value.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD2_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD2_DIV1_CLKGATE",
        "IO Clock Gate.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_FRAC",
        "This field controls the fractional divide value.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD3_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD3_DIV1_CLKGATE",
        "IO Clock Gate.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PFD_480B.
static const field_t hw_ccm_analog_analog_pfd_480b[] =
{
    {
        "PFD4_FRAC",
        "This field controls the fractional divide value.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD4_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD4_DIV1_CLKGATE",
        "If set to 1, the IO fractional divider clock (reference ref_pfd0) is o"
        "ff (power savings).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_FRAC",
        "This field controls the fractional divide value.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD5_DIV1_CLKGATE",
        "IO Clock Gate.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_FRAC",
        "This field controls the fractional divide value.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD6_DIV1_CLKGATE",
        "IO Clock Gate.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_FRAC",
        "This field controls the fractional divide value.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD7_DIV1_CLKGATE",
        "IO Clock Gate.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PFD_480B_SET.
static const field_t hw_ccm_analog_analog_pfd_480b_set[] =
{
    {
        "PFD4_FRAC",
        "This field controls the fractional divide value.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD4_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD4_DIV1_CLKGATE",
        "If set to 1, the IO fractional divider clock (reference ref_pfd0) is o"
        "ff (power savings).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_FRAC",
        "This field controls the fractional divide value.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD5_DIV1_CLKGATE",
        "IO Clock Gate.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_FRAC",
        "This field controls the fractional divide value.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD6_DIV1_CLKGATE",
        "IO Clock Gate.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_FRAC",
        "This field controls the fractional divide value.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD7_DIV1_CLKGATE",
        "IO Clock Gate.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PFD_480B_CLR.
static const field_t hw_ccm_analog_analog_pfd_480b_clr[] =
{
    {
        "PFD4_FRAC",
        "This field controls the fractional divide value.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD4_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD4_DIV1_CLKGATE",
        "If set to 1, the IO fractional divider clock (reference ref_pfd0) is o"
        "ff (power savings).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_FRAC",
        "This field controls the fractional divide value.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD5_DIV1_CLKGATE",
        "IO Clock Gate.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_FRAC",
        "This field controls the fractional divide value.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD6_DIV1_CLKGATE",
        "IO Clock Gate.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_FRAC",
        "This field controls the fractional divide value.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD7_DIV1_CLKGATE",
        "IO Clock Gate.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PFD_480B_TOG.
static const field_t hw_ccm_analog_analog_pfd_480b_tog[] =
{
    {
        "PFD4_FRAC",
        "This field controls the fractional divide value.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD4_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD4_DIV1_CLKGATE",
        "If set to 1, the IO fractional divider clock (reference ref_pfd0) is o"
        "ff (power savings).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_FRAC",
        "This field controls the fractional divide value.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD5_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD5_DIV1_CLKGATE",
        "IO Clock Gate.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_FRAC",
        "This field controls the fractional divide value.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD6_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD6_DIV1_CLKGATE",
        "IO Clock Gate.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_FRAC",
        "This field controls the fractional divide value.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD7_STABLE",
        "This read-only bitfield is for DIAGNOSTIC PURPOSES ONLY since the frac"
        "tional divider should become stable quickly enough that this field wil"
        "l never need to be used by either device driver or application code.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFD7_DIV1_CLKGATE",
        "IO Clock Gate.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_ENET.
static const field_t hw_ccm_analog_analog_pll_enet[] =
{
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_25MHZ",
        "Enables the ethernet 25MHz clock output.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_40MHZ",
        "Enables the ethernet 40MHz clock output.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_50MHZ",
        "Enables the ethernet 50MHz clock output.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_100MHZ",
        "Enables the ethernet 100MHz clock output.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_125MHZ",
        "Enables the ethernet 125MHz clock output.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_250MHZ",
        "Enables the ethernet 250MHz clock output.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_500MHZ",
        "Enables the ethernet 500MHz clock output.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_ENET_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        19, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_ENET_SET.
static const field_t hw_ccm_analog_analog_pll_enet_set[] =
{
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_25MHZ",
        "Enables the ethernet 25MHz clock output.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_40MHZ",
        "Enables the ethernet 40MHz clock output.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_50MHZ",
        "Enables the ethernet 50MHz clock output.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_100MHZ",
        "Enables the ethernet 100MHz clock output.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_125MHZ",
        "Enables the ethernet 125MHz clock output.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_250MHZ",
        "Enables the ethernet 250MHz clock output.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_500MHZ",
        "Enables the ethernet 500MHz clock output.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_ENET_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        19, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_ENET_CLR.
static const field_t hw_ccm_analog_analog_pll_enet_clr[] =
{
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_25MHZ",
        "Enables the ethernet 25MHz clock output.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_40MHZ",
        "Enables the ethernet 40MHz clock output.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_50MHZ",
        "Enables the ethernet 50MHz clock output.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_100MHZ",
        "Enables the ethernet 100MHz clock output.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_125MHZ",
        "Enables the ethernet 125MHz clock output.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_250MHZ",
        "Enables the ethernet 250MHz clock output.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_500MHZ",
        "Enables the ethernet 500MHz clock output.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_ENET_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        19, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_ENET_TOG.
static const field_t hw_ccm_analog_analog_pll_enet_tog[] =
{
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_25MHZ",
        "Enables the ethernet 25MHz clock output.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_40MHZ",
        "Enables the ethernet 40MHz clock output.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_50MHZ",
        "Enables the ethernet 50MHz clock output.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_100MHZ",
        "Enables the ethernet 100MHz clock output.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_125MHZ",
        "Enables the ethernet 125MHz clock output.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_250MHZ",
        "Enables the ethernet 250MHz clock output.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK_500MHZ",
        "Enables the ethernet 500MHz clock output.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_ENET_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        19, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_AUDIO.
static const field_t hw_ccm_analog_analog_pll_audio[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the divider for the PLL clk and lvds outputs: 0x0=div"
        "-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1.",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POST_DIV_SEL",
        "Post-divider for audio PLL: 0x0=div-by-1(default), 0x1=div-by-2, 0x2=d"
        "iv-by-1, 0x3=div-by-4.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_AUDIO_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_AUDIO_SET.
static const field_t hw_ccm_analog_analog_pll_audio_set[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the divider for the PLL clk and lvds outputs: 0x0=div"
        "-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1.",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POST_DIV_SEL",
        "Post-divider for audio PLL: 0x0=div-by-1(default), 0x1=div-by-2, 0x2=d"
        "iv-by-1, 0x3=div-by-4.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_AUDIO_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_AUDIO_CLR.
static const field_t hw_ccm_analog_analog_pll_audio_clr[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the divider for the PLL clk and lvds outputs: 0x0=div"
        "-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1.",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POST_DIV_SEL",
        "Post-divider for audio PLL: 0x0=div-by-1(default), 0x1=div-by-2, 0x2=d"
        "iv-by-1, 0x3=div-by-4.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_AUDIO_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_AUDIO_TOG.
static const field_t hw_ccm_analog_analog_pll_audio_tog[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the divider for the PLL clk and lvds outputs: 0x0=div"
        "-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1.",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POST_DIV_SEL",
        "Post-divider for audio PLL: 0x0=div-by-1(default), 0x1=div-by-2, 0x2=d"
        "iv-by-1, 0x3=div-by-4.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_AUDIO_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_AUDIO_SS.
static const field_t hw_ccm_analog_analog_pll_audio_ss[] =
{
    {
        "STEP",
        "The max frequency change = stop/B*24MHz.",
        0, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "This bit enables the spread spectrum modulation.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOP",
        "Frequency change = step/B*24MHz.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_AUDIO_NUM.
static const field_t hw_ccm_analog_analog_pll_audio_num[] =
{
    {
        "A",
        "30 bit numerator of fractional loop divider.",
        0, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_AUDIO_DENOM.
static const field_t hw_ccm_analog_analog_pll_audio_denom[] =
{
    {
        "B",
        "30 bit Denominator of fractional loop divider.",
        0, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_VIDEO.
static const field_t hw_ccm_analog_analog_pll_video[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the divider for the PLL clk and lvds outputs: 0x0=div"
        "-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1.",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POST_DIV_SEL",
        "Post-divider for video PLL: 0x0=div-by-1(default), 0x1=div-by-2, 0x2=d"
        "iv-by-1, 0x3=div-by-4.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_VIDEO_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_VIDEO_SET.
static const field_t hw_ccm_analog_analog_pll_video_set[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the divider for the PLL clk and lvds outputs: 0x0=div"
        "-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1.",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POST_DIV_SEL",
        "Post-divider for video PLL: 0x0=div-by-1(default), 0x1=div-by-2, 0x2=d"
        "iv-by-1, 0x3=div-by-4.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_VIDEO_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_VIDEO_CLR.
static const field_t hw_ccm_analog_analog_pll_video_clr[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the divider for the PLL clk and lvds outputs: 0x0=div"
        "-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1.",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POST_DIV_SEL",
        "Post-divider for video PLL: 0x0=div-by-1(default), 0x1=div-by-2, 0x2=d"
        "iv-by-1, 0x3=div-by-4.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_VIDEO_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_VIDEO_TOG.
static const field_t hw_ccm_analog_analog_pll_video_tog[] =
{
    {
        "DIV_SELECT",
        "This field controls the pll loop divider.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LF",
        "Reduces the frequency of the loop filter 2x.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_LF",
        "Increases the frequency of the loop filter 2x.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_CP",
        "Reduces the charge pump gain 2x.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CP",
        "Increases the charge pump gain 2x.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLD_RING_OFF",
        "Status of ana_irq2 input from analog block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN",
        "Powers down the PLL.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CLK",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_CLK_SRC",
        "Determines the bypass source.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "Bypass the pll.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_ENABLE",
        "Enables dither in the fractional modulator calculation.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OFFSET_EN",
        "Enables an offset in the phase frequency detector.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_DIV_SELECT",
        "Control bits for the divider for the PLL clk and lvds outputs: 0x0=div"
        "-by-4(default), 0x1=div-by-2, 0x2=div-by-1, 0x3=div-by-1.",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POST_DIV_SEL",
        "Post-divider for video PLL: 0x0=div-by-1(default), 0x1=div-by-2, 0x2=d"
        "iv-by-1, 0x3=div-by-4.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_VIDEO_OVERRIDE",
        "The OVERRIDE bit allows the clock control module to automatically over"
        "ride portions of the register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "1 - PLL is currently locked; 0 - PLL is not currently locked.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_VIDEO_SS.
static const field_t hw_ccm_analog_analog_pll_video_ss[] =
{
    {
        "STEP",
        "The max frequency change = stop/B*24MHz.",
        0, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "This bit enables the spread spectrum modulation.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOP",
        "Frequency change = step/B*24MHz.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_VIDEO_NUM.
static const field_t hw_ccm_analog_analog_pll_video_num[] =
{
    {
        "A",
        "30 bit numerator of fractional loop divider.",
        0, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_PLL_VIDEO_DENOM.
static const field_t hw_ccm_analog_analog_pll_video_denom[] =
{
    {
        "B",
        "30 bit Denominator of fractional loop divider.",
        0, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_CLK_MISC0.
static const field_t hw_ccm_analog_analog_clk_misc0[] =
{
    {
        "LVDS1_CLK_SEL",
        "This field selects the clock to be routed to anaclk1/1b 0x00 - Arm PLL"
        "; 0x01 - 480 PLL; 0x02 - pfd0; 0x03 - pfd1; 0x04 - pfd2; 0x05 - pfd3; "
        "0x06 - pfd4; 0x07 - pfd5; 0x08 - pfd6; 0x09 - pfd7; 0x0A - Audio PLL; "
        "0x0B - Video PLL; 0x0C - pll_enet_div2 (500MHz); 0x0D - pll_enet_div4 "
        "(250MHz); 0x0E - pll_enet_div8 (125MHz); 0x0F - pll_enet_div10 (100MHz"
        "); 0x10 - pll_enet_div20 (50MHz); 0x11 - pll_enet_div25 (40MHz); 0x12 "
        "- pll_enet_div40 (25MHz); 0x13 - pll_ddr; 0x14 - RC_OSC24; 0x15 - clk2"
        "4mhz; 0x16 - anatest ring oscillators; 0x17 - aclk2_loopback; 0x18-0x1"
        "F - Reserved.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDSCLK1_OBEN",
        "This enables the lvds output buffer for anaclk1/1b.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDSCLK1_IBEN",
        "This enables the lvds input buffer for anaclk1/1b.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACLK2_PREDIV",
        "Predivider ACLK2 source/reference clock of the PLL's.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_CLK_MISC0_SET.
static const field_t hw_ccm_analog_analog_clk_misc0_set[] =
{
    {
        "LVDS1_CLK_SEL",
        "This field selects the clock to be routed to anaclk1/1b 0x00 - Arm PLL"
        "; 0x01 - 480 PLL; 0x02 - pfd0; 0x03 - pfd1; 0x04 - pfd2; 0x05 - pfd3; "
        "0x06 - pfd4; 0x07 - pfd5; 0x08 - pfd6; 0x09 - pfd7; 0x0A - Audio PLL; "
        "0x0B - Video PLL; 0x0C - pll_enet_div2 (500MHz); 0x0D - pll_enet_div4 "
        "(250MHz); 0x0E - pll_enet_div8 (125MHz); 0x0F - pll_enet_div10 (100MHz"
        "); 0x10 - pll_enet_div20 (50MHz); 0x11 - pll_enet_div25 (40MHz); 0x12 "
        "- pll_enet_div40 (25MHz); 0x13 - pll_ddr; 0x14 - RC_OSC24; 0x15 - clk2"
        "4mhz; 0x16 - anatest ring oscillators; 0x17 - aclk2_loopback; 0x18-0x1"
        "F - Reserved.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDSCLK1_OBEN",
        "This enables the lvds output buffer for anaclk1/1b.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDSCLK1_IBEN",
        "This enables the lvds input buffer for anaclk1/1b.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACLK2_PREDIV",
        "Predivider ACLK2 source/reference clock of the PLL's.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_CLK_MISC0_CLR.
static const field_t hw_ccm_analog_analog_clk_misc0_clr[] =
{
    {
        "LVDS1_CLK_SEL",
        "This field selects the clock to be routed to anaclk1/1b 0x00 - Arm PLL"
        "; 0x01 - 480 PLL; 0x02 - pfd0; 0x03 - pfd1; 0x04 - pfd2; 0x05 - pfd3; "
        "0x06 - pfd4; 0x07 - pfd5; 0x08 - pfd6; 0x09 - pfd7; 0x0A - Audio PLL; "
        "0x0B - Video PLL; 0x0C - pll_enet_div2 (500MHz); 0x0D - pll_enet_div4 "
        "(250MHz); 0x0E - pll_enet_div8 (125MHz); 0x0F - pll_enet_div10 (100MHz"
        "); 0x10 - pll_enet_div20 (50MHz); 0x11 - pll_enet_div25 (40MHz); 0x12 "
        "- pll_enet_div40 (25MHz); 0x13 - pll_ddr; 0x14 - RC_OSC24; 0x15 - clk2"
        "4mhz; 0x16 - anatest ring oscillators; 0x17 - aclk2_loopback; 0x18-0x1"
        "F - Reserved.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDSCLK1_OBEN",
        "This enables the lvds output buffer for anaclk1/1b.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDSCLK1_IBEN",
        "This enables the lvds input buffer for anaclk1/1b.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACLK2_PREDIV",
        "Predivider ACLK2 source/reference clock of the PLL's.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ANALOG_CLK_MISC0_TOG.
static const field_t hw_ccm_analog_analog_clk_misc0_tog[] =
{
    {
        "LVDS1_CLK_SEL",
        "This field selects the clock to be routed to anaclk1/1b 0x00 - Arm PLL"
        "; 0x01 - 480 PLL; 0x02 - pfd0; 0x03 - pfd1; 0x04 - pfd2; 0x05 - pfd3; "
        "0x06 - pfd4; 0x07 - pfd5; 0x08 - pfd6; 0x09 - pfd7; 0x0A - Audio PLL; "
        "0x0B - Video PLL; 0x0C - pll_enet_div2 (500MHz); 0x0D - pll_enet_div4 "
        "(250MHz); 0x0E - pll_enet_div8 (125MHz); 0x0F - pll_enet_div10 (100MHz"
        "); 0x10 - pll_enet_div20 (50MHz); 0x11 - pll_enet_div25 (40MHz); 0x12 "
        "- pll_enet_div40 (25MHz); 0x13 - pll_ddr; 0x14 - RC_OSC24; 0x15 - clk2"
        "4mhz; 0x16 - anatest ring oscillators; 0x17 - aclk2_loopback; 0x18-0x1"
        "F - Reserved.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDSCLK1_OBEN",
        "This enables the lvds output buffer for anaclk1/1b.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDSCLK1_IBEN",
        "This enables the lvds input buffer for anaclk1/1b.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACLK2_PREDIV",
        "Predivider ACLK2 source/reference clock of the PLL's.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a CCM_ANALOG module.
static const reg_t hw_ccm_analog[] =
{
    {
        "ANALOG_PLL_ARM",
        "The control register provides control for the system PLL.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_ccm_analog_analog_pll_arm
    },
    {
        "ANALOG_PLL_ARM_SET",
        "The control register provides control for the system PLL.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_ccm_analog_analog_pll_arm_set
    },
    {
        "ANALOG_PLL_ARM_CLR",
        "The control register provides control for the system PLL.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_ccm_analog_analog_pll_arm_clr
    },
    {
        "ANALOG_PLL_ARM_TOG",
        "The control register provides control for the system PLL.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_ccm_analog_analog_pll_arm_tog
    },
    {
        "ANALOG_PLL_DDR",
        "The control register provides control for the 480MHz PLL.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_ccm_analog_analog_pll_ddr
    },
    {
        "ANALOG_PLL_DDR_SET",
        "The control register provides control for the 480MHz PLL.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_ccm_analog_analog_pll_ddr_set
    },
    {
        "ANALOG_PLL_DDR_CLR",
        "The control register provides control for the 480MHz PLL.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_ccm_analog_analog_pll_ddr_clr
    },
    {
        "ANALOG_PLL_DDR_TOG",
        "The control register provides control for the 480MHz PLL.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_ccm_analog_analog_pll_ddr_tog
    },
    {
        "ANALOG_PLL_DDR_SS",
        "This register contains the DDR PLL spread spectrum controls.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_analog_analog_pll_ddr_ss
    },
    {
        "ANALOG_PLL_DDR_NUM",
        "This register contains the numerator of DDR PLL fractional loop divide"
        "r.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_analog_pll_ddr_num
    },
    {
        "ANALOG_PLL_DDR_DENOM",
        "This register contains the Denominator of DDR PLL fractional loop divi"
        "der.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_analog_pll_ddr_denom
    },
    {
        "ANALOG_PLL_480",
        "The control register provides control for the 480MHz PLL.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        28, // Number of bitfields
        hw_ccm_analog_analog_pll_480
    },
    {
        "ANALOG_PLL_480_SET",
        "The control register provides control for the 480MHz PLL.",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        28, // Number of bitfields
        hw_ccm_analog_analog_pll_480_set
    },
    {
        "ANALOG_PLL_480_CLR",
        "The control register provides control for the 480MHz PLL.",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        28, // Number of bitfields
        hw_ccm_analog_analog_pll_480_clr
    },
    {
        "ANALOG_PLL_480_TOG",
        "The control register provides control for the 480MHz PLL.",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        true, // Writable
        28, // Number of bitfields
        hw_ccm_analog_analog_pll_480_tog
    },
    {
        "ANALOG_PFD_480A",
        "This register controls the 4-phase fractional clock dividers.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_analog_analog_pfd_480a
    },
    {
        "ANALOG_PFD_480A_SET",
        "This register controls the 4-phase fractional clock dividers.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_analog_analog_pfd_480a_set
    },
    {
        "ANALOG_PFD_480A_CLR",
        "This register controls the 4-phase fractional clock dividers.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_analog_analog_pfd_480a_clr
    },
    {
        "ANALOG_PFD_480A_TOG",
        "This register controls the 4-phase fractional clock dividers.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_analog_analog_pfd_480a_tog
    },
    {
        "ANALOG_PFD_480B",
        "This register controls the 4-phase fractional clock dividers.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_analog_analog_pfd_480b
    },
    {
        "ANALOG_PFD_480B_SET",
        "This register controls the 4-phase fractional clock dividers.",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_analog_analog_pfd_480b_set
    },
    {
        "ANALOG_PFD_480B_CLR",
        "This register controls the 4-phase fractional clock dividers.",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_analog_analog_pfd_480b_clr
    },
    {
        "ANALOG_PFD_480B_TOG",
        "This register controls the 4-phase fractional clock dividers.",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_analog_analog_pfd_480b_tog
    },
    {
        "ANALOG_PLL_ENET",
        "The control register provides control for the ENET PLL.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_ccm_analog_analog_pll_enet
    },
    {
        "ANALOG_PLL_ENET_SET",
        "The control register provides control for the ENET PLL.",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_ccm_analog_analog_pll_enet_set
    },
    {
        "ANALOG_PLL_ENET_CLR",
        "The control register provides control for the ENET PLL.",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_ccm_analog_analog_pll_enet_clr
    },
    {
        "ANALOG_PLL_ENET_TOG",
        "The control register provides control for the ENET PLL.",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_ccm_analog_analog_pll_enet_tog
    },
    {
        "ANALOG_PLL_AUDIO",
        "The control register provides control for the Audio PLL.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_ccm_analog_analog_pll_audio
    },
    {
        "ANALOG_PLL_AUDIO_SET",
        "The control register provides control for the Audio PLL.",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_ccm_analog_analog_pll_audio_set
    },
    {
        "ANALOG_PLL_AUDIO_CLR",
        "The control register provides control for the Audio PLL.",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_ccm_analog_analog_pll_audio_clr
    },
    {
        "ANALOG_PLL_AUDIO_TOG",
        "The control register provides control for the Audio PLL.",
        4, // Width in bytes
        0x000000fc, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_ccm_analog_analog_pll_audio_tog
    },
    {
        "ANALOG_PLL_AUDIO_SS",
        "This register contains the Audio PLL spread spectrum controls.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_analog_analog_pll_audio_ss
    },
    {
        "ANALOG_PLL_AUDIO_NUM",
        "This register contains the numerator (A) of Audio PLL fractional loop "
        "divider.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_analog_pll_audio_num
    },
    {
        "ANALOG_PLL_AUDIO_DENOM",
        "This register contains the Denominator (B) of Audio PLL fractional loo"
        "p divider.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_analog_pll_audio_denom
    },
    {
        "ANALOG_PLL_VIDEO",
        "The control register provides control for the Video PLL.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_ccm_analog_analog_pll_video
    },
    {
        "ANALOG_PLL_VIDEO_SET",
        "The control register provides control for the Video PLL.",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_ccm_analog_analog_pll_video_set
    },
    {
        "ANALOG_PLL_VIDEO_CLR",
        "The control register provides control for the Video PLL.",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_ccm_analog_analog_pll_video_clr
    },
    {
        "ANALOG_PLL_VIDEO_TOG",
        "The control register provides control for the Video PLL.",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_ccm_analog_analog_pll_video_tog
    },
    {
        "ANALOG_PLL_VIDEO_SS",
        "This register contains the Video PLL spread spectrum controls.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_analog_analog_pll_video_ss
    },
    {
        "ANALOG_PLL_VIDEO_NUM",
        "This register contains the numerator (A) of Video PLL fractional loop "
        "divider.",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_analog_pll_video_num
    },
    {
        "ANALOG_PLL_VIDEO_DENOM",
        "This register contains the Denominator (B) of Video PLL fractional loo"
        "p divider.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_analog_pll_video_denom
    },
    {
        "ANALOG_CLK_MISC0",
        "This register defines the control and status bits for miscellaneous an"
        "alog blocks.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ccm_analog_analog_clk_misc0
    },
    {
        "ANALOG_CLK_MISC0_SET",
        "This register defines the control and status bits for miscellaneous an"
        "alog blocks.",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ccm_analog_analog_clk_misc0_set
    },
    {
        "ANALOG_CLK_MISC0_CLR",
        "This register defines the control and status bits for miscellaneous an"
        "alog blocks.",
        4, // Width in bytes
        0x00000178, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ccm_analog_analog_clk_misc0_clr
    },
    {
        "ANALOG_CLK_MISC0_TOG",
        "This register defines the control and status bits for miscellaneous an"
        "alog blocks.",
        4, // Width in bytes
        0x0000017c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ccm_analog_analog_clk_misc0_tog
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark CSI
#endif

// Bitfields in register CSI_CSICR1.
static const field_t hw_csi_csicr1[] =
{
    {
        "PIXEL_BIT",
        "Pixel Bit.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REDGE",
        "Valid Pixel Clock Edge Select.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INV_PCLK",
        "Invert Pixel Clock Input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INV_DATA",
        "Invert Data Input.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GCLK_MODE",
        "Gated Clock Mode Enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_RXFIFO",
        "Asynchronous RXFIFO Clear.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_STATFIFO",
        "Asynchronous STATFIFO Clear.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PACK_DIR",
        "Data Packing Direction.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FCC",
        "FIFO Clear Control.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CCIR_EN",
        "CCIR656 Interface Enable.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_POL",
        "HSYNC Polarity Select.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOF_INTEN",
        "Start Of Frame (SOF) Interrupt Enable.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOF_POL",
        "SOF Interrupt Polarity.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFF_INTEN",
        "RxFIFO Full Interrupt Enable.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FB1_DMA_DONE_INTEN",
        "Frame Buffer1 DMA Transfer Done Interrupt Enable.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FB2_DMA_DONE_INTEN",
        "Frame Buffer2 DMA Transfer Done Interrupt Enable.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATFF_INTEN",
        "STATFIFO Full Interrupt Enable.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFF_DMA_DONE_INTEN",
        "STATFIFO DMA Transfer Done Interrupt Enable.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RF_OR_INTEN",
        "RxFIFO Overrun Interrupt Enable.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SF_OR_INTEN",
        "STAT FIFO Overrun Interrupt Enable.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COF_INT_EN",
        "Change Of Image Field (COF) Interrupt Enable.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIDEO_MODE",
        "Video mode select.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRP_IF_EN",
        "CSI-PrP Interface Enable.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EOF_INT_EN",
        "End-of-Frame Interrupt Enable.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXT_VSYNC",
        "External VSYNC Enable.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWAP16_EN",
        "SWAP 16-Bit Enable.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSICR2.
static const field_t hw_csi_csicr2[] =
{
    {
        "HSC",
        "Horizontal Skip Count.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSC",
        "Vertical Skip Count.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVRM",
        "Live View Resolution Mode.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BTS",
        "Bayer Tile Start.",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCE",
        "Skip Count Enable.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AFS",
        "Auto Focus Spread.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRM",
        "Double Resolution Mode.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_BURST_TYPE_SFF",
        "Burst Type of DMA Transfer from STATFIFO.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_BURST_TYPE_RFF",
        "Burst Type of DMA Transfer from RxFIFO.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSICR3.
static const field_t hw_csi_csicr3[] =
{
    {
        "ECC_AUTO_EN",
        "Automatic Error Correction Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC_INT_EN",
        "Error Detection Interrupt Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZERO_PACK_EN",
        "Dummy Zero Packing Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TWO_8BIT_SENSOR",
        "Two 8-bit Sensor Mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFF_LEVEL",
        "RxFIFO Full Level.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HRESP_ERR_EN",
        "Hresponse Error Enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATFF_LEVEL",
        "STATFIFO Full Level.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_REQ_EN_SFF",
        "DMA Request Enable for STATFIFO.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_REQ_EN_RFF",
        "DMA Request Enable for RxFIFO.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_REFLASH_SFF",
        "Reflash DMA Controller for STATFIFO.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_REFLASH_RFF",
        "Reflash DMA Controller for RxFIFO.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRMCNT_RST",
        "Frame Count Reset.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRMCNT",
        "Frame Counter.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSISTATFIFO.
static const field_t hw_csi_csistatfifo[] =
{
    {
        "STAT",
        "Static data from sensor",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSIRFIFO.
static const field_t hw_csi_csirfifo[] =
{
    {
        "IMAGE",
        "Received image data",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSIRXCNT.
static const field_t hw_csi_csirxcnt[] =
{
    {
        "RXCNT",
        "RxFIFO Count.",
        0, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSISR.
static const field_t hw_csi_csisr[] =
{
    {
        "DRDY",
        "RXFIFO Data Ready.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC_INT",
        "CCIR Error Interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HRESP_ERR_INT",
        "Hresponse Error Interrupt Status.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COF_INT",
        "Change Of Field Interrupt Status.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1_INT",
        "CCIR Field 1 Interrupt Status.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F2_INT",
        "CCIR Field 2 Interrupt Status.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOF_INT",
        "Start of Frame Interrupt Status.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EOF_INT",
        "End of Frame (EOF) Interrupt Status.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFF_INT",
        "RXFIFO Full Interrupt Status.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_TSF_DONE_FB1",
        "DMA Transfer Done in Frame Buffer1.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_TSF_DONE_FB2",
        "DMA Transfer Done in Frame Buffer2.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATFF_INT",
        "STATFIFO Full Interrupt Status.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_TSF_DONE_SFF",
        "DMA Transfer Done from StatFIFO.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RF_OR_INT",
        "RxFIFO Overrun Interrupt Status.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SF_OR_INT",
        "STATFIFO Overrun Interrupt Status.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_FIELD1_DONE",
        "When DMA field 0 is complete, this bit will be set to 1(clear by writi"
        "ng 1).",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_FIELD0_DONE",
        "When DMA field 0 is complete, this bit will be set to 1(clear by writi"
        "ng 1).",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BASEADDR_CHHANGE_ERROR",
        "When using base address switching enable, this bit will be 1 when swit"
        "ching occur before DMA complete.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSIDMASA_STATFIFO.
static const field_t hw_csi_csidmasa_statfifo[] =
{
    {
        "DMA_START_ADDR_SFF",
        "DMA Start Address for STATFIFO.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSIDMATS_STATFIFO.
static const field_t hw_csi_csidmats_statfifo[] =
{
    {
        "DMA_TSF_SIZE_SFF",
        "DMA Transfer Size for STATFIFO.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSIDMASA_FB1.
static const field_t hw_csi_csidmasa_fb1[] =
{
    {
        "DMA_START_ADDR_FB1",
        "DMA Start Address in Frame Buffer1.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSIDMASA_FB2.
static const field_t hw_csi_csidmasa_fb2[] =
{
    {
        "DMA_START_ADDR_FB2",
        "DMA Start Address in Frame Buffer2.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSIFBUF_PARA.
static const field_t hw_csi_csifbuf_para[] =
{
    {
        "FBUF_STRIDE",
        "Frame Buffer Parameter.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEINTERLACE_STRIDE",
        "DEINTERLACE_STRIDE is only used in the deinterlace mode.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSIIMAG_PARA.
static const field_t hw_csi_csiimag_para[] =
{
    {
        "IMAGE_HEIGHT",
        "Image Height.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IMAGE_WIDTH",
        "Image Width.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CSI_CSICR18.
static const field_t hw_csi_csicr18[] =
{
    {
        "DEINTERLACE_EN",
        "This bit is used to select the output method When input is standard CC"
        "IR656 video.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PARALLEL24_EN",
        "When input is parallel rgb888/yuv444 24bit, this bit can be enabled.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BASEADDR_SWITCH_EN",
        "When this bit is enabled, CSI DMA will switch the base address accordi"
        "ng to BASEADDR_SWITCH_SEL rather than atomically by DMA completed.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BASEADDR_SWITCH_SEL",
        "CSI 2 base addresses switching method.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIELD0_DONE_IE",
        "In interlace mode, fileld 0 means interrupt enabled.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_FIELD1_DONE_IE",
        "When in interlace mode, field 1 done interrupt enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LAST_DMA_REQ_SEL",
        "Choosing the last DMA request condition.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BASEADDR_CHANGE_ERROR_IE",
        "Base address change error interrupt enable signal.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGB888A_FORMAT_SEL",
        "Output is 32-bit format.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_HPROT",
        "Hprot value in AHB bus protocol.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI_LCDIF_BUFFER_LINES",
        "The number of lines are used in handshake mode with LCDIF.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_OPTION",
        "These bits used to choose the method to mask the CSI input.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_DOUBLE_CMPNT",
        "Double component per clock cycle in YUV422 formats.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_YU_SWAP",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FROM_MIPI",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINE_STRIDE_EN",
        "When the line width are not the multiple of the burst length, assert t"
        "his bit.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_DATA_FORMAT",
        "Generic Short Packet: 0x08 ~ 0x0F Embedded 8-bit non Image: 0x12",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI_ENABLE",
        "CSI global enable signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a CSI module.
static const reg_t hw_csi[] =
{
    {
        "CSICR1",
        "This register controls the sensor interface timing and interrupt gener"
        "ation.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_csi_csicr1
    },
    {
        "CSICR2",
        "This register provides the statistic block with data about which live "
        "view resolution is being used, and the starting sensor pixel of the Ba"
        "yer pattern.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_csi_csicr2
    },
    {
        "CSICR3",
        "This read/write register acts as an extension of the functionality of "
        "the CSI Control register 1, adding additional control and features.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_csi_csicr3
    },
    {
        "CSISTATFIFO",
        "The StatFIFO is a read-only register containing statistic data from th"
        "e sensor.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_csi_csistatfifo
    },
    {
        "CSIRFIFO",
        "This read-only register contains received image data.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_csi_csirfifo
    },
    {
        "CSIRXCNT",
        "This register works for EOF interrupt generation.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_csi_csirxcnt
    },
    {
        "CSISR",
        "This read/write register shows sensor interface status, and which kind"
        " of interrupt is being generated.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_csi_csisr
    },
    {
        "CSIDMASA_STATFIFO",
        "This register provides the start address for the embedded DMA controll"
        "er of STATFIFO.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_csi_csidmasa_statfifo
    },
    {
        "CSIDMATS_STATFIFO",
        "This register provides the total transfer size for the embedded DMA co"
        "ntroller of STATFIFO.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_csi_csidmats_statfifo
    },
    {
        "CSIDMASA_FB1",
        "This register provides the start address in the frame buffer1 for the "
        "embedded DMA controller of RxFIFO.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_csi_csidmasa_fb1
    },
    {
        "CSIDMASA_FB2",
        "This register provides the start address in the frame buffer2 for the "
        "embedded DMA controller of RxFIFO.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_csi_csidmasa_fb2
    },
    {
        "CSIFBUF_PARA",
        "This register provides the stride of the frame buffer to show how many"
        " words to skip before starting to write the next row of the image.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_csi_csifbuf_para
    },
    {
        "CSIIMAG_PARA",
        "This register provides the width and the height of the image from the "
        "sensor.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_csi_csiimag_para
    },
    {
        "CSICR18",
        "This read/write register acts as an extension of the functionality of "
        "the CSI Control register 1",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_csi_csicr18
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark DDRC
#endif

// Bitfields in register DDRC_MSTR.
static const field_t hw_ddrc_mstr[] =
{
    {
        "DDR3",
        "Only present in design that support DDR3.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDDR2",
        "Present only in designs configured to support LPDDR2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDDR3",
        "Present only in designs configured to support LPDDR3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_MODE",
        "Value After Reset: 0x0 Exists: DDRC_INCL_ARB == 0",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURSTCHOP",
        "When set, enable burst-chop in DDR3.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_BUS_WIDTH",
        "Note that half bus width mode is only supported when the SDRAM bus wid"
        "th is a multiple of 16, and quarter bus width mode is only supported w"
        "hen the SDRAM bus width is a multiple of 32 and the configuration para"
        "meter MEMC_QBUS_SUPPORT is set.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_OFF_MODE",
        "Set to 1 when the DDRC and DRAM has to be put in DLL-off mode for low "
        "frequency operation.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_RDWR",
        "All other values are reserved.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_RANKS",
        "Only present for multi-rank configurations.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_STAT.
static const field_t hw_ddrc_stat[] =
{
    {
        "OPERATING_MODE",
        "This is 3-bits wide in configurations with mDDR / LPDDR2 / LPDDR3 supp"
        "ort and 2-bits in all other configurations.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELFREF_TYPE",
        "Flags if self-refresh is entered.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELFREF_STATE",
        "This indicates self refresh or self refresh power down state for LPDDR"
        "4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MRCTRL0.
static const field_t hw_ddrc_mrctrl0[] =
{
    {
        "MR_TYPE",
        "Indicates whether the mode register operation is read or write.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR_RANK",
        "Controls which rank is accessed by MRCTRL0.mr_wr.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR_ADDR",
        "Do not Care for LPDDR2 / LPDDR3 (see MRCTRL1.mr_data formode register "
        "addressing in LPDDR2 / LPDDR3).This signal is also used for writing to"
        " control words of RDIMMs.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR_WR",
        "Setting this register bit to 1 triggers a mode register read or write "
        "operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MRCTRL1.
static const field_t hw_ddrc_mrctrl1[] =
{
    {
        "MR_DATA",
        "Mode register write data for all non- LPDDR2 / non-LPDDR3 modes.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MRSTAT.
static const field_t hw_ddrc_mrstat[] =
{
    {
        "MR_WR_BUSY",
        "The SoC core may initiate a MR write operation only if this signal is "
        "low.This signal goes high in the clock after the DDRC accepts the MRW "
        "/ MRR request.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DERATEEN.
static const field_t hw_ddrc_derateen[] =
{
    {
        "DERATE_ENABLE",
        "Present only in designs configured to support LPDDR2 / LPDDR3.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DERATE_VALUE",
        "Present only in designs configured to support LPDDR2 or LPDDR3 Set to "
        "0 for all LPDDR2 speed grades as derating value of +1.875 ns is less t"
        "han a core_ddrc_core_clk period.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DERATE_BYTE",
        "Derate byte present only in designs configured to support LPDDR2 or LP"
        "DDR3 indicates which byte of the MRR data is used for derating.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DERATEINT.
static const field_t hw_ddrc_derateint[] =
{
    {
        "MR4_READ_INTERVAL",
        "Interval between two MR4 reads, used to derate the timing parameters.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_PWRCTL.
static const field_t hw_ddrc_pwrctl[] =
{
    {
        "SELFREF_EN",
        "If true then the DDRC puts the SDRAM into Self Refresh after a program"
        "mable number of cycles \"maximum idle clocks before Self Refresh (PWRT"
        "MG.selfref_to_x32)\".",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN_EN",
        "If true then the DDRC goes into power-down after a programmable number"
        " of cycles \"maximum idle clocks before power down\" (PWRTMG.powerdown"
        "_to_x32).",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEEPPOWERDOWN_EN",
        "When this is 1, DDRC puts the SDRAM into deep power-down mode when the"
        " transaction store is empty.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_DFI_DRAM_CLK_DISABLE",
        "Enable the assertion of dfi_dram_clk_disable whenever a clock is not r"
        "equired by the SDRAM.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELFREF_SW",
        "A value 0 of 1 to this register causes system to move to self-refresh "
        "state immediately, as long as it is not in INIT or DPD / MPSM operatin"
        "g_mode.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_PWRTMG.
static const field_t hw_ddrc_pwrtmg[] =
{
    {
        "POWERDOWN_TO_X32",
        "After this many clocks of NOP or deselect the DDRC automatically puts "
        "the SDRAM into power-down.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_DPD_X4096",
        "Minimum deep power-down timeFor mDDR, value from the JEDEC specificati"
        "on is 0 as mDDR exits from deep power-down mode immediately after PWRC"
        "TL.deeppowerdown_en is de-asserted.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELFREF_TO_X32",
        "After this many clocks of NOP or deselect the DDRC automatically puts "
        "the SDRAM into Self Refresh.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_HWLPCTL.
static const field_t hw_ddrc_hwlpctl[] =
{
    {
        "HW_LP_EN",
        "Value After Reset: 0x1 Exists: Always",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HW_LP_EXIT_IDLE_EN",
        "When this bit is programmed to 1 the cactive_in_ddrc pin of the DDRC c"
        "an be used to exit from the automatic clock stop, automatic power down"
        " or automatic self-refreshmodes.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HW_LP_IDLE_X32",
        "Hardware idle period.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_RFSHCTL0.
static const field_t hw_ddrc_rfshctl0[] =
{
    {
        "PER_BANK_REFRESH",
        "Per bank refresh allows traffic to flow to other banks.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_BURST",
        "The programmed value + 1 is the number of refresh timeouts that is all"
        "owed to accumulate before traffic is blocked and the refreshes are for"
        "ced to execute.",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_TO_X32",
        "If the refresh timer (tRFCnom, also known as tREFI) has expired at lea"
        "st once, but it has not expired (RFSHCTL0.refresh_burst + 1) times yet"
        ", then a speculative refresh may be performed.",
        12, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_MARGIN",
        "Threshold value in number of clock cycles before the critical refresh "
        "or page timer expires.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_RFSHCTL1.
static const field_t hw_ddrc_rfshctl1[] =
{
    {
        "REFRESH_TIMER0_START_VALUE_X32",
        "Refresh timer start for rank 0 (only present in multi-rank configurati"
        "ons).",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_TIMER1_START_VALUE_X32",
        "Refresh timer start for rank 1 (only present in multi-rank configurati"
        "ons).",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_RFSHCTL3.
static const field_t hw_ddrc_rfshctl3[] =
{
    {
        "DIS_AUTO_REFRESH",
        "When '1', disable auto-refresh generated by the DDRC.When auto-refresh"
        " is disabled, the SoC core must generate refreshes using the registers"
        " reg_ddrc_rank0_refresh, reg_ddrc_rank1_refresh, reg_ddrc_rank2_refres"
        "h and reg_ddrc_rank3_refresh.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_UPDATE_LEVEL",
        "Toggle this signal (either from 0 to 1 or from 1 to 0) to indicate tha"
        "t the refresh register(s) have been updated.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_RFSHTMG.
static const field_t hw_ddrc_rfshtmg[] =
{
    {
        "T_RFC_MIN",
        "tRFC (min): Minimum time from refresh to refresh or activate.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RFC_NOM_X32",
        "tREFI: Average time interval between refreshes per rank (Specification"
        ": 7.8us for DDR3.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_INIT0.
static const field_t hw_ddrc_init0[] =
{
    {
        "PRE_CKE_X1024",
        "Cycles to wait after reset before driving CKE high to start the SDRAM "
        "initialization sequence.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POST_CKE_X1024",
        "Cycles to wait after driving CKE high to start the SDRAM initializatio"
        "n sequence.",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SKIP_DRAM_INIT",
        "If lower bit is enabled the SDRAM initialization routine is skipped.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_INIT1.
static const field_t hw_ddrc_init1[] =
{
    {
        "PRE_OCD_X32",
        "Wait period before driving the OCD complete command to SDRAM.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FINAL_WAIT_X32",
        "Cycles to wait after completing the SDRAM initialization sequence befo"
        "re starting the dynamic scheduler.",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRAM_RSTN_X1024",
        "Number of cycles to assert SDRAM reset signal during init sequence.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_INIT2.
static const field_t hw_ddrc_init2[] =
{
    {
        "MIN_STABLE_CLOCK_X1",
        "Time to wait after the first CKE high, tINIT2.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDLE_AFTER_RESET_X32",
        "Idle time after the reset command, tINIT4.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_INIT3.
static const field_t hw_ddrc_init3[] =
{
    {
        "EMR",
        "DDR2: Value to write to EMR register.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR",
        "DDR2: Value to write to MR register.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_INIT4.
static const field_t hw_ddrc_init4[] =
{
    {
        "EMR3",
        "DDR2: Value to write to EMR3 register.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMR2",
        "DDR2: Value to write to EMR2 register.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_INIT5.
static const field_t hw_ddrc_init5[] =
{
    {
        "MAX_AUTO_INIT_X1024",
        "Maximum duration of the auto initialization, tINIT5.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_ZQINIT_X32",
        "ZQ initial calibration, tZQINIT.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_RANKCTL.
static const field_t hw_ddrc_rankctl[] =
{
    {
        "DIFF_RANK_RD_GAP",
        "Description: Only present for multi-rank configurations.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIFF_RANK_WR_GAP",
        "Description: Only present for multi-rank configurations.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DRAMTMG0.
static const field_t hw_ddrc_dramtmg0[] =
{
    {
        "T_RAS_MIN",
        "tRAS (min): Minimum time between activate and precharge to the same ba"
        "nk.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RAS_MAX",
        "tRAS(max): Maximum time between activate and precharge to same bank.",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_FAW",
        "tFAW Valid only when 8 or more banks (or banks x bank groups) are pres"
        "ent.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR2PRE",
        "Unit: Clocks Specifications: WL + BL/2 + tWR = approximately 8 cycles "
        "+ 15 ns = 14 clocks @ 400 MHz and less for lower frequencies where: WL"
        " = write latency BL = burst length.",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DRAMTMG1.
static const field_t hw_ddrc_dramtmg1[] =
{
    {
        "T_RC",
        "tRC: Minimumtime between activates to same bank.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD2PRE",
        "tRTP: Minimum time from read to precharge of same bank.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_XP",
        "tXP: Minimum time after power-down exit to any operation.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DRAMTMG2.
static const field_t hw_ddrc_dramtmg2[] =
{
    {
        "WR2RD",
        "DDR4: CWL + PL + BL / 2 + tWTR_L Others: CWL + BL / 2 + tWTR In DDR4, "
        "minimum time from write command to read command for same bank group.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD2WR",
        "DDR2/3/mDDR: RL + BL / 2 - WL DDR4: RL + BL / 2 + 1 +WR_PREAMBLE - WL "
        "LPDDR2/LPDDR3: RL + BL / 2 + RU (tDQSCKmax / tCK) + 1 - WL.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_LATENCY",
        "Time from read command to read data on SDRAM interface.This must be se"
        "t to RL.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_LATENCY",
        "Time from write command to write data on SDRAMinterface.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DRAMTMG3.
static const field_t hw_ddrc_dramtmg3[] =
{
    {
        "T_MOD",
        "tMOD: Present if MEMC_DDR3_OR_4 = 1.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_MRD",
        "tMRD: Cycles between loadmode commands.",
        12, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_MRW",
        "Time to wait after a mode register write or read (MRW or MRR).",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DRAMTMG4.
static const field_t hw_ddrc_dramtmg4[] =
{
    {
        "T_RP",
        "tRP: Minimum time from precharge to activate of same bank For MEMC_FRE"
        "Q_RATIO = 1 configurations, t_rp should be set to RoundUp (tRP / tCK).",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RRD",
        "DDR4: tRRD_L: Minimum time between activates from bank a to bank b for"
        " same bank group.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CCD",
        "DDR4: tCCD_L: This is the minimum time between two reads or two writes"
        " for same bank group.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RCD",
        "tRCD - tAL: Minimum time from activate to read or write command to sam"
        "e bank.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DRAMTMG5.
static const field_t hw_ddrc_dramtmg5[] =
{
    {
        "T_CKE",
        "Minimum number of cycles of CKE HIGH / LOW during power-down and self "
        "refresh.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKESR",
        "Minimum CKE low width for Self refresh entry to exit timing in memory "
        "clock cycles.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKSRE",
        "This is the time after Self Refresh Down Entry that CK is maintained a"
        "s a valid clock.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKSRX",
        "This is the time before Self Refresh Exit that CK is maintained as a v"
        "alid clock before issuing SRX.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DRAMTMG6.
static const field_t hw_ddrc_dramtmg6[] =
{
    {
        "T_CKCSX",
        "This is the time before Clock Stop Exit that CK is maintained as a val"
        "id clock before issuing Clock Stop Exit.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKDPDX",
        "This is the time before Deep Power Down Exit that CK is maintained as "
        "a valid clock before issuing DPDX.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKDPDE",
        "This is the time after Deep Power Down Entry that CK is maintained as "
        "a valid clock.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DRAMTMG7.
static const field_t hw_ddrc_dramtmg7[] =
{
    {
        "T_CKPDX",
        "This is the time before Power Down Exit that CK is maintained as a val"
        "id clock before issuing PDX.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKPDE",
        "This is the time after Power Down Entry that CK is maintained as a val"
        "id clock.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DRAMTMG8.
static const field_t hw_ddrc_dramtmg8[] =
{
    {
        "T_XS_X32",
        "tXS: Exit Self Refresh to commands not requiring a locked DLL.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_XS_DLL_X32",
        "tXSDLL: Exit Self Refresh to commands requiring a locked DLL.",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ZQCTL0.
static const field_t hw_ddrc_zqctl0[] =
{
    {
        "T_ZQ_SHORT_NOP",
        "tZQCS: Number of cycles of NOP required after a ZQCS (ZQ calibration s"
        "hort) command is issued to SDRAM.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_ZQ_LONG_NOP",
        "tZQoper for DDR3, tZQCL for LPDDR2 / LPDDR3: Number of cycles of NOP r"
        "equired after a ZQCL (ZQ calibration long) command is issued to SDRAM.",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_RESISTOR_SHARED",
        "This is only present for designs supporting DDR3 or LPDDR2 / LPDDR3 de"
        "vices.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_SRX_ZQCL",
        "This is only present for designs supporting DDR3 or LPDDR2 / LPDDR3 de"
        "vices.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_AUTO_ZQ",
        "This is only present for designs supporting DDR3 or LPDDR2 / LPDDR3 de"
        "vices.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ZQCTL1.
static const field_t hw_ddrc_zqctl1[] =
{
    {
        "T_ZQ_SHORT_INTERVAL_X1024",
        "Average interval to wait between automatically issuing ZQCS (ZQ calibr"
        "ation short) commands to DDR3 / LPDDR2 / LPDDR3 devices.",
        0, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_ZQ_RESET_NOP",
        "tZQReset: Number of cycles of NOP required after a ZQReset (ZQ calibra"
        "tion Reset) command is issued to SDRAM.",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ZQCTL2.
static const field_t hw_ddrc_zqctl2[] =
{
    {
        "ZQ_RESET",
        "Setting this register bit to 1 triggers a ZQ Reset operation.When the "
        "ZQ Reset operation is complete, the DDRC automatically clears this bit"
        ".",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ZQSTAT.
static const field_t hw_ddrc_zqstat[] =
{
    {
        "ZQ_RESET_BUSY",
        "SoC core may initiate a ZQ Reset operation only if this signal is low.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DFITMG0.
static const field_t hw_ddrc_dfitmg0[] =
{
    {
        "DFI_TPHY_WRLAT",
        "Write latency Number of clocks from the write command to write data en"
        "able (dfi_wrdata_en).",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_TPHY_WRDATA",
        "Specifies the number of clock cycles between when dfi_wrdata_en is ass"
        "erted to when the associated write data is driven on the dfi_wrdata si"
        "gnal.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_WRDATA_USE_SDR",
        "Defines whether dfi_wrdata_en / dfi_wrdata / dfi_wrdata_mask is genera"
        "ted using HDR or SDR values Selects whether value in DFITMG0.dfi_tphy_"
        "wrlat is in terms of SDR or HDR clock cycles Selects whether value in "
        "DFITMG0.dfi_tphy_wrdata is in terms of SDR or HDR clock cycles.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_RDDATA_EN",
        "Time from the assertion of a read command on the DFI interface to the "
        "assertion of the dfi_rddata_en signal.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_RDDATA_USE_SDR",
        "Defines whether dfi_rddata_en / dfi_rddata / dfi_rddata_valid is gener"
        "ated using HDR or SDR values Selects whether value in DFITMG0.dfi_t_rd"
        "data_en is in terms of SDR or HDR clock cycles.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_CTRL_DELAY",
        "Specifies the number of DFI clock cycles after an assertion or de-asse"
        "rtion of the DFI control signals that the control signals at the PHY-D"
        "RAM interface reflect the assertion or deassertion.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DFITMG1.
static const field_t hw_ddrc_dfitmg1[] =
{
    {
        "DFI_T_DRAM_CLK_ENABLE",
        "Specifies the number of DFI clock cycles from the de-assertion of the "
        "dfi_dram_clk_disable signal on the DFI until the first valid rising ed"
        "ge of the clock to the DRAM memory devices, at the PHY-DRAM boundary.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_DRAM_CLK_DISABLE",
        "Specifies the number of DFI clock cycles from the assertion of the dfi"
        "_dram_clk_disable signal on the DFI until the clock to the DRAM memory"
        " devices, at the PHY-DRAM boundary, maintains a low value.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_WRDATA_DELAY",
        "Specifies the number of DFI clocks between when the dfi_wrdata_en sign"
        "al is asserted and when the corresponding write data transfer is compl"
        "eted on the DRAM bus.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DFILPCFG0.
static const field_t hw_ddrc_dfilpcfg0[] =
{
    {
        "DFI_LP_EN_PD",
        "Enables DFI Low Power interface handshaking during Power Down Entry / "
        "Exit.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_WAKEUP_PD",
        "Value to drive on dfi_lp_wakeup signal when Power Down mode is entered"
        ".",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_EN_SR",
        "Enables DFI Low Power interface handshaking during Self Refresh Entry "
        "/ Exit.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_WAKEUP_SR",
        "Value to drive on dfi_lp_wakeup signal when Self Refresh mode is enter"
        "ed.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_EN_DPD",
        "Enables DFI Low Power interface handshaking during Deep Power Down Ent"
        "ry / Exit.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_WAKEUP_DPD",
        "Value to drive on dfi_lp_wakeup signal when Deep Power Down mode is en"
        "tered.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_TLP_RESP",
        "Setting for DFI's tlp_resp time.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DFIUPD0.
static const field_t hw_ddrc_dfiupd0[] =
{
    {
        "DFI_T_CTRLUP_MIN",
        "Specifies the minimum number of clock cycles that the dfi_ctrlupd_req "
        "signal must be asserted.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_CTRLUP_MAX",
        "Specifies themaximum number of clock cycles that the dfi_ctrlupd_req s"
        "ignal can assert.",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_AUTO_CTRLUPD_SRX",
        "When '1', disable the automatic dfi_ctrlupd_req generation by the DDRC"
        " following a self-refresh exit.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_AUTO_CTRLUPD",
        "When '1', disable the automatic dfi_ctrlupd_req generation by the DDRC"
        ".",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DFIUPD1.
static const field_t hw_ddrc_dfiupd1[] =
{
    {
        "DFI_T_CTRLUPD_INTERVAL_MAX_X1024",
        "This is the maximum amount of time between DDRC initiated DFI update r"
        "equests.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_CTRLUPD_INTERVAL_MIN_X1024",
        "This is the minimum amount of time between DDRC initiated DFI update r"
        "equests (which is executed whenever the DDRC is idle).",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DFIUPD2.
static const field_t hw_ddrc_dfiupd2[] =
{
    {
        "DFI_PHYUPD_TYPE0",
        "Specifies the maximum number of DFI clock cycles that the dfi_phyupd_r"
        "eq signal may remain asserted after the assertion of the dfi_phyupd_ac"
        "k signal for dfi_phyupd_type = 2'b00.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_PHYUPD_TYPE1",
        "Specifies the maximum number of DFI clock cycles that the dfi_phyupd_r"
        "eq signal may remain asserted after the assertion of the dfi_phyupd_ac"
        "k signal for dfi_phyupd_type = 2'b01.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_PHYUPD_EN",
        "Enables the support for acknowledging PHY- initiated updates.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DFIUPD3.
static const field_t hw_ddrc_dfiupd3[] =
{
    {
        "DFI_PHYUPD_TYPE2",
        "Specifies the maximum number of DFI clock cycles that the dfi_phyupd_r"
        "eq signal may remain asserted after the assertion of the dfi_phyupd_ac"
        "k signal for dfi_phyupd_type = 2'b10.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_PHYUPD_TYPE3",
        "Specifies the maximum number of DFI clock cycles that the dfi_phyupd_r"
        "eq signal may remain asserted after the assertion of the dfi_phyupd_ac"
        "k signal for dfi_phyupd_type = 2'b11.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DFIMISC.
static const field_t hw_ddrc_dfimisc[] =
{
    {
        "DFI_INIT_COMPLETE_EN",
        "PHY initialization complete enable signal.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ADDRMAP0.
static const field_t hw_ddrc_addrmap0[] =
{
    {
        "ADDRMAP_CS_BIT0",
        "Selects the HIF address bit used as rank address bit 0.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_CS_BIT1",
        "Selects the HIF address bit used as rank address bit 1.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ADDRMAP1.
static const field_t hw_ddrc_addrmap1[] =
{
    {
        "ADDRMAP_BANK_B0",
        "Selects the HIF address bits used as bank address bit 0.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_BANK_B1",
        "Selects the HIF address bits used as bank address bit 1.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_BANK_B2",
        "Selects the HIF address bit used as bank address bit 2.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ADDRMAP2.
static const field_t hw_ddrc_addrmap2[] =
{
    {
        "ADDRMAP_COL_B2",
        "Full bus width mode: Selects the HIF address bit used as column addres"
        "s bit 2.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B3",
        "Full bus width mode: Selects the HIF address bit used as column addres"
        "s bit 3.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B4",
        "Description: Full bus width mode: Selects the HIF address bit used as "
        "column address bit 4.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B5",
        "Description: Full bus width mode: Selects the HIF address bit used as "
        "column address bit 5.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ADDRMAP3.
static const field_t hw_ddrc_addrmap3[] =
{
    {
        "ADDRMAP_COL_B6",
        "Description: Full bus width mode: Selects the HIF address bit used as "
        "column address bit 6.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B7",
        "Description: Full bus width mode: Selects the HIF address bit used as "
        "column address bit 7.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B8",
        "Description: Full bus width mode: Selects the HIF address bit used as "
        "column address bit 8.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B9",
        "Description: Full bus width mode: Selects the HIF address bit used as "
        "column address bit 9.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ADDRMAP4.
static const field_t hw_ddrc_addrmap4[] =
{
    {
        "ADDRMAP_COL_B10",
        "Description: Full bus width mode: Selects the HIF address bit used as "
        "column address bit 11 (10 in LPDDR2 / LPDDR3 mode).",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B11",
        "Description: Full bus width mode: Selects the HIF address bit used as "
        "column address bit 13 (11 in LPDDR2 / LPDDR3 mode).",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ADDRMAP5.
static const field_t hw_ddrc_addrmap5[] =
{
    {
        "ADDRMAP_ROW_B0",
        "Selects the HIF address bits used as row address bit 0.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B1",
        "Selects the HIF address bits used as row address bit 1.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B2_10",
        "Selects the HIF address bits used as row address bits 2 to 10.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B11",
        "Selects the HIF address bit used as row address bit 11.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ADDRMAP6.
static const field_t hw_ddrc_addrmap6[] =
{
    {
        "ADDRMAP_ROW_B12",
        "Selects the HIF address bit used as row address bit 12.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B13",
        "Selects the HIF address bit used as row address bit 13.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B14",
        "Selects the HIF address bit used as row address bit 14.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B15",
        "Selects the HIF address bit used as row address bit 15.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDDR3_6GB_12GB",
        "Set this to 1 if there is an LPDDR3 SDRAM 6 Gb or 12 Gb device in use.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ODTCFG.
static const field_t hw_ddrc_odtcfg[] =
{
    {
        "RD_ODT_DELAY",
        "The delay, in clock cycles, from issuing a read command to setting ODT"
        " values associated with that command.",
        2, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ODT_HOLD",
        "Cycles to hold ODT for a read command.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ODT_DELAY",
        "The delay, in clock cycles, from issuing a write command to setting OD"
        "T values associated with that command.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ODT_HOLD",
        "Cycles to hold ODT for a write command.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_ODTMAP.
static const field_t hw_ddrc_odtmap[] =
{
    {
        "RANK0_WR_ODT",
        "Indicates which remote ODTs must be turned on during a write to rank 0"
        ".",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANK0_RD_ODT",
        "Indicates which remote ODTs must be turned on during a read from rank "
        "0.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANK1_WR_ODT",
        "Indicates which remote ODTs must be turned on during a write to rank 1"
        ".",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANK1_RD_ODT",
        "Indicates which remote ODTs must be turned on during a read from rank "
        "1.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_SCHED.
static const field_t hw_ddrc_sched[] =
{
    {
        "FORCE_LOW_PRI_N",
        "Active low signal.When asserted ('0'), all incoming transactions are f"
        "orced to low priority.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PREFER_WRITE",
        "If set then the bank selector prefers writes over reads.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGECLOSE",
        "If true, bank is kept open only until there are page hit transactions "
        "available in the CAM to that bank.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPR_NUM_ENTRIES",
        "Number of entries in the low priority transaction store is this value "
        "+ 1.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDWR_IDLE_GAP",
        "When the preferred transaction store is empty for these many clock cyc"
        "les, switch to the alternate transaction store if it is non-empty.",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_SCHED1.
static const field_t hw_ddrc_sched1[] =
{
    {
        "PAGECLOSE_TIMER",
        "This field works in conjunction with SCHED.pageclose.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_PERFHPR1.
static const field_t hw_ddrc_perfhpr1[] =
{
    {
        "HPR_MAX_STARVE",
        "Number of clocks that the HPR queue can be starved before it goes crit"
        "ical.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HPR_XACT_RUN_LENGTH",
        "Number of transactions that are serviced once the HPR queue goes criti"
        "cal is the smaller of: This number Number of transactions available.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_PERFLPR1.
static const field_t hw_ddrc_perflpr1[] =
{
    {
        "LPR_MAX_STARVE",
        "Number of clocks that the LPR queue can be starved before it goes crit"
        "ical.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPR_XACT_RUN_LENGTH",
        "Number of transactions that are serviced once the LPR queue goes criti"
        "cal is the smaller of: This number Number of transactions available Un"
        "it: Transaction.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_PERFWR1.
static const field_t hw_ddrc_perfwr1[] =
{
    {
        "W_MAX_STARVE",
        "Number of clocks that the WR queue can be starved before it goes criti"
        "cal.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "W_XACT_RUN_LENGTH",
        "Number of transactions that are serviced once the WR queue goes critic"
        "al is the smaller of: This number Number of transactions available Uni"
        "t: Transaction.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_PERFVPR1.
static const field_t hw_ddrc_perfvpr1[] =
{
    {
        "VPR_TIMEOUT_RANGE",
        "Indicates the range of the timeout value that is used for grouping the"
        " expired VPR commands in the CAM in DDRC.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_PERFVPW1.
static const field_t hw_ddrc_perfvpw1[] =
{
    {
        "VPW_TIMEOUT_RANGE",
        "Indicates the range of the timeout value that is used for grouping the"
        " expired VPW commands in the CAM in DDRC.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DBG0.
static const field_t hw_ddrc_dbg0[] =
{
    {
        "DIS_WC",
        "When the value is 1, disable write combine.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_COLLISION_PAGE_OPT",
        "When this is set to '0', auto-precharge is disabled for the flushed co"
        "mmand in a collision case.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DBG1.
static const field_t hw_ddrc_dbg1[] =
{
    {
        "DIS_DQ",
        "When 1, DDRC will not de-queue any transactions from the CAM.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_HIF",
        "When 1, the DDRC asserts the HIF command signal hif_cmd_stall.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DBGCAM.
static const field_t hw_ddrc_dbgcam[] =
{
    {
        "DBG_HPR_Q_DEPTH",
        "FOR DEBUG ONLY Value After Reset: 0x0 Exists: Always",
        0, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_LPR_Q_DEPTH",
        "FOR DEBUG ONLY Value After Reset: 0x0 Exists: Always",
        8, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_W_Q_DEPTH",
        "FOR DEBUG ONLY Value After Reset: 0x0 Exists: Always",
        16, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_STALL",
        "FOR DEBUG ONLY Value After Reset: 0x0 Exists: Always",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_RD_Q_EMPTY",
        "When 1, all the Read command queues and Read data buffers inside DDRC "
        "are empty.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_WR_Q_EMPTY",
        "When 1, all theWrite command queues and Write data buffers inside DDRC"
        " are empty.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_DATA_PIPELINE_EMPTY",
        "This bit indicates that the read data pipeline on the DFI interface is"
        " empty.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_DATA_PIPELINE_EMPTY",
        "This bit indicates that the write data pipeline on the DFI interface i"
        "s empty.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_STALL_WR",
        "Stall for Write channel FOR DEBUG ONLY Value After Reset: 0x0 Exists: "
        "DDRC_DUAL_PA_1 == 1",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_STALL_RD",
        "Stall for Read channel FOR DEBUG ONLY Value After Reset: 0x0 Exists: D"
        "DRC_DUAL_PA_1 == 1",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DBGCMD.
static const field_t hw_ddrc_dbgcmd[] =
{
    {
        "RANK0_REFRESH",
        "Setting this register bit to 1 indicates to the DDRC to issue a refres"
        "h to rank 0.Writing to this bit causes DBGSTAT.rank0_refresh_busy to b"
        "e set.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANK1_REFRESH",
        "Setting this register bit to 1 indicates to the DDRC to issue a refres"
        "h to rank 1.Writing to this bit causes DBGSTAT.rank1_refresh_busy to b"
        "e set.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_CALIB_SHORT",
        "Setting this register bit to 1 indicates to the DDRC to issue a ZQCS ("
        "ZQ calibration short) command to the SDRAM.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRLUPD",
        "Setting this register bit to 1 indicates to the DDRC to issue a dfi_ct"
        "rlupd_req to the PHY.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_DBGSTAT.
static const field_t hw_ddrc_dbgstat[] =
{
    {
        "RANK0_REFRESH_BUSY",
        "SoC core may initiate a rank0_refresh operation (refresh operation to "
        "rank 0) only if this signal is low.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RANK1_REFRESH_BUSY",
        "SoC core may initiate a rank1_refresh operation (refresh operation to "
        "rank 1) only if this signal is low.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ZQ_CALIB_SHORT_BUSY",
        "SoC core may initiate a ZQCS (ZQ calibration short) operation only if "
        "this signal is low.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CTRLUPD_BUSY",
        "SoC coremay initiate a ctrlupd operation only if this signal is low.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_SWCTL.
static const field_t hw_ddrc_swctl[] =
{
    {
        "SW_DONE",
        "Enable quasi dynamic register programming outside reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_SWSTAT.
static const field_t hw_ddrc_swstat[] =
{
    {
        "SW_DONE_ACK",
        "This register is the echo of SWCTL.sw_done.Wait for sw_done value 1 to"
        " propagate to sw_done_ack at the end of the programming sequence to en"
        "sure that the correct registers values are propagated to the destinati"
        "on clock domains.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a DDRC module.
static const reg_t hw_ddrc[] =
{
    {
        "MSTR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_ddrc_mstr
    },
    {
        "STAT",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_stat
    },
    {
        "MRCTRL0",
        "Do not enable more than one of the following fields simultaneously: RC"
        "D_INIT_EN PDA_EN MPR_EN",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_mrctrl0
    },
    {
        "MRCTRL1",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mrctrl1
    },
    {
        "MRSTAT",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ddrc_mrstat
    },
    {
        "DERATEEN",
        "Exists: MEMC_LPDDR2==1",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_derateen
    },
    {
        "DERATEINT",
        "Exists: MEMC_LPDDR2==1",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_derateint
    },
    {
        "PWRCTL",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddrc_pwrctl
    },
    {
        "PWRTMG",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_pwrtmg
    },
    {
        "HWLPCTL",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_hwlpctl
    },
    {
        "RFSHCTL0",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_rfshctl0
    },
    {
        "RFSHCTL1",
        "Exists: MEMC_NUM_RANKS > 1",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_rfshctl1
    },
    {
        "RFSHCTL3",
        "",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_rfshctl3
    },
    {
        "RFSHTMG",
        "",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_rfshtmg
    },
    {
        "INIT0",
        "Exists: Always",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_init0
    },
    {
        "INIT1",
        "",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_init1
    },
    {
        "INIT2",
        "Exists: MEMC_LPDDR2==1",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_init2
    },
    {
        "INIT3",
        "",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_init3
    },
    {
        "INIT4",
        "",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_init4
    },
    {
        "INIT5",
        "Exists: MEMC_DDR3==1 || MEMC_LPDDR2==1",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_init5
    },
    {
        "RANKCTL",
        "Exists: MEMC_NUM_RANKs > 1",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_rankctl
    },
    {
        "DRAMTMG0",
        "",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_dramtmg0
    },
    {
        "DRAMTMG1",
        "",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_dramtmg1
    },
    {
        "DRAMTMG2",
        "",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_dramtmg2
    },
    {
        "DRAMTMG3",
        "",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_dramtmg3
    },
    {
        "DRAMTMG4",
        "Exists: Always",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_dramtmg4
    },
    {
        "DRAMTMG5",
        "",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_dramtmg5
    },
    {
        "DRAMTMG6",
        "Exists: MEMC_MOBILE==1 || MEMC_LPDDR2==1",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_dramtmg6
    },
    {
        "DRAMTMG7",
        "Exists: MEMC_MOBILE==1 || MEMC_LPDDR2==1",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_dramtmg7
    },
    {
        "DRAMTMG8",
        "",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_dramtmg8
    },
    {
        "ZQCTL0",
        "Exists: MEMC_DDR3==1 || MEMC_LPDDR2==1",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddrc_zqctl0
    },
    {
        "ZQCTL1",
        "Exists: MEMC_DDR3==1 || MEMC_LPDDR2==1",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_zqctl1
    },
    {
        "ZQCTL2",
        "Exists: MEMC_LPDDR2==1",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_zqctl2
    },
    {
        "ZQSTAT",
        "Exists: MEMC_LPDDR2==1",
        4, // Width in bytes
        0x0000018c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ddrc_zqstat
    },
    {
        "DFITMG0",
        "",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddrc_dfitmg0
    },
    {
        "DFITMG1",
        "",
        4, // Width in bytes
        0x00000194, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_dfitmg1
    },
    {
        "DFILPCFG0",
        "",
        4, // Width in bytes
        0x00000198, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_ddrc_dfilpcfg0
    },
    {
        "DFIUPD0",
        "",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_dfiupd0
    },
    {
        "DFIUPD1",
        "",
        4, // Width in bytes
        0x000001a4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_dfiupd1
    },
    {
        "DFIUPD2",
        "",
        4, // Width in bytes
        0x000001a8, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_dfiupd2
    },
    {
        "DFIUPD3",
        "",
        4, // Width in bytes
        0x000001ac, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_dfiupd3
    },
    {
        "DFIMISC",
        "",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_dfimisc
    },
    {
        "ADDRMAP0",
        "Exists: (MEMC_NUM_RANKS>1)",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_addrmap0
    },
    {
        "ADDRMAP1",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_addrmap1
    },
    {
        "ADDRMAP2",
        "",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_addrmap2
    },
    {
        "ADDRMAP3",
        "",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_addrmap3
    },
    {
        "ADDRMAP4",
        "Exists: Always",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_addrmap4
    },
    {
        "ADDRMAP5",
        "",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_addrmap5
    },
    {
        "ADDRMAP6",
        "",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddrc_addrmap6
    },
    {
        "ODTCFG",
        "",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_odtcfg
    },
    {
        "ODTMAP",
        "",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_odtmap
    },
    {
        "SCHED",
        "",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddrc_sched
    },
    {
        "SCHED1",
        "",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_sched1
    },
    {
        "PERFHPR1",
        "",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_perfhpr1
    },
    {
        "PERFLPR1",
        "",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_perflpr1
    },
    {
        "PERFWR1",
        "",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_perfwr1
    },
    {
        "PERFVPR1",
        "Exists: DDRC_VPR_EN==1",
        4, // Width in bytes
        0x00000274, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_perfvpr1
    },
    {
        "PERFVPW1",
        "Exists: DDRC_VPW_EN==1",
        4, // Width in bytes
        0x00000278, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_perfvpw1
    },
    {
        "DBG0",
        "",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_dbg0
    },
    {
        "DBG1",
        "",
        4, // Width in bytes
        0x00000304, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_dbg1
    },
    {
        "DBGCAM",
        "",
        4, // Width in bytes
        0x00000308, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_ddrc_dbgcam
    },
    {
        "DBGCMD",
        "",
        4, // Width in bytes
        0x0000030c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_dbgcmd
    },
    {
        "DBGSTAT",
        "",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddrc_dbgstat
    },
    {
        "SWCTL",
        "",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_swctl
    },
    {
        "SWSTAT",
        "",
        4, // Width in bytes
        0x00000324, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ddrc_swstat
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark DDRC_MP
#endif

// Bitfields in register DDRC_MP_MP_PSTAT.
static const field_t hw_ddrc_mp_mp_pstat[] =
{
    {
        "RD_PORT_BUSY_0",
        "Indicates if there are outstanding reads for port 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCCFG.
static const field_t hw_ddrc_mp_mp_pccfg[] =
{
    {
        "GO2CRITICAL_EN",
        "If set to 1 (enabled), sets hif_go2critical_wr and hif_go2critical_lpr"
        " / hif_go2critical_hpr signals going to DDRC based on urgent input (aw"
        "urgent, arurgent) coming from AXI master.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGEMATCH_LIMIT",
        "If set to 1, limits the number of consecutive same page DDRC transacti"
        "ons that can be granted by the Port Arbiter to four when Page Match fe"
        "ature is enabled.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGR_0.
static const field_t hw_ddrc_mp_mp_pcfgr_0[] =
{
    {
        "RD_PORT_PRIORITY",
        "Determines the initial load value of read aging counters.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_REORDER_BYPASS_EN",
        "If set to 1, read transactions with ID not covered by any of the virtu"
        "al channel ID mapping registers are not reordered.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_PORT_AGING_EN",
        "If set to 1, enables aging function for the read channel of the port.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_PORT_URGENT_EN",
        "If set to 1, enables the AXI urgent sideband signal (arurgent).",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_PORT_PAGEMATCH_EN",
        "If set to 1, enables the Page Match feature.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDWR_ORDERED_EN",
        "Enable ordered read / writes.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGW_0.
static const field_t hw_ddrc_mp_mp_pcfgw_0[] =
{
    {
        "WR_PORT_PRIORITY",
        "Determines the initial load value of write aging counters.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_PORT_AGING_EN",
        "If set to 1, enables aging function for the write channel of the port.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_PORT_URGENT_EN",
        "If set to 1, enables the AXI urgent sideband signal (awurgent).",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_PORT_PAGEMATCH_EN",
        "If set to 1, enables the Page Match feature.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_00.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_00[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_00.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_00[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_10.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_10[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_10.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_10[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_20.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_20[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_20.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_20[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_30.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_30[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_30.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_30[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_40.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_40[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_40.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_40[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_50.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_50[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_50.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_50[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_60.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_60[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_60.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_60[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_70.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_70[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_70.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_70[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_80.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_80[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_80.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_80[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_90.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_90[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_90.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_90[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_100.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_100[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_100.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_100[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_110.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_110[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_110.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_110[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_120.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_120[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_120.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_120[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_130.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_130[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_130.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_130[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_140.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_140[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_140.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_140[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDMASKCH_150.
static const field_t hw_ddrc_mp_mp_pcfgidmaskch_150[] =
{
    {
        "ID_MASK",
        "Determines the mask used in the ID mapping function for virtual channe"
        "l m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGIDVALUECH_150.
static const field_t hw_ddrc_mp_mp_pcfgidvaluech_150[] =
{
    {
        "ID_VALUE",
        "Determines the value used in the ID mapping function for virtual chann"
        "el m.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCTRL_0.
static const field_t hw_ddrc_mp_mp_pctrl_0[] =
{
    {
        "PORT_EN",
        "Enables port n Value After Reset: DDRC_PORT_EN_RESET_VALUE Exists: Alw"
        "ays",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGQOS0_0.
static const field_t hw_ddrc_mp_mp_pcfgqos0_0[] =
{
    {
        "RQOS_MAP_LEVEL1",
        "Separation level1 indicating the end of region0 mapping; start of regi"
        "on0 is 0.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RQOS_MAP_LEVEL2",
        "Separation level2 indicating the end of region1 mapping; start of regi"
        "on1 is (level1 + 1).",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RQOS_MAP_REGION0",
        "This bitfield indicates the traffic class of region 0.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RQOS_MAP_REGION1",
        "This bitfield indicates the traffic class of region 1.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RQOS_MAP_REGION2",
        "This bitfield indicates the traffic class of region2.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGQOS1_0.
static const field_t hw_ddrc_mp_mp_pcfgqos1_0[] =
{
    {
        "RQOS_MAP_TIMEOUTB",
        "Specifies the timeout value for transactions mapped to the blue addres"
        "s queue.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RQOS_MAP_TIMEOUTR",
        "Specifies the timeout value for transactions mapped to the red address"
        " queue.",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGWQOS0_0.
static const field_t hw_ddrc_mp_mp_pcfgwqos0_0[] =
{
    {
        "WQOS_MAP_LEVEL",
        "Separation level indicating the end of region0 mapping; start of regio"
        "n0 is 0.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WQOS_MAP_REGION0",
        "This bitfield indicates the traffic class of region 0.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WQOS_MAP_REGION1",
        "This bitfield indicates the traffic class of region 1.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_PCFGWQOS1_0.
static const field_t hw_ddrc_mp_mp_pcfgwqos1_0[] =
{
    {
        "WQOS_MAP_TIMEOUT",
        "Specifies the timeout value for write transactions.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_SARBASE0.
static const field_t hw_ddrc_mp_mp_sarbase0[] =
{
    {
        "BASE_ADDR",
        "Base address for address region n specified as awaddr[DDRC_A_ADDRW-1:x"
        "]and araddr[DDRC_A_ADDRW-1:x] where x is determined by the minimum blo"
        "ck size parameter DDRC_SARMINSIZE: (x = log2 (block size)).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_SARSIZE0.
static const field_t hw_ddrc_mp_mp_sarsize0[] =
{
    {
        "NBLOCKS",
        "Number of blocks for address region n.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_SARBASE1.
static const field_t hw_ddrc_mp_mp_sarbase1[] =
{
    {
        "BASE_ADDR",
        "Base address for address region n specified as awaddr[DDRC_A_ADDRW-1:x"
        "]and araddr[DDRC_A_ADDRW-1:x] where x is determined by the minimum blo"
        "ck size parameter DDRC_SARMINSIZE: (x = log2 (block size)).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_SARSIZE1.
static const field_t hw_ddrc_mp_mp_sarsize1[] =
{
    {
        "NBLOCKS",
        "Number of blocks for address region n.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_SARBASE2.
static const field_t hw_ddrc_mp_mp_sarbase2[] =
{
    {
        "BASE_ADDR",
        "Base address for address region n specified as awaddr[DDRC_A_ADDRW-1:x"
        "]and araddr[DDRC_A_ADDRW-1:x] where x is determined by the minimum blo"
        "ck size parameter DDRC_SARMINSIZE: (x = log2 (block size)).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_SARSIZE2.
static const field_t hw_ddrc_mp_mp_sarsize2[] =
{
    {
        "NBLOCKS",
        "Number of blocks for address region n.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_SARBASE3.
static const field_t hw_ddrc_mp_mp_sarbase3[] =
{
    {
        "BASE_ADDR",
        "Base address for address region n specified as awaddr[DDRC_A_ADDRW-1:x"
        "]and araddr[DDRC_A_ADDRW-1:x] where x is determined by the minimum blo"
        "ck size parameter DDRC_SARMINSIZE: (x = log2 (block size)).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_MP_MP_SARSIZE3.
static const field_t hw_ddrc_mp_mp_sarsize3[] =
{
    {
        "NBLOCKS",
        "Number of blocks for address region n.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a DDRC_MP module.
static const reg_t hw_ddrc_mp[] =
{
    {
        "MP_PSTAT",
        "Exists: DDRC_INCL_ARB==1",
        4, // Width in bytes
        0x000003fc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pstat
    },
    {
        "MP_PCCFG",
        "Exists: DDRC_INCL_ARB==1",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_mp_mp_pccfg
    },
    {
        "MP_PCFGR_0",
        "Exists: DDRC_INCL_ARB==1 && DDRC_PORT_n==1",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddrc_mp_mp_pcfgr_0
    },
    {
        "MP_PCFGW_0",
        "Exists: DDRC_INCL_ARB==1 && DDRC_PORT_0==1",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_mp_mp_pcfgw_0
    },
    {
        "MP_PCFGIDMASKCH_00",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_00
    },
    {
        "MP_PCFGIDVALUECH_00",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x00000414, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_00
    },
    {
        "MP_PCFGIDMASKCH_10",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000418, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_10
    },
    {
        "MP_PCFGIDVALUECH_10",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x0000041c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_10
    },
    {
        "MP_PCFGIDMASKCH_20",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000420, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_20
    },
    {
        "MP_PCFGIDVALUECH_20",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x00000424, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_20
    },
    {
        "MP_PCFGIDMASKCH_30",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000428, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_30
    },
    {
        "MP_PCFGIDVALUECH_30",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x0000042c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_30
    },
    {
        "MP_PCFGIDMASKCH_40",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000430, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_40
    },
    {
        "MP_PCFGIDVALUECH_40",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x00000434, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_40
    },
    {
        "MP_PCFGIDMASKCH_50",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000438, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_50
    },
    {
        "MP_PCFGIDVALUECH_50",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x0000043c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_50
    },
    {
        "MP_PCFGIDMASKCH_60",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_60
    },
    {
        "MP_PCFGIDVALUECH_60",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x00000444, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_60
    },
    {
        "MP_PCFGIDMASKCH_70",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000448, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_70
    },
    {
        "MP_PCFGIDVALUECH_70",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x0000044c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_70
    },
    {
        "MP_PCFGIDMASKCH_80",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_80
    },
    {
        "MP_PCFGIDVALUECH_80",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x00000454, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_80
    },
    {
        "MP_PCFGIDMASKCH_90",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000458, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_90
    },
    {
        "MP_PCFGIDVALUECH_90",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x0000045c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_90
    },
    {
        "MP_PCFGIDMASKCH_100",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_100
    },
    {
        "MP_PCFGIDVALUECH_100",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x00000464, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_100
    },
    {
        "MP_PCFGIDMASKCH_110",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000468, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_110
    },
    {
        "MP_PCFGIDVALUECH_110",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x0000046c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_110
    },
    {
        "MP_PCFGIDMASKCH_120",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000470, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_120
    },
    {
        "MP_PCFGIDVALUECH_120",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x00000474, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_120
    },
    {
        "MP_PCFGIDMASKCH_130",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000478, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_130
    },
    {
        "MP_PCFGIDVALUECH_130",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x0000047c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_130
    },
    {
        "MP_PCFGIDMASKCH_140",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_140
    },
    {
        "MP_PCFGIDVALUECH_140",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x00000484, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_140
    },
    {
        "MP_PCFGIDMASKCH_150",
        "M signifies the number of the virtual channel for the Port n where m ="
        " 0 to 15.",
        4, // Width in bytes
        0x00000488, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidmaskch_150
    },
    {
        "MP_PCFGIDVALUECH_150",
        "Exists: DDRC_PORT_CH m_0==1",
        4, // Width in bytes
        0x0000048c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgidvaluech_150
    },
    {
        "MP_PCTRL_0",
        "n signifies the Port where n= 0 to 15.",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pctrl_0
    },
    {
        "MP_PCFGQOS0_0",
        "Exists: DDRC_A_AXI_0==1",
        4, // Width in bytes
        0x00000494, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddrc_mp_mp_pcfgqos0_0
    },
    {
        "MP_PCFGQOS1_0",
        "Exists: DDRC_A_AXI_n==1 && DDRC_XPI_VPR_n==1",
        4, // Width in bytes
        0x00000498, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_mp_mp_pcfgqos1_0
    },
    {
        "MP_PCFGWQOS0_0",
        "n signifies the Port where n = 0 to 15.",
        4, // Width in bytes
        0x0000049c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_mp_mp_pcfgwqos0_0
    },
    {
        "MP_PCFGWQOS1_0",
        "Exists: DDRC_A_AXI_n==1 && DDRC_XPI_VPW_n==1",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_pcfgwqos1_0
    },
    {
        "MP_SARBASE0",
        "Where n= 0 to 3 Exits: DDRC_INCL_ARB==1 && DDRC_A_SAR_n==1",
        4, // Width in bytes
        0x00000f04, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_sarbase0
    },
    {
        "MP_SARSIZE0",
        "Where n= 0 to 3 Exists: DDRC_INCL_ARB==1 && DDRC_A_SAR_n==1",
        4, // Width in bytes
        0x00000f08, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_sarsize0
    },
    {
        "MP_SARBASE1",
        "Where n= 0 to 3 Exits: DDRC_INCL_ARB==1 && DDRC_A_SAR_n==1",
        4, // Width in bytes
        0x00000f0c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_sarbase1
    },
    {
        "MP_SARSIZE1",
        "Where n= 0 to 3 Exists: DDRC_INCL_ARB==1 && DDRC_A_SAR_n==1",
        4, // Width in bytes
        0x00000f10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_sarsize1
    },
    {
        "MP_SARBASE2",
        "Where n= 0 to 3 Exits: DDRC_INCL_ARB==1 && DDRC_A_SAR_n==1",
        4, // Width in bytes
        0x00000f14, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_sarbase2
    },
    {
        "MP_SARSIZE2",
        "Where n= 0 to 3 Exists: DDRC_INCL_ARB==1 && DDRC_A_SAR_n==1",
        4, // Width in bytes
        0x00000f18, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_sarsize2
    },
    {
        "MP_SARBASE3",
        "Where n= 0 to 3 Exits: DDRC_INCL_ARB==1 && DDRC_A_SAR_n==1",
        4, // Width in bytes
        0x00000f1c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_sarbase3
    },
    {
        "MP_SARSIZE3",
        "Where n= 0 to 3 Exists: DDRC_INCL_ARB==1 && DDRC_A_SAR_n==1",
        4, // Width in bytes
        0x00000f20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_mp_mp_sarsize3
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark DDR_PHY
#endif

// Bitfields in register DDR_PHY_PHY_PHY_CON0.
static const field_t hw_ddr_phy_phy_phy_con0[] =
{
    {
        "CTRL_FNC_FB",
        "Valid only when {mode_phy, mode_nand, mode_scan, mode_mux} is 4'b00000"
        ".",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_TWPRE",
        "Write preamble setting Initial Value = 1'b0",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_CMOSRCV",
        "This field controls the input mode of I/O.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_ATGATE",
        "This bit should be set to 1'b1.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_SHGATE",
        "This field controls the gate control signal Initial Value = 1'b0",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_DFDQS",
        "Initial Value = 1'b1",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_DDR_MODE",
        "Initial Value = 2'b11",
        11, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRLVL_MODE",
        "Write Leveling Mode Enable Initial Value = 1'b0",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_UPD_RANGE",
        "It decides how many differences between the new lock value and the cur"
        "rent lock value which is used in Slave-DLL is needed for updating lock"
        " value.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_UPD_MODE",
        "It controls when DLL is updated.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_PHY_CON1.
static const field_t hw_ddr_phy_phy_phy_con1[] =
{
    {
        "CTRL_GATEDURADJ",
        "It adjusts the duration cycle of \"ctrl_gate\" on a clock cycle base.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_GATEADJ",
        "It adjusts the enable time of \"ctrl_gate\" on a clock cycle base.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_PHY_CON2.
static const field_t hw_ddr_phy_phy_phy_con2[] =
{
    {
        "RDDESKEW_CLEAR",
        "Clear \"ctrl_offsetr*\" to RdDeSkewCode Initial Value = 1'b0",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRDESKEW_CLEAR",
        "Write \"ctrl_offsetw*\" toWrDeSkewCode Initial Value = 1'b0",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CA_CAL_MODE",
        "Not used Initial Value = 1'b0",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GATE_CAL_MODE",
        "When gate_cal_mode = 1, Gate leveling offset value will be used instea"
        "d of ctrl_shiftc*.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_PHY_CON3.
static const field_t hw_ddr_phy_phy_phy_con3[] =
{
    {
        "REG_MODE",
        "Register mode control to write the information at each data Initial Va"
        "lue = 0x0",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRLVL_START",
        "Start Write Leveling signal.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WL_CAL_MODE",
        "Write Leveling Calibration mode Enable Initial Value = 0x0",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WL_CAL_START",
        "Start Write Leveling Calibration Initial Value = 0x0",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRLVL_RESP",
        "Response after Write Leveling Initial Value = 0x0",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WL_CAL_RESP",
        "Response after Write Leveling Calibration Initial Value = 0x0",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_PHY_CON4.
static const field_t hw_ddr_phy_phy_phy_con4[] =
{
    {
        "CTRL_RDLAT",
        "Read Latency (RL) Initial Value = 5'h0",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_BSTLEN",
        "Burst Length (BL) Initial Value = 5'h0",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_WRLAT",
        "Clock cycles between write command and the first edge of DQS which can"
        " capture the first valid DQ.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_PHY_CON5.
static const field_t hw_ddr_phy_phy_phy_con5[] =
{
    {
        "CTRL_WRLAT_PLUS1_0",
        "This field can control Write Latency (WL) by half cycle, one or two cy"
        "cles for Data_Slice0.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_WRLAT_PLUS1_1",
        "This field can control Write Latency (WL) by half cycle, one or two cy"
        "cles for Data_Slice1.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_WRLAT_PLUS2",
        "This field can control Write Latency (WL) by half cycle, one or two cy"
        "cles for Data_Slice2.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_WRLAT_PLUS3",
        "This field can control Write Latency (WL) by half cycle, one or two cy"
        "cles for Data_Slice3.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_LP_CON0.
static const field_t hw_ddr_phy_phy_lp_con0[] =
{
    {
        "CTRL_PULLD_DQS",
        "Active HIGH signal to pull-up or down PDQS / NDQS signals.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_PULLD_DQ",
        "Active HIGH signal to down DQ signals.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_RODT_CON0.
static const field_t hw_ddr_phy_phy_rodt_con0[] =
{
    {
        "CTRL_READ_DIS",
        "Read ODT (On-Die-Termination) Disable Signal.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_OFFSET_RD_CON0.
static const field_t hw_ddr_phy_phy_offset_rd_con0[] =
{
    {
        "CTRL_OFFSETR0",
        "This field can be used to give offset to read DQS.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_OFFSETR1",
        "This field can be used to give offset to read DQS.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_OFFSETR2",
        "This field can be used to give offset to read DQS.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_OFFSETR3",
        "This field can be used to give offset to read DQS.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_OFFSET_WR_CON0.
static const field_t hw_ddr_phy_phy_offset_wr_con0[] =
{
    {
        "CTRL_OFFSETW0",
        "This field can be used to give offset to write DQ.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_OFFSETW1",
        "This field can be used to give offset to write DQ.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_OFFSETW2",
        "This field can be used to give offset to write DQ.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_OFFSETW3",
        "This field can be used to give offset to write DQ.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_GATE_CODE_CON0.
static const field_t hw_ddr_phy_phy_gate_code_con0[] =
{
    {
        "CTRL_OFFSETC0",
        "Gate offset amount for DDR3 Data Slice 0.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_OFFSETC1",
        "Gate offset amount for DDR3 Data Slice 1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_OFFSETC2",
        "Gate offset amount for DDR3 Data Slice 2.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_OFFSETC3",
        "Gate offset amount for DDR3 Data Slice 3.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_SHIFTC_CON0.
static const field_t hw_ddr_phy_phy_shiftc_con0[] =
{
    {
        "CTRL_SHIFTC0",
        "GATEin signal delay amount for DDR.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_SHIFTC1",
        "GATEin signal delay amount for DDR.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_SHIFTC2",
        "GATEin signal delay amount for DDR.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_SHIFTC3",
        "GATEin signal delay amount for DDR.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_CMD_SDLL_CON0.
static const field_t hw_ddr_phy_phy_cmd_sdll_con0[] =
{
    {
        "CTRL_OFFSETD",
        "This field is for debug purpose.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_RESYNC",
        "Active RISIG-EDGE signal.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_MODE",
        "This field controls \"PHY Update\" Mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_LVL_CON0.
static const field_t hw_ddr_phy_phy_lvl_con0[] =
{
    {
        "CTRL_WRLVL0_CODE",
        "Write Level Slave DLL Code Value for Data_Slice 0 Initial Value = 0x0",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_WRLVL1_CODE",
        "Write Level Slave DLL Code Value for Data_Slice 1 Initial Value = 0x0",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_WRLVL2_CODE",
        "Write Level Slave DLL Code Value for Data_Slice 2 Initial Value = 0x0",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_WRLVL3_CODE",
        "Write Level Slave DLL Code Value for Data_Slice 3 Initial Value = 0x0",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_LVL_CON3.
static const field_t hw_ddr_phy_phy_lvl_con3[] =
{
    {
        "CTRL_WRLVL_RESYNC",
        "Write Level DLL Code Update Enable Initial Value = 0x0",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_CMD_DESKEW_CON0.
static const field_t hw_ddr_phy_phy_cmd_deskew_con0[] =
{
    {
        "CA1DESKEWCODE_0",
        "DeSkew Code for CA[0] Initial Value = 0x0",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CA1DESKEWCODE_1",
        "DeSkew Code for CA[1] Initial Value = 0x0",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CA2DESKEWCODE",
        "DeSkew Code for CA[2] Initial Value = 0x0",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CA3DESKEWCODE",
        "DeSkew Code for CA[3] Initial Value = 0x0",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_CMD_DESKEW_CON1.
static const field_t hw_ddr_phy_phy_cmd_deskew_con1[] =
{
    {
        "CA4DESKEWCODE",
        "DeSkew Code for CA[4] Initial Value = 0x0",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CA5DESKEWCODE",
        "DeSkew Code for CA[5] Initial Value = 0x0",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CA6DESKEWCODE",
        "DeSkew Code for CA[6] Initial Value = 0x0",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CA7DESKEWCODE",
        "DeSkew Code for CA[7] Initial Value = 0x0",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_CMD_DESKEW_CON2.
static const field_t hw_ddr_phy_phy_cmd_deskew_con2[] =
{
    {
        "CA8DESKEWCODE",
        "DeSkew Code for CA[8] Initial Value = 0x0",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CA9DESKEWCODE",
        "DeSkew Code for CA[9] Initial Value = 0x0",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CKDESKEWCODE",
        "DeSkew Code for CK Initial Value = 0x0",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS0DESKEWCODE",
        "DeSkew Code for CS0 Initial Value = 0x0",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_CMD_DESKEW_CON3.
static const field_t hw_ddr_phy_phy_cmd_deskew_con3[] =
{
    {
        "CS1DESKEWCODE",
        "DeSkew Code for CS1 Initial Value = 0x0",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CKE0DESKEWCODE",
        "DeSkew Code for CKE0 Initial Value = 0x0",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CKE1DESKEWCODE",
        "DeSkew Code for CKE1 Initial Value = 0x0",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_CMD_DESKEW_CON4.
static const field_t hw_ddr_phy_phy_cmd_deskew_con4[] =
{
    {
        "RSTDESKEWCODE",
        "DeSkew Code for RST Initial Value = 0x0",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_DRVDS_CON0.
static const field_t hw_ddr_phy_phy_drvds_con0[] =
{
    {
        "CAADRDRVRDS",
        "Driver strength for CA[9:0], RAS, CAS,WEN, ODT[1:0], RESET, BANK[2:0].",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CACSDRVRDS",
        "Driver strength for CS[1:0] Initial value = 0x0",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CACKEDRVRDS",
        "Driver strength for CKE[1:0] Initial value = 0x0",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CACKDRVRDS",
        "Driver strenght for CK Initial value = 0x0.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_MDLL_CON0.
static const field_t hw_ddr_phy_phy_mdll_con0[] =
{
    {
        "CTRL_REF",
        "This field determines the period of time when ctrl_locked is cleared.",
        1, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_DLL_ON",
        "HIGH active start signal to turn on the DLL.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_START",
        "This field is used to start DLL locking.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_FORCE",
        "This field is used instead of ctrl_lock_value[8:0] found by the DLL on"
        "ly when ctrl_dll_on is LOW, i.e.",
        7, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_INC",
        "Increase amount of start point Initial Value = 7'h10",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_START_POINT",
        "Initial DLL lock start point.",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_MDLL_CON1.
static const field_t hw_ddr_phy_phy_mdll_con1[] =
{
    {
        "CTRL_LOCKED",
        "DLL stable lock information.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_FLOCK",
        "Fine lock information.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_CLOCK",
        "Coarse lock information.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_LOCK_VALUE",
        "Locked delay line encoding value.",
        8, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_ZQ_CON0.
static const field_t hw_ddr_phy_phy_zq_con0[] =
{
    {
        "ZQ_AUTO_EN",
        "Auto calibration enable Initial Value = 1'b0",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_MANUAL_STR",
        "Manual calibration start Initial Value = 1'b0",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_MANUAL_MODE",
        "Manual calibration mode selection Initial Value = 2'b01",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_UDT_DLY",
        "ZQ I/O clock enable duration for auto calibration mode.",
        4, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_FORCE_IMPP",
        "Immediate control code for pull-up.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_FORCE_IMPN",
        "Immediate control code for pull-down.",
        15, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_CLK_DIV_EN",
        "Clock dividing enable Initial Value = 1'b0",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_MODE_NOTERM",
        "Termination disable selection Initial Value = 1'b0",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_RGDDR3",
        "Not used Initial Value = 1'b0",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_MODE_TERM",
        "On-die-termination (ODT) resistor value selection.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_MODE_DDS",
        "Driver strength selection.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_CLK_EN",
        "ZQ I/O Clock enable Initial Value = 1'b1",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_ZQ_CON1.
static const field_t hw_ddr_phy_phy_zq_con1[] =
{
    {
        "ZQ_DONE",
        "ZQ Calibration is finished.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_PENDING",
        "Auto calibration enable status",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_ERROR",
        "Calibration fail indication (High: calibration failed)",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_NMON",
        "Control code found by auto calibration for pull-down.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_PMON",
        "Control code found by auto calibration for pull-up.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_ZQ_CON2.
static const field_t hw_ddr_phy_phy_zq_con2[] =
{
    {
        "CTRL_ZQ_CLK_DIV",
        "ZQ Clock (= io_zq_clk) divider setting value.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_RD_DESKEW_CON0.
static const field_t hw_ddr_phy_phy_rd_deskew_con0[] =
{
    {
        "RD0DESKEW0",
        "Read DQ0 De-Skew Code",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD0DESKEW1",
        "Read DQ8 De-Skew Code",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD0DESKEW2",
        "Read DQ16 De-Skew Code",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD0DESKEW3",
        "Read DQ24 De-Skew Code",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_RD_DESKEW_CON3.
static const field_t hw_ddr_phy_phy_rd_deskew_con3[] =
{
    {
        "RD1DESKEW0",
        "Read DQ1 De-Skew Code",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD1DESKEW1",
        "Read DQ9 De-Skew Code",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD1DESKEW2",
        "Read DQ17 De-Skew Code",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD1DESKEW3",
        "Read DQ25 De-Skew Code",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_RD_DESKEW_CON6.
static const field_t hw_ddr_phy_phy_rd_deskew_con6[] =
{
    {
        "RD2DESKEW0",
        "Read DQ2 De-Skew Code",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD2DESKEW1",
        "Read DQ10 De-Skew Code",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD2DESKEW2",
        "Read DQ18 De-Skew Code",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD2DESKEW3",
        "Read DQ26 De-Skew Code",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_RD_DESKEW_CON9.
static const field_t hw_ddr_phy_phy_rd_deskew_con9[] =
{
    {
        "RD3DESKEW0",
        "Read DQ3 De-Skew Code",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD3DESKEW1",
        "Read DQ11 De-Skew Code",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD3DESKEW2",
        "Read DQ19 De-Skew Code",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD3DESKEW3",
        "Read DQ27 De-Skew Code",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_RD_DESKEW_CON12.
static const field_t hw_ddr_phy_phy_rd_deskew_con12[] =
{
    {
        "RD4DESKEW0",
        "Read DQ4 De-Skew Code",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD4DESKEW1",
        "Read DQ12 De-Skew Code",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD4DESKEW2",
        "Read DQ20 De-Skew Code",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD4DESKEW3",
        "Read DQ28 De-Skew Code",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_RD_DESKEW_CON15.
static const field_t hw_ddr_phy_phy_rd_deskew_con15[] =
{
    {
        "RD5DESKEW0",
        "Read DQ5 De-Skew Code",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD5DESKEW1",
        "Read DQ13 De-Skew Code",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD5DESKEW2",
        "Read DQ21 De-Skew Code",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD5DESKEW3",
        "Read DQ29 De-Skew Code",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_RD_DESKEW_CON18.
static const field_t hw_ddr_phy_phy_rd_deskew_con18[] =
{
    {
        "RD6DESKEW0",
        "Read DQ6 De-Skew Code",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD6DESKEW1",
        "Read DQ14 De-Skew Code",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD6DESKEW2",
        "Read DQ22 De-Skew Code",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD6DESKEW3",
        "Read DQ30 De-Skew Code",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_RD_DESKEW_CON21.
static const field_t hw_ddr_phy_phy_rd_deskew_con21[] =
{
    {
        "RD7DESKEW0",
        "Read DQ7 De-Skew Code",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD7DESKEW1",
        "Read DQ15 De-Skew Code",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD7DESKEW2",
        "Read DQ23 De-Skew Code",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD7DESKEW3",
        "Read DQ31 De-Skew Code",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_WR_DESKEW_CON0.
static const field_t hw_ddr_phy_phy_wr_deskew_con0[] =
{
    {
        "WR0DESKEW0",
        "Write DQ0 De-Skew Code",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR0DESKEW1",
        "Write DQ8 De-Skew Code",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR0DESKEW2",
        "Write DQ16 De-Skew Code",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR0DESKEW3",
        "Wirte DQ24 De-Skew Code",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_WR_DESKEW_CON3.
static const field_t hw_ddr_phy_phy_wr_deskew_con3[] =
{
    {
        "WR1DESKEW0",
        "Write DQ1 De-Skew Code",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR1DESKEW1",
        "Write DQ9 De-Skew Code",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR1DESKEW2",
        "Write DQ17 De-Skew Code",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR1DESKEW3",
        "Write DQ25 De-Skew Code",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_WR_DESKEW_CON6.
static const field_t hw_ddr_phy_phy_wr_deskew_con6[] =
{
    {
        "WR2DESKEW0",
        "Write DQ2 De-Skew Code for Data Slice0.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR2DESKEW1",
        "Write DQ2 De-Skew Code for Data Slice1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR2DESKEW2",
        "Write DQ2 De-Skew Code for Data Slice2.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR2DESKEW3",
        "Write DQ2 De-Skew Code for Data Slice3.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_WR_DESKEW_CON9.
static const field_t hw_ddr_phy_phy_wr_deskew_con9[] =
{
    {
        "WR3DESKEW0",
        "Write DQ3 De-Skew Code for Data Slice0.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR3DESKEW1",
        "Write DQ3 De-Skew Code for Data Slice1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR3DESKEW2",
        "Write DQ3 De-Skew Code for Data Slice2.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR3DESKEW3",
        "Write DQ3 De-Skew Code for Data Slice3.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_WR_DESKEW_CON12.
static const field_t hw_ddr_phy_phy_wr_deskew_con12[] =
{
    {
        "WR4DESKEW0",
        "Write DQ4 De-Skew Code for Data Slice0.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR4DESKEW1",
        "Write DQ4 De-Skew Code for Data Slice1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR4DESKEW2",
        "Write DQ4 De-Skew Code for Data Slice2.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR4DESKEW3",
        "Write DQ4 De-Skew Code for Data Slice3.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_WR_DESKEW_CON15.
static const field_t hw_ddr_phy_phy_wr_deskew_con15[] =
{
    {
        "WR5DESKEW0",
        "Write DQ5 De-Skew Code for Data Slice0.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR5DESKEW1",
        "Write DQ5 De-Skew Code for Data Slice1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR5DESKEW2",
        "Write DQ5 De-Skew Code for Data Slice2.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR5DESKEW3",
        "Write DQ5 De-Skew Code for Data Slice3.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_WR_DESKEW_CON18.
static const field_t hw_ddr_phy_phy_wr_deskew_con18[] =
{
    {
        "RD6DESKEW0",
        "Read DQ6 De-Skew Code for Data Slice0.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR6DESKEW1",
        "Write DQ6 De-Skew Code for Data Slice1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR6DESKEW2",
        "Write DQ6 De-Skew Code for Data Slice2.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR6DESKEW3",
        "Write DQ6 De-Skew Code for Data Slice3.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_WR_DESKEW_CON21.
static const field_t hw_ddr_phy_phy_wr_deskew_con21[] =
{
    {
        "WR7DESKEW0",
        "Write DQ7 De-Skew Code for Data Slice0.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR7DESKEW1",
        "Write DQ7 De-Skew Code for Data Slice1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR7DESKEW2",
        "Write DQ7 De-Skew Code for Data Slice2.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR7DESKEW3",
        "Write DQ7 De-Skew Code for Data Slice3.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_DM_DESKEW_CON.
static const field_t hw_ddr_phy_phy_dm_deskew_con[] =
{
    {
        "DMDESKEW0",
        "Write DM De-Skew Code for Data Slice0.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMDESKEW1",
        "Write DM De-Skew Code for Data Slice1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMDESKEW2",
        "Write DM De-Skew Code for Data Slice2.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMDESKEW3",
        "Write DM De-Skew Code for Data Slice3.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_RDATA0.
static const field_t hw_ddr_phy_phy_rdata0[] =
{
    {
        "DQ_IO_RD0",
        "DQ I/O Read Data for DS0",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DQ_IO_RD1",
        "DQ I/O Read Data for DS1",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DQ_IO_RD2",
        "DQ I/O Read Data for DS2",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DQ_IO_RD3",
        "DQ I/O Read Data for DS3",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDR_PHY_PHY_STAT0.
static const field_t hw_ddr_phy_phy_stat0[] =
{
    {
        "VERSION_INFO",
        "Version Information",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a DDR_PHY module.
static const reg_t hw_ddr_phy[] =
{
    {
        "PHY_PHY_CON0",
        "PHY Control Register",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ddr_phy_phy_phy_con0
    },
    {
        "PHY_PHY_CON1",
        "PHY Control Register",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddr_phy_phy_phy_con1
    },
    {
        "PHY_PHY_CON2",
        "PHY Control Register",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_phy_con2
    },
    {
        "PHY_PHY_CON3",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddr_phy_phy_phy_con3
    },
    {
        "PHY_PHY_CON4",
        "PHY Control Register",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddr_phy_phy_phy_con4
    },
    {
        "PHY_PHY_CON5",
        "When \"wl_cal_mode\" = 1'b1, \"PHY_CON5\" will show the results of HW "
        "Write Latency Calibration.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_phy_con5
    },
    {
        "PHY_LP_CON0",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddr_phy_phy_lp_con0
    },
    {
        "PHY_RODT_CON0",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddr_phy_phy_rodt_con0
    },
    {
        "PHY_OFFSET_RD_CON0",
        "To capture the DQs with DQS in read operation, DQS is shifted by 90deg"
        "ree and this makes rising edge of DQS be located in the center of vali"
        "d window of DQs.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_offset_rd_con0
    },
    {
        "PHY_OFFSET_WR_CON0",
        "Be careful that \"ctrl_offsetw*\" can be used for the other purpose (="
        " Write Deskew Code Register).",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_offset_wr_con0
    },
    {
        "PHY_GATE_CODE_CON0",
        "GATE Control Register",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_gate_code_con0
    },
    {
        "PHY_SHIFTC_CON0",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_shiftc_con0
    },
    {
        "PHY_CMD_SDLL_CON0",
        "CMD SDLL Control Register",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddr_phy_phy_cmd_sdll_con0
    },
    {
        "PHY_LVL_CON0",
        "",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_lvl_con0
    },
    {
        "PHY_LVL_CON3",
        "",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddr_phy_phy_lvl_con3
    },
    {
        "PHY_CMD_DESKEW_CON0",
        "CMD DESKEW Control Register",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_cmd_deskew_con0
    },
    {
        "PHY_CMD_DESKEW_CON1",
        "CMD DESKEW Control Register",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_cmd_deskew_con1
    },
    {
        "PHY_CMD_DESKEW_CON2",
        "CMD DESKEW Control Register",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_cmd_deskew_con2
    },
    {
        "PHY_CMD_DESKEW_CON3",
        "If the DeSkew Code for CS[1:0], CK is changed, CKE should be always \""
        "LOW\" during updating.",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddr_phy_phy_cmd_deskew_con3
    },
    {
        "PHY_CMD_DESKEW_CON4",
        "CMD DESKEW Control Register",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddr_phy_phy_cmd_deskew_con4
    },
    {
        "PHY_DRVDS_CON0",
        "It is recommended that Driver Strength will be one of the following se"
        "ttings instead of 3'h0.",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_drvds_con0
    },
    {
        "PHY_MDLL_CON0",
        "MDLL Control Register",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddr_phy_phy_mdll_con0
    },
    {
        "PHY_MDLL_CON1",
        "\"DLL\" is used to get how many delay cells should be passed through t"
        "he \"delay line\" to delay a signal to an amount of one clock period a"
        "nd is controlled by ctrl_start, ctrl_start_point and ctrl_inc.",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_mdll_con1
    },
    {
        "PHY_ZQ_CON0",
        "\"zq_manual_str\" (= ZQ_CON0[1]) should be toggled after ZQ_CON0[17:2]"
        " or ZQ_CON0[26:19] is changed.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ddr_phy_phy_zq_con0
    },
    {
        "PHY_ZQ_CON1",
        "",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddr_phy_phy_zq_con1
    },
    {
        "PHY_ZQ_CON2",
        "",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddr_phy_phy_zq_con2
    },
    {
        "PHY_RD_DESKEW_CON0",
        "RD DESKEW Control Register",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_rd_deskew_con0
    },
    {
        "PHY_RD_DESKEW_CON3",
        "",
        4, // Width in bytes
        0x0000019c, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_rd_deskew_con3
    },
    {
        "PHY_RD_DESKEW_CON6",
        "",
        4, // Width in bytes
        0x000001a8, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_rd_deskew_con6
    },
    {
        "PHY_RD_DESKEW_CON9",
        "",
        4, // Width in bytes
        0x000001b4, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_rd_deskew_con9
    },
    {
        "PHY_RD_DESKEW_CON12",
        "",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_rd_deskew_con12
    },
    {
        "PHY_RD_DESKEW_CON15",
        "",
        4, // Width in bytes
        0x000001cc, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_rd_deskew_con15
    },
    {
        "PHY_RD_DESKEW_CON18",
        "",
        4, // Width in bytes
        0x000001d8, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_rd_deskew_con18
    },
    {
        "PHY_RD_DESKEW_CON21",
        "",
        4, // Width in bytes
        0x000001e4, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_rd_deskew_con21
    },
    {
        "PHY_WR_DESKEW_CON0",
        "WR DESKEW Control Register",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_wr_deskew_con0
    },
    {
        "PHY_WR_DESKEW_CON3",
        "",
        4, // Width in bytes
        0x000001fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_wr_deskew_con3
    },
    {
        "PHY_WR_DESKEW_CON6",
        "",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_wr_deskew_con6
    },
    {
        "PHY_WR_DESKEW_CON9",
        "",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_wr_deskew_con9
    },
    {
        "PHY_WR_DESKEW_CON12",
        "",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_wr_deskew_con12
    },
    {
        "PHY_WR_DESKEW_CON15",
        "",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_wr_deskew_con15
    },
    {
        "PHY_WR_DESKEW_CON18",
        "",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_wr_deskew_con18
    },
    {
        "PHY_WR_DESKEW_CON21",
        "",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_wr_deskew_con21
    },
    {
        "PHY_DM_DESKEW_CON",
        "",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_dm_deskew_con
    },
    {
        "PHY_RDATA0",
        "",
        4, // Width in bytes
        0x000003a0, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddr_phy_phy_rdata0
    },
    {
        "PHY_STAT0",
        "",
        4, // Width in bytes
        0x000003ac, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ddr_phy_phy_stat0
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark ECSPI
#endif

// Bitfields in register ECSPI_RXDATA.
static const field_t hw_ecspi_rxdata[] =
{
    {
        "ECSPI_RXDATA",
        "Receive Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_TXDATA.
static const field_t hw_ecspi_txdata[] =
{
    {
        "ECSPI_TXDATA",
        "Transmit Data.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_CONREG.
static const field_t hw_ecspi_conreg[] =
{
    {
        "EN",
        "SPI Block Enable Control.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HT",
        "Hardware Trigger Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XCH",
        "SPI Exchange Bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SMC",
        "Start Mode Control.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_MODE",
        "SPI CHANNEL MODE selects the mode for each SPI channel.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POST_DIVIDER",
        "SPI Post Divider.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_DIVIDER",
        "SPI Pre Divider.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRCTL",
        "SPI Data Ready Control.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_SELECT",
        "SPI CHANNEL SELECT bits.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_LENGTH",
        "Burst Length.",
        20, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_CONFIGREG.
static const field_t hw_ecspi_configreg[] =
{
    {
        "SCLK_PHA",
        "SPI Clock/Data Phase Control.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCLK_POL",
        "SPI Clock Polarity Control.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SS_CTL",
        "SPI SS Wave Form Select.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SS_POL",
        "SPI SS Polarity Select.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_CTL",
        "DATA CTL.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCLK_CTL",
        "SCLK CTL.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HT_LENGTH",
        "HT LENGTH.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_INTREG.
static const field_t hw_ecspi_intreg[] =
{
    {
        "TEEN",
        "TXFIFO Empty Interrupt enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TDREN",
        "TXFIFO Data Request Interrupt enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TFEN",
        "TXFIFO Full Interrupt enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RREN",
        "RXFIFO Ready Interrupt enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDREN",
        "RXFIFO Data Request Interrupt enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFEN",
        "RXFIFO Full Interrupt enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROEN",
        "RXFIFO Overflow Interrupt enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCEN",
        "Transfer Completed Interrupt enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_DMAREG.
static const field_t hw_ecspi_dmareg[] =
{
    {
        "TX_THRESHOLD",
        "TX THRESHOLD.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEDEN",
        "TXFIFO Empty DMA Request Enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_THRESHOLD",
        "RX THRESHOLD.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDEN",
        "RXFIFO DMA Request Enable.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_DMA_LENGTH",
        "RX DMA LENGTH.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXTDEN",
        "RXFIFO TAIL DMA Request Enable.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_STATREG.
static const field_t hw_ecspi_statreg[] =
{
    {
        "TE",
        "TXFIFO Empty.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TDR",
        "TXFIFO Data Request.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TF",
        "TXFIFO Full.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RR",
        "RXFIFO Ready.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RDR",
        "RXFIFO Data Request.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RF",
        "RXFIFO Full.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RO",
        "RXFIFO Overflow.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC",
        "Transfer Completed Status bit.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_PERIODREG.
static const field_t hw_ecspi_periodreg[] =
{
    {
        "SAMPLE_PERIOD",
        "Sample Period Control.",
        0, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSRC",
        "Clock Source Control.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSD_CTL",
        "Chip Select Delay Control bits.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_TESTREG.
static const field_t hw_ecspi_testreg[] =
{
    {
        "TXCNT",
        "TXFIFO Counter.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXCNT",
        "RXFIFO Counter.",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LBC",
        "Loop Back Control.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_MSGDATA.
static const field_t hw_ecspi_msgdata[] =
{
    {
        "ECSPI_MSGDATA",
        "ECSPI_MSGDATA holds the top word of MSG Data FIFO.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a ECSPI module.
static const reg_t hw_ecspi[] =
{
    {
        "RXDATA",
        "The Receive Data register (ECSPI_RXDATA) is a read-only register that "
        "forms the top word of the 64 x 32 receive FIFO.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ecspi_rxdata
    },
    {
        "TXDATA",
        "The Transmit Data (ECSPI_TXDATA) register is a write-only data registe"
        "r that forms the bottom word of the 64 x 32 TXFIFO.",
        4, // Width in bytes
        0x00000004, // Base address offset
        false, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ecspi_txdata
    },
    {
        "CONREG",
        "The Control Register (ECSPI_CONREG) allows software to enable the ECSP"
        "I , configure its operating modes, specify the divider value, and SPI_"
        "RDY control signal, and define the transfer length.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ecspi_conreg
    },
    {
        "CONFIGREG",
        "The Config Register (ECSPI_CONFIGREG) allows software to configure eac"
        "h SPI channel, configure its operating modes, specify the phase and po"
        "larity of the clock, configure the Chip Select (SS), and define the HT"
        " transfer length.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_ecspi_configreg
    },
    {
        "INTREG",
        "The Interrupt Control Register (ECSPI_INTREG) enables the generation o"
        "f interrupts to the host processor.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ecspi_intreg
    },
    {
        "DMAREG",
        "The Direct Memory Access Control Register (ECSPI_DMAREG) provides soft"
        "ware a way to use an on-chip DMA controller for ECSPI data.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ecspi_dmareg
    },
    {
        "STATREG",
        "The ECSPI Status Register (ECSPI_STATREG) reflects the status of the E"
        "CSPI's operating condition.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ecspi_statreg
    },
    {
        "PERIODREG",
        "The Sample Period Control Register (ECSPI_PERIODREG) provides software"
        " a way to insert delays (wait states) between consecutive SPI transfer"
        "s.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ecspi_periodreg
    },
    {
        "TESTREG",
        "The Test Control Register (ECSPI_TESTREG) provides software a mechanis"
        "m to internally connect the receive and transmit devices of the ECSPI "
        ", and monitor the contents of the receive and transmit FIFOs.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ecspi_testreg
    },
    {
        "MSGDATA",
        "The Message Data Register (ECSPI_MSGDATA) forms the top word of the 16"
        " x 32 MSG Data FIFO.",
        4, // Width in bytes
        0x00000040, // Base address offset
        false, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ecspi_msgdata
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark EIM
#endif

// Bitfields in register EIM_CS0GCR1.
static const field_t hw_eim_cs0gcr1[] =
{
    {
        "CSEN",
        "CS Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWR",
        "Synchronous Write Data.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRD",
        "Synchronous Read Data.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUM",
        "Multiplexed Mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFL",
        "Write Fix Latency.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFL",
        "Read Fix Latency.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRE",
        "Configuration Register Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CREP",
        "Configuration Register Enable Polarity.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BL",
        "Burst Length.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WC",
        "Write Continuous.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCD",
        "Burst Clock Divisor.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCS",
        "Burst Clock Start.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSZ",
        "Data Port Size.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SP",
        "Supervisor Protect.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSREC",
        "CS Recovery.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUS",
        "Address UnShifted.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GBC",
        "Gap Between Chip Selects.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WP",
        "Write Protect.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSZ",
        "Page Size.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS0GCR2.
static const field_t hw_eim_cs0gcr2[] =
{
    {
        "ADH",
        "Address hold time - This bit field determine the address hold time aft"
        "er ADV negation when mum = 1 (muxed mode).",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAPS",
        "Data Acknowledge Poling Start.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAE",
        "Data Acknowledge Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAP",
        "Data Acknowledge Polarity.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX16_BYP_GRANT",
        "Muxed 16 bypass grant.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS0RCR1.
static const field_t hw_eim_cs0rcr1[] =
{
    {
        "RCSN",
        "Read CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCSA",
        "Read CS Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEN",
        "OE Negation.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEA",
        "OE Assertion.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVN",
        "ADV Negation.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RAL",
        "Read ADV Low.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVA",
        "ADV Assertion.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RWSC",
        "Read Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS0RCR2.
static const field_t hw_eim_cs0rcr2[] =
{
    {
        "RBEN",
        "Read BE Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBE",
        "Read BE enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBEA",
        "Read BE Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RL",
        "Read Latency.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAT",
        "Page Access Time.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APR",
        "Asynchronous Page Read.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS0WCR1.
static const field_t hw_eim_cs0wcr1[] =
{
    {
        "WCSN",
        "Write CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WCSA",
        "Write CS Assertion.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEN",
        "WE Negation.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEA",
        "WE Assertion.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEN",
        "BE[3:0] Negation.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEA",
        "BE Assertion.",
        15, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVN",
        "ADV Negation.",
        18, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVA",
        "ADV Assertion.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WWSC",
        "Write Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBED",
        "Write Byte Enable Disable.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAL",
        "Write ADV Low.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS0WCR2.
static const field_t hw_eim_cs0wcr2[] =
{
    {
        "WBCDD",
        "Write Burst Clock Divisor Decrement.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS1GCR1.
static const field_t hw_eim_cs1gcr1[] =
{
    {
        "CSEN",
        "CS Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWR",
        "Synchronous Write Data.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRD",
        "Synchronous Read Data.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUM",
        "Multiplexed Mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFL",
        "Write Fix Latency.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFL",
        "Read Fix Latency.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRE",
        "Configuration Register Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CREP",
        "Configuration Register Enable Polarity.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BL",
        "Burst Length.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WC",
        "Write Continuous.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCD",
        "Burst Clock Divisor.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCS",
        "Burst Clock Start.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSZ",
        "Data Port Size.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SP",
        "Supervisor Protect.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSREC",
        "CS Recovery.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUS",
        "Address UnShifted.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GBC",
        "Gap Between Chip Selects.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WP",
        "Write Protect.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSZ",
        "Page Size.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS1GCR2.
static const field_t hw_eim_cs1gcr2[] =
{
    {
        "ADH",
        "Address hold time - This bit field determine the address hold time aft"
        "er ADV negation when mum = 1 (muxed mode).",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAPS",
        "Data Acknowledge Poling Start.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAE",
        "Data Acknowledge Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAP",
        "Data Acknowledge Polarity.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX16_BYP_GRANT",
        "Muxed 16 bypass grant.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS1RCR1.
static const field_t hw_eim_cs1rcr1[] =
{
    {
        "RCSN",
        "Read CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCSA",
        "Read CS Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEN",
        "OE Negation.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEA",
        "OE Assertion.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVN",
        "ADV Negation.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RAL",
        "Read ADV Low.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVA",
        "ADV Assertion.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RWSC",
        "Read Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS1RCR2.
static const field_t hw_eim_cs1rcr2[] =
{
    {
        "RBEN",
        "Read BE Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBE",
        "Read BE enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBEA",
        "Read BE Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RL",
        "Read Latency.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAT",
        "Page Access Time.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APR",
        "Asynchronous Page Read.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS1WCR1.
static const field_t hw_eim_cs1wcr1[] =
{
    {
        "WCSN",
        "Write CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WCSA",
        "Write CS Assertion.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEN",
        "WE Negation.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEA",
        "WE Assertion.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEN",
        "BE[3:0] Negation.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEA",
        "BE Assertion.",
        15, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVN",
        "ADV Negation.",
        18, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVA",
        "ADV Assertion.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WWSC",
        "Write Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBED",
        "Write Byte Enable Disable.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAL",
        "Write ADV Low.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS1WCR2.
static const field_t hw_eim_cs1wcr2[] =
{
    {
        "WBCDD",
        "Write Burst Clock Divisor Decrement.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS2GCR1.
static const field_t hw_eim_cs2gcr1[] =
{
    {
        "CSEN",
        "CS Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWR",
        "Synchronous Write Data.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRD",
        "Synchronous Read Data.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUM",
        "Multiplexed Mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFL",
        "Write Fix Latency.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFL",
        "Read Fix Latency.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRE",
        "Configuration Register Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CREP",
        "Configuration Register Enable Polarity.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BL",
        "Burst Length.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WC",
        "Write Continuous.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCD",
        "Burst Clock Divisor.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCS",
        "Burst Clock Start.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSZ",
        "Data Port Size.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SP",
        "Supervisor Protect.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSREC",
        "CS Recovery.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUS",
        "Address UnShifted.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GBC",
        "Gap Between Chip Selects.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WP",
        "Write Protect.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSZ",
        "Page Size.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS2GCR2.
static const field_t hw_eim_cs2gcr2[] =
{
    {
        "ADH",
        "Address hold time - This bit field determine the address hold time aft"
        "er ADV negation when mum = 1 (muxed mode).",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAPS",
        "Data Acknowledge Poling Start.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAE",
        "Data Acknowledge Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAP",
        "Data Acknowledge Polarity.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX16_BYP_GRANT",
        "Muxed 16 bypass grant.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS2RCR1.
static const field_t hw_eim_cs2rcr1[] =
{
    {
        "RCSN",
        "Read CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCSA",
        "Read CS Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEN",
        "OE Negation.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEA",
        "OE Assertion.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVN",
        "ADV Negation.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RAL",
        "Read ADV Low.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVA",
        "ADV Assertion.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RWSC",
        "Read Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS2RCR2.
static const field_t hw_eim_cs2rcr2[] =
{
    {
        "RBEN",
        "Read BE Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBE",
        "Read BE enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBEA",
        "Read BE Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RL",
        "Read Latency.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAT",
        "Page Access Time.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APR",
        "Asynchronous Page Read.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS2WCR1.
static const field_t hw_eim_cs2wcr1[] =
{
    {
        "WCSN",
        "Write CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WCSA",
        "Write CS Assertion.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEN",
        "WE Negation.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEA",
        "WE Assertion.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEN",
        "BE[3:0] Negation.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEA",
        "BE Assertion.",
        15, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVN",
        "ADV Negation.",
        18, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVA",
        "ADV Assertion.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WWSC",
        "Write Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBED",
        "Write Byte Enable Disable.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAL",
        "Write ADV Low.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS2WCR2.
static const field_t hw_eim_cs2wcr2[] =
{
    {
        "WBCDD",
        "Write Burst Clock Divisor Decrement.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS3GCR1.
static const field_t hw_eim_cs3gcr1[] =
{
    {
        "CSEN",
        "CS Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWR",
        "Synchronous Write Data.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRD",
        "Synchronous Read Data.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUM",
        "Multiplexed Mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFL",
        "Write Fix Latency.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFL",
        "Read Fix Latency.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRE",
        "Configuration Register Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CREP",
        "Configuration Register Enable Polarity.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BL",
        "Burst Length.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WC",
        "Write Continuous.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCD",
        "Burst Clock Divisor.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCS",
        "Burst Clock Start.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSZ",
        "Data Port Size.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SP",
        "Supervisor Protect.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSREC",
        "CS Recovery.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUS",
        "Address UnShifted.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GBC",
        "Gap Between Chip Selects.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WP",
        "Write Protect.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSZ",
        "Page Size.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS3GCR2.
static const field_t hw_eim_cs3gcr2[] =
{
    {
        "ADH",
        "Address hold time - This bit field determine the address hold time aft"
        "er ADV negation when mum = 1 (muxed mode).",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAPS",
        "Data Acknowledge Poling Start.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAE",
        "Data Acknowledge Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAP",
        "Data Acknowledge Polarity.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX16_BYP_GRANT",
        "Muxed 16 bypass grant.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS3RCR1.
static const field_t hw_eim_cs3rcr1[] =
{
    {
        "RCSN",
        "Read CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCSA",
        "Read CS Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEN",
        "OE Negation.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEA",
        "OE Assertion.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVN",
        "ADV Negation.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RAL",
        "Read ADV Low.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVA",
        "ADV Assertion.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RWSC",
        "Read Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS3RCR2.
static const field_t hw_eim_cs3rcr2[] =
{
    {
        "RBEN",
        "Read BE Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBE",
        "Read BE enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBEA",
        "Read BE Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RL",
        "Read Latency.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAT",
        "Page Access Time.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APR",
        "Asynchronous Page Read.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS3WCR1.
static const field_t hw_eim_cs3wcr1[] =
{
    {
        "WCSN",
        "Write CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WCSA",
        "Write CS Assertion.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEN",
        "WE Negation.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEA",
        "WE Assertion.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEN",
        "BE[3:0] Negation.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEA",
        "BE Assertion.",
        15, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVN",
        "ADV Negation.",
        18, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVA",
        "ADV Assertion.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WWSC",
        "Write Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBED",
        "Write Byte Enable Disable.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAL",
        "Write ADV Low.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS3WCR2.
static const field_t hw_eim_cs3wcr2[] =
{
    {
        "WBCDD",
        "Write Burst Clock Divisor Decrement.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS4GCR1.
static const field_t hw_eim_cs4gcr1[] =
{
    {
        "CSEN",
        "CS Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWR",
        "Synchronous Write Data.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRD",
        "Synchronous Read Data.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUM",
        "Multiplexed Mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFL",
        "Write Fix Latency.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFL",
        "Read Fix Latency.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRE",
        "Configuration Register Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CREP",
        "Configuration Register Enable Polarity.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BL",
        "Burst Length.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WC",
        "Write Continuous.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCD",
        "Burst Clock Divisor.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCS",
        "Burst Clock Start.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSZ",
        "Data Port Size.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SP",
        "Supervisor Protect.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSREC",
        "CS Recovery.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUS",
        "Address UnShifted.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GBC",
        "Gap Between Chip Selects.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WP",
        "Write Protect.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSZ",
        "Page Size.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS4GCR2.
static const field_t hw_eim_cs4gcr2[] =
{
    {
        "ADH",
        "Address hold time - This bit field determine the address hold time aft"
        "er ADV negation when mum = 1 (muxed mode).",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAPS",
        "Data Acknowledge Poling Start.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAE",
        "Data Acknowledge Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAP",
        "Data Acknowledge Polarity.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX16_BYP_GRANT",
        "Muxed 16 bypass grant.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS4RCR1.
static const field_t hw_eim_cs4rcr1[] =
{
    {
        "RCSN",
        "Read CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCSA",
        "Read CS Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEN",
        "OE Negation.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEA",
        "OE Assertion.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVN",
        "ADV Negation.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RAL",
        "Read ADV Low.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVA",
        "ADV Assertion.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RWSC",
        "Read Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS4RCR2.
static const field_t hw_eim_cs4rcr2[] =
{
    {
        "RBEN",
        "Read BE Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBE",
        "Read BE enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBEA",
        "Read BE Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RL",
        "Read Latency.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAT",
        "Page Access Time.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APR",
        "Asynchronous Page Read.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS4WCR1.
static const field_t hw_eim_cs4wcr1[] =
{
    {
        "WCSN",
        "Write CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WCSA",
        "Write CS Assertion.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEN",
        "WE Negation.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEA",
        "WE Assertion.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEN",
        "BE[3:0] Negation.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEA",
        "BE Assertion.",
        15, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVN",
        "ADV Negation.",
        18, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVA",
        "ADV Assertion.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WWSC",
        "Write Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBED",
        "Write Byte Enable Disable.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAL",
        "Write ADV Low.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS4WCR2.
static const field_t hw_eim_cs4wcr2[] =
{
    {
        "WBCDD",
        "Write Burst Clock Divisor Decrement.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS5GCR1.
static const field_t hw_eim_cs5gcr1[] =
{
    {
        "CSEN",
        "CS Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWR",
        "Synchronous Write Data.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRD",
        "Synchronous Read Data.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUM",
        "Multiplexed Mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFL",
        "Write Fix Latency.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFL",
        "Read Fix Latency.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRE",
        "Configuration Register Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CREP",
        "Configuration Register Enable Polarity.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BL",
        "Burst Length.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WC",
        "Write Continuous.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCD",
        "Burst Clock Divisor.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCS",
        "Burst Clock Start.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSZ",
        "Data Port Size.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SP",
        "Supervisor Protect.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSREC",
        "CS Recovery.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUS",
        "Address UnShifted.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GBC",
        "Gap Between Chip Selects.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WP",
        "Write Protect.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSZ",
        "Page Size.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS5GCR2.
static const field_t hw_eim_cs5gcr2[] =
{
    {
        "ADH",
        "Address hold time - This bit field determine the address hold time aft"
        "er ADV negation when mum = 1 (muxed mode).",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAPS",
        "Data Acknowledge Poling Start.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAE",
        "Data Acknowledge Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAP",
        "Data Acknowledge Polarity.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX16_BYP_GRANT",
        "Muxed 16 bypass grant.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS5RCR1.
static const field_t hw_eim_cs5rcr1[] =
{
    {
        "RCSN",
        "Read CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCSA",
        "Read CS Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEN",
        "OE Negation.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OEA",
        "OE Assertion.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVN",
        "ADV Negation.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RAL",
        "Read ADV Low.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADVA",
        "ADV Assertion.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RWSC",
        "Read Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS5RCR2.
static const field_t hw_eim_cs5rcr2[] =
{
    {
        "RBEN",
        "Read BE Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBE",
        "Read BE enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBEA",
        "Read BE Assertion.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RL",
        "Read Latency.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAT",
        "Page Access Time.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APR",
        "Asynchronous Page Read.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS5WCR1.
static const field_t hw_eim_cs5wcr1[] =
{
    {
        "WCSN",
        "Write CS Negation.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WCSA",
        "Write CS Assertion.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEN",
        "WE Negation.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEA",
        "WE Assertion.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEN",
        "BE[3:0] Negation.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBEA",
        "BE Assertion.",
        15, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVN",
        "ADV Negation.",
        18, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADVA",
        "ADV Assertion.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WWSC",
        "Write Wait State Control.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WBED",
        "Write Byte Enable Disable.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAL",
        "Write ADV Low.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_CS5WCR2.
static const field_t hw_eim_cs5wcr2[] =
{
    {
        "WBCDD",
        "Write Burst Clock Divisor Decrement.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_WCR.
static const field_t hw_eim_wcr[] =
{
    {
        "BCM",
        "Burst Clock Mode.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GBCD",
        "General Burst Clock Divisor.",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONT_BCLK_SEL",
        "When this bit is set BCLK pin output continuous clock.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEN",
        "Interrupt Enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTPOL",
        "Interrupt Polarity.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG_EN",
        "Memory WDOG enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG_LIMIT",
        "Memory Watchdog (WDOG) cycle limit.",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRUN_ACLK_EN",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_DCR.
static const field_t hw_eim_dcr[] =
{
    {
        "DLL_CTRL_ENABLE",
        "Set this bit to 1 to enable the DLL and delay chain; otherwise; set to"
        " 0 to bypasses DLL.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_RESET",
        "Setting this bit to 1 force a reset on DLL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_FORCE_UPD",
        "Setting this bit to 1, forces the slave delay line to update to the DL"
        "L calibrated value immediately.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_OFFSET_DEC",
        "Decrease(or increase) the value defined by DLL_CTRL_SLV_OFFSET when ca"
        "lculating DLL_STS_SLV_SEL",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_OFFSET",
        "OFFSET value for DLL_CTRL_SLV_SEL",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_GATE_UPDATE",
        "Set this bit to 1 to force DLL not update from now on.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_OVERRIDE",
        "Set this bit to 1 to Enable manual override for slave delay chain usin"
        "g SLV_OVERRIDE_VAL; to set 0 to disable manual override.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_OVERRIDE_VAL",
        "When SLV_OVERRIDE=1 This field is used to select 1 of 128 physical tap"
        "s manually.",
        9, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_REF_INITIAL_VAL",
        "This field is used to select the initial value of reference chain befo"
        "re DLL enabled.",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_UPDATE_INT",
        "If default 0 is used, it means 256 cycles of ref_clock.",
        23, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_REF_UPDATE_INT",
        "DLL control loop update interval.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_DSR.
static const field_t hw_eim_dsr[] =
{
    {
        "DLL_STS_SLV_LOCK",
        "Slave delay-line lock status.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_STS_REF_LOCK",
        "Reference DLL lock status.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_STS_SLV_SEL",
        "Slave delay line select status.",
        2, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_STS_REF_SEL",
        "Reference delay line select taps.",
        9, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_WIAR.
static const field_t hw_eim_wiar[] =
{
    {
        "IPS_REQ",
        "IPS request.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPS_ACK",
        "IPS ACK.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INT",
        "Interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERRST",
        "READY After Reset.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACLK_EN",
        "ACLK enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EIM_EAR.
static const field_t hw_eim_ear[] =
{
    {
        "ERROR_ADDR",
        "Error Address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a EIM module.
static const reg_t hw_eim[] =
{
    {
        "CS0GCR1",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        19, // Number of bitfields
        hw_eim_cs0gcr1
    },
    {
        "CS0GCR2",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_eim_cs0gcr2
    },
    {
        "CS0RCR1",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_eim_cs0rcr1
    },
    {
        "CS0RCR2",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_eim_cs0rcr2
    },
    {
        "CS0WCR1",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_eim_cs0wcr1
    },
    {
        "CS0WCR2",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_eim_cs0wcr2
    },
    {
        "CS1GCR1",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        19, // Number of bitfields
        hw_eim_cs1gcr1
    },
    {
        "CS1GCR2",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_eim_cs1gcr2
    },
    {
        "CS1RCR1",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_eim_cs1rcr1
    },
    {
        "CS1RCR2",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_eim_cs1rcr2
    },
    {
        "CS1WCR1",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_eim_cs1wcr1
    },
    {
        "CS1WCR2",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_eim_cs1wcr2
    },
    {
        "CS2GCR1",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        19, // Number of bitfields
        hw_eim_cs2gcr1
    },
    {
        "CS2GCR2",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_eim_cs2gcr2
    },
    {
        "CS2RCR1",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_eim_cs2rcr1
    },
    {
        "CS2RCR2",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_eim_cs2rcr2
    },
    {
        "CS2WCR1",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_eim_cs2wcr1
    },
    {
        "CS2WCR2",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_eim_cs2wcr2
    },
    {
        "CS3GCR1",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        19, // Number of bitfields
        hw_eim_cs3gcr1
    },
    {
        "CS3GCR2",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_eim_cs3gcr2
    },
    {
        "CS3RCR1",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_eim_cs3rcr1
    },
    {
        "CS3RCR2",
        "",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_eim_cs3rcr2
    },
    {
        "CS3WCR1",
        "",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_eim_cs3wcr1
    },
    {
        "CS3WCR2",
        "",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_eim_cs3wcr2
    },
    {
        "CS4GCR1",
        "",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        19, // Number of bitfields
        hw_eim_cs4gcr1
    },
    {
        "CS4GCR2",
        "",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_eim_cs4gcr2
    },
    {
        "CS4RCR1",
        "",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_eim_cs4rcr1
    },
    {
        "CS4RCR2",
        "",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_eim_cs4rcr2
    },
    {
        "CS4WCR1",
        "",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_eim_cs4wcr1
    },
    {
        "CS4WCR2",
        "",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_eim_cs4wcr2
    },
    {
        "CS5GCR1",
        "",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        19, // Number of bitfields
        hw_eim_cs5gcr1
    },
    {
        "CS5GCR2",
        "",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_eim_cs5gcr2
    },
    {
        "CS5RCR1",
        "",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_eim_cs5rcr1
    },
    {
        "CS5RCR2",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_eim_cs5rcr2
    },
    {
        "CS5WCR1",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_eim_cs5wcr1
    },
    {
        "CS5WCR2",
        "",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_eim_cs5wcr2
    },
    {
        "WCR",
        "",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_eim_wcr
    },
    {
        "DCR",
        "",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_eim_dcr
    },
    {
        "DSR",
        "",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_eim_dsr
    },
    {
        "WIAR",
        "",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_eim_wiar
    },
    {
        "EAR",
        "",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_eim_ear
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark ENET
#endif

// Bitfields in register ENET_EIR.
static const field_t hw_enet_eir[] =
{
    {
        "RXB1",
        "This field indicates that a receive buffer descriptor, that not the la"
        "st in the frame, has been updated (ring/class 1).",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF1",
        "This field indicates that a frame has been received and the last corre"
        "sponding buffer descriptor has been updated (ring/class 1).",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB1",
        "This field indicates that a transmit buffer descriptor has been update"
        "d (ring/class 1).",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF1",
        "This bit indicates that a frame has been transmitted and the last corr"
        "esponding buffer descriptor has been updated (ring/class 1).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXB2",
        "This field indicates that a receive buffer descriptor, that not the la"
        "st in the frame, has been updated (ring/class 2).",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF2",
        "This field indicates that a frame has been received and the last corre"
        "sponding buffer descriptor has been updated (ring/class 2).",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB2",
        "This field indicates that a transmit buffer descriptor has been update"
        "d (ring/class 2).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF2",
        "This bit indicates that a frame has been transmitted and the last corr"
        "esponding buffer descriptor has been updated (ring/class 2).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_0",
        "RX DMA Ring 0 flush indication.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_1",
        "RX DMA Ring 1 flush indication.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_2",
        "RX DMA Ring 2 flush indication.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_TIMER",
        "The adjustable timer reached the period event.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_AVAIL",
        "Indicates that the timestamp of the last transmitted timing frame is a"
        "vailable in the ATSTMP register.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAKEUP",
        "Read-only status bit to indicate that a magic packet has been detected"
        ".",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLR",
        "Indicates a frame was received with a payload length error.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UN",
        "Indicates the transmit FIFO became empty before the complete frame was"
        " transmitted.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RL",
        "Indicates a collision occurred on each of 16 successive attempts to tr"
        "ansmit the frame.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LC",
        "Indicates a collision occurred beyond the collision window (slot time)"
        " in half-duplex mode.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EBERR",
        "Indicates a system bus error occurred when a uDMA transaction is under"
        "way.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MII",
        "Indicates that the MII has completed the data transfer requested.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXB",
        "Indicates a receive buffer descriptor is not the last in the frame has"
        " been updated.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF",
        "Indicates a frame has been received and the last corresponding buffer "
        "descriptor has been updated.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB",
        "Indicates a transmit buffer descriptor has been updated.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF",
        "Indicates a frame has been transmitted and the last corresponding buff"
        "er descriptor has been updated.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GRA",
        "This interrupt is asserted after the transmitter is put into a pause s"
        "tate after completion of the frame currently being transmitted.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BABT",
        "Indicates the transmitted frame length exceeds RCR[MAX_FL] bytes.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BABR",
        "Indicates a frame was received with length in excess of RCR[MAX_FL] by"
        "tes.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_EIMR.
static const field_t hw_enet_eimr[] =
{
    {
        "RXB1",
        "Corresponds to interrupt source EIR[RXB1] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF1",
        "Corresponds to interrupt source EIR[RXF1] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB1",
        "Corresponds to interrupt source EIR[TXB1] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF1",
        "Corresponds to interrupt source EIR[TXF1] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXB2",
        "Corresponds to interrupt source EIR[RXB2] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF2",
        "Corresponds to interrupt source EIR[RXF2] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB2",
        "Corresponds to interrupt source EIR[TXB2] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF2",
        "Corresponds to interrupt source EIR[TXF2] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_0",
        "Corresponds to interrupt source EIR[RXFLUSH_0] and determines whether "
        "an interrupt condition can generate an interrupt.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_1",
        "Corresponds to interrupt source EIR[RXFLUSH_1] and determines whether "
        "an interrupt condition can generate an interrupt.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_2",
        "Corresponds to interrupt source EIR[RXFLUSH_2] and determines whether "
        "an interrupt condition can generate an interrupt.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_TIMER",
        "Corresponds to interrupt source EIR[TS_TIMER] register and determines "
        "whether an interrupt condition can generate an interrupt.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_AVAIL",
        "Corresponds to interrupt source EIR[TS_AVAIL] register and determines "
        "whether an interrupt condition can generate an interrupt.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAKEUP",
        "Corresponds to interrupt source EIR[WAKEUP] register and determines wh"
        "ether an interrupt condition can generate an interrupt.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLR",
        "Corresponds to interrupt source EIR[PLR] and determines whether an int"
        "errupt condition can generate an interrupt.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UN",
        "Corresponds to interrupt source EIR[UN] and determines whether an inte"
        "rrupt condition can generate an interrupt.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RL",
        "Corresponds to interrupt source EIR[RL] and determines whether an inte"
        "rrupt condition can generate an interrupt.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LC",
        "Corresponds to interrupt source EIR[LC] and determines whether an inte"
        "rrupt condition can generate an interrupt.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EBERR",
        "Corresponds to interrupt source EIR[EBERR] and determines whether an i"
        "nterrupt condition can generate an interrupt.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MII",
        "Corresponds to interrupt source EIR[MII] and determines whether an int"
        "errupt condition can generate an interrupt.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXB",
        "Corresponds to interrupt source EIR[RXB] and determines whether an int"
        "errupt condition can generate an interrupt.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF",
        "Corresponds to interrupt source EIR[RXF] and determines whether an int"
        "errupt condition can generate an interrupt.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB",
        "Corresponds to interrupt source EIR[TXB] and determines whether an int"
        "errupt condition can generate an interrupt.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF",
        "Corresponds to interrupt source EIR[TXF] and determines whether an int"
        "errupt condition can generate an interrupt.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GRA",
        "Corresponds to interrupt source EIR[GRA] and determines whether an int"
        "errupt condition can generate an interrupt.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BABT",
        "Corresponds to interrupt source EIR[BABT] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BABR",
        "Corresponds to interrupt source EIR[BABR] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDAR.
static const field_t hw_enet_rdar[] =
{
    {
        "RDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDAR.
static const field_t hw_enet_tdar[] =
{
    {
        "TDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ECR.
static const field_t hw_enet_ecr[] =
{
    {
        "RESET",
        "When this field is set, it clears the ETHEREN field.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ETHEREN",
        "Enables/disables the Ethernet MAC.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAGICEN",
        "Enables/disables magic packet detection.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLEEP",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN1588",
        "Enables enhanced functionality of the MAC.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPEED",
        "Selects between 10/100-Mbit/s and 1000-Mbit/s modes of operation.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGEN",
        "Enables the MAC to enter hardware freeze mode when the device enters d"
        "ebug mode.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBSWP",
        "Swaps the byte locations of the buffer descriptors.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SVLANEN",
        "Enable additional detection of S-VLAN tag according to IEEE802.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VLANUSE2ND",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SVLANDBL",
        "If enabled, S-VLAN detection requires a double-tagged frame to define "
        "a frame as being a VLAN frame.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MMFR.
static const field_t hw_enet_mmfr[] =
{
    {
        "DATA",
        "This is the field for data to be written to or read from the PHY regis"
        "ter.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TA",
        "This field must be programmed to 10 to generate a valid MII management"
        " frame.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RA",
        "See (Clause 22) or (Clause 45) for correct value.",
        18, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PA",
        "See (Clause 22) or (Clause 45) for correct value.",
        23, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OP",
        "See (Clause 22) or (Clause 45) for correct value.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ST",
        "See (Clause 22) or (Clause 45) for correct value.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MSCR.
static const field_t hw_enet_mscr[] =
{
    {
        "MII_SPEED",
        "Controls the frequency of the MII management interface clock (MDC) rel"
        "ative to the internal module clock.",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_PRE",
        "Enables/disables prepending a preamble to the MII management frame.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLDTIME",
        "IEEE802.3 clause 22 defines a minimum of 10 ns for the hold time on th"
        "e MDIO output.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MIBC.
static const field_t hw_enet_mibc[] =
{
    {
        "MIB_CLEAR",
        "This field is not self-clearing.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIB_IDLE",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MIB_DIS",
        "If this control field is set,",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RCR.
static const field_t hw_enet_rcr[] =
{
    {
        "LOOP",
        "This is an MII internal loopback, therefore MII_MODE must be written t"
        "o 1 and RMII_MODE must be written to 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRT",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MII_MODE",
        "This field must always be set.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PROM",
        "All frames are accepted regardless of address matching.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BC_REJ",
        "If set, frames with destination address (DA) equal to 0xFFFF_FFFF_FFFF"
        " are rejected unless the PROM field is set.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FCE",
        "If set, the receiver detects PAUSE frames.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGMII_EN",
        "Do not set both RCR[RGMII_EN] and RCR[RMII_MODE].",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RMII_MODE",
        "Specifies whether the MAC is configured for MII mode or RMII operation"
        " , when ECR[SPEED] is cleared .",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RMII_10T",
        "Enables 10-Mbit/s mode of the RMII or RGMII .",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PADEN",
        "Specifies whether the MAC removes padding from received frames.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAUFWD",
        "Specifies whether pause frames are terminated or forwarded.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRCFWD",
        "Specifies whether the CRC field of received frames is transmitted or s"
        "tripped.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFEN",
        "Enables/disables the MAC control frame.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAX_FL",
        "Resets to decimal 1518.",
        16, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NLC",
        "Enables/disables a payload length check.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GRS",
        "Read-only status indicating that the MAC receive datapath is stopped.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCR.
static const field_t hw_enet_tcr[] =
{
    {
        "GTS",
        "When this field is set, MAC stops transmission after any frame current"
        "ly transmitted is complete and EIR[GRA] is set.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FDEN",
        "If this field is set, frames transmit independent of carrier sense and"
        " collision inputs.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TFC_PAUSE",
        "Pauses frame transmission.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFC_PAUSE",
        "This status field is set when a full-duplex flow control pause frame i"
        "s received and the transmitter pauses for the duration defined in this"
        " pause frame.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADDSEL",
        "If ADDINS is set, indicates the MAC address that overwrites the source"
        " MAC address.",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDINS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRCFWD",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_PALR.
static const field_t hw_enet_palr[] =
{
    {
        "PADDR1",
        "Bytes 0 (bits 31:24), 1 (bits 23:16), 2 (bits 15:8), and 3 (bits 7:0) "
        "of the 6-byte individual address are used for exact match and the sour"
        "ce address field in PAUSE frames.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_PAUR.
static const field_t hw_enet_paur[] =
{
    {
        "TYPE",
        "These fields have a constant value of 0x8808.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PADDR2",
        "Bytes 4 (bits 31:24) and 5 (bits 23:16) of the 6-byte individual addre"
        "ss used for exact match, and the source address field in PAUSE frames.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_OPD.
static const field_t hw_enet_opd[] =
{
    {
        "PAUSE_DUR",
        "Pause duration field used in PAUSE frames.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPCODE",
        "These fields have a constant value of 0x0001.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TXIC0.
static const field_t hw_enet_txic0[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be transmitted fo"
        "r raising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TXIC1.
static const field_t hw_enet_txic1[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be transmitted fo"
        "r raising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TXIC2.
static const field_t hw_enet_txic2[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be transmitted fo"
        "r raising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RXIC0.
static const field_t hw_enet_rxic0[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be received for r"
        "aising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RXIC1.
static const field_t hw_enet_rxic1[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be received for r"
        "aising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RXIC2.
static const field_t hw_enet_rxic2[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be received for r"
        "aising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IAUR.
static const field_t hw_enet_iaur[] =
{
    {
        "IADDR1",
        "Contains the upper 32 bits of the 64-bit hash table used in the addres"
        "s recognition process for receive frames with a unicast address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IALR.
static const field_t hw_enet_ialr[] =
{
    {
        "IADDR2",
        "Contains the lower 32 bits of the 64-bit hash table used in the addres"
        "s recognition process for receive frames with a unicast address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_GAUR.
static const field_t hw_enet_gaur[] =
{
    {
        "GADDR1",
        "Contains the upper 32 bits of the 64-bit hash table used in the addres"
        "s recognition process for receive frames with a multicast address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_GALR.
static const field_t hw_enet_galr[] =
{
    {
        "GADDR2",
        "Contains the lower 32 bits of the 64-bit hash table used in the addres"
        "s recognition process for receive frames with a multicast address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TFWR.
static const field_t hw_enet_tfwr[] =
{
    {
        "TFWR",
        "If TFWR[STRFWD] is cleared, this field indicates the number of bytes, "
        "in steps of 64 bytes, written to the transmit FIFO before transmission"
        " of a frame begins.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STRFWD",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDSR1.
static const field_t hw_enet_rdsr1[] =
{
    {
        "R_DES_START",
        "Pointer to the beginning of the receive buffer descriptor queue 1.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDSR1.
static const field_t hw_enet_tdsr1[] =
{
    {
        "X_DES_START",
        "Pointer to the beginning of transmit buffer descriptor queue 1.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MRBR1.
static const field_t hw_enet_mrbr1[] =
{
    {
        "R_BUF_SIZE",
        "Receive buffer size in bytes.",
        4, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDSR2.
static const field_t hw_enet_rdsr2[] =
{
    {
        "R_DES_START",
        "Pointer to the beginning of receive buffer descriptor queue 2.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDSR2.
static const field_t hw_enet_tdsr2[] =
{
    {
        "X_DES_START",
        "Pointer to the beginning of transmit buffer descriptor queue 2.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MRBR2.
static const field_t hw_enet_mrbr2[] =
{
    {
        "R_BUF_SIZE",
        "Receive buffer size in bytes.",
        4, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDSR.
static const field_t hw_enet_rdsr[] =
{
    {
        "R_DES_START",
        "Pointer to the beginning of the receive buffer descriptor queue.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDSR.
static const field_t hw_enet_tdsr[] =
{
    {
        "X_DES_START",
        "Pointer to the beginning of the transmit buffer descriptor queue.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MRBR.
static const field_t hw_enet_mrbr[] =
{
    {
        "R_BUF_SIZE",
        "Receive buffer size in bytes.",
        4, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RSFL.
static const field_t hw_enet_rsfl[] =
{
    {
        "RX_SECTION_FULL",
        "Value, in 64-bit words, of the receive FIFO section full threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RSEM.
static const field_t hw_enet_rsem[] =
{
    {
        "RX_SECTION_EMPTY",
        "Value, in 64-bit words, of the receive FIFO section empty threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STAT_SECTION_EMPTY",
        "Defines number of frames in the receive FIFO, independent of its size,"
        " that can be accepted.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RAEM.
static const field_t hw_enet_raem[] =
{
    {
        "RX_ALMOST_EMPTY",
        "Value, in 64-bit words, of the receive FIFO almost empty threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RAFL.
static const field_t hw_enet_rafl[] =
{
    {
        "RX_ALMOST_FULL",
        "Value, in 64-bit words, of the receive FIFO almost full threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TSEM.
static const field_t hw_enet_tsem[] =
{
    {
        "TX_SECTION_EMPTY",
        "Value, in 64-bit words, of the transmit FIFO section empty threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TAEM.
static const field_t hw_enet_taem[] =
{
    {
        "TX_ALMOST_EMPTY",
        "Value, in 64-bit words, of the transmit FIFO almost empty threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TAFL.
static const field_t hw_enet_tafl[] =
{
    {
        "TX_ALMOST_FULL",
        "Value, in 64-bit words, of the transmit FIFO almost full threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TIPG.
static const field_t hw_enet_tipg[] =
{
    {
        "IPG",
        "Indicates the IPG, in bytes, between transmitted frames.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_FTRL.
static const field_t hw_enet_ftrl[] =
{
    {
        "TRUNC_FL",
        "Indicates the value a receive frame is truncated, if it is greater tha"
        "n this value.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TACC.
static const field_t hw_enet_tacc[] =
{
    {
        "SHIFT16",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPCHK",
        "Enables insertion of IP header checksum.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PROCHK",
        "Enables insertion of protocol checksum.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RACC.
static const field_t hw_enet_racc[] =
{
    {
        "PADREM",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPDIS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRODIS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINEDIS",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT16",
        "When this field is set, the actual frame data starts at bit 16 of the "
        "first word read from the RX FIFO aligning the Ethernet payload on a 32"
        "-bit boundary.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RCMR1.
static const field_t hw_enet_rcmr1[] =
{
    {
        "CMP0",
        "A three-bit value that will be compared with the frame's VLAN priority"
        " field (if a VLAN frame is received).",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP1",
        "Second value to compare against.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP2",
        "Third value to compare against.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP3",
        "Fourth value to compare against.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MATCHEN",
        "A comparison is done only on incoming VLAN frames.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RCMR2.
static const field_t hw_enet_rcmr2[] =
{
    {
        "CMP0",
        "A three-bit value that will be compared with the frame's VLAN priority"
        " field (if a VLAN frame is received).",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP1",
        "Second value to compare against.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP2",
        "Third value to compare against.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP3",
        "Fourth value to compare against.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MATCHEN",
        "A comparison is done only on incoming VLAN frames.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_DMA1CFG.
static const field_t hw_enet_dma1cfg[] =
{
    {
        "IDLE_SLOPE",
        "16-bit value to define the per class idle slope setting used by the cr"
        "edit based shaper defining allocated bandwidth for the class.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_CLASS_EN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CALC_NOIPG",
        "Disable inclusion of IPG bytes for bandwidth calculations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_DMA2CFG.
static const field_t hw_enet_dma2cfg[] =
{
    {
        "IDLE_SLOPE",
        "16-bit value to define the per class idle slope setting used by the cr"
        "edit based shaper defining allocated bandwidth for the class.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_CLASS_EN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CALC_NOIPG",
        "Disable inclusion of IPG bytes for bandwidth calculations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDAR1.
static const field_t hw_enet_rdar1[] =
{
    {
        "RDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDAR1.
static const field_t hw_enet_tdar1[] =
{
    {
        "TDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDAR2.
static const field_t hw_enet_rdar2[] =
{
    {
        "RDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDAR2.
static const field_t hw_enet_tdar2[] =
{
    {
        "TDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_QOS.
static const field_t hw_enet_qos[] =
{
    {
        "TX_SCHEME",
        "Configuration information for DMA to select transmitter queue selectio"
        "n/arbitration scheme.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_FLUSH0",
        "Enable or disable RX Flush for ring 0.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_FLUSH1",
        "Enable or disable RX Flush for ring 1.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_FLUSH2",
        "Enable or disable RX Flush for ring 2.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_DROP.
static const field_t hw_enet_rmon_t_drop[] =
{
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_PACKETS.
static const field_t hw_enet_rmon_t_packets[] =
{
    {
        "TXPKTS",
        "Transmit packet count",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_BC_PKT.
static const field_t hw_enet_rmon_t_bc_pkt[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_MC_PKT.
static const field_t hw_enet_rmon_t_mc_pkt[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_CRC_ALIGN.
static const field_t hw_enet_rmon_t_crc_align[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_UNDERSIZE.
static const field_t hw_enet_rmon_t_undersize[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_OVERSIZE.
static const field_t hw_enet_rmon_t_oversize[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_FRAG.
static const field_t hw_enet_rmon_t_frag[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_JAB.
static const field_t hw_enet_rmon_t_jab[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_COL.
static const field_t hw_enet_rmon_t_col[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P64.
static const field_t hw_enet_rmon_t_p64[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P65TO127.
static const field_t hw_enet_rmon_t_p65to127[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P128TO255.
static const field_t hw_enet_rmon_t_p128to255[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P256TO511.
static const field_t hw_enet_rmon_t_p256to511[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P512TO1023.
static const field_t hw_enet_rmon_t_p512to1023[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P1024TO2047.
static const field_t hw_enet_rmon_t_p1024to2047[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P_GTE2048.
static const field_t hw_enet_rmon_t_p_gte2048[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_OCTETS.
static const field_t hw_enet_rmon_t_octets[] =
{
    {
        "TXOCTS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_DROP.
static const field_t hw_enet_ieee_t_drop[] =
{
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_FRAME_OK.
static const field_t hw_enet_ieee_t_frame_ok[] =
{
    {
        "COUNT",
        "Does not increment for the broadcast frames when broadcast reject is e"
        "nabled and promiscuous mode is disabled within the receive control reg"
        "ister (RCR).",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_1COL.
static const field_t hw_enet_ieee_t_1col[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_MCOL.
static const field_t hw_enet_ieee_t_mcol[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_DEF.
static const field_t hw_enet_ieee_t_def[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_LCOL.
static const field_t hw_enet_ieee_t_lcol[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_EXCOL.
static const field_t hw_enet_ieee_t_excol[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_MACERR.
static const field_t hw_enet_ieee_t_macerr[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_CSERR.
static const field_t hw_enet_ieee_t_cserr[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_SQE.
static const field_t hw_enet_ieee_t_sqe[] =
{
    {
        "COUNT",
        "Counter not implemented (always reads zero) as no SQE information is a"
        "vailable.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_FDXFC.
static const field_t hw_enet_ieee_t_fdxfc[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_OCTETS_OK.
static const field_t hw_enet_ieee_t_octets_ok[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_PACKETS.
static const field_t hw_enet_rmon_r_packets[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_BC_PKT.
static const field_t hw_enet_rmon_r_bc_pkt[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_MC_PKT.
static const field_t hw_enet_rmon_r_mc_pkt[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_CRC_ALIGN.
static const field_t hw_enet_rmon_r_crc_align[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_UNDERSIZE.
static const field_t hw_enet_rmon_r_undersize[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_OVERSIZE.
static const field_t hw_enet_rmon_r_oversize[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_FRAG.
static const field_t hw_enet_rmon_r_frag[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_JAB.
static const field_t hw_enet_rmon_r_jab[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_RESVD_0.
static const field_t hw_enet_rmon_r_resvd_0[] =
{
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P64.
static const field_t hw_enet_rmon_r_p64[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P65TO127.
static const field_t hw_enet_rmon_r_p65to127[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P128TO255.
static const field_t hw_enet_rmon_r_p128to255[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P256TO511.
static const field_t hw_enet_rmon_r_p256to511[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P512TO1023.
static const field_t hw_enet_rmon_r_p512to1023[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P1024TO2047.
static const field_t hw_enet_rmon_r_p1024to2047[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P_GTE2048.
static const field_t hw_enet_rmon_r_p_gte2048[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_OCTETS.
static const field_t hw_enet_rmon_r_octets[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_DROP.
static const field_t hw_enet_ieee_r_drop[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_FRAME_OK.
static const field_t hw_enet_ieee_r_frame_ok[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_CRC.
static const field_t hw_enet_ieee_r_crc[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_ALIGN.
static const field_t hw_enet_ieee_r_align[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_MACERR.
static const field_t hw_enet_ieee_r_macerr[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_FDXFC.
static const field_t hw_enet_ieee_r_fdxfc[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_OCTETS_OK.
static const field_t hw_enet_ieee_r_octets_ok[] =
{
    {
        "COUNT",
        "Counts total octets (includes header and FCS fields).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATCR.
static const field_t hw_enet_atcr[] =
{
    {
        "EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFEN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFRST",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PEREN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PINPER",
        "Enables event signal output assertion on period event.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESTART",
        "Resets the timer to zero.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAPTURE",
        "When this field is set, all other fields are ignored during a write.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLAVE",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATVR.
static const field_t hw_enet_atvr[] =
{
    {
        "ATIME",
        "A write sets the timer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATOFF.
static const field_t hw_enet_atoff[] =
{
    {
        "OFFSET",
        "Offset value for one-shot event generation.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATPER.
static const field_t hw_enet_atper[] =
{
    {
        "PERIOD",
        "Value for generating periodic events.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATCOR.
static const field_t hw_enet_atcor[] =
{
    {
        "COR",
        "Defines after how many timer clock cycles (ts_clk) the correction coun"
        "ter should be reset and trigger a correction increment on the timer.",
        0, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATINC.
static const field_t hw_enet_atinc[] =
{
    {
        "INC",
        "The timer increments by this amount each clock cycle.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_CORR",
        "This value is added every time the correction timer expires (every clo"
        "ck cycle given in ATCOR).",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATSTMP.
static const field_t hw_enet_atstmp[] =
{
    {
        "TIMESTAMP",
        "Timestamp of the last frame transmitted by the core that had TxBD[TS] "
        "set .",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TGSR.
static const field_t hw_enet_tgsr[] =
{
    {
        "TF0",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF1",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF2",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF3",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCSR0.
static const field_t hw_enet_tcsr0[] =
{
    {
        "TDRE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TMODE",
        "Updating the Timer Mode field takes a few cycles to register because i"
        "t is synchronized to the 1588 clock.",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIE",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF",
        "Sets when input capture or output compare occurs.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCCR0.
static const field_t hw_enet_tccr0[] =
{
    {
        "TCC",
        "This register is double buffered between the module clock and 1588 clo"
        "ck domains.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCSR1.
static const field_t hw_enet_tcsr1[] =
{
    {
        "TDRE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TMODE",
        "Updating the Timer Mode field takes a few cycles to register because i"
        "t is synchronized to the 1588 clock.",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIE",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF",
        "Sets when input capture or output compare occurs.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCCR1.
static const field_t hw_enet_tccr1[] =
{
    {
        "TCC",
        "This register is double buffered between the module clock and 1588 clo"
        "ck domains.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCSR2.
static const field_t hw_enet_tcsr2[] =
{
    {
        "TDRE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TMODE",
        "Updating the Timer Mode field takes a few cycles to register because i"
        "t is synchronized to the 1588 clock.",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIE",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF",
        "Sets when input capture or output compare occurs.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCCR2.
static const field_t hw_enet_tccr2[] =
{
    {
        "TCC",
        "This register is double buffered between the module clock and 1588 clo"
        "ck domains.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCSR3.
static const field_t hw_enet_tcsr3[] =
{
    {
        "TDRE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TMODE",
        "Updating the Timer Mode field takes a few cycles to register because i"
        "t is synchronized to the 1588 clock.",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIE",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF",
        "Sets when input capture or output compare occurs.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCCR3.
static const field_t hw_enet_tccr3[] =
{
    {
        "TCC",
        "This register is double buffered between the module clock and 1588 clo"
        "ck domains.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a ENET module.
static const reg_t hw_enet[] =
{
    {
        "EIR",
        "When an event occurs that sets a bit in EIR, an interrupt occurs if th"
        "e corresponding bit in the interrupt mask register (EIMR) is also set.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        27, // Number of bitfields
        hw_enet_eir
    },
    {
        "EIMR",
        "EIMR controls which interrupt events are allowed to generate actual in"
        "terrupts.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        27, // Number of bitfields
        hw_enet_eimr
    },
    {
        "RDAR",
        "RDAR is a command register, written by the user, to indicate that the "
        "receive descriptor ring 0 has been updated, that is, that the driver p"
        "roduced empty receive buffers with the empty bit set.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdar
    },
    {
        "TDAR",
        "The TDAR is a command register that the user writes to indicate that t"
        "he transmit descriptor ring 0 has been updated, that is, that transmit"
        " buffers have been produced by the driver with the ready bit set in th"
        "e buffer descriptor.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdar
    },
    {
        "ECR",
        "ECR is a read/write user register, though hardware may also alter fiel"
        "ds in this register.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_enet_ecr
    },
    {
        "MMFR",
        "Writing to MMFR triggers a management frame transaction to the PHY dev"
        "ice unless MSCR is programmed to zero.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_enet_mmfr
    },
    {
        "MSCR",
        "MSCR provides control of the MII clock (MDC pin) frequency and allows "
        "a preamble drop on the MII management frame.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_enet_mscr
    },
    {
        "MIBC",
        "MIBC is a read/write register controlling and observing the state of t"
        "he MIB block.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_enet_mibc
    },
    {
        "RCR",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_enet_rcr
    },
    {
        "TCR",
        "TCR is read/write and configures the transmit block.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_enet_tcr
    },
    {
        "PALR",
        "PALR contains the lower 32 bits (bytes 0, 1, 2, 3) of the 48-bit addre"
        "ss used in the address recognition process to compare with the destina"
        "tion address (DA) field of receive frames with an individual DA.",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_palr
    },
    {
        "PAUR",
        "PAUR contains the upper 16 bits (bytes 4 and 5) of the 48-bit address "
        "used in the address recognition process to compare with the destinatio"
        "n address (DA) field of receive frames with an individual DA.",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_enet_paur
    },
    {
        "OPD",
        "OPD is read/write accessible.",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_enet_opd
    },
    {
        "TXIC0",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_txic0
    },
    {
        "TXIC1",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_txic1
    },
    {
        "TXIC2",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_txic2
    },
    {
        "RXIC0",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_rxic0
    },
    {
        "RXIC1",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_rxic1
    },
    {
        "RXIC2",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_rxic2
    },
    {
        "IAUR",
        "IAUR contains the upper 32 bits of the 64-bit individual address hash "
        "table.",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_iaur
    },
    {
        "IALR",
        "IALR contains the lower 32 bits of the 64-bit individual address hash "
        "table.",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_ialr
    },
    {
        "GAUR",
        "GAUR contains the upper 32 bits of the 64-bit hash table used in the a"
        "ddress recognition process for receive frames with a multicast address"
        ".",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_gaur
    },
    {
        "GALR",
        "GALR contains the lower 32 bits of the 64-bit hash table used in the a"
        "ddress recognition process for receive frames with a multicast address"
        ".",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_galr
    },
    {
        "TFWR",
        "If TFWR[STRFWD] is cleared, TFWR[TFWR] controls the amount of data req"
        "uired in the transmit FIFO before transmission of a frame can begin.",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_enet_tfwr
    },
    {
        "RDSR1",
        "RDSR1 points to the beginning of circular receive buffer descriptor qu"
        "eue 1 in external memory.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdsr1
    },
    {
        "TDSR1",
        "TDSR1 provides a pointer to the beginning of the circular transmit buf"
        "fer descriptor queue 1 in external memory.",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdsr1
    },
    {
        "MRBR1",
        "MRBR1 is a user-programmable register that dictates the maximum size o"
        "f all ring-1 receive buffers.",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_mrbr1
    },
    {
        "RDSR2",
        "RDSR points to the beginning of circular receive buffer descriptor que"
        "ue 2 in external memory.",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdsr2
    },
    {
        "TDSR2",
        "TDSR2 provides a pointer to the beginning of circular transmit buffer "
        "descriptor queue 2 in external memory.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdsr2
    },
    {
        "MRBR2",
        "MRBR2 is a user-programmable register that dictates the maximum size o"
        "f all ring-2 receive buffers.",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_mrbr2
    },
    {
        "RDSR",
        "RDSR points to the beginning of the circular receive buffer descriptor"
        " queue in external memory.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdsr
    },
    {
        "TDSR",
        "TDSR provides a pointer to the beginning of the circular transmit buff"
        "er descriptor queue 0 in external memory.",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdsr
    },
    {
        "MRBR",
        "The MRBR is a user-programmable register that dictates the maximum siz"
        "e of all ring-0 receive buffers.",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_mrbr
    },
    {
        "RSFL",
        "",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rsfl
    },
    {
        "RSEM",
        "",
        4, // Width in bytes
        0x00000194, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_enet_rsem
    },
    {
        "RAEM",
        "",
        4, // Width in bytes
        0x00000198, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_raem
    },
    {
        "RAFL",
        "",
        4, // Width in bytes
        0x0000019c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rafl
    },
    {
        "TSEM",
        "",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tsem
    },
    {
        "TAEM",
        "",
        4, // Width in bytes
        0x000001a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_taem
    },
    {
        "TAFL",
        "",
        4, // Width in bytes
        0x000001a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tafl
    },
    {
        "TIPG",
        "",
        4, // Width in bytes
        0x000001ac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tipg
    },
    {
        "FTRL",
        "",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_ftrl
    },
    {
        "TACC",
        "TACC controls accelerator actions when sending frames.",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_enet_tacc
    },
    {
        "RACC",
        "",
        4, // Width in bytes
        0x000001c4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_enet_racc
    },
    {
        "RCMR1",
        "This match register allows specifying up to four priorities, which are"
        " tested (OR'ed) simultaneously.",
        4, // Width in bytes
        0x000001c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_enet_rcmr1
    },
    {
        "RCMR2",
        "This match register allows specifying up to four priorities, which are"
        " tested (OR'ed) simultaneously.",
        4, // Width in bytes
        0x000001cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_enet_rcmr2
    },
    {
        "DMA1CFG",
        "The DMA class based configuration registers are used to configure the "
        "DMA controller interface to support the additional class 1 (buffer des"
        "criptor ring 1) and class 2 (buffer descriptor ring 2) traffic and def"
        "ine configuration options such as bandwidth allocation as needed.",
        4, // Width in bytes
        0x000001d8, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_enet_dma1cfg
    },
    {
        "DMA2CFG",
        "The DMA class based configuration registers are used to configure the "
        "DMA controller interface to support the additional class 1 (buffer des"
        "criptor ring 1) and class 2 (buffer descriptor ring 2) traffic and def"
        "ine configuration options such as bandwidth allocation as needed.",
        4, // Width in bytes
        0x000001dc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_enet_dma2cfg
    },
    {
        "RDAR1",
        "RDAR1 is a command register, written by the user, to indicate that the"
        " receive descriptor ring 1 has been updated, that is, that the driver "
        "produced empty receive buffers with the empty bit set.",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdar1
    },
    {
        "TDAR1",
        "TDAR1 is a command register that the user writes to indicate that tran"
        "smit descriptor ring 1 has been updated, that is, that transmit buffer"
        "s have been produced by the driver with the ready bit set in the buffe"
        "r descriptor.",
        4, // Width in bytes
        0x000001e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdar1
    },
    {
        "RDAR2",
        "RDAR2 is a command register, written by the user, to indicate that the"
        " receive descriptor ring 2 has been updated, that is, that the driver "
        "produced empty receive buffers with the empty bit set.",
        4, // Width in bytes
        0x000001e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdar2
    },
    {
        "TDAR2",
        "TDAR2 is a command register that the user writes to indicate that tran"
        "smit descriptor ring 2 has been updated, that is, that transmit buffer"
        "s have been produced by the driver with the ready bit set in the buffe"
        "r descriptor.",
        4, // Width in bytes
        0x000001ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdar2
    },
    {
        "QOS",
        "This register sets the QOS scheme.",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_qos
    },
    {
        "RMON_T_DROP",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_enet_rmon_t_drop
    },
    {
        "RMON_T_PACKETS",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_packets
    },
    {
        "RMON_T_BC_PKT",
        "RMON Tx Broadcast Packets",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_bc_pkt
    },
    {
        "RMON_T_MC_PKT",
        "",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_mc_pkt
    },
    {
        "RMON_T_CRC_ALIGN",
        "",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_crc_align
    },
    {
        "RMON_T_UNDERSIZE",
        "",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_undersize
    },
    {
        "RMON_T_OVERSIZE",
        "",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_oversize
    },
    {
        "RMON_T_FRAG",
        ".",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_frag
    },
    {
        "RMON_T_JAB",
        "",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_jab
    },
    {
        "RMON_T_COL",
        "",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_col
    },
    {
        "RMON_T_P64",
        ".",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p64
    },
    {
        "RMON_T_P65TO127",
        "",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p65to127
    },
    {
        "RMON_T_P128TO255",
        "",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p128to255
    },
    {
        "RMON_T_P256TO511",
        "",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p256to511
    },
    {
        "RMON_T_P512TO1023",
        ".",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p512to1023
    },
    {
        "RMON_T_P1024TO2047",
        "",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p1024to2047
    },
    {
        "RMON_T_P_GTE2048",
        "",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p_gte2048
    },
    {
        "RMON_T_OCTETS",
        "",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_octets
    },
    {
        "IEEE_T_DROP",
        "",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_enet_ieee_t_drop
    },
    {
        "IEEE_T_FRAME_OK",
        "",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_frame_ok
    },
    {
        "IEEE_T_1COL",
        "",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_1col
    },
    {
        "IEEE_T_MCOL",
        "",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_mcol
    },
    {
        "IEEE_T_DEF",
        "",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_def
    },
    {
        "IEEE_T_LCOL",
        "",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_lcol
    },
    {
        "IEEE_T_EXCOL",
        "",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_excol
    },
    {
        "IEEE_T_MACERR",
        "",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_macerr
    },
    {
        "IEEE_T_CSERR",
        "",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_cserr
    },
    {
        "IEEE_T_SQE",
        "",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_sqe
    },
    {
        "IEEE_T_FDXFC",
        "",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_fdxfc
    },
    {
        "IEEE_T_OCTETS_OK",
        "",
        4, // Width in bytes
        0x00000274, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_octets_ok
    },
    {
        "RMON_R_PACKETS",
        "",
        4, // Width in bytes
        0x00000284, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_packets
    },
    {
        "RMON_R_BC_PKT",
        "",
        4, // Width in bytes
        0x00000288, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_bc_pkt
    },
    {
        "RMON_R_MC_PKT",
        "",
        4, // Width in bytes
        0x0000028c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_mc_pkt
    },
    {
        "RMON_R_CRC_ALIGN",
        "",
        4, // Width in bytes
        0x00000290, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_crc_align
    },
    {
        "RMON_R_UNDERSIZE",
        "",
        4, // Width in bytes
        0x00000294, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_undersize
    },
    {
        "RMON_R_OVERSIZE",
        "",
        4, // Width in bytes
        0x00000298, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_oversize
    },
    {
        "RMON_R_FRAG",
        "",
        4, // Width in bytes
        0x0000029c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_frag
    },
    {
        "RMON_R_JAB",
        "",
        4, // Width in bytes
        0x000002a0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_jab
    },
    {
        "RMON_R_RESVD_0",
        "",
        4, // Width in bytes
        0x000002a4, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_enet_rmon_r_resvd_0
    },
    {
        "RMON_R_P64",
        "",
        4, // Width in bytes
        0x000002a8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p64
    },
    {
        "RMON_R_P65TO127",
        "",
        4, // Width in bytes
        0x000002ac, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p65to127
    },
    {
        "RMON_R_P128TO255",
        "",
        4, // Width in bytes
        0x000002b0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p128to255
    },
    {
        "RMON_R_P256TO511",
        "",
        4, // Width in bytes
        0x000002b4, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p256to511
    },
    {
        "RMON_R_P512TO1023",
        "",
        4, // Width in bytes
        0x000002b8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p512to1023
    },
    {
        "RMON_R_P1024TO2047",
        "",
        4, // Width in bytes
        0x000002bc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p1024to2047
    },
    {
        "RMON_R_P_GTE2048",
        "",
        4, // Width in bytes
        0x000002c0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p_gte2048
    },
    {
        "RMON_R_OCTETS",
        "",
        4, // Width in bytes
        0x000002c4, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_octets
    },
    {
        "IEEE_R_DROP",
        "Counter increments if a frame with invalid or missing SFD character is"
        " detected and has been dropped.",
        4, // Width in bytes
        0x000002c8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_drop
    },
    {
        "IEEE_R_FRAME_OK",
        "",
        4, // Width in bytes
        0x000002cc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_frame_ok
    },
    {
        "IEEE_R_CRC",
        "",
        4, // Width in bytes
        0x000002d0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_crc
    },
    {
        "IEEE_R_ALIGN",
        "",
        4, // Width in bytes
        0x000002d4, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_align
    },
    {
        "IEEE_R_MACERR",
        "",
        4, // Width in bytes
        0x000002d8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_macerr
    },
    {
        "IEEE_R_FDXFC",
        "",
        4, // Width in bytes
        0x000002dc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_fdxfc
    },
    {
        "IEEE_R_OCTETS_OK",
        "",
        4, // Width in bytes
        0x000002e0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_octets_ok
    },
    {
        "ATCR",
        "ATCR command fields can trigger the corresponding events directly.",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_enet_atcr
    },
    {
        "ATVR",
        "",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_atvr
    },
    {
        "ATOFF",
        "",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_atoff
    },
    {
        "ATPER",
        "",
        4, // Width in bytes
        0x0000040c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_atper
    },
    {
        "ATCOR",
        "",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_atcor
    },
    {
        "ATINC",
        "",
        4, // Width in bytes
        0x00000414, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_enet_atinc
    },
    {
        "ATSTMP",
        "",
        4, // Width in bytes
        0x00000418, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_atstmp
    },
    {
        "TGSR",
        "",
        4, // Width in bytes
        0x00000604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_tgsr
    },
    {
        "TCSR0",
        "",
        4, // Width in bytes
        0x00000608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_tcsr0
    },
    {
        "TCCR0",
        "",
        4, // Width in bytes
        0x0000060c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tccr0
    },
    {
        "TCSR1",
        "",
        4, // Width in bytes
        0x00000610, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_tcsr1
    },
    {
        "TCCR1",
        "",
        4, // Width in bytes
        0x00000614, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tccr1
    },
    {
        "TCSR2",
        "",
        4, // Width in bytes
        0x00000618, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_tcsr2
    },
    {
        "TCCR2",
        "",
        4, // Width in bytes
        0x0000061c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tccr2
    },
    {
        "TCSR3",
        "",
        4, // Width in bytes
        0x00000620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_tcsr3
    },
    {
        "TCCR3",
        "",
        4, // Width in bytes
        0x00000624, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tccr3
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark EPDC
#endif

// Bitfields in register EPDC_CTRL.
static const field_t hw_epdc_ctrl[] =
{
    {
        "LUT_DATA_SWIZZLE",
        "Specifies how to swap the bytes for the LUT data before store to LUTRA"
        "M.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DATA_SWIZZLE",
        "Specifies how to swap the bytes for the UPD data before the WB constru"
        "ction.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal EPDC operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_CTRL_SET.
static const field_t hw_epdc_ctrl_set[] =
{
    {
        "LUT_DATA_SWIZZLE",
        "Specifies how to swap the bytes for the LUT data before store to LUTRA"
        "M.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DATA_SWIZZLE",
        "Specifies how to swap the bytes for the UPD data before the WB constru"
        "ction.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal EPDC operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_CTRL_CLR.
static const field_t hw_epdc_ctrl_clr[] =
{
    {
        "LUT_DATA_SWIZZLE",
        "Specifies how to swap the bytes for the LUT data before store to LUTRA"
        "M.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DATA_SWIZZLE",
        "Specifies how to swap the bytes for the UPD data before the WB constru"
        "ction.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal EPDC operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_CTRL_TOG.
static const field_t hw_epdc_ctrl_tog[] =
{
    {
        "LUT_DATA_SWIZZLE",
        "Specifies how to swap the bytes for the LUT data before store to LUTRA"
        "M.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DATA_SWIZZLE",
        "Specifies how to swap the bytes for the UPD data before the WB constru"
        "ction.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal EPDC operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_WB_ADDR_TCE.
static const field_t hw_epdc_wb_addr_tce[] =
{
    {
        "ADDR",
        "Address for EPDC working buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_WVADDR.
static const field_t hw_epdc_wvaddr[] =
{
    {
        "ADDR",
        "Start address of waveform tables.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_WB_ADDR.
static const field_t hw_epdc_wb_addr[] =
{
    {
        "ADDR",
        "Address for EPDC working buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_RES.
static const field_t hw_epdc_res[] =
{
    {
        "HORIZONTAL",
        "Horizontal Resolution (in pixels)",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERTICAL",
        "Vertical Resoltion (in pixels)",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_FORMAT.
static const field_t hw_epdc_format[] =
{
    {
        "TFT_PIXEL_FORMAT",
        "EPDC TFT Pixel Format.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF_PIXEL_FORMAT",
        "EPDC Input Buffer Pixel format.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_COMPRESS",
        "whether the working buffer is compressed, only avilable on WB_FORMAT=E"
        "XTERNAL16/32 mode",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_TYPE",
        "",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_ADDR_NO_COPY",
        "1 means do not automatically copy WB_ADDR to WB_ADDR_TCE before starti"
        "ng every frame",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEFAULT_TFT_PIXEL",
        "Default TFT pixel value.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF_PIXEL_SCALE",
        "Selects method of conversion from 8-bit input",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_FORMAT_SET.
static const field_t hw_epdc_format_set[] =
{
    {
        "TFT_PIXEL_FORMAT",
        "EPDC TFT Pixel Format.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF_PIXEL_FORMAT",
        "EPDC Input Buffer Pixel format.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_COMPRESS",
        "whether the working buffer is compressed, only avilable on WB_FORMAT=E"
        "XTERNAL16/32 mode",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_TYPE",
        "",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_ADDR_NO_COPY",
        "1 means do not automatically copy WB_ADDR to WB_ADDR_TCE before starti"
        "ng every frame",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEFAULT_TFT_PIXEL",
        "Default TFT pixel value.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF_PIXEL_SCALE",
        "Selects method of conversion from 8-bit input",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_FORMAT_CLR.
static const field_t hw_epdc_format_clr[] =
{
    {
        "TFT_PIXEL_FORMAT",
        "EPDC TFT Pixel Format.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF_PIXEL_FORMAT",
        "EPDC Input Buffer Pixel format.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_COMPRESS",
        "whether the working buffer is compressed, only avilable on WB_FORMAT=E"
        "XTERNAL16/32 mode",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_TYPE",
        "",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_ADDR_NO_COPY",
        "1 means do not automatically copy WB_ADDR to WB_ADDR_TCE before starti"
        "ng every frame",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEFAULT_TFT_PIXEL",
        "Default TFT pixel value.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF_PIXEL_SCALE",
        "Selects method of conversion from 8-bit input",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_FORMAT_TOG.
static const field_t hw_epdc_format_tog[] =
{
    {
        "TFT_PIXEL_FORMAT",
        "EPDC TFT Pixel Format.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF_PIXEL_FORMAT",
        "EPDC Input Buffer Pixel format.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_COMPRESS",
        "whether the working buffer is compressed, only avilable on WB_FORMAT=E"
        "XTERNAL16/32 mode",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_TYPE",
        "",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_ADDR_NO_COPY",
        "1 means do not automatically copy WB_ADDR to WB_ADDR_TCE before starti"
        "ng every frame",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEFAULT_TFT_PIXEL",
        "Default TFT pixel value.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF_PIXEL_SCALE",
        "Selects method of conversion from 8-bit input",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_WB_FIELD0.
static const field_t hw_epdc_wb_field0[] =
{
    {
        "LEN",
        "Field length minus 1 (0x0 means length=1, 0xf means length=16)",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TO",
        "Target Field's LSB",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FROM",
        "Source Field's LSB",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USAGE",
        "",
        13, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USE_FIXED",
        "usage of the FIXED value",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXED",
        "used to either force field into a fixed value, or compare to wb field "
        "to mask off the pixel",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_WB_FIELD1.
static const field_t hw_epdc_wb_field1[] =
{
    {
        "LEN",
        "Field length minus 1 (0x0 means length=1, 0xf means length=16)",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TO",
        "Target Field's LSB",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FROM",
        "Source Field's LSB",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USAGE",
        "",
        13, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USE_FIXED",
        "usage of the FIXED value",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXED",
        "used to either force field into a fixed value, or compare to wb field "
        "to mask off the pixel",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_WB_FIELD2.
static const field_t hw_epdc_wb_field2[] =
{
    {
        "LEN",
        "Field length minus 1 (0x0 means length=1, 0xf means length=16)",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TO",
        "Target Field's LSB",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FROM",
        "Source Field's LSB",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USAGE",
        "",
        13, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USE_FIXED",
        "usage of the FIXED value",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXED",
        "used to either force field into a fixed value, or compare to wb field "
        "to mask off the pixel",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_WB_FIELD3.
static const field_t hw_epdc_wb_field3[] =
{
    {
        "LEN",
        "Field length minus 1 (0x0 means length=1, 0xf means length=16)",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TO",
        "Target Field's LSB",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FROM",
        "Source Field's LSB",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USAGE",
        "",
        13, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USE_FIXED",
        "usage of the FIXED value",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXED",
        "used to either force field into a fixed value, or compare to wb field "
        "to mask off the pixel",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_FIFOCTRL.
static const field_t hw_epdc_fifoctrl[] =
{
    {
        "FIFO_L_LEVEL",
        "Lower level value of FIFO watermark.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_H_LEVEL",
        "Upper level value of FIFO watermark.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_INIT_LEVEL",
        "This register sets the watermark for the pixel-fifo.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRIORITY",
        "Enable watermark-based priority elevation mechanism.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_FIFOCTRL_SET.
static const field_t hw_epdc_fifoctrl_set[] =
{
    {
        "FIFO_L_LEVEL",
        "Lower level value of FIFO watermark.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_H_LEVEL",
        "Upper level value of FIFO watermark.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_INIT_LEVEL",
        "This register sets the watermark for the pixel-fifo.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRIORITY",
        "Enable watermark-based priority elevation mechanism.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_FIFOCTRL_CLR.
static const field_t hw_epdc_fifoctrl_clr[] =
{
    {
        "FIFO_L_LEVEL",
        "Lower level value of FIFO watermark.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_H_LEVEL",
        "Upper level value of FIFO watermark.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_INIT_LEVEL",
        "This register sets the watermark for the pixel-fifo.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRIORITY",
        "Enable watermark-based priority elevation mechanism.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_FIFOCTRL_TOG.
static const field_t hw_epdc_fifoctrl_tog[] =
{
    {
        "FIFO_L_LEVEL",
        "Lower level value of FIFO watermark.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_H_LEVEL",
        "Upper level value of FIFO watermark.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_INIT_LEVEL",
        "This register sets the watermark for the pixel-fifo.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRIORITY",
        "Enable watermark-based priority elevation mechanism.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_ADDR.
static const field_t hw_epdc_upd_addr[] =
{
    {
        "ADDR",
        "Address for incoming region update.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_STRIDE.
static const field_t hw_epdc_upd_stride[] =
{
    {
        "STRIDE",
        "line stride for incoming region update",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_CORD.
static const field_t hw_epdc_upd_cord[] =
{
    {
        "XCORD",
        "X co-ordinate for incoming region update",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YCORD",
        "Y co-ordinate for incoming region update",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_SIZE.
static const field_t hw_epdc_upd_size[] =
{
    {
        "WIDTH",
        "Width (in pixels)",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HEIGHT",
        "Height (in pixels)",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_CTRL.
static const field_t hw_epdc_upd_ctrl[] =
{
    {
        "UPDATE_MODE",
        "Update Mode",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRY_RUN",
        "Enable Dry Run mode(set to 1).",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTOWV",
        "enable automatical waveform mode selection",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAUSE",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NO_LUT_CANCEL",
        "EPDC will cancel LUT loading for void update (no real update needed be"
        "cause of partial or collision), set this bit to 1 to disable this feat"
        "ure",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STANDBY",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAVEFORM_MODE",
        "Waveform Mode 0-255",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_SEL",
        "LUT select 0-63",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USE_FIXED",
        "Use fixed pixel values (requires programming of EPDC_UPD_FIXED)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_CTRL_SET.
static const field_t hw_epdc_upd_ctrl_set[] =
{
    {
        "UPDATE_MODE",
        "Update Mode",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRY_RUN",
        "Enable Dry Run mode(set to 1).",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTOWV",
        "enable automatical waveform mode selection",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAUSE",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NO_LUT_CANCEL",
        "EPDC will cancel LUT loading for void update (no real update needed be"
        "cause of partial or collision), set this bit to 1 to disable this feat"
        "ure",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STANDBY",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAVEFORM_MODE",
        "Waveform Mode 0-255",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_SEL",
        "LUT select 0-63",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USE_FIXED",
        "Use fixed pixel values (requires programming of EPDC_UPD_FIXED)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_CTRL_CLR.
static const field_t hw_epdc_upd_ctrl_clr[] =
{
    {
        "UPDATE_MODE",
        "Update Mode",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRY_RUN",
        "Enable Dry Run mode(set to 1).",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTOWV",
        "enable automatical waveform mode selection",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAUSE",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NO_LUT_CANCEL",
        "EPDC will cancel LUT loading for void update (no real update needed be"
        "cause of partial or collision), set this bit to 1 to disable this feat"
        "ure",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STANDBY",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAVEFORM_MODE",
        "Waveform Mode 0-255",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_SEL",
        "LUT select 0-63",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USE_FIXED",
        "Use fixed pixel values (requires programming of EPDC_UPD_FIXED)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_CTRL_TOG.
static const field_t hw_epdc_upd_ctrl_tog[] =
{
    {
        "UPDATE_MODE",
        "Update Mode",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRY_RUN",
        "Enable Dry Run mode(set to 1).",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTOWV",
        "enable automatical waveform mode selection",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAUSE",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NO_LUT_CANCEL",
        "EPDC will cancel LUT loading for void update (no real update needed be"
        "cause of partial or collision), set this bit to 1 to disable this feat"
        "ure",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STANDBY",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAVEFORM_MODE",
        "Waveform Mode 0-255",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_SEL",
        "LUT select 0-63",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USE_FIXED",
        "Use fixed pixel values (requires programming of EPDC_UPD_FIXED)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_FIXED.
static const field_t hw_epdc_upd_fixed[] =
{
    {
        "FIXCP",
        "CP value if fixecp_en is set to 1.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXNP",
        "NP value if fixenp_en is set to 1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXCP_EN",
        "If set to 1, current updated region has the CP value defined by FIXCP",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXNP_EN",
        "If set to 1, current updated region has the NP value defined by FIXNP",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_FIXED_SET.
static const field_t hw_epdc_upd_fixed_set[] =
{
    {
        "FIXCP",
        "CP value if fixecp_en is set to 1.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXNP",
        "NP value if fixenp_en is set to 1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXCP_EN",
        "If set to 1, current updated region has the CP value defined by FIXCP",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXNP_EN",
        "If set to 1, current updated region has the NP value defined by FIXNP",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_FIXED_CLR.
static const field_t hw_epdc_upd_fixed_clr[] =
{
    {
        "FIXCP",
        "CP value if fixecp_en is set to 1.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXNP",
        "NP value if fixenp_en is set to 1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXCP_EN",
        "If set to 1, current updated region has the CP value defined by FIXCP",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXNP_EN",
        "If set to 1, current updated region has the NP value defined by FIXNP",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_FIXED_TOG.
static const field_t hw_epdc_upd_fixed_tog[] =
{
    {
        "FIXCP",
        "CP value if fixecp_en is set to 1.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXNP",
        "NP value if fixenp_en is set to 1.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXCP_EN",
        "If set to 1, current updated region has the CP value defined by FIXCP",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIXNP_EN",
        "If set to 1, current updated region has the NP value defined by FIXNP",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TEMP.
static const field_t hw_epdc_temp[] =
{
    {
        "TEMPERATURE",
        "Temperature Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_AUTOWV_LUT.
static const field_t hw_epdc_autowv_lut[] =
{
    {
        "ADDR",
        "ADDR",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA",
        "DATA",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_LUT_STANDBY1.
static const field_t hw_epdc_lut_standby1[] =
{
    {
        "LUTN",
        "LUT 0~31 standby control",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_LUT_STANDBY1_SET.
static const field_t hw_epdc_lut_standby1_set[] =
{
    {
        "LUTN",
        "LUT 0~31 standby control",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_LUT_STANDBY1_CLR.
static const field_t hw_epdc_lut_standby1_clr[] =
{
    {
        "LUTN",
        "LUT 0~31 standby control",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_LUT_STANDBY1_TOG.
static const field_t hw_epdc_lut_standby1_tog[] =
{
    {
        "LUTN",
        "LUT 0~31 standby control",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_LUT_STANDBY2.
static const field_t hw_epdc_lut_standby2[] =
{
    {
        "LUTN",
        "LUT 32~64 Standby Control",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_LUT_STANDBY2_SET.
static const field_t hw_epdc_lut_standby2_set[] =
{
    {
        "LUTN",
        "LUT 32~64 Standby Control",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_LUT_STANDBY2_CLR.
static const field_t hw_epdc_lut_standby2_clr[] =
{
    {
        "LUTN",
        "LUT 32~64 Standby Control",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_LUT_STANDBY2_TOG.
static const field_t hw_epdc_lut_standby2_tog[] =
{
    {
        "LUTN",
        "LUT 32~64 Standby Control",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_CTRL.
static const field_t hw_epdc_tce_ctrl[] =
{
    {
        "PIXELS_PER_SDCLK",
        "Number of TFT pixels per SDCLK period.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_WIDTH",
        "Selects either 8 or 16 bit SDDO bus format",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DUAL_SCAN",
        "Enables dual scan-mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCAN_DIR_0",
        "Determines scan direction for each half of the TFT panel",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCAN_DIR_1",
        "Determines scan direction for each half of the TFT panel",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_MODE",
        "If set, the upper 8-bit of the SDDO bus are used for LVDS differential"
        " signalling.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_MODE_CE",
        "If set (together with LVDS_MODE=1), SDCE[9:5] shall be driven as the d"
        "ifferential inverse of SDCE[4:0].",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR_MODE",
        "If set, SDDO data is driven on both positive and negative edges of SDC"
        "LK.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VCOM_MODE",
        "This field determines the method used to drive the VCOM signal.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VCOM_VAL",
        "When VCOM_MODE = MANUAL, this value is used to manually set the VCOM v"
        "alue for the VCOM[1:0] pins",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSCAN_HOLDOFF",
        "This period (expressed in vertical lines), sets the portion of the ver"
        "tical blanking available for new LUTs to be activated.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_CTRL_SET.
static const field_t hw_epdc_tce_ctrl_set[] =
{
    {
        "PIXELS_PER_SDCLK",
        "Number of TFT pixels per SDCLK period.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_WIDTH",
        "Selects either 8 or 16 bit SDDO bus format",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DUAL_SCAN",
        "Enables dual scan-mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCAN_DIR_0",
        "Determines scan direction for each half of the TFT panel",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCAN_DIR_1",
        "Determines scan direction for each half of the TFT panel",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_MODE",
        "If set, the upper 8-bit of the SDDO bus are used for LVDS differential"
        " signalling.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_MODE_CE",
        "If set (together with LVDS_MODE=1), SDCE[9:5] shall be driven as the d"
        "ifferential inverse of SDCE[4:0].",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR_MODE",
        "If set, SDDO data is driven on both positive and negative edges of SDC"
        "LK.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VCOM_MODE",
        "This field determines the method used to drive the VCOM signal.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VCOM_VAL",
        "When VCOM_MODE = MANUAL, this value is used to manually set the VCOM v"
        "alue for the VCOM[1:0] pins",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSCAN_HOLDOFF",
        "This period (expressed in vertical lines), sets the portion of the ver"
        "tical blanking available for new LUTs to be activated.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_CTRL_CLR.
static const field_t hw_epdc_tce_ctrl_clr[] =
{
    {
        "PIXELS_PER_SDCLK",
        "Number of TFT pixels per SDCLK period.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_WIDTH",
        "Selects either 8 or 16 bit SDDO bus format",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DUAL_SCAN",
        "Enables dual scan-mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCAN_DIR_0",
        "Determines scan direction for each half of the TFT panel",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCAN_DIR_1",
        "Determines scan direction for each half of the TFT panel",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_MODE",
        "If set, the upper 8-bit of the SDDO bus are used for LVDS differential"
        " signalling.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_MODE_CE",
        "If set (together with LVDS_MODE=1), SDCE[9:5] shall be driven as the d"
        "ifferential inverse of SDCE[4:0].",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR_MODE",
        "If set, SDDO data is driven on both positive and negative edges of SDC"
        "LK.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VCOM_MODE",
        "This field determines the method used to drive the VCOM signal.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VCOM_VAL",
        "When VCOM_MODE = MANUAL, this value is used to manually set the VCOM v"
        "alue for the VCOM[1:0] pins",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSCAN_HOLDOFF",
        "This period (expressed in vertical lines), sets the portion of the ver"
        "tical blanking available for new LUTs to be activated.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_CTRL_TOG.
static const field_t hw_epdc_tce_ctrl_tog[] =
{
    {
        "PIXELS_PER_SDCLK",
        "Number of TFT pixels per SDCLK period.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_WIDTH",
        "Selects either 8 or 16 bit SDDO bus format",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DUAL_SCAN",
        "Enables dual scan-mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCAN_DIR_0",
        "Determines scan direction for each half of the TFT panel",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCAN_DIR_1",
        "Determines scan direction for each half of the TFT panel",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_MODE",
        "If set, the upper 8-bit of the SDDO bus are used for LVDS differential"
        " signalling.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_MODE_CE",
        "If set (together with LVDS_MODE=1), SDCE[9:5] shall be driven as the d"
        "ifferential inverse of SDCE[4:0].",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR_MODE",
        "If set, SDDO data is driven on both positive and negative edges of SDC"
        "LK.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VCOM_MODE",
        "This field determines the method used to drive the VCOM signal.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VCOM_VAL",
        "When VCOM_MODE = MANUAL, this value is used to manually set the VCOM v"
        "alue for the VCOM[1:0] pins",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSCAN_HOLDOFF",
        "This period (expressed in vertical lines), sets the portion of the ver"
        "tical blanking available for new LUTs to be activated.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_SDCFG.
static const field_t hw_epdc_tce_sdcfg[] =
{
    {
        "PIXELS_PER_CE",
        "Number of pixels (outputs) per source-driver IC.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_INVERT",
        "Setting this bit to 1 reverses the polarity of each SDDO bit so 0xAAAA"
        " in 16-bit mode for example becomes 0x5555.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_REFORMAT",
        "This register defines the various re-formatting options to enable more"
        " flexibility in the source-driver interface:",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM_CE",
        "Number of source driver IC chip-enables.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDSHR",
        "Value for source-driver shift direction output port",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDCLK_HOLD",
        "Setting this bit to 1 holds the SDCLK low during LINE_BEGIN",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_SDCFG_SET.
static const field_t hw_epdc_tce_sdcfg_set[] =
{
    {
        "PIXELS_PER_CE",
        "Number of pixels (outputs) per source-driver IC.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_INVERT",
        "Setting this bit to 1 reverses the polarity of each SDDO bit so 0xAAAA"
        " in 16-bit mode for example becomes 0x5555.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_REFORMAT",
        "This register defines the various re-formatting options to enable more"
        " flexibility in the source-driver interface:",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM_CE",
        "Number of source driver IC chip-enables.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDSHR",
        "Value for source-driver shift direction output port",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDCLK_HOLD",
        "Setting this bit to 1 holds the SDCLK low during LINE_BEGIN",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_SDCFG_CLR.
static const field_t hw_epdc_tce_sdcfg_clr[] =
{
    {
        "PIXELS_PER_CE",
        "Number of pixels (outputs) per source-driver IC.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_INVERT",
        "Setting this bit to 1 reverses the polarity of each SDDO bit so 0xAAAA"
        " in 16-bit mode for example becomes 0x5555.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_REFORMAT",
        "This register defines the various re-formatting options to enable more"
        " flexibility in the source-driver interface:",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM_CE",
        "Number of source driver IC chip-enables.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDSHR",
        "Value for source-driver shift direction output port",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDCLK_HOLD",
        "Setting this bit to 1 holds the SDCLK low during LINE_BEGIN",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_SDCFG_TOG.
static const field_t hw_epdc_tce_sdcfg_tog[] =
{
    {
        "PIXELS_PER_CE",
        "Number of pixels (outputs) per source-driver IC.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_INVERT",
        "Setting this bit to 1 reverses the polarity of each SDDO bit so 0xAAAA"
        " in 16-bit mode for example becomes 0x5555.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDDO_REFORMAT",
        "This register defines the various re-formatting options to enable more"
        " flexibility in the source-driver interface:",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM_CE",
        "Number of source driver IC chip-enables.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDSHR",
        "Value for source-driver shift direction output port",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDCLK_HOLD",
        "Setting this bit to 1 holds the SDCLK low during LINE_BEGIN",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_GDCFG.
static const field_t hw_epdc_tce_gdcfg[] =
{
    {
        "GDSP_MODE",
        "Selects method for driving GDSP pulse.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_MODE",
        "Selects method for driving GDOE signal.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDRL",
        "Value for gate-driver right/left shift output port",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PERIOD_VSCAN",
        "when vscan state is splited, this reg defines the counter period",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_GDCFG_SET.
static const field_t hw_epdc_tce_gdcfg_set[] =
{
    {
        "GDSP_MODE",
        "Selects method for driving GDSP pulse.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_MODE",
        "Selects method for driving GDOE signal.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDRL",
        "Value for gate-driver right/left shift output port",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PERIOD_VSCAN",
        "when vscan state is splited, this reg defines the counter period",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_GDCFG_CLR.
static const field_t hw_epdc_tce_gdcfg_clr[] =
{
    {
        "GDSP_MODE",
        "Selects method for driving GDSP pulse.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_MODE",
        "Selects method for driving GDOE signal.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDRL",
        "Value for gate-driver right/left shift output port",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PERIOD_VSCAN",
        "when vscan state is splited, this reg defines the counter period",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_GDCFG_TOG.
static const field_t hw_epdc_tce_gdcfg_tog[] =
{
    {
        "GDSP_MODE",
        "Selects method for driving GDSP pulse.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_MODE",
        "Selects method for driving GDOE signal.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDRL",
        "Value for gate-driver right/left shift output port",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PERIOD_VSCAN",
        "when vscan state is splited, this reg defines the counter period",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_HSCAN1.
static const field_t hw_epdc_tce_hscan1[] =
{
    {
        "LINE_SYNC",
        "Number of PIXCLK cycles for line sync duration.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINE_SYNC_WIDTH",
        "Number of PIXCLK cycles for the SDLE active time.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_HSCAN1_SET.
static const field_t hw_epdc_tce_hscan1_set[] =
{
    {
        "LINE_SYNC",
        "Number of PIXCLK cycles for line sync duration.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINE_SYNC_WIDTH",
        "Number of PIXCLK cycles for the SDLE active time.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_HSCAN1_CLR.
static const field_t hw_epdc_tce_hscan1_clr[] =
{
    {
        "LINE_SYNC",
        "Number of PIXCLK cycles for line sync duration.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINE_SYNC_WIDTH",
        "Number of PIXCLK cycles for the SDLE active time.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_HSCAN1_TOG.
static const field_t hw_epdc_tce_hscan1_tog[] =
{
    {
        "LINE_SYNC",
        "Number of PIXCLK cycles for line sync duration.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINE_SYNC_WIDTH",
        "Number of PIXCLK cycles for the SDLE active time.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_HSCAN2.
static const field_t hw_epdc_tce_hscan2[] =
{
    {
        "LINE_BEGIN",
        "Number of PIXCLK cycles for line begin duration.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINE_END",
        "Number of PIXCLK cycles for line end duration.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_HSCAN2_SET.
static const field_t hw_epdc_tce_hscan2_set[] =
{
    {
        "LINE_BEGIN",
        "Number of PIXCLK cycles for line begin duration.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINE_END",
        "Number of PIXCLK cycles for line end duration.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_HSCAN2_CLR.
static const field_t hw_epdc_tce_hscan2_clr[] =
{
    {
        "LINE_BEGIN",
        "Number of PIXCLK cycles for line begin duration.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINE_END",
        "Number of PIXCLK cycles for line end duration.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_HSCAN2_TOG.
static const field_t hw_epdc_tce_hscan2_tog[] =
{
    {
        "LINE_BEGIN",
        "Number of PIXCLK cycles for line begin duration.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINE_END",
        "Number of PIXCLK cycles for line end duration.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_VSCAN.
static const field_t hw_epdc_tce_vscan[] =
{
    {
        "FRAME_SYNC",
        "Number of lines for frame sync duration.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_BEGIN",
        "Number of lines for frame begin duration.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END",
        "Number of lines for frame end duration.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_VSCAN_SET.
static const field_t hw_epdc_tce_vscan_set[] =
{
    {
        "FRAME_SYNC",
        "Number of lines for frame sync duration.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_BEGIN",
        "Number of lines for frame begin duration.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END",
        "Number of lines for frame end duration.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_VSCAN_CLR.
static const field_t hw_epdc_tce_vscan_clr[] =
{
    {
        "FRAME_SYNC",
        "Number of lines for frame sync duration.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_BEGIN",
        "Number of lines for frame begin duration.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END",
        "Number of lines for frame end duration.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_VSCAN_TOG.
static const field_t hw_epdc_tce_vscan_tog[] =
{
    {
        "FRAME_SYNC",
        "Number of lines for frame sync duration.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_BEGIN",
        "Number of lines for frame begin duration.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END",
        "Number of lines for frame end duration.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_OE.
static const field_t hw_epdc_tce_oe[] =
{
    {
        "SDOEZ_DLY",
        "Number of PIXCLK cycles from SDLE falling edge to SDOEZ rising (Must b"
        "e greater than 0)",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOEZ_WIDTH",
        "Number of PIXCLK cycles from SDOEZ high to SDOEZ falling (Must be grea"
        "ter than 0)",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOED_DLY",
        "Number of PIXCLK cycles from SDOEZ low to SDOED rising (Must be greate"
        "r than 0)",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOED_WIDTH",
        "Number of PIXCLK cycles from SDOED high to SDOED falling (Must be grea"
        "ter than 0)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_OE_SET.
static const field_t hw_epdc_tce_oe_set[] =
{
    {
        "SDOEZ_DLY",
        "Number of PIXCLK cycles from SDLE falling edge to SDOEZ rising (Must b"
        "e greater than 0)",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOEZ_WIDTH",
        "Number of PIXCLK cycles from SDOEZ high to SDOEZ falling (Must be grea"
        "ter than 0)",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOED_DLY",
        "Number of PIXCLK cycles from SDOEZ low to SDOED rising (Must be greate"
        "r than 0)",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOED_WIDTH",
        "Number of PIXCLK cycles from SDOED high to SDOED falling (Must be grea"
        "ter than 0)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_OE_CLR.
static const field_t hw_epdc_tce_oe_clr[] =
{
    {
        "SDOEZ_DLY",
        "Number of PIXCLK cycles from SDLE falling edge to SDOEZ rising (Must b"
        "e greater than 0)",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOEZ_WIDTH",
        "Number of PIXCLK cycles from SDOEZ high to SDOEZ falling (Must be grea"
        "ter than 0)",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOED_DLY",
        "Number of PIXCLK cycles from SDOEZ low to SDOED rising (Must be greate"
        "r than 0)",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOED_WIDTH",
        "Number of PIXCLK cycles from SDOED high to SDOED falling (Must be grea"
        "ter than 0)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_OE_TOG.
static const field_t hw_epdc_tce_oe_tog[] =
{
    {
        "SDOEZ_DLY",
        "Number of PIXCLK cycles from SDLE falling edge to SDOEZ rising (Must b"
        "e greater than 0)",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOEZ_WIDTH",
        "Number of PIXCLK cycles from SDOEZ high to SDOEZ falling (Must be grea"
        "ter than 0)",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOED_DLY",
        "Number of PIXCLK cycles from SDOEZ low to SDOED rising (Must be greate"
        "r than 0)",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOED_WIDTH",
        "Number of PIXCLK cycles from SDOED high to SDOED falling (Must be grea"
        "ter than 0)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_POLARITY.
static const field_t hw_epdc_tce_polarity[] =
{
    {
        "SDCE_POL",
        "0 = Active Low, 1 = Active High.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDLE_POL",
        "0 = Active Low, 1 = Active High.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOE_POL",
        "0 = Active Low, 1 = Active High.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_POL",
        "0 = Active Low, 1 = Active High.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDSP_POL",
        "0 = Active Low, 1 = Active High.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_POLARITY_SET.
static const field_t hw_epdc_tce_polarity_set[] =
{
    {
        "SDCE_POL",
        "0 = Active Low, 1 = Active High.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDLE_POL",
        "0 = Active Low, 1 = Active High.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOE_POL",
        "0 = Active Low, 1 = Active High.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_POL",
        "0 = Active Low, 1 = Active High.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDSP_POL",
        "0 = Active Low, 1 = Active High.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_POLARITY_CLR.
static const field_t hw_epdc_tce_polarity_clr[] =
{
    {
        "SDCE_POL",
        "0 = Active Low, 1 = Active High.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDLE_POL",
        "0 = Active Low, 1 = Active High.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOE_POL",
        "0 = Active Low, 1 = Active High.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_POL",
        "0 = Active Low, 1 = Active High.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDSP_POL",
        "0 = Active Low, 1 = Active High.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_POLARITY_TOG.
static const field_t hw_epdc_tce_polarity_tog[] =
{
    {
        "SDCE_POL",
        "0 = Active Low, 1 = Active High.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDLE_POL",
        "0 = Active Low, 1 = Active High.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDOE_POL",
        "0 = Active Low, 1 = Active High.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_POL",
        "0 = Active Low, 1 = Active High.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDSP_POL",
        "0 = Active Low, 1 = Active High.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING1.
static const field_t hw_epdc_tce_timing1[] =
{
    {
        "SDCLK_SHIFT",
        "This register can be used to implement additional timing setup/hold ad"
        "justment of source driver signals by adjusting the SDCLK up to 4 cycle"
        "s",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDCLK_INVERT",
        "Invert phase of SDCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDLE_SHIFT",
        "This register can be used to implement additional timing setup/hold ad"
        "justment of source driver signals by adjusting the SDCLK up to 3 PIXCL"
        "K cycles",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING1_SET.
static const field_t hw_epdc_tce_timing1_set[] =
{
    {
        "SDCLK_SHIFT",
        "This register can be used to implement additional timing setup/hold ad"
        "justment of source driver signals by adjusting the SDCLK up to 4 cycle"
        "s",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDCLK_INVERT",
        "Invert phase of SDCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDLE_SHIFT",
        "This register can be used to implement additional timing setup/hold ad"
        "justment of source driver signals by adjusting the SDCLK up to 3 PIXCL"
        "K cycles",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING1_CLR.
static const field_t hw_epdc_tce_timing1_clr[] =
{
    {
        "SDCLK_SHIFT",
        "This register can be used to implement additional timing setup/hold ad"
        "justment of source driver signals by adjusting the SDCLK up to 4 cycle"
        "s",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDCLK_INVERT",
        "Invert phase of SDCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDLE_SHIFT",
        "This register can be used to implement additional timing setup/hold ad"
        "justment of source driver signals by adjusting the SDCLK up to 3 PIXCL"
        "K cycles",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING1_TOG.
static const field_t hw_epdc_tce_timing1_tog[] =
{
    {
        "SDCLK_SHIFT",
        "This register can be used to implement additional timing setup/hold ad"
        "justment of source driver signals by adjusting the SDCLK up to 4 cycle"
        "s",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDCLK_INVERT",
        "Invert phase of SDCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDLE_SHIFT",
        "This register can be used to implement additional timing setup/hold ad"
        "justment of source driver signals by adjusting the SDCLK up to 3 PIXCL"
        "K cycles",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING2.
static const field_t hw_epdc_tce_timing2[] =
{
    {
        "GDSP_OFFSET",
        "This register allows the user to shift the GDSP pulse by N PIXCLKs whe"
        "re N=1 to 65535.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDCLK_HP",
        "This register controls the GDCLK high-pulse width.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING2_SET.
static const field_t hw_epdc_tce_timing2_set[] =
{
    {
        "GDSP_OFFSET",
        "This register allows the user to shift the GDSP pulse by N PIXCLKs whe"
        "re N=1 to 65535.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDCLK_HP",
        "This register controls the GDCLK high-pulse width.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING2_CLR.
static const field_t hw_epdc_tce_timing2_clr[] =
{
    {
        "GDSP_OFFSET",
        "This register allows the user to shift the GDSP pulse by N PIXCLKs whe"
        "re N=1 to 65535.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDCLK_HP",
        "This register controls the GDCLK high-pulse width.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING2_TOG.
static const field_t hw_epdc_tce_timing2_tog[] =
{
    {
        "GDSP_OFFSET",
        "This register allows the user to shift the GDSP pulse by N PIXCLKs whe"
        "re N=1 to 65535.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDCLK_HP",
        "This register controls the GDCLK high-pulse width.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING3.
static const field_t hw_epdc_tce_timing3[] =
{
    {
        "GDCLK_OFFSET",
        "This register allows the user to shift the GDCLK from the line time by"
        " N PIXCLK cycles.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_OFFSET",
        "When using GDOE_MODE=1, this register sets the delay from GDCLK to the"
        " GDOE in terms of N PIXCLK cycles",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING3_SET.
static const field_t hw_epdc_tce_timing3_set[] =
{
    {
        "GDCLK_OFFSET",
        "This register allows the user to shift the GDCLK from the line time by"
        " N PIXCLK cycles.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_OFFSET",
        "When using GDOE_MODE=1, this register sets the delay from GDCLK to the"
        " GDOE in terms of N PIXCLK cycles",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING3_CLR.
static const field_t hw_epdc_tce_timing3_clr[] =
{
    {
        "GDCLK_OFFSET",
        "This register allows the user to shift the GDCLK from the line time by"
        " N PIXCLK cycles.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_OFFSET",
        "When using GDOE_MODE=1, this register sets the delay from GDCLK to the"
        " GDOE in terms of N PIXCLK cycles",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_TCE_TIMING3_TOG.
static const field_t hw_epdc_tce_timing3_tog[] =
{
    {
        "GDCLK_OFFSET",
        "This register allows the user to shift the GDCLK from the line time by"
        " N PIXCLK cycles.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GDOE_OFFSET",
        "When using GDOE_MODE=1, this register sets the delay from GDCLK to the"
        " GDOE in terms of N PIXCLK cycles",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_CTRL0.
static const field_t hw_epdc_pigeon_ctrl0[] =
{
    {
        "FD_PERIOD",
        "period of line counter during FD phase",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LD_PERIOD",
        "period of pclk counter during LD phase",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_CTRL0_SET.
static const field_t hw_epdc_pigeon_ctrl0_set[] =
{
    {
        "FD_PERIOD",
        "period of line counter during FD phase",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LD_PERIOD",
        "period of pclk counter during LD phase",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_CTRL0_CLR.
static const field_t hw_epdc_pigeon_ctrl0_clr[] =
{
    {
        "FD_PERIOD",
        "period of line counter during FD phase",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LD_PERIOD",
        "period of pclk counter during LD phase",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_CTRL0_TOG.
static const field_t hw_epdc_pigeon_ctrl0_tog[] =
{
    {
        "FD_PERIOD",
        "period of line counter during FD phase",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LD_PERIOD",
        "period of pclk counter during LD phase",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_CTRL1.
static const field_t hw_epdc_pigeon_ctrl1[] =
{
    {
        "FRAME_CNT_PERIOD",
        "period of frame counter",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_CNT_CYCLES",
        "max cycles of frame counter",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_CTRL1_SET.
static const field_t hw_epdc_pigeon_ctrl1_set[] =
{
    {
        "FRAME_CNT_PERIOD",
        "period of frame counter",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_CNT_CYCLES",
        "max cycles of frame counter",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_CTRL1_CLR.
static const field_t hw_epdc_pigeon_ctrl1_clr[] =
{
    {
        "FRAME_CNT_PERIOD",
        "period of frame counter",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_CNT_CYCLES",
        "max cycles of frame counter",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_CTRL1_TOG.
static const field_t hw_epdc_pigeon_ctrl1_tog[] =
{
    {
        "FRAME_CNT_PERIOD",
        "period of frame counter",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_CNT_CYCLES",
        "max cycles of frame counter",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK1.
static const field_t hw_epdc_irq_mask1[] =
{
    {
        "LUTN_CMPLT_IRQ_EN",
        "LUT0~31 Complete Interrupt Enable",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK1_SET.
static const field_t hw_epdc_irq_mask1_set[] =
{
    {
        "LUTN_CMPLT_IRQ_EN",
        "LUT0~31 Complete Interrupt Enable",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK1_CLR.
static const field_t hw_epdc_irq_mask1_clr[] =
{
    {
        "LUTN_CMPLT_IRQ_EN",
        "LUT0~31 Complete Interrupt Enable",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK1_TOG.
static const field_t hw_epdc_irq_mask1_tog[] =
{
    {
        "LUTN_CMPLT_IRQ_EN",
        "LUT0~31 Complete Interrupt Enable",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK2.
static const field_t hw_epdc_irq_mask2[] =
{
    {
        "LUTN_CMPLT_IRQ_EN",
        "LUT32~64 Complete Interrupt Enable",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK2_SET.
static const field_t hw_epdc_irq_mask2_set[] =
{
    {
        "LUTN_CMPLT_IRQ_EN",
        "LUT32~64 Complete Interrupt Enable",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK2_CLR.
static const field_t hw_epdc_irq_mask2_clr[] =
{
    {
        "LUTN_CMPLT_IRQ_EN",
        "LUT32~64 Complete Interrupt Enable",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK2_TOG.
static const field_t hw_epdc_irq_mask2_tog[] =
{
    {
        "LUTN_CMPLT_IRQ_EN",
        "LUT32~64 Complete Interrupt Enable",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ1.
static const field_t hw_epdc_irq1[] =
{
    {
        "LUTN_CMPLT_IRQ",
        "LUT 0~31 Complete Interrupt",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ1_SET.
static const field_t hw_epdc_irq1_set[] =
{
    {
        "LUTN_CMPLT_IRQ",
        "LUT 0~31 Complete Interrupt",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ1_CLR.
static const field_t hw_epdc_irq1_clr[] =
{
    {
        "LUTN_CMPLT_IRQ",
        "LUT 0~31 Complete Interrupt",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ1_TOG.
static const field_t hw_epdc_irq1_tog[] =
{
    {
        "LUTN_CMPLT_IRQ",
        "LUT 0~31 Complete Interrupt",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ2.
static const field_t hw_epdc_irq2[] =
{
    {
        "LUTN_CMPLT_IRQ",
        "LUT 32~64 Complete Interrupt",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ2_SET.
static const field_t hw_epdc_irq2_set[] =
{
    {
        "LUTN_CMPLT_IRQ",
        "LUT 32~64 Complete Interrupt",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ2_CLR.
static const field_t hw_epdc_irq2_clr[] =
{
    {
        "LUTN_CMPLT_IRQ",
        "LUT 32~64 Complete Interrupt",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ2_TOG.
static const field_t hw_epdc_irq2_tog[] =
{
    {
        "LUTN_CMPLT_IRQ",
        "LUT 32~64 Complete Interrupt",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK.
static const field_t hw_epdc_irq_mask[] =
{
    {
        "WB_CMPLT_IRQ_EN",
        "Enable WB complete interrupt",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COL_IRQ_EN",
        "Enable collision detection interrupts for all LUTs",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_UNDERRUN_IRQ_EN",
        "Enable pixel FIFO under-run condition detection.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END_IRQ_EN",
        "If this bit is set, EPDC will assert the current frame end interrupt.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUS_ERROR_IRQ_EN",
        "Enable AXI BUS ERROR interrupt detection.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_IDLE_IRQ_EN",
        "Enable TCE Idle interrupt detection.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DONE_IRQ_EN",
        "Enable UPD complete interrupt",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_IRQ_EN",
        "Enable power interrupt",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK_SET.
static const field_t hw_epdc_irq_mask_set[] =
{
    {
        "WB_CMPLT_IRQ_EN",
        "Enable WB complete interrupt",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COL_IRQ_EN",
        "Enable collision detection interrupts for all LUTs",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_UNDERRUN_IRQ_EN",
        "Enable pixel FIFO under-run condition detection.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END_IRQ_EN",
        "If this bit is set, EPDC will assert the current frame end interrupt.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUS_ERROR_IRQ_EN",
        "Enable AXI BUS ERROR interrupt detection.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_IDLE_IRQ_EN",
        "Enable TCE Idle interrupt detection.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DONE_IRQ_EN",
        "Enable UPD complete interrupt",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_IRQ_EN",
        "Enable power interrupt",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK_CLR.
static const field_t hw_epdc_irq_mask_clr[] =
{
    {
        "WB_CMPLT_IRQ_EN",
        "Enable WB complete interrupt",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COL_IRQ_EN",
        "Enable collision detection interrupts for all LUTs",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_UNDERRUN_IRQ_EN",
        "Enable pixel FIFO under-run condition detection.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END_IRQ_EN",
        "If this bit is set, EPDC will assert the current frame end interrupt.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUS_ERROR_IRQ_EN",
        "Enable AXI BUS ERROR interrupt detection.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_IDLE_IRQ_EN",
        "Enable TCE Idle interrupt detection.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DONE_IRQ_EN",
        "Enable UPD complete interrupt",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_IRQ_EN",
        "Enable power interrupt",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_MASK_TOG.
static const field_t hw_epdc_irq_mask_tog[] =
{
    {
        "WB_CMPLT_IRQ_EN",
        "Enable WB complete interrupt",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COL_IRQ_EN",
        "Enable collision detection interrupts for all LUTs",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_UNDERRUN_IRQ_EN",
        "Enable pixel FIFO under-run condition detection.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END_IRQ_EN",
        "If this bit is set, EPDC will assert the current frame end interrupt.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUS_ERROR_IRQ_EN",
        "Enable AXI BUS ERROR interrupt detection.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_IDLE_IRQ_EN",
        "Enable TCE Idle interrupt detection.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DONE_IRQ_EN",
        "Enable UPD complete interrupt",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_IRQ_EN",
        "Enable power interrupt",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ.
static const field_t hw_epdc_irq[] =
{
    {
        "WB_CMPLT_IRQ",
        "Working buffer process complete Interrupt",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_COL_IRQ",
        "Collision detection interrupt.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_UNDERRUN_IRQ",
        "Interrupt to indicate that a pixel FIFO under-run has occured.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END_IRQ",
        "Interrupt to indicate EPDC has completed the current frame and is in t"
        "he vertical blanking period.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUS_ERROR_IRQ",
        "Interrupt to indicate AXI BUS error occurs.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_IDLE_IRQ",
        "Interrupt to indicate that the TCE has completed TFT frame scans and i"
        "s in an idle state.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DONE_IRQ",
        "Working buffer process complete Interrupt",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_IRQ",
        "Power Interrupt",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_SET.
static const field_t hw_epdc_irq_set[] =
{
    {
        "WB_CMPLT_IRQ",
        "Working buffer process complete Interrupt",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_COL_IRQ",
        "Collision detection interrupt.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_UNDERRUN_IRQ",
        "Interrupt to indicate that a pixel FIFO under-run has occured.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END_IRQ",
        "Interrupt to indicate EPDC has completed the current frame and is in t"
        "he vertical blanking period.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUS_ERROR_IRQ",
        "Interrupt to indicate AXI BUS error occurs.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_IDLE_IRQ",
        "Interrupt to indicate that the TCE has completed TFT frame scans and i"
        "s in an idle state.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DONE_IRQ",
        "Working buffer process complete Interrupt",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_IRQ",
        "Power Interrupt",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_CLR.
static const field_t hw_epdc_irq_clr[] =
{
    {
        "WB_CMPLT_IRQ",
        "Working buffer process complete Interrupt",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_COL_IRQ",
        "Collision detection interrupt.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_UNDERRUN_IRQ",
        "Interrupt to indicate that a pixel FIFO under-run has occured.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END_IRQ",
        "Interrupt to indicate EPDC has completed the current frame and is in t"
        "he vertical blanking period.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUS_ERROR_IRQ",
        "Interrupt to indicate AXI BUS error occurs.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_IDLE_IRQ",
        "Interrupt to indicate that the TCE has completed TFT frame scans and i"
        "s in an idle state.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DONE_IRQ",
        "Working buffer process complete Interrupt",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_IRQ",
        "Power Interrupt",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_IRQ_TOG.
static const field_t hw_epdc_irq_tog[] =
{
    {
        "WB_CMPLT_IRQ",
        "Working buffer process complete Interrupt",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_COL_IRQ",
        "Collision detection interrupt.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_UNDERRUN_IRQ",
        "Interrupt to indicate that a pixel FIFO under-run has occured.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_END_IRQ",
        "Interrupt to indicate EPDC has completed the current frame and is in t"
        "he vertical blanking period.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUS_ERROR_IRQ",
        "Interrupt to indicate AXI BUS error occurs.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE_IDLE_IRQ",
        "Interrupt to indicate that the TCE has completed TFT frame scans and i"
        "s in an idle state.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPD_DONE_IRQ",
        "Working buffer process complete Interrupt",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_IRQ",
        "Power Interrupt",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_LUTS1.
static const field_t hw_epdc_status_luts1[] =
{
    {
        "LUTN_STS",
        "LUT 0~31 Status : 1=ACTIVE, 0=IDLE",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_LUTS1_SET.
static const field_t hw_epdc_status_luts1_set[] =
{
    {
        "LUTN_STS",
        "LUT 0~31 Status : 1=ACTIVE, 0=IDLE",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_LUTS1_CLR.
static const field_t hw_epdc_status_luts1_clr[] =
{
    {
        "LUTN_STS",
        "LUT 0~31 Status : 1=ACTIVE, 0=IDLE",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_LUTS1_TOG.
static const field_t hw_epdc_status_luts1_tog[] =
{
    {
        "LUTN_STS",
        "LUT 0~31 Status : 1=ACTIVE, 0=IDLE",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_LUTS2.
static const field_t hw_epdc_status_luts2[] =
{
    {
        "LUTN_STS",
        "LUT 32~63 Status : 1=ACTIVE, 0=IDLE",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_LUTS2_SET.
static const field_t hw_epdc_status_luts2_set[] =
{
    {
        "LUTN_STS",
        "LUT 32~63 Status : 1=ACTIVE, 0=IDLE",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_LUTS2_CLR.
static const field_t hw_epdc_status_luts2_clr[] =
{
    {
        "LUTN_STS",
        "LUT 32~63 Status : 1=ACTIVE, 0=IDLE",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_LUTS2_TOG.
static const field_t hw_epdc_status_luts2_tog[] =
{
    {
        "LUTN_STS",
        "LUT 32~63 Status : 1=ACTIVE, 0=IDLE",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_NEXTLUT.
static const field_t hw_epdc_status_nextlut[] =
{
    {
        "NEXT_LUT",
        "Next available LUT value",
        0, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXT_LUT_VALID",
        "This bitfield can be used to check against a LUTs full condition",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_COL1.
static const field_t hw_epdc_status_col1[] =
{
    {
        "LUTN_COL_STS",
        "LUTn Collision Status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_COL1_SET.
static const field_t hw_epdc_status_col1_set[] =
{
    {
        "LUTN_COL_STS",
        "LUTn Collision Status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_COL1_CLR.
static const field_t hw_epdc_status_col1_clr[] =
{
    {
        "LUTN_COL_STS",
        "LUTn Collision Status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_COL1_TOG.
static const field_t hw_epdc_status_col1_tog[] =
{
    {
        "LUTN_COL_STS",
        "LUTn Collision Status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_COL2.
static const field_t hw_epdc_status_col2[] =
{
    {
        "LUTN_COL_STS",
        "LUTn Collision Status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_COL2_SET.
static const field_t hw_epdc_status_col2_set[] =
{
    {
        "LUTN_COL_STS",
        "LUTn Collision Status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_COL2_CLR.
static const field_t hw_epdc_status_col2_clr[] =
{
    {
        "LUTN_COL_STS",
        "LUTn Collision Status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_COL2_TOG.
static const field_t hw_epdc_status_col2_tog[] =
{
    {
        "LUTN_COL_STS",
        "LUTn Collision Status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS.
static const field_t hw_epdc_status[] =
{
    {
        "WB_BUSY",
        "Working buffer process is busy cannot accept new update requests.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LUTS_BUSY",
        "Provides a summary status of LUTs.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LUTS_UNDERRUN",
        "Provides a summary status of LUT fill.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UPD_VOID",
        "Indicates that the update buffer is void.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HISTOGRAM_NP",
        "Indicates which histogram matched the processed bitmap(NP).",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HISTOGRAM_CP",
        "Indicates which histogram matched the existing bitmap(CP).",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_SET.
static const field_t hw_epdc_status_set[] =
{
    {
        "WB_BUSY",
        "Working buffer process is busy cannot accept new update requests.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LUTS_BUSY",
        "Provides a summary status of LUTs.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LUTS_UNDERRUN",
        "Provides a summary status of LUT fill.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UPD_VOID",
        "Indicates that the update buffer is void.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HISTOGRAM_NP",
        "Indicates which histogram matched the processed bitmap(NP).",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HISTOGRAM_CP",
        "Indicates which histogram matched the existing bitmap(CP).",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_CLR.
static const field_t hw_epdc_status_clr[] =
{
    {
        "WB_BUSY",
        "Working buffer process is busy cannot accept new update requests.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LUTS_BUSY",
        "Provides a summary status of LUTs.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LUTS_UNDERRUN",
        "Provides a summary status of LUT fill.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UPD_VOID",
        "Indicates that the update buffer is void.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HISTOGRAM_NP",
        "Indicates which histogram matched the processed bitmap(NP).",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HISTOGRAM_CP",
        "Indicates which histogram matched the existing bitmap(CP).",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_STATUS_TOG.
static const field_t hw_epdc_status_tog[] =
{
    {
        "WB_BUSY",
        "Working buffer process is busy cannot accept new update requests.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LUTS_BUSY",
        "Provides a summary status of LUTs.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LUTS_UNDERRUN",
        "Provides a summary status of LUT fill.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UPD_VOID",
        "Indicates that the update buffer is void.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HISTOGRAM_NP",
        "Indicates which histogram matched the processed bitmap(NP).",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HISTOGRAM_CP",
        "Indicates which histogram matched the existing bitmap(CP).",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_COL_CORD.
static const field_t hw_epdc_upd_col_cord[] =
{
    {
        "XCORD",
        "X co-ordinate for collision region of the latest completed update",
        0, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "YCORD",
        "Y co-ordinate for collision region of the latest completed update",
        16, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_UPD_COL_SIZE.
static const field_t hw_epdc_upd_col_size[] =
{
    {
        "WIDTH",
        "Width (in pixels)",
        0, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HEIGHT",
        "Height (in pixels)",
        16, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_HIST1_PARAM.
static const field_t hw_epdc_hist1_param[] =
{
    {
        "VALUE0",
        "value for 1-level histogram",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "Reserved, always set to zero.",
        5, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_HIST2_PARAM.
static const field_t hw_epdc_hist2_param[] =
{
    {
        "VALUE0",
        "Black value for 2-level histogram",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE1",
        "White value for 2-level histogram",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "Reserved, always set to zero.",
        16, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_HIST4_PARAM.
static const field_t hw_epdc_hist4_param[] =
{
    {
        "VALUE0",
        "GRAY0 (Black) value for 4-level histogram",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE1",
        "GRAY1 value for 4-level histogram",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE2",
        "GRAY2 value for 4-level histogram",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE3",
        "GRAY3 (White) value for 4-level histogram",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_HIST8_PARAM0.
static const field_t hw_epdc_hist8_param0[] =
{
    {
        "VALUE0",
        "GRAY0 (Black) value for 8-level histogram",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE1",
        "GRAY1 value for 8-level histogram",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE2",
        "GRAY2 value for 8-level histogram",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE3",
        "GRAY3 value for 8-level histogram",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_HIST8_PARAM1.
static const field_t hw_epdc_hist8_param1[] =
{
    {
        "VALUE4",
        "GRAY4 value for 8-level histogram",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE5",
        "GRAY5 value for 8-level histogram",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE6",
        "GRAY6 value for 8-level histogram",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE7",
        "GRAY7 (White) value for 8-level histogram",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_HIST16_PARAM0.
static const field_t hw_epdc_hist16_param0[] =
{
    {
        "VALUE0",
        "GRAY0 (Black) value for 16-level histogram",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE1",
        "GRAY1 value for 16-level histogram",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE2",
        "GRAY2 value for 16-level histogram",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE3",
        "GRAY3 value for 16-level histogram",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_HIST16_PARAM1.
static const field_t hw_epdc_hist16_param1[] =
{
    {
        "VALUE4",
        "GRAY4 value for 16-level histogram",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE5",
        "GRAY5 value for 16-level histogram",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE6",
        "GRAY6 value for 16-level histogram",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE7",
        "GRAY7 value for 16-level histogram",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_HIST16_PARAM2.
static const field_t hw_epdc_hist16_param2[] =
{
    {
        "VALUE8",
        "GRAY8 value for 16-level histogram",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE9",
        "GRAY9 value for 16-level histogram",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE10",
        "GRAY10 value for 16-level histogram",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE11",
        "GRAY11 value for 16-level histogram",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_HIST16_PARAM3.
static const field_t hw_epdc_hist16_param3[] =
{
    {
        "VALUE12",
        "GRAY12 value for 16-level histogram",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE13",
        "GRAY13 value for 16-level histogram",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE14",
        "GRAY14 value for 16-level histogram",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALUE15",
        "GRAY15 (White) value for 16-level histogram",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_GPIO.
static const field_t hw_epdc_gpio[] =
{
    {
        "BDR",
        "Controls ipp_epdc_bdr[1:0] output",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRCTRL",
        "Controls ipp_epdc_pwrctrl[3:0] output",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRCOM",
        "Controls ipp_epdc_pwrcom output",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRWAKE",
        "Controls ipp_epdc_pwrwake output",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRSTAT",
        "reflect ipp_epdc_pwrstat input",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_GPIO_SET.
static const field_t hw_epdc_gpio_set[] =
{
    {
        "BDR",
        "Controls ipp_epdc_bdr[1:0] output",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRCTRL",
        "Controls ipp_epdc_pwrctrl[3:0] output",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRCOM",
        "Controls ipp_epdc_pwrcom output",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRWAKE",
        "Controls ipp_epdc_pwrwake output",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRSTAT",
        "reflect ipp_epdc_pwrstat input",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_GPIO_CLR.
static const field_t hw_epdc_gpio_clr[] =
{
    {
        "BDR",
        "Controls ipp_epdc_bdr[1:0] output",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRCTRL",
        "Controls ipp_epdc_pwrctrl[3:0] output",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRCOM",
        "Controls ipp_epdc_pwrcom output",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRWAKE",
        "Controls ipp_epdc_pwrwake output",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRSTAT",
        "reflect ipp_epdc_pwrstat input",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_GPIO_TOG.
static const field_t hw_epdc_gpio_tog[] =
{
    {
        "BDR",
        "Controls ipp_epdc_bdr[1:0] output",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRCTRL",
        "Controls ipp_epdc_pwrctrl[3:0] output",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRCOM",
        "Controls ipp_epdc_pwrcom output",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRWAKE",
        "Controls ipp_epdc_pwrwake output",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWRSTAT",
        "reflect ipp_epdc_pwrstat input",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_VERSION.
static const field_t hw_epdc_version[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value reflecting the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value reflecting the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_0_0.
static const field_t hw_epdc_pigeon_0_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_0_1.
static const field_t hw_epdc_pigeon_0_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_0_2.
static const field_t hw_epdc_pigeon_0_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_1_0.
static const field_t hw_epdc_pigeon_1_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_1_1.
static const field_t hw_epdc_pigeon_1_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_1_2.
static const field_t hw_epdc_pigeon_1_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_2_0.
static const field_t hw_epdc_pigeon_2_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_2_1.
static const field_t hw_epdc_pigeon_2_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_2_2.
static const field_t hw_epdc_pigeon_2_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_3_0.
static const field_t hw_epdc_pigeon_3_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_3_1.
static const field_t hw_epdc_pigeon_3_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_3_2.
static const field_t hw_epdc_pigeon_3_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_4_0.
static const field_t hw_epdc_pigeon_4_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_4_1.
static const field_t hw_epdc_pigeon_4_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_4_2.
static const field_t hw_epdc_pigeon_4_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_5_0.
static const field_t hw_epdc_pigeon_5_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_5_1.
static const field_t hw_epdc_pigeon_5_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_5_2.
static const field_t hw_epdc_pigeon_5_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_6_0.
static const field_t hw_epdc_pigeon_6_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_6_1.
static const field_t hw_epdc_pigeon_6_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_6_2.
static const field_t hw_epdc_pigeon_6_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_7_0.
static const field_t hw_epdc_pigeon_7_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_7_1.
static const field_t hw_epdc_pigeon_7_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_7_2.
static const field_t hw_epdc_pigeon_7_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_8_0.
static const field_t hw_epdc_pigeon_8_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_8_1.
static const field_t hw_epdc_pigeon_8_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_8_2.
static const field_t hw_epdc_pigeon_8_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_9_0.
static const field_t hw_epdc_pigeon_9_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_9_1.
static const field_t hw_epdc_pigeon_9_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_9_2.
static const field_t hw_epdc_pigeon_9_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_10_0.
static const field_t hw_epdc_pigeon_10_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_10_1.
static const field_t hw_epdc_pigeon_10_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_10_2.
static const field_t hw_epdc_pigeon_10_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_11_0.
static const field_t hw_epdc_pigeon_11_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_11_1.
static const field_t hw_epdc_pigeon_11_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_11_2.
static const field_t hw_epdc_pigeon_11_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_12_0.
static const field_t hw_epdc_pigeon_12_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_12_1.
static const field_t hw_epdc_pigeon_12_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_12_2.
static const field_t hw_epdc_pigeon_12_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_13_0.
static const field_t hw_epdc_pigeon_13_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_13_1.
static const field_t hw_epdc_pigeon_13_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_13_2.
static const field_t hw_epdc_pigeon_13_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_14_0.
static const field_t hw_epdc_pigeon_14_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_14_1.
static const field_t hw_epdc_pigeon_14_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_14_2.
static const field_t hw_epdc_pigeon_14_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_15_0.
static const field_t hw_epdc_pigeon_15_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_15_1.
static const field_t hw_epdc_pigeon_15_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_15_2.
static const field_t hw_epdc_pigeon_15_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_16_0.
static const field_t hw_epdc_pigeon_16_0[] =
{
    {
        "EN",
        "enable pigeon mode on this signal",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "polarity of signal output",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_SEL",
        "event to incrment local counter",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFSET",
        "offset on pclk unit.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT_SEL",
        "select global counters as mask condition, use together with MASK_CNT",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CNT",
        "When the global counter selected through MASK_CNT_SEL matches value in"
        " this reg, pigeon local counter start ticking.",
        12, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATE_MASK",
        "state_mask = (FS|FB|FD|FE) and (LS|LB|LD|LE) , select any combination "
        "of scan states as reference point for local counter to start ticking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_16_1.
static const field_t hw_epdc_pigeon_16_1[] =
{
    {
        "SET_CNT",
        "assert signal output when counter match this value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_CNT",
        "deassert signal output when counter match this value",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register EPDC_PIGEON_16_2.
static const field_t hw_epdc_pigeon_16_2[] =
{
    {
        "SIG_LOGIC",
        "logic operation with another signal sigout : final output signal of th"
        "is generator mask : final mask of this generator this_sig : intermedia"
        "te signal of this generator before logic operation other_masks : inter"
        "mediate mask result of this generator before logic operation sig_anoth"
        "er : signal selected other generators",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIG_ANOTHER",
        "select another signal for logic operation or as mask or counter tick e"
        "vent",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a EPDC module.
static const reg_t hw_epdc[] =
{
    {
        "CTRL",
        "EPDC Main control register This register controls various high-level f"
        "unctions of the EPDC EXAMPLE /* Reset */ __raw_writel(EPDC_CTRL_SFTRST"
        ", EPDC_CTRL_SET); while (!(__raw_readl(EPDC_CTRL) & EPDC_CTRL_CLKGATE)"
        ") ; __raw_writel(EPDC_CTRL_SFTRST, EPDC_CTRL_CLEAR); /* Enable clock g"
        "ating (clear to enable) */ __raw_writel(EPDC_CTRL_CLKGATE, EPDC_CTRL_C"
        "LEAR); while (__raw_readl(EPDC_CTRL) & (EPDC_CTRL_SFTRST | EPDC_CTRL_C"
        "LKGATE)) ; /* EPDC_CTRL */ reg_val = __raw_readl(EPDC_CTRL); reg_val &"
        "= ~EPDC_CTRL_UPD_DATA_SWIZZLE_MASK; reg_val |= EPDC_CTRL_UPD_DATA_SWIZ"
        "ZLE_NO_SWAP; reg_val &= ~EPDC_CTRL_LUT_DATA_SWIZZLE_MASK; reg_val |= E"
        "PDC_CTRL_LUT_DATA_SWIZZLE_NO_SWAP; __raw_writel(reg_val, EPDC_CTRL_SET"
        ");",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_ctrl
    },
    {
        "CTRL_SET",
        "EPDC Main control register This register controls various high-level f"
        "unctions of the EPDC EXAMPLE /* Reset */ __raw_writel(EPDC_CTRL_SFTRST"
        ", EPDC_CTRL_SET); while (!(__raw_readl(EPDC_CTRL) & EPDC_CTRL_CLKGATE)"
        ") ; __raw_writel(EPDC_CTRL_SFTRST, EPDC_CTRL_CLEAR); /* Enable clock g"
        "ating (clear to enable) */ __raw_writel(EPDC_CTRL_CLKGATE, EPDC_CTRL_C"
        "LEAR); while (__raw_readl(EPDC_CTRL) & (EPDC_CTRL_SFTRST | EPDC_CTRL_C"
        "LKGATE)) ; /* EPDC_CTRL */ reg_val = __raw_readl(EPDC_CTRL); reg_val &"
        "= ~EPDC_CTRL_UPD_DATA_SWIZZLE_MASK; reg_val |= EPDC_CTRL_UPD_DATA_SWIZ"
        "ZLE_NO_SWAP; reg_val &= ~EPDC_CTRL_LUT_DATA_SWIZZLE_MASK; reg_val |= E"
        "PDC_CTRL_LUT_DATA_SWIZZLE_NO_SWAP; __raw_writel(reg_val, EPDC_CTRL_SET"
        ");",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_ctrl_set
    },
    {
        "CTRL_CLR",
        "EPDC Main control register This register controls various high-level f"
        "unctions of the EPDC EXAMPLE /* Reset */ __raw_writel(EPDC_CTRL_SFTRST"
        ", EPDC_CTRL_SET); while (!(__raw_readl(EPDC_CTRL) & EPDC_CTRL_CLKGATE)"
        ") ; __raw_writel(EPDC_CTRL_SFTRST, EPDC_CTRL_CLEAR); /* Enable clock g"
        "ating (clear to enable) */ __raw_writel(EPDC_CTRL_CLKGATE, EPDC_CTRL_C"
        "LEAR); while (__raw_readl(EPDC_CTRL) & (EPDC_CTRL_SFTRST | EPDC_CTRL_C"
        "LKGATE)) ; /* EPDC_CTRL */ reg_val = __raw_readl(EPDC_CTRL); reg_val &"
        "= ~EPDC_CTRL_UPD_DATA_SWIZZLE_MASK; reg_val |= EPDC_CTRL_UPD_DATA_SWIZ"
        "ZLE_NO_SWAP; reg_val &= ~EPDC_CTRL_LUT_DATA_SWIZZLE_MASK; reg_val |= E"
        "PDC_CTRL_LUT_DATA_SWIZZLE_NO_SWAP; __raw_writel(reg_val, EPDC_CTRL_SET"
        ");",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_ctrl_clr
    },
    {
        "CTRL_TOG",
        "EPDC Main control register This register controls various high-level f"
        "unctions of the EPDC EXAMPLE /* Reset */ __raw_writel(EPDC_CTRL_SFTRST"
        ", EPDC_CTRL_SET); while (!(__raw_readl(EPDC_CTRL) & EPDC_CTRL_CLKGATE)"
        ") ; __raw_writel(EPDC_CTRL_SFTRST, EPDC_CTRL_CLEAR); /* Enable clock g"
        "ating (clear to enable) */ __raw_writel(EPDC_CTRL_CLKGATE, EPDC_CTRL_C"
        "LEAR); while (__raw_readl(EPDC_CTRL) & (EPDC_CTRL_SFTRST | EPDC_CTRL_C"
        "LKGATE)) ; /* EPDC_CTRL */ reg_val = __raw_readl(EPDC_CTRL); reg_val &"
        "= ~EPDC_CTRL_UPD_DATA_SWIZZLE_MASK; reg_val |= EPDC_CTRL_UPD_DATA_SWIZ"
        "ZLE_NO_SWAP; reg_val &= ~EPDC_CTRL_LUT_DATA_SWIZZLE_MASK; reg_val |= E"
        "PDC_CTRL_LUT_DATA_SWIZZLE_NO_SWAP; __raw_writel(reg_val, EPDC_CTRL_SET"
        ");",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_ctrl_tog
    },
    {
        "WB_ADDR_TCE",
        "EPDC Working Buffer Address for TCE",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_wb_addr_tce
    },
    {
        "WVADDR",
        "EPDC Waveform Address Pointer EXAMPLE /* Reset */ __raw_writel(EPDC_CT"
        "RL_SFTRST, EPDC_CTRL_SET); while (!(__raw_readl(EPDC_CTRL) & EPDC_CTRL"
        "_CLKGATE)) ; __raw_writel(EPDC_CTRL_SFTRST, EPDC_CTRL_CLEAR); /* Enabl"
        "e clock gating (clear to enable) */ __raw_writel(EPDC_CTRL_CLKGATE, EP"
        "DC_CTRL_CLEAR); while (__raw_readl(EPDC_CTRL) & (EPDC_CTRL_SFTRST | EP"
        "DC_CTRL_CLKGATE)) ; /* EPDC_CTRL */ reg_val = __raw_readl(EPDC_CTRL); "
        "reg_val &= ~EPDC_CTRL_UPD_DATA_SWIZZLE_MASK; reg_val |= EPDC_CTRL_UPD_"
        "DATA_SWIZZLE_NO_SWAP; reg_val &= ~EPDC_CTRL_LUT_DATA_SWIZZLE_MASK; reg"
        "_val |= EPDC_CTRL_LUT_DATA_SWIZZLE_NO_SWAP; __raw_writel(reg_val, EPDC"
        "_CTRL_SET);",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_wvaddr
    },
    {
        "WB_ADDR",
        "EPDC Working Buffer Address This register points to the address of cur"
        "rent working buffer.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_wb_addr
    },
    {
        "RES",
        "EPDC Screen Resolution.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_res
    },
    {
        "FORMAT",
        "EPDC Pixel format control register.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_format
    },
    {
        "FORMAT_SET",
        "EPDC Pixel format control register.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_format_set
    },
    {
        "FORMAT_CLR",
        "EPDC Pixel format control register.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_format_clr
    },
    {
        "FORMAT_TOG",
        "EPDC Pixel format control register.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_format_tog
    },
    {
        "WB_FIELD0",
        "specify the pixel fields mapping from working buffer to lut index : WB"
        "[FROM+LEN:FROM] =>LUT [TO+LEN:TO]",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_wb_field0
    },
    {
        "WB_FIELD1",
        "specify the pixel fields mapping from working buffer to lut index : WB"
        "[FROM+LEN:FROM] =>LUT [TO+LEN:TO]",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_wb_field1
    },
    {
        "WB_FIELD2",
        "specify the pixel fields mapping from working buffer to lut index : WB"
        "[FROM+LEN:FROM] =>LUT [TO+LEN:TO]",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_wb_field2
    },
    {
        "WB_FIELD3",
        "specify the pixel fields mapping from working buffer to lut index : WB"
        "[FROM+LEN:FROM] =>LUT [TO+LEN:TO]",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_wb_field3
    },
    {
        "FIFOCTRL",
        "Allows for programmability of pixel FIFO watermarks used in conjunctio"
        "n with system arbitration hardware This register houses FIFO control b"
        "its EXAMPLE /* EPDC_FIFOCTRL (disabled) */ reg_val = ((100 << EPDC_FIF"
        "OCTRL_FIFO_INIT_LEVEL_OFFSET) & EPDC_FIFOCTRL_FIFO_INIT_LEVEL_MASK) | "
        "((200 << EPDC_FIFOCTRL_FIFO_H_LEVEL_OFFSET) & EPDC_FIFOCTRL_FIFO_H_LEV"
        "EL_MASK) | ((100 << EPDC_FIFOCTRL_FIFO_L_LEVEL_OFFSET) & EPDC_FIFOCTRL"
        "_FIFO_L_LEVEL_MASK); __raw_writel(reg_val, EPDC_FIFOCTRL);",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_fifoctrl
    },
    {
        "FIFOCTRL_SET",
        "Allows for programmability of pixel FIFO watermarks used in conjunctio"
        "n with system arbitration hardware This register houses FIFO control b"
        "its EXAMPLE /* EPDC_FIFOCTRL (disabled) */ reg_val = ((100 << EPDC_FIF"
        "OCTRL_FIFO_INIT_LEVEL_OFFSET) & EPDC_FIFOCTRL_FIFO_INIT_LEVEL_MASK) | "
        "((200 << EPDC_FIFOCTRL_FIFO_H_LEVEL_OFFSET) & EPDC_FIFOCTRL_FIFO_H_LEV"
        "EL_MASK) | ((100 << EPDC_FIFOCTRL_FIFO_L_LEVEL_OFFSET) & EPDC_FIFOCTRL"
        "_FIFO_L_LEVEL_MASK); __raw_writel(reg_val, EPDC_FIFOCTRL);",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_fifoctrl_set
    },
    {
        "FIFOCTRL_CLR",
        "Allows for programmability of pixel FIFO watermarks used in conjunctio"
        "n with system arbitration hardware This register houses FIFO control b"
        "its EXAMPLE /* EPDC_FIFOCTRL (disabled) */ reg_val = ((100 << EPDC_FIF"
        "OCTRL_FIFO_INIT_LEVEL_OFFSET) & EPDC_FIFOCTRL_FIFO_INIT_LEVEL_MASK) | "
        "((200 << EPDC_FIFOCTRL_FIFO_H_LEVEL_OFFSET) & EPDC_FIFOCTRL_FIFO_H_LEV"
        "EL_MASK) | ((100 << EPDC_FIFOCTRL_FIFO_L_LEVEL_OFFSET) & EPDC_FIFOCTRL"
        "_FIFO_L_LEVEL_MASK); __raw_writel(reg_val, EPDC_FIFOCTRL);",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_fifoctrl_clr
    },
    {
        "FIFOCTRL_TOG",
        "Allows for programmability of pixel FIFO watermarks used in conjunctio"
        "n with system arbitration hardware This register houses FIFO control b"
        "its EXAMPLE /* EPDC_FIFOCTRL (disabled) */ reg_val = ((100 << EPDC_FIF"
        "OCTRL_FIFO_INIT_LEVEL_OFFSET) & EPDC_FIFOCTRL_FIFO_INIT_LEVEL_MASK) | "
        "((200 << EPDC_FIFOCTRL_FIFO_H_LEVEL_OFFSET) & EPDC_FIFOCTRL_FIFO_H_LEV"
        "EL_MASK) | ((100 << EPDC_FIFOCTRL_FIFO_L_LEVEL_OFFSET) & EPDC_FIFOCTRL"
        "_FIFO_L_LEVEL_MASK); __raw_writel(reg_val, EPDC_FIFOCTRL);",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_fifoctrl_tog
    },
    {
        "UPD_ADDR",
        "EPDC Update Region Address The address alignment depends on whether th"
        "e update region stride register (EPDC_UPD_STRIDE) is set or not.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_upd_addr
    },
    {
        "UPD_STRIDE",
        "EPDC Update Region Stride When UPD_STRIDE==0 (stride feature disabled)"
        ", UPD buffer line must start from 64-bit boundary and end on 64-bit bo"
        "undary(padding if not).",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_upd_stride
    },
    {
        "UPD_CORD",
        "EPDC Update Command Co-ordinate This register is used for setting up t"
        "he coordinate of a new update region.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_upd_cord
    },
    {
        "UPD_SIZE",
        "EPDC Update Command Size This register sets up the size of an update r"
        "egion.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_upd_size
    },
    {
        "UPD_CTRL",
        "EPDC Update Command Control.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_epdc_upd_ctrl
    },
    {
        "UPD_CTRL_SET",
        "EPDC Update Command Control.",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_epdc_upd_ctrl_set
    },
    {
        "UPD_CTRL_CLR",
        "EPDC Update Command Control.",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_epdc_upd_ctrl_clr
    },
    {
        "UPD_CTRL_TOG",
        "EPDC Update Command Control.",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_epdc_upd_ctrl_tog
    },
    {
        "UPD_FIXED",
        "EPDC Update Control register for fixed-pixel updates (enabled via EPDC"
        "_UPD_CTRL[USE_FIXED])",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_upd_fixed
    },
    {
        "UPD_FIXED_SET",
        "EPDC Update Control register for fixed-pixel updates (enabled via EPDC"
        "_UPD_CTRL[USE_FIXED])",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_upd_fixed_set
    },
    {
        "UPD_FIXED_CLR",
        "EPDC Update Control register for fixed-pixel updates (enabled via EPDC"
        "_UPD_CTRL[USE_FIXED])",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_upd_fixed_clr
    },
    {
        "UPD_FIXED_TOG",
        "EPDC Update Control register for fixed-pixel updates (enabled via EPDC"
        "_UPD_CTRL[USE_FIXED])",
        4, // Width in bytes
        0x0000018c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_upd_fixed_tog
    },
    {
        "TEMP",
        "EPDC Temperature Compensation Register",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_temp
    },
    {
        "AUTOWV_LUT",
        "This register is used to access the waveform mode lookup table.",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_autowv_lut
    },
    {
        "LUT_STANDBY1",
        "",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_lut_standby1
    },
    {
        "LUT_STANDBY1_SET",
        "",
        4, // Width in bytes
        0x000001e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_lut_standby1_set
    },
    {
        "LUT_STANDBY1_CLR",
        "",
        4, // Width in bytes
        0x000001e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_lut_standby1_clr
    },
    {
        "LUT_STANDBY1_TOG",
        "",
        4, // Width in bytes
        0x000001ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_lut_standby1_tog
    },
    {
        "LUT_STANDBY2",
        "",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_lut_standby2
    },
    {
        "LUT_STANDBY2_SET",
        "",
        4, // Width in bytes
        0x000001f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_lut_standby2_set
    },
    {
        "LUT_STANDBY2_CLR",
        "",
        4, // Width in bytes
        0x000001f8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_lut_standby2_clr
    },
    {
        "LUT_STANDBY2_TOG",
        "",
        4, // Width in bytes
        0x000001fc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_lut_standby2_tog
    },
    {
        "TCE_CTRL",
        "TCE general control register This register houses Horizontal scan timi"
        "ng.",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_epdc_tce_ctrl
    },
    {
        "TCE_CTRL_SET",
        "TCE general control register This register houses Horizontal scan timi"
        "ng.",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_epdc_tce_ctrl_set
    },
    {
        "TCE_CTRL_CLR",
        "TCE general control register This register houses Horizontal scan timi"
        "ng.",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_epdc_tce_ctrl_clr
    },
    {
        "TCE_CTRL_TOG",
        "TCE general control register This register houses Horizontal scan timi"
        "ng.",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_epdc_tce_ctrl_tog
    },
    {
        "TCE_SDCFG",
        "Source-driver configuration register",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_tce_sdcfg
    },
    {
        "TCE_SDCFG_SET",
        "Source-driver configuration register",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_tce_sdcfg_set
    },
    {
        "TCE_SDCFG_CLR",
        "Source-driver configuration register",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_tce_sdcfg_clr
    },
    {
        "TCE_SDCFG_TOG",
        "Source-driver configuration register",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_tce_sdcfg_tog
    },
    {
        "TCE_GDCFG",
        "This register houses gate-driver configuration.",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_tce_gdcfg
    },
    {
        "TCE_GDCFG_SET",
        "This register houses gate-driver configuration.",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_tce_gdcfg_set
    },
    {
        "TCE_GDCFG_CLR",
        "This register houses gate-driver configuration.",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_tce_gdcfg_clr
    },
    {
        "TCE_GDCFG_TOG",
        "This register houses gate-driver configuration.",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_tce_gdcfg_tog
    },
    {
        "TCE_HSCAN1",
        "Horizontal scan timing registers.",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_hscan1
    },
    {
        "TCE_HSCAN1_SET",
        "Horizontal scan timing registers.",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_hscan1_set
    },
    {
        "TCE_HSCAN1_CLR",
        "Horizontal scan timing registers.",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_hscan1_clr
    },
    {
        "TCE_HSCAN1_TOG",
        "Horizontal scan timing registers.",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_hscan1_tog
    },
    {
        "TCE_HSCAN2",
        "Horizontal scan timing registers.",
        4, // Width in bytes
        0x00000280, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_hscan2
    },
    {
        "TCE_HSCAN2_SET",
        "Horizontal scan timing registers.",
        4, // Width in bytes
        0x00000284, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_hscan2_set
    },
    {
        "TCE_HSCAN2_CLR",
        "Horizontal scan timing registers.",
        4, // Width in bytes
        0x00000288, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_hscan2_clr
    },
    {
        "TCE_HSCAN2_TOG",
        "Horizontal scan timing registers.",
        4, // Width in bytes
        0x0000028c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_hscan2_tog
    },
    {
        "TCE_VSCAN",
        "Vertical scan timing registers This register houses vertical scan timi"
        "ng.",
        4, // Width in bytes
        0x000002a0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_epdc_tce_vscan
    },
    {
        "TCE_VSCAN_SET",
        "Vertical scan timing registers This register houses vertical scan timi"
        "ng.",
        4, // Width in bytes
        0x000002a4, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_epdc_tce_vscan_set
    },
    {
        "TCE_VSCAN_CLR",
        "Vertical scan timing registers This register houses vertical scan timi"
        "ng.",
        4, // Width in bytes
        0x000002a8, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_epdc_tce_vscan_clr
    },
    {
        "TCE_VSCAN_TOG",
        "Vertical scan timing registers This register houses vertical scan timi"
        "ng.",
        4, // Width in bytes
        0x000002ac, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_epdc_tce_vscan_tog
    },
    {
        "TCE_OE",
        "This register contain delay programming values for the SDOEZ and SDOED"
        " source driver control signals This register contain delay programming"
        " values for the SDOZ and SDOE source driver control signals",
        4, // Width in bytes
        0x000002c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_tce_oe
    },
    {
        "TCE_OE_SET",
        "This register contain delay programming values for the SDOEZ and SDOED"
        " source driver control signals This register contain delay programming"
        " values for the SDOZ and SDOE source driver control signals",
        4, // Width in bytes
        0x000002c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_tce_oe_set
    },
    {
        "TCE_OE_CLR",
        "This register contain delay programming values for the SDOEZ and SDOED"
        " source driver control signals This register contain delay programming"
        " values for the SDOZ and SDOE source driver control signals",
        4, // Width in bytes
        0x000002c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_tce_oe_clr
    },
    {
        "TCE_OE_TOG",
        "This register contain delay programming values for the SDOEZ and SDOED"
        " source driver control signals This register contain delay programming"
        " values for the SDOZ and SDOE source driver control signals",
        4, // Width in bytes
        0x000002cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_tce_oe_tog
    },
    {
        "TCE_POLARITY",
        "This registers allows for programming the polarity of source/gate driv"
        "er control signals This register houses FIFO control bits",
        4, // Width in bytes
        0x000002e0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_epdc_tce_polarity
    },
    {
        "TCE_POLARITY_SET",
        "This registers allows for programming the polarity of source/gate driv"
        "er control signals This register houses FIFO control bits",
        4, // Width in bytes
        0x000002e4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_epdc_tce_polarity_set
    },
    {
        "TCE_POLARITY_CLR",
        "This registers allows for programming the polarity of source/gate driv"
        "er control signals This register houses FIFO control bits",
        4, // Width in bytes
        0x000002e8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_epdc_tce_polarity_clr
    },
    {
        "TCE_POLARITY_TOG",
        "This registers allows for programming the polarity of source/gate driv"
        "er control signals This register houses FIFO control bits",
        4, // Width in bytes
        0x000002ec, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_epdc_tce_polarity_tog
    },
    {
        "TCE_TIMING1",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_epdc_tce_timing1
    },
    {
        "TCE_TIMING1_SET",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000304, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_epdc_tce_timing1_set
    },
    {
        "TCE_TIMING1_CLR",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000308, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_epdc_tce_timing1_clr
    },
    {
        "TCE_TIMING1_TOG",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x0000030c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_epdc_tce_timing1_tog
    },
    {
        "TCE_TIMING2",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_timing2
    },
    {
        "TCE_TIMING2_SET",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000314, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_timing2_set
    },
    {
        "TCE_TIMING2_CLR",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000318, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_timing2_clr
    },
    {
        "TCE_TIMING2_TOG",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x0000031c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_timing2_tog
    },
    {
        "TCE_TIMING3",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_timing3
    },
    {
        "TCE_TIMING3_SET",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000324, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_timing3_set
    },
    {
        "TCE_TIMING3_CLR",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000328, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_timing3_clr
    },
    {
        "TCE_TIMING3_TOG",
        "This register contains various timing adjustment controls This registe"
        "r houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x0000032c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_tce_timing3_tog
    },
    {
        "PIGEON_CTRL0",
        "This register contains global counter settings for Pigeon Mode This re"
        "gister houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000380, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_ctrl0
    },
    {
        "PIGEON_CTRL0_SET",
        "This register contains global counter settings for Pigeon Mode This re"
        "gister houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000384, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_ctrl0_set
    },
    {
        "PIGEON_CTRL0_CLR",
        "This register contains global counter settings for Pigeon Mode This re"
        "gister houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000388, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_ctrl0_clr
    },
    {
        "PIGEON_CTRL0_TOG",
        "This register contains global counter settings for Pigeon Mode This re"
        "gister houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x0000038c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_ctrl0_tog
    },
    {
        "PIGEON_CTRL1",
        "This register contains global counter setting for pigeon mode This reg"
        "ister houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000390, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_ctrl1
    },
    {
        "PIGEON_CTRL1_SET",
        "This register contains global counter setting for pigeon mode This reg"
        "ister houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000394, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_ctrl1_set
    },
    {
        "PIGEON_CTRL1_CLR",
        "This register contains global counter setting for pigeon mode This reg"
        "ister houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x00000398, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_ctrl1_clr
    },
    {
        "PIGEON_CTRL1_TOG",
        "This register contains global counter setting for pigeon mode This reg"
        "ister houses general purpose timing adjustment registers",
        4, // Width in bytes
        0x0000039c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_ctrl1_tog
    },
    {
        "IRQ_MASK1",
        "Controls masking EPDC LUT complete interrupts This register controls L"
        "UT0~31 IRQ masks for EPDC interrupts",
        4, // Width in bytes
        0x000003c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq_mask1
    },
    {
        "IRQ_MASK1_SET",
        "Controls masking EPDC LUT complete interrupts This register controls L"
        "UT0~31 IRQ masks for EPDC interrupts",
        4, // Width in bytes
        0x000003c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq_mask1_set
    },
    {
        "IRQ_MASK1_CLR",
        "Controls masking EPDC LUT complete interrupts This register controls L"
        "UT0~31 IRQ masks for EPDC interrupts",
        4, // Width in bytes
        0x000003c8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq_mask1_clr
    },
    {
        "IRQ_MASK1_TOG",
        "Controls masking EPDC LUT complete interrupts This register controls L"
        "UT0~31 IRQ masks for EPDC interrupts",
        4, // Width in bytes
        0x000003cc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq_mask1_tog
    },
    {
        "IRQ_MASK2",
        "Controls masking EPDC LUT complete interrupts This register controls L"
        "UT0~31 IRQ masks for EPDC interrupts",
        4, // Width in bytes
        0x000003d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq_mask2
    },
    {
        "IRQ_MASK2_SET",
        "Controls masking EPDC LUT complete interrupts This register controls L"
        "UT0~31 IRQ masks for EPDC interrupts",
        4, // Width in bytes
        0x000003d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq_mask2_set
    },
    {
        "IRQ_MASK2_CLR",
        "Controls masking EPDC LUT complete interrupts This register controls L"
        "UT0~31 IRQ masks for EPDC interrupts",
        4, // Width in bytes
        0x000003d8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq_mask2_clr
    },
    {
        "IRQ_MASK2_TOG",
        "Controls masking EPDC LUT complete interrupts This register controls L"
        "UT0~31 IRQ masks for EPDC interrupts",
        4, // Width in bytes
        0x000003dc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq_mask2_tog
    },
    {
        "IRQ1",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x000003e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq1
    },
    {
        "IRQ1_SET",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x000003e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq1_set
    },
    {
        "IRQ1_CLR",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x000003e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq1_clr
    },
    {
        "IRQ1_TOG",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x000003ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq1_tog
    },
    {
        "IRQ2",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x000003f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq2
    },
    {
        "IRQ2_SET",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x000003f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq2_set
    },
    {
        "IRQ2_CLR",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x000003f8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq2_clr
    },
    {
        "IRQ2_TOG",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x000003fc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_irq2_tog
    },
    {
        "IRQ_MASK",
        "Controls masking for all EPDC interrupts This register controls IRQ ma"
        "sks for all EPDC interrupts",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_epdc_irq_mask
    },
    {
        "IRQ_MASK_SET",
        "Controls masking for all EPDC interrupts This register controls IRQ ma"
        "sks for all EPDC interrupts",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_epdc_irq_mask_set
    },
    {
        "IRQ_MASK_CLR",
        "Controls masking for all EPDC interrupts This register controls IRQ ma"
        "sks for all EPDC interrupts",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_epdc_irq_mask_clr
    },
    {
        "IRQ_MASK_TOG",
        "Controls masking for all EPDC interrupts This register controls IRQ ma"
        "sks for all EPDC interrupts",
        4, // Width in bytes
        0x0000040c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_epdc_irq_mask_tog
    },
    {
        "IRQ",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x00000420, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_epdc_irq
    },
    {
        "IRQ_SET",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x00000424, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_epdc_irq_set
    },
    {
        "IRQ_CLR",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x00000428, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_epdc_irq_clr
    },
    {
        "IRQ_TOG",
        "EPDC LUT Completion IRQs.",
        4, // Width in bytes
        0x0000042c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_epdc_irq_tog
    },
    {
        "STATUS_LUTS1",
        "EPDC Status Register - LUTS 0~31",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_status_luts1
    },
    {
        "STATUS_LUTS1_SET",
        "EPDC Status Register - LUTS 0~31",
        4, // Width in bytes
        0x00000444, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_status_luts1_set
    },
    {
        "STATUS_LUTS1_CLR",
        "EPDC Status Register - LUTS 0~31",
        4, // Width in bytes
        0x00000448, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_status_luts1_clr
    },
    {
        "STATUS_LUTS1_TOG",
        "EPDC Status Register - LUTS 0~31",
        4, // Width in bytes
        0x0000044c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_status_luts1_tog
    },
    {
        "STATUS_LUTS2",
        "EPDC Status Register - LUTS 0~31",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_status_luts2
    },
    {
        "STATUS_LUTS2_SET",
        "EPDC Status Register - LUTS 0~31",
        4, // Width in bytes
        0x00000454, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_status_luts2_set
    },
    {
        "STATUS_LUTS2_CLR",
        "EPDC Status Register - LUTS 0~31",
        4, // Width in bytes
        0x00000458, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_status_luts2_clr
    },
    {
        "STATUS_LUTS2_TOG",
        "EPDC Status Register - LUTS 0~31",
        4, // Width in bytes
        0x0000045c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_epdc_status_luts2_tog
    },
    {
        "STATUS_NEXTLUT",
        "Holds value of next available LUT.",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_epdc_status_nextlut
    },
    {
        "STATUS_COL1",
        "EPDC LUT Collision Status Register and works in conjuction with EPDC_I"
        "RQ[LUT_COL_IRQ].",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_epdc_status_col1
    },
    {
        "STATUS_COL1_SET",
        "EPDC LUT Collision Status Register and works in conjuction with EPDC_I"
        "RQ[LUT_COL_IRQ].",
        4, // Width in bytes
        0x00000484, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_epdc_status_col1_set
    },
    {
        "STATUS_COL1_CLR",
        "EPDC LUT Collision Status Register and works in conjuction with EPDC_I"
        "RQ[LUT_COL_IRQ].",
        4, // Width in bytes
        0x00000488, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_epdc_status_col1_clr
    },
    {
        "STATUS_COL1_TOG",
        "EPDC LUT Collision Status Register and works in conjuction with EPDC_I"
        "RQ[LUT_COL_IRQ].",
        4, // Width in bytes
        0x0000048c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_epdc_status_col1_tog
    },
    {
        "STATUS_COL2",
        "EPDC LUT Collision Status Register and works in conjuction with EPDC_I"
        "RQ[LUT_COL_IRQ].",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_epdc_status_col2
    },
    {
        "STATUS_COL2_SET",
        "EPDC LUT Collision Status Register and works in conjuction with EPDC_I"
        "RQ[LUT_COL_IRQ].",
        4, // Width in bytes
        0x00000494, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_epdc_status_col2_set
    },
    {
        "STATUS_COL2_CLR",
        "EPDC LUT Collision Status Register and works in conjuction with EPDC_I"
        "RQ[LUT_COL_IRQ].",
        4, // Width in bytes
        0x00000498, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_epdc_status_col2_clr
    },
    {
        "STATUS_COL2_TOG",
        "EPDC LUT Collision Status Register and works in conjuction with EPDC_I"
        "RQ[LUT_COL_IRQ].",
        4, // Width in bytes
        0x0000049c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_epdc_status_col2_tog
    },
    {
        "STATUS",
        "Register to house non LUT specific status bits This register houses ge"
        "neral status bits",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_status
    },
    {
        "STATUS_SET",
        "Register to house non LUT specific status bits This register houses ge"
        "neral status bits",
        4, // Width in bytes
        0x000004a4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_status_set
    },
    {
        "STATUS_CLR",
        "Register to house non LUT specific status bits This register houses ge"
        "neral status bits",
        4, // Width in bytes
        0x000004a8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_status_clr
    },
    {
        "STATUS_TOG",
        "Register to house non LUT specific status bits This register houses ge"
        "neral status bits",
        4, // Width in bytes
        0x000004ac, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_epdc_status_tog
    },
    {
        "UPD_COL_CORD",
        "EPDC Collision Region Co-ordinate, cleared when new update issued This"
        " register only valid after WB completion and collision happens.",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_epdc_upd_col_cord
    },
    {
        "UPD_COL_SIZE",
        "EPDC Collision Region Size of the latest completed update cleared when"
        " new update issued This register only valid after WB completion and co"
        "llision happens.",
        4, // Width in bytes
        0x000004e0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_epdc_upd_col_size
    },
    {
        "HIST1_PARAM",
        "This register specifies the valid values for a 1-level(single color) h"
        "istogram.",
        4, // Width in bytes
        0x00000600, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_hist1_param
    },
    {
        "HIST2_PARAM",
        "This register specifies the valid values for a 2-level histogram.",
        4, // Width in bytes
        0x00000610, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_epdc_hist2_param
    },
    {
        "HIST4_PARAM",
        "This register specifies the valid values for a 4-level histogram.",
        4, // Width in bytes
        0x00000620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_hist4_param
    },
    {
        "HIST8_PARAM0",
        "This register specifies four of the valid values for an 8-level histog"
        "ram.",
        4, // Width in bytes
        0x00000630, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_hist8_param0
    },
    {
        "HIST8_PARAM1",
        "This register specifies four of the valid values for an 8-level histog"
        "ram.",
        4, // Width in bytes
        0x00000640, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_hist8_param1
    },
    {
        "HIST16_PARAM0",
        "This register specifies four of the valid values for a 16-level histog"
        "ram.",
        4, // Width in bytes
        0x00000650, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_hist16_param0
    },
    {
        "HIST16_PARAM1",
        "This register specifies four of the valid values for a 16-level histog"
        "ram.",
        4, // Width in bytes
        0x00000660, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_hist16_param1
    },
    {
        "HIST16_PARAM2",
        "This register specifies four of the valid values for a 16-level histog"
        "ram.",
        4, // Width in bytes
        0x00000670, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_hist16_param2
    },
    {
        "HIST16_PARAM3",
        "This register specifies four of the valid values for a 16-level histog"
        "ram.",
        4, // Width in bytes
        0x00000680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_epdc_hist16_param3
    },
    {
        "GPIO",
        "GPIO register to control ipp_epdc_bdr[1:0], ipp_epdc_pwr[3:0] and ipp_"
        "epdc_pwrcom output signals Houses software control signal reisters",
        4, // Width in bytes
        0x00000700, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_epdc_gpio
    },
    {
        "GPIO_SET",
        "GPIO register to control ipp_epdc_bdr[1:0], ipp_epdc_pwr[3:0] and ipp_"
        "epdc_pwrcom output signals Houses software control signal reisters",
        4, // Width in bytes
        0x00000704, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_epdc_gpio_set
    },
    {
        "GPIO_CLR",
        "GPIO register to control ipp_epdc_bdr[1:0], ipp_epdc_pwr[3:0] and ipp_"
        "epdc_pwrcom output signals Houses software control signal reisters",
        4, // Width in bytes
        0x00000708, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_epdc_gpio_clr
    },
    {
        "GPIO_TOG",
        "GPIO register to control ipp_epdc_bdr[1:0], ipp_epdc_pwr[3:0] and ipp_"
        "epdc_pwrcom output signals Houses software control signal reisters",
        4, // Width in bytes
        0x0000070c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_epdc_gpio_tog
    },
    {
        "VERSION",
        "This register reflects the version number for the EPDC.",
        4, // Width in bytes
        0x000007f0, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_epdc_version
    },
    {
        "PIGEON_0_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_0_0
    },
    {
        "PIGEON_0_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000810, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_0_1
    },
    {
        "PIGEON_0_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000820, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_0_2
    },
    {
        "PIGEON_1_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000840, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_1_0
    },
    {
        "PIGEON_1_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000850, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_1_1
    },
    {
        "PIGEON_1_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000860, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_1_2
    },
    {
        "PIGEON_2_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000880, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_2_0
    },
    {
        "PIGEON_2_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000890, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_2_1
    },
    {
        "PIGEON_2_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x000008a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_2_2
    },
    {
        "PIGEON_3_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x000008c0, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_3_0
    },
    {
        "PIGEON_3_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x000008d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_3_1
    },
    {
        "PIGEON_3_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x000008e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_3_2
    },
    {
        "PIGEON_4_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000900, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_4_0
    },
    {
        "PIGEON_4_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000910, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_4_1
    },
    {
        "PIGEON_4_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000920, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_4_2
    },
    {
        "PIGEON_5_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000940, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_5_0
    },
    {
        "PIGEON_5_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000950, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_5_1
    },
    {
        "PIGEON_5_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000960, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_5_2
    },
    {
        "PIGEON_6_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000980, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_6_0
    },
    {
        "PIGEON_6_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000990, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_6_1
    },
    {
        "PIGEON_6_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x000009a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_6_2
    },
    {
        "PIGEON_7_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x000009c0, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_7_0
    },
    {
        "PIGEON_7_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x000009d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_7_1
    },
    {
        "PIGEON_7_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x000009e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_7_2
    },
    {
        "PIGEON_8_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000a00, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_8_0
    },
    {
        "PIGEON_8_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000a10, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_8_1
    },
    {
        "PIGEON_8_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000a20, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_8_2
    },
    {
        "PIGEON_9_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000a40, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_9_0
    },
    {
        "PIGEON_9_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000a50, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_9_1
    },
    {
        "PIGEON_9_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000a60, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_9_2
    },
    {
        "PIGEON_10_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000a80, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_10_0
    },
    {
        "PIGEON_10_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000a90, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_10_1
    },
    {
        "PIGEON_10_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000aa0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_10_2
    },
    {
        "PIGEON_11_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000ac0, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_11_0
    },
    {
        "PIGEON_11_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000ad0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_11_1
    },
    {
        "PIGEON_11_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000ae0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_11_2
    },
    {
        "PIGEON_12_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000b00, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_12_0
    },
    {
        "PIGEON_12_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000b10, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_12_1
    },
    {
        "PIGEON_12_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000b20, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_12_2
    },
    {
        "PIGEON_13_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000b40, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_13_0
    },
    {
        "PIGEON_13_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000b50, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_13_1
    },
    {
        "PIGEON_13_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000b60, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_13_2
    },
    {
        "PIGEON_14_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000b80, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_14_0
    },
    {
        "PIGEON_14_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000b90, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_14_1
    },
    {
        "PIGEON_14_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000ba0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_14_2
    },
    {
        "PIGEON_15_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000bc0, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_15_0
    },
    {
        "PIGEON_15_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000bd0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_15_1
    },
    {
        "PIGEON_15_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000be0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_15_2
    },
    {
        "PIGEON_16_0",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000c00, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_epdc_pigeon_16_0
    },
    {
        "PIGEON_16_1",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000c10, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_16_1
    },
    {
        "PIGEON_16_2",
        "parameters for timing signal generation",
        4, // Width in bytes
        0x00000c20, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_epdc_pigeon_16_2
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark FLEXCAN
#endif

// Bitfields in register FLEXCAN_MCR.
static const field_t hw_flexcan_mcr[] =
{
    {
        "MAXMB",
        "This 7-bit field defines the number of the last Message Buffers that w"
        "ill take part in the matching and arbitration processes.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDAM",
        "This 2-bit field identifies the format of the elements of the Rx FIFO "
        "filter table, as shown below.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AEN",
        "This bit is supplied for backwards compatibility reasons.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPRIO_EN",
        "This bit is provided for backwards compatibility reasons.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRMQ",
        "This bit indicates whether Rx matching process will be based either on"
        " individual masking and queue or on masking scheme with RXMGMASK, RX14"
        "MASK and RX15MASK, RXFGMASK.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRX_DIS",
        "This bit defines whether FlexCAN is allowed to receive frames transmit"
        "ted by itself.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAK_SRC",
        "This bit defines whether the integrated low-pass filter is applied to "
        "protect the FLEXCAN_RX input from spurious wake up.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPM_ACK",
        "This read-only bit indicates that FLEXCAN is either in Disable Mode or"
        " Stop Mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WRN_EN",
        "When asserted, this bit enables the generation of the TWRN_INT and RWR"
        "N_INT flags in the Error and Status Register.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLF_WAK",
        "This bit enables the Self Wake Up feature when FLEXCAN is in Stop Mode"
        ".",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SUPV",
        "This bit configures some of the FLEXCAN registers to be either in Supe"
        "rvisor or User Mode.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRZ_ACK",
        "This read-only bit indicates that FLEXCAN is in Freeze Mode and its pr"
        "escaler is stopped.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SOFT_RST",
        "When this bit is asserted, FlexCAN resets its internal state machines "
        "and some of the memory mapped registers.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAK_MSK",
        "This bit enables the Wake Up Interrupt generation.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NOT_RDY",
        "This read-only bit indicates that FLEXCAN is either in Disable Mode, S"
        "top Mode or Freeze Mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALT",
        "Assertion of this bit puts the FLEXCAN module into Freeze Mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFEN",
        "This bit controls whether the Rx FIFO feature is enabled or not.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRZ",
        "The FRZ bit specifies the FLEXCAN behavior when the HALT bit in the MC"
        "R Register is set or when Debug Mode is requested at ARM level.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MDIS",
        "This bit controls whether FLEXCAN is enabled or not.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_CTRL1.
static const field_t hw_flexcan_ctrl1[] =
{
    {
        "PROP_SEG",
        "This 3-bit field defines the length of the Propagation Segment in the "
        "bit time.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOM",
        "This bit configures FLEXCAN to operate in Listen Only Mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LBUF",
        "This bit defines the ordering mechanism for Message Buffer transmissio"
        "n.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TSYN",
        "This bit enables a mechanism that resets the free-running timer each t"
        "ime a message is received in Message Buffer 0.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOFF_REC",
        "This bit defines how FLEXCAN recovers from Bus Off state.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SMP",
        "This bit defines the sampling mode of CAN bits at the FLEXCAN_RX.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RWRN_MSK",
        "This bit provides a mask for the Rx Warning Interrupt associated with "
        "the RWRN_INT flag in the Error and Status Register.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TWRN_MSK",
        "This bit provides a mask for the Tx Warning Interrupt associated with "
        "the TWRN_INT flag in the Error and Status Register.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPB",
        "This bit configures FlexCAN to operate in Loop-Back Mode.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_MSK",
        "This bit provides a mask for the Error Interrupt.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOFF_MSK",
        "This bit provides a mask for the Bus Off Interrupt.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSEG2",
        "This 3-bit field defines the length of Phase Buffer Segment 2 in the b"
        "it time.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSEG1",
        "This 3-bit field defines the length of Phase Buffer Segment 1 in the b"
        "it time.",
        19, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RJW",
        "This 2-bit field defines the maximum number of time quanta One time qu"
        "antum is equal to the Sclock period.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRESDIV",
        "This 8-bit field defines the ratio between the PE clock frequency and "
        "the Serial Clock (Sclock) frequency.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_TIMER.
static const field_t hw_flexcan_timer[] =
{
    {
        "TIMER",
        "TIMER",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_RXMGMASK.
static const field_t hw_flexcan_rxmgmask[] =
{
    {
        "MG31_MG0",
        "These bits mask the Mailbox filter bits as shown in the figure above.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_RX14MASK.
static const field_t hw_flexcan_rx14mask[] =
{
    {
        "RX14M31_RX14M0",
        "These bits mask Mailbox 14 filter bits in the same fashion as RXMGMASK"
        " masks other Mailboxes filters (see RXMGMASKRx Mailboxes Global Mask R"
        "egister )",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_RX15MASK.
static const field_t hw_flexcan_rx15mask[] =
{
    {
        "RX15M31_RX15M0",
        "These bits mask Mailbox 15 filter bits in the same fashion as RXMGMASK"
        " masks other Mailboxes filters (see RXMGMASKRx Mailboxes Global Mask R"
        "egister ).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_ECR.
static const field_t hw_flexcan_ecr[] =
{
    {
        "TX_ERR_COUNTER",
        "Tx_Err_Counter",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_ERR_COUNTER",
        "Rx_Err_Counter",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_ESR1.
static const field_t hw_flexcan_esr1[] =
{
    {
        "WAK_INT",
        "When FLEXCAN is Stop Mode and a recessive to dominant transition is de"
        "tected on the CAN bus and if the WAK_MSK bit in the MCR Register is se"
        "t, an interrupt is generated to the ARM.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_INT",
        "This bit indicates that at least one of the Error Bits (bits 15-10) is"
        " set.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOFF_INT",
        "This bit is set when FLEXCAN enters 'Bus Off' state.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX",
        "This bit indicates if FlexCAN is receiving a message.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FLT_CONF",
        "If the LOM bit in the Control Register is asserted, after some delay t"
        "hat depends on the CAN bit timing the FLT_CONF field will indicate \"E"
        "rror Passive\".",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TX",
        "This bit indicates if FLEXCAN is transmitting a message.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IDLE",
        "This bit indicates when CAN bus is in IDLE state.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RX_WRN",
        "This bit indicates when repetitive errors are occurring during message"
        " reception.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TX_WRN",
        "This bit indicates when repetitive errors are occurring during message"
        " transmission.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STF_ERR",
        "This bit indicates that a Stuffing Error has been detected.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRM_ERR",
        "This bit indicates that a Form Error has been detected by the receiver"
        " node, i.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CRC_ERR",
        "This bit indicates that a CRC Error has been detected by the receiver "
        "node, i.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ACK_ERR",
        "This bit indicates that an Acknowledge Error has been detected by the "
        "transmitter node, i.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BIT0_ERR",
        "This bit indicates when an inconsistency occurs between the transmitte"
        "d and the received bit in a message.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BIT1_ERR",
        "This bit indicates when an inconsistency occurs between the transmitte"
        "d and the received bit in a message.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RWRN_INT",
        "If the WRN_EN bit in MCR is asserted, the RWRN_INT bit is set when the"
        " RX_WRN flag transition from '0' to '1', meaning that the Rx error cou"
        "nters reached 96.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TWRN_INT",
        "If the WRN_EN bit in MCR is asserted, the TWRN_INT bit is set when the"
        " TX_WRN flag transition from '0' to '1', meaning that the Tx error cou"
        "nter reached 96.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCH",
        "This read-only flag indicates whether the FlexCAN is synchronized to t"
        "he CAN bus and able to participate in the communication process.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_IMASK2.
static const field_t hw_flexcan_imask2[] =
{
    {
        "BUF63M_BUF32M",
        "Each bit enables or disables the respective FLEXCAN Message Buffer (MB"
        "32 to MB63) Interrupt.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_IMASK1.
static const field_t hw_flexcan_imask1[] =
{
    {
        "BUF31M_BUF0M",
        "Each bit enables or disables the respective FLEXCAN Message Buffer (MB"
        "0 to MB31) Interrupt.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_IFLAG2.
static const field_t hw_flexcan_iflag2[] =
{
    {
        "BUF63I_BUF32I",
        "Each bit flags the respective FLEXCAN Message Buffer (MB32 to MB63) in"
        "terrupt.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_IFLAG1.
static const field_t hw_flexcan_iflag1[] =
{
    {
        "BUF4I_BUF0I",
        "If the Rx FIFO is not enabled, these bits flag the interrupts for MB0 "
        "to MB4.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF5I",
        "If the Rx FIFO is not enabled, this bit flags the interrupt for MB5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF6I",
        "If the Rx FIFO is not enabled, this bit flags the interrupt for MB6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF7I",
        "If the Rx FIFO is not enabled, this bit flags the interrupt for MB7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUF31I_BUF8I",
        "Each bit flags the respective FLEXCAN Message Buffer (MB8 to MB31) int"
        "errupt.",
        8, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_CTRL2.
static const field_t hw_flexcan_ctrl2[] =
{
    {
        "EACEN",
        "This bit controls the comparison of IDE and RTR bits within Rx Mailbox"
        "es filters with their corresponding bits in the incoming frame by the "
        "matching process.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RRS",
        "If this bit is asserted Remote Request Frame is submitted to a matchin"
        "g process and stored in the corresponding Message Buffer in the same f"
        "ashion of a Data Frame.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MRP",
        "If this bit is set the matching process starts from the Mailboxes and "
        "if no match occurs the matching continues on the Rx FIFO.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TASD",
        "This 5-bit field indicates how many CAN bits the Tx arbitration proces"
        "s start point can be delayed from the first bit of CRC field on CAN bu"
        "s.",
        19, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFFN",
        "This 4-bit field defines the number of Rx FIFO filters according to .",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRMFRZ",
        "Enable unrestricted write access to FlexCAN memory in Freeze mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_ESR2.
static const field_t hw_flexcan_esr2[] =
{
    {
        "IMB",
        "If ESR2[VPS] is asserted, this bit indicates whether there is any inac"
        "tive Mailbox (CODE field is either 0b1000 or 0b0000).",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VPS",
        "This bit indicates whether IMB and LPTM contents are currently valid o"
        "r not.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LPTM",
        "If ESR2[VPS] is asserted, his 7-bit field indicates the lowest number "
        "inactive Mailbox (refer to IMB bit description).",
        16, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_CRCR.
static const field_t hw_flexcan_crcr[] =
{
    {
        "TXCRC",
        "This field indicates the CRC value of the last message transmitted.",
        0, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MBCRC",
        "This field indicates the number of the Mailbox corresponding to the va"
        "lue in TXCRC field.",
        16, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_RXFGMASK.
static const field_t hw_flexcan_rxfgmask[] =
{
    {
        "FGM31_FGM0",
        "These bits mask the ID Filter Table elements bits in a perfect alignme"
        "nt.RXFGMASKRx FIFO Global Mask Register shows in detail which FGM bits"
        " mask each IDAF field.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_RXFIR.
static const field_t hw_flexcan_rxfir[] =
{
    {
        "IDHIT",
        "This 9-bit field indicates which Identifier Acceptance Filter (see Rx "
        "FIFO StructureWhen the MCR[RFEN] bit is set, the memory area from $80 "
        "to $DC (which is normally occupied by MBs 0 to 5) is used by the recep"
        "tion FIFO engine.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_RXIMR0_RXIMR63.
static const field_t hw_flexcan_rximr0_rximr63[] =
{
    {
        "MI31_MI0",
        "These bits mask both Mailbox filter and Rx FIFO ID Filter Table elemen"
        "t in distinct ways.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FLEXCAN_GFWR.
static const field_t hw_flexcan_gfwr[] =
{
    {
        "GFWR",
        "It determines the Glitch Filter Width.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a FLEXCAN module.
static const reg_t hw_flexcan[] =
{
    {
        "MCR",
        "This register defines global system configurations, such as the module"
        " operation mode (e.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        19, // Number of bitfields
        hw_flexcan_mcr
    },
    {
        "CTRL1",
        "This register is defined for specific FLEXCAN control features related"
        " to the CAN bus, such as bit-rate, programmable sampling point within "
        "an Rx bit, Loop Back Mode, Listen Only Mode, Bus Off recovery behavior"
        " and interrupt enabling (Bus-Off, Error, Warning).",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_flexcan_ctrl1
    },
    {
        "TIMER",
        "This register represents a 16-bit free running counter that can be rea"
        "d and written by the ARM.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_flexcan_timer
    },
    {
        "RXMGMASK",
        "RXMGMASK is provided for legacy support.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_flexcan_rxmgmask
    },
    {
        "RX14MASK",
        "RX14MASK is provided for legacy support, asserting the MCR[IRMQ] bit c"
        "auses the RX14MASK to have no effect on the module operation.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_flexcan_rx14mask
    },
    {
        "RX15MASK",
        "RX15MASK is provided for legacy support, asserting the MCR[IRMQ] bit c"
        "auses the RX15MASK Register to have no effect on the module operation.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_flexcan_rx15mask
    },
    {
        "ECR",
        "This register has 2 8-bit fields reflecting the value of two FLEXCAN e"
        "rror counters: Transmit Error Counter (Tx_Err_Counter field) and Recei"
        "ve Error Counter (Rx_Err_Counter field).",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_flexcan_ecr
    },
    {
        "ESR1",
        "This register reflects various error conditions, some general status o"
        "f the device and it is the source of four interrupts to the ARM.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_flexcan_esr1
    },
    {
        "IMASK2",
        "This register allows any number of a range of 32 Message Buffer Interr"
        "upts to be enabled or disabled.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_flexcan_imask2
    },
    {
        "IMASK1",
        "This register allows to enable or disable any number of a range of 32 "
        "Message Buffer Interrupts.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_flexcan_imask1
    },
    {
        "IFLAG2",
        "This register defines the flags for 32 Message Buffer interrupts.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_flexcan_iflag2
    },
    {
        "IFLAG1",
        "This register defines the flags for 32 Message Buffer interrupts and F"
        "IFO interrupts.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_flexcan_iflag1
    },
    {
        "CTRL2",
        "This register contains control bits for CAN errors, FIFO features and "
        "mode selection.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_flexcan_ctrl2
    },
    {
        "ESR2",
        "This register reflects various interrupt flags and some general status"
        ".",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_flexcan_esr2
    },
    {
        "CRCR",
        "This register provides information about the CRC of transmitted messag"
        "es",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_flexcan_crcr
    },
    {
        "RXFGMASK",
        "If Rx FIFO is enabled RXFGMASK is used to mask the Rx FIFO ID Filter T"
        "able elements that do not have a corresponding RXIMR according to CTRL"
        "2[RFFN] field setting.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_flexcan_rxfgmask
    },
    {
        "RXFIR",
        "RXFIR provides information on Rx FIFO.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_flexcan_rxfir
    },
    {
        "RXIMR0_RXIMR63",
        "RXIMR are used as acceptance masks for ID filtering in Rx MBs and the "
        "Rx FIFO.",
        4, // Width in bytes
        0x00000880, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_flexcan_rximr0_rximr63
    },
    {
        "GFWR",
        "The Glitch Filter just takes effects when FLEXCAN enters the STOP mode"
        ".",
        4, // Width in bytes
        0x000009e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_flexcan_gfwr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark FTM
#endif

// Bitfields in register FTM_SC.
static const field_t hw_ftm_sc[] =
{
    {
        "PS",
        "Selects one of 8 division factors for the clock source selected by CLK"
        "S.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKS",
        "Selects FTM counter clock sources.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CPWMS",
        "Selects CPWM mode.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOIE",
        "Enables FTM overflow interrupts.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOF",
        "Set by hardware when the FTM counter passes the value in the MOD regis"
        "ter.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_CNT.
static const field_t hw_ftm_cnt[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_MOD.
static const field_t hw_ftm_mod[] =
{
    {
        "MOD",
        "Modulo Value",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C0SC.
static const field_t hw_ftm_c0sc[] =
{
    {
        "DMA",
        "Enables DMA transfers for the channel.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICRST",
        "FTM counter reset is driven by the selected event of the channel (n) i"
        "n the Input Capture mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSA",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSB",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSA",
        "Used for further selections in the channel logic.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSB",
        "Used for further selections in the channel logic.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHIE",
        "Enables channel interrupts.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHF",
        "Set by hardware when an event occurs on the channel.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C0V.
static const field_t hw_ftm_c0v[] =
{
    {
        "VAL",
        "Captured FTM counter value of the input modes or the match value for t"
        "he output modes",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C1SC.
static const field_t hw_ftm_c1sc[] =
{
    {
        "DMA",
        "Enables DMA transfers for the channel.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICRST",
        "FTM counter reset is driven by the selected event of the channel (n) i"
        "n the Input Capture mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSA",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSB",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSA",
        "Used for further selections in the channel logic.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSB",
        "Used for further selections in the channel logic.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHIE",
        "Enables channel interrupts.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHF",
        "Set by hardware when an event occurs on the channel.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C1V.
static const field_t hw_ftm_c1v[] =
{
    {
        "VAL",
        "Captured FTM counter value of the input modes or the match value for t"
        "he output modes",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C2SC.
static const field_t hw_ftm_c2sc[] =
{
    {
        "DMA",
        "Enables DMA transfers for the channel.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICRST",
        "FTM counter reset is driven by the selected event of the channel (n) i"
        "n the Input Capture mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSA",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSB",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSA",
        "Used for further selections in the channel logic.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSB",
        "Used for further selections in the channel logic.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHIE",
        "Enables channel interrupts.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHF",
        "Set by hardware when an event occurs on the channel.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C2V.
static const field_t hw_ftm_c2v[] =
{
    {
        "VAL",
        "Captured FTM counter value of the input modes or the match value for t"
        "he output modes",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C3SC.
static const field_t hw_ftm_c3sc[] =
{
    {
        "DMA",
        "Enables DMA transfers for the channel.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICRST",
        "FTM counter reset is driven by the selected event of the channel (n) i"
        "n the Input Capture mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSA",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSB",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSA",
        "Used for further selections in the channel logic.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSB",
        "Used for further selections in the channel logic.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHIE",
        "Enables channel interrupts.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHF",
        "Set by hardware when an event occurs on the channel.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C3V.
static const field_t hw_ftm_c3v[] =
{
    {
        "VAL",
        "Captured FTM counter value of the input modes or the match value for t"
        "he output modes",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C4SC.
static const field_t hw_ftm_c4sc[] =
{
    {
        "DMA",
        "Enables DMA transfers for the channel.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICRST",
        "FTM counter reset is driven by the selected event of the channel (n) i"
        "n the Input Capture mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSA",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSB",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSA",
        "Used for further selections in the channel logic.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSB",
        "Used for further selections in the channel logic.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHIE",
        "Enables channel interrupts.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHF",
        "Set by hardware when an event occurs on the channel.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C4V.
static const field_t hw_ftm_c4v[] =
{
    {
        "VAL",
        "Captured FTM counter value of the input modes or the match value for t"
        "he output modes",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C5SC.
static const field_t hw_ftm_c5sc[] =
{
    {
        "DMA",
        "Enables DMA transfers for the channel.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICRST",
        "FTM counter reset is driven by the selected event of the channel (n) i"
        "n the Input Capture mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSA",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSB",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSA",
        "Used for further selections in the channel logic.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSB",
        "Used for further selections in the channel logic.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHIE",
        "Enables channel interrupts.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHF",
        "Set by hardware when an event occurs on the channel.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C5V.
static const field_t hw_ftm_c5v[] =
{
    {
        "VAL",
        "Captured FTM counter value of the input modes or the match value for t"
        "he output modes",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C6SC.
static const field_t hw_ftm_c6sc[] =
{
    {
        "DMA",
        "Enables DMA transfers for the channel.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICRST",
        "FTM counter reset is driven by the selected event of the channel (n) i"
        "n the Input Capture mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSA",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSB",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSA",
        "Used for further selections in the channel logic.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSB",
        "Used for further selections in the channel logic.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHIE",
        "Enables channel interrupts.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHF",
        "Set by hardware when an event occurs on the channel.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C6V.
static const field_t hw_ftm_c6v[] =
{
    {
        "VAL",
        "Captured FTM counter value of the input modes or the match value for t"
        "he output modes",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C7SC.
static const field_t hw_ftm_c7sc[] =
{
    {
        "DMA",
        "Enables DMA transfers for the channel.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICRST",
        "FTM counter reset is driven by the selected event of the channel (n) i"
        "n the Input Capture mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSA",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ELSB",
        "The functionality of ELSB and ELSA depends on the channel mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSA",
        "Used for further selections in the channel logic.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSB",
        "Used for further selections in the channel logic.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHIE",
        "Enables channel interrupts.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHF",
        "Set by hardware when an event occurs on the channel.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_C7V.
static const field_t hw_ftm_c7v[] =
{
    {
        "VAL",
        "Captured FTM counter value of the input modes or the match value for t"
        "he output modes",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_CNTIN.
static const field_t hw_ftm_cntin[] =
{
    {
        "INIT",
        "Initial Value Of The FTM Counter",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_STATUS.
static const field_t hw_ftm_status[] =
{
    {
        "CH0F",
        "See the register description.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH1F",
        "See the register description.",
        1, // LSB
        1, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH2F",
        "See the register description.",
        2, // LSB
        2, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH3F",
        "See the register description.",
        3, // LSB
        3, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH4F",
        "See the register description.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH5F",
        "See the register description.",
        5, // LSB
        5, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH6F",
        "See the register description.",
        6, // LSB
        6, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH7F",
        "See the register description.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_MODE.
static const field_t hw_ftm_mode[] =
{
    {
        "FTMEN",
        "This field is write protected.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INIT",
        "When a 1 is written to INIT bit the channels output is initialized acc"
        "ording to the state of their corresponding bit in the OUTINIT register"
        ".",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WPDIS",
        "When write protection is enabled (WPDIS = 0), write protected bits can"
        "not be written.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWMSYNC",
        "Selects which triggers can be used by MOD, CnV, OUTMASK, and FTM count"
        "er synchronization.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAPTEST",
        "Enables the capture test mode.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_SYNC.
static const field_t hw_ftm_sync[] =
{
    {
        "CNTMIN",
        "Selects the minimum loading point to PWM synchronization.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNTMAX",
        "Selects the maximum loading point to PWM synchronization.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REINIT",
        "Determines if the FTM counter is reinitialized when the selected trigg"
        "er for the synchronization is detected.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCHOM",
        "Selects when the OUTMASK register is updated with the value of its buf"
        "fer.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRIG0",
        "Enables hardware trigger 0 to the PWM synchronization.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRIG1",
        "Enables hardware trigger 1 to the PWM synchronization.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRIG2",
        "Enables hardware trigger 2 to the PWM synchronization.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWSYNC",
        "Selects the software trigger as the PWM synchronization trigger.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_OUTINIT.
static const field_t hw_ftm_outinit[] =
{
    {
        "CH0OI",
        "Selects the value that is forced into the channel output when the init"
        "ialization occurs.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1OI",
        "Selects the value that is forced into the channel output when the init"
        "ialization occurs.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2OI",
        "Selects the value that is forced into the channel output when the init"
        "ialization occurs.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3OI",
        "Selects the value that is forced into the channel output when the init"
        "ialization occurs.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4OI",
        "Selects the value that is forced into the channel output when the init"
        "ialization occurs.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5OI",
        "Selects the value that is forced into the channel output when the init"
        "ialization occurs.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6OI",
        "Selects the value that is forced into the channel output when the init"
        "ialization occurs.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7OI",
        "Selects the value that is forced into the channel output when the init"
        "ialization occurs.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_OUTMASK.
static const field_t hw_ftm_outmask[] =
{
    {
        "CH0OM",
        "Defines if the channel output is masked or unmasked.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1OM",
        "Defines if the channel output is masked or unmasked.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2OM",
        "Defines if the channel output is masked or unmasked.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3OM",
        "Defines if the channel output is masked or unmasked.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4OM",
        "Defines if the channel output is masked or unmasked.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5OM",
        "Defines if the channel output is masked or unmasked.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6OM",
        "Defines if the channel output is masked or unmasked.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7OM",
        "Defines if the channel output is masked or unmasked.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_COMBINE.
static const field_t hw_ftm_combine[] =
{
    {
        "COMBINE0",
        "Enables the combine feature for channels (n) and (n+1).",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP0",
        "Enables Complementary mode for the combined channels.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECAPEN0",
        "Enables the Dual Edge Capture mode in the channels (n) and (n+1).",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECAP0",
        "Enables the capture of the FTM counter value according to the channel "
        "(n) input event and the configuration of the dual edge capture bits.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTEN0",
        "Enables the deadtime insertion in the channels (n) and (n+1).",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCEN0",
        "Enables PWM synchronization of registers C(n)V and C(n+1)V.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE1",
        "Enables the combine feature for channels (n) and (n+1).",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP1",
        "Enables Complementary mode for the combined channels.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECAPEN1",
        "Enables the Dual Edge Capture mode in the channels (n) and (n+1).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECAP1",
        "Enables the capture of the FTM counter value according to the channel "
        "(n) input event and the configuration of the dual edge capture bits.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTEN1",
        "Enables the deadtime insertion in the channels (n) and (n+1).",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCEN1",
        "Enables PWM synchronization of registers C(n)V and C(n+1)V.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE2",
        "Enables the combine feature for channels (n) and (n+1).",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP2",
        "Enables Complementary mode for the combined channels.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECAPEN2",
        "Enables the Dual Edge Capture mode in the channels (n) and (n+1).",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECAP2",
        "Enables the capture of the FTM counter value according to the channel "
        "(n) input event and the configuration of the dual edge capture bits.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTEN2",
        "Enables the deadtime insertion in the channels (n) and (n+1).",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCEN2",
        "Enables PWM synchronization of registers C(n)V and C(n+1)V.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE3",
        "Enables the combine feature for channels (n) and (n+1).",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP3",
        "Enables Complementary mode for the combined channels.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECAPEN3",
        "Enables the Dual Edge Capture mode in the channels (n) and (n+1).",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECAP3",
        "Enables the capture of the FTM counter value according to the channel "
        "(n) input event and the configuration of the dual edge capture bits.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTEN3",
        "Enables the deadtime insertion in the channels (n) and (n+1).",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCEN3",
        "Enables PWM synchronization of registers C(n)V and C(n+1)V.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_DEADTIME.
static const field_t hw_ftm_deadtime[] =
{
    {
        "DTVAL",
        "Selects the deadtime insertion value for the deadtime counter.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTPS",
        "Selects the division factor of the system clock.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_EXTTRIG.
static const field_t hw_ftm_exttrig[] =
{
    {
        "CH2TRIG",
        "Enables the generation of the channel trigger when the FTM counter is "
        "equal to the CnV register.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3TRIG",
        "Enables the generation of the channel trigger when the FTM counter is "
        "equal to the CnV register.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4TRIG",
        "Enables the generation of the channel trigger when the FTM counter is "
        "equal to the CnV register.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5TRIG",
        "Enables the generation of the channel trigger when the FTM counter is "
        "equal to the CnV register.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0TRIG",
        "Enables the generation of the channel trigger when the FTM counter is "
        "equal to the CnV register.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1TRIG",
        "Enables the generation of the channel trigger when the FTM counter is "
        "equal to the CnV register.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INITTRIGEN",
        "Enables the generation of the trigger when the FTM counter is equal to"
        " the CNTIN register.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRIGF",
        "Set by hardware when a channel trigger is generated.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_POL.
static const field_t hw_ftm_pol[] =
{
    {
        "POL0",
        "Defines the polarity of the channel output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL1",
        "Defines the polarity of the channel output.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL2",
        "Defines the polarity of the channel output.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL3",
        "Defines the polarity of the channel output.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL4",
        "Defines the polarity of the channel output.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL5",
        "Defines the polarity of the channel output.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL6",
        "Defines the polarity of the channel output.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL7",
        "Defines the polarity of the channel output.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_FILTER.
static const field_t hw_ftm_filter[] =
{
    {
        "CH0FVAL",
        "Selects the filter value for the channel input.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1FVAL",
        "Selects the filter value for the channel input.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2FVAL",
        "Selects the filter value for the channel input.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3FVAL",
        "Selects the filter value for the channel input.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_QDCTRL.
static const field_t hw_ftm_qdctrl[] =
{
    {
        "QUADEN",
        "Enables the Quadrature Decoder mode.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOFDIR",
        "Indicates if the TOF bit was set on the top or the bottom of counting.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "QUADIR",
        "Indicates the counting direction.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "QUADMODE",
        "Selects the encoding mode used in the Quadrature Decoder mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHBPOL",
        "Selects the polarity for the quadrature decoder phase B input.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHAPOL",
        "Selects the polarity for the quadrature decoder phase A input.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHBFLTREN",
        "Enables the filter for the quadrature decoder phase B input.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHAFLTREN",
        "Enables the filter for the quadrature decoder phase A input.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_CONF.
static const field_t hw_ftm_conf[] =
{
    {
        "NUMTOF",
        "Selects the ratio between the number of counter overflows to the numbe"
        "r of times the TOF bit is set.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BDMMODE",
        "Selects the FTM behavior in BDM mode.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GTBEEN",
        "Configures the FTM to use an external global time base signal that is "
        "generated by another FTM.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GTBEOUT",
        "Enables the global time base signal generation to other FTMs.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_SYNCONF.
static const field_t hw_ftm_synconf[] =
{
    {
        "HWTRIGMODE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNTINC",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVC",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWOC",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCMODE",
        "Selects the PWM Synchronization mode.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWRSTCNT",
        "FTM counter synchronization is activated by the software trigger.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWWRBUF",
        "MOD, CNTIN, and CV registers synchronization is activated by the softw"
        "are trigger.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWOM",
        "Output mask synchronization is activated by the software trigger.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWINVC",
        "Inverting control synchronization is activated by the software trigger"
        ".",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWSOC",
        "Software output control synchronization is activated by the software t"
        "rigger.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HWRSTCNT",
        "FTM counter synchronization is activated by a hardware trigger.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HWWRBUF",
        "MOD, CNTIN, and CV registers synchronization is activated by a hardwar"
        "e trigger.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HWOM",
        "Output mask synchronization is activated by a hardware trigger.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HWINVC",
        "Inverting control synchronization is activated by a hardware trigger.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HWSOC",
        "Software output control synchronization is activated by a hardware tri"
        "gger.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_INVCTRL.
static const field_t hw_ftm_invctrl[] =
{
    {
        "INV0EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INV1EN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INV2EN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INV3EN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_SWOCTRL.
static const field_t hw_ftm_swoctrl[] =
{
    {
        "CH0OC",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1OC",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2OC",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3OC",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4OC",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5OC",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6OC",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7OC",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0OCV",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1OCV",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2OCV",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3OCV",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4OCV",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5OCV",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6OCV",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7OCV",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register FTM_PWMLOAD.
static const field_t hw_ftm_pwmload[] =
{
    {
        "CH0SEL",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1SEL",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2SEL",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3SEL",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4SEL",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5SEL",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6SEL",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7SEL",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOK",
        "Enables the loading of the MOD, CNTIN, and CV registers with the value"
        "s of their write buffers.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a FTM module.
static const reg_t hw_ftm[] =
{
    {
        "SC",
        "SC contains the overflow status flag and control bits used to configur"
        "e the interrupt enable, FTM configuration, clock source, and prescaler"
        " factor.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ftm_sc
    },
    {
        "CNT",
        "The CNT register contains the FTM counter value.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_cnt
    },
    {
        "MOD",
        "The Modulo register contains the modulo value for the FTM counter.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_mod
    },
    {
        "C0SC",
        "CnSC contains the channel-interrupt-status flag and control bits used "
        "to configure the interrupt enable, channel configuration, and pin func"
        "tion.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_c0sc
    },
    {
        "C0V",
        "These registers contain the captured FTM counter value for the input m"
        "odes or the match value for the output modes.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_c0v
    },
    {
        "C1SC",
        "CnSC contains the channel-interrupt-status flag and control bits used "
        "to configure the interrupt enable, channel configuration, and pin func"
        "tion.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_c1sc
    },
    {
        "C1V",
        "These registers contain the captured FTM counter value for the input m"
        "odes or the match value for the output modes.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_c1v
    },
    {
        "C2SC",
        "CnSC contains the channel-interrupt-status flag and control bits used "
        "to configure the interrupt enable, channel configuration, and pin func"
        "tion.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_c2sc
    },
    {
        "C2V",
        "These registers contain the captured FTM counter value for the input m"
        "odes or the match value for the output modes.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_c2v
    },
    {
        "C3SC",
        "CnSC contains the channel-interrupt-status flag and control bits used "
        "to configure the interrupt enable, channel configuration, and pin func"
        "tion.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_c3sc
    },
    {
        "C3V",
        "These registers contain the captured FTM counter value for the input m"
        "odes or the match value for the output modes.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_c3v
    },
    {
        "C4SC",
        "CnSC contains the channel-interrupt-status flag and control bits used "
        "to configure the interrupt enable, channel configuration, and pin func"
        "tion.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_c4sc
    },
    {
        "C4V",
        "These registers contain the captured FTM counter value for the input m"
        "odes or the match value for the output modes.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_c4v
    },
    {
        "C5SC",
        "CnSC contains the channel-interrupt-status flag and control bits used "
        "to configure the interrupt enable, channel configuration, and pin func"
        "tion.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_c5sc
    },
    {
        "C5V",
        "These registers contain the captured FTM counter value for the input m"
        "odes or the match value for the output modes.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_c5v
    },
    {
        "C6SC",
        "CnSC contains the channel-interrupt-status flag and control bits used "
        "to configure the interrupt enable, channel configuration, and pin func"
        "tion.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_c6sc
    },
    {
        "C6V",
        "These registers contain the captured FTM counter value for the input m"
        "odes or the match value for the output modes.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_c6v
    },
    {
        "C7SC",
        "CnSC contains the channel-interrupt-status flag and control bits used "
        "to configure the interrupt enable, channel configuration, and pin func"
        "tion.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_c7sc
    },
    {
        "C7V",
        "These registers contain the captured FTM counter value for the input m"
        "odes or the match value for the output modes.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_c7v
    },
    {
        "CNTIN",
        "The Counter Initial Value register contains the initial value for the "
        "FTM counter.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ftm_cntin
    },
    {
        "STATUS",
        "The STATUS register contains a copy of the status flag CHnF bit in CnS"
        "C for each FTM channel for software convenience.",
        4, // Width in bytes
        0x00000050, // Base address offset
        false, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_ftm_status
    },
    {
        "MODE",
        "This register contains the global enable bit for FTM-specific features"
        " and the control bits used to configure: Capture Test mode PWM synchro"
        "nization Write protection Channel output initialization These controls"
        " relate to all channels within this module.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ftm_mode
    },
    {
        "SYNC",
        "This register configures the PWM synchronization.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_sync
    },
    {
        "OUTINIT",
        "",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_outinit
    },
    {
        "OUTMASK",
        "This register provides a mask for each FTM channel.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_outmask
    },
    {
        "COMBINE",
        "This register contains the control bits used to configure the synchron"
        "ization, deadtime insertion, Dual Edge Capture mode, Complementary, an"
        "d Combine mode for each pair of channels (n) and (n+1), where n equals"
        " 0, 2, 4, and 6.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_ftm_combine
    },
    {
        "DEADTIME",
        "This register selects the deadtime prescaler factor and deadtime value"
        ".",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ftm_deadtime
    },
    {
        "EXTTRIG",
        "This register: Indicates when a channel trigger was generated Enables "
        "the generation of a trigger when the FTM counter is equal to its initi"
        "al value Selects which channels are used in the generation of the chan"
        "nel triggers Several channels can be selected to generate multiple tri"
        "ggers in one PWM period.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_exttrig
    },
    {
        "POL",
        "This register defines the output polarity of the FTM channels.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_pol
    },
    {
        "FILTER",
        "This register selects the filter value for the inputs of channels.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ftm_filter
    },
    {
        "QDCTRL",
        "This register has the control and status bits for the Quadrature Decod"
        "er mode.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ftm_qdctrl
    },
    {
        "CONF",
        "This register selects the number of times that the FTM counter overflo"
        "w should occur before the TOF bit to be set, the FTM behavior in BDM m"
        "odes, the use of an external global time base, and the global time bas"
        "e signal generation.",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ftm_conf
    },
    {
        "SYNCONF",
        "This register selects the PWM synchronization configuration, SWOCTRL, "
        "INVCTRL and CNTIN registers synchronization, if FTM clears the TRIGj b"
        "it, where j = 0, 1, 2, when the hardware trigger j is detected.",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_ftm_synconf
    },
    {
        "INVCTRL",
        "This register controls when the channel (n) output becomes the channel"
        " (n+1) output, and channel (n+1) output becomes the channel (n) output"
        ".",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ftm_invctrl
    },
    {
        "SWOCTRL",
        "This register enables software control of channel (n) output and defin"
        "es the value forced to the channel (n) output: The CHnOC bits enable t"
        "he control of the corresponding channel (n) output by software.",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_ftm_swoctrl
    },
    {
        "PWMLOAD",
        "Enables the loading of the MOD, CNTIN, C(n)V, and C(n+1)V registers wi"
        "th the values of their write buffers when the FTM counter changes from"
        " the MOD register value to its next value or when a channel (j) match "
        "occurs.",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_ftm_pwmload
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark GPC
#endif

// Bitfields in register GPC_LPCR_A7_BSC.
static const field_t hw_gpc_lpcr_a7_bsc[] =
{
    {
        "LPM0",
        "CORE0 Setting the low power mode that system will enter on next assert"
        "ion of dsm_request signal.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPM1",
        "CORE1 Setting the low power mode that system will enter on next assert"
        "ion of dsm_request signal.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CPU_CLK_ON_LPM",
        "Define if A7 clocks will be disabled on wait/stop mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CORE0_WFI",
        "CORE0 Wait For Interrupt Mask",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CORE1_WFI",
        "CORE1 Wait For Interrupt Mask",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_L2CC_WFI",
        "L2 cache controller Wait For Interrupt Mask Register",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_SRC_C0",
        "LPCR_A7_BSC[IRQ_SRC_CO], LPCR_A7_BSC[IRQ_SRC_C1], and LPCR_A7_BSC[IRQ_"
        "SRC_A7_WUP] work together to decide the wake up source for A7 LPM and "
        "core0/core1 power.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_SRC_C1",
        "LPCR_A7_BSC[IRQ_SRC_CO], LPCR_A7_BSC[IRQ_SRC_C1], and LPCR_A7_BSC[IRQ_"
        "SRC_A7_WUP] work together to decide the wake up source for A7 LPM and "
        "core0/core1 power.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_SRC_A7_WUP",
        "LPCR_A7_BSC[IRQ_SRC_CO], LPCR_A7_BSC[IRQ_SRC_C1], and LPCR_A7_BSC[IRQ_"
        "SRC_A7_WUP] work together to decide the wake up source for A7 LPM and "
        "core0/core1 power.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_DSM_TRIGGER",
        "DSM Trigger Mask",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_LPCR_A7_AD.
static const field_t hw_gpc_lpcr_a7_ad[] =
{
    {
        "EN_C0_WFI_PDN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C0_PDN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C1_WFI_PDN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C1_PDN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_PLAT_PDN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C0_IRQ_PUP",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C0_PUP",
        "(only used wake up from CPU01_OFF mode)",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C1_IRQ_PUP",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C1_PUP",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2_PGE",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_LPCR_M4.
static const field_t hw_gpc_lpcr_m4[] =
{
    {
        "LPM0",
        "Setting the low power mode that system will enter on next assertion of"
        " dsm_request signal.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_M4_PDN",
        "Enable m4 virtual PGC power down with LPM enter",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_M4_PUP",
        "Enable m4 virtual PGC power up with LPM enter",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CPU_CLK_ON_LPM",
        "Define if M4 clocks will be disabled on wait/stop mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_M4_WFI",
        "M4 WFI Mask",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_DSM_TRIGGER",
        "M4 WFI Mask",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLPCR.
static const field_t hw_gpc_slpcr[] =
{
    {
        "BYPASS_PMIC_READY",
        "By asserting this bit GPC will bypass waiting for PMIC_READY signal wh"
        "en coming out of DSM.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SBYOS",
        "Standby clock oscillator bit.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSTBY",
        "Voltage standby request bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STBY_COUNT",
        "Standby counter definition.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COSC_PWRDOWN",
        "In run mode, software can manually control powering down of on chip os"
        "cillator, i.e.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COSC_EN",
        "On-chip oscillator enable bit - this bit value is reflected on the out"
        "put cosc_en.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSCCNT",
        "Oscillator ready counter value.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A7_FASTWUP_WAIT_MODE",
        "Enable A7 fast wake up wait mode, relevant PLLs will not be closed in "
        "this mode.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A7_FASTWUP_STOP_MODE",
        "Enable A7 fast wake up stop mode, relevant PLLs will not be closed in "
        "this mode.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_M4_FASTWUP_WAIT_MODE",
        "Enable M4 fast wake up wait mode, relevant PLLs will not be closed in "
        "this mode.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_M4_FASTWUP_STOP_MODE",
        "Enable M4 fast wake up stop mode, relevant PLLs will not be closed in "
        "this mode.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_A7_IS_DSM",
        "",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_BYPASS_COUNT",
        "Counter for REG_BYPASS signal assertion after standby voltage request "
        "by PMIC_STBY_REQ.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBC_EN",
        "Enable for REG_BYPASS_COUNTER.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_DSM",
        "DSM enable",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_MLPCR.
static const field_t hw_gpc_mlpcr[] =
{
    {
        "MEMLP_CTL_DIS",
        "RAM low-power control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMLP_RET_SEL",
        "Retention select",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROMLP_PDN_DIS",
        "ROM shut down control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMLP_ENT_CNT",
        "Delay counter to make sure all clock off after pll_dis_req is issued b"
        "y smc",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_EXT_CNT",
        "Delay counter to start existing from memory low power",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMLP_RET_PGEN",
        "Delay conter for \"retnx\" and \"pgen\"",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_ACK_SEL_A7.
static const field_t hw_gpc_pgc_ack_sel_a7[] =
{
    {
        "A7_C0_PGC_PDN_ACK",
        "Select power down acknowledge signal of A7 CORE0 PGC as the power down"
        " acknowledge for A7 LPM.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_C1_PGC_PDN_ACK",
        "Select power down acknowledge signal of A7 CORE1 PGC as the power down"
        " acknowledge for A7 LPM.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_PLAT_PGC_PDN_ACK",
        "Select power down acknowledge signal of A7 PLATFORM PGC as the power d"
        "own acknowledge for A7 LPM.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PGC_PDN_ACK",
        "Select power down acknowledge signal of MIX PGC as the power down ackn"
        "owledge for A7 LPM.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PGC_PDN_ACK",
        "Select power down acknowledge signal of MIPI PGC as the power down ack"
        "nowledge for A7 LPM.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PGC_PDN_ACK",
        "Select power down acknowledge signal of PCIE PGC as the power down ack"
        "nowledge for A7 LPM.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PGC_PDN_ACK",
        "Select power down acknowledge signal of USB_OTG1 PGC as the power down"
        " acknowledge for A7 LPM.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PGC_PDN_ACK",
        "Select power down acknowledge signal of USB_OTG2 PGC as the power down"
        " acknowledge for A7 LPM.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PGC_PDN_ACK",
        "Select power down acknowledge signal of USB_HSIC PGC as the power down"
        " acknowledge for A7 LPM.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_PGC_PDN_ACK",
        "Select power down acknowledge signal of A7 (dummy) PGC as the power do"
        "wn acknowledge for A7 LPM.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_C0_PGC_PUP_ACK",
        "Select power up acknowledge signal of A7 CORE0 PGC as the power up ack"
        "nowledge for A7 LPM.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_C1_PGC_PUP_ACK",
        "Select power up acknowledge signal of A7 CORE1 PGC as the power up ack"
        "nowledge for A7 LPM.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_PLAT_PGC_PUP_ACK",
        "Select power up acknowledge signal of A7 PLATFORM PGC as the power up "
        "acknowledge for A7 LPM.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PGC_PUP_ACK",
        "Select power up acknowledge signal of MF PGC as the power up acknowled"
        "ge for A7 LPM.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PGC_PUP_ACK",
        "Select power up acknowledge signal of MIPI PGC as the power up acknowl"
        "edge for A7 LPM.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PGC_PUP_ACK",
        "Select power up acknowledge signal of PCIE PGC as the power up acknowl"
        "edge for A7 LPM.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PGC_PUP_ACK",
        "Select power up acknowledge signal of USB_OTG1 PGC as the power up ack"
        "nowledge for A7 LPM.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PGC_PUP_ACK",
        "Select power up acknowledge signal of USB_OTG2 PGC as the power up ack"
        "nowledge for A7 LPM.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PGC_PUP_ACK",
        "Select power up acknowledge signal of USB_HSIC PGC as the power up ack"
        "nowledge for A7 LPM.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_PGC_PUP_ACK",
        "Select power up acknowledge signal of A7 (dummy) PGC as the power up a"
        "cknowledge for A7 LPM.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_ACK_SEL_M4.
static const field_t hw_gpc_pgc_ack_sel_m4[] =
{
    {
        "M4_VIRTUAL_PGC_PDN_ACK",
        "Select power down acknowledge signal of M4 virtual PGC as the power do"
        "wn acknowledge for M4 LPM.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PGC_PDN_ACK",
        "Select power down acknowledge signal of MIX PGC as the power down ackn"
        "owledge for M4 LPM.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PGC_PDN_ACK",
        "Select power down acknowledge signal of MIPI PGC as the power down ack"
        "nowledge for M4 LPM.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PGC_PDN_ACK",
        "Select power down acknowledge signal of PCIE PGC as the power down ack"
        "nowledge for M4 LPM.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PGC_PDN_ACK",
        "Select power down acknowledge signal of USB_OTG1 PGC as the power down"
        " acknowledge for M4 LPM.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PGC_PDN_ACK",
        "Select power down acknowledge signal of USB_OTG2 PGC as the power down"
        " acknowledge for M4 LPM.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PGC_PDN_ACK",
        "Select power down acknowledge signal of USB_HSIC PGC as the power down"
        " acknowledge for M4 LPM.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_DUMMY_PGC_PDN_ACK",
        "Select power down acknowledge signal of M4 (dummy) PGC as the power do"
        "wn acknowledge for M4 LPM.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PGC_PUP_ACK",
        "Select power up acknowledge signal of M4 virtual PGC as the power up a"
        "cknowledge for M4 LPM.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PGC_PUP_ACK",
        "Select power up acknowledge signal of MF PGC as the power up acknowled"
        "ge for M4 LPM.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PGC_PUP_ACK",
        "Select power up acknowledge signal of MIPI PGC as the power up acknowl"
        "edge for M4 LPM.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PGC_PUP_ACK",
        "Select power up acknowledge signal of PCIE PGC as the power up acknowl"
        "edge for M4 LPM.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PGC_PUP_ACK",
        "Select power up acknowledge signal of USB_OTG1 PGC as the power up ack"
        "nowledge for M4 LPM.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PGC_PUP_ACK",
        "Select power up acknowledge signal of USB_OTG2 PGC as the power up ack"
        "nowledge for M4 LPM.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PGC_PUP_ACK",
        "Select power up acknowledge signal of USB_HSIC PGC as the power up ack"
        "nowledge for M4 LPM.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_DUMMY_PGC_PUP_ACK",
        "Select power up acknowledge signal of M4 (dummy) PGC as the power up a"
        "cknowledge for M4 LPM.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_MISC.
static const field_t hw_gpc_misc[] =
{
    {
        "M4_SLEEP_HOLD_REQ_B",
        "M4 sleep hold",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_IRQ_MASK",
        "GPC interrupt/event masking",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_REQ_MASK",
        "M4 power-down mask",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR1_CORE0_A7.
static const field_t hw_gpc_imr1_core0_a7[] =
{
    {
        "IMR1_CORE0_A7",
        "A7 core0 IRQ[31:0] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR2_CORE0_A7.
static const field_t hw_gpc_imr2_core0_a7[] =
{
    {
        "IMR2_CORE0_A7",
        "A7 core0 IRQ[63:32] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR3_CORE0_A7.
static const field_t hw_gpc_imr3_core0_a7[] =
{
    {
        "IMR3_CORE0_A7",
        "A7 core0 IRQ[95:64] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR4_CORE0_A7.
static const field_t hw_gpc_imr4_core0_a7[] =
{
    {
        "IMR4_CORE0_A7",
        "A7 core0 IRQ[127:96] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR1_CORE1_A7.
static const field_t hw_gpc_imr1_core1_a7[] =
{
    {
        "IMR1_CORE1_A7",
        "A7 core1 IRQ[31:0] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR2_CORE1_A7.
static const field_t hw_gpc_imr2_core1_a7[] =
{
    {
        "IMR2_CORE1_A7",
        "A7 core1 IRQ[63:32] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR3_CORE1_A7.
static const field_t hw_gpc_imr3_core1_a7[] =
{
    {
        "IMR3_CORE1_A7",
        "A7 core1 IRQ[95:64] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR4_CORE1_A7.
static const field_t hw_gpc_imr4_core1_a7[] =
{
    {
        "IMR4_CORE1_A7",
        "A7 core1 IRQ[127:96] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR1_M4.
static const field_t hw_gpc_imr1_m4[] =
{
    {
        "IMR1_M4",
        "M4 IRQ[31:0] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR2_M4.
static const field_t hw_gpc_imr2_m4[] =
{
    {
        "IMR2_M4",
        "M4 IRQ[63:32] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR3_M4.
static const field_t hw_gpc_imr3_m4[] =
{
    {
        "IMR3_M4",
        "M4 IRQ[95:64] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR4_M4.
static const field_t hw_gpc_imr4_m4[] =
{
    {
        "IMR4_M4",
        "M4 IRQ[127:96] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR1_A7.
static const field_t hw_gpc_isr1_a7[] =
{
    {
        "ISR1_A7",
        "A7 IRQ[31:0] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR2_A7.
static const field_t hw_gpc_isr2_a7[] =
{
    {
        "ISR2_A7",
        "A7 IRQ[63:32] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR3_A7.
static const field_t hw_gpc_isr3_a7[] =
{
    {
        "ISR3_A7",
        "A7 IRQ[95:64] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR4_A7.
static const field_t hw_gpc_isr4_a7[] =
{
    {
        "ISR4_A7",
        "A7 IRQ[127:96] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR1_M4.
static const field_t hw_gpc_isr1_m4[] =
{
    {
        "ISR1_M4",
        "M4 IRQ[31:0] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR2_M4.
static const field_t hw_gpc_isr2_m4[] =
{
    {
        "ISR2_M4",
        "M4 IRQ[63:32] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR3_M4.
static const field_t hw_gpc_isr3_m4[] =
{
    {
        "ISR3_M4",
        "M4 IRQ[95:64] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR4_M4.
static const field_t hw_gpc_isr4_m4[] =
{
    {
        "ISR4_M4",
        "M4 IRQ[127:96] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT0_CFG.
static const field_t hw_gpc_slt0_cfg[] =
{
    {
        "CORE0_A7_PDN_SLOT_CONTROL",
        "CORE0 A7 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A7_PUP_SLOT_CONTROL",
        "CORE0 A7 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PDN_SLOT_CONTROL",
        "CORE1 A7 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PUP_SLOT_CONTROL",
        "CORE1 A7 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PDN_SLOT_CONTROL",
        "FASTMEGA Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PUP_SLOT_CONTROL",
        "FASTMEGA Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PDN_SLOT_CONTROL",
        "MIPI_PHY Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PUP_SLOT_CONTROL",
        "MIPI_PHY Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PDN_SLOT_CONTROL",
        "PCIE_PHY Power-down slot control",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PUP_SLOT_CONTROL",
        "PCIE_PHY Power-up slot control",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PDN_SLOT_CONTROL",
        "USB_OTG1 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PUP_SLOT_CONTROL",
        "USB_OTG1 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PDN_SLOT_CONTROL",
        "USB_OTG2 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PUP_SLOT_CONTROL",
        "USB_OTG2 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PDN_SLOT_CONTROL",
        "USB_HSIC Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PUP_SLOT_CONTROL",
        "USB_HSIC Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PDN_SLOT_CONTROL",
        "M4_VIRTUAL Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PUP_SLOT_CONTROL",
        "M4_VIRTUAL Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT1_CFG.
static const field_t hw_gpc_slt1_cfg[] =
{
    {
        "CORE0_A7_PDN_SLOT_CONTROL",
        "CORE0 A7 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A7_PUP_SLOT_CONTROL",
        "CORE0 A7 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PDN_SLOT_CONTROL",
        "CORE1 A7 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PUP_SLOT_CONTROL",
        "CORE1 A7 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PDN_SLOT_CONTROL",
        "FASTMEGA Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PUP_SLOT_CONTROL",
        "FASTMEGA Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PDN_SLOT_CONTROL",
        "MIPI_PHY Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PUP_SLOT_CONTROL",
        "MIPI_PHY Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PDN_SLOT_CONTROL",
        "PCIE_PHY Power-down slot control",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PUP_SLOT_CONTROL",
        "PCIE_PHY Power-up slot control",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PDN_SLOT_CONTROL",
        "USB_OTG1 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PUP_SLOT_CONTROL",
        "USB_OTG1 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PDN_SLOT_CONTROL",
        "USB_OTG2 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PUP_SLOT_CONTROL",
        "USB_OTG2 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PDN_SLOT_CONTROL",
        "USB_HSIC Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PUP_SLOT_CONTROL",
        "USB_HSIC Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PDN_SLOT_CONTROL",
        "M4_VIRTUAL Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PUP_SLOT_CONTROL",
        "M4_VIRTUAL Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT2_CFG.
static const field_t hw_gpc_slt2_cfg[] =
{
    {
        "CORE0_A7_PDN_SLOT_CONTROL",
        "CORE0 A7 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A7_PUP_SLOT_CONTROL",
        "CORE0 A7 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PDN_SLOT_CONTROL",
        "CORE1 A7 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PUP_SLOT_CONTROL",
        "CORE1 A7 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PDN_SLOT_CONTROL",
        "FASTMEGA Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PUP_SLOT_CONTROL",
        "FASTMEGA Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PDN_SLOT_CONTROL",
        "MIPI_PHY Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PUP_SLOT_CONTROL",
        "MIPI_PHY Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PDN_SLOT_CONTROL",
        "PCIE_PHY Power-down slot control",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PUP_SLOT_CONTROL",
        "PCIE_PHY Power-up slot control",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PDN_SLOT_CONTROL",
        "USB_OTG1 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PUP_SLOT_CONTROL",
        "USB_OTG1 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PDN_SLOT_CONTROL",
        "USB_OTG2 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PUP_SLOT_CONTROL",
        "USB_OTG2 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PDN_SLOT_CONTROL",
        "USB_HSIC Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PUP_SLOT_CONTROL",
        "USB_HSIC Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PDN_SLOT_CONTROL",
        "M4_VIRTUAL Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PUP_SLOT_CONTROL",
        "M4_VIRTUAL Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT3_CFG.
static const field_t hw_gpc_slt3_cfg[] =
{
    {
        "CORE0_A7_PDN_SLOT_CONTROL",
        "CORE0 A7 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A7_PUP_SLOT_CONTROL",
        "CORE0 A7 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PDN_SLOT_CONTROL",
        "CORE1 A7 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PUP_SLOT_CONTROL",
        "CORE1 A7 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PDN_SLOT_CONTROL",
        "FASTMEGA Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PUP_SLOT_CONTROL",
        "FASTMEGA Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PDN_SLOT_CONTROL",
        "MIPI_PHY Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PUP_SLOT_CONTROL",
        "MIPI_PHY Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PDN_SLOT_CONTROL",
        "PCIE_PHY Power-down slot control",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PUP_SLOT_CONTROL",
        "PCIE_PHY Power-up slot control",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PDN_SLOT_CONTROL",
        "USB_OTG1 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PUP_SLOT_CONTROL",
        "USB_OTG1 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PDN_SLOT_CONTROL",
        "USB_OTG2 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PUP_SLOT_CONTROL",
        "USB_OTG2 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PDN_SLOT_CONTROL",
        "USB_HSIC Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PUP_SLOT_CONTROL",
        "USB_HSIC Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PDN_SLOT_CONTROL",
        "M4_VIRTUAL Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PUP_SLOT_CONTROL",
        "M4_VIRTUAL Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT4_CFG.
static const field_t hw_gpc_slt4_cfg[] =
{
    {
        "CORE0_A7_PDN_SLOT_CONTROL",
        "CORE0 A7 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A7_PUP_SLOT_CONTROL",
        "CORE0 A7 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PDN_SLOT_CONTROL",
        "CORE1 A7 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PUP_SLOT_CONTROL",
        "CORE1 A7 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PDN_SLOT_CONTROL",
        "FASTMEGA Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PUP_SLOT_CONTROL",
        "FASTMEGA Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PDN_SLOT_CONTROL",
        "MIPI_PHY Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PUP_SLOT_CONTROL",
        "MIPI_PHY Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PDN_SLOT_CONTROL",
        "PCIE_PHY Power-down slot control",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PUP_SLOT_CONTROL",
        "PCIE_PHY Power-up slot control",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PDN_SLOT_CONTROL",
        "USB_OTG1 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PUP_SLOT_CONTROL",
        "USB_OTG1 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PDN_SLOT_CONTROL",
        "USB_OTG2 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PUP_SLOT_CONTROL",
        "USB_OTG2 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PDN_SLOT_CONTROL",
        "USB_HSIC Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PUP_SLOT_CONTROL",
        "USB_HSIC Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PDN_SLOT_CONTROL",
        "M4_VIRTUAL Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PUP_SLOT_CONTROL",
        "M4_VIRTUAL Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT5_CFG.
static const field_t hw_gpc_slt5_cfg[] =
{
    {
        "CORE0_A7_PDN_SLOT_CONTROL",
        "CORE0 A7 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A7_PUP_SLOT_CONTROL",
        "CORE0 A7 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PDN_SLOT_CONTROL",
        "CORE1 A7 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PUP_SLOT_CONTROL",
        "CORE1 A7 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PDN_SLOT_CONTROL",
        "FASTMEGA Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PUP_SLOT_CONTROL",
        "FASTMEGA Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PDN_SLOT_CONTROL",
        "MIPI_PHY Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PUP_SLOT_CONTROL",
        "MIPI_PHY Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PDN_SLOT_CONTROL",
        "PCIE_PHY Power-down slot control",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PUP_SLOT_CONTROL",
        "PCIE_PHY Power-up slot control",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PDN_SLOT_CONTROL",
        "USB_OTG1 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PUP_SLOT_CONTROL",
        "USB_OTG1 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PDN_SLOT_CONTROL",
        "USB_OTG2 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PUP_SLOT_CONTROL",
        "USB_OTG2 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PDN_SLOT_CONTROL",
        "USB_HSIC Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PUP_SLOT_CONTROL",
        "USB_HSIC Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PDN_SLOT_CONTROL",
        "M4_VIRTUAL Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PUP_SLOT_CONTROL",
        "M4_VIRTUAL Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT6_CFG.
static const field_t hw_gpc_slt6_cfg[] =
{
    {
        "CORE0_A7_PDN_SLOT_CONTROL",
        "CORE0 A7 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A7_PUP_SLOT_CONTROL",
        "CORE0 A7 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PDN_SLOT_CONTROL",
        "CORE1 A7 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PUP_SLOT_CONTROL",
        "CORE1 A7 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PDN_SLOT_CONTROL",
        "FASTMEGA Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PUP_SLOT_CONTROL",
        "FASTMEGA Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PDN_SLOT_CONTROL",
        "MIPI_PHY Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PUP_SLOT_CONTROL",
        "MIPI_PHY Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PDN_SLOT_CONTROL",
        "PCIE_PHY Power-down slot control",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PUP_SLOT_CONTROL",
        "PCIE_PHY Power-up slot control",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PDN_SLOT_CONTROL",
        "USB_OTG1 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PUP_SLOT_CONTROL",
        "USB_OTG1 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PDN_SLOT_CONTROL",
        "USB_OTG2 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PUP_SLOT_CONTROL",
        "USB_OTG2 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PDN_SLOT_CONTROL",
        "USB_HSIC Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PUP_SLOT_CONTROL",
        "USB_HSIC Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PDN_SLOT_CONTROL",
        "M4_VIRTUAL Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PUP_SLOT_CONTROL",
        "M4_VIRTUAL Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT7_CFG.
static const field_t hw_gpc_slt7_cfg[] =
{
    {
        "CORE0_A7_PDN_SLOT_CONTROL",
        "CORE0 A7 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A7_PUP_SLOT_CONTROL",
        "CORE0 A7 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PDN_SLOT_CONTROL",
        "CORE1 A7 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PUP_SLOT_CONTROL",
        "CORE1 A7 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PDN_SLOT_CONTROL",
        "FASTMEGA Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PUP_SLOT_CONTROL",
        "FASTMEGA Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PDN_SLOT_CONTROL",
        "MIPI_PHY Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PUP_SLOT_CONTROL",
        "MIPI_PHY Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PDN_SLOT_CONTROL",
        "PCIE_PHY Power-down slot control",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PUP_SLOT_CONTROL",
        "PCIE_PHY Power-up slot control",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PDN_SLOT_CONTROL",
        "USB_OTG1 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PUP_SLOT_CONTROL",
        "USB_OTG1 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PDN_SLOT_CONTROL",
        "USB_OTG2 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PUP_SLOT_CONTROL",
        "USB_OTG2 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PDN_SLOT_CONTROL",
        "USB_HSIC Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PUP_SLOT_CONTROL",
        "USB_HSIC Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PDN_SLOT_CONTROL",
        "M4_VIRTUAL Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PUP_SLOT_CONTROL",
        "M4_VIRTUAL Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT8_CFG.
static const field_t hw_gpc_slt8_cfg[] =
{
    {
        "CORE0_A7_PDN_SLOT_CONTROL",
        "CORE0 A7 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A7_PUP_SLOT_CONTROL",
        "CORE0 A7 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PDN_SLOT_CONTROL",
        "CORE1 A7 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PUP_SLOT_CONTROL",
        "CORE1 A7 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PDN_SLOT_CONTROL",
        "FASTMEGA Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PUP_SLOT_CONTROL",
        "FASTMEGA Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PDN_SLOT_CONTROL",
        "MIPI_PHY Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PUP_SLOT_CONTROL",
        "MIPI_PHY Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PDN_SLOT_CONTROL",
        "PCIE_PHY Power-down slot control",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PUP_SLOT_CONTROL",
        "PCIE_PHY Power-up slot control",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PDN_SLOT_CONTROL",
        "USB_OTG1 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PUP_SLOT_CONTROL",
        "USB_OTG1 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PDN_SLOT_CONTROL",
        "USB_OTG2 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PUP_SLOT_CONTROL",
        "USB_OTG2 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PDN_SLOT_CONTROL",
        "USB_HSIC Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PUP_SLOT_CONTROL",
        "USB_HSIC Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PDN_SLOT_CONTROL",
        "M4_VIRTUAL Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PUP_SLOT_CONTROL",
        "M4_VIRTUAL Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT9_CFG.
static const field_t hw_gpc_slt9_cfg[] =
{
    {
        "CORE0_A7_PDN_SLOT_CONTROL",
        "CORE0 A7 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A7_PUP_SLOT_CONTROL",
        "CORE0 A7 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PDN_SLOT_CONTROL",
        "CORE1 A7 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_PUP_SLOT_CONTROL",
        "CORE1 A7 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PDN_SLOT_CONTROL",
        "FASTMEGA Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_PUP_SLOT_CONTROL",
        "FASTMEGA Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PDN_SLOT_CONTROL",
        "MIPI_PHY Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_PUP_SLOT_CONTROL",
        "MIPI_PHY Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PDN_SLOT_CONTROL",
        "PCIE_PHY Power-down slot control",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_PUP_SLOT_CONTROL",
        "PCIE_PHY Power-up slot control",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PDN_SLOT_CONTROL",
        "USB_OTG1 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PUP_SLOT_CONTROL",
        "USB_OTG1 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PDN_SLOT_CONTROL",
        "USB_OTG2 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PUP_SLOT_CONTROL",
        "USB_OTG2 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PDN_SLOT_CONTROL",
        "USB_HSIC Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PUP_SLOT_CONTROL",
        "USB_HSIC Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PDN_SLOT_CONTROL",
        "M4_VIRTUAL Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PUP_SLOT_CONTROL",
        "M4_VIRTUAL Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_CPU_MAPPING.
static const field_t hw_gpc_pgc_cpu_mapping[] =
{
    {
        "FASTMEGA_A7_DOMAIN",
        "FAST/MEGA mapping",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_A7_DOMAIN",
        "MIPI_PHY mapping",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_A7_DOMAIN",
        "MIPI_PHY mapping",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PHY_A7_DOMAIN",
        "USB_OTG1_PHY mapping",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PHY_A7_DOMAIN",
        "USB_OTG2_PHY mapping",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PHY_A7_DOMAIN",
        "USB_HSIC_PHY mapping",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FASTMEGA_M4_DOMAIN",
        "FAST/MEGA mapping",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_M4_DOMAIN",
        "MIPI_PHY mapping",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_M4_DOMAIN",
        "MIPI_PHY mapping",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PHY_M4_DOMAIN",
        "USB_OTG1_PHY mapping",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PHY_M4_DOMAIN",
        "USB_OTG2_PHY mapping",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PHY_M4_DOMAIN",
        "USB_HSIC_PHY mapping",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_CPU_PGC_SW_PUP_REQ.
static const field_t hw_gpc_cpu_pgc_sw_pup_req[] =
{
    {
        "CORE0_A7_SW_PUP_REQ",
        "Software power up trigger for Core0 A7 PGC",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_SW_PUP_REQ",
        "Software power up trigger for Core1 A7 PGC",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_A7_SW_PUP_REQ",
        "Software power up trigger for SCU A7",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PU_PGC_SW_PUP_REQ.
static const field_t hw_gpc_pu_pgc_sw_pup_req[] =
{
    {
        "MIPI_PHY_SW_PUP_REQ",
        "Software power up trigger for MIPI_PHY",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_SW_PUP_REQ",
        "Software power up trigger for PCIE_PHY",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PHY_SW_PUP_REQ",
        "Software power up trigger for USB_OTG1_PHY",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PHY_SW_PUP_REQ",
        "Software power up trigger for USB_OTG2_PHY",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PHY_SW_PUP_REQ",
        "Software power up trigger for USB_HSIC_PHY",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_CPU_PGC_SW_PDN_REQ.
static const field_t hw_gpc_cpu_pgc_sw_pdn_req[] =
{
    {
        "CORE0_A7_SW_PDN_REQ",
        "Software power down trigger for Core0 A7 PGC",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A7_SW_PDN_REQ",
        "Software power down trigger for Core1 A7 PGC",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_A7_SW_PDN_REQ",
        "Software power down trigger for SCU A7",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PU_PGC_SW_PDN_REQ.
static const field_t hw_gpc_pu_pgc_sw_pdn_req[] =
{
    {
        "MIPI_PHY_SW_PDN_REQ",
        "Software power down trigger for MIPI_PHY",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_SW_PDN_REQ",
        "Software power down trigger for PCIE_PHY",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PHY_SW_PDN_REQ",
        "Software power down trigger for USB_OTG1_PHY",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PHY_SW_PDN_REQ",
        "Software power down trigger for USB_OTG2_PHY",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_HSIC_PHY_SW_PDN_REQ",
        "Software power down trigger for USB_HSIC_PHY",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_LPS_A7.
static const field_t hw_gpc_lps_a7[] =
{
    {
        "SRC_A7_CORES_SW_RESET_DONE0",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRC_A7_CORES_SW_RESET_DONE1",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRC_GPC_ARM_CPU0_RST_SYS_N",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRC_GPC_ARM_CPU1_RST_SYS_N",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_START_ARM_RESET0",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_START_ARM_RESET2",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_CA7_C0_ISO",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_CA7_C1_ISO",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_CA7_C0_SWITCH_B",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_CA7_C1_SWITCH_B",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRC_CA7_L2_RESET_N",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRC_A7_PLATFORM_SW_RESET_DONE",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_DAP_PUP_REQ",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "START_SCU_RESET",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_CA7_SCU_ISO",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_CA7_SCU_SWITCH_B",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_CA7_ACINACTM",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_CA7_L2RETENTION",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_CA7_L2STDISABLE",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_CA7_L2_SWITCH_B",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LPG_WAIT",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LPG_STOP",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SHD_CURRENT_STATE_A7",
        "",
        26, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LPM_CURRENT_STATE_A7",
        "",
        28, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_LPS_M4.
static const field_t hw_gpc_lps_m4[] =
{
    {
        "LOW_POWER_CTRL_M4",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CM4_SLEEP_HOLD_ACK_B",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CM4_GATE_HCLK",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CM4_SLEEP_DEEP",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CM4_SLEEP",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CM4_LOCKUP",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CM4_HALTED",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PLATFORM_RESET_B",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_CORE_RESET_B",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LPG_WAIT",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LPG_STOP",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SHD_CURRENT_STATE_M4",
        "",
        26, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LPM_CURRENT_STATE_M4",
        "",
        28, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_GPR.
static const field_t hw_gpc_gpr[] =
{
    {
        "A7_CORE_DBG_RST_MSK_PG",
        "A7_CORE_DBG_RST_MSK_PG should be set with the usage of ARM low power d"
        "ebug feature.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_GTOR.
static const field_t hw_gpc_gtor[] =
{
    {
        "OBS_OUTPUT_0_SEL",
        "Observability output 0 select",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OBS_OUTPUT_1_SEL",
        "Observability output 1 select",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OBS_OUTPUT_2_SEL",
        "Observability output 2 select",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OBS_EN",
        "Observe signals enable",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_DEBUG_ADDR1.
static const field_t hw_gpc_debug_addr1[] =
{
    {
        "GPC_INT",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFI_A7_CORE0",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFI_A7_CORE1",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFI_A7_SCU",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFI_M4",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NFIQ0",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NFIQ1",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NFIQ2",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NFIQ3",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NIRQ0",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NIRQ1",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NIRQ2",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NIRQ3",
        "",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_DEBUG_ADDR2.
static const field_t hw_gpc_debug_addr2[] =
{
    {
        "MIX_RESET_PENETRATED",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_MIX_ISO",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_MIX_SWITCH_B",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_MIX_SCALL_OUT0",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_MIX_SCALL_OUT1",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_MIX_SCALL",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_MIX_RESET_B",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRC_EN_MIX_CLK",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_MIX_RDY",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PU_RESET_PENETRATED",
        "",
        12, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_PU_ISO",
        "",
        17, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_PU_SWITCH_B",
        "",
        22, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPC_PU_RESET_B",
        "",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_CPU_PGC_PUP_STATUS1.
static const field_t hw_gpc_cpu_pgc_pup_status1[] =
{
    {
        "CORE0_A7_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORE1_A7_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SCU_A7_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A7_PU_PGC_PUP_STATUS0.
static const field_t hw_gpc_a7_pu_pgc_pup_status0[] =
{
    {
        "A7_MIPI_PHY_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_PCIE_PHY_PGC_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG1_PHY_PGC_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG2_PHY_PGC_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_HSIC_PHY_PGC_PUP_STATUS",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A7_PU_PGC_PUP_STATUS1.
static const field_t hw_gpc_a7_pu_pgc_pup_status1[] =
{
    {
        "A7_MIPI_PHY_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_PCIE_PHY_PGC_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG1_PHY_PGC_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG2_PHY_PGC_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_HSIC_PHY_PGC_PUP_STATUS",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PUP_STATUS0.
static const field_t hw_gpc_m4_pu_pgc_pup_status0[] =
{
    {
        "M4_MIPI_PHY_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE_PHY_PGC_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_USB_OTG1_PHY_PGC_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_USB_OTG2_PHY_PGC_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_USB_HSIC_PHY_PGC_PUP_STATUS",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A7_PU_PGC_PUP_STATUS2.
static const field_t hw_gpc_a7_pu_pgc_pup_status2[] =
{
    {
        "A7_MIPI_PHY_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_PCIE_PHY_PGC_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG1_PHY_PGC_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG2_PHY_PGC_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_HSIC_PHY_PGC_PUP_STATUS",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PUP_STATUS1.
static const field_t hw_gpc_m4_pu_pgc_pup_status1[] =
{
    {
        "M4_MIPI_PHY_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE_PHY_PGC_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_USB_OTG1_PHY_PGC_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_USB_OTG2_PHY_PGC_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_USB_HSIC_PHY_PGC_PUP_STATUS",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PUP_STATUS2.
static const field_t hw_gpc_m4_pu_pgc_pup_status2[] =
{
    {
        "M4_MIPI_PHY_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE_PHY_PGC_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_USB_OTG1_PHY_PGC_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_USB_OTG2_PHY_PGC_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_USB_HSIC_PHY_PGC_PUP_STATUS",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_CPU_PGC_PDN_STATUS1.
static const field_t hw_gpc_cpu_pgc_pdn_status1[] =
{
    {
        "CORE0_A7_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORE1_A7_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SCU_A7_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A7_PU_PGC_PDN_STATUS0.
static const field_t hw_gpc_a7_pu_pgc_pdn_status0[] =
{
    {
        "CORE0_A7_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORE1_A7_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SCU_A7_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A7_PU_PGC_PDN_STATUS1.
static const field_t hw_gpc_a7_pu_pgc_pdn_status1[] =
{
    {
        "CORE0_A7_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORE1_A7_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SCU_A7_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A7_PU_PGC_PDN_STATUS2.
static const field_t hw_gpc_a7_pu_pgc_pdn_status2[] =
{
    {
        "CORE0_A7_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORE1_A7_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SCU_A7_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PDN_STATUS0.
static const field_t hw_gpc_m4_pu_pgc_pdn_status0[] =
{
    {
        "A7_MIPI_PHY_PGC_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_PCIE_PHY_PGC_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG1_PHY_PGC_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG2_PHY_PGC_PDN_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_HSIC_PHY_PGC_PDN_STATUS",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PDN_STATUS1.
static const field_t hw_gpc_m4_pu_pgc_pdn_status1[] =
{
    {
        "A7_MIPI_PHY_PGC_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_PCIE_PHY_PGC_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG1_PHY_PGC_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG2_PHY_PGC_PDN_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_HSIC_PHY_PGC_PDN_STATUS",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PDN_STATUS2.
static const field_t hw_gpc_m4_pu_pgc_pdn_status2[] =
{
    {
        "A7_MIPI_PHY_PGC_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_PCIE_PHY_PGC_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG1_PHY_PGC_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_OTG2_PHY_PGC_PDN_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A7_USB_HSIC_PHY_PGC_PDN_STATUS",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A7_MIX_PDN_FLG.
static const field_t hw_gpc_a7_mix_pdn_flg[] =
{
    {
        "A7_MIX_PDN_FLAG",
        "A7 MIX power-down flag",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A7_PU_PDN_FLG.
static const field_t hw_gpc_a7_pu_pdn_flg[] =
{
    {
        "A7_MIPI_PHY_PGC_PDN_FLG",
        "MIPI_PHY PGC power-down flag",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_PCIE_PHY_PGC_PDN_FLG",
        "PCIE_PHY PGC power-down flag",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_USB_OTG1_PHY_PGC_PDN_FLG",
        "USB_OTG1 PGC power-down flag",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_USB_OTG2_PHY_PGC_PDN_FLG",
        "USB_OTG2 PGC power-down flag",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_USB_HSIC_PHY_PGC_PDN_FLG",
        "USB_HSIC PGC power-down flag",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_MIX_PDN_FLG.
static const field_t hw_gpc_m4_mix_pdn_flg[] =
{
    {
        "M4_MIX_PDN_FLAG",
        "M4_MIX power-down flag",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PDN_FLG.
static const field_t hw_gpc_m4_pu_pdn_flg[] =
{
    {
        "M4_MIPI_PHY_PGC_PDN_FLG",
        "MIPI_PHY PGC power-down flag",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PCIE_PHY_PGC_PDN_FLG",
        "PCIE_PHY PGC power-down flag",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_USB_OTG1_PHY_PGC_PDN_FLG",
        "USB_OTG1 PGC power-down flag",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_USB_OTG2_PHY_PGC_PDN_FLG",
        "USB_OTG2 PGC power-down flag",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_USB_HSIC_PHY_PGC_PDN_FLG",
        "USB_HSIC PGC power-down flag",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a GPC module.
static const reg_t hw_gpc[] =
{
    {
        "LPCR_A7_BSC",
        "LPCR_A7_BSC[CPU_CLK_ON_LPM] should be set 1'b1 when using A7 low power"
        " debug feature Always set LPM1/LPM0 with same value",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_lpcr_a7_bsc
    },
    {
        "LPCR_A7_AD",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_lpcr_a7_ad
    },
    {
        "LPCR_M4",
        "LPCR_M4[CPU_CLK_ON_LPM] should be set 1'b0 if M4 goes to LPM without t"
        "rigger power down of related domains",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpc_lpcr_m4
    },
    {
        "SLPCR",
        "SLPCR[VSTBY] must be set to 1'b1 if SLPCR[RBC_EN] is set to 1'b1; SLPC"
        "R[SBYOS] must be set to 1'b1 if SLPCR[VSTBY] is set to 1'b1.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_gpc_slpcr
    },
    {
        "MLPCR",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpc_mlpcr
    },
    {
        "PGC_ACK_SEL_A7",
        "The register can only be accessed by A7 platform",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_pgc_ack_sel_a7
    },
    {
        "PGC_ACK_SEL_M4",
        "This register can only be accessed by the M4 platform.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_gpc_pgc_ack_sel_m4
    },
    {
        "MISC",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_misc
    },
    {
        "IMR1_CORE0_A7",
        "The four IMRn_CORE0_A7 (n = 1,2,3,4) registers are used as interrupt m"
        "ask for A7 core0.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr1_core0_a7
    },
    {
        "IMR2_CORE0_A7",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr2_core0_a7
    },
    {
        "IMR3_CORE0_A7",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr3_core0_a7
    },
    {
        "IMR4_CORE0_A7",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr4_core0_a7
    },
    {
        "IMR1_CORE1_A7",
        "The four IMRn_CORE1_A7 (n = 1,2,3,4) registers are used as interrupt m"
        "ask for A7 core1.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr1_core1_a7
    },
    {
        "IMR2_CORE1_A7",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr2_core1_a7
    },
    {
        "IMR3_CORE1_A7",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr3_core1_a7
    },
    {
        "IMR4_CORE1_A7",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr4_core1_a7
    },
    {
        "IMR1_M4",
        "The four IMRn_M4 (n = 1,2,3,4) registers are used as interrupt mask fo"
        "r M4.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr1_m4
    },
    {
        "IMR2_M4",
        "",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr2_m4
    },
    {
        "IMR3_M4",
        "",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr3_m4
    },
    {
        "IMR4_M4",
        "",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr4_m4
    },
    {
        "ISR1_A7",
        "The four ISRn_A7 (n = 1,2,3,4) registers, all of them are read only re"
        "gister",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr1_a7
    },
    {
        "ISR2_A7",
        "",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr2_a7
    },
    {
        "ISR3_A7",
        "",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr3_a7
    },
    {
        "ISR4_A7",
        "",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr4_a7
    },
    {
        "ISR1_M4",
        "The four ISRn_M4 (n = 1,2,3,4) registers, all of them are read only re"
        "gister",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr1_m4
    },
    {
        "ISR2_M4",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr2_m4
    },
    {
        "ISR3_M4",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr3_m4
    },
    {
        "ISR4_M4",
        "",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr4_m4
    },
    {
        "SLT0_CFG",
        "There are 10 slots in each SLTn_CFG(n = 0~9) will define the power up "
        "or power down behavior of one or more PGC in that each slot.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_slt0_cfg
    },
    {
        "SLT1_CFG",
        "There are 10 slots in each SLTn_CFG(n = 0~9) will define the power up "
        "or power down behavior of one or more PGC in that each slot.",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_slt1_cfg
    },
    {
        "SLT2_CFG",
        "There are 10 slots in each SLTn_CFG(n = 0~9) will define the power up "
        "or power down behavior of one or more PGC in that each slot.",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_slt2_cfg
    },
    {
        "SLT3_CFG",
        "There are 10 slots in each SLTn_CFG(n = 0~9) will define the power up "
        "or power down behavior of one or more PGC in that each slot.",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_slt3_cfg
    },
    {
        "SLT4_CFG",
        "There are 10 slots in each SLTn_CFG(n = 0~9) will define the power up "
        "or power down behavior of one or more PGC in that each slot.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_slt4_cfg
    },
    {
        "SLT5_CFG",
        "There are 10 slots in each SLTn_CFG(n = 0~9) will define the power up "
        "or power down behavior of one or more PGC in that each slot.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_slt5_cfg
    },
    {
        "SLT6_CFG",
        "There are 10 slots in each SLTn_CFG(n = 0~9) will define the power up "
        "or power down behavior of one or more PGC in that each slot.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_slt6_cfg
    },
    {
        "SLT7_CFG",
        "There are 10 slots in each SLTn_CFG(n = 0~9) will define the power up "
        "or power down behavior of one or more PGC in that each slot.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_slt7_cfg
    },
    {
        "SLT8_CFG",
        "There are 10 slots in each SLTn_CFG(n = 0~9) will define the power up "
        "or power down behavior of one or more PGC in that each slot.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_slt8_cfg
    },
    {
        "SLT9_CFG",
        "There are 10 slots in each SLTn_CFG(n = 0~9) will define the power up "
        "or power down behavior of one or more PGC in that each slot.",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_gpc_slt9_cfg
    },
    {
        "PGC_CPU_MAPPING",
        "The byte0 can only be accessed by A7 platform, byte1 can only be acces"
        "sed by M4 platform.",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_gpc_pgc_cpu_mapping
    },
    {
        "CPU_PGC_SW_PUP_REQ",
        "",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_cpu_pgc_sw_pup_req
    },
    {
        "PU_PGC_SW_PUP_REQ",
        "",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pu_pgc_sw_pup_req
    },
    {
        "CPU_PGC_SW_PDN_REQ",
        "",
        4, // Width in bytes
        0x000000fc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_cpu_pgc_sw_pdn_req
    },
    {
        "PU_PGC_SW_PDN_REQ",
        "",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pu_pgc_sw_pdn_req
    },
    {
        "LPS_A7",
        "LPS_A7 is a read only register for debug use, the relevant field descr"
        "iptions are shown below.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        false, // Writable
        24, // Number of bitfields
        hw_gpc_lps_a7
    },
    {
        "LPS_M4",
        "LPS_M4 is a read only register for debug use, the relevant field descr"
        "iptions are shown below",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        false, // Writable
        13, // Number of bitfields
        hw_gpc_lps_m4
    },
    {
        "GPR",
        "",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_gpr
    },
    {
        "GTOR",
        "GPC includes three muxes to mux between different critical signals for"
        " testing observability.",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_gtor
    },
    {
        "DEBUG_ADDR1",
        "DEBUG REGISTER1 is a read only register for debug use, the relevant fi"
        "eld descriptions are shown below.",
        4, // Width in bytes
        0x00000128, // Base address offset
        true, // Readable
        false, // Writable
        13, // Number of bitfields
        hw_gpc_debug_addr1
    },
    {
        "DEBUG_ADDR2",
        "DEBUG REGISTER2 is a read only register for debug use, the relevant fi"
        "eld descriptions are shown below.",
        4, // Width in bytes
        0x0000012c, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_gpc_debug_addr2
    },
    {
        "CPU_PGC_PUP_STATUS1",
        "CPU_PGC_PUP_STATUS1 is a read only register, represents the results fo"
        "r power up software trigger for CPU type PGCs.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_gpc_cpu_pgc_pup_status1
    },
    {
        "A7_PU_PGC_PUP_STATUS0",
        "A7_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power up software trigger from A7 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_gpc_a7_pu_pgc_pup_status0
    },
    {
        "A7_PU_PGC_PUP_STATUS1",
        "A7_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power up software trigger from A7 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_gpc_a7_pu_pgc_pup_status1
    },
    {
        "M4_PU_PGC_PUP_STATUS0",
        "M4_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power up software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_gpc_m4_pu_pgc_pup_status0
    },
    {
        "A7_PU_PGC_PUP_STATUS2",
        "A7_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power up software trigger from A7 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_gpc_a7_pu_pgc_pup_status2
    },
    {
        "M4_PU_PGC_PUP_STATUS1",
        "M4_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power up software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_gpc_m4_pu_pgc_pup_status1
    },
    {
        "M4_PU_PGC_PUP_STATUS2",
        "M4_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power up software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000148, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_gpc_m4_pu_pgc_pup_status2
    },
    {
        "CPU_PGC_PDN_STATUS1",
        "CPU_PGC_PDN_STATUS1 is a read only register, represents the results fo"
        "r power DN software trigger for CPU type PGCs.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_gpc_cpu_pgc_pdn_status1
    },
    {
        "A7_PU_PGC_PDN_STATUS0",
        "A7_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power DN software trigger from A7 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x0000018c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_gpc_a7_pu_pgc_pdn_status0
    },
    {
        "A7_PU_PGC_PDN_STATUS1",
        "A7_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power DN software trigger from A7 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_gpc_a7_pu_pgc_pdn_status1
    },
    {
        "A7_PU_PGC_PDN_STATUS2",
        "A7_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power DN software trigger from A7 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000194, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_gpc_a7_pu_pgc_pdn_status2
    },
    {
        "M4_PU_PGC_PDN_STATUS0",
        "M4_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power DN software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000198, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_gpc_m4_pu_pgc_pdn_status0
    },
    {
        "M4_PU_PGC_PDN_STATUS1",
        "M4_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power DN software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x0000019c, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_gpc_m4_pu_pgc_pdn_status1
    },
    {
        "M4_PU_PGC_PDN_STATUS2",
        "M4_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power DN software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_gpc_m4_pu_pgc_pdn_status2
    },
    {
        "A7_MIX_PDN_FLG",
        "This is flag bit relevant domain control, represents A7 CPU platform w"
        "ants to power down MIX PGC.",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_a7_mix_pdn_flg
    },
    {
        "A7_PU_PDN_FLG",
        "The register field is show in the table below.",
        4, // Width in bytes
        0x000001b4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_a7_pu_pdn_flg
    },
    {
        "M4_MIX_PDN_FLG",
        "This is flag bit relevant domain control, represents M4 CPU platform w"
        "ants to power down MIX PGC.",
        4, // Width in bytes
        0x000001b8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_m4_mix_pdn_flg
    },
    {
        "M4_PU_PDN_FLG",
        "The register field is show in the table below.",
        4, // Width in bytes
        0x000001bc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_m4_pu_pdn_flg
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark GPC_PGC
#endif

// Bitfields in register GPC_PGC_PGC_A7CORE0_CTRL.
static const field_t hw_gpc_pgc_pgc_a7core0_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A7 l2rstdis to 1'b1, it "
        "will be clear automatically once any of A7 core0/core1 is wakeup Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A7 dftram to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A7 l2retn to 1'b0 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A7 mempwr to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7CORE0_PUPSCR.
static const field_t hw_gpc_pgc_pgc_a7core0_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7CORE0_PDNSCR.
static const field_t hw_gpc_pgc_pgc_a7core0_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7CORE0_SR.
static const field_t hw_gpc_pgc_pgc_a7core0_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A7 is wakeup from L2 retention mode, otherwise it will always keep to"
        " 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7CORE1_CTRL.
static const field_t hw_gpc_pgc_pgc_a7core1_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A7 l2rstdis to 1'b1, it "
        "will be clear automatically once any of A7 core0/core1 is wakeup Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A7 dftram to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A7 l2retn to 1'b0 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A7 mempwr to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7CORE1_PUPSCR.
static const field_t hw_gpc_pgc_pgc_a7core1_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7CORE1_PDNSCR.
static const field_t hw_gpc_pgc_pgc_a7core1_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7CORE1_SR.
static const field_t hw_gpc_pgc_pgc_a7core1_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A7 is wakeup from L2 retention mode, otherwise it will always keep to"
        " 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7SCU_CTRL.
static const field_t hw_gpc_pgc_pgc_a7scu_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A7 l2rstdis to 1'b1, it "
        "will be clear automatically once any of A7 core0/core1 is wakeup Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A7 dftram to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A7 l2retn to 1'b0 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A7 mempwr to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7SCU_PUPSCR.
static const field_t hw_gpc_pgc_pgc_a7scu_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7SCU_PDNSCR.
static const field_t hw_gpc_pgc_pgc_a7scu_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_A7SCU_SR.
static const field_t hw_gpc_pgc_pgc_a7scu_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A7 is wakeup from L2 retention mode, otherwise it will always keep to"
        " 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_SCU_AUXSW.
static const field_t hw_gpc_pgc_pgc_scu_auxsw[] =
{
    {
        "DFTRAM_TRC1_TMC_TMR_TCD2",
        "After scu start pup reset, count this value to assert A7 dftram to 1'b"
        "0 Cannot be programmed to zero.",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_TRC1_TMC_TMR",
        "After scu start pup reset, count this value to assert A7 l2retn to 1'b"
        "1 Cannot be programmed to zero.",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MEMPWR_TRC1_TMC",
        "After scu start pup reset, count this value to assert A7 mempwr to 1'b"
        "0 Cannot be programmed to zero.",
        20, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_MIX_CTRL.
static const field_t hw_gpc_pgc_pgc_mix_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A7 l2rstdis to 1'b1, it "
        "will be clear automatically once any of A7 core0/core1 is wakeup Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A7 dftram to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A7 l2retn to 1'b0 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A7 mempwr to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_MIX_PUPSCR.
static const field_t hw_gpc_pgc_pgc_mix_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_MIX_PDNSCR.
static const field_t hw_gpc_pgc_pgc_mix_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_MIX_SR.
static const field_t hw_gpc_pgc_pgc_mix_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A7 is wakeup from L2 retention mode, otherwise it will always keep to"
        " 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_MIPI_CTRL.
static const field_t hw_gpc_pgc_pgc_mipi_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A7 l2rstdis to 1'b1, it "
        "will be clear automatically once any of A7 core0/core1 is wakeup Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A7 dftram to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A7 l2retn to 1'b0 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A7 mempwr to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_MIPI_PUPSCR.
static const field_t hw_gpc_pgc_pgc_mipi_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_MIPI_PDNSCR.
static const field_t hw_gpc_pgc_pgc_mipi_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_MIPI_SR.
static const field_t hw_gpc_pgc_pgc_mipi_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A7 is wakeup from L2 retention mode, otherwise it will always keep to"
        " 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_PCIE_CTRL.
static const field_t hw_gpc_pgc_pgc_pcie_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A7 l2rstdis to 1'b1, it "
        "will be clear automatically once any of A7 core0/core1 is wakeup Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A7 dftram to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A7 l2retn to 1'b0 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A7 mempwr to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_PCIE_PUPSCR.
static const field_t hw_gpc_pgc_pgc_pcie_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_PCIE_PDNSCR.
static const field_t hw_gpc_pgc_pgc_pcie_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_PCIE_SR.
static const field_t hw_gpc_pgc_pgc_pcie_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A7 is wakeup from L2 retention mode, otherwise it will always keep to"
        " 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_MIPI_AUXSW.
static const field_t hw_gpc_pgc_pgc_mipi_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_PCIE_AUXSW.
static const field_t hw_gpc_pgc_pgc_pcie_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_HSIC_CTRL.
static const field_t hw_gpc_pgc_pgc_hsic_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A7 l2rstdis to 1'b1, it "
        "will be clear automatically once any of A7 core0/core1 is wakeup Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A7 dftram to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A7 l2retn to 1'b0 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A7 mempwr to 1'b1 Can't "
        "be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_HSIC_PUPSCR.
static const field_t hw_gpc_pgc_pgc_hsic_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_HSIC_PDNSCR.
static const field_t hw_gpc_pgc_pgc_hsic_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALLOUT_CNT",
        "After SCALL asserting to 1'b1, count this value to complete switch pow"
        "er down This control is only valid when pdn_wait_scall_out is set to 1"
        "'b0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PGC_HSIC_SR.
static const field_t hw_gpc_pgc_pgc_hsic_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A7 is wakeup from L2 retention mode, otherwise it will always keep to"
        " 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a GPC_PGC module.
static const reg_t hw_gpc_pgc[] =
{
    {
        "PGC_A7CORE0_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_a7core0_ctrl
    },
    {
        "PGC_A7CORE0_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pgc_a7core0_pupscr
    },
    {
        "PGC_A7CORE0_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000808, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_a7core0_pdnscr
    },
    {
        "PGC_A7CORE0_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000080c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_a7core0_sr
    },
    {
        "PGC_A7CORE1_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000840, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_a7core1_ctrl
    },
    {
        "PGC_A7CORE1_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000844, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pgc_a7core1_pupscr
    },
    {
        "PGC_A7CORE1_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000848, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_a7core1_pdnscr
    },
    {
        "PGC_A7CORE1_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000084c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_a7core1_sr
    },
    {
        "PGC_A7SCU_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000880, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_a7scu_ctrl
    },
    {
        "PGC_A7SCU_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pgc_a7scu_pupscr
    },
    {
        "PGC_A7SCU_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000888, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_a7scu_pdnscr
    },
    {
        "PGC_A7SCU_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000088c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_a7scu_sr
    },
    {
        "PGC_SCU_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000890, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pgc_scu_auxsw
    },
    {
        "PGC_MIX_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x000008c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_mix_ctrl
    },
    {
        "PGC_MIX_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x000008c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pgc_mix_pupscr
    },
    {
        "PGC_MIX_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x000008c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_mix_pdnscr
    },
    {
        "PGC_MIX_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x000008cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_mix_sr
    },
    {
        "PGC_MIPI_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000900, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_mipi_ctrl
    },
    {
        "PGC_MIPI_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pgc_mipi_pupscr
    },
    {
        "PGC_MIPI_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000908, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_mipi_pdnscr
    },
    {
        "PGC_MIPI_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000090c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_mipi_sr
    },
    {
        "PGC_PCIE_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000940, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_pcie_ctrl
    },
    {
        "PGC_PCIE_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000944, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pgc_pcie_pupscr
    },
    {
        "PGC_PCIE_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000948, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_pcie_pdnscr
    },
    {
        "PGC_PCIE_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000094c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_pcie_sr
    },
    {
        "PGC_MIPI_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000c10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pgc_mipi_auxsw
    },
    {
        "PGC_PCIE_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000c50, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pgc_pcie_auxsw
    },
    {
        "PGC_HSIC_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000d00, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_hsic_ctrl
    },
    {
        "PGC_HSIC_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000d04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pgc_hsic_pupscr
    },
    {
        "PGC_HSIC_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000d08, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_hsic_pdnscr
    },
    {
        "PGC_HSIC_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x00000d0c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pgc_hsic_sr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark GPIO
#endif

// Bitfields in register GPIO_DR.
static const field_t hw_gpio_dr[] =
{
    {
        "DR",
        "Data bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_GDIR.
static const field_t hw_gpio_gdir[] =
{
    {
        "GDIR",
        "GPIO direction bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_PSR.
static const field_t hw_gpio_psr[] =
{
    {
        "PSR",
        "GPIO pad status bits (status bits).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_ICR1.
static const field_t hw_gpio_icr1[] =
{
    {
        "ICR0",
        "Interrupt configuration 1 fields.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR1",
        "Interrupt configuration 1 fields.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR2",
        "Interrupt configuration 1 fields.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR3",
        "Interrupt configuration 1 fields.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR4",
        "Interrupt configuration 1 fields.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR5",
        "Interrupt configuration 1 fields.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR6",
        "Interrupt configuration 1 fields.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR7",
        "Interrupt configuration 1 fields.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR8",
        "Interrupt configuration 1 fields.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR9",
        "Interrupt configuration 1 fields.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR10",
        "Interrupt configuration 1 fields.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR11",
        "Interrupt configuration 1 fields.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR12",
        "Interrupt configuration 1 fields.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR13",
        "Interrupt configuration 1 fields.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR14",
        "Interrupt configuration 1 fields.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR15",
        "Interrupt configuration 1 fields.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_ICR2.
static const field_t hw_gpio_icr2[] =
{
    {
        "ICR16",
        "Interrupt configuration 2 fields.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR17",
        "Interrupt configuration 2 fields.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR18",
        "Interrupt configuration 2 fields.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR19",
        "Interrupt configuration 2 fields.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR20",
        "Interrupt configuration 2 fields.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR21",
        "Interrupt configuration 2 fields.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR22",
        "Interrupt configuration 2 fields.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR23",
        "Interrupt configuration 2 fields.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR24",
        "Interrupt configuration 2 fields.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR25",
        "Interrupt configuration 2 fields.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR26",
        "Interrupt configuration 2 fields.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR27",
        "Interrupt configuration 2 fields.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR28",
        "Interrupt configuration 2 fields.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR29",
        "Interrupt configuration 2 fields.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR30",
        "Interrupt configuration 2 fields.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR31",
        "Interrupt configuration 2 fields.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_IMR.
static const field_t hw_gpio_imr[] =
{
    {
        "IMR",
        "Interrupt Mask bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_ISR.
static const field_t hw_gpio_isr[] =
{
    {
        "ISR",
        "Interrupt status bits - Bit n of this register is asserted (active hig"
        "h) when the active condition (as determined by the corresponding ICR b"
        "it) is detected on the GPIO input and is waiting for service.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_EDGE_SEL.
static const field_t hw_gpio_edge_sel[] =
{
    {
        "GPIO_EDGE_SEL",
        "Edge select.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a GPIO module.
static const reg_t hw_gpio[] =
{
    {
        "DR",
        "The 32-bit GPIO_DR register stores data that is ready to be driven to "
        "the output lines.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpio_dr
    },
    {
        "GDIR",
        "GPIO_GDIR functions as direction control when the IOMUXC is in GPIO mo"
        "de.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpio_gdir
    },
    {
        "PSR",
        "GPIO_PSR is a read-only register.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpio_psr
    },
    {
        "ICR1",
        "GPIO_ICR1 contains 16 two-bit fields, where each field specifies the i"
        "nterrupt configuration for a different input signal.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_gpio_icr1
    },
    {
        "ICR2",
        "GPIO_ICR2 contains 16 two-bit fields, where each field specifies the i"
        "nterrupt configuration for a different input signal.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_gpio_icr2
    },
    {
        "IMR",
        "GPIO_IMR contains masking bits for each interrupt line.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpio_imr
    },
    {
        "ISR",
        "The GPIO_ISR functions as an interrupt status indicator.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpio_isr
    },
    {
        "EDGE_SEL",
        "GPIO_EDGE_SEL may be used to override the ICR registers' configuration"
        ".",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpio_edge_sel
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark GPMI
#endif

// Bitfields in register GPMI_CTRL0.
static const field_t hw_gpmi_ctrl0[] =
{
    {
        "XFER_COUNT",
        "Number of bytes to transfer for this command.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS_INCREMENT",
        "In ATA mode, the address will increment with each cycle.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS",
        "Specifies the three address lines for ATA mode.",
        17, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS",
        "Selects which chip select is active for this command.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "This bit should only be changed when RUN = 0.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMMAND_MODE",
        "WRITE = 0x0 Write mode.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UDMA",
        "DISABLED = 0x0 Use ATA-PIO mode on the external bus.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK_CS",
        "For ATA/NAND mode: 0 = Deassert chip select (CS) after RUN is complete"
        ".",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ_EN",
        "When operation writes data at toggle mode, this bit set to 0x1.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RUN",
        "The GPMI is busy running a command whenever this bit is set to 1.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "Set this bit 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set to 0 for normal operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL0_SET.
static const field_t hw_gpmi_ctrl0_set[] =
{
    {
        "XFER_COUNT",
        "Number of bytes to transfer for this command.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS_INCREMENT",
        "In ATA mode, the address will increment with each cycle.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS",
        "Specifies the three address lines for ATA mode.",
        17, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS",
        "Selects which chip select is active for this command.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "This bit should only be changed when RUN = 0.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMMAND_MODE",
        "WRITE = 0x0 Write mode.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UDMA",
        "DISABLED = 0x0 Use ATA-PIO mode on the external bus.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK_CS",
        "For ATA/NAND mode: 0 = Deassert chip select (CS) after RUN is complete"
        ".",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ_EN",
        "When operation writes data at toggle mode, this bit set to 0x1.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RUN",
        "The GPMI is busy running a command whenever this bit is set to 1.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "Set this bit 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set to 0 for normal operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL0_CLR.
static const field_t hw_gpmi_ctrl0_clr[] =
{
    {
        "XFER_COUNT",
        "Number of bytes to transfer for this command.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS_INCREMENT",
        "In ATA mode, the address will increment with each cycle.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS",
        "Specifies the three address lines for ATA mode.",
        17, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS",
        "Selects which chip select is active for this command.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "This bit should only be changed when RUN = 0.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMMAND_MODE",
        "WRITE = 0x0 Write mode.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UDMA",
        "DISABLED = 0x0 Use ATA-PIO mode on the external bus.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK_CS",
        "For ATA/NAND mode: 0 = Deassert chip select (CS) after RUN is complete"
        ".",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ_EN",
        "When operation writes data at toggle mode, this bit set to 0x1.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RUN",
        "The GPMI is busy running a command whenever this bit is set to 1.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "Set this bit 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set to 0 for normal operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL0_TOG.
static const field_t hw_gpmi_ctrl0_tog[] =
{
    {
        "XFER_COUNT",
        "Number of bytes to transfer for this command.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS_INCREMENT",
        "In ATA mode, the address will increment with each cycle.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS",
        "Specifies the three address lines for ATA mode.",
        17, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS",
        "Selects which chip select is active for this command.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "This bit should only be changed when RUN = 0.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMMAND_MODE",
        "WRITE = 0x0 Write mode.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UDMA",
        "DISABLED = 0x0 Use ATA-PIO mode on the external bus.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK_CS",
        "For ATA/NAND mode: 0 = Deassert chip select (CS) after RUN is complete"
        ".",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ_EN",
        "When operation writes data at toggle mode, this bit set to 0x1.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RUN",
        "The GPMI is busy running a command whenever this bit is set to 1.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "Set this bit 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set to 0 for normal operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_COMPARE.
static const field_t hw_gpmi_compare[] =
{
    {
        "REFERENCE",
        "16-bit value which is XORed with data read from the NAND device.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK",
        "16-bit mask which is applied after the read data is XORed with the REF"
        "ERENCE bit field.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_ECCCTRL.
static const field_t hw_gpmi_eccctrl[] =
{
    {
        "BUFFER_MASK",
        "ECC buffer information.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0x2.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ECC",
        "Enable ECC processing of GPMI transfers.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC_CMD",
        "ECC Command information.",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "This is a register available to software to attach an identifier to a "
        "transaction in progress.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_ECCCTRL_SET.
static const field_t hw_gpmi_eccctrl_set[] =
{
    {
        "BUFFER_MASK",
        "ECC buffer information.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0x2.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ECC",
        "Enable ECC processing of GPMI transfers.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC_CMD",
        "ECC Command information.",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "This is a register available to software to attach an identifier to a "
        "transaction in progress.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_ECCCTRL_CLR.
static const field_t hw_gpmi_eccctrl_clr[] =
{
    {
        "BUFFER_MASK",
        "ECC buffer information.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0x2.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ECC",
        "Enable ECC processing of GPMI transfers.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC_CMD",
        "ECC Command information.",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "This is a register available to software to attach an identifier to a "
        "transaction in progress.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_ECCCTRL_TOG.
static const field_t hw_gpmi_eccctrl_tog[] =
{
    {
        "BUFFER_MASK",
        "ECC buffer information.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0x2.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ECC",
        "Enable ECC processing of GPMI transfers.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC_CMD",
        "ECC Command information.",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "This is a register available to software to attach an identifier to a "
        "transaction in progress.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_ECCCOUNT.
static const field_t hw_gpmi_ecccount[] =
{
    {
        "COUNT",
        "Number of bytes to pass through ECC.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_PAYLOAD.
static const field_t hw_gpmi_payload[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADDRESS",
        "Pointer to an array of one or more 512 byte payload buffers.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_AUXILIARY.
static const field_t hw_gpmi_auxiliary[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADDRESS",
        "Pointer to ECC control structure and meta-data storage.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL1.
static const field_t hw_gpmi_ctrl1[] =
{
    {
        "GPMI_MODE",
        "ATA mode is only supported on channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAMERA_MODE",
        "When set to 1 and ATA UDMA is enabled the UDMA interface becomes a cam"
        "era interface.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATA_IRQRDY_POLARITY",
        "For ATA MODE: Note NAND_RDY_BUSY[3:2] are not affected by this bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_RESET",
        "ENABLED = 0x0 NANDF_WP_B(WPN) pin is held low (asserted).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_FOR_READY_CHANNEL",
        "Abort a wait for ready command on selected channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_REQUEST",
        "Request to abort \"wait for ready\" command on channel indicated by AB"
        "ORT_WAIT_FOR_READY_CHANNEL.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_EN",
        "When set to 1 each DMA request will generate a 4-transfer burst on the"
        " APB bus.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ",
        "This bit is set when a timeout occurs using the Device_Busy_Timeout va"
        "lue.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ",
        "This bit is set when an Interrupt is received from the ATA device.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA2ECC_MODE",
        "This bit is mainly for testing HWECC without involving the NAND device"
        ".",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDN_DELAY",
        "This variable is a factor in the calculated delay to apply to the inte"
        "rnal read strobe for correct read data sampling.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_PERIOD",
        "Set this bit to 1 if the GPMI clock period is greater than 16 ns for p"
        "roper DLL operation.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_ENABLE",
        "Set this bit to 1 to enable the GPMI DLL.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCH_MODE",
        "This bit selects which error correction unit will access GPMI.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GANGED_RDYBUSY",
        "Set this bit to 1 will force all NAND RDY_BUSY inputs to be sourced fr"
        "om (tied to) RDY_BUSY0.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ_EN",
        "Setting this bit to 1 will enable timeout IRQ for transfers in ATA mod"
        "e only, and for WAIT_FOR_READY commands in both ATA and NAND mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_TRIGGER",
        "Test Trigger Enable",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRN_DLY_SEL",
        "Since the GPMI write strobe (WRN) is a fast clock pin, the delay on th"
        "is signal can be programmed to match the load on this pin.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECOUPLE_CS",
        "Decouple Chip Select from DMA Channel.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNCMODE",
        "Source synchronous mode 1 or asynchronous mode 0.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPDATE_CS",
        "Force the CS value is be updated to external chip select pin, even GPM"
        "I is idle.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPMI_CLK_DIV2_EN",
        "This bit should be reset to 0 in asynchronous mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOGGLE_MODE",
        "Enable SAMSUNG toggle mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_CLK_STOP",
        "In ONFI source synchronous mode, host may save power during the data w"
        "rite cycles by holding the CLK signal high (for example, stopping the "
        "clock).",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNC_CLK_STOP",
        "Set this bit to 1 will stop the source synchronous mode clock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_CLK_STOP",
        "Set this bit to 1 will stop GPMI IO working clock.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL1_SET.
static const field_t hw_gpmi_ctrl1_set[] =
{
    {
        "GPMI_MODE",
        "ATA mode is only supported on channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAMERA_MODE",
        "When set to 1 and ATA UDMA is enabled the UDMA interface becomes a cam"
        "era interface.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATA_IRQRDY_POLARITY",
        "For ATA MODE: Note NAND_RDY_BUSY[3:2] are not affected by this bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_RESET",
        "ENABLED = 0x0 NANDF_WP_B(WPN) pin is held low (asserted).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_FOR_READY_CHANNEL",
        "Abort a wait for ready command on selected channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_REQUEST",
        "Request to abort \"wait for ready\" command on channel indicated by AB"
        "ORT_WAIT_FOR_READY_CHANNEL.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_EN",
        "When set to 1 each DMA request will generate a 4-transfer burst on the"
        " APB bus.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ",
        "This bit is set when a timeout occurs using the Device_Busy_Timeout va"
        "lue.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ",
        "This bit is set when an Interrupt is received from the ATA device.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA2ECC_MODE",
        "This bit is mainly for testing HWECC without involving the NAND device"
        ".",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDN_DELAY",
        "This variable is a factor in the calculated delay to apply to the inte"
        "rnal read strobe for correct read data sampling.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_PERIOD",
        "Set this bit to 1 if the GPMI clock period is greater than 16 ns for p"
        "roper DLL operation.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_ENABLE",
        "Set this bit to 1 to enable the GPMI DLL.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCH_MODE",
        "This bit selects which error correction unit will access GPMI.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GANGED_RDYBUSY",
        "Set this bit to 1 will force all NAND RDY_BUSY inputs to be sourced fr"
        "om (tied to) RDY_BUSY0.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ_EN",
        "Setting this bit to 1 will enable timeout IRQ for transfers in ATA mod"
        "e only, and for WAIT_FOR_READY commands in both ATA and NAND mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_TRIGGER",
        "Test Trigger Enable",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRN_DLY_SEL",
        "Since the GPMI write strobe (WRN) is a fast clock pin, the delay on th"
        "is signal can be programmed to match the load on this pin.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECOUPLE_CS",
        "Decouple Chip Select from DMA Channel.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNCMODE",
        "Source synchronous mode 1 or asynchronous mode 0.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPDATE_CS",
        "Force the CS value is be updated to external chip select pin, even GPM"
        "I is idle.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPMI_CLK_DIV2_EN",
        "This bit should be reset to 0 in asynchronous mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOGGLE_MODE",
        "Enable SAMSUNG toggle mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_CLK_STOP",
        "In ONFI source synchronous mode, host may save power during the data w"
        "rite cycles by holding the CLK signal high (for example, stopping the "
        "clock).",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNC_CLK_STOP",
        "Set this bit to 1 will stop the source synchronous mode clock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_CLK_STOP",
        "Set this bit to 1 will stop GPMI IO working clock.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL1_CLR.
static const field_t hw_gpmi_ctrl1_clr[] =
{
    {
        "GPMI_MODE",
        "ATA mode is only supported on channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAMERA_MODE",
        "When set to 1 and ATA UDMA is enabled the UDMA interface becomes a cam"
        "era interface.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATA_IRQRDY_POLARITY",
        "For ATA MODE: Note NAND_RDY_BUSY[3:2] are not affected by this bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_RESET",
        "ENABLED = 0x0 NANDF_WP_B(WPN) pin is held low (asserted).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_FOR_READY_CHANNEL",
        "Abort a wait for ready command on selected channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_REQUEST",
        "Request to abort \"wait for ready\" command on channel indicated by AB"
        "ORT_WAIT_FOR_READY_CHANNEL.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_EN",
        "When set to 1 each DMA request will generate a 4-transfer burst on the"
        " APB bus.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ",
        "This bit is set when a timeout occurs using the Device_Busy_Timeout va"
        "lue.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ",
        "This bit is set when an Interrupt is received from the ATA device.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA2ECC_MODE",
        "This bit is mainly for testing HWECC without involving the NAND device"
        ".",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDN_DELAY",
        "This variable is a factor in the calculated delay to apply to the inte"
        "rnal read strobe for correct read data sampling.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_PERIOD",
        "Set this bit to 1 if the GPMI clock period is greater than 16 ns for p"
        "roper DLL operation.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_ENABLE",
        "Set this bit to 1 to enable the GPMI DLL.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCH_MODE",
        "This bit selects which error correction unit will access GPMI.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GANGED_RDYBUSY",
        "Set this bit to 1 will force all NAND RDY_BUSY inputs to be sourced fr"
        "om (tied to) RDY_BUSY0.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ_EN",
        "Setting this bit to 1 will enable timeout IRQ for transfers in ATA mod"
        "e only, and for WAIT_FOR_READY commands in both ATA and NAND mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_TRIGGER",
        "Test Trigger Enable",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRN_DLY_SEL",
        "Since the GPMI write strobe (WRN) is a fast clock pin, the delay on th"
        "is signal can be programmed to match the load on this pin.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECOUPLE_CS",
        "Decouple Chip Select from DMA Channel.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNCMODE",
        "Source synchronous mode 1 or asynchronous mode 0.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPDATE_CS",
        "Force the CS value is be updated to external chip select pin, even GPM"
        "I is idle.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPMI_CLK_DIV2_EN",
        "This bit should be reset to 0 in asynchronous mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOGGLE_MODE",
        "Enable SAMSUNG toggle mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_CLK_STOP",
        "In ONFI source synchronous mode, host may save power during the data w"
        "rite cycles by holding the CLK signal high (for example, stopping the "
        "clock).",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNC_CLK_STOP",
        "Set this bit to 1 will stop the source synchronous mode clock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_CLK_STOP",
        "Set this bit to 1 will stop GPMI IO working clock.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL1_TOG.
static const field_t hw_gpmi_ctrl1_tog[] =
{
    {
        "GPMI_MODE",
        "ATA mode is only supported on channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAMERA_MODE",
        "When set to 1 and ATA UDMA is enabled the UDMA interface becomes a cam"
        "era interface.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATA_IRQRDY_POLARITY",
        "For ATA MODE: Note NAND_RDY_BUSY[3:2] are not affected by this bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_RESET",
        "ENABLED = 0x0 NANDF_WP_B(WPN) pin is held low (asserted).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_FOR_READY_CHANNEL",
        "Abort a wait for ready command on selected channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_REQUEST",
        "Request to abort \"wait for ready\" command on channel indicated by AB"
        "ORT_WAIT_FOR_READY_CHANNEL.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_EN",
        "When set to 1 each DMA request will generate a 4-transfer burst on the"
        " APB bus.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ",
        "This bit is set when a timeout occurs using the Device_Busy_Timeout va"
        "lue.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ",
        "This bit is set when an Interrupt is received from the ATA device.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA2ECC_MODE",
        "This bit is mainly for testing HWECC without involving the NAND device"
        ".",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDN_DELAY",
        "This variable is a factor in the calculated delay to apply to the inte"
        "rnal read strobe for correct read data sampling.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_PERIOD",
        "Set this bit to 1 if the GPMI clock period is greater than 16 ns for p"
        "roper DLL operation.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_ENABLE",
        "Set this bit to 1 to enable the GPMI DLL.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCH_MODE",
        "This bit selects which error correction unit will access GPMI.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GANGED_RDYBUSY",
        "Set this bit to 1 will force all NAND RDY_BUSY inputs to be sourced fr"
        "om (tied to) RDY_BUSY0.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ_EN",
        "Setting this bit to 1 will enable timeout IRQ for transfers in ATA mod"
        "e only, and for WAIT_FOR_READY commands in both ATA and NAND mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_TRIGGER",
        "Test Trigger Enable",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRN_DLY_SEL",
        "Since the GPMI write strobe (WRN) is a fast clock pin, the delay on th"
        "is signal can be programmed to match the load on this pin.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECOUPLE_CS",
        "Decouple Chip Select from DMA Channel.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNCMODE",
        "Source synchronous mode 1 or asynchronous mode 0.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPDATE_CS",
        "Force the CS value is be updated to external chip select pin, even GPM"
        "I is idle.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPMI_CLK_DIV2_EN",
        "This bit should be reset to 0 in asynchronous mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOGGLE_MODE",
        "Enable SAMSUNG toggle mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_CLK_STOP",
        "In ONFI source synchronous mode, host may save power during the data w"
        "rite cycles by holding the CLK signal high (for example, stopping the "
        "clock).",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNC_CLK_STOP",
        "Set this bit to 1 will stop the source synchronous mode clock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_CLK_STOP",
        "Set this bit to 1 will stop GPMI IO working clock.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_TIMING0.
static const field_t hw_gpmi_timing0[] =
{
    {
        "DATA_SETUP",
        "Data bus setup time in GPMICLK cycles.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_HOLD",
        "Data bus hold time in GPMICLK cycles.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS_SETUP",
        "Number of GPMICLK cycles that the CE /ADDR signals are active before a"
        " strobe is asserted.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_TIMING1.
static const field_t hw_gpmi_timing1[] =
{
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEVICE_BUSY_TIMEOUT",
        "Timeout waiting for NAND Ready / Busy or ATA IRQ.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_TIMING2.
static const field_t hw_gpmi_timing2[] =
{
    {
        "DATA_PAUSE",
        "GPMI delay time from data pause to data resume in GPMICLK cycles.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMDADD_PAUSE",
        "GPMI delay time from command or address pause to command or address re"
        "sume in GPMICLK cycles.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POSTAMBLE_DELAY",
        "GPMI post-amble delay in GPMICLK cycles.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PREAMBLE_DELAY",
        "GPMI pre-amble delay in GPMICLK cycles.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CE_DELAY",
        "GPMI delay from CEn assert to W/Rn changing edge.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        21, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "READ_LATENCY",
        "This field is for double data rate read latency configuration.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCR",
        "Only for Toggle NAND timing control delay (TCR + 1) GPMICLK cycles for"
        " CEn_B low to RE_B low, 0 is less than or equal to TCR, which is less "
        "than the PREAMBLE_DELAY.",
        27, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRPSTH",
        "Only for Toggle NAND timing control delay TRPSTH GPMICLK cycles for CE"
        "n_B high to RE_B high, A value of 0 is interpreted as 8.",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_DATA.
static const field_t hw_gpmi_data[] =
{
    {
        "DATA",
        "In 8-bit mode, one, two, three or four bytes can be accessed to send t"
        "he same number of bus cycles.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_STAT.
static const field_t hw_gpmi_stat[] =
{
    {
        "PRESENT",
        "UNAVAILABLE = 0x0 GPMI is not present in this product.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO_FULL",
        "NOT_FULL = 0x0 FIFO is not full.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO_EMPTY",
        "NOT_EMPTY = 0x0 FIFO is not empty.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "INVALID_BUFFER_MASK",
        "Buffer Mask Validity bit.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ATA_IRQ",
        "Status of the ATA_IRQ input pin.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV0_ERROR",
        "DMA channel 0 (Timeout or compare failure, depending on COMMAND_MODE).",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV1_ERROR",
        "DMA channel 1 (Timeout or compare failure, depending on COMMAND_MODE).",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV2_ERROR",
        "DMA channel 2 (Timeout or compare failure, depending on COMMAND_MODE).",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV3_ERROR",
        "DMA channel 3 (Timeout or compare failure, depending on COMMAND_MODE).",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV4_ERROR",
        "DMA channel 4 (Timeout or compare failure, depending on COMMAND_MODE).",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV5_ERROR",
        "DMA channel 5 (Timeout or compare failure, depending on COMMAND_MODE).",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV6_ERROR",
        "DMA channel 6 (Timeout or compare failure, depending on COMMAND_MODE).",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV7_ERROR",
        "DMA channel 7 (Timeout or compare failure, depending on COMMAND_MODE).",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RDY_TIMEOUT",
        "State of the RDY / BUSY Timeout Flags.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "READY_BUSY",
        "Read only view of NAND READY_BUSY Input pins.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_DEBUG.
static const field_t hw_gpmi_debug[] =
{
    {
        "CMD_END",
        "Read only view of the Command End toggle signals to DMA.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DMAREQ",
        "Read only view of DMA request line for eight DMA channels.",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DMA_SENSE",
        "Read only view of sense state of the 8 DMA channels.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT_FOR_READY_END",
        "Read only view of the Wait_For_Ready End toggle signals to DMA.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_VERSION.
static const field_t hw_gpmi_version[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value reflecting the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value reflecting the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_DEBUG2.
static const field_t hw_gpmi_debug2[] =
{
    {
        "RDN_TAP",
        "This is the DLL tap calculated by the DLL controller.",
        0, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UPDATE_WINDOW",
        "A 1 indicates that the DLL is busy generating the required delay.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VIEW_DELAYED_RDN",
        "Set to a 1 to select the delayed feedback RE_B to drive the GPMI_ADDR["
        "0] (NAND CLE) pin.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYND2GPMI_READY",
        "Data handshake with input from BCH.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SYND2GPMI_VALID",
        "Data handshake with input from BCH.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPMI2SYND_READY",
        "Data handshake with output to BCH.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPMI2SYND_VALID",
        "Data handshake with output to BCH.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SYND2GPMI_BE",
        "Data byte enable input from BCH.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAIN_STATE",
        "parameter MSM_IDLE = 4'h0, MSM_BYTCNT = 4'h1, MSM_WAITFE = 4'h2, MSM_W"
        "AITFR = 4'h3, MSM_DMAREQ = 4'h4, MSM_DMAACK = 4'h5, MSM_WAITFF = 4'h6,"
        " MSM_LDFIFO = 4'h7, MSM_LDDMAR = 4'h8, MSM_RDCMP = 4'h9, MSM_DONE = 4'"
        "hA.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PIN_STATE",
        "parameter PSM_IDLE = 3'h0, PSM_BYTCNT = 3'h1, PSM_ADDR = 3'h2, PSM_STA"
        "LL = 3'h3, PSM_STROBE = 3'h4, PSM_ATARDY = 3'h5, PSM_DHOLD = 3'h6, PSM"
        "_DONE = 3'h7.",
        20, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY",
        "When asserted the GPMI is busy.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UDMA_STATE",
        "USM_IDLE = 4'h0, idle USM_DMARQ = 4'h1, DMA request USM_ACK = 4'h2, DM"
        "A ACK USM_FIFO_E = 4'h3, FIFO empty USM_WPAUSE = 4'h4, WR DMA Paused b"
        "y device USM_TSTRB = 4'h5, Toggle HSTROBE USM_CAPTUR = 4'h6, Capture S"
        "tage, (data sampled with DSTROBE is valid) USM_DATOUT = 4'h7, Change B"
        "urst DATAOUT USM_CRC = 4'h8, Source CRC to Device USM_WAIT_R = 4'h9, W"
        "aiting for DDMARDY- USM_END = 4'ha; Negate DMAACK (end of DMA) USM_WAI"
        "T_S = 4'hb, Waiting for DSTROBE USM_RPAUSE = 4'hc, Rd DMA Paused by Ho"
        "st USM_RSTOP = 4'hd, Rd DMA Stopped by Host USM_WTERM = 4'he, Wr DMA T"
        "ermination State USM_RTERM = 4'hf, Rd DMA Termination state",
        24, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_DEBUG3.
static const field_t hw_gpmi_debug3[] =
{
    {
        "DEV_WORD_CNTR",
        "Reflects the number of bytes remains to be transferred on the ATA / NA"
        "ND bus.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_WORD_CNTR",
        "Reflects the number of bytes remains to be transferred on the APB bus.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_READ_DDR_DLL_CTRL.
static const field_t hw_gpmi_read_ddr_dll_ctrl[] =
{
    {
        "ENABLE",
        "Set this bit to 1 to enable the DLL and delay chain; otherwise, set 0 "
        "to bypasses DLL.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET",
        "Setting this bit to 1, force a reset on DLL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_FORCE_UPD",
        "Setting this bit to 1, forces the slave delay line to update to the DL"
        "L calibrated value immediately.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_DLY_TARGET",
        "The delay target for the read clock can be programmed in 1/16th increm"
        "ents of an GPMICLK half-period.",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GATE_UPDATE",
        "Setting this bit to 1, forces the slave delay line is not updated.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFCLK_ON",
        "Set this bit to 1, it will turn on the reference clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_OVERRIDE",
        "Set this bit to 1, it enable manual override for slave delay chain wit"
        "h using SLV_OVERRIDE_VAL; to set 0 to disable manual override.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_OVERRIDE_VAL",
        "When SLV_OVERRIDE = 1 This field is used to select one of 256 physical"
        " taps manually.",
        10, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        18, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SLV_UPDATE_INT",
        "Setting a value greater than 0 in this field, shall over-ride the defa"
        "ult slave delay-line update interval of 256 GPMICLK cycles.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REF_UPDATE_INT",
        "This field allows the user to add additional delay cycles to the DLL c"
        "ontrol loop (reference delay line control).",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_READ_DDR_DLL_STS.
static const field_t hw_gpmi_read_ddr_dll_sts[] =
{
    {
        "SLV_LOCK",
        "Slave delay-line lock status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SLV_SEL",
        "Slave delay line select status",
        1, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REF_LOCK",
        "Reference DLL lock status.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REF_SEL",
        "Reference delay line select status.",
        17, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a GPMI module.
static const reg_t hw_gpmi[] =
{
    {
        "CTRL0",
        "The GPMI control register 0 specifies the GPMI transaction to perform "
        "for the current command chain item.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_gpmi_ctrl0
    },
    {
        "CTRL0_SET",
        "The GPMI control register 0 specifies the GPMI transaction to perform "
        "for the current command chain item.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_gpmi_ctrl0_set
    },
    {
        "CTRL0_CLR",
        "The GPMI control register 0 specifies the GPMI transaction to perform "
        "for the current command chain item.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_gpmi_ctrl0_clr
    },
    {
        "CTRL0_TOG",
        "The GPMI control register 0 specifies the GPMI transaction to perform "
        "for the current command chain item.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_gpmi_ctrl0_tog
    },
    {
        "COMPARE",
        "The GPMI compare register specifies the expect data and the xor mask f"
        "or comparing with the status values read from the device.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpmi_compare
    },
    {
        "ECCCTRL",
        "The GPMI ECC control register handles configuration of the integrated "
        "ECC / Randomizer accelerator.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpmi_eccctrl
    },
    {
        "ECCCTRL_SET",
        "The GPMI ECC control register handles configuration of the integrated "
        "ECC / Randomizer accelerator.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpmi_eccctrl_set
    },
    {
        "ECCCTRL_CLR",
        "The GPMI ECC control register handles configuration of the integrated "
        "ECC / Randomizer accelerator.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpmi_eccctrl_clr
    },
    {
        "ECCCTRL_TOG",
        "The GPMI ECC control register handles configuration of the integrated "
        "ECC / Randomizer accelerator.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpmi_eccctrl_tog
    },
    {
        "ECCCOUNT",
        "The GPMI ECC Transfer Count Register contains the count of bytes that "
        "flow through the ECC / Randomizer sub­system.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpmi_ecccount
    },
    {
        "PAYLOAD",
        "The GPMI payload address register specifies the location of the data b"
        "uffers in system memory.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpmi_payload
    },
    {
        "AUXILIARY",
        "The GPMI auxiliary address register specifies the location of the auxi"
        "liary buffers in system memory.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpmi_auxiliary
    },
    {
        "CTRL1",
        "The GPMI control register 1 specifies additional control fields that a"
        "re not used on a per-transaction basis.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_gpmi_ctrl1
    },
    {
        "CTRL1_SET",
        "The GPMI control register 1 specifies additional control fields that a"
        "re not used on a per-transaction basis.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_gpmi_ctrl1_set
    },
    {
        "CTRL1_CLR",
        "The GPMI control register 1 specifies additional control fields that a"
        "re not used on a per-transaction basis.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_gpmi_ctrl1_clr
    },
    {
        "CTRL1_TOG",
        "The GPMI control register 1 specifies additional control fields that a"
        "re not used on a per-transaction basis.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_gpmi_ctrl1_tog
    },
    {
        "TIMING0",
        "The GPMI timing register 0 specifies the timing parameters that are us"
        "ed by the cycle state machine to guarantee the various setup, hold and"
        " cycle times for the external media type.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpmi_timing0
    },
    {
        "TIMING1",
        "The GPMI timing register 1 specifies the timeouts used when monitoring"
        " the NAND READY pin or the ATA IRQ and IOWAIT signals.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpmi_timing1
    },
    {
        "TIMING2",
        "The GPMI timing register 2 specifies the double data rate timing param"
        "eters that are used by the cycle state machine to guarantee the variou"
        "s cs delay, pre-amble delay, post-amble delay, command / address delay"
        ", data delay, TCR, TRPSTH, and read latency cycle times for the extern"
        "al media type.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_gpmi_timing2
    },
    {
        "DATA",
        "The GPMI DMA data transfer register is used by the DMA to read or writ"
        "e data to or from the ATA / NAND control state machine.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpmi_data
    },
    {
        "STAT",
        "The GPMI control and status register provides a read back path for var"
        "ious operational states of the GPMI controller.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        false, // Writable
        16, // Number of bitfields
        hw_gpmi_stat
    },
    {
        "DEBUG",
        "The GPMI debug information register provides a read back path for diag"
        "nostics to determine the current operating state of the GPMI controlle"
        "r.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_gpmi_debug
    },
    {
        "VERSION",
        "This register reflects the version number for the GPMI.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_gpmi_version
    },
    {
        "DEBUG2",
        "The GPMI Debug2 information register provides a read back path for dia"
        "gnostics to determine the current operating state of the GPMI controll"
        "er.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_gpmi_debug2
    },
    {
        "DEBUG3",
        "The GPMI Debug3 information register provides a read back path for dia"
        "gnostics to determine the cur­rent operating state of the GPMI contro"
        "ller.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_gpmi_debug3
    },
    {
        "READ_DDR_DLL_CTRL",
        "GPMI DDR Read Delay Loop Lock Control Register.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_gpmi_read_ddr_dll_ctrl
    },
    {
        "READ_DDR_DLL_STS",
        "GPMI Double Rate Read DLL Status Register, Read Only.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        false, // Writable
        6, // Number of bitfields
        hw_gpmi_read_ddr_dll_sts
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark GPT
#endif

// Bitfields in register GPT_CR.
static const field_t hw_gpt_cr[] =
{
    {
        "EN",
        "GPT Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENMOD",
        "GPT Enable mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGEN",
        "GPT debug mode enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAITEN",
        "GPT Wait Mode enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOZEEN",
        "GPT Doze Mode Enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOPEN",
        "GPT Stop Mode enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKSRC",
        "Clock Source select.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRR",
        "Free-Run or Restart mode.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_24M",
        "Enable 24MHz clock input from crystal.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWR",
        "Software reset.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IM1",
        "See IM2",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IM2",
        "IM2 (bits 19-18, Input Capture Channel 2 operating mode) IM1 (bits 17-"
        "16, Input Capture Channel 1 operating mode) The IMn bit field determin"
        "es the transition on the input pin (for Input capture channel n), whic"
        "h will trigger a capture event.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OM1",
        "See OM3",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OM2",
        "See OM3",
        23, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OM3",
        "OM3 (bits 28-26) controls the Output Compare Channel 3 operating mode.",
        26, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FO1",
        "See F03",
        29, // LSB
        29, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FO2",
        "See F03",
        30, // LSB
        30, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FO3",
        "FO3 Force Output Compare Channel 3 FO2 Force Output Compare Channel 2 "
        "FO1 Force Output Compare Channel 1 The FOn bit causes the pin action p"
        "rogrammed for the timer Output Compare n pin (according to the OMn bit"
        "s in this register).",
        31, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_PR.
static const field_t hw_gpt_pr[] =
{
    {
        "PRESCALER",
        "Prescaler bits.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRESCALER24M",
        "Prescaler bits.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_SR.
static const field_t hw_gpt_sr[] =
{
    {
        "OF1",
        "See OF3",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OF2",
        "See OF3",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OF3",
        "OF3 Output Compare 3 Flag OF2 Output Compare 2 Flag OF1 Output Compare"
        " 1 Flag The OFn bit indicates that a compare event has occurred on Out"
        "put Compare channel n.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IF1",
        "See IF2",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IF2",
        "IF2 Input capture 2 Flag IF1 Input capture 1 Flag The IFn bit indicate"
        "s that a capture event has occurred on Input Capture channel n.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROV",
        "Rollover Flag.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_IR.
static const field_t hw_gpt_ir[] =
{
    {
        "OF1IE",
        "See OF3IE",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OF2IE",
        "See OF3IE",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OF3IE",
        "OF3IE Output Compare 3 Interrupt Enable OF2IE Output Compare 2 Interru"
        "pt Enable OF1IE Output Compare 1 Interrupt Enable The OFnIE bit contro"
        "ls the Output Compare Channel n interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IF1IE",
        "See IF2IE",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IF2IE",
        "IF2IE Input capture 2 Interrupt Enable IF1IE Input capture 1 Interrupt"
        " Enable The IFnIE bit controls the IFnIE Input Capture n Interrupt Ena"
        "ble.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROVIE",
        "Rollover Interrupt Enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_OCR1.
static const field_t hw_gpt_ocr1[] =
{
    {
        "COMP",
        "Compare Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_OCR2.
static const field_t hw_gpt_ocr2[] =
{
    {
        "COMP",
        "Compare Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_OCR3.
static const field_t hw_gpt_ocr3[] =
{
    {
        "COMP",
        "Compare Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_ICR1.
static const field_t hw_gpt_icr1[] =
{
    {
        "CAPT",
        "Capture Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_ICR2.
static const field_t hw_gpt_icr2[] =
{
    {
        "CAPT",
        "Capture Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_CNT.
static const field_t hw_gpt_cnt[] =
{
    {
        "COUNT",
        "Counter Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a GPT module.
static const reg_t hw_gpt[] =
{
    {
        "CR",
        "The GPT Control Register (GPT_CR) is used to program and configure GPT"
        " operations.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_gpt_cr
    },
    {
        "PR",
        "The GPT Prescaler Register (GPT_PR) contains bits that determine the d"
        "ivide value of the clock that runs the counter.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpt_pr
    },
    {
        "SR",
        "The GPT Status Register (GPT_SR) contains bits that indicate that a co"
        "unter has rolled over, and if any event has occurred on the Input Capt"
        "ure and Output Compare channels.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpt_sr
    },
    {
        "IR",
        "The GPT Interrupt Register (GPT_IR) contains bits that control whether"
        " interrupts are generated after rollover, input capture and output com"
        "pare events.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpt_ir
    },
    {
        "OCR1",
        "The GPT Compare Register 1 (GPT_OCR1) holds the value that determines "
        "when a compare event will be generated on Output Compare Channel 1.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpt_ocr1
    },
    {
        "OCR2",
        "The GPT Compare Register 2 (GPT_OCR2) holds the value that determines "
        "when a compare event will be generated on Output Compare Channel 2.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpt_ocr2
    },
    {
        "OCR3",
        "The GPT Compare Register 3 (GPT_OCR3) holds the value that determines "
        "when a compare event will be generated on Output Compare Channel 3.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpt_ocr3
    },
    {
        "ICR1",
        "The GPT Input Capture Register 1 (GPT_ICR1) is a read-only register th"
        "at holds the value that was in the counter during the last capture eve"
        "nt on Input Capture Channel 1.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpt_icr1
    },
    {
        "ICR2",
        "The GPT Input capture Register 2 (GPT_ICR2) is a read-only register wh"
        "ich holds the value that was in the counter during the last capture ev"
        "ent on input capture channel 2.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpt_icr2
    },
    {
        "CNT",
        "The GPT Counter Register (GPT_CNT) is the main counter's register.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpt_cnt
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark I2C
#endif

// Bitfields in register I2C_IADR.
static const field_t hw_i2c_iadr[] =
{
    {
        "ADR",
        "Slave address.",
        1, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2C_IFDR.
static const field_t hw_i2c_ifdr[] =
{
    {
        "IC",
        "I2C clock rate.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2C_I2CR.
static const field_t hw_i2c_i2cr[] =
{
    {
        "RSTA",
        "Repeat start.",
        2, // LSB
        2, // MSB
        false, // Readable
        false // Writable
    },
    {
        "TXAK",
        "Transmit acknowledge enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MTX",
        "Transmit/Receive mode select bit.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSTA",
        "Master/Slave mode select bit.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IIEN",
        "I2C interrupt enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IEN",
        "I2C enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2C_I2SR.
static const field_t hw_i2c_i2sr[] =
{
    {
        "RXAK",
        "Received acknowledge.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IIF",
        "I2C interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRW",
        "Slave read/write.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IAL",
        "Arbitration lost.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IBB",
        "I2C bus busy bit.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IAAS",
        "I2C addressed as a slave bit.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ICF",
        "Data transferring bit.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2C_I2DR.
static const field_t hw_i2c_i2dr[] =
{
    {
        "DATA",
        "Data Byte.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a I2C module.
static const reg_t hw_i2c[] =
{
    {
        "IADR",
        "",
        2, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2c_iadr
    },
    {
        "IFDR",
        "The I2C_IFDR provides a programmable prescaler to configure the clock "
        "for bit-rate selection.",
        2, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2c_ifdr
    },
    {
        "I2CR",
        "The I2C_I2CR is used to enable the I2C and the I2C interrupt.",
        2, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_i2c_i2cr
    },
    {
        "I2SR",
        "The I2C_I2SR contains bits that indicate transaction direction and sta"
        "tus.",
        2, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_i2c_i2sr
    },
    {
        "I2DR",
        "In Master Receive mode, reading the data register allows a read to occ"
        "ur and initiates the next byte to be received.",
        2, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2c_i2dr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark I2S
#endif

// Bitfields in register I2S_TCSR.
static const field_t hw_i2s_tcsr[] =
{
    {
        "FRDE",
        "Enables/disables DMA requests.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWDE",
        "Enables/disables DMA requests.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRIE",
        "Enables/disables FIFO request interrupts.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWIE",
        "Enables/disables FIFO warning interrupts.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FEIE",
        "Enables/disables FIFO error interrupts.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEIE",
        "Enables/disables sync error interrupts.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSIE",
        "Enables/disables word start interrupts.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRF",
        "Indicates that the number of words in an enabled transmit channel FIFO"
        " is less than or equal to the transmit FIFO watermark.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FWF",
        "Indicates that an enabled transmit FIFO is empty.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FEF",
        "Indicates that an enabled transmit FIFO has underrun.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEF",
        "Indicates that an error in the externally-generated frame sync has bee"
        "n detected.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSF",
        "Indicates that the start of the configured word has been detected.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SR",
        "When set, resets the internal transmitter logic including the FIFO poi"
        "nters.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FR",
        "Resets the FIFO pointers.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BCE",
        "Enables the transmit bit clock, separately from the TE.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGE",
        "Enables/disables transmitter operation in Debug mode.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOPE",
        "Configures transmitter operation in Stop mode.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TE",
        "Enables/disables the transmitter.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_TCR1.
static const field_t hw_i2s_tcr1[] =
{
    {
        "TFW",
        "Configures the watermark level for all enabled transmit channels.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_TCR2.
static const field_t hw_i2s_tcr2[] =
{
    {
        "DIV",
        "Divides down the audio master clock to generate the bit clock when con"
        "figured for an internal bit clock.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCD",
        "Configures the direction of the bit clock.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCP",
        "Configures the polarity of the bit clock.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSEL",
        "Selects the audio Master Clock option used to generate an internally g"
        "enerated bit clock.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCI",
        "When this field is set and using an internally generated bit clock in "
        "either synchronous or asynchronous mode, the bit clock actually used b"
        "y the transmitter is delayed by the pad output delay (the transmitter "
        "is clocked by the pad input as if the clock was externally generated).",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCS",
        "This field swaps the bit clock used by the transmitter.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNC",
        "Configures between asynchronous and synchronous modes of operation.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_TCR3.
static const field_t hw_i2s_tcr3[] =
{
    {
        "WDFL",
        "Configures which word sets the start of word flag.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE",
        "Enables the corresponding data channel for transmit operation.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_TCR4.
static const field_t hw_i2s_tcr4[] =
{
    {
        "FSD",
        "Configures the direction of the frame sync.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSP",
        "Configures the polarity of the frame sync.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSE",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF",
        "Configures whether the LSB or the MSB is transmitted first.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYWD",
        "Configures the length of the frame sync in number of bit clocks.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRSZ",
        "Configures the number of words in each frame.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_TCR5.
static const field_t hw_i2s_tcr5[] =
{
    {
        "FBT",
        "Configures the bit index for the first bit transmitted for each word i"
        "n the frame.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "W0W",
        "Configures the number of bits in the first word in each frame.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WNW",
        "Configures the number of bits in each word, for each word except the f"
        "irst in the frame.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_TDR0.
static const field_t hw_i2s_tdr0[] =
{
    {
        "TDR",
        "The corresponding TCR3[TCE] bit must be set before accessing the chann"
        "el's transmit data register.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_TFR0.
static const field_t hw_i2s_tfr0[] =
{
    {
        "RFP",
        "FIFO read pointer for transmit data channel.",
        0, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for transmit data channel.",
        16, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_TMR.
static const field_t hw_i2s_tmr[] =
{
    {
        "TWM",
        "Configures whether the transmit word is masked (transmit data pin tris"
        "tated and transmit data not read from FIFO) for the corresponding word"
        " in the frame.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_RCSR.
static const field_t hw_i2s_rcsr[] =
{
    {
        "FRDE",
        "Enables/disables DMA requests.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWDE",
        "Enables/disables DMA requests.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRIE",
        "Enables/disables FIFO request interrupts.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWIE",
        "Enables/disables FIFO warning interrupts.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FEIE",
        "Enables/disables FIFO error interrupts.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEIE",
        "Enables/disables sync error interrupts.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSIE",
        "Enables/disables word start interrupts.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRF",
        "Indicates that the number of words in an enabled receive channel FIFO "
        "is greater than the receive FIFO watermark.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FWF",
        "Indicates that an enabled receive FIFO is full.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FEF",
        "Indicates that an enabled receive FIFO has overflowed.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEF",
        "Indicates that an error in the externally-generated frame sync has bee"
        "n detected.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSF",
        "Indicates that the start of the configured word has been detected.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SR",
        "Resets the internal receiver logic including the FIFO pointers.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FR",
        "Resets the FIFO pointers.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BCE",
        "Enables the receive bit clock, separately from RE.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGE",
        "Enables/disables receiver operation in Debug mode.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOPE",
        "Configures receiver operation in Stop mode.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RE",
        "Enables/disables the receiver.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_RCR1.
static const field_t hw_i2s_rcr1[] =
{
    {
        "RFW",
        "Configures the watermark level for all enabled receiver channels.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_RCR2.
static const field_t hw_i2s_rcr2[] =
{
    {
        "DIV",
        "Divides down the audio master clock to generate the bit clock when con"
        "figured for an internal bit clock.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCD",
        "Configures the direction of the bit clock.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCP",
        "Configures the polarity of the bit clock.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSEL",
        "Selects the audio Master Clock option used to generate an internally g"
        "enerated bit clock.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCI",
        "When this field is set and using an internally generated bit clock in "
        "either synchronous or asynchronous mode, the bit clock actually used b"
        "y the receiver is delayed by the pad output delay (the receiver is clo"
        "cked by the pad input as if the clock was externally generated).",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCS",
        "This field swaps the bit clock used by the receiver.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNC",
        "Configures between asynchronous and synchronous modes of operation.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_RCR3.
static const field_t hw_i2s_rcr3[] =
{
    {
        "WDFL",
        "Configures which word the start of word flag is set.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCE",
        "Enables the corresponding data channel for receive operation.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_RCR4.
static const field_t hw_i2s_rcr4[] =
{
    {
        "FSD",
        "Configures the direction of the frame sync.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSP",
        "Configures the polarity of the frame sync.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSE",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF",
        "Configures whether the LSB or the MSB is received first.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYWD",
        "Configures the length of the frame sync in number of bit clocks.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRSZ",
        "Configures the number of words in each frame.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_RCR5.
static const field_t hw_i2s_rcr5[] =
{
    {
        "FBT",
        "Configures the bit index for the first bit received for each word in t"
        "he frame.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "W0W",
        "Configures the number of bits in the first word in each frame.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WNW",
        "Configures the number of bits in each word, for each word except the f"
        "irst in the frame.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_RDR0.
static const field_t hw_i2s_rdr0[] =
{
    {
        "RDR",
        "The corresponding RCR3[RCE] bit must be set before accessing the chann"
        "el's receive data register.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_RFR0.
static const field_t hw_i2s_rfr0[] =
{
    {
        "RFP",
        "FIFO read pointer for receive data channel.",
        0, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for receive data channel.",
        16, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2S_RMR.
static const field_t hw_i2s_rmr[] =
{
    {
        "RWM",
        "Configures whether the receive word is masked (received data ignored a"
        "nd not written to receive FIFO) for the corresponding word in the fram"
        "e.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a I2S module.
static const reg_t hw_i2s[] =
{
    {
        "TCSR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_i2s_tcsr
    },
    {
        "TCR1",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2s_tcr1
    },
    {
        "TCR2",
        "This register must not be altered when TCSR[TE] is set.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_i2s_tcr2
    },
    {
        "TCR3",
        "This register must not be altered when TCSR[TE] is set.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_i2s_tcr3
    },
    {
        "TCR4",
        "This register must not be altered when TCSR[TE] is set.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_i2s_tcr4
    },
    {
        "TCR5",
        "This register must not be altered when TCSR[TE] is set.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_i2s_tcr5
    },
    {
        "TDR0",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        false, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2s_tdr0
    },
    {
        "TFR0",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_i2s_tfr0
    },
    {
        "TMR",
        "This register is double-buffered and updates: When TCSR[TE] is first s"
        "et At the end of each frame.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2s_tmr
    },
    {
        "RCSR",
        "",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_i2s_rcsr
    },
    {
        "RCR1",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2s_rcr1
    },
    {
        "RCR2",
        "This register must not be altered when RCSR[RE] is set.",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_i2s_rcr2
    },
    {
        "RCR3",
        "This register must not be altered when RCSR[RE] is set.",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_i2s_rcr3
    },
    {
        "RCR4",
        "This register must not be altered when RCSR[RE] is set.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_i2s_rcr4
    },
    {
        "RCR5",
        "This register must not be altered when RCSR[RE] is set.",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_i2s_rcr5
    },
    {
        "RDR0",
        "Reading this register introduces one additional peripheral clock wait "
        "state on each read.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_i2s_rdr0
    },
    {
        "RFR0",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_i2s_rfr0
    },
    {
        "RMR",
        "This register is double-buffered and updates: When RCSR[RE] is first s"
        "et At the end of each frame This allows the masked words in each frame"
        " to change from frame to frame.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2s_rmr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark IOMUXC
#endif

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO08.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io08[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: GPIO1_IO08.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO09.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io09[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: GPIO1_IO09.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO10.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io10[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: GPIO1_IO10.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO11.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io11[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: GPIO1_IO11.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO12.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io12[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: GPIO1_IO12.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO13.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io13[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: GPIO1_IO13.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO14.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io14[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: GPIO1_IO14.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO15.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io15[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: GPIO1_IO15.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA00.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data00[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_DATA00.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA01.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data01[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_DATA01.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA02.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data02[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_DATA02.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA03.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data03[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_DATA03.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA04.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data04[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_DATA04.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA05.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data05[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_DATA05.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA06.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data06[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_DATA06.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA07.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data07[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_DATA07.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA08.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data08[] =
{
    {
        "MUX_MODE",
        "Select 1 of 9 iomux modes to be used for pad: EPDC_DATA08.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA09.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data09[] =
{
    {
        "MUX_MODE",
        "Select 1 of 9 iomux modes to be used for pad: EPDC_DATA09.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA10.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data10[] =
{
    {
        "MUX_MODE",
        "Select 1 of 9 iomux modes to be used for pad: EPDC_DATA10.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA11.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data11[] =
{
    {
        "MUX_MODE",
        "Select 1 of 9 iomux modes to be used for pad: EPDC_DATA11.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA12.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data12[] =
{
    {
        "MUX_MODE",
        "Select 1 of 9 iomux modes to be used for pad: EPDC_DATA12.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA13.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data13[] =
{
    {
        "MUX_MODE",
        "Select 1 of 9 iomux modes to be used for pad: EPDC_DATA13.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA14.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data14[] =
{
    {
        "MUX_MODE",
        "Select 1 of 9 iomux modes to be used for pad: EPDC_DATA14.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_DATA15.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_data15[] =
{
    {
        "MUX_MODE",
        "Select 1 of 9 iomux modes to be used for pad: EPDC_DATA15.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_SDCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_sdclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_SDCLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_SDLE.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_sdle[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_SDLE.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_SDOE.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_sdoe[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_SDOE.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_SDSHR.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_sdshr[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_SDSHR.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_SDCE0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_sdce0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: EPDC_SDCE0.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_SDCE1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_sdce1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_SDCE1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_SDCE2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_sdce2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_SDCE2.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_SDCE3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_sdce3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_SDCE3.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_GDCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_gdclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_GDCLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_GDOE.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_gdoe[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_GDOE.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_GDRL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_gdrl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: EPDC_GDRL.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_GDSP.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_gdsp[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: EPDC_GDSP.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_BDR0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_bdr0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: EPDC_BDR0.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_BDR1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_bdr1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: EPDC_BDR1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_PWR_COM.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_pwr_com[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: EPDC_PWR_COM.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_EPDC_PWR_STAT.
static const field_t hw_iomuxc_sw_mux_ctl_pad_epdc_pwr_stat[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: EPDC_PWR_STAT.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_CLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_clk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_CLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_ENABLE.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_enable[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_ENABLE.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_HSYNC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_hsync[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_HSYNC.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_VSYNC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_vsync[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_VSYNC.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_RESET.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_reset[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_RESET.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA00.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data00[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA00.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA01.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data01[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA01.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA02.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data02[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA02.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA03.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data03[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA03.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA04.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data04[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA04.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA05.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data05[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA05.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA06.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data06[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA06.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA07.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data07[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA07.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA08.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data08[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA08.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA09.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data09[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA09.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA10.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data10[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA10.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA11.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data11[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA11.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA12.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data12[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA12.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA13.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data13[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA13.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA14.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data14[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA14.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA15.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data15[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA15.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA16.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data16[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA16.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA17.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data17[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA17.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA18.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data18[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA18.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA19.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data19[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: LCD_DATA19.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA20.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data20[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA20.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA21.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data21[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA21.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA22.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data22[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA22.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_LCD_DATA23.
static const field_t hw_iomuxc_sw_mux_ctl_pad_lcd_data23[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: LCD_DATA23.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART1_RX_DATA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart1_rx_data[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: UART1_RX_DATA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART1_TX_DATA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart1_tx_data[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: UART1_TX_DATA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART2_RX_DATA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart2_rx_data[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: UART2_RX_DATA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART2_TX_DATA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart2_tx_data[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: UART2_TX_DATA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART3_RX_DATA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart3_rx_data[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: UART3_RX_DATA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART3_TX_DATA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart3_tx_data[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: UART3_TX_DATA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART3_RTS_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart3_rts_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: UART3_RTS_B.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART3_CTS_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart3_cts_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: UART3_CTS_B.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C1_SCL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c1_scl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: I2C1_SCL.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C1_SDA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c1_sda[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: I2C1_SDA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C2_SCL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c2_scl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: I2C2_SCL.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C2_SDA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c2_sda[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: I2C2_SDA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C3_SCL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c3_scl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: I2C3_SCL.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C3_SDA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c3_sda[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: I2C3_SDA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C4_SCL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c4_scl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: I2C4_SCL.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C4_SDA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c4_sda[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: I2C4_SDA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI1_SCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi1_sclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: ECSPI1_SCLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI1_MOSI.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi1_mosi[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ECSPI1_MOSI.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI1_MISO.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi1_miso[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ECSPI1_MISO.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI1_SS0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi1_ss0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ECSPI1_SS0.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI2_SCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi2_sclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ECSPI2_SCLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI2_MOSI.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi2_mosi[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ECSPI2_MOSI.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI2_MISO.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi2_miso[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ECSPI2_MISO.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI2_SS0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi2_ss0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ECSPI2_SS0.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_CD_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_cd_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD1_CD_B.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_WP.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_wp[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD1_WP.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_RESET_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_reset_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SD1_RESET_B.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_CLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_clk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SD1_CLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_CMD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_cmd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD1_CMD.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SD1_DATA0.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SD1_DATA1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SD1_DATA2.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SD1_DATA3.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_CD_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_cd_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SD2_CD_B.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_WP.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_wp[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SD2_WP.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_RESET_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_reset_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD2_RESET_B.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_CLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_clk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: SD2_CLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_CMD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_cmd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD2_CMD.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_DATA0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_data0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD2_DATA0.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_DATA1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_data1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD2_DATA1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_DATA2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_data2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD2_DATA2.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_DATA3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_data3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD2_DATA3.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_CLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_clk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD3_CLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_CMD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_cmd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD3_CMD.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_DATA0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_data0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD3_DATA0.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_DATA1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_data1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD3_DATA1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_DATA2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_data2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD3_DATA2.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_DATA3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_data3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD3_DATA3.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_DATA4.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_data4[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: SD3_DATA4.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_DATA5.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_data5[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: SD3_DATA5.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_DATA6.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_data6[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD3_DATA6.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_DATA7.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_data7[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SD3_DATA7.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_STROBE.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_strobe[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SD3_STROBE.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD3_RESET_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd3_reset_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: SD3_RESET_B.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RX_DATA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rx_data[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SAI1_RX_DATA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TX_BCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_tx_bclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SAI1_TX_BCLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TX_SYNC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_tx_sync[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SAI1_TX_SYNC.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TX_DATA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_tx_data[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SAI1_TX_DATA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RX_SYNC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rx_sync[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SAI1_RX_SYNC.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RX_BCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rx_bclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SAI1_RX_BCLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_MCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_mclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SAI1_MCLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_TX_SYNC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_tx_sync[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SAI2_TX_SYNC.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_TX_BCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_tx_bclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SAI2_TX_BCLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_RX_DATA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_rx_data[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SAI2_RX_DATA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_TX_DATA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_tx_data[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: SAI2_TX_DATA.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_RD0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rd0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ENET1_RGMII_RD0.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_RD1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rd1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ENET1_RGMII_RD1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_RD2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rd2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ENET1_RGMII_RD2.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_RD3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rd3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ENET1_RGMII_RD3.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_RX_CTL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rx_ctl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: ENET1_RGMII_RX_CTL.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_RXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rxc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: ENET1_RGMII_RXC.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_TD0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_td0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: ENET1_RGMII_TD0.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_TD1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_td1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: ENET1_RGMII_TD1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_TD2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_td2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: ENET1_RGMII_TD2.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_TD3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_td3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: ENET1_RGMII_TD3.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_TX_CTL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_tx_ctl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: ENET1_RGMII_TX_CTL.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RGMII_TXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_txc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: ENET1_RGMII_TXC.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_TX_CLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_tx_clk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ENET1_TX_CLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_RX_CLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_rx_clk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ENET1_RX_CLK.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_CRS.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_crs[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ENET1_CRS.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET1_COL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet1_col[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: ENET1_COL.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO08.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io08[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO08",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO08",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO08",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO08",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO08",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO09.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io09[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO09",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO09",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO09",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO09",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO09",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO10.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io10[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO10",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO10",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO10",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO10",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO10",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO11.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io11[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO11",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO11",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO11",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO11",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO11",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO12.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io12[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO12",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO12",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO12",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO12",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO12",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO13.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io13[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO13",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO13",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO13",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO13",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO13",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO14.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io14[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO14",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO14",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO14",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO14",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO14",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO15.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io15[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO15",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO15",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO15",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO15",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO15",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_MOD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_mod[] =
{
    {
        "DSE",
        "Read Only Field",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRE",
        "Read Only Field",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: JTAG_MOD",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: JTAG_MOD",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: JTAG_MOD",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_TCK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_tck[] =
{
    {
        "DSE",
        "Read Only Field",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRE",
        "Read Only Field",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: JTAG_TCK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: JTAG_TCK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: JTAG_TCK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_TDI.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_tdi[] =
{
    {
        "DSE",
        "Read Only Field",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRE",
        "Read Only Field",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: JTAG_TDI",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: JTAG_TDI",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: JTAG_TDI",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_TDO.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_tdo[] =
{
    {
        "DSE",
        "Read Only Field",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRE",
        "Read Only Field",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: JTAG_TDO",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: JTAG_TDO",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: JTAG_TDO",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_TMS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_tms[] =
{
    {
        "DSE",
        "Read Only Field",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRE",
        "Read Only Field",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: JTAG_TMS",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: JTAG_TMS",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: JTAG_TMS",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_TRST_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_trst_b[] =
{
    {
        "DSE",
        "Read Only Field",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRE",
        "Read Only Field",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: JTAG_TRST_B",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: JTAG_TRST_B",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: JTAG_TRST_B",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA00.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data00[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA00",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA00",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA00",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA00",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA00",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA01.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data01[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA01",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA01",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA01",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA01",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA01",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA02.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data02[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA02",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA02",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA02",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA02",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA02",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA03.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data03[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA03",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA03",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA03",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA03",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA03",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA04.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data04[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA04",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA04",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA04",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA04",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA04",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA05.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data05[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA05",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA05",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA05",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA05",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA05",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA06.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data06[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA06",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA06",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA06",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA06",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA06",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA07.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data07[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA07",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA07",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA07",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA07",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA07",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA08.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data08[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA08",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA08",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA08",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA08",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA08",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA09.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data09[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA09",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA09",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA09",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA09",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA09",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA10.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data10[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA10",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA10",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA10",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA10",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA10",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA11.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data11[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA11",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA11",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA11",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA11",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA11",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA12.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data12[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA12",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA12",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA12",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA12",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA12",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA13.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data13[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA13",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA13",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA13",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA13",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA13",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA14.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data14[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA14",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA14",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA14",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA14",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA14",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_DATA15.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_data15[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_DATA15",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_DATA15",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_DATA15",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_DATA15",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_DATA15",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_SDCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_sdclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_SDCLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_SDCLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_SDCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_SDCLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_SDCLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_SDLE.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_sdle[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_SDLE",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_SDLE",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_SDLE",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_SDLE",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_SDLE",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_SDOE.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_sdoe[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_SDOE",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_SDOE",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_SDOE",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_SDOE",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_SDOE",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_SDSHR.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_sdshr[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_SDSHR",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_SDSHR",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_SDSHR",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_SDSHR",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_SDSHR",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_SDCE0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_sdce0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_SDCE0",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_SDCE0",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_SDCE0",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_SDCE0",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_SDCE0",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_SDCE1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_sdce1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_SDCE1",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_SDCE1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_SDCE1",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_SDCE1",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_SDCE1",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_SDCE2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_sdce2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_SDCE2",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_SDCE2",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_SDCE2",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_SDCE2",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_SDCE2",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_SDCE3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_sdce3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_SDCE3",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_SDCE3",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_SDCE3",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_SDCE3",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_SDCE3",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_GDCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_gdclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_GDCLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_GDCLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_GDCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_GDCLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_GDCLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_GDOE.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_gdoe[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_GDOE",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_GDOE",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_GDOE",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_GDOE",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_GDOE",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_GDRL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_gdrl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_GDRL",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_GDRL",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_GDRL",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_GDRL",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_GDRL",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_GDSP.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_gdsp[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_GDSP",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_GDSP",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_GDSP",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_GDSP",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_GDSP",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_BDR0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_bdr0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_BDR0",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_BDR0",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_BDR0",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_BDR0",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_BDR0",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_BDR1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_bdr1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_BDR1",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_BDR1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_BDR1",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_BDR1",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_BDR1",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_PWR_COM.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_pwr_com[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_PWR_COM",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_PWR_COM",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_PWR_COM",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_PWR_COM",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_PWR_COM",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_EPDC_PWR_STAT.
static const field_t hw_iomuxc_sw_pad_ctl_pad_epdc_pwr_stat[] =
{
    {
        "DSE",
        "Select one out of next values for pad: EPDC_PWR_STAT",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: EPDC_PWR_STAT",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: EPDC_PWR_STAT",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: EPDC_PWR_STAT",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: EPDC_PWR_STAT",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_CLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_clk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_CLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_CLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_CLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_CLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_CLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_ENABLE.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_enable[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_ENABLE",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_ENABLE",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_ENABLE",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_ENABLE",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_ENABLE",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_HSYNC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_hsync[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_HSYNC",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_HSYNC",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_HSYNC",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_HSYNC",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_HSYNC",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_VSYNC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_vsync[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_VSYNC",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_VSYNC",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_VSYNC",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_VSYNC",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_VSYNC",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_RESET.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_reset[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_RESET",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_RESET",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_RESET",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_RESET",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_RESET",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA00.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data00[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA00",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA00",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA00",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA00",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA00",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA01.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data01[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA01",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA01",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA01",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA01",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA01",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA02.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data02[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA02",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA02",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA02",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA02",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA02",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA03.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data03[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA03",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA03",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA03",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA03",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA03",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA04.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data04[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA04",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA04",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA04",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA04",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA04",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA05.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data05[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA05",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA05",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA05",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA05",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA05",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA06.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data06[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA06",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA06",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA06",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA06",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA06",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA07.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data07[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA07",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA07",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA07",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA07",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA07",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA08.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data08[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA08",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA08",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA08",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA08",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA08",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA09.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data09[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA09",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA09",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA09",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA09",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA09",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA10.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data10[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA10",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA10",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA10",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA10",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA10",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA11.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data11[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA11",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA11",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA11",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA11",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA11",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA12.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data12[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA12",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA12",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA12",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA12",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA12",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA13.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data13[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA13",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA13",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA13",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA13",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA13",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA14.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data14[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA14",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA14",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA14",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA14",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA14",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA15.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data15[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA15",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA15",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA15",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA15",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA15",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA16.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data16[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA16",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA16",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA16",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA16",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA16",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA17.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data17[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA17",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA17",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA17",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA17",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA17",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA18.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data18[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA18",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA18",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA18",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA18",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA18",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA19.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data19[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA19",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA19",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA19",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA19",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA19",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA20.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data20[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA20",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA20",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA20",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA20",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA20",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA21.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data21[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA21",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA21",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA21",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA21",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA21",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA22.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data22[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA22",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA22",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA22",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA22",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA22",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_LCD_DATA23.
static const field_t hw_iomuxc_sw_pad_ctl_pad_lcd_data23[] =
{
    {
        "DSE",
        "Select one out of next values for pad: LCD_DATA23",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: LCD_DATA23",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: LCD_DATA23",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: LCD_DATA23",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: LCD_DATA23",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART1_RX_DATA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart1_rx_data[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART1_RX_DATA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: UART1_RX_DATA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: UART1_RX_DATA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: UART1_RX_DATA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: UART1_RX_DATA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART1_TX_DATA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart1_tx_data[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART1_TX_DATA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: UART1_TX_DATA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: UART1_TX_DATA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: UART1_TX_DATA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: UART1_TX_DATA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART2_RX_DATA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart2_rx_data[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART2_RX_DATA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: UART2_RX_DATA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: UART2_RX_DATA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: UART2_RX_DATA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: UART2_RX_DATA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART2_TX_DATA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart2_tx_data[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART2_TX_DATA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: UART2_TX_DATA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: UART2_TX_DATA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: UART2_TX_DATA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: UART2_TX_DATA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART3_RX_DATA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart3_rx_data[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART3_RX_DATA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: UART3_RX_DATA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: UART3_RX_DATA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: UART3_RX_DATA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: UART3_RX_DATA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART3_TX_DATA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart3_tx_data[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART3_TX_DATA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: UART3_TX_DATA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: UART3_TX_DATA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: UART3_TX_DATA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: UART3_TX_DATA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART3_RTS_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart3_rts_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART3_RTS_B",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: UART3_RTS_B",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: UART3_RTS_B",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: UART3_RTS_B",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: UART3_RTS_B",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART3_CTS_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart3_cts_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART3_CTS_B",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: UART3_CTS_B",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: UART3_CTS_B",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: UART3_CTS_B",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: UART3_CTS_B",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C1_SCL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c1_scl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C1_SCL",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: I2C1_SCL",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: I2C1_SCL",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: I2C1_SCL",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: I2C1_SCL",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C1_SDA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c1_sda[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C1_SDA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: I2C1_SDA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: I2C1_SDA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: I2C1_SDA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: I2C1_SDA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C2_SCL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c2_scl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C2_SCL",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: I2C2_SCL",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: I2C2_SCL",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: I2C2_SCL",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: I2C2_SCL",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C2_SDA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c2_sda[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C2_SDA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: I2C2_SDA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: I2C2_SDA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: I2C2_SDA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: I2C2_SDA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C3_SCL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c3_scl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C3_SCL",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: I2C3_SCL",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: I2C3_SCL",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: I2C3_SCL",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: I2C3_SCL",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C3_SDA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c3_sda[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C3_SDA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: I2C3_SDA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: I2C3_SDA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: I2C3_SDA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: I2C3_SDA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C4_SCL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c4_scl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C4_SCL",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: I2C4_SCL",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: I2C4_SCL",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: I2C4_SCL",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: I2C4_SCL",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C4_SDA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c4_sda[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C4_SDA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: I2C4_SDA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: I2C4_SDA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: I2C4_SDA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: I2C4_SDA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI1_SCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi1_sclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI1_SCLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ECSPI1_SCLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ECSPI1_SCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ECSPI1_SCLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ECSPI1_SCLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI1_MOSI.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi1_mosi[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI1_MOSI",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ECSPI1_MOSI",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ECSPI1_MOSI",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ECSPI1_MOSI",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ECSPI1_MOSI",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI1_MISO.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi1_miso[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI1_MISO",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ECSPI1_MISO",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ECSPI1_MISO",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ECSPI1_MISO",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ECSPI1_MISO",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI1_SS0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi1_ss0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI1_SS0",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ECSPI1_SS0",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ECSPI1_SS0",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ECSPI1_SS0",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ECSPI1_SS0",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI2_SCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi2_sclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI2_SCLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ECSPI2_SCLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ECSPI2_SCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ECSPI2_SCLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ECSPI2_SCLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI2_MOSI.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi2_mosi[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI2_MOSI",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ECSPI2_MOSI",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ECSPI2_MOSI",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ECSPI2_MOSI",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ECSPI2_MOSI",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI2_MISO.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi2_miso[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI2_MISO",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ECSPI2_MISO",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ECSPI2_MISO",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ECSPI2_MISO",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ECSPI2_MISO",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI2_SS0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi2_ss0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI2_SS0",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ECSPI2_SS0",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ECSPI2_SS0",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ECSPI2_SS0",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ECSPI2_SS0",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_CD_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_cd_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_CD_B",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD1_CD_B",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD1_CD_B",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD1_CD_B",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD1_CD_B",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_WP.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_wp[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_WP",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD1_WP",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD1_WP",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD1_WP",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD1_WP",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_RESET_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_reset_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_RESET_B",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD1_RESET_B",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD1_RESET_B",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD1_RESET_B",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD1_RESET_B",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_CLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_clk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_CLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD1_CLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD1_CLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD1_CLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD1_CLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_CMD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_cmd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_CMD",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD1_CMD",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD1_CMD",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD1_CMD",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD1_CMD",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA0",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD1_DATA0",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD1_DATA0",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD1_DATA0",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD1_DATA0",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA1",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD1_DATA1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD1_DATA1",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD1_DATA1",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD1_DATA1",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA2",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD1_DATA2",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD1_DATA2",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD1_DATA2",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD1_DATA2",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA3",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD1_DATA3",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD1_DATA3",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD1_DATA3",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD1_DATA3",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_CD_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_cd_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_CD_B",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD2_CD_B",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD2_CD_B",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD2_CD_B",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD2_CD_B",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_WP.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_wp[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_WP",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD2_WP",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD2_WP",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD2_WP",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD2_WP",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_RESET_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_reset_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_RESET_B",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD2_RESET_B",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD2_RESET_B",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD2_RESET_B",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD2_RESET_B",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_CLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_clk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_CLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD2_CLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD2_CLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD2_CLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD2_CLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_CMD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_cmd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_CMD",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD2_CMD",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD2_CMD",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD2_CMD",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD2_CMD",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_DATA0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_data0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_DATA0",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD2_DATA0",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD2_DATA0",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD2_DATA0",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD2_DATA0",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_DATA1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_data1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_DATA1",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD2_DATA1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD2_DATA1",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD2_DATA1",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD2_DATA1",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_DATA2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_data2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_DATA2",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD2_DATA2",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD2_DATA2",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD2_DATA2",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD2_DATA2",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_DATA3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_data3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_DATA3",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD2_DATA3",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD2_DATA3",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD2_DATA3",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD2_DATA3",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_CLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_clk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_CLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_CLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_CLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_CLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_CLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_CMD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_cmd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_CMD",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_CMD",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_CMD",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_CMD",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_CMD",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_DATA0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_data0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_DATA0",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_DATA0",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_DATA0",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_DATA0",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_DATA0",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_DATA1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_data1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_DATA1",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_DATA1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_DATA1",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_DATA1",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_DATA1",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_DATA2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_data2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_DATA2",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_DATA2",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_DATA2",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_DATA2",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_DATA2",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_DATA3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_data3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_DATA3",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_DATA3",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_DATA3",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_DATA3",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_DATA3",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_DATA4.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_data4[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_DATA4",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_DATA4",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_DATA4",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_DATA4",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_DATA4",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_DATA5.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_data5[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_DATA5",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_DATA5",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_DATA5",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_DATA5",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_DATA5",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_DATA6.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_data6[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_DATA6",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_DATA6",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_DATA6",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_DATA6",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_DATA6",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_DATA7.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_data7[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_DATA7",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_DATA7",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_DATA7",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_DATA7",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_DATA7",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_STROBE.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_strobe[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_STROBE",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_STROBE",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_STROBE",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_STROBE",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_STROBE",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD3_RESET_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd3_reset_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD3_RESET_B",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SD3_RESET_B",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SD3_RESET_B",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SD3_RESET_B",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SD3_RESET_B",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RX_DATA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rx_data[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RX_DATA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI1_RX_DATA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI1_RX_DATA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI1_RX_DATA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI1_RX_DATA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TX_BCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_tx_bclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TX_BCLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI1_TX_BCLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI1_TX_BCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI1_TX_BCLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI1_TX_BCLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TX_SYNC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_tx_sync[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TX_SYNC",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI1_TX_SYNC",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI1_TX_SYNC",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI1_TX_SYNC",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI1_TX_SYNC",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TX_DATA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_tx_data[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TX_DATA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI1_TX_DATA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI1_TX_DATA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI1_TX_DATA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI1_TX_DATA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RX_SYNC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rx_sync[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RX_SYNC",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI1_RX_SYNC",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI1_RX_SYNC",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI1_RX_SYNC",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI1_RX_SYNC",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RX_BCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rx_bclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RX_BCLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI1_RX_BCLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI1_RX_BCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI1_RX_BCLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI1_RX_BCLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_MCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_mclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_MCLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI1_MCLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI1_MCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI1_MCLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI1_MCLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_TX_SYNC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_tx_sync[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_TX_SYNC",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI2_TX_SYNC",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI2_TX_SYNC",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI2_TX_SYNC",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI2_TX_SYNC",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_TX_BCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_tx_bclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_TX_BCLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI2_TX_BCLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI2_TX_BCLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI2_TX_BCLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI2_TX_BCLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_RX_DATA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_rx_data[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_RX_DATA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI2_RX_DATA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI2_RX_DATA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI2_RX_DATA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI2_RX_DATA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_TX_DATA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_tx_data[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_TX_DATA",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: SAI2_TX_DATA",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: SAI2_TX_DATA",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SAI2_TX_DATA",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SAI2_TX_DATA",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_RD0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rd0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_RD0",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_RD0",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_RD0",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_RD0",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_RD0",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_RD1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rd1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_RD1",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_RD1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_RD1",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_RD1",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_RD1",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_RD2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rd2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_RD2",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_RD2",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_RD2",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_RD2",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_RD2",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_RD3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rd3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_RD3",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_RD3",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_RD3",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_RD3",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_RD3",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_RX_CTL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rx_ctl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_RX_CTL",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_RX_CTL",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_RX_CTL",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_RX_CTL",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_RX_CTL",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_RXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rxc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_RXC",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_RXC",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_RXC",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_RXC",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_RXC",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_TD0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_td0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_TD0",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_TD0",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_TD0",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_TD0",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_TD0",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_TD1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_td1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_TD1",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_TD1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_TD1",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_TD1",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_TD1",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_TD2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_td2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_TD2",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_TD2",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_TD2",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_TD2",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_TD2",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_TD3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_td3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_TD3",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_TD3",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_TD3",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_TD3",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_TD3",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_TX_CTL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_tx_ctl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_TX_CTL",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_TX_CTL",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_TX_CTL",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_TX_CTL",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_TX_CTL",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RGMII_TXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_txc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RGMII_TXC",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RGMII_TXC",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RGMII_TXC",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RGMII_TXC",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RGMII_TXC",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_TX_CLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_tx_clk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_TX_CLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_TX_CLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_TX_CLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_TX_CLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_TX_CLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_RX_CLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_rx_clk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_RX_CLK",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_RX_CLK",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_RX_CLK",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_RX_CLK",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_RX_CLK",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_CRS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_crs[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_CRS",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_CRS",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_CRS",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_CRS",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_CRS",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET1_COL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet1_col[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET1_COL",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: ENET1_COL",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: ENET1_COL",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: ENET1_COL",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: ENET1_COL",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXCAN1_RX_SELECT_INPUT.
static const field_t hw_iomuxc_flexcan1_rx_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXCAN2_RX_SELECT_INPUT.
static const field_t hw_iomuxc_flexcan2_rx_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CCM_EXT_CLK_1_SELECT_INPUT.
static const field_t hw_iomuxc_ccm_ext_clk_1_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CCM_EXT_CLK_2_SELECT_INPUT.
static const field_t hw_iomuxc_ccm_ext_clk_2_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CCM_EXT_CLK_3_SELECT_INPUT.
static const field_t hw_iomuxc_ccm_ext_clk_3_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CCM_EXT_CLK_4_SELECT_INPUT.
static const field_t hw_iomuxc_ccm_ext_clk_4_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CCM_PMIC_READY_SELECT_INPUT.
static const field_t hw_iomuxc_ccm_pmic_ready_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_DATA2_SELECT_INPUT.
static const field_t hw_iomuxc_csi_data2_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_DATA3_SELECT_INPUT.
static const field_t hw_iomuxc_csi_data3_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_DATA4_SELECT_INPUT.
static const field_t hw_iomuxc_csi_data4_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_DATA5_SELECT_INPUT.
static const field_t hw_iomuxc_csi_data5_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_DATA6_SELECT_INPUT.
static const field_t hw_iomuxc_csi_data6_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_DATA7_SELECT_INPUT.
static const field_t hw_iomuxc_csi_data7_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_DATA8_SELECT_INPUT.
static const field_t hw_iomuxc_csi_data8_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_DATA9_SELECT_INPUT.
static const field_t hw_iomuxc_csi_data9_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_HSYNC_SELECT_INPUT.
static const field_t hw_iomuxc_csi_hsync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_PIXCLK_SELECT_INPUT.
static const field_t hw_iomuxc_csi_pixclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CSI_VSYNC_SELECT_INPUT.
static const field_t hw_iomuxc_csi_vsync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI1_SCLK_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi1_sclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI1_MISO_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi1_miso_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI1_MOSI_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi1_mosi_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI1_SS0_B_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi1_ss0_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI2_SCLK_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi2_sclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI2_MISO_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi2_miso_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI2_MOSI_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi2_mosi_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI2_SS0_B_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi2_ss0_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI3_SCLK_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi3_sclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI3_MISO_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi3_miso_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI3_MOSI_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi3_mosi_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI3_SS0_B_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi3_ss0_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI4_SCLK_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi4_sclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI4_MISO_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi4_miso_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI4_MOSI_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi4_mosi_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ECSPI4_SS0_B_SELECT_INPUT.
static const field_t hw_iomuxc_ecspi4_ss0_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CCM_ENET1_REF_CLK_SELECT_INPUT.
static const field_t hw_iomuxc_ccm_enet1_ref_clk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ENET1_MDIO_SELECT_INPUT.
static const field_t hw_iomuxc_enet1_mdio_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ENET1_RX_CLK_SELECT_INPUT.
static const field_t hw_iomuxc_enet1_rx_clk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CCM_ENET2_REF_CLK_SELECT_INPUT.
static const field_t hw_iomuxc_ccm_enet2_ref_clk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ENET2_MDIO_SELECT_INPUT.
static const field_t hw_iomuxc_enet2_mdio_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ENET2_RX_CLK_SELECT_INPUT.
static const field_t hw_iomuxc_enet2_rx_clk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_EPDC_PWR_IRQ_SELECT_INPUT.
static const field_t hw_iomuxc_epdc_pwr_irq_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_EPDC_PWR_STAT_SELECT_INPUT.
static const field_t hw_iomuxc_epdc_pwr_stat_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER1_CH0_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer1_ch0_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER1_CH1_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer1_ch1_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER1_CH2_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer1_ch2_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER1_CH3_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer1_ch3_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER1_CH4_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer1_ch4_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER1_CH5_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer1_ch5_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER1_CH6_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer1_ch6_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER1_CH7_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer1_ch7_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER1_PHA_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer1_pha_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER1_PHB_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer1_phb_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER2_CH0_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer2_ch0_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER2_CH1_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer2_ch1_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER2_CH2_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer2_ch2_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER2_CH3_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer2_ch3_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER2_CH4_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer2_ch4_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER2_CH5_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer2_ch5_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER2_CH6_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer2_ch6_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER2_CH7_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer2_ch7_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER2_PHA_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer2_pha_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_FLEXTIMER2_PHB_SELECT_INPUT.
static const field_t hw_iomuxc_flextimer2_phb_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_I2C1_SCL_SELECT_INPUT.
static const field_t hw_iomuxc_i2c1_scl_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_I2C1_SDA_SELECT_INPUT.
static const field_t hw_iomuxc_i2c1_sda_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_I2C2_SCL_SELECT_INPUT.
static const field_t hw_iomuxc_i2c2_scl_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_I2C2_SDA_SELECT_INPUT.
static const field_t hw_iomuxc_i2c2_sda_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_I2C3_SCL_SELECT_INPUT.
static const field_t hw_iomuxc_i2c3_scl_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_I2C3_SDA_SELECT_INPUT.
static const field_t hw_iomuxc_i2c3_sda_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_I2C4_SCL_SELECT_INPUT.
static const field_t hw_iomuxc_i2c4_scl_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_I2C4_SDA_SELECT_INPUT.
static const field_t hw_iomuxc_i2c4_sda_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_COL0_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_col0_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_COL1_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_col1_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_COL2_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_col2_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_COL3_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_col3_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_COL4_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_col4_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_COL5_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_col5_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_COL6_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_col6_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_COL7_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_col7_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_ROW0_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_row0_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_ROW1_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_row1_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_ROW2_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_row2_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_ROW3_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_row3_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_ROW4_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_row4_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_ROW5_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_row5_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_ROW6_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_row6_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_KPP_ROW7_SELECT_INPUT.
static const field_t hw_iomuxc_kpp_row7_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_BUSY_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_busy_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA00_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data00_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA01_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data01_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA02_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data02_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA03_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data03_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA04_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data04_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA05_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data05_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA06_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data06_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA07_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data07_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA08_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data08_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA09_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data09_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA10_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data10_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA11_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data11_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA12_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data12_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA13_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data13_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA14_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data14_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA15_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data15_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA16_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data16_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA17_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data17_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA18_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data18_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA19_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data19_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA20_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data20_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA21_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data21_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA22_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data22_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_DATA23_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_data23_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LCD_VSYNC_SELECT_INPUT.
static const field_t hw_iomuxc_lcd_vsync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI1_RX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai1_rx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI1_RX_DATA_SELECT_INPUT.
static const field_t hw_iomuxc_sai1_rx_data_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI1_RX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai1_rx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI1_TX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai1_tx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI1_TX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai1_tx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI2_RX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai2_rx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI2_RX_DATA_SELECT_INPUT.
static const field_t hw_iomuxc_sai2_rx_data_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI2_RX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai2_rx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI2_TX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai2_tx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI2_TX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai2_tx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI3_RX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai3_rx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI3_RX_DATA_SELECT_INPUT.
static const field_t hw_iomuxc_sai3_rx_data_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI3_RX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai3_rx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI3_TX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai3_tx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI3_TX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai3_tx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SDMA_EVENTS0_SELECT_INPUT.
static const field_t hw_iomuxc_sdma_events0_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SDMA_EVENTS1_SELECT_INPUT.
static const field_t hw_iomuxc_sdma_events1_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SIM1_PORT1_PD_SELECT_INPUT.
static const field_t hw_iomuxc_sim1_port1_pd_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SIM1_PORT1_TRXD_SELECT_INPUT.
static const field_t hw_iomuxc_sim1_port1_trxd_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SIM2_PORT1_PD_SELECT_INPUT.
static const field_t hw_iomuxc_sim2_port1_pd_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SIM2_PORT1_TRXD_SELECT_INPUT.
static const field_t hw_iomuxc_sim2_port1_trxd_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART1_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart1_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART1_RX_DATA_SELECT_INPUT.
static const field_t hw_iomuxc_uart1_rx_data_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART2_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart2_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART2_RX_DATA_SELECT_INPUT.
static const field_t hw_iomuxc_uart2_rx_data_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART3_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart3_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART3_RX_DATA_SELECT_INPUT.
static const field_t hw_iomuxc_uart3_rx_data_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART4_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart4_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART4_RX_DATA_SELECT_INPUT.
static const field_t hw_iomuxc_uart4_rx_data_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART5_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart5_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART5_RX_DATA_SELECT_INPUT.
static const field_t hw_iomuxc_uart5_rx_data_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART6_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart6_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART6_RX_DATA_SELECT_INPUT.
static const field_t hw_iomuxc_uart6_rx_data_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART7_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart7_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART7_RX_DATA_SELECT_INPUT.
static const field_t hw_iomuxc_uart7_rx_data_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_USB_OTG2_OC_SELECT_INPUT.
static const field_t hw_iomuxc_usb_otg2_oc_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_USB_OTG1_OC_SELECT_INPUT.
static const field_t hw_iomuxc_usb_otg1_oc_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_USB_OTG2_ID_SELECT_INPUT.
static const field_t hw_iomuxc_usb_otg2_id_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_USB_OTG1_ID_SELECT_INPUT.
static const field_t hw_iomuxc_usb_otg1_id_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SD3_CD_B_SELECT_INPUT.
static const field_t hw_iomuxc_sd3_cd_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SD3_WP_SELECT_INPUT.
static const field_t hw_iomuxc_sd3_wp_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a IOMUXC module.
static const reg_t hw_iomuxc[] =
{
    {
        "SW_MUX_CTL_PAD_GPIO1_IO08",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io08
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO09",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io09
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO10",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io10
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO11",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io11
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO12",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io12
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO13",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io13
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO14",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io14
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO15",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io15
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA00",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data00
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA01",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data01
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA02",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data02
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA03",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data03
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA04",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data04
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA05",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data05
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA06",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data06
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA07",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data07
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA08",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data08
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA09",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data09
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA10",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data10
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA11",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data11
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA12",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data12
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA13",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data13
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA14",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data14
    },
    {
        "SW_MUX_CTL_PAD_EPDC_DATA15",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_data15
    },
    {
        "SW_MUX_CTL_PAD_EPDC_SDCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_sdclk
    },
    {
        "SW_MUX_CTL_PAD_EPDC_SDLE",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_sdle
    },
    {
        "SW_MUX_CTL_PAD_EPDC_SDOE",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_sdoe
    },
    {
        "SW_MUX_CTL_PAD_EPDC_SDSHR",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_sdshr
    },
    {
        "SW_MUX_CTL_PAD_EPDC_SDCE0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_sdce0
    },
    {
        "SW_MUX_CTL_PAD_EPDC_SDCE1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_sdce1
    },
    {
        "SW_MUX_CTL_PAD_EPDC_SDCE2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_sdce2
    },
    {
        "SW_MUX_CTL_PAD_EPDC_SDCE3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_sdce3
    },
    {
        "SW_MUX_CTL_PAD_EPDC_GDCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_gdclk
    },
    {
        "SW_MUX_CTL_PAD_EPDC_GDOE",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_gdoe
    },
    {
        "SW_MUX_CTL_PAD_EPDC_GDRL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_gdrl
    },
    {
        "SW_MUX_CTL_PAD_EPDC_GDSP",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_gdsp
    },
    {
        "SW_MUX_CTL_PAD_EPDC_BDR0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_bdr0
    },
    {
        "SW_MUX_CTL_PAD_EPDC_BDR1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_bdr1
    },
    {
        "SW_MUX_CTL_PAD_EPDC_PWR_COM",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_pwr_com
    },
    {
        "SW_MUX_CTL_PAD_EPDC_PWR_STAT",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_epdc_pwr_stat
    },
    {
        "SW_MUX_CTL_PAD_LCD_CLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_clk
    },
    {
        "SW_MUX_CTL_PAD_LCD_ENABLE",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_enable
    },
    {
        "SW_MUX_CTL_PAD_LCD_HSYNC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_hsync
    },
    {
        "SW_MUX_CTL_PAD_LCD_VSYNC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_vsync
    },
    {
        "SW_MUX_CTL_PAD_LCD_RESET",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_reset
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA00",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data00
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA01",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data01
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA02",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data02
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA03",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data03
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA04",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data04
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA05",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data05
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA06",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data06
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA07",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data07
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA08",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data08
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA09",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data09
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA10",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data10
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA11",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data11
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA12",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data12
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA13",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000fc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data13
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA14",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data14
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA15",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data15
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA16",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data16
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA17",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data17
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA18",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data18
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA19",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data19
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA20",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data20
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA21",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data21
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA22",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data22
    },
    {
        "SW_MUX_CTL_PAD_LCD_DATA23",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_lcd_data23
    },
    {
        "SW_MUX_CTL_PAD_UART1_RX_DATA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000128, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart1_rx_data
    },
    {
        "SW_MUX_CTL_PAD_UART1_TX_DATA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000012c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart1_tx_data
    },
    {
        "SW_MUX_CTL_PAD_UART2_RX_DATA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart2_rx_data
    },
    {
        "SW_MUX_CTL_PAD_UART2_TX_DATA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart2_tx_data
    },
    {
        "SW_MUX_CTL_PAD_UART3_RX_DATA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart3_rx_data
    },
    {
        "SW_MUX_CTL_PAD_UART3_TX_DATA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart3_tx_data
    },
    {
        "SW_MUX_CTL_PAD_UART3_RTS_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart3_rts_b
    },
    {
        "SW_MUX_CTL_PAD_UART3_CTS_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart3_cts_b
    },
    {
        "SW_MUX_CTL_PAD_I2C1_SCL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000148, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c1_scl
    },
    {
        "SW_MUX_CTL_PAD_I2C1_SDA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000014c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c1_sda
    },
    {
        "SW_MUX_CTL_PAD_I2C2_SCL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c2_scl
    },
    {
        "SW_MUX_CTL_PAD_I2C2_SDA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c2_sda
    },
    {
        "SW_MUX_CTL_PAD_I2C3_SCL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000158, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c3_scl
    },
    {
        "SW_MUX_CTL_PAD_I2C3_SDA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000015c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c3_sda
    },
    {
        "SW_MUX_CTL_PAD_I2C4_SCL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c4_scl
    },
    {
        "SW_MUX_CTL_PAD_I2C4_SDA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c4_sda
    },
    {
        "SW_MUX_CTL_PAD_ECSPI1_SCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi1_sclk
    },
    {
        "SW_MUX_CTL_PAD_ECSPI1_MOSI",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi1_mosi
    },
    {
        "SW_MUX_CTL_PAD_ECSPI1_MISO",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi1_miso
    },
    {
        "SW_MUX_CTL_PAD_ECSPI1_SS0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi1_ss0
    },
    {
        "SW_MUX_CTL_PAD_ECSPI2_SCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000178, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi2_sclk
    },
    {
        "SW_MUX_CTL_PAD_ECSPI2_MOSI",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000017c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi2_mosi
    },
    {
        "SW_MUX_CTL_PAD_ECSPI2_MISO",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi2_miso
    },
    {
        "SW_MUX_CTL_PAD_ECSPI2_SS0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi2_ss0
    },
    {
        "SW_MUX_CTL_PAD_SD1_CD_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_cd_b
    },
    {
        "SW_MUX_CTL_PAD_SD1_WP",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000018c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_wp
    },
    {
        "SW_MUX_CTL_PAD_SD1_RESET_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_reset_b
    },
    {
        "SW_MUX_CTL_PAD_SD1_CLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000194, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_clk
    },
    {
        "SW_MUX_CTL_PAD_SD1_CMD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000198, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_cmd
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000019c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data0
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data1
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001a4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data2
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001a8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data3
    },
    {
        "SW_MUX_CTL_PAD_SD2_CD_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001ac, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_cd_b
    },
    {
        "SW_MUX_CTL_PAD_SD2_WP",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_wp
    },
    {
        "SW_MUX_CTL_PAD_SD2_RESET_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001b4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_reset_b
    },
    {
        "SW_MUX_CTL_PAD_SD2_CLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001b8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_clk
    },
    {
        "SW_MUX_CTL_PAD_SD2_CMD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001bc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_cmd
    },
    {
        "SW_MUX_CTL_PAD_SD2_DATA0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_data0
    },
    {
        "SW_MUX_CTL_PAD_SD2_DATA1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001c4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_data1
    },
    {
        "SW_MUX_CTL_PAD_SD2_DATA2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001c8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_data2
    },
    {
        "SW_MUX_CTL_PAD_SD2_DATA3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001cc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_data3
    },
    {
        "SW_MUX_CTL_PAD_SD3_CLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_clk
    },
    {
        "SW_MUX_CTL_PAD_SD3_CMD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001d4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_cmd
    },
    {
        "SW_MUX_CTL_PAD_SD3_DATA0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001d8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_data0
    },
    {
        "SW_MUX_CTL_PAD_SD3_DATA1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001dc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_data1
    },
    {
        "SW_MUX_CTL_PAD_SD3_DATA2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_data2
    },
    {
        "SW_MUX_CTL_PAD_SD3_DATA3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001e4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_data3
    },
    {
        "SW_MUX_CTL_PAD_SD3_DATA4",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001e8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_data4
    },
    {
        "SW_MUX_CTL_PAD_SD3_DATA5",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001ec, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_data5
    },
    {
        "SW_MUX_CTL_PAD_SD3_DATA6",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_data6
    },
    {
        "SW_MUX_CTL_PAD_SD3_DATA7",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001f4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_data7
    },
    {
        "SW_MUX_CTL_PAD_SD3_STROBE",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001f8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_strobe
    },
    {
        "SW_MUX_CTL_PAD_SD3_RESET_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001fc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd3_reset_b
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RX_DATA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rx_data
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TX_BCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_tx_bclk
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TX_SYNC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_tx_sync
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TX_DATA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_tx_data
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RX_SYNC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rx_sync
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RX_BCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rx_bclk
    },
    {
        "SW_MUX_CTL_PAD_SAI1_MCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_mclk
    },
    {
        "SW_MUX_CTL_PAD_SAI2_TX_SYNC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_tx_sync
    },
    {
        "SW_MUX_CTL_PAD_SAI2_TX_BCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_tx_bclk
    },
    {
        "SW_MUX_CTL_PAD_SAI2_RX_DATA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_rx_data
    },
    {
        "SW_MUX_CTL_PAD_SAI2_TX_DATA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_tx_data
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_RD0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rd0
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_RD1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rd1
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_RD2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rd2
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_RD3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rd3
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_RX_CTL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rx_ctl
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_RXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_rxc
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_TD0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_td0
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_TD1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_td1
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_TD2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_td2
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_TD3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_td3
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_TX_CTL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_tx_ctl
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RGMII_TXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rgmii_txc
    },
    {
        "SW_MUX_CTL_PAD_ENET1_TX_CLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_tx_clk
    },
    {
        "SW_MUX_CTL_PAD_ENET1_RX_CLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_rx_clk
    },
    {
        "SW_MUX_CTL_PAD_ENET1_CRS",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_crs
    },
    {
        "SW_MUX_CTL_PAD_ENET1_COL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet1_col
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO08",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io08
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO09",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io09
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO10",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000274, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io10
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO11",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000278, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io11
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO12",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000027c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io12
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO13",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000280, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io13
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO14",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000284, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io14
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO15",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000288, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io15
    },
    {
        "SW_PAD_CTL_PAD_JTAG_MOD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000028c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_mod
    },
    {
        "SW_PAD_CTL_PAD_JTAG_TCK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000290, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_tck
    },
    {
        "SW_PAD_CTL_PAD_JTAG_TDI",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000294, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_tdi
    },
    {
        "SW_PAD_CTL_PAD_JTAG_TDO",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000298, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_tdo
    },
    {
        "SW_PAD_CTL_PAD_JTAG_TMS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000029c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_tms
    },
    {
        "SW_PAD_CTL_PAD_JTAG_TRST_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002a0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_trst_b
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA00",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002a4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data00
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA01",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002a8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data01
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA02",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002ac, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data02
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA03",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002b0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data03
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA04",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002b4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data04
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA05",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002b8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data05
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA06",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002bc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data06
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA07",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data07
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA08",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002c4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data08
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA09",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data09
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA10",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data10
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA11",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002d0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data11
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA12",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002d4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data12
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA13",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002d8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data13
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA14",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002dc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data14
    },
    {
        "SW_PAD_CTL_PAD_EPDC_DATA15",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002e0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_data15
    },
    {
        "SW_PAD_CTL_PAD_EPDC_SDCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002e4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_sdclk
    },
    {
        "SW_PAD_CTL_PAD_EPDC_SDLE",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002e8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_sdle
    },
    {
        "SW_PAD_CTL_PAD_EPDC_SDOE",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002ec, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_sdoe
    },
    {
        "SW_PAD_CTL_PAD_EPDC_SDSHR",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002f0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_sdshr
    },
    {
        "SW_PAD_CTL_PAD_EPDC_SDCE0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002f4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_sdce0
    },
    {
        "SW_PAD_CTL_PAD_EPDC_SDCE1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002f8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_sdce1
    },
    {
        "SW_PAD_CTL_PAD_EPDC_SDCE2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002fc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_sdce2
    },
    {
        "SW_PAD_CTL_PAD_EPDC_SDCE3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_sdce3
    },
    {
        "SW_PAD_CTL_PAD_EPDC_GDCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000304, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_gdclk
    },
    {
        "SW_PAD_CTL_PAD_EPDC_GDOE",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000308, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_gdoe
    },
    {
        "SW_PAD_CTL_PAD_EPDC_GDRL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000030c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_gdrl
    },
    {
        "SW_PAD_CTL_PAD_EPDC_GDSP",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_gdsp
    },
    {
        "SW_PAD_CTL_PAD_EPDC_BDR0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000314, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_bdr0
    },
    {
        "SW_PAD_CTL_PAD_EPDC_BDR1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000318, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_bdr1
    },
    {
        "SW_PAD_CTL_PAD_EPDC_PWR_COM",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000031c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_pwr_com
    },
    {
        "SW_PAD_CTL_PAD_EPDC_PWR_STAT",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_epdc_pwr_stat
    },
    {
        "SW_PAD_CTL_PAD_LCD_CLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000324, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_clk
    },
    {
        "SW_PAD_CTL_PAD_LCD_ENABLE",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000328, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_enable
    },
    {
        "SW_PAD_CTL_PAD_LCD_HSYNC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000032c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_hsync
    },
    {
        "SW_PAD_CTL_PAD_LCD_VSYNC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000330, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_vsync
    },
    {
        "SW_PAD_CTL_PAD_LCD_RESET",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000334, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_reset
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA00",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000338, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data00
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA01",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000033c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data01
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA02",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000340, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data02
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA03",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000344, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data03
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA04",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000348, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data04
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA05",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000034c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data05
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA06",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000350, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data06
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA07",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000354, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data07
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA08",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000358, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data08
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA09",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000035c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data09
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA10",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000360, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data10
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA11",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000364, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data11
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA12",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000368, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data12
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA13",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000036c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data13
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA14",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000370, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data14
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA15",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000374, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data15
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA16",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000378, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data16
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA17",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000037c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data17
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA18",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000380, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data18
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA19",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000384, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data19
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA20",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000388, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data20
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA21",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000038c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data21
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA22",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000390, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data22
    },
    {
        "SW_PAD_CTL_PAD_LCD_DATA23",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000394, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_lcd_data23
    },
    {
        "SW_PAD_CTL_PAD_UART1_RX_DATA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000398, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart1_rx_data
    },
    {
        "SW_PAD_CTL_PAD_UART1_TX_DATA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000039c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart1_tx_data
    },
    {
        "SW_PAD_CTL_PAD_UART2_RX_DATA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003a0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart2_rx_data
    },
    {
        "SW_PAD_CTL_PAD_UART2_TX_DATA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003a4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart2_tx_data
    },
    {
        "SW_PAD_CTL_PAD_UART3_RX_DATA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003a8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart3_rx_data
    },
    {
        "SW_PAD_CTL_PAD_UART3_TX_DATA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003ac, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart3_tx_data
    },
    {
        "SW_PAD_CTL_PAD_UART3_RTS_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003b0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart3_rts_b
    },
    {
        "SW_PAD_CTL_PAD_UART3_CTS_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003b4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart3_cts_b
    },
    {
        "SW_PAD_CTL_PAD_I2C1_SCL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003b8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c1_scl
    },
    {
        "SW_PAD_CTL_PAD_I2C1_SDA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003bc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c1_sda
    },
    {
        "SW_PAD_CTL_PAD_I2C2_SCL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c2_scl
    },
    {
        "SW_PAD_CTL_PAD_I2C2_SDA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003c4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c2_sda
    },
    {
        "SW_PAD_CTL_PAD_I2C3_SCL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c3_scl
    },
    {
        "SW_PAD_CTL_PAD_I2C3_SDA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c3_sda
    },
    {
        "SW_PAD_CTL_PAD_I2C4_SCL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003d0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c4_scl
    },
    {
        "SW_PAD_CTL_PAD_I2C4_SDA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003d4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c4_sda
    },
    {
        "SW_PAD_CTL_PAD_ECSPI1_SCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003d8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi1_sclk
    },
    {
        "SW_PAD_CTL_PAD_ECSPI1_MOSI",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003dc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi1_mosi
    },
    {
        "SW_PAD_CTL_PAD_ECSPI1_MISO",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003e0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi1_miso
    },
    {
        "SW_PAD_CTL_PAD_ECSPI1_SS0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003e4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi1_ss0
    },
    {
        "SW_PAD_CTL_PAD_ECSPI2_SCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003e8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi2_sclk
    },
    {
        "SW_PAD_CTL_PAD_ECSPI2_MOSI",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003ec, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi2_mosi
    },
    {
        "SW_PAD_CTL_PAD_ECSPI2_MISO",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003f0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi2_miso
    },
    {
        "SW_PAD_CTL_PAD_ECSPI2_SS0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003f4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi2_ss0
    },
    {
        "SW_PAD_CTL_PAD_SD1_CD_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003f8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_cd_b
    },
    {
        "SW_PAD_CTL_PAD_SD1_WP",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003fc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_wp
    },
    {
        "SW_PAD_CTL_PAD_SD1_RESET_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_reset_b
    },
    {
        "SW_PAD_CTL_PAD_SD1_CLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_clk
    },
    {
        "SW_PAD_CTL_PAD_SD1_CMD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_cmd
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000040c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data0
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data1
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000414, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data2
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000418, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data3
    },
    {
        "SW_PAD_CTL_PAD_SD2_CD_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000041c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_cd_b
    },
    {
        "SW_PAD_CTL_PAD_SD2_WP",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000420, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_wp
    },
    {
        "SW_PAD_CTL_PAD_SD2_RESET_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000424, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_reset_b
    },
    {
        "SW_PAD_CTL_PAD_SD2_CLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000428, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_clk
    },
    {
        "SW_PAD_CTL_PAD_SD2_CMD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000042c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_cmd
    },
    {
        "SW_PAD_CTL_PAD_SD2_DATA0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000430, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_data0
    },
    {
        "SW_PAD_CTL_PAD_SD2_DATA1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000434, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_data1
    },
    {
        "SW_PAD_CTL_PAD_SD2_DATA2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000438, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_data2
    },
    {
        "SW_PAD_CTL_PAD_SD2_DATA3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000043c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_data3
    },
    {
        "SW_PAD_CTL_PAD_SD3_CLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_clk
    },
    {
        "SW_PAD_CTL_PAD_SD3_CMD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000444, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_cmd
    },
    {
        "SW_PAD_CTL_PAD_SD3_DATA0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000448, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_data0
    },
    {
        "SW_PAD_CTL_PAD_SD3_DATA1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000044c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_data1
    },
    {
        "SW_PAD_CTL_PAD_SD3_DATA2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_data2
    },
    {
        "SW_PAD_CTL_PAD_SD3_DATA3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000454, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_data3
    },
    {
        "SW_PAD_CTL_PAD_SD3_DATA4",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000458, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_data4
    },
    {
        "SW_PAD_CTL_PAD_SD3_DATA5",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000045c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_data5
    },
    {
        "SW_PAD_CTL_PAD_SD3_DATA6",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_data6
    },
    {
        "SW_PAD_CTL_PAD_SD3_DATA7",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000464, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_data7
    },
    {
        "SW_PAD_CTL_PAD_SD3_STROBE",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000468, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_strobe
    },
    {
        "SW_PAD_CTL_PAD_SD3_RESET_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000046c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd3_reset_b
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RX_DATA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000470, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rx_data
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TX_BCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000474, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_tx_bclk
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TX_SYNC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000478, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_tx_sync
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TX_DATA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000047c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_tx_data
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RX_SYNC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rx_sync
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RX_BCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000484, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rx_bclk
    },
    {
        "SW_PAD_CTL_PAD_SAI1_MCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000488, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_mclk
    },
    {
        "SW_PAD_CTL_PAD_SAI2_TX_SYNC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000048c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_tx_sync
    },
    {
        "SW_PAD_CTL_PAD_SAI2_TX_BCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_tx_bclk
    },
    {
        "SW_PAD_CTL_PAD_SAI2_RX_DATA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000494, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_rx_data
    },
    {
        "SW_PAD_CTL_PAD_SAI2_TX_DATA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000498, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_tx_data
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_RD0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000049c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rd0
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_RD1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rd1
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_RD2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004a4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rd2
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_RD3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004a8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rd3
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_RX_CTL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004ac, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rx_ctl
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_RXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004b0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_rxc
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_TD0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004b4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_td0
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_TD1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004b8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_td1
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_TD2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004bc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_td2
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_TD3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_td3
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_TX_CTL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004c4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_tx_ctl
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RGMII_TXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rgmii_txc
    },
    {
        "SW_PAD_CTL_PAD_ENET1_TX_CLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_tx_clk
    },
    {
        "SW_PAD_CTL_PAD_ENET1_RX_CLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004d0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_rx_clk
    },
    {
        "SW_PAD_CTL_PAD_ENET1_CRS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004d4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_crs
    },
    {
        "SW_PAD_CTL_PAD_ENET1_COL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004d8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet1_col
    },
    {
        "FLEXCAN1_RX_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004dc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flexcan1_rx_select_input
    },
    {
        "FLEXCAN2_RX_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flexcan2_rx_select_input
    },
    {
        "CCM_EXT_CLK_1_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ccm_ext_clk_1_select_input
    },
    {
        "CCM_EXT_CLK_2_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ccm_ext_clk_2_select_input
    },
    {
        "CCM_EXT_CLK_3_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ccm_ext_clk_3_select_input
    },
    {
        "CCM_EXT_CLK_4_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ccm_ext_clk_4_select_input
    },
    {
        "CCM_PMIC_READY_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ccm_pmic_ready_select_input
    },
    {
        "CSI_DATA2_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004f8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_data2_select_input
    },
    {
        "CSI_DATA3_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004fc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_data3_select_input
    },
    {
        "CSI_DATA4_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000500, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_data4_select_input
    },
    {
        "CSI_DATA5_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000504, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_data5_select_input
    },
    {
        "CSI_DATA6_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000508, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_data6_select_input
    },
    {
        "CSI_DATA7_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000050c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_data7_select_input
    },
    {
        "CSI_DATA8_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000510, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_data8_select_input
    },
    {
        "CSI_DATA9_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000514, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_data9_select_input
    },
    {
        "CSI_HSYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000518, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_hsync_select_input
    },
    {
        "CSI_PIXCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000051c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_pixclk_select_input
    },
    {
        "CSI_VSYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000520, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_csi_vsync_select_input
    },
    {
        "ECSPI1_SCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000524, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi1_sclk_select_input
    },
    {
        "ECSPI1_MISO_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000528, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi1_miso_select_input
    },
    {
        "ECSPI1_MOSI_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000052c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi1_mosi_select_input
    },
    {
        "ECSPI1_SS0_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000530, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi1_ss0_b_select_input
    },
    {
        "ECSPI2_SCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000534, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi2_sclk_select_input
    },
    {
        "ECSPI2_MISO_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000538, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi2_miso_select_input
    },
    {
        "ECSPI2_MOSI_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000053c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi2_mosi_select_input
    },
    {
        "ECSPI2_SS0_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000540, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi2_ss0_b_select_input
    },
    {
        "ECSPI3_SCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000544, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi3_sclk_select_input
    },
    {
        "ECSPI3_MISO_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000548, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi3_miso_select_input
    },
    {
        "ECSPI3_MOSI_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000054c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi3_mosi_select_input
    },
    {
        "ECSPI3_SS0_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000550, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi3_ss0_b_select_input
    },
    {
        "ECSPI4_SCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000554, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi4_sclk_select_input
    },
    {
        "ECSPI4_MISO_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000558, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi4_miso_select_input
    },
    {
        "ECSPI4_MOSI_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000055c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi4_mosi_select_input
    },
    {
        "ECSPI4_SS0_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000560, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ecspi4_ss0_b_select_input
    },
    {
        "CCM_ENET1_REF_CLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000564, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ccm_enet1_ref_clk_select_input
    },
    {
        "ENET1_MDIO_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000568, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_enet1_mdio_select_input
    },
    {
        "ENET1_RX_CLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000056c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_enet1_rx_clk_select_input
    },
    {
        "CCM_ENET2_REF_CLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000570, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ccm_enet2_ref_clk_select_input
    },
    {
        "ENET2_MDIO_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000574, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_enet2_mdio_select_input
    },
    {
        "ENET2_RX_CLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000578, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_enet2_rx_clk_select_input
    },
    {
        "EPDC_PWR_IRQ_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000057c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_epdc_pwr_irq_select_input
    },
    {
        "EPDC_PWR_STAT_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000580, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_epdc_pwr_stat_select_input
    },
    {
        "FLEXTIMER1_CH0_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000584, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer1_ch0_select_input
    },
    {
        "FLEXTIMER1_CH1_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000588, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer1_ch1_select_input
    },
    {
        "FLEXTIMER1_CH2_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000058c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer1_ch2_select_input
    },
    {
        "FLEXTIMER1_CH3_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000590, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer1_ch3_select_input
    },
    {
        "FLEXTIMER1_CH4_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000594, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer1_ch4_select_input
    },
    {
        "FLEXTIMER1_CH5_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000598, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer1_ch5_select_input
    },
    {
        "FLEXTIMER1_CH6_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000059c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer1_ch6_select_input
    },
    {
        "FLEXTIMER1_CH7_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer1_ch7_select_input
    },
    {
        "FLEXTIMER1_PHA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer1_pha_select_input
    },
    {
        "FLEXTIMER1_PHB_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer1_phb_select_input
    },
    {
        "FLEXTIMER2_CH0_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005ac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer2_ch0_select_input
    },
    {
        "FLEXTIMER2_CH1_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer2_ch1_select_input
    },
    {
        "FLEXTIMER2_CH2_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005b4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer2_ch2_select_input
    },
    {
        "FLEXTIMER2_CH3_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005b8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer2_ch3_select_input
    },
    {
        "FLEXTIMER2_CH4_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005bc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer2_ch4_select_input
    },
    {
        "FLEXTIMER2_CH5_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer2_ch5_select_input
    },
    {
        "FLEXTIMER2_CH6_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer2_ch6_select_input
    },
    {
        "FLEXTIMER2_CH7_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005c8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer2_ch7_select_input
    },
    {
        "FLEXTIMER2_PHA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005cc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer2_pha_select_input
    },
    {
        "FLEXTIMER2_PHB_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_flextimer2_phb_select_input
    },
    {
        "I2C1_SCL_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_i2c1_scl_select_input
    },
    {
        "I2C1_SDA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005d8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_i2c1_sda_select_input
    },
    {
        "I2C2_SCL_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005dc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_i2c2_scl_select_input
    },
    {
        "I2C2_SDA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_i2c2_sda_select_input
    },
    {
        "I2C3_SCL_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_i2c3_scl_select_input
    },
    {
        "I2C3_SDA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_i2c3_sda_select_input
    },
    {
        "I2C4_SCL_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_i2c4_scl_select_input
    },
    {
        "I2C4_SDA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_i2c4_sda_select_input
    },
    {
        "KPP_COL0_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_col0_select_input
    },
    {
        "KPP_COL1_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005f8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_col1_select_input
    },
    {
        "KPP_COL2_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000005fc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_col2_select_input
    },
    {
        "KPP_COL3_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000600, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_col3_select_input
    },
    {
        "KPP_COL4_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000604, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_col4_select_input
    },
    {
        "KPP_COL5_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000608, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_col5_select_input
    },
    {
        "KPP_COL6_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000060c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_col6_select_input
    },
    {
        "KPP_COL7_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000610, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_col7_select_input
    },
    {
        "KPP_ROW0_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000614, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_row0_select_input
    },
    {
        "KPP_ROW1_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000618, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_row1_select_input
    },
    {
        "KPP_ROW2_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000061c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_row2_select_input
    },
    {
        "KPP_ROW3_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000620, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_row3_select_input
    },
    {
        "KPP_ROW4_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000624, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_row4_select_input
    },
    {
        "KPP_ROW5_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000628, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_row5_select_input
    },
    {
        "KPP_ROW6_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000062c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_row6_select_input
    },
    {
        "KPP_ROW7_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000630, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_kpp_row7_select_input
    },
    {
        "LCD_BUSY_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000634, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_busy_select_input
    },
    {
        "LCD_DATA00_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000638, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data00_select_input
    },
    {
        "LCD_DATA01_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000063c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data01_select_input
    },
    {
        "LCD_DATA02_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000640, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data02_select_input
    },
    {
        "LCD_DATA03_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000644, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data03_select_input
    },
    {
        "LCD_DATA04_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000648, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data04_select_input
    },
    {
        "LCD_DATA05_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000064c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data05_select_input
    },
    {
        "LCD_DATA06_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000650, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data06_select_input
    },
    {
        "LCD_DATA07_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000654, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data07_select_input
    },
    {
        "LCD_DATA08_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000658, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data08_select_input
    },
    {
        "LCD_DATA09_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000065c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data09_select_input
    },
    {
        "LCD_DATA10_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000660, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data10_select_input
    },
    {
        "LCD_DATA11_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000664, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data11_select_input
    },
    {
        "LCD_DATA12_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000668, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data12_select_input
    },
    {
        "LCD_DATA13_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000066c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data13_select_input
    },
    {
        "LCD_DATA14_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000670, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data14_select_input
    },
    {
        "LCD_DATA15_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000674, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data15_select_input
    },
    {
        "LCD_DATA16_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000678, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data16_select_input
    },
    {
        "LCD_DATA17_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000067c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data17_select_input
    },
    {
        "LCD_DATA18_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000680, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data18_select_input
    },
    {
        "LCD_DATA19_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000684, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data19_select_input
    },
    {
        "LCD_DATA20_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000688, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data20_select_input
    },
    {
        "LCD_DATA21_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000068c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data21_select_input
    },
    {
        "LCD_DATA22_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000690, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data22_select_input
    },
    {
        "LCD_DATA23_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000694, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_data23_select_input
    },
    {
        "LCD_VSYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000698, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lcd_vsync_select_input
    },
    {
        "SAI1_RX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000069c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai1_rx_bclk_select_input
    },
    {
        "SAI1_RX_DATA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai1_rx_data_select_input
    },
    {
        "SAI1_RX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai1_rx_sync_select_input
    },
    {
        "SAI1_TX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai1_tx_bclk_select_input
    },
    {
        "SAI1_TX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006ac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai1_tx_sync_select_input
    },
    {
        "SAI2_RX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai2_rx_bclk_select_input
    },
    {
        "SAI2_RX_DATA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006b4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai2_rx_data_select_input
    },
    {
        "SAI2_RX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006b8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai2_rx_sync_select_input
    },
    {
        "SAI2_TX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006bc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai2_tx_bclk_select_input
    },
    {
        "SAI2_TX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai2_tx_sync_select_input
    },
    {
        "SAI3_RX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai3_rx_bclk_select_input
    },
    {
        "SAI3_RX_DATA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006c8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai3_rx_data_select_input
    },
    {
        "SAI3_RX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006cc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai3_rx_sync_select_input
    },
    {
        "SAI3_TX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai3_tx_bclk_select_input
    },
    {
        "SAI3_TX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai3_tx_sync_select_input
    },
    {
        "SDMA_EVENTS0_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006d8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sdma_events0_select_input
    },
    {
        "SDMA_EVENTS1_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006dc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sdma_events1_select_input
    },
    {
        "SIM1_PORT1_PD_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sim1_port1_pd_select_input
    },
    {
        "SIM1_PORT1_TRXD_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sim1_port1_trxd_select_input
    },
    {
        "SIM2_PORT1_PD_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sim2_port1_pd_select_input
    },
    {
        "SIM2_PORT1_TRXD_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sim2_port1_trxd_select_input
    },
    {
        "UART1_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart1_rts_b_select_input
    },
    {
        "UART1_RX_DATA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart1_rx_data_select_input
    },
    {
        "UART2_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006f8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart2_rts_b_select_input
    },
    {
        "UART2_RX_DATA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000006fc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart2_rx_data_select_input
    },
    {
        "UART3_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000700, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart3_rts_b_select_input
    },
    {
        "UART3_RX_DATA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000704, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart3_rx_data_select_input
    },
    {
        "UART4_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000708, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart4_rts_b_select_input
    },
    {
        "UART4_RX_DATA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000070c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart4_rx_data_select_input
    },
    {
        "UART5_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000710, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart5_rts_b_select_input
    },
    {
        "UART5_RX_DATA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000714, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart5_rx_data_select_input
    },
    {
        "UART6_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000718, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart6_rts_b_select_input
    },
    {
        "UART6_RX_DATA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000071c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart6_rx_data_select_input
    },
    {
        "UART7_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000720, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart7_rts_b_select_input
    },
    {
        "UART7_RX_DATA_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000724, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart7_rx_data_select_input
    },
    {
        "USB_OTG2_OC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000728, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_usb_otg2_oc_select_input
    },
    {
        "USB_OTG1_OC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000072c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_usb_otg1_oc_select_input
    },
    {
        "USB_OTG2_ID_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000730, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_usb_otg2_id_select_input
    },
    {
        "USB_OTG1_ID_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000734, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_usb_otg1_id_select_input
    },
    {
        "SD3_CD_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000738, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sd3_cd_b_select_input
    },
    {
        "SD3_WP_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000073c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sd3_wp_select_input
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark IOMUXC_GPR
#endif

// Bitfields in register IOMUXC_GPR_GPR_GPR0.
static const field_t hw_iomuxc_gpr_gpr_gpr0[] =
{
    {
        "DMAREQ_MUX_SEL0",
        "Selects between two possible sources for SDMA_EVENT18",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAREQ_MUX_SEL1",
        "Selects between two possible sources for SDMA_EVENT19",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAREQ_MUX_SEL2",
        "Selects between two possible sources for SDMA_EVENT20",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAREQ_MUX_SEL3",
        "Selects between two possible sources for SDMA_EVENT21",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAREQ_MUX_SEL4",
        "Selects between two possible sources for SDMA_EVENT47",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAREQ_MUX_SEL5",
        "Selects between two possible sources for SDMA_EVENT40",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAREQ_MUX_SEL6",
        "Selects between two possible sources for SDMA_EVENT41",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR1.
static const field_t hw_iomuxc_gpr_gpr_gpr1[] =
{
    {
        "WEIM_ACT_CS0",
        "WEIM Active Chip Select 0 See description for WEIM_ADDRS3",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEIM_ADDRS0",
        "WEIM Address Space 0 See description for WEIM_ADDRS3",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEIM_ACT_CS1",
        "WEIM Active Chip Select 1 See description for WEIM_ADDRS3",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEIM_ADDRS1",
        "WEIM Address Space 1 See description for WEIM_ADDRS3",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEIM_ACT_CS2",
        "WEIM Active Chip Select 2 See description for WEIM_ADDRS3",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEIM_ADDRS2",
        "WEIM Address Space 2 See description for WEIM_ADDRS3",
        7, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEIM_ACT_CS3",
        "WEIM Active Chip Select 3 See description for WEIM_ADDRS3",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WEIM_ADDRS3",
        "WEIM Address Space 3 Active Chip Select and Address Space.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ",
        "Interrupt signal which is connected to CPU IRQS[0].",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET1_TX_CLK_SEL",
        "ENET1 reference clock mode select",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET2_TX_CLK_SEL",
        "ENET2 reference clock mode select",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD_ADD_DS",
        "Setting ADD_DS to 0 will make the output driver of the SD3 pins ~10% s"
        "tronger at highest drive strength (DSE=111).",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET1_CLK_DIR",
        "ENET1_TX_CLK data direction control when ANATOP ENET_REF_CLK1 is selec"
        "ted (ALT1)",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET2_CLK_DIR",
        "ENET2_TX_CLK data direction control when ANATOP ENET_REF_CLK2 is selec"
        "ted (ALT1)",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXC_ERR_RESP_EN",
        "Security exclusive access error response enable for all security gaske"
        "ts (on both AHB and AXI busses).",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TZASC1_SECURE_BOOT_LOCK",
        "TZASC-1 Secure Boot Lock",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBG_ACK",
        "Debug Acknowledge, used in sec_wrapper",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_OCRAM_EPDC",
        "Enable On-chip RAM EPDC Function",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR2.
static const field_t hw_iomuxc_gpr_gpr_gpr2[] =
{
    {
        "MEM_PXP_LOWPOWER",
        "Not used",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_PXP_SD",
        "Not used",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_PXP_DS",
        "Not used",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_PXP_LS",
        "Not used",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_LCDIF_LOWPOWER",
        "Not used",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_LCDIF_SD",
        "Not used",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_LCDIF_DS",
        "Not used",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_LCDIF_LS",
        "Not used",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_EPDC_LOWPOWER",
        "Not used",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_EPDC_SD",
        "Not used",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_EPDC_DS",
        "Not used",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_EPDC_LS",
        "Not used",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_CPU_LOWPOWER",
        "Not used",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_CPU_SD",
        "Not used",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_CPU_DS",
        "Not used",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_CPU_LS",
        "Not used",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MQS_CLK_DIV",
        "MQS clock divider control",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MQS_SW_RST",
        "MQS software reset",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MQS_EN",
        "MQS enable",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MQS_OVERSAMPLE",
        "MQS PWM over-sampling rate option",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRAM_RESET_BYPASS",
        "Not used",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRAM_RESET",
        "Not used",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRAM_CKE0",
        "Not used",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRAM_CKE1",
        "Not used",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRAM_CKE_BYPASS",
        "Not used",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR3.
static const field_t hw_iomuxc_gpr_gpr_gpr3[] =
{
    {
        "RDATA_WAIT_EN",
        "On-chip RAM read data wait state control When the read data wait state"
        " is enabled, it will cost 2 cycles for each read access, (each beat of"
        " a read burst).",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADDR_PIPE_EN",
        "On-chip RAM read address pipeline enable When this feature is enabled,"
        " the read address from the AXI master would be delayed 1 cycle before "
        "it can be accepted by the on-chip RAM.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDATA_PIPE_EN",
        "On-chip RAM write data pipeline enable When this feature is enabled, t"
        "he write data from the AXI master would be delayed 1 cycle before it c"
        "an be accepted by the on-chip RAM.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADDR_PIPE_EN",
        "On-chip RAM write address pipeline enable When this feature is enabled"
        ", the write address from the AXI master would be delayed 1 cycle befor"
        "e it can be accepted by the on-chip RAM.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S_RDATA_WAIT_EN",
        "State Retention On-chip RAM read data wait state control For descripti"
        "on, please refer to RDATA_WAIT_EN bit",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S_RADDR_PIPE_EN",
        "State Retention On-chip RAM read address pipeline enable For descripti"
        "on, please refer to RADDR_PIPE_EN bit",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S_WDATA_PIPE_EN",
        "State Retention On-chip RAM write data pipeline enable For description"
        ", please refer to WDATA_PIPE_EN bit",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S_WADDR_PIPE_EN",
        "State Retention On-chip RAM write address pipeline enable For descript"
        "ion, please refer to WADDR_PIPE_EN bit",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "E_RDATA_WAIT_EN",
        "EPDC On-chip RAM read data wait state control For description, please "
        "refer to RDATA_WAIT_EN bit",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "E_RADDR_PIPE_EN",
        "EPDC On-chip RAM read address pipeline enable For description, please "
        "refer to RADDR_PIPE_EN bit",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "E_WDATA_PIPE_EN",
        "EPDC On-chip RAM write data pipeline enable For description, please re"
        "fer to WDATA_PIPE_EN bit",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "E_WADDR_PIPE_EN",
        "EPDC On-chip RAM write address pipeline enable For description, please"
        " refer to WADDR_PIPE_EN bit",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_RDATA_WAIT_EN",
        "PXP On-chip RAM read data wait state control For description, please r"
        "efer to RDATA_WAIT_EN bit",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_RADDR_PIPE_EN",
        "PXP On-chip RAM read address pipeline enable For description, please r"
        "efer to RADDR_PIPE_EN bit",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_WDATA_PIPE_EN",
        "PXP On-chip RAM write data pipeline enable For description, please ref"
        "er to WDATA_PIPE_EN bit",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_WADDR_PIPE_EN",
        "PXP On-chip RAM write address pipeline enable For description, please "
        "refer to WADDR_PIPE_EN bit",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDATA_WAIT_EN_PDG",
        "On-chip RAM read data wait state control update is pending",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RADDR_PIPE_EN_PDG",
        "On-chip RAM read address pipeline enable update is pending",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WDATA_PIPE_EN_PDG",
        "On-chip RAM write data pipeline enable update is pending",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WADDR_PIPE_EN_PNDG",
        "On-chip RAM write address pipeline enable update is pending",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_RDATA_WAIT_EN_PNDG",
        "State Retention On-chip RAM read data wait state control update is pen"
        "ding",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_RADDR_PIPE_EN_PNDG",
        "State Retention On-chip RAM read address pipeline enable update is pen"
        "ding",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_WDATA_PIPE_EN_PNDG",
        "State Retention On-chip RAM write data pipeline enable update is pendi"
        "ng",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_WADDR_PIPE_EN_PNDG",
        "State Retention On-chip RAM write address pipeline enable update is pe"
        "nding",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "E_RDATA_WAIT_EN_PNDG",
        "EPDC On-chip RAM read data wait state control update is pending",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "E_RADDR_PIPE_EN_PNDG",
        "EPDC On-chip RAM read address pipeline enable update is pending",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "E_WDATA_PIPE_EN_PNDG",
        "EPDC On-chip RAM write data pipeline enable update is pending",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "E_WADDR_PIPE_EN_PNDG",
        "EPDC On-chip RAM write address pipeline enable update is pending",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "P_RDATA_WAIT_EN_PNDG",
        "PXP On-chip RAM read data wait state control update is pending",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "P_RADDR_PIPE_EN_PNDG",
        "PXP On-chip RAM read address pipeline enable update is pending",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "P_WDATA_PIPE_EN_PNDG",
        "PXP On-chip RAM write data pipeline enable update is pending",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "P_WADDR_PIPE_EN_PNDG",
        "PXP On-chip RAM write address pipeline enable update is pending",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR4.
static const field_t hw_iomuxc_gpr_gpr_gpr4[] =
{
    {
        "SDMA_IPG_STOP",
        "SDMA stop request",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAN1_IPG_STOP",
        "CAN1 stop request",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAN2_IPG_STOP",
        "CAN2 stop request",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET1_IPG_STOP",
        "ENET1 stop request",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET2_IPG_STOP",
        "ENET2 stop request",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SAI1_IPG_STOP",
        "SAI1 stop request",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SAI2_IPG_STOP",
        "SAI2 stop request",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SAI3_IPG_STOP",
        "SAI3 stop request",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDMA_IPG_STOP_ACK",
        "SDMA stop acknowledge",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CAN1_IPG_STOP_ACK",
        "CAN1 stop acknowledge",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CAN2_IPG_STOP_ACK",
        "CAN2 stop acknowledge",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENET1_IPG_STOP_ACK",
        "ENET1 stop acknowledge",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENET2_IPG_STOP_ACK",
        "ENET2 stop acknowledge",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SAI1_IPG_STOP_ACK",
        "SAI1 stop acknowledge",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SAI2_IPG_STOP_ACK",
        "SAI2 stop acknowledge",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SAI3_IPG_STOP_ACK",
        "SAI3 stop acknowledge",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CPU_STANDBYWFI",
        "Status of CPU STANDBYWFI low power states MSB: status of A7 core 1 STA"
        "NDBYWFI low power state LSB: status of A7 core 0 STANDBYWFI low power "
        "state",
        25, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CPU_STANDBYWFE",
        "Status of CPU STANDBYWFE low power states MSB: status of A7 core 1 STA"
        "NDBYWFE low power state LSB: status of A7 core 0 STANDBYWFE low power "
        "state",
        27, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR5.
static const field_t hw_iomuxc_gpr_gpr_gpr5[] =
{
    {
        "CSI_MUX_CONTROL",
        "CSI Input MUX Control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_MUX_CONTROL",
        "Not used",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG1_MASK",
        "WDOG1 Timeout Mask",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG2_MASK",
        "WDOG2 Timeout Mask",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCDIF_HANDSHAKE",
        "LCDIF Input Handshake Select",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_BTNRST",
        "Not used",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG3_MASK",
        "WDOG3 Timeout Mask",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCDIF_CSI_VSYNC_SEL",
        "Not used",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG4_MASK",
        "WDOG4 Timeout Mask",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPT4_CAPIN1_SEL",
        "GPT4 Capture Channel 1 Trigger Signal Select",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPT4_CAPIN2_SEL",
        "GPT4 Capture Channel 2 Trigger Signal Select",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET1_EVENT3IN_SEL",
        "ENET1 Mac 0 1588 Timer Event 3 Select",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET2_EVENT3IN_SEL",
        "ENET2 Mac 0 1588 Timer Event 3 Select",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REF_1M_CLK_GPT1",
        "GPT1 1MHz clock source select",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REF_1M_CLK_GPT2",
        "GPT2 1MHz clock source select",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REF_1M_CLK_GPT3",
        "GPT3 1MHz clock source select",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REF_1M_CLK_GPT4",
        "Reference 1M clock GPT4",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR6.
static const field_t hw_iomuxc_gpr_gpr_gpr6[] =
{
    {
        "ARCACHE_PXP6",
        "PXP Secondary AXI Master Port ARCACHE Override Value Note: this bit on"
        "ly takes effect when ARCACHE_PXP6_EN = 1",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_PXP6",
        "PXP Secondary AXI Master Port AWCACHE Override Value Note: this bit on"
        "ly takes effect when AWCACHE_PXP6_EN = 1",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_PXP6_EN",
        "PXP Secondary AXI Master Port ARCACHE Override Enable",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_PXP6_EN",
        "PXP Secondary AXI Master Port AWCACHE Override Enable",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR7.
static const field_t hw_iomuxc_gpr_gpr_gpr7[] =
{
    {
        "CHD1_EN_PWRUPLOAD",
        "This input places a resistive load on the USB Auxiliary Charge Detecto"
        "r 1 ldo_usb_1p0 output.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD1_TEST",
        "Test controls for USB Auxiliary Charger Detector 1",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD2_EN_PWRUPLOAD_LDO_USB_1P0",
        "CHD2 EN PWRUPLOAD LDO USB 1P0",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHD2_TEST",
        "CHD2 TEST",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR8.
static const field_t hw_iomuxc_gpr_gpr_gpr8[] =
{
    {
        "DDR_PHY_CTRL_WAKE_UP",
        "Drives ctrl_wake_up[4:0] inputs on DDR PHY",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR_PHY_DFI_INIT_START",
        "Drives dfi_init_start input on DDR PHY",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR9.
static const field_t hw_iomuxc_gpr_gpr_gpr9[] =
{
    {
        "TZASC1_MUX_CONTROL",
        "TrustZone Address Space Controller Select This bit is \"sticky\" to 1.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR_PHY_CTRL_PD",
        "Drives ctrl_pd[4:0] inputs on DDR PHY Each bit is \"sticky\" to 1.",
        1, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR10.
static const field_t hw_iomuxc_gpr_gpr_gpr10[] =
{
    {
        "SEC_ERR_RESP_EN",
        "Security error response enable for all security gaskets (on both AHB a"
        "nd AXI busses) This is a \"lock\" type bit",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_EPDC_TZ_EN",
        "EPDC OCRAM TrustZone (TZ) enable This is a \"lock\" type bit",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_EPDC_TZ_ADDR",
        "EPDC OCRAM TrustZone (TZ) start address.",
        4, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR10_LOCK",
        "Bits [25:18] are Lock Bits for bits [9:2] Other bits are Reserved",
        10, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR11.
static const field_t hw_iomuxc_gpr_gpr_gpr11[] =
{
    {
        "OCRAM_TZ_EN",
        "OCRAM TrustZone (TZ) enable This is a \"lock\" type bit",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_TZ_ADDR",
        "OCRAM TrustZone (TZ) start address.",
        1, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_PXP_TZ_EN",
        "PXP OCRAM TrustZone (TZ) enable This is a \"lock\" type bit",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_PXP_TZ_ADDR",
        "PXP OCRAM TrustZone (TZ) start address.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_S_TZ_EN",
        "State Retention OCRAM TrustZone (TZ) enable This is a \"lock\" type bi"
        "t",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_S_TZ_ADDR",
        "State Retention OCRAM TrustZone (TZ) start address.",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR11_LOCK",
        "Bits [29:16] are Lock Bits for bits [13:0] Other bits are Reserved",
        14, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR12.
static const field_t hw_iomuxc_gpr_gpr_gpr12[] =
{
    {
        "PCIE_PHY_TRSV_REG_RST_CH0",
        "Reset of TRANSCEIVER APB or I2C Function.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_TRSV_RST_CH0",
        "Transceiver Block Reset Function.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_SSC_EN",
        "Transmitter Spread Spectrum Clocking Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_CMN_REG_RST",
        "Reset of COMMON APB Function.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_REFCLK_SEL",
        "Internal Reference Clock Enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_DEVICE_TYPE",
        "PCI Express device/port type",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_DIAG_STATUS_BUS_SELECT",
        "PCI Express Diagnostic Status Bus Select",
        17, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_DIAG_CTRL_BUS",
        "PCI Express Diagnostic Control Bus",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR13.
static const field_t hw_iomuxc_gpr_gpr_gpr13[] =
{
    {
        "ARCACHE_USDHC",
        "USDHC 1-3 AXI Master ARCACHE Override Value Note: this bit always over"
        "rides",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_USDHC",
        "USDHC 1-3 AXI Master AWCACHE Override Value Note: this bit always over"
        "rides",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_PXP",
        "PXP Primary AXI Master Port ARCACHE Override Value Note: this bit only"
        " takes effect when ARCACHE_PXP_EN = 1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_PXP",
        "PXP Primary AXI Master Port AWCACHE Override Value Note: this bit only"
        " takes effect when AWCACHE_PXP_EN = 1",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_PCIE",
        "PCIe AXI Master Port ARCACHE Override Value Note: this bit only takes "
        "effect when ARCACHE_PCIE_EN = 1",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_PCIE",
        "PCIe AXI Master Port AWCACHE Override Value Note: this bit only takes "
        "effect when AWCACHE_PCIE_EN = 1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_LCDIF",
        "LCDIF AXI Master Port ARCACHE Override Value Note: this bit only takes"
        " effect when ARCACHE_LCDIF_EN = 1",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_EPDC",
        "EPDC AXI Master Port ARCACHE Override Value Note: this bit only takes "
        "effect when ARCACHE_EPDC_EN = 1",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_PXP_EN",
        "0 PXP Primary AXI Master Port ARCACHE Override Enable",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_PXP_EN",
        "PXP Primary AXI Master Port AWCACHE Override Enable",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_PCIE_EN",
        "PCIe AXI Master Port ARCACHE Override Enable",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_PCIE_EN",
        "PCIe AXI Master Port AWCACHE Override Enable",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_LCDIF_EN",
        "LCDIF AXI Master Port ARCACHE Override Enable",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_EPDC_EN",
        "EPDC AXI Master Port ARCACHE Override Enable",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_EPDC",
        "EPDC AXI Master Port AWCACHE Override Value Note: this bit only takes "
        "effect when AWCACHE_EPDC_EN = 1",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_EPDC_EN",
        "EPDC AXI Master Port AWCACHE Override Enable",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PHY_AFC_CODE_OUT_CH0",
        "Monitoring AFC Code, Channel 0.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PCIE_PHY_VCO_BAND",
        "Monitoring Code of VCO Calibration.",
        24, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PCIE_PHY_PMA_CDR_LOCKED_CH0",
        "PLL Lock Indication for PCIe Test.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PCIE_PHY_PMA_RX_PRESENT_CH0",
        "Receiver Detected Indication for PCIe Test.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PCIE_PHY_CDR_VCO_MON_CH0",
        "CDR VCO Monitor Channel 0",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PCIE_PHY_PCS_REFCLK_DISABLE",
        "PCS Clock Request.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR14.
static const field_t hw_iomuxc_gpr_gpr_gpr14[] =
{
    {
        "SIM1_SIMV2_EMV_SEL",
        "SIM1 EMV Select This bit should be programmed to 0 since EMV not suppo"
        "rted",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SIM2_SIMV2_EMV_SEL",
        "SIM2 EMV Select This bit should be programmed to 0 since EMV not suppo"
        "rted",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR15.
static const field_t hw_iomuxc_gpr_gpr_gpr15[] =
{
    {
        "LVDS_I_VBLK_FLAG",
        "Not Used",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_AUTO_SEL",
        "Not Used",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_DESKEW_CNT_SET",
        "Not Used",
        2, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_LOCK_PPM_SET",
        "Not Used",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR16.
static const field_t hw_iomuxc_gpr_gpr_gpr16[] =
{
    {
        "LVDS_SKEW_REG_CUR",
        "Not Used",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SEL_DATABF",
        "Not Used",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_CNTB_TDLY",
        "Not Used",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SKEW_EN_H",
        "Not Used",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SKEWINI",
        "Not Used",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SK_BIAS",
        "Not Used",
        6, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_AUTO_DSK_SEL",
        "Not Used",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_LOCK_CNT",
        "Not Used",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_OUTCON",
        "Not Used",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_FC_CODE",
        "Not Used",
        13, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SRC_TRH",
        "Not Used",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_VOD_HIGH_S",
        "Not Used",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_CNNCT_CNT",
        "Not Used",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_CNNCT_MODE_SEL",
        "Not Used",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_FLT_CNT",
        "Not Used",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_VOD_ONLY_CNT",
        "Not Used",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR17.
static const field_t hw_iomuxc_gpr_gpr_gpr17[] =
{
    {
        "LVDS_CNT_PEN_H",
        "Not Used",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_CNT_VOD_H",
        "Not Used",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR18.
static const field_t hw_iomuxc_gpr_gpr_gpr18[] =
{
    {
        "LVDS_I_BIST_CH_SEL",
        "Not Used",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_BIST_DATA_INV",
        "Not Used",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_BIST_CLK_INV",
        "Not Used",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_BIST_SKEW_CTRL",
        "Not Used",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_BIST_FORCE_ERROR",
        "Not Used",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_BIST_USER_PATTERN",
        "Not Used",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_BIST_PAT_SEL",
        "Not Used",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_BIST_EN",
        "Not Used",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_BIST_RESETB",
        "Not Used",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_DLYS_BST",
        "Not Used",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SKINI_BST",
        "Not Used",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR19.
static const field_t hw_iomuxc_gpr_gpr_gpr19[] =
{
    {
        "LVDS_O_BIST_STATUS",
        "Not Used",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LVDS_O_BIST_ERR_COUNT",
        "Not Used",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LVDS_O_BIST_SYNC",
        "Not Used",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LVDS_MON_FOR_CNNCT",
        "Not Used",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR20.
static const field_t hw_iomuxc_gpr_gpr_gpr20[] =
{
    {
        "LVDS_P",
        "Not Used",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_M",
        "Not Used",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_S",
        "Not Used",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_VSEL",
        "Not Used",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_CK_POL_SEL",
        "Not Used",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_I_TX2801X_DUMMY",
        "Not Used",
        27, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR21.
static const field_t hw_iomuxc_gpr_gpr_gpr21[] =
{
    {
        "LVDS_SKC0",
        "Not Used",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SKC1",
        "Not Used",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SKC2",
        "Not Used",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SKCCK",
        "Not Used",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SKC3",
        "Not Used",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVDS_SKC4",
        "Not Used",
        15, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SJC_BYPASS_CJTAGC",
        "Not Used",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAP_BYPASS_CJTAGC",
        "Not Used",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR_GPR22.
static const field_t hw_iomuxc_gpr_gpr_gpr22[] =
{
    {
        "DDRC_MRR_DATA",
        "DDR Controller Mode Register Read Data",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DDRC_MRR_VALID",
        "DDR Controller Mode Register Read Data Valid",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DFI_INIT_COMPLETE",
        "DDR PHY initialization complete.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHD2_DVDD_STABLE",
        "USB Auxiliary Charge Detector 2 power stable signal for ldo_usb_1p0 to"
        " allow vdd_soc domain to monitor when dvdd_usb domain is valid.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHD2_ISO_ENA_1",
        "USB Auxiliary Charge Detector 2 isolation control signal, high when dv"
        "dd_usb domain is unpowered and vdd_soc domain is powered.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHD1_DVDD_STABLE",
        "USB Auxiliary Charge Detector 1 power stable signal for ldo_usb_1p0 to"
        " allow vdd_soc domain to monitor when dvdd_usb domain is valid.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHD1_ISO_ENA_1",
        "USB Auxiliary Charge Detector 1 isolation control signal, high when dv"
        "dd_usb domain is unpowered and vdd_soc domain is powered.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PCIE_PHY_PLL_LOCKED",
        "PLL Lock Indication.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a IOMUXC_GPR module.
static const reg_t hw_iomuxc_gpr[] =
{
    {
        "GPR_GPR0",
        "GPR Register",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr0
    },
    {
        "GPR_GPR1",
        "GPR Register",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr1
    },
    {
        "GPR_GPR2",
        "GPR Register",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        25, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr2
    },
    {
        "GPR_GPR3",
        "GPR Register",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr3
    },
    {
        "GPR_GPR4",
        "GPR Register",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr4
    },
    {
        "GPR_GPR5",
        "GPR Register",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr5
    },
    {
        "GPR_GPR6",
        "GPR Register",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr6
    },
    {
        "GPR_GPR7",
        "GPR Register",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr7
    },
    {
        "GPR_GPR8",
        "GPR Register",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr8
    },
    {
        "GPR_GPR9",
        "GPR Register",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr9
    },
    {
        "GPR_GPR10",
        "GPR Register",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr10
    },
    {
        "GPR_GPR11",
        "GPR Register",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr11
    },
    {
        "GPR_GPR12",
        "GPR Register",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr12
    },
    {
        "GPR_GPR13",
        "GPR Register",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        22, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr13
    },
    {
        "GPR_GPR14",
        "GPR Register",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr14
    },
    {
        "GPR_GPR15",
        "GPR Register",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr15
    },
    {
        "GPR_GPR16",
        "GPR Register",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr16
    },
    {
        "GPR_GPR17",
        "GPR Register",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr17
    },
    {
        "GPR_GPR18",
        "GPR Register",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr18
    },
    {
        "GPR_GPR19",
        "GPR Register",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr19
    },
    {
        "GPR_GPR20",
        "GPR Register",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr20
    },
    {
        "GPR_GPR21",
        "GPR Register",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr21
    },
    {
        "GPR_GPR22",
        "GPR Register",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_iomuxc_gpr_gpr_gpr22
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark IOMUXC_LPSR
#endif

// Bitfields in register IOMUXC_LPSR_LPSR_SW_MUX_CTL_PAD_GPIO1_IO00.
static const field_t hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io00[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: GPIO1_IO00.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_MUX_CTL_PAD_GPIO1_IO01.
static const field_t hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io01[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: GPIO1_IO01.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_MUX_CTL_PAD_GPIO1_IO02.
static const field_t hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io02[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: GPIO1_IO02.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_MUX_CTL_PAD_GPIO1_IO03.
static const field_t hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io03[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: GPIO1_IO03.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_MUX_CTL_PAD_GPIO1_IO04.
static const field_t hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io04[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: GPIO1_IO04.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_MUX_CTL_PAD_GPIO1_IO05.
static const field_t hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io05[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: GPIO1_IO05.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_MUX_CTL_PAD_GPIO1_IO06.
static const field_t hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io06[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: GPIO1_IO06.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_MUX_CTL_PAD_GPIO1_IO07.
static const field_t hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io07[] =
{
    {
        "MUX_MODE",
        "Select 1 of 8 iomux modes to be used for pad: GPIO1_IO07.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the selected mux mode Input path no matter of MUX_MODE functiona"
        "lity.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_TEST_MODE.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_test_mode[] =
{
    {
        "DSE",
        "Read Only Field",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRE",
        "Read Only Field",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HYS",
        "Read Only Field",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: TEST_MODE",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: TEST_MODE",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_SRC_POR_B.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_src_por_b[] =
{
    {
        "DSE",
        "Read Only Field",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRE",
        "Read Only Field",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HYS",
        "Read Only Field",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: SRC_POR_B",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: SRC_POR_B",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_BOOT_MODE0.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_boot_mode0[] =
{
    {
        "DSE",
        "Read Only Field",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRE",
        "Read Only Field",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HYS",
        "Read Only Field",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: BOOT_MODE0",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: BOOT_MODE0",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_BOOT_MODE1.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_boot_mode1[] =
{
    {
        "DSE",
        "Read Only Field",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRE",
        "Read Only Field",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HYS",
        "Read Only Field",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: BOOT_MODE1",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: BOOT_MODE1",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_GPIO1_IO00.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io00[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO00",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO00",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO00",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO00",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO00",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_GPIO1_IO01.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io01[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO01",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO01",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO01",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO01",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO01",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_GPIO1_IO02.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io02[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO02",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO02",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO02",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO02",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO02",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_GPIO1_IO03.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io03[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO03",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO03",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO03",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO03",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO03",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_GPIO1_IO04.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io04[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO04",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO04",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO04",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO04",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO04",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_GPIO1_IO05.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io05[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO05",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO05",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO05",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO05",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO05",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_GPIO1_IO06.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io06[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO06",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO06",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO06",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO06",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO06",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_LPSR_SW_PAD_CTL_PAD_GPIO1_IO07.
static const field_t hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io07[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO07",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "Select one out of next values for pad: GPIO1_IO07",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Select one out of next values for pad: GPIO1_IO07",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Select one out of next values for pad: GPIO1_IO07",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Select one out of next values for pad: GPIO1_IO07",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a IOMUXC_LPSR module.
static const reg_t hw_iomuxc_lpsr[] =
{
    {
        "LPSR_SW_MUX_CTL_PAD_GPIO1_IO00",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io00
    },
    {
        "LPSR_SW_MUX_CTL_PAD_GPIO1_IO01",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io01
    },
    {
        "LPSR_SW_MUX_CTL_PAD_GPIO1_IO02",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io02
    },
    {
        "LPSR_SW_MUX_CTL_PAD_GPIO1_IO03",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io03
    },
    {
        "LPSR_SW_MUX_CTL_PAD_GPIO1_IO04",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io04
    },
    {
        "LPSR_SW_MUX_CTL_PAD_GPIO1_IO05",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io05
    },
    {
        "LPSR_SW_MUX_CTL_PAD_GPIO1_IO06",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io06
    },
    {
        "LPSR_SW_MUX_CTL_PAD_GPIO1_IO07",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_mux_ctl_pad_gpio1_io07
    },
    {
        "LPSR_SW_PAD_CTL_PAD_TEST_MODE",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_test_mode
    },
    {
        "LPSR_SW_PAD_CTL_PAD_SRC_POR_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_src_por_b
    },
    {
        "LPSR_SW_PAD_CTL_PAD_BOOT_MODE0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_boot_mode0
    },
    {
        "LPSR_SW_PAD_CTL_PAD_BOOT_MODE1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_boot_mode1
    },
    {
        "LPSR_SW_PAD_CTL_PAD_GPIO1_IO00",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io00
    },
    {
        "LPSR_SW_PAD_CTL_PAD_GPIO1_IO01",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io01
    },
    {
        "LPSR_SW_PAD_CTL_PAD_GPIO1_IO02",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io02
    },
    {
        "LPSR_SW_PAD_CTL_PAD_GPIO1_IO03",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io03
    },
    {
        "LPSR_SW_PAD_CTL_PAD_GPIO1_IO04",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io04
    },
    {
        "LPSR_SW_PAD_CTL_PAD_GPIO1_IO05",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io05
    },
    {
        "LPSR_SW_PAD_CTL_PAD_GPIO1_IO06",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io06
    },
    {
        "LPSR_SW_PAD_CTL_PAD_GPIO1_IO07",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_lpsr_lpsr_sw_pad_ctl_pad_gpio1_io07
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark IOMUXC_LPSR_GPR
#endif

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR0.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr0[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR1.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr1[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR2.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr2[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR3.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr3[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RO",
        "Read only bits, always 16'h0",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR4.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr4[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RO",
        "Read only bits, always 16'h0",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR5.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr5[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR6.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr6[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR7.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr7[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR8.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr8[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR9.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr9[] =
{
    {
        "STICKY",
        "Each bit is sticky.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR10.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr10[] =
{
    {
        "LOCK",
        "These are lock type bits.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STICKY",
        "Bits [31:16] are lock bits for [15:0].",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR11.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr11[] =
{
    {
        "LOCK",
        "These are lock type bits.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STICKY",
        "Bits [31:16] are lock bits for [15:0].",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR12.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr12[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR13.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr13[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RO",
        "Read only bits, always 16'h0",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR14.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr14[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR15.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr15[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR16.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr16[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR17.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr17[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR18.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr18[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR19.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr19[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR20.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr20[] =
{
    {
        "GPIO1_IO08_DSE",
        "Drive Strength Field Select one out of next values for pad: GPIO1_IO08",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO08_SRE",
        "Slew Rate Field Select one out of next values for pad: GPIO1_IO08",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO08_HYS",
        "Hyst.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO08_PE",
        "Pull Enable Field Select one out of next values for pad: GPIO1_IO08",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO08_PS",
        "Pull Select Field Select one out of next values for pad: GPIO1_IO08",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO08_MUX_CTL",
        "Mux control for PAD",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO09_DSE",
        "Drive Strength Field Select one out of next values for pad: GPIO1_IO09",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO09_SRE",
        "Slew Rate Field Select one out of next values for pad: GPIO1_IO09",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO09_HYS",
        "Hyst.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO09_PE",
        "Pull Enable Field Select one out of next values for pad: GPIO1_IO09",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO09_PS",
        "Pull Select Field Select one out of next values for pad: GPIO1_IO09",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO09_MUX_CTL",
        "Mux control for PAD",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO10_DSE",
        "Drive Strength Field Select one out of next values for pad: GPIO1_IO10",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO10_SRE",
        "Slew Rate Field Select one out of next values for pad: GPIO1_IO10",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO10_HYS",
        "Hyst.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO10_PE",
        "Pull Enable Field Select one out of next values for pad: GPIO1_IO10",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO10_PS",
        "Pull Select Field Select one out of next values for pad: GPIO1_IO10",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO10_MUX_CTL",
        "Mux control for PAD",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO11_DSE",
        "Drive Strength Field Select one out of next values for pad: GPIO1_IO11",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO11_SRE",
        "Slew Rate Field Select one out of next values for pad: GPIO1_IO11",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO11_HYS",
        "Hyst.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO11_PE",
        "Pull Enable Field Select one out of next values for pad: GPIO1_IO11",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO11_PS",
        "Pull Select Field Select one out of next values for pad: GPIO1_IO11",
        29, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO11_MUX_CTL",
        "Mux control for PAD",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR21.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr21[] =
{
    {
        "GPIO1_IO12_DSE",
        "Drive Strength Field Select one out of next values for pad: GPIO1_IO12",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO12_SRE",
        "Slew Rate Field Select one out of next values for pad: GPIO1_IO12",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO12_HYS",
        "Hyst.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO12_PE",
        "Pull Enable Field Select one out of next values for pad: GPIO1_IO12",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO12_PS",
        "Pull Select Field Select one out of next values for pad: GPIO1_IO12",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO12_MUX_CTL",
        "Mux control for PAD",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO13_DSE",
        "Drive Strength Field Select one out of next values for pad: GPIO1_IO13",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO13_SRE",
        "Slew Rate Field Select one out of next values for pad: GPIO1_IO13",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO13_HYS",
        "Hyst.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO13_PE",
        "Pull Enable Field Select one out of next values for pad: GPIO1_IO13",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO13_PS",
        "Pull Select Field Select one out of next values for pad: GPIO1_IO13",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO13_MUX_CTL",
        "Mux control for PAD",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO14_DSE",
        "Drive Strength Field Select one out of next values for pad: GPIO1_IO14",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO14_SRE",
        "Slew Rate Field Select one out of next values for pad: GPIO1_IO14",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO14_HYS",
        "Hyst.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO14_PE",
        "Pull Enable Field Select one out of next values for pad: GPIO1_IO14",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO14_PS",
        "Pull Select Field Select one out of next values for pad: GPIO1_IO14",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO14_MUX_CTL",
        "Mux control for PAD",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO15_DSE",
        "Drive Strength Field Select one out of next values for pad: GPIO1_IO15",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO15_SRE",
        "Slew Rate Field Select one out of next values for pad: GPIO1_IO15",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO15_HYS",
        "Hyst.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO15_PE",
        "Pull Enable Field Select one out of next values for pad: GPIO1_IO15",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO15_PS",
        "Pull Select Field Select one out of next values for pad: GPIO1_IO15",
        29, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPIO1_IO15_MUX_CTL",
        "Mux control for PAD",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_LPSR_GPR_LPSR_GPR_IOMUXC_LPSR_GPR22.
static const field_t hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr22[] =
{
    {
        "GP",
        "Common bits can be R/W freely",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RO",
        "Read only bits, always 16'h0",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a IOMUXC_LPSR_GPR module.
static const reg_t hw_iomuxc_lpsr_gpr[] =
{
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR0",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr0
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR1",
        "IOMUXC LPSR General Purpose Register 1",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr1
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR2",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr2
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR3",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr3
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR4",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr4
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR5",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr5
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR6",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr6
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR7",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr7
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR8",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr8
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR9",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr9
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR10",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr10
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR11",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr11
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR12",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr12
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR13",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr13
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR14",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr14
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR15",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr15
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR16",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr16
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR17",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr17
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR18",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr18
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR19",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr19
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR20",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr20
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR21",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr21
    },
    {
        "LPSR_GPR_IOMUXC_LPSR_GPR22",
        "IOMUXC LPSR General Purpose Register",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_lpsr_gpr_lpsr_gpr_iomuxc_lpsr_gpr22
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark KPP
#endif

// Bitfields in register KPP_KPCR.
static const field_t hw_kpp_kpcr[] =
{
    {
        "KRE",
        "Keypad Row Enable.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KCO",
        "Keypad Column Strobe Open-Drain Enable.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register KPP_KPSR.
static const field_t hw_kpp_kpsr[] =
{
    {
        "KPKD",
        "Keypad Key Depress.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KPKR",
        "Keypad Key Release.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KDSC",
        "Key Depress Synchronizer Clear.",
        2, // LSB
        2, // MSB
        false, // Readable
        false // Writable
    },
    {
        "KRSS",
        "Key Release Synchronizer Set.",
        3, // LSB
        3, // MSB
        false, // Readable
        false // Writable
    },
    {
        "KDIE",
        "Keypad Key Depress Interrupt Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KRIE",
        "Keypad Release Interrupt Enable.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register KPP_KDDR.
static const field_t hw_kpp_kddr[] =
{
    {
        "KRDD",
        "Keypad Row Data Direction.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KCDD",
        "Keypad Column Data Direction Register.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register KPP_KPDR.
static const field_t hw_kpp_kpdr[] =
{
    {
        "KRD",
        "Keypad Row Data.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KCD",
        "Keypad Column Data.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a KPP module.
static const reg_t hw_kpp[] =
{
    {
        "KPCR",
        "The Keypad Control Register determines which of the eight possible col"
        "umn strobes are to be open drain when configured as outputs, and which"
        " of the eight row sense lines are considered in generating an interrup"
        "t to the core.",
        2, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_kpp_kpcr
    },
    {
        "KPSR",
        "The Keypad Status Register reflects the state of the key press detect "
        "circuit.",
        2, // Width in bytes
        0x00000002, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_kpp_kpsr
    },
    {
        "KDDR",
        "The bits in the KPP_KDDR control the direction of the keypad port pins"
        ".",
        2, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_kpp_kddr
    },
    {
        "KPDR",
        "This 16-bit register is used to access the column and row data.",
        2, // Width in bytes
        0x00000006, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_kpp_kpdr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark LCDIF
#endif

// Bitfields in register LCDIF_RL.
static const field_t hw_lcdif_rl[] =
{
    {
        "RUN",
        "When this bit is set by software, the eLCDIF will begin transferring d"
        "ata between the SoC and the display.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_24_BIT",
        "Used only when WORD_LENGTH = 3, i.e.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_18_BIT",
        "Used only when WORD_LENGTH = 2, i.e.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_16_BIT",
        "When this bit is 1 and WORD_LENGTH = 0, it implies that the 16-bit dat"
        "a is in ARGB555 format.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "MASTER",
        "Set this bit to make the eLCDIF act as a bus master.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PXP_HANDSHAKE",
        "If this bit is set and LCDIF_MASTER bit is set, the eLCDIF will act as"
        " bus master and the handshake mechanism between eLCDIF and PXP will be"
        " turned on.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGB_TO_YCBCR422_CSC",
        "Set this bit to 1 to enable conversion from RGB to YCbCr colorspace.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "Input data format.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCD_DATABUS_WIDTH",
        "LCD Data bus transfer width.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSC_DATA_SWIZZLE",
        "This field specifies how to swap the bytes after the data has been con"
        "verted into an internal representation of 24 bits per pixel and before"
        " it is transmitted over the LCD interface bus.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_DATA_SWIZZLE",
        "This field specifies how to swap the bytes fetched by the bus master i"
        "nterface.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SELECT",
        "Command Mode polarity bit.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_MODE",
        "Set this bit to 1 to make the hardware go into the DOTCLK mode, i.e.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_MODE",
        "Setting this bit to 1 will make the eLCDIF hardware go into VSYNC mode"
        ".",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_COUNT",
        "When this bit is 0, it means that eLCDIF will stop the block operation"
        " and turn off the RUN bit after the amount of data indicated by the LC"
        "DIF_TRANSFER_COUNT register has been transferred out.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DVI_MODE",
        "Set this bit to 1 to get into the ITU-R BT.656 digital video interface"
        " mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_NUM_BITS",
        "The data to be transmitted is shifted left or right by this number of "
        "bits.",
        21, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SHIFT_DIR",
        "Use this bit to determine the direction of shift of transmit data.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAIT_FOR_VSYNC_EDGE",
        "Setting this bit to 1 will make the hardware wait for the triggering V"
        "SYNC edge before starting write transfers to the LCD.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_WRITEB",
        "By default, eLCDIF is in the write mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YCBCR422_INPUT",
        "Zero implies input data is in RGB color space.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "This bit must be set to zero to enable normal operation of the eLCDIF.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_RL_SET.
static const field_t hw_lcdif_rl_set[] =
{
    {
        "RUN",
        "When this bit is set by software, the eLCDIF will begin transferring d"
        "ata between the SoC and the display.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_24_BIT",
        "Used only when WORD_LENGTH = 3, i.e.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_18_BIT",
        "Used only when WORD_LENGTH = 2, i.e.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_16_BIT",
        "When this bit is 1 and WORD_LENGTH = 0, it implies that the 16-bit dat"
        "a is in ARGB555 format.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "MASTER",
        "Set this bit to make the eLCDIF act as a bus master.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PXP_HANDSHAKE",
        "If this bit is set and LCDIF_MASTER bit is set, the eLCDIF will act as"
        " bus master and the handshake mechanism between eLCDIF and PXP will be"
        " turned on.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGB_TO_YCBCR422_CSC",
        "Set this bit to 1 to enable conversion from RGB to YCbCr colorspace.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "Input data format.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCD_DATABUS_WIDTH",
        "LCD Data bus transfer width.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSC_DATA_SWIZZLE",
        "This field specifies how to swap the bytes after the data has been con"
        "verted into an internal representation of 24 bits per pixel and before"
        " it is transmitted over the LCD interface bus.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_DATA_SWIZZLE",
        "This field specifies how to swap the bytes fetched by the bus master i"
        "nterface.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SELECT",
        "Command Mode polarity bit.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_MODE",
        "Set this bit to 1 to make the hardware go into the DOTCLK mode, i.e.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_MODE",
        "Setting this bit to 1 will make the eLCDIF hardware go into VSYNC mode"
        ".",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_COUNT",
        "When this bit is 0, it means that eLCDIF will stop the block operation"
        " and turn off the RUN bit after the amount of data indicated by the LC"
        "DIF_TRANSFER_COUNT register has been transferred out.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DVI_MODE",
        "Set this bit to 1 to get into the ITU-R BT.656 digital video interface"
        " mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_NUM_BITS",
        "The data to be transmitted is shifted left or right by this number of "
        "bits.",
        21, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SHIFT_DIR",
        "Use this bit to determine the direction of shift of transmit data.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAIT_FOR_VSYNC_EDGE",
        "Setting this bit to 1 will make the hardware wait for the triggering V"
        "SYNC edge before starting write transfers to the LCD.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_WRITEB",
        "By default, eLCDIF is in the write mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YCBCR422_INPUT",
        "Zero implies input data is in RGB color space.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "This bit must be set to zero to enable normal operation of the eLCDIF.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_RL_CLR.
static const field_t hw_lcdif_rl_clr[] =
{
    {
        "RUN",
        "When this bit is set by software, the eLCDIF will begin transferring d"
        "ata between the SoC and the display.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_24_BIT",
        "Used only when WORD_LENGTH = 3, i.e.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_18_BIT",
        "Used only when WORD_LENGTH = 2, i.e.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_16_BIT",
        "When this bit is 1 and WORD_LENGTH = 0, it implies that the 16-bit dat"
        "a is in ARGB555 format.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "MASTER",
        "Set this bit to make the eLCDIF act as a bus master.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PXP_HANDSHAKE",
        "If this bit is set and LCDIF_MASTER bit is set, the eLCDIF will act as"
        " bus master and the handshake mechanism between eLCDIF and PXP will be"
        " turned on.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGB_TO_YCBCR422_CSC",
        "Set this bit to 1 to enable conversion from RGB to YCbCr colorspace.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "Input data format.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCD_DATABUS_WIDTH",
        "LCD Data bus transfer width.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSC_DATA_SWIZZLE",
        "This field specifies how to swap the bytes after the data has been con"
        "verted into an internal representation of 24 bits per pixel and before"
        " it is transmitted over the LCD interface bus.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_DATA_SWIZZLE",
        "This field specifies how to swap the bytes fetched by the bus master i"
        "nterface.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SELECT",
        "Command Mode polarity bit.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_MODE",
        "Set this bit to 1 to make the hardware go into the DOTCLK mode, i.e.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_MODE",
        "Setting this bit to 1 will make the eLCDIF hardware go into VSYNC mode"
        ".",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_COUNT",
        "When this bit is 0, it means that eLCDIF will stop the block operation"
        " and turn off the RUN bit after the amount of data indicated by the LC"
        "DIF_TRANSFER_COUNT register has been transferred out.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DVI_MODE",
        "Set this bit to 1 to get into the ITU-R BT.656 digital video interface"
        " mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_NUM_BITS",
        "The data to be transmitted is shifted left or right by this number of "
        "bits.",
        21, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SHIFT_DIR",
        "Use this bit to determine the direction of shift of transmit data.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAIT_FOR_VSYNC_EDGE",
        "Setting this bit to 1 will make the hardware wait for the triggering V"
        "SYNC edge before starting write transfers to the LCD.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_WRITEB",
        "By default, eLCDIF is in the write mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YCBCR422_INPUT",
        "Zero implies input data is in RGB color space.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "This bit must be set to zero to enable normal operation of the eLCDIF.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_RL_TOG.
static const field_t hw_lcdif_rl_tog[] =
{
    {
        "RUN",
        "When this bit is set by software, the eLCDIF will begin transferring d"
        "ata between the SoC and the display.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_24_BIT",
        "Used only when WORD_LENGTH = 3, i.e.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_18_BIT",
        "Used only when WORD_LENGTH = 2, i.e.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_16_BIT",
        "When this bit is 1 and WORD_LENGTH = 0, it implies that the 16-bit dat"
        "a is in ARGB555 format.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "MASTER",
        "Set this bit to make the eLCDIF act as a bus master.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PXP_HANDSHAKE",
        "If this bit is set and LCDIF_MASTER bit is set, the eLCDIF will act as"
        " bus master and the handshake mechanism between eLCDIF and PXP will be"
        " turned on.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGB_TO_YCBCR422_CSC",
        "Set this bit to 1 to enable conversion from RGB to YCbCr colorspace.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "Input data format.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCD_DATABUS_WIDTH",
        "LCD Data bus transfer width.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSC_DATA_SWIZZLE",
        "This field specifies how to swap the bytes after the data has been con"
        "verted into an internal representation of 24 bits per pixel and before"
        " it is transmitted over the LCD interface bus.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_DATA_SWIZZLE",
        "This field specifies how to swap the bytes fetched by the bus master i"
        "nterface.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SELECT",
        "Command Mode polarity bit.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_MODE",
        "Set this bit to 1 to make the hardware go into the DOTCLK mode, i.e.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_MODE",
        "Setting this bit to 1 will make the eLCDIF hardware go into VSYNC mode"
        ".",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_COUNT",
        "When this bit is 0, it means that eLCDIF will stop the block operation"
        " and turn off the RUN bit after the amount of data indicated by the LC"
        "DIF_TRANSFER_COUNT register has been transferred out.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DVI_MODE",
        "Set this bit to 1 to get into the ITU-R BT.656 digital video interface"
        " mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_NUM_BITS",
        "The data to be transmitted is shifted left or right by this number of "
        "bits.",
        21, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SHIFT_DIR",
        "Use this bit to determine the direction of shift of transmit data.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAIT_FOR_VSYNC_EDGE",
        "Setting this bit to 1 will make the hardware wait for the triggering V"
        "SYNC edge before starting write transfers to the LCD.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_WRITEB",
        "By default, eLCDIF is in the write mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YCBCR422_INPUT",
        "Zero implies input data is in RGB color space.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "This bit must be set to zero to enable normal operation of the eLCDIF.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL1.
static const field_t hw_lcdif_ctrl1[] =
{
    {
        "RESET",
        "Reset bit for the external LCD controller.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MODE86",
        "This bit is used to select between the 8080 and 6800 series of micropr"
        "ocessor modes.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY_ENABLE",
        "This bit enables the use of the interface's busy signal input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        3, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "VSYNC_EDGE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_EDGE_IRQ_EN",
        "This bit is set to enable an interrupt every time the hardware encount"
        "ers the leading VSYNC edge in the VSYNC and DOTCLK modes, or the begin"
        "ning of every field in DVI mode.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ_EN",
        "This bit is set to 1 enable an interrupt every time the hardware enter"
        "s in the vertical blanking state.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ_EN",
        "This bit is set to enable an underflow interrupt in the TXFIFO in the "
        "write mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ_EN",
        "This bit is set to enable an overflow interrupt in the TXFIFO in the w"
        "rite mode.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTE_PACKING_FORMAT",
        "This bitfield is used to show which data bytes in a 32-bit word are va"
        "lid.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_ON_ALTERNATE_FIELDS",
        "If this bit is set, the eLCDIF block will assert the cur_frame_done in"
        "terrupt only on alternate fields, otherwise it will issue the interrup"
        "t on both odd and even field.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_CLEAR",
        "Set this bit to clear all the data in the latency FIFO (LFIFO), TXFIFO"
        " and the RXFIFO.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "START_INTERLACE_FROM_SECOND_FIELD",
        "The default is to grab the odd lines first and then the even lines.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTERLACE_FIELDS",
        "Set this bit if it is required that the eLCDIF block fetches odd lines"
        " in one field and even lines in the other field.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RECOVER_ON_UNDERFLOW",
        "Set this bit to enable the eLCDIF block to recover in the next field/f"
        "rame if there was an underflow in the current field/frame.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ_EN",
        "This bit is set to enable bus master error interrupt in the eLCDIF mas"
        "ter mode.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE_MPU_WR_STRB",
        "If this bit is not set, the write strobe will be driven on LCD_WR_RWn "
        "pin in the 8080 mode and on the LCD_RD_E pin in the 6800 mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        28, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL1_SET.
static const field_t hw_lcdif_ctrl1_set[] =
{
    {
        "RESET",
        "Reset bit for the external LCD controller.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MODE86",
        "This bit is used to select between the 8080 and 6800 series of micropr"
        "ocessor modes.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY_ENABLE",
        "This bit enables the use of the interface's busy signal input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        3, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "VSYNC_EDGE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_EDGE_IRQ_EN",
        "This bit is set to enable an interrupt every time the hardware encount"
        "ers the leading VSYNC edge in the VSYNC and DOTCLK modes, or the begin"
        "ning of every field in DVI mode.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ_EN",
        "This bit is set to 1 enable an interrupt every time the hardware enter"
        "s in the vertical blanking state.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ_EN",
        "This bit is set to enable an underflow interrupt in the TXFIFO in the "
        "write mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ_EN",
        "This bit is set to enable an overflow interrupt in the TXFIFO in the w"
        "rite mode.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTE_PACKING_FORMAT",
        "This bitfield is used to show which data bytes in a 32-bit word are va"
        "lid.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_ON_ALTERNATE_FIELDS",
        "If this bit is set, the eLCDIF block will assert the cur_frame_done in"
        "terrupt only on alternate fields, otherwise it will issue the interrup"
        "t on both odd and even field.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_CLEAR",
        "Set this bit to clear all the data in the latency FIFO (LFIFO), TXFIFO"
        " and the RXFIFO.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "START_INTERLACE_FROM_SECOND_FIELD",
        "The default is to grab the odd lines first and then the even lines.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTERLACE_FIELDS",
        "Set this bit if it is required that the eLCDIF block fetches odd lines"
        " in one field and even lines in the other field.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RECOVER_ON_UNDERFLOW",
        "Set this bit to enable the eLCDIF block to recover in the next field/f"
        "rame if there was an underflow in the current field/frame.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ_EN",
        "This bit is set to enable bus master error interrupt in the eLCDIF mas"
        "ter mode.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE_MPU_WR_STRB",
        "If this bit is not set, the write strobe will be driven on LCD_WR_RWn "
        "pin in the 8080 mode and on the LCD_RD_E pin in the 6800 mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        28, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL1_CLR.
static const field_t hw_lcdif_ctrl1_clr[] =
{
    {
        "RESET",
        "Reset bit for the external LCD controller.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MODE86",
        "This bit is used to select between the 8080 and 6800 series of micropr"
        "ocessor modes.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY_ENABLE",
        "This bit enables the use of the interface's busy signal input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        3, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "VSYNC_EDGE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_EDGE_IRQ_EN",
        "This bit is set to enable an interrupt every time the hardware encount"
        "ers the leading VSYNC edge in the VSYNC and DOTCLK modes, or the begin"
        "ning of every field in DVI mode.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ_EN",
        "This bit is set to 1 enable an interrupt every time the hardware enter"
        "s in the vertical blanking state.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ_EN",
        "This bit is set to enable an underflow interrupt in the TXFIFO in the "
        "write mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ_EN",
        "This bit is set to enable an overflow interrupt in the TXFIFO in the w"
        "rite mode.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTE_PACKING_FORMAT",
        "This bitfield is used to show which data bytes in a 32-bit word are va"
        "lid.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_ON_ALTERNATE_FIELDS",
        "If this bit is set, the eLCDIF block will assert the cur_frame_done in"
        "terrupt only on alternate fields, otherwise it will issue the interrup"
        "t on both odd and even field.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_CLEAR",
        "Set this bit to clear all the data in the latency FIFO (LFIFO), TXFIFO"
        " and the RXFIFO.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "START_INTERLACE_FROM_SECOND_FIELD",
        "The default is to grab the odd lines first and then the even lines.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTERLACE_FIELDS",
        "Set this bit if it is required that the eLCDIF block fetches odd lines"
        " in one field and even lines in the other field.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RECOVER_ON_UNDERFLOW",
        "Set this bit to enable the eLCDIF block to recover in the next field/f"
        "rame if there was an underflow in the current field/frame.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ_EN",
        "This bit is set to enable bus master error interrupt in the eLCDIF mas"
        "ter mode.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE_MPU_WR_STRB",
        "If this bit is not set, the write strobe will be driven on LCD_WR_RWn "
        "pin in the 8080 mode and on the LCD_RD_E pin in the 6800 mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        28, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL1_TOG.
static const field_t hw_lcdif_ctrl1_tog[] =
{
    {
        "RESET",
        "Reset bit for the external LCD controller.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MODE86",
        "This bit is used to select between the 8080 and 6800 series of micropr"
        "ocessor modes.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY_ENABLE",
        "This bit enables the use of the interface's busy signal input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        3, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "VSYNC_EDGE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_EDGE_IRQ_EN",
        "This bit is set to enable an interrupt every time the hardware encount"
        "ers the leading VSYNC edge in the VSYNC and DOTCLK modes, or the begin"
        "ning of every field in DVI mode.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ_EN",
        "This bit is set to 1 enable an interrupt every time the hardware enter"
        "s in the vertical blanking state.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ_EN",
        "This bit is set to enable an underflow interrupt in the TXFIFO in the "
        "write mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ_EN",
        "This bit is set to enable an overflow interrupt in the TXFIFO in the w"
        "rite mode.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTE_PACKING_FORMAT",
        "This bitfield is used to show which data bytes in a 32-bit word are va"
        "lid.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_ON_ALTERNATE_FIELDS",
        "If this bit is set, the eLCDIF block will assert the cur_frame_done in"
        "terrupt only on alternate fields, otherwise it will issue the interrup"
        "t on both odd and even field.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_CLEAR",
        "Set this bit to clear all the data in the latency FIFO (LFIFO), TXFIFO"
        " and the RXFIFO.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "START_INTERLACE_FROM_SECOND_FIELD",
        "The default is to grab the odd lines first and then the even lines.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTERLACE_FIELDS",
        "Set this bit if it is required that the eLCDIF block fetches odd lines"
        " in one field and even lines in the other field.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RECOVER_ON_UNDERFLOW",
        "Set this bit to enable the eLCDIF block to recover in the next field/f"
        "rame if there was an underflow in the current field/frame.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "This bit is set to indicate that an interrupt is requested by the eLCD"
        "IF block.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ_EN",
        "This bit is set to enable bus master error interrupt in the eLCDIF mas"
        "ter mode.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE_MPU_WR_STRB",
        "If this bit is not set, the write strobe will be driven on LCD_WR_RWn "
        "pin in the 8080 mode and on the LCD_RD_E pin in the 6800 mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        28, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL2.
static const field_t hw_lcdif_ctrl2[] =
{
    {
        "RSRVD0",
        "Reserved bits.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "INITIAL_DUMMY_READ",
        "The value in this field determines the number of dummy 8/16/18/24-bit "
        "subwords that have to be read back from the LCD panel/controller.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_NUM_PACKED_SUBWORDS",
        "Indicates the number of valid 8/16/18/24-bit subwords that will be pac"
        "ked into the 32-bit word in read mode.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READ_MODE_6_BIT_INPUT",
        "Setting this bit to 1 indicates to eLCDIF that even though LCD_DATABUS"
        "_WIDTH is set to 8 bits, the input data is actually only 6 bits wide a"
        "nd exists on D5-D0.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_OUTPUT_IN_RGB_FORMAT",
        "Setting this bit will enable the eLCDIF to convert the incoming data t"
        "o the RGB format given by WORD_LENGTH bitfield.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_PACK_DIR",
        "The default value of 0 indicates data is stored in the little endian f"
        "ormat.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        11, // LSB
        11, // MSB
        false, // Readable
        false // Writable
    },
    {
        "EVEN_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " EVEN lines (line numbers 2,4,6,..).",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD3",
        "Reserved bits.",
        15, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ODD_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " ODD lines (line numbers 1,3,5,..).",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD4",
        "Reserved bits.",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BURST_LEN_8",
        "By default, when the eLCDIF is in the bus master mode, it will issue A"
        "XI bursts of length 16 (except when in packed 24 bpp mode, it will iss"
        "ue bursts of length 15).",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTSTANDING_REQS",
        "This bitfield indicates the maximum number of outstanding transactions"
        " that eLCDIF should request when it is acting as a bus master.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD5",
        "Reserved bits.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL2_SET.
static const field_t hw_lcdif_ctrl2_set[] =
{
    {
        "RSRVD0",
        "Reserved bits.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "INITIAL_DUMMY_READ",
        "The value in this field determines the number of dummy 8/16/18/24-bit "
        "subwords that have to be read back from the LCD panel/controller.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_NUM_PACKED_SUBWORDS",
        "Indicates the number of valid 8/16/18/24-bit subwords that will be pac"
        "ked into the 32-bit word in read mode.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READ_MODE_6_BIT_INPUT",
        "Setting this bit to 1 indicates to eLCDIF that even though LCD_DATABUS"
        "_WIDTH is set to 8 bits, the input data is actually only 6 bits wide a"
        "nd exists on D5-D0.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_OUTPUT_IN_RGB_FORMAT",
        "Setting this bit will enable the eLCDIF to convert the incoming data t"
        "o the RGB format given by WORD_LENGTH bitfield.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_PACK_DIR",
        "The default value of 0 indicates data is stored in the little endian f"
        "ormat.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        11, // LSB
        11, // MSB
        false, // Readable
        false // Writable
    },
    {
        "EVEN_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " EVEN lines (line numbers 2,4,6,..).",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD3",
        "Reserved bits.",
        15, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ODD_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " ODD lines (line numbers 1,3,5,..).",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD4",
        "Reserved bits.",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BURST_LEN_8",
        "By default, when the eLCDIF is in the bus master mode, it will issue A"
        "XI bursts of length 16 (except when in packed 24 bpp mode, it will iss"
        "ue bursts of length 15).",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTSTANDING_REQS",
        "This bitfield indicates the maximum number of outstanding transactions"
        " that eLCDIF should request when it is acting as a bus master.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD5",
        "Reserved bits.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL2_CLR.
static const field_t hw_lcdif_ctrl2_clr[] =
{
    {
        "RSRVD0",
        "Reserved bits.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "INITIAL_DUMMY_READ",
        "The value in this field determines the number of dummy 8/16/18/24-bit "
        "subwords that have to be read back from the LCD panel/controller.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_NUM_PACKED_SUBWORDS",
        "Indicates the number of valid 8/16/18/24-bit subwords that will be pac"
        "ked into the 32-bit word in read mode.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READ_MODE_6_BIT_INPUT",
        "Setting this bit to 1 indicates to eLCDIF that even though LCD_DATABUS"
        "_WIDTH is set to 8 bits, the input data is actually only 6 bits wide a"
        "nd exists on D5-D0.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_OUTPUT_IN_RGB_FORMAT",
        "Setting this bit will enable the eLCDIF to convert the incoming data t"
        "o the RGB format given by WORD_LENGTH bitfield.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_PACK_DIR",
        "The default value of 0 indicates data is stored in the little endian f"
        "ormat.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        11, // LSB
        11, // MSB
        false, // Readable
        false // Writable
    },
    {
        "EVEN_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " EVEN lines (line numbers 2,4,6,..).",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD3",
        "Reserved bits.",
        15, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ODD_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " ODD lines (line numbers 1,3,5,..).",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD4",
        "Reserved bits.",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BURST_LEN_8",
        "By default, when the eLCDIF is in the bus master mode, it will issue A"
        "XI bursts of length 16 (except when in packed 24 bpp mode, it will iss"
        "ue bursts of length 15).",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTSTANDING_REQS",
        "This bitfield indicates the maximum number of outstanding transactions"
        " that eLCDIF should request when it is acting as a bus master.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD5",
        "Reserved bits.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL2_TOG.
static const field_t hw_lcdif_ctrl2_tog[] =
{
    {
        "RSRVD0",
        "Reserved bits.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "INITIAL_DUMMY_READ",
        "The value in this field determines the number of dummy 8/16/18/24-bit "
        "subwords that have to be read back from the LCD panel/controller.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_NUM_PACKED_SUBWORDS",
        "Indicates the number of valid 8/16/18/24-bit subwords that will be pac"
        "ked into the 32-bit word in read mode.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READ_MODE_6_BIT_INPUT",
        "Setting this bit to 1 indicates to eLCDIF that even though LCD_DATABUS"
        "_WIDTH is set to 8 bits, the input data is actually only 6 bits wide a"
        "nd exists on D5-D0.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_OUTPUT_IN_RGB_FORMAT",
        "Setting this bit will enable the eLCDIF to convert the incoming data t"
        "o the RGB format given by WORD_LENGTH bitfield.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_PACK_DIR",
        "The default value of 0 indicates data is stored in the little endian f"
        "ormat.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        11, // LSB
        11, // MSB
        false, // Readable
        false // Writable
    },
    {
        "EVEN_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " EVEN lines (line numbers 2,4,6,..).",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD3",
        "Reserved bits.",
        15, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ODD_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " ODD lines (line numbers 1,3,5,..).",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD4",
        "Reserved bits.",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BURST_LEN_8",
        "By default, when the eLCDIF is in the bus master mode, it will issue A"
        "XI bursts of length 16 (except when in packed 24 bpp mode, it will iss"
        "ue bursts of length 15).",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTSTANDING_REQS",
        "This bitfield indicates the maximum number of outstanding transactions"
        " that eLCDIF should request when it is acting as a bus master.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD5",
        "Reserved bits.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_TRANSFER_COUNT.
static const field_t hw_lcdif_transfer_count[] =
{
    {
        "H_COUNT",
        "Total valid data (pixels) in each horizontal line.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "V_COUNT",
        "Number of horizontal lines per frame which contain valid data.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CUR_BUF.
static const field_t hw_lcdif_cur_buf[] =
{
    {
        "ADDR",
        "Address of the current frame being transmitted by eLCDIF.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_NEXT_BUF.
static const field_t hw_lcdif_next_buf[] =
{
    {
        "ADDR",
        "Address of the next frame that will be transmitted by eLCDIF.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_TIMING.
static const field_t hw_lcdif_timing[] =
{
    {
        "DATA_SETUP",
        "Data bus setup time in CLK_DIS_LCDIFn cycles.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_HOLD",
        "Data bus hold time in CLK_DIS_LCDIFn cycles.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMD_SETUP",
        "Number of CLK_DIS_LCDIFn cycles that the DCn signal is active before C"
        "En is asserted.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMD_HOLD",
        "Number of CLK_DIS_LCDIFn cycles that the DCn signal is active after CE"
        "n is deasserted.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL0.
static const field_t hw_lcdif_vdctrl0[] =
{
    {
        "VSYNC_PULSE_WIDTH",
        "Number of units for which VSYNC signal is active.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE_MODE",
        "When this bit is 0, the first field (VSYNC period) will end in half a "
        "horizontal line and the second field will begin with half a horizontal"
        " line.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE",
        "Setting this bit to 1 will make the total VSYNC period equal to the VS"
        "YNC_PERIOD field plus half the HORIZONTAL_PERIOD field (i.e.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PULSE_WIDTH_UNIT",
        "Default 0 for counting VSYNC_PULSE_WIDTH in terms of CLK_DIS_LCDIFn cy"
        "cles.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PERIOD_UNIT",
        "Default 0 for counting VSYNC_PERIOD in terms of CLK_DIS_LCDIFn cycles.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ENABLE_POL",
        "Default 0 active low during valid data transfer on each horizontal lin"
        "e.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_POL",
        "Default is data launched at negative edge of DOTCLK and captured at po"
        "sitive edge.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_POL",
        "Default 0 active low during HSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the HSYNC period.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_POL",
        "Default 0 active low during VSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the VSYNC period.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRESENT",
        "Setting this bit to 1 will make the hardware generate the ENABLE signa"
        "l in the DOTCLK mode, thereby making it the true RGB interface along w"
        "ith the remaining three signals VSYNC, HSYNC and DOTCLK.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_OEB",
        "0 means the VSYNC signal is an output, 1 means it is an input.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL0_SET.
static const field_t hw_lcdif_vdctrl0_set[] =
{
    {
        "VSYNC_PULSE_WIDTH",
        "Number of units for which VSYNC signal is active.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE_MODE",
        "When this bit is 0, the first field (VSYNC period) will end in half a "
        "horizontal line and the second field will begin with half a horizontal"
        " line.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE",
        "Setting this bit to 1 will make the total VSYNC period equal to the VS"
        "YNC_PERIOD field plus half the HORIZONTAL_PERIOD field (i.e.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PULSE_WIDTH_UNIT",
        "Default 0 for counting VSYNC_PULSE_WIDTH in terms of CLK_DIS_LCDIFn cy"
        "cles.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PERIOD_UNIT",
        "Default 0 for counting VSYNC_PERIOD in terms of CLK_DIS_LCDIFn cycles.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ENABLE_POL",
        "Default 0 active low during valid data transfer on each horizontal lin"
        "e.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_POL",
        "Default is data launched at negative edge of DOTCLK and captured at po"
        "sitive edge.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_POL",
        "Default 0 active low during HSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the HSYNC period.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_POL",
        "Default 0 active low during VSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the VSYNC period.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRESENT",
        "Setting this bit to 1 will make the hardware generate the ENABLE signa"
        "l in the DOTCLK mode, thereby making it the true RGB interface along w"
        "ith the remaining three signals VSYNC, HSYNC and DOTCLK.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_OEB",
        "0 means the VSYNC signal is an output, 1 means it is an input.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL0_CLR.
static const field_t hw_lcdif_vdctrl0_clr[] =
{
    {
        "VSYNC_PULSE_WIDTH",
        "Number of units for which VSYNC signal is active.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE_MODE",
        "When this bit is 0, the first field (VSYNC period) will end in half a "
        "horizontal line and the second field will begin with half a horizontal"
        " line.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE",
        "Setting this bit to 1 will make the total VSYNC period equal to the VS"
        "YNC_PERIOD field plus half the HORIZONTAL_PERIOD field (i.e.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PULSE_WIDTH_UNIT",
        "Default 0 for counting VSYNC_PULSE_WIDTH in terms of CLK_DIS_LCDIFn cy"
        "cles.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PERIOD_UNIT",
        "Default 0 for counting VSYNC_PERIOD in terms of CLK_DIS_LCDIFn cycles.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ENABLE_POL",
        "Default 0 active low during valid data transfer on each horizontal lin"
        "e.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_POL",
        "Default is data launched at negative edge of DOTCLK and captured at po"
        "sitive edge.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_POL",
        "Default 0 active low during HSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the HSYNC period.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_POL",
        "Default 0 active low during VSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the VSYNC period.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRESENT",
        "Setting this bit to 1 will make the hardware generate the ENABLE signa"
        "l in the DOTCLK mode, thereby making it the true RGB interface along w"
        "ith the remaining three signals VSYNC, HSYNC and DOTCLK.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_OEB",
        "0 means the VSYNC signal is an output, 1 means it is an input.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL0_TOG.
static const field_t hw_lcdif_vdctrl0_tog[] =
{
    {
        "VSYNC_PULSE_WIDTH",
        "Number of units for which VSYNC signal is active.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE_MODE",
        "When this bit is 0, the first field (VSYNC period) will end in half a "
        "horizontal line and the second field will begin with half a horizontal"
        " line.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE",
        "Setting this bit to 1 will make the total VSYNC period equal to the VS"
        "YNC_PERIOD field plus half the HORIZONTAL_PERIOD field (i.e.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PULSE_WIDTH_UNIT",
        "Default 0 for counting VSYNC_PULSE_WIDTH in terms of CLK_DIS_LCDIFn cy"
        "cles.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PERIOD_UNIT",
        "Default 0 for counting VSYNC_PERIOD in terms of CLK_DIS_LCDIFn cycles.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ENABLE_POL",
        "Default 0 active low during valid data transfer on each horizontal lin"
        "e.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_POL",
        "Default is data launched at negative edge of DOTCLK and captured at po"
        "sitive edge.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_POL",
        "Default 0 active low during HSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the HSYNC period.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_POL",
        "Default 0 active low during VSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the VSYNC period.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRESENT",
        "Setting this bit to 1 will make the hardware generate the ENABLE signa"
        "l in the DOTCLK mode, thereby making it the true RGB interface along w"
        "ith the remaining three signals VSYNC, HSYNC and DOTCLK.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_OEB",
        "0 means the VSYNC signal is an output, 1 means it is an input.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL1.
static const field_t hw_lcdif_vdctrl1[] =
{
    {
        "VSYNC_PERIOD",
        "Total number of units between two positive or two negative edges of th"
        "e VSYNC signal.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL2.
static const field_t hw_lcdif_vdctrl2[] =
{
    {
        "HSYNC_PERIOD",
        "Total number of CLK_DIS_LCDIFn cycles between two positive or two nega"
        "tive edges of the HSYNC signal.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_PULSE_WIDTH",
        "Number of CLK_DIS_LCDIFn cycles for which HSYNC signal is active.",
        18, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL3.
static const field_t hw_lcdif_vdctrl3[] =
{
    {
        "VERTICAL_WAIT_CNT",
        "In the VSYNC interface mode, wait for this number of CLK_DIS_LCDIFn cy"
        "cles from the falling VSYNC edge (or rising if VSYNC_POL is 1) before "
        "starting LCD transactions and is applicable only if WAIT_FOR_VSYNC_EDG"
        "E is set.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZONTAL_WAIT_CNT",
        "In the DOTCLK mode, wait for this number of clocks from falling edge ("
        "or rising if HSYNC_POL is 1) of HSYNC signal to account for horizontal"
        " back porch plus the number of DOTCLKs before the moving picture infor"
        "mation begins.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_ONLY",
        "This bit must be set to 1 in the VSYNC mode of operation, and 0 in the"
        " DOTCLK mode of operation.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX_SYNC_SIGNALS",
        "When this bit is set, the eLCDIF block will internally mux HSYNC with "
        "LCD_D14, DOTCLK with LCD_D13 and ENABLE with LCD_D12, otherwise these "
        "signals will go out on separate pins.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL4.
static const field_t hw_lcdif_vdctrl4[] =
{
    {
        "DOTCLK_H_VALID_DATA_CNT",
        "Total number of CLK_DIS_LCDIFn cycles on each horizontal line that car"
        "ry valid data in DOTCLK mode.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNC_SIGNALS_ON",
        "Set this field to 1 if the LCD controller requires that the VSYNC or V"
        "SYNC/HSYNC/DOTCLK control signals should be active at least one frame "
        "before the data transfers actually start and remain active at least on"
        "e frame after the data transfers end.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        19, // LSB
        28, // MSB
        false, // Readable
        false // Writable
    },
    {
        "DOTCLK_DLY_SEL",
        "This bitfield selects the amount of time by which the DOTCLK signal sh"
        "ould be delayed before coming out of the LCD_DOTCK pin.",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DVICTRL0.
static const field_t hw_lcdif_dvictrl0[] =
{
    {
        "H_BLANKING_CNT",
        "Number of blanking samples to be inserted between EAV and SAV during h"
        "orizontal blanking interval.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        12, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "H_ACTIVE_CNT",
        "Number of active video samples to be transmitted.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        28, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DVICTRL1.
static const field_t hw_lcdif_dvictrl1[] =
{
    {
        "F2_START_LINE",
        "Vertical line number from which Field 2 begins.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1_END_LINE",
        "Vertical line number at which Field1 ends.",
        10, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1_START_LINE",
        "Vertical line number from which Field 1 begins.",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DVICTRL2.
static const field_t hw_lcdif_dvictrl2[] =
{
    {
        "V1_BLANK_END_LINE",
        "Vertical line number in the beginning part of Field2 where first Verti"
        "cal Blanking interval ends.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "V1_BLANK_START_LINE",
        "Vertical line number towards the end of Field1 where first Vertical Bl"
        "anking interval starts.",
        10, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F2_END_LINE",
        "Vertical line number at which Field 2 ends.",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DVICTRL3.
static const field_t hw_lcdif_dvictrl3[] =
{
    {
        "V_LINES_CNT",
        "Total number of vertical lines per frame (generally 525 or 625)",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "V2_BLANK_END_LINE",
        "Vertical line number in the beginning part of Field1 where second Vert"
        "ical Blanking interval ends.",
        10, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "V2_BLANK_START_LINE",
        "Vertical line number towards the end of Field2 where second Vertical B"
        "lanking interval starts.",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DVICTRL4.
static const field_t hw_lcdif_dvictrl4[] =
{
    {
        "H_FILL_CNT",
        "Number of active video samples that have to be filled with the filler "
        "data in the front and back portions of the active horizontal interval.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CR_FILL_VALUE",
        "Value of CR component of filler data.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CB_FILL_VALUE",
        "Value of CB component of filler data",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "Y_FILL_VALUE",
        "Value of Y component of filler data",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_COEFF0.
static const field_t hw_lcdif_csc_coeff0[] =
{
    {
        "CSC_SUBSAMPLE_FILTER",
        "This register describes the filtering and subsampling scheme to be per"
        "formed on the chroma components in order to convert from YCbCr 4:4:4 t"
        "o YCbCr 4:2:2 space.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        2, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "C0",
        "Two's complement red multiplier coefficient for Y",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        26, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_COEFF1.
static const field_t hw_lcdif_csc_coeff1[] =
{
    {
        "C1",
        "Two's complement green multiplier coefficient for Y",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        10, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "C2",
        "Two's complement blue multiplier coefficient for Y",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        26, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_COEFF2.
static const field_t hw_lcdif_csc_coeff2[] =
{
    {
        "C3",
        "Two's complement red multiplier coefficient for Cb",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        10, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "C4",
        "Two's complement green multiplier coefficient for Cb",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        26, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_COEFF3.
static const field_t hw_lcdif_csc_coeff3[] =
{
    {
        "C5",
        "Two's complement blue multiplier coefficient for Cb",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        10, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "C6",
        "Two's complement red multiplier coefficient for Cr",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        26, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_COEFF4.
static const field_t hw_lcdif_csc_coeff4[] =
{
    {
        "C7",
        "Two's complement green multiplier coefficient for Cr",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        10, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "C8",
        "Two's complement blue multiplier coefficient for Cr",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        26, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_OFFSET.
static const field_t hw_lcdif_csc_offset[] =
{
    {
        "Y_OFFSET",
        "Two's complement offset for the Y component",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        9, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CBCR_OFFSET",
        "Two's complement offset for the Cb and Cr components",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        25, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_LIMIT.
static const field_t hw_lcdif_csc_limit[] =
{
    {
        "Y_MAX",
        "Upper limit of Y after RGB to 4:2:2 YCbCr conversion",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "Y_MIN",
        "Lower limit of Y after RGB to 4:2:2 YCbCr conversion",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CBCR_MAX",
        "Upper limit of Cb and Cr after RGB to 4:2:2 YCbCr conversion",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CBCR_MIN",
        "Lower limit of Cb and Cr after RGB to 4:2:2 YCbCr conversion",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DATA.
static const field_t hw_lcdif_data[] =
{
    {
        "DATA_ZERO",
        "Byte 0 (least significant byte) of data written to eLCDIF.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_ONE",
        "Byte 1 of data written to eLCDIF.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_TWO",
        "Byte 2 of data written to eLCDIF.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_THREE",
        "Byte 3 (most significant byte) of data written to LCDIF.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_BM_ERROR_STAT.
static const field_t hw_lcdif_bm_error_stat[] =
{
    {
        "ADDR",
        "Virtual address at which bus master error occurred.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CRC_STAT.
static const field_t hw_lcdif_crc_stat[] =
{
    {
        "CRC_VALUE",
        "Calculated CRC value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_STAT.
static const field_t hw_lcdif_stat[] =
{
    {
        "LFIFO_COUNT",
        "Read only view of the current count in Latency buffer (LFIFO).",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        9, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "DVI_CURRENT_FIELD",
        "Read only view of the current field being transmitted.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY",
        "Read only view of the input busy signal from the external LCD controll"
        "er.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXFIFO_EMPTY",
        "Read only view of the signal that indicates that LCD write dapatath FI"
        "FO is empty, will be generally used in the read mode of the LCD interf"
        "ace.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXFIFO_FULL",
        "Read only view of the signal that indicates that LCD write datapath FI"
        "FO is full, will be generally used in the write mode of the LCD interf"
        "ace.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LFIFO_EMPTY",
        "Read only view of the signal that indicates that LCD read dapatath FIF"
        "O is empty, will be generally used in the read mode of the LCD interfa"
        "ce.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LFIFO_FULL",
        "Read only view of the signal that indicates that LCD read datapath FIF"
        "O is full, will be generally used in the write mode of the LCD interfa"
        "ce.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRESENT",
        "0: eLCDIF not present on this product 1: eLCDIF is present.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VERSION.
static const field_t hw_lcdif_version[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value reflecting the MINOR field of RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value reflecting the MAJOR field of RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DEBUG0.
static const field_t hw_lcdif_debug0[] =
{
    {
        "MST_WORDS",
        "Read only view of the current bursts issued by the AXI bus master.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MST_OUTSTANDING_REQS",
        "Read only view of the current outstanding requests issued by the AXI b"
        "us master.",
        4, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MST_AVALID",
        "Read only view of the mst_avalid signal issued by the AXI bus master.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CUR_REQ_STATE",
        "Read only view of the request state machine.",
        10, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PXP_B1_DONE",
        "Buffer1 done signal issued by eLCDIF.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PXP_LCDIF_B1_READY",
        "Buffer1 ready signal issued by PXP.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PXP_B0_DONE",
        "Buffer0 done signal issued by eLCDIF.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PXP_LCDIF_B0_READY",
        "Buffer0 ready signal issued by PXP.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CUR_STATE",
        "Read only view of the current state machine state in the current mode "
        "of operation.",
        16, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMPTY_WORD",
        "Indicates that the current word is empty.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CUR_FRAME_TX",
        "This bit is 1 for the time the current frame is being transmitted in t"
        "he VSYNC mode.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VSYNC",
        "Read only view of VSYNC signal.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HSYNC",
        "Read only view of HSYNC signal.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE",
        "Read only view of ENABLE signal.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SYNC_SIGNALS_ON_REG",
        "Read only view of internal sync_signals_on_reg signal.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT_FOR_VSYNC_EDGE_OUT",
        "Read only view of WAIT_FOR_VSYNC_EDGE bit in the VSYNC mode after it c"
        "omes out of the TXFIFO.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STREAMING_END_DETECTED",
        "Read only view of the DOTCLK_MODE or DVI_MODE bit going from 1 to 0.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DEBUG1.
static const field_t hw_lcdif_debug1[] =
{
    {
        "V_DATA_COUNT",
        "Read only view of the current state of the vertical data counter.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "H_DATA_COUNT",
        "Read only view of the current state of the horizontal data counter.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DEBUG2.
static const field_t hw_lcdif_debug2[] =
{
    {
        "MST_ADDRESS",
        "Read only view of the current address issued by the AXI bus master.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_THRES.
static const field_t hw_lcdif_thres[] =
{
    {
        "PANIC",
        "",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        9, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FASTCLOCK",
        "This value should be set to a value of pixels, from 0 to 511.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        25, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_AS_CTRL.
static const field_t hw_lcdif_as_ctrl[] =
{
    {
        "AS_ENABLE",
        "When this bit is set by software, the LCDIF will start fetching AS buf"
        "fer data in bus master mode and combine it with another buffer.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPHA_CTRL",
        "Determines how the alpha value is constructed for this alpha surface.",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_COLORKEY",
        "Indicates that colorkey functionality is enabled for this alpha surfac"
        "e.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FORMAT",
        "Indicates the input buffer format for AS.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPHA",
        "Alpha modifier used when the ALPHA_MULTIPLY or ALPHA_OVERRIDE values a"
        "re programmed in REG_AS_CTRL[ALPHA_CTRL].",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROP",
        "Indicates a raster operation to perform when enabled.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPHA_INVERT",
        "Setting this bit to logic 0 will not alter the alpha value.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_DATA_SWIZZLE",
        "This field specifies how to swap the bytes either in the HW_LCDIF_DATA"
        " register or those fetched by the AXI master part of LCDIF.",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS_DISABLE",
        "When this bit is set by software, the LCDIF will disable PS buffer dat"
        "a.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RVDS1",
        "Reserved, always set to zero.",
        24, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI_SYNC_ON_IRQ",
        "this bit is set by software to decide which vsync generate mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI_SYNC_ON_IRQ_EN",
        "This bit is set to enable an interrupt when LCDIF lock with CSI vsync "
        "input.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI_VSYNC_MODE",
        "this bit is set by software to decide which vsync generate mode.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI_VSYNC_POL",
        "Default 0 active low during VSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the VSYNC period.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI_VSYNC_ENABLE",
        "When this bit is set by software, the LCDIF work as sync mode with CSI"
        " input.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_AS_BUF.
static const field_t hw_lcdif_as_buf[] =
{
    {
        "ADDR",
        "Address pointer for the alpha surface 0 buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_AS_NEXT_BUF.
static const field_t hw_lcdif_as_next_buf[] =
{
    {
        "ADDR",
        "Address of the next frame that will be transmitted by eLCDIF.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_AS_CLRKEYLOW.
static const field_t hw_lcdif_as_clrkeylow[] =
{
    {
        "PIXEL",
        "Low range of RGB color key applied to AS buffer",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_AS_CLRKEYHIGH.
static const field_t hw_lcdif_as_clrkeyhigh[] =
{
    {
        "PIXEL",
        "High range of RGB color key applied to AS buffer",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_SYNC_DELAY.
static const field_t hw_lcdif_sync_delay[] =
{
    {
        "H_COUNT_DELAY",
        "LCDIF VSYNC delayed counter for CSI_VSYNC.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "V_COUNT_DELAY",
        "LCDIF VSYNC delayed counter for CSI_VSYNC.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DEBUG3.
static const field_t hw_lcdif_debug3[] =
{
    {
        "MST_WORDS",
        "Read only view of the current bursts issued by the AXI bus master.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MST_OUTSTANDING_REQS",
        "Read only view of the current outstanding requests issued by the AXI b"
        "us master",
        4, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MST_AVALID",
        "Read only view of the mst_avalid signal issued by the AXI bus master",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CUR_REQ_STATE",
        "Read only view of the request state machine",
        10, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved bits, write as 0.",
        12, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DEBUG4.
static const field_t hw_lcdif_debug4[] =
{
    {
        "V_DATA_COUNT",
        "Read only view of the current AS state of the vertical data counter.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "H_DATA_COUNT",
        "Read only view of the current AS state of the horizontal data counter.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DEBUG5.
static const field_t hw_lcdif_debug5[] =
{
    {
        "MST_ADDRESS",
        "Read only view of the AS channel address issued by the AXI bus master.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a LCDIF module.
static const reg_t hw_lcdif[] =
{
    {
        "RL",
        "The LCD Interface Control Register provides overall control of the eLC"
        "DIF block.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_lcdif_rl
    },
    {
        "RL_SET",
        "The LCD Interface Control Register provides overall control of the eLC"
        "DIF block.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_lcdif_rl_set
    },
    {
        "RL_CLR",
        "The LCD Interface Control Register provides overall control of the eLC"
        "DIF block.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_lcdif_rl_clr
    },
    {
        "RL_TOG",
        "The LCD Interface Control Register provides overall control of the eLC"
        "DIF block.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_lcdif_rl_tog
    },
    {
        "CTRL1",
        "The eLCDIF Control Register provides overall control of the eLCDIF blo"
        "ck.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        22, // Number of bitfields
        hw_lcdif_ctrl1
    },
    {
        "CTRL1_SET",
        "The eLCDIF Control Register provides overall control of the eLCDIF blo"
        "ck.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        22, // Number of bitfields
        hw_lcdif_ctrl1_set
    },
    {
        "CTRL1_CLR",
        "The eLCDIF Control Register provides overall control of the eLCDIF blo"
        "ck.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        22, // Number of bitfields
        hw_lcdif_ctrl1_clr
    },
    {
        "CTRL1_TOG",
        "The eLCDIF Control Register provides overall control of the eLCDIF blo"
        "ck.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        22, // Number of bitfields
        hw_lcdif_ctrl1_tog
    },
    {
        "CTRL2",
        "The eLCDIF Control Register provides overall control of the eLCDIF blo"
        "ck.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_lcdif_ctrl2
    },
    {
        "CTRL2_SET",
        "The eLCDIF Control Register provides overall control of the eLCDIF blo"
        "ck.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_lcdif_ctrl2_set
    },
    {
        "CTRL2_CLR",
        "The eLCDIF Control Register provides overall control of the eLCDIF blo"
        "ck.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_lcdif_ctrl2_clr
    },
    {
        "CTRL2_TOG",
        "The eLCDIF Control Register provides overall control of the eLCDIF blo"
        "ck.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_lcdif_ctrl2_tog
    },
    {
        "TRANSFER_COUNT",
        "This register tells the eLCDIF how much data will be sent for this fra"
        "me, or transaction.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lcdif_transfer_count
    },
    {
        "CUR_BUF",
        "This register indicates the address of the current frame being transmi"
        "tted by eLCDIF.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_cur_buf
    },
    {
        "NEXT_BUF",
        "This register indicates the address of next frame that will be transmi"
        "tted by eLCDIF.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_next_buf
    },
    {
        "TIMING",
        "The LCD interface timing register controls the various setup and hold "
        "times enforced by the LCD interface in the 6800/8080 MPU and VSYNC mod"
        "es of operation.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_timing
    },
    {
        "VDCTRL0",
        "This register is used to control the VSYNC and DOTCLK modes of the LCD"
        "IF so as to work with different types of LCDs like moving picture disp"
        "lays and delta pixel displays.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_lcdif_vdctrl0
    },
    {
        "VDCTRL0_SET",
        "This register is used to control the VSYNC and DOTCLK modes of the LCD"
        "IF so as to work with different types of LCDs like moving picture disp"
        "lays and delta pixel displays.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_lcdif_vdctrl0_set
    },
    {
        "VDCTRL0_CLR",
        "This register is used to control the VSYNC and DOTCLK modes of the LCD"
        "IF so as to work with different types of LCDs like moving picture disp"
        "lays and delta pixel displays.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_lcdif_vdctrl0_clr
    },
    {
        "VDCTRL0_TOG",
        "This register is used to control the VSYNC and DOTCLK modes of the LCD"
        "IF so as to work with different types of LCDs like moving picture disp"
        "lays and delta pixel displays.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_lcdif_vdctrl0_tog
    },
    {
        "VDCTRL1",
        "This register is used to control the VSYNC signal in the VSYNC and DOT"
        "CLK modes of the block.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_vdctrl1
    },
    {
        "VDCTRL2",
        "This register is used to control the HSYNC signal in the DOTCLK mode o"
        "f the block.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lcdif_vdctrl2
    },
    {
        "VDCTRL3",
        "This register is used to determine the vertical and horizontal wait co"
        "unts.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_lcdif_vdctrl3
    },
    {
        "VDCTRL4",
        "This register is used to control the DOTCLK mode of the block.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_vdctrl4
    },
    {
        "DVICTRL0",
        "The Digital Video interface Control0 register provides the overall con"
        "trol of the Digital Video interface.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_dvictrl0
    },
    {
        "DVICTRL1",
        "The Digital Video interface Control1 register provides the overall con"
        "trol of the Digital Video interface.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_dvictrl1
    },
    {
        "DVICTRL2",
        "The Digital Video interface Control2 register provides the overall con"
        "trol of the Digital Video interface.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_dvictrl2
    },
    {
        "DVICTRL3",
        "The Digital Video interface Control3 register provides the overall con"
        "trol of the Digital Video interface.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_dvictrl3
    },
    {
        "DVICTRL4",
        "The Digital Video interface Control4 register provides the overall con"
        "trol of the Digital Video interface.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_dvictrl4
    },
    {
        "CSC_COEFF0",
        "LCDIF_CSC_COEFF0 register provides overall control over color space co"
        "nversion from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_coeff0
    },
    {
        "CSC_COEFF1",
        "LCDIF_CSC_COEFF1 register provides overall control over color space co"
        "nversion from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_coeff1
    },
    {
        "CSC_COEFF2",
        "LCDIF_CSC_COEFF2 register provides overall control over color space co"
        "nversion from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_coeff2
    },
    {
        "CSC_COEFF3",
        "LCDIF_CSC_COEFF3 register provides overall control over color space co"
        "nversion from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_coeff3
    },
    {
        "CSC_COEFF4",
        "LCDIF_CSC_COEFF4 register provides overall control over color space co"
        "nversion from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_coeff4
    },
    {
        "CSC_OFFSET",
        "LCDIF_CSC_ register provides overall control over color space conversi"
        "on from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_offset
    },
    {
        "CSC_LIMIT",
        "LCDIF_CSC_CTRL0 register provides overall control over color space con"
        "version from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_limit
    },
    {
        "DATA",
        "This register is used to transfer data using the PIO interface mode of"
        " operation.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_data
    },
    {
        "BM_ERROR_STAT",
        "This register reflects the virtual address at which the AXI master rec"
        "eived an error response from the slave.",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_bm_error_stat
    },
    {
        "CRC_STAT",
        "This register reflects the CRC value of each frame sent out by eLCDIF.",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_crc_stat
    },
    {
        "STAT",
        "The LCD interface status register can be used to check the current sta"
        "tus of the eLCDIF block.",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        false, // Writable
        9, // Number of bitfields
        hw_lcdif_stat
    },
    {
        "VERSION",
        "The LCD interface version register can be used to read the version of "
        "the eLCDIF IP being used in this SoC.",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_lcdif_version
    },
    {
        "DEBUG0",
        "The LCD interface debug0 register provides a diagnostic view of the st"
        "ate machine and other useful internal signals.",
        4, // Width in bytes
        0x000001d0, // Base address offset
        true, // Readable
        false, // Writable
        17, // Number of bitfields
        hw_lcdif_debug0
    },
    {
        "DEBUG1",
        "The LCD interface debug1 register provides a diagnostic view of the st"
        "ate machine and other useful internal signals.",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_lcdif_debug1
    },
    {
        "DEBUG2",
        "The LCD interface debug2 register provides a diagnostic view of the st"
        "ate machine and other useful internal signals.",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_lcdif_debug2
    },
    {
        "THRES",
        "This register is used to activate control signals when the number of p"
        "ixels reaches the programmed threshold.",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_thres
    },
    {
        "AS_CTRL",
        "The Alpha Surface Parameter register provides additional controls for "
        "AS.",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_lcdif_as_ctrl
    },
    {
        "AS_BUF",
        "This register is used to indicate the base address of the AS buffer.",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_as_buf
    },
    {
        "AS_NEXT_BUF",
        "When the LCDIF is behaving as a master, this address points to the add"
        "ress of the next frame of data that will be sent out via the LCDIF.",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_as_next_buf
    },
    {
        "AS_CLRKEYLOW",
        "If a pixel in the current overlay image with a color that falls in the"
        " range from the ASCOLORKEYLOW to ASCOLORKEYHIGH range, it will use the"
        " PS pixel value for that location.",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lcdif_as_clrkeylow
    },
    {
        "AS_CLRKEYHIGH",
        "If a pixel in the current overlay image with a color that falls in the"
        " range from the ASCOLORKEYLOW to ASCOLORKEYHIGH range, it will use the"
        " PS pixel value for that location.",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lcdif_as_clrkeyhigh
    },
    {
        "SYNC_DELAY",
        "The LCDIF DOTCLK mode VSYNC will delay from CSI_VSYNC as ( V_COUNT_DEL"
        "AY * HSYNC_PERIOD + H_COUNT_DELAY) PIXCLK cycles",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lcdif_sync_delay
    },
    {
        "DEBUG3",
        "The LCD interface debug register is for diagnostic use only.",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_lcdif_debug3
    },
    {
        "DEBUG4",
        "The LCD interface debug register is for diagnostic use only.",
        4, // Width in bytes
        0x00000280, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_lcdif_debug4
    },
    {
        "DEBUG5",
        "The LCD interface debug register is for diagnostic use only.",
        4, // Width in bytes
        0x00000290, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_lcdif_debug5
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark LMEM
#endif

// Bitfields in register LMEM_PCCCR.
static const field_t hw_lmem_pcccr[] =
{
    {
        "ENCACHE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENWRBUF",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCCR2",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCCR3",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVW0",
        "If the PUSHW0 and INVW0 bits are set, then after setting the GO bit, p"
        "ush all modified lines in way 0 and invalidate all lines in way 0 (cle"
        "ar way 0).",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUSHW0",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVW1",
        "If the PUSHW1 and INVW1 bits are set, then after setting the GO bit, p"
        "ush all modified lines in way 1 and invalidate all lines in way 1 (cle"
        "ar way 1).",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUSHW1",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GO",
        "Setting this bit initiates the cache command indicated by bits 27-24.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PCCLCR.
static const field_t hw_lmem_pcclcr[] =
{
    {
        "LGO",
        "Setting this bit initiates the cache line command indicated by bits 27"
        "-24.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CACHEADDR",
        "CLCR[11:4] bits are used to access the tag arrays CLCR[11:2] bits are "
        "used to access the data arrays",
        2, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSEL",
        "Selects the way for line commands.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TDSEL",
        "Selects tag or data for search and read or write commands.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCIVB",
        "If command used cache address and way, then this bit shows the initial"
        " state of the valid bit If command used physical address and a hit, th"
        "en this bit shows the initial state of the valid bit.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCIMB",
        "If command used cache address and way, then this bit shows the initial"
        " state of the modified bit If command used physical address and a hit,"
        " then this bit shows the initial state of the modified bit.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCWAY",
        "Indicates the way used by the line command.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCMD",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LADSEL",
        "When using the cache address, the way must also be specified in CLCR[W"
        "SEL].",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LACC",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PCCSAR.
static const field_t hw_lmem_pccsar[] =
{
    {
        "LGO",
        "Setting this bit initiates the cache line command indicated by bits 27"
        "-24.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHYADDR",
        "PHYADDR represents bits [31:2] of the system address.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PCCCVR.
static const field_t hw_lmem_pcccvr[] =
{
    {
        "DATA",
        "For tag search, read or write: CCVR[31:12] bits are used for tag array"
        " R/W value CCVR[11:4] bits are used for tag set address on reads; unus"
        "ed on writes CCVR[3:2] bits are reserved For data search, read or writ"
        "e: CCVR[31:0] bits are used for data array R/W value",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PSCCR.
static const field_t hw_lmem_psccr[] =
{
    {
        "ENCACHE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENWRBUF",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVW0",
        "If the PUSHW0 and INVW0 bits are set, then after setting the GO bit, p"
        "ush all modified lines in way 0 and invalidate all lines in way 0 (cle"
        "ar way 0).",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUSHW0",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVW1",
        "If the PUSHW1 and INVW1 bits are set, then after setting the GO bit, p"
        "ush all modified lines in way 1 and invalidate all lines in way 1 (cle"
        "ar way 1).",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUSHW1",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GO",
        "Setting this bit initiates the cache command indicated by bits 27-24.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PSCLCR.
static const field_t hw_lmem_psclcr[] =
{
    {
        "LGO",
        "Setting this bit initiates the cache line command indicated by bits 27"
        "-24.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CACHEADDR",
        "CLCR[11:4] bits are used to access the tag arrays CLCR[11:2] bits are "
        "used to access the data arrays",
        2, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSEL",
        "Selects the way for line commands.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TDSEL",
        "Selects tag or data for search and read or write commands.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCIVB",
        "If command used cache address and way, then this bit shows the initial"
        " state of the valid bit If command used physical address and a hit, th"
        "en this bit shows the initial state of the valid bit.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCIMB",
        "If command used cache address and way, then this bit shows the initial"
        " state of the modified bit If command used physical address and a hit,"
        " then this bit shows the initial state of the modified bit.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCWAY",
        "Indicates the way used by the line command.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCMD",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LADSEL",
        "When using the cache address, the way must also be specified in CLCR[W"
        "SEL].",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LACC",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PSCSAR.
static const field_t hw_lmem_pscsar[] =
{
    {
        "LGO",
        "Setting this bit initiates the cache line command indicated by bits 27"
        "-24.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHYADDR",
        "PHYADDR represents bits [31:2] of the system address.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PSCCVR.
static const field_t hw_lmem_psccvr[] =
{
    {
        "DATA",
        "For tag search, read or write: CCVR[31:12] bits are used for tag array"
        " R/W value CCVR[11:4] bits are used for tag set address on reads; unus"
        "ed on writes CCVR[3:2] bits are reserved For data search, read or writ"
        "e: CCVR[31:0] bits are used for data array R/W value",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a LMEM module.
static const reg_t hw_lmem[] =
{
    {
        "PCCCR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_lmem_pcccr
    },
    {
        "PCCLCR",
        "This register defines specific line-sized cache operations to be perfo"
        "rmed using a specific cache line address or a physical address.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_lmem_pcclcr
    },
    {
        "PCCSAR",
        "The CSAR register is used to define the explicit cache address or the "
        "physical address for line-sized commands specified in the CLCR[LADSEL]"
        " bit.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lmem_pccsar
    },
    {
        "PCCCVR",
        "The CCVR register is used to source write data or return read data for"
        " the commands specified in the CLCR register.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lmem_pcccvr
    },
    {
        "PSCCR",
        "",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_lmem_psccr
    },
    {
        "PSCLCR",
        "This register defines specific line-sized cache operations to be perfo"
        "rmed using a specific cache line address or a physical address.",
        4, // Width in bytes
        0x00000804, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_lmem_psclcr
    },
    {
        "PSCSAR",
        "The CSAR register is used to define the explicit cache address or the "
        "physical address for line-sized commands specified in the CLCR[LADSEL]"
        " bit.",
        4, // Width in bytes
        0x00000808, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lmem_pscsar
    },
    {
        "PSCCVR",
        "The CCVR register is used to source write data or return read data for"
        " the commands specified in the CLCR register.",
        4, // Width in bytes
        0x0000080c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lmem_psccvr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MCM
#endif

// Bitfields in register MCM_PLASC.
static const field_t hw_mcm_plasc[] =
{
    {
        "ASC",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MCM_PLAMC.
static const field_t hw_mcm_plamc[] =
{
    {
        "AMC",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MCM_FADR.
static const field_t hw_mcm_fadr[] =
{
    {
        "ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MCM_FATR.
static const field_t hw_mcm_fatr[] =
{
    {
        "BEDA",
        "Indicates the type of cache write buffer access when the error was det"
        "ected.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BEMD",
        "Indicates the privilege level of the cache write buffer access when th"
        "e error was detected.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BESZ",
        "Indicates the size of the cache write buffer access when the error was"
        " detected.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BEWT",
        "Indicates the type of system bus access when the error was detected.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BEMN",
        "Crossbar switch bus master number of the captured cache write buffer b"
        "us error.",
        8, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BEOVR",
        "Indicates if anothercache write buffer bus error is detected before sy"
        "stem software has retrieved all the error information from the origina"
        "l event, this overrun flag is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MCM_FDR.
static const field_t hw_mcm_fdr[] =
{
    {
        "DATA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a MCM module.
static const reg_t hw_mcm[] =
{
    {
        "PLASC",
        "PLASC is a 16-bit read-only register identifying the presence/absence "
        "of bus slave connections to the device's crossbar switch.",
        2, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mcm_plasc
    },
    {
        "PLAMC",
        "PLAMC is a 16-bit read-only register identifying the presence/absence "
        "of bus master connections to the device's crossbar switch.",
        2, // Width in bytes
        0x0000000a, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mcm_plamc
    },
    {
        "FADR",
        "When a properly-enabled cache write buffer error interrupt event is de"
        "tected, the faulting address is captured in the MCM_FADR register.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mcm_fadr
    },
    {
        "FATR",
        "When a properly-enabled cache write buffer error interrupt event is de"
        "tected, the faulting attributes are captured in the MCM_FATR register.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        6, // Number of bitfields
        hw_mcm_fatr
    },
    {
        "FDR",
        "When a properly-enabled cache write buffer error interrupt event is de"
        "tected, the faulting data is captured in the MCM_FDR register.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mcm_fdr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MIPI_CSI2
#endif

// Bitfields in register MIPI_CSI2_CSI2_CSIS_CMN_CTRL.
static const field_t hw_mipi_csi2_csi2_csis_cmn_ctrl[] =
{
    {
        "CSI_EN",
        "MIPI CSI2 system enable",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_REST",
        "All writable registers in CSI2 go back to initial state.",
        1, // LSB
        1, // MSB
        false, // Readable
        false // Writable
    },
    {
        "UPDATE_SHADOW_CTRL",
        "Enable this reg is recommended when interleave_mode is 2 or 3.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Read as zero, do not modify.",
        3, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LANE_NUMBER",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTERLEAVE_MODE",
        "Select Interleave mode, VC (Virtual channel) and DT (Data type)",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Read as zero, do not modify.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UPDATE_SHADOW",
        "After configuration, user has to set this bit for updating shadow regi"
        "sters.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Read as zero, do not modify.",
        20, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_CSIS_CLK_CTRL.
static const field_t hw_mipi_csi2_csi2_csis_clk_ctrl[] =
{
    {
        "WCLK_SRC",
        "This bit determines source of Pixel clock, which is clock of transferr"
        "ing image data to ISP or CAM I/F.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE_EN",
        "Bit 7, 6, 5 is reserved, bit 4 set for CH0.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Read as zero, do not modify.",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKGATE_TRAIL",
        "0 ~ 15 (1~16 Trailing clocks) [31:28], [27:24], [23:20] Reserved; [19:"
        "16] CH0.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_CSIS_INT_MSK.
static const field_t hw_mipi_csi2_csi2_csis_int_msk[] =
{
    {
        "MSK_ERR_ID",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_ERR_CRC",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_ERR_ECC",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_ERR_WRONG_CFG",
        "Wrong configuration",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_ERR_OVER",
        "Image FIFO overflow interrupt, [CH3,CH2,CH1,CH0]",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_ERR_LOST_FE",
        "Lost of Frame End packet, [CH3,CH2,CH1,CH0]",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_ERR_LOST_FS",
        "Lost of Frame Start packet, [CH3,CH2,CH1,CH0]",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_ERR_SOT_HS",
        "Start of transmission error [reserved, reserved, Lane1, Lane0]",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_FRAMEEND",
        "FE packet is received, [CH3,CH2,CH1,CH0]",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_FRAMESTART",
        "FS packet is received, [CH3,CH2,CH1,CH0]",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_ODDAFTER",
        "Non Image data are received at Odd frame and After Image.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_ODDBEFORE",
        "Non Image data are received at Odd frame and Before Image.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_EVENAFTER",
        "Non Image data are received at Even frame and After Image.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSK_EVENBEFORE",
        "Non Image data are received at Even frame and Before Image.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_CSIS_INT_SRC.
static const field_t hw_mipi_csi2_csi2_csis_int_src[] =
{
    {
        "ERR_ID",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_CRC",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_ECC",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_WRONG_CFG",
        "The received packet is not decoded at any channels of ISP (due to wron"
        "g data type or virtual channel ID)",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_OVER",
        "Overflow is caused in image FIFO, [CH3,CH2,CH1,CH0] Outer bandwidth ha"
        "s to be faster than imputer bandwidth.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_LOST_FE",
        "Indication of lost of Frame End packet, [CH3,CH2,CH1,CH0]",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_LOST_FS",
        "Indication of lost of Frame Start packet, [CH3,CH2,CH1,CH0]",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_SOT_HS",
        "Start of transmission error, [reserved, reserved, Lane1 , Lane0]",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAMEEND",
        "FE packet is received, [CH3,CH2,CH1,CH0]",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAMESTART",
        "FS packet is received, [CH3,CH2,CH1,CH0]",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODDAFTER",
        "Non Image data are received at Odd frame and After Image.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODDBEFORE",
        "Non Image data are received at Odd frame and Before Image.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EVENAFTER",
        "Non Image data are received at Even frame and After Image.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EVENBEFORE",
        "Non Image data are received at Even frame and Before Image.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_DPHY_STATUS.
static const field_t hw_mipi_csi2_csi2_dphy_status[] =
{
    {
        "STOPSTATECLK",
        "Clock lane is in Stop state.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ULPSCLK",
        "Clock lane is in ULPS.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD6",
        "Read as zero, do not modify.",
        2, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STOPSTATEDAT",
        "Data lane [3:0] is in Stop State.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ULPSDAT",
        "Data lane [3:0] is in ULPS.",
        8, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD5",
        "Read as zero, do not modify.",
        12, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_DPHY_CMN_CTRL.
static const field_t hw_mipi_csi2_csi2_dphy_cmn_ctrl[] =
{
    {
        "ENABLE_CLK",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_DAT",
        "[3]: Reserved [2]: Reserved [1]: Data lane 1 [0]: Data lane 0",
        1, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S_DPDN_SWAP_DAT",
        "Swapping Dp and Dn channel of data lanes.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S_DPDN_SWAP_CLK",
        "Swapping Dp and Dn channel of clock lane.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD7",
        "Read as zero, do not modify.",
        7, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_CLKSETTLECTL",
        "D-PHY control register is for standard spec v0.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSSETTLE",
        "HS-RX settle time control register",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_DPHY_BCTRL_L.
static const field_t hw_mipi_csi2_csi2_dphy_bctrl_l[] =
{
    {
        "B_DPHYCTRL",
        "D-PHY Master and Slave control register Low part",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_DPHY_BCTRL_H.
static const field_t hw_mipi_csi2_csi2_dphy_bctrl_h[] =
{
    {
        "B_DPHYCTRL",
        "D-PHY Master and Slave control register High part",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_DPHY_SCTRL_L.
static const field_t hw_mipi_csi2_csi2_dphy_sctrl_l[] =
{
    {
        "S_DPHYCTRL",
        "D-PHY Slave control register Low part",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_DPHY_SCTRL_H.
static const field_t hw_mipi_csi2_csi2_dphy_sctrl_h[] =
{
    {
        "S_DPHYCTRL",
        "D-PHY Slave control register High part",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_ISP_CONFIG_CH0.
static const field_t hw_mipi_csi2_csi2_isp_config_ch0[] =
{
    {
        "VIRTUAL_CHANNEL",
        "Set Virtual channel for data interleave",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAFORMAT",
        "Generic Short Packet: 0x08 ~ 0x0F Embedded 8-bit non Image: 0x12 Not d"
        "escribed types are ignored.",
        2, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECOMP_EN",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECOMP_PREDICT",
        "Decompress prediction mode of CH0 Cannot use advanced prediction for R"
        "AW8 type",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGB_SWAP",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PARALLEL",
        "Output bus width of CH0 is 32 bits.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOUBLE_CMPNT",
        "Double component per clock cycle in YUV422 formats",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD8",
        "Read as zero, do not modify.",
        13, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MEM_FULL_GAP",
        "When the room of Image memory is lower than this, STOPREQ_EN is 0, the"
        "n the image data cannot be blocked (Do not set this register lower tha"
        "n 4).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_ISP_RESOL_CH0.
static const field_t hw_mipi_csi2_csi2_isp_resol_ch0[] =
{
    {
        "HRESOL",
        "Input boundary of each image format",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VRESOL",
        "Input boundary: 0x0001 ~ 0xFFFF",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_ISP_SYNC_CH0.
static const field_t hw_mipi_csi2_csi2_isp_sync_ch0[] =
{
    {
        "VSYNC_EINTV",
        "Interval between last Hsync falling and Vsync falling 12'h000 ~ 12'hFF"
        "F cycle of Pixel clock",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_SINTV",
        "Interval between Vsync rising and first Hsync rising 6'h00 ~ 6'h3F cyc"
        "le of Pixel clock",
        12, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_LINTV",
        "Interval between Hsync falling and Hsync rising (Line interval) 6'h00 "
        "~ 6'h3F cycle of Pixel clock",
        18, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD9",
        "Read as zero, do not modify.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_SDW_CONFIG_CH0.
static const field_t hw_mipi_csi2_csi2_sdw_config_ch0[] =
{
    {
        "VIRTUAL_CHANNEL",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DATAFORMAT",
        "",
        2, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DECOMP_EN_SDW",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DECOMP_PREDICT_SDW",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RGB_SWAP_SDW",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PARALLEL_SDW",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DOUBLE_CMPNT_SDW",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD10",
        "Read as zero, do not modify.",
        13, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NAMEMEM_FULL_GAP_SDW",
        "Current MEM_FULL_GAP",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_SDW_RESOL_CH0.
static const field_t hw_mipi_csi2_csi2_sdw_resol_ch0[] =
{
    {
        "HRESOL_SDW",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VRESOL_SDW",
        "",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_SDW_SYNC_CH0.
static const field_t hw_mipi_csi2_csi2_sdw_sync_ch0[] =
{
    {
        "VSYNC_EINTV_SDW",
        "Current interval between last Hsync falling and Vsync falling",
        0, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VSYNC_SINTV_SDW",
        "Current interval between Vsync rising and first Hsync rising",
        12, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HSYNC_LINTV_SDW",
        "Current interval between Hsync falling and Hsync rising (Line interval"
        ")",
        18, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD11",
        "Read as zero, do not modify.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_DBG_CTRL.
static const field_t hw_mipi_csi2_csi2_dbg_ctrl[] =
{
    {
        "DBG_CH_OUTPUT",
        "[3] CH3 [2] CH2 [1] CH1 [0] CH0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBG_BLK_EXC_FRAME",
        "[7] CH3 [6] CH2 [5] CH1 [4] CH0",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBG_DONT_STOP_LAST_LINE",
        "[11] CH3 [10] CH2 [9] CH1 [8] CH0",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBG_FORCE_UPDATE",
        "[15] CH3 [14] CH2 [13] CH1 [12] CH0",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD12",
        "Read as zero, do not modify.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_DBG_INTR_MSK.
static const field_t hw_mipi_csi2_csi2_dbg_intr_msk[] =
{
    {
        "CAM_VSYNC_RISE",
        "[3] CH3 [2] CH2 [1] CH1 [0] CH0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAM_VSYNC_FALL",
        "[7] CH3 [6] CH2 [5] CH1 [4] CH0",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EARLY_FS",
        "[11] CH3 [10] CH2 [9] CH1 [8] CH0",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EARLY_FE",
        "[15] CH3 [14] CH2 [13] CH1 [12] CH0",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRUNCATED_FRAME",
        "[19] CH3 [18] CH2 [17] CH1 [16] CH0",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_FRAME_SIZE",
        "[23] CH3 [22] CH2 [21] CH1 [20] CH0",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DT_IGNORE",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DT_NOT_SUPPORT",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD13",
        "Read as zero, do not modify.",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_DBG_INTR_SRC.
static const field_t hw_mipi_csi2_csi2_dbg_intr_src[] =
{
    {
        "CAM_VSYNC_RISE",
        "The rising of vsync in the CAM I/F [3] CH3 [2] CH2 [1] CH1 [0] CH0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAM_VSYNC_FALL",
        "The falling of vsync in the CAM I/F [7] CH3 [6] CH2 [5] CH1 [4] CH0",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EARLY_FS",
        "Frame Start packet is received during transfer of image.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EARLY_FE",
        "Frame End packet is received during transfer of image.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRUNCATED_FRAME",
        "Truncated frame is received.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_FRAME_SIZE",
        "The received frame is not matched with the configured.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DT_IGNORE",
        "The data type of the received packet is ignored (NULL or BLANKING)",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DT_NOT_SUPPURT",
        "The data type of the received packet is not supported (RGB444 or RGB55"
        "5)",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD14",
        "Read as zero, do not modify.",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2_CSI2_NON_IMG_DATA.
static const field_t hw_mipi_csi2_csi2_non_img_data[] =
{
    {
        "NONIMGDATA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a MIPI_CSI2 module.
static const reg_t hw_mipi_csi2[] =
{
    {
        "CSI2_CSIS_CMN_CTRL",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_mipi_csi2_csi2_csis_cmn_ctrl
    },
    {
        "CSI2_CSIS_CLK_CTRL",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_mipi_csi2_csi2_csis_clk_ctrl
    },
    {
        "CSI2_CSIS_INT_MSK",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_mipi_csi2_csi2_csis_int_msk
    },
    {
        "CSI2_CSIS_INT_SRC",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_mipi_csi2_csi2_csis_int_src
    },
    {
        "CSI2_DPHY_STATUS",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        6, // Number of bitfields
        hw_mipi_csi2_csi2_dphy_status
    },
    {
        "CSI2_DPHY_CMN_CTRL",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_mipi_csi2_csi2_dphy_cmn_ctrl
    },
    {
        "CSI2_DPHY_BCTRL_L",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_csi2_csi2_dphy_bctrl_l
    },
    {
        "CSI2_DPHY_BCTRL_H",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_csi2_csi2_dphy_bctrl_h
    },
    {
        "CSI2_DPHY_SCTRL_L",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_csi2_csi2_dphy_sctrl_l
    },
    {
        "CSI2_DPHY_SCTRL_H",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_csi2_csi2_dphy_sctrl_h
    },
    {
        "CSI2_ISP_CONFIG_CH0",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_mipi_csi2_csi2_isp_config_ch0
    },
    {
        "CSI2_ISP_RESOL_CH0",
        "When Data format is User defined packet type, this register is ignored"
        ".",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_mipi_csi2_csi2_isp_resol_ch0
    },
    {
        "CSI2_ISP_SYNC_CH0",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_mipi_csi2_csi2_isp_sync_ch0
    },
    {
        "CSI2_SDW_CONFIG_CH0",
        "",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        false, // Writable
        9, // Number of bitfields
        hw_mipi_csi2_csi2_sdw_config_ch0
    },
    {
        "CSI2_SDW_RESOL_CH0",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_mipi_csi2_csi2_sdw_resol_ch0
    },
    {
        "CSI2_SDW_SYNC_CH0",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_mipi_csi2_csi2_sdw_sync_ch0
    },
    {
        "CSI2_DBG_CTRL",
        "In the case of FS or FE lost during continous frame transfers, CSIS tr"
        "ansfer the data of second frame as it belongs to the first frame when "
        "DBG_BLK_EXC_FRAME is low.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_mipi_csi2_csi2_dbg_ctrl
    },
    {
        "CSI2_DBG_INTR_MSK",
        "",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_mipi_csi2_csi2_dbg_intr_msk
    },
    {
        "CSI2_DBG_INTR_SRC",
        "",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_mipi_csi2_csi2_dbg_intr_src
    },
    {
        "CSI2_NON_IMG_DATA",
        "For the double buffering, Non-image data region is divided as followin"
        "g address.",
        4, // Width in bytes
        0x00002000, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_csi2_csi2_non_img_data
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MIPI_DSI
#endif

// Bitfields in register MIPI_DSI_DSI_VERSION.
static const field_t hw_mipi_dsi_dsi_version[] =
{
    {
        "VERSION",
        "Specifies the DSIM version information",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_STATUS.
static const field_t hw_mipi_dsi_dsi_status[] =
{
    {
        "STOPSTATEDAT",
        "Specifies the stop state indicator at data lane StopstateDat[0]: Data "
        "lane 0 StopstateDat[1]: Data lane 1 StopstateDat[2]: Reserved Stopstat"
        "eDat[3]: Reserved",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ULPSDAT",
        "Specifies the ULPS indicator at data lanes UlpsDat[0]: Data lane 0 Ulp"
        "sDat[1]: Data lane 1 UlpsDat[2]: Reserved UlpsDat[3]: Reserved",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STOPSTATECLK",
        "Specifies the stop state indicator at clock lane",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ULPSCLK",
        "Specifies the ULPS indicator at clock lane",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXREADYHSCLK",
        "Specifies the HS clock ready at clock lane",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DIRECTION",
        "Specifies the data direction indicator",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SWRSTRLS",
        "Specifies the software reset status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PLLSTABLE",
        "D-PHY PLL generates stable byteclk.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_RGB_STATUS.
static const field_t hw_mipi_dsi_dsi_rgb_status[] =
{
    {
        "RGBSTATE",
        "Specifies the RGB packetize FSM status",
        0, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDMODE_INSEL",
        "Specifies the command mode input selection",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_SWRST.
static const field_t hw_mipi_dsi_dsi_swrst[] =
{
    {
        "SWRST",
        "Specifies the software reset (High active).",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FUNCRST",
        "Specifies the software reset (High active).",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_CLKCTRL.
static const field_t hw_mipi_dsi_dsi_clkctrl[] =
{
    {
        "ESCPRESCALER",
        "Specifies the escape clock prescaler value.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LANEESCCLKEN",
        "Enables escape clock for D-phy lane LaneEscClkEn[0] = Clock lane LaneE"
        "scClkEn[1] = Data lane 0 LaneEscClkEn[2] = Data lane 1 LaneEscClkEn[3]"
        " = Reserved LaneEscClkEn[4] = Reserved",
        19, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTECLKEN",
        "Enables byte clock",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTECLKSRC",
        "Selects byte clock source.",
        25, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLLBYPASS",
        "Sets the PLLBypass signal connected to D-PHY module input for selectin"
        "g clock source bit.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ESCCLKEN",
        "Enables the escape clock generating prescaler",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPHY_SEL",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXREQUESTHSCLK",
        "Specifies the HS clock request for HS transfer at clock lane (Turn on "
        "HS clock)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_TIMEOUT.
static const field_t hw_mipi_dsi_dsi_timeout[] =
{
    {
        "LPDRTOUT",
        "Specifies the timer for LP Rx mode timeout.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BTAOUT",
        "Specifies the timer for BTA.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_CONFIG.
static const field_t hw_mipi_dsi_dsi_config[] =
{
    {
        "LANEEN",
        "Enables the lane.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUMOFDATLANE",
        "Sets the data lane number",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SUBPIXFORMAT",
        "Specifies pixel stream format for main display",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAINPIXFORMAT",
        "Specifies pixel stream format for main display",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SUBVC",
        "Specifies virtual channel number for sub display",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAINVC",
        "Specifies virtual channel number for main display",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSADISABLEMODE",
        "Specifies HSA disable mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HBPDISABLEMODE",
        "Specifies HBP disable mode.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HFPDISABLEMODE",
        "Specifies HFP disable mode.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSEDISABLEMODE",
        "In Vsync pulse and Vporch area, MIPI DSI master transfers only Hsync s"
        "tart packet to MIPI DSI slave at MIPI DSI spec 1.1r02.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTOMODE",
        "Specifies auto vertical count mode In Video mode, the vertical line tr"
        "ansition uses line counter configured by VSA, VBP, and Vertical resolu"
        "tion.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIDEOMODE",
        "Specifies display configuration",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURSTMODE",
        "Selects Burst mode in Video mode In Non-burst mode, RGB data area is f"
        "illed with RGB data and Null packets, according to input bandwidth of "
        "RGB interface.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCINFORM",
        "Selects Sync Pulse or Event mode in Video mode In command mode, this b"
        "it is ignored.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EOT_R03",
        "Disables EoT packet in HS mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MFLUSH_VS",
        "Auto flush of MD FIFO using Vsync pulse.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKLANE_STOP_START",
        "PHY clock lane On / Off for ESD.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NON_CONTINUOUS_CLOCK_LANE",
        "Non-continuous clock mode.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_ESCMODE.
static const field_t hw_mipi_dsi_dsi_escmode[] =
{
    {
        "TXULPSCLKEXIT",
        "Specifies ULPS exit request for clock lane.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXULPSCLK",
        "Specifies ULPS request for clock lane.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXULPSEXIT",
        "Specifies ULPS exit request for data lane.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXULPSDAT",
        "Specifies ULPS request for data lane.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXTRIGGERRST",
        "Specifies remote reset trigger function.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXLPDT",
        "Specifies data transmission in LP mode (all data transfer in LPDT)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMDLPDT",
        "Specifies LPDT transfers command in SFR FIFO",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FORCEBTA",
        "Forces Bus Turn Around 1 = Sends the protocol layer request to D-PHY.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FORCESTOPSTATE",
        "Forces Stopstate for D-PHY",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOPSTATE_CNT",
        "After transmitting read packet or write \"set_tear_on\" command, BTA r"
        "equests to D-phy automatically.",
        21, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_MDRESOL.
static const field_t hw_mipi_dsi_dsi_mdresol[] =
{
    {
        "MAINHRESOL",
        "Specifies Horizontal resolution (1 ~ 2047)",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAINVRESOL",
        "Specifies Vertical resolution (1 ~ 2047)",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAINSTANDBY",
        "Specifies standby for receiving DISPCON output in Command mode after s"
        "etting all configuration.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_MVPORCH.
static const field_t hw_mipi_dsi_dsi_mvporch[] =
{
    {
        "MAINVBP",
        "Specifies vertical back porch width for Video mode (line count).",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STABLEVFP",
        "Specifies the number of horizontal lines, where command packet transmi"
        "ssion is not allowed after end of active region.",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMDALLOW",
        "Specifies the number of horizontal lines, where command packet transmi"
        "ssion is allowed after Stable VFP period.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_MHPORCH.
static const field_t hw_mipi_dsi_dsi_mhporch[] =
{
    {
        "MAINHBP",
        "Specifies the horizontal back porch width for Video mode.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAINHFP",
        "Specifies the horizontal front porch width for Video mode.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_MSYNC.
static const field_t hw_mipi_dsi_dsi_msync[] =
{
    {
        "MAINHSA",
        "Specifies the horizontal sync pulse width for Video mode.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAINVSA",
        "Specifies the vertical sync pulse width for Video mode (Line count).",
        22, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_SDRESOL.
static const field_t hw_mipi_dsi_dsi_sdresol[] =
{
    {
        "SUBHRESOL",
        "Specifies the Horizontal resolution (1 ~ 1024)",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SUBVRESOL",
        "Specifies the Vertical resolution (1 ~ 1024)",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SUBSTANDBY",
        "Specifies standby for receiving DISPCON output in Command mode after s"
        "etting all configuration.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_INTSRC.
static const field_t hw_mipi_dsi_dsi_intsrc[] =
{
    {
        "ERRCONTENTLP1",
        "Specifies the LP1 Contention Error (only lane0, because BTA occurs at "
        "lane0 only).",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERRCONTENTLP0",
        "Specifies the LP0 Contention Error (only lane0, because BTA occurs at "
        "lane0 only).",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERRCONTROL0",
        "Controls Error lane0.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERRCONTROL1",
        "Controls Error lane1.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERRSYNC0",
        "Specifies the LPDT Sync Error lane0.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERRSYNC1",
        "Specifies the LPDT Sync Error lane1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERRESC0",
        "Specifies the escape mode entry error lane 0.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERRESC1",
        "Specifies the escape mode entry error lane 1.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERRRXCRC",
        "Specifies the CRC error in LPDR",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERRRXECC",
        "Specifies the ECC multi bit error in LPDR",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXACK",
        "Receives ACK Rx trigger",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXTE",
        "Receives TE Rx trigger",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDATDONE",
        "Completes receiving data",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TATOUT",
        "Turns around Acknowledge Timeout.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDRTOUT",
        "Specifies the LP Rx timeout.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAMEDONE",
        "Indicates when MIPI DSIM transfers the whole image frame.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSTURNOVER",
        "Indicates when bus grant turns over from DSI slave to DSI master.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCOVERRIDE",
        "Indicates that other DSI command transfer have overridden sync timing.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFRPHFIFOEMPTY",
        "Specifies the SFR Packet Header FIFO emtpy",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFRPLFIFOEMPTY",
        "Specifies the SFR payload FIFO empty.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWRSTRELEASE",
        "Releases the software reset.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLLSTABLE",
        "Indicates that D-phy PLL is stable.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_INTMSK.
static const field_t hw_mipi_dsi_dsi_intmsk[] =
{
    {
        "MSKCONTENTLP1",
        "Specifies LP1 contention error.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKCONTENTLP0",
        "Specifies LP0 contention error.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKCONTROL0",
        "Controls error in lane0.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKCONTROL1",
        "Controls error in lane1.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKSYNC0",
        "Specifies LPDT sync error in lane0.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKSYNC1",
        "Specifies LPDT sync error in lane1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKESC0",
        "Specifies escape mode entry error in lane0.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKESC1",
        "Specifies escape mode entry error in lane1.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKRXCRC",
        "Specifies CRC error in LPDR",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKRXECC",
        "Specifies ECC multibit error in LPDR",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKRXACK",
        "Specifies receipt of ACK Rx trigger",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKRXTE",
        "Specifies receipt of TE Rx trigger",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKRXDATDONE",
        "Specifies completion of data receiving",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKTATOUT",
        "Specifies turnaround acknowledge timeout.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKLPDRTOUT",
        "Specifies LP Rx timeout.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKFRAMEDONE",
        "Indicates when MIPI DSIM transfers whole image frame.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKBUSTURNOVER",
        "Indicates when bus grant turns over from DSI slave to DSI master.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKSYNCOVERRIDE",
        "Indicates that other DSI command transfer have overridden sync timing.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKSFRPHFIFOEMPTY",
        "Interrupt Mask for SFR packet header FIFO empty",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKSFRPLFIFOEMPTY",
        "Empties SFR payload FIFO.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKSWRSTRELEASE",
        "Releases software reset.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSKPLLSTABLE",
        "Indicates that D-PHY PLL is stable.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PKTHDR.
static const field_t hw_mipi_dsi_dsi_pkthdr[] =
{
    {
        "PACKETHEADER",
        "Writes the packet header of Tx packet.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PAYLOAD.
static const field_t hw_mipi_dsi_dsi_payload[] =
{
    {
        "PAYLOAD",
        "Writes the Payload of Tx packet",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_RXFIFO.
static const field_t hw_mipi_dsi_dsi_rxfifo[] =
{
    {
        "RXFIFO",
        "In the Rx mode, you can read Rx data through this register.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_FIFOTHLD.
static const field_t hw_mipi_dsi_dsi_fifothld[] =
{
    {
        "WFULLLEVELSFR",
        "Almost full level of SFR payload FIFO",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_FIFOCTRL.
static const field_t hw_mipi_dsi_dsi_fifoctrl[] =
{
    {
        "NINITMAIN",
        "MD FIFO write point initialize",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NINITSUB",
        "SD FIFO write point initialize",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NLNITL80",
        "S-i80 FIFO write point initialize",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NINITSFR",
        "SFR FIFO write point initialize",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NINITRX",
        "MD FIFO read point initialize",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMPTYLMAIN",
        "Main display payload FIFO empty",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FULLLMAIN",
        "Main display payload FIFO full",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMPTYHMAIN",
        "Main display packet header FIFO empty",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FULLHMAIN",
        "Main display packet header FIFO full",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMPTYLSUB",
        "Sub display payload FIFO empty",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FULLLSUB",
        "Sub display payload FIFO full",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMPTYHSUB",
        "Sub display packet header FIFO empty",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FULLHSUB",
        "Sub display packet header FIFO full",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMPTYLI80",
        "S-i80 payload FIFO empty",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FULLLI80",
        "S-i80 payload FIFO full",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMPTYHI80",
        "S-i80 packet header FIFO empty",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FULLHI80",
        "S-i80 packet header FIFO full",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMPTYLSFR",
        "SFR payload FIFO empty",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FULLLSFR",
        "SFR payload FIFO full",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMPTYHSFR",
        "SFR packet header FIFO empty",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FULLHSFR",
        "SFR packet header FIFO full",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMPTYRX",
        "Rx FIFO empty",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FULLRX",
        "Rx FIFO full",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_MEMACCHR.
static const field_t hw_mipi_dsi_dsi_memacchr[] =
{
    {
        "EMAA_MD",
        "Main display FIFO memory A port margin adjustment",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMAB_MD",
        "Main display FIFO memory B port margin adjustment",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RETN_MD",
        "Main display FIFO memory Retention",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PGEN_MD",
        "Main display FIFO memory power gating",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMAA_SD",
        "Sub display FIFO memory A port margin adjustment",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMAB_SD",
        "Sub display FIFO memory B port margin adjustment",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RETN_SD",
        "Sub display FIFO memory Retention",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PGEN_SD",
        "Sub display FIFO memory power gating",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_MULTI_PKT.
static const field_t hw_mipi_dsi_dsi_multi_pkt[] =
{
    {
        "MULTI_PKT_CNT_REF",
        "Specifies the number of packets on single transmission.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PKT_SEND_CNT_REF",
        "Specifies the command packet(s) send point indicator.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PKT_GO_RDY",
        "Specifies the send command packet(s) on this frame VFP.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PKT_GO_EN",
        "Specifies the send command packet(s) per frame enable .",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MULTI_PKT_EN",
        "Specifies the send multi command packets on single transmission.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PLLCTRL_1G.
static const field_t hw_mipi_dsi_dsi_pllctrl_1g[] =
{
    {
        "PRPRCTLCLK",
        "1 Gbps D-PHY PLL Ths-prepare driving time control",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PREPRCTL",
        "1 Gbps D-PHY PLL Tclk-prepare and Ths-prepare driving control.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FREQ_BAND",
        "1 Gbps D-PHY Timing control for D-PHY global operation timing.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSZEROCTL",
        "1 Gbps D-PHY HS-Zero driving timing control.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PLLCTRL.
static const field_t hw_mipi_dsi_dsi_pllctrl[] =
{
    {
        "PMS",
        "Specifies the PLL PMS value",
        1, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLLEN",
        "Enables PLL",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPDNSWAP_DAT",
        "Swaps Dp / Dn channel of Data lanes.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPDNSWAP_CLK",
        "Swaps Dp / Dn channel of clock lane.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PLLCTRL1.
static const field_t hw_mipi_dsi_dsi_pllctrl1[] =
{
    {
        "M_PLLCTL0",
        "M_PLLCTL[31:0] to D-PHY",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PLLCTRL2.
static const field_t hw_mipi_dsi_dsi_pllctrl2[] =
{
    {
        "M_PLLCTL1",
        "M_PLLCTL[39:32] to D-PHY",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PLLTMR.
static const field_t hw_mipi_dsi_dsi_plltmr[] =
{
    {
        "PLLTIMER",
        "Specifies the PLL Timer for stability of the generated clock (System c"
        "lock cycle base).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PHYCTRL_B1.
static const field_t hw_mipi_dsi_dsi_phyctrl_b1[] =
{
    {
        "B_DPHYCTL0",
        "B_DPHYCTL[31:0] to D-PHY",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PHYCTRL_B2.
static const field_t hw_mipi_dsi_dsi_phyctrl_b2[] =
{
    {
        "B_DPHYCTL1",
        "B_DPHYCTL[63:32] to D-PHY",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PHYCTRL_M1.
static const field_t hw_mipi_dsi_dsi_phyctrl_m1[] =
{
    {
        "M_DPHYCTL0",
        "M_DPHYCTL[31:0] to D-PHY",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PHYCTRL_M2.
static const field_t hw_mipi_dsi_dsi_phyctrl_m2[] =
{
    {
        "M_DPHYCTL1",
        "M_DPHYCTL[63:32] to D-PHY",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PHYTIMING.
static const field_t hw_mipi_dsi_dsi_phytiming[] =
{
    {
        "M_THSEXITCTL",
        "M_THSEXITCTL[7:0] to D-PHY",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M_TLPXCTL",
        "M_TLPXCTL[7:0] to D-PHY",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PHYTIMING1.
static const field_t hw_mipi_dsi_dsi_phytiming1[] =
{
    {
        "M_TCLKTRAILCTL",
        "M_TCLKTRAILCTL[7:0] to D-PHY",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M_TCLKPOSTCTL",
        "M_TCLKPOSTCTL[7:0] to D-PHY",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M_TCLKZEROCTL",
        "M_TCLKZEROCTL[7:0] to D-PHY",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M_TCLKPRPRCTL",
        "M_TCLKPRPRCTL[7:0] to D-PHY",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_DSI_PHYTIMING2.
static const field_t hw_mipi_dsi_dsi_phytiming2[] =
{
    {
        "M_THSTRAILCTL",
        "M_THSTRAILCTL[7:0] to D-PHY",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M_THSZEROCTL",
        "M_THSZEROCTL[7:0] to D-PHY",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M_THSPRPRCTL",
        "M_THSPRPRCTL[7:0] to D-PHY",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a MIPI_DSI module.
static const reg_t hw_mipi_dsi[] =
{
    {
        "DSI_VERSION",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_version
    },
    {
        "DSI_STATUS",
        "This register reads and checks internal and interface status.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_mipi_dsi_dsi_status
    },
    {
        "DSI_RGB_STATUS",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_mipi_dsi_dsi_rgb_status
    },
    {
        "DSI_SWRST",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_mipi_dsi_dsi_swrst
    },
    {
        "DSI_CLKCTRL",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_mipi_dsi_dsi_clkctrl
    },
    {
        "DSI_TIMEOUT",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_mipi_dsi_dsi_timeout
    },
    {
        "DSI_CONFIG",
        "This register configures MIPI DSI master such as data lane number, inp"
        "ut interface, porch area, frame rate, BTA, LPDT, ULPS, and so on.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_mipi_dsi_dsi_config
    },
    {
        "DSI_ESCMODE",
        "This register configures MIPI DSI master.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_mipi_dsi_dsi_escmode
    },
    {
        "DSI_MDRESOL",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_mipi_dsi_dsi_mdresol
    },
    {
        "DSI_MVPORCH",
        "Transfers command packets after Stable VFP area.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_mipi_dsi_dsi_mvporch
    },
    {
        "DSI_MHPORCH",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_mipi_dsi_dsi_mhporch
    },
    {
        "DSI_MSYNC",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_mipi_dsi_dsi_msync
    },
    {
        "DSI_SDRESOL",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_mipi_dsi_dsi_sdresol
    },
    {
        "DSI_INTSRC",
        "This register identifies interrupt sources.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        22, // Number of bitfields
        hw_mipi_dsi_dsi_intsrc
    },
    {
        "DSI_INTMSK",
        "This register masks interrupt sources.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        22, // Number of bitfields
        hw_mipi_dsi_dsi_intmsk
    },
    {
        "DSI_PKTHDR",
        "This register is the FIFO for packet header to send DSI packets.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_pkthdr
    },
    {
        "DSI_PAYLOAD",
        "This register is the FIFO for packet header to send DSI packets.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_payload
    },
    {
        "DSI_RXFIFO",
        "This register is the gate of FIFO read.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_rxfifo
    },
    {
        "DSI_FIFOTHLD",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_fifothld
    },
    {
        "DSI_FIFOCTRL",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        23, // Number of bitfields
        hw_mipi_dsi_dsi_fifoctrl
    },
    {
        "DSI_MEMACCHR",
        "In current design, these memory port controls were disabled.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_mipi_dsi_dsi_memacchr
    },
    {
        "DSI_MULTI_PKT",
        "",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_mipi_dsi_dsi_multi_pkt
    },
    {
        "DSI_PLLCTRL_1G",
        "This register configures 1Gbps D-PHY PLL control, D-PHY, clock range i"
        "ndication, and so on.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_mipi_dsi_dsi_pllctrl_1g
    },
    {
        "DSI_PLLCTRL",
        "This register configures PLL control, D-PHY, clock range indication, a"
        "nd so on.",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_mipi_dsi_dsi_pllctrl
    },
    {
        "DSI_PLLCTRL1",
        "This register configures D-PHY PLL control (M_PLLCTL[31:0]).",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_pllctrl1
    },
    {
        "DSI_PLLCTRL2",
        "This register configures D-PHY PLL control (M_PLLCTL[39:32]).",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_pllctrl2
    },
    {
        "DSI_PLLTMR",
        "",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_plltmr
    },
    {
        "DSI_PHYCTRL_B1",
        "D-PHY Master and Slave Analog block characteristics control registers "
        "(B_DPHYCTL).",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_phyctrl_b1
    },
    {
        "DSI_PHYCTRL_B2",
        "D-PHY Master and Slave Analog block characteristics control registers "
        "(B_DPHYCTL).",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_phyctrl_b2
    },
    {
        "DSI_PHYCTRL_M1",
        "D-PHY Master Analog block characteristics control registers (M_DPHYCTL"
        ").",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_phyctrl_m1
    },
    {
        "DSI_PHYCTRL_M2",
        "D-PHY Master Analog block characteristics control registers (M_DPHYCTL"
        ").",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_dsi_phyctrl_m2
    },
    {
        "DSI_PHYTIMING",
        "D-PHY Master global operating timing registers",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_mipi_dsi_dsi_phytiming
    },
    {
        "DSI_PHYTIMING1",
        "D-PHY Master global operating timing registers.",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_mipi_dsi_dsi_phytiming1
    },
    {
        "DSI_PHYTIMING2",
        "D-PHY Master global operating timing registers",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_mipi_dsi_dsi_phytiming2
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MU
#endif

// Bitfields in register MU_ATR0.
static const field_t hw_mu_atr0[] =
{
    {
        "ATR0",
        "Processor A Transmit Register 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MU_ATR1.
static const field_t hw_mu_atr1[] =
{
    {
        "ATR1",
        "Processor A Transmit Register 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MU_ATR2.
static const field_t hw_mu_atr2[] =
{
    {
        "ATR2",
        "Processor A Transmit Register 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MU_ATR3.
static const field_t hw_mu_atr3[] =
{
    {
        "ATR3",
        "Processor A Transmit Register 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MU_ARR0.
static const field_t hw_mu_arr0[] =
{
    {
        "ARR0",
        "Processor A Receive Register 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MU_ARR1.
static const field_t hw_mu_arr1[] =
{
    {
        "ARR1",
        "Processor A Receive Register 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MU_ARR2.
static const field_t hw_mu_arr2[] =
{
    {
        "ARR2",
        "Processor A Receive Register 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MU_ARR3.
static const field_t hw_mu_arr3[] =
{
    {
        "ARR3",
        "Processor A Receive Register 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MU_ASR.
static const field_t hw_mu_asr[] =
{
    {
        "FN",
        "For n = {0, 1, 2} Processor A-Side Flag n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EP",
        "Processor A-Side Event Pending.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRS",
        "Processor B-side Reset State.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FUP",
        "Processor A Flags Update Pending.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRDIP",
        "Processor B Reset De-asserted Interrupt Pending.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEN",
        "For n = {0, 1, 2, 3} Processor A Transmit Register n Empty.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFN",
        "For n = {0, 1, 2, 3} Processor A Receive Register n Full.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GIPN",
        "For n = {0, 1, 2, 3} Processor A General Interrupt Request n Pending.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MU_ACR.
static const field_t hw_mu_acr[] =
{
    {
        "ABFN",
        "For n = {0, 1, 2} Processor A to Processor B Flag n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BHR",
        "Processor B Hardware Reset.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUR",
        "Processor A MU Reset.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRDIE",
        "Processor B Reset De-assertion Interrupt Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GIRN",
        "For n = {0, 1, 2, 3} Processor A General Purpose Interrupt Request n.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIEN",
        "For n = {0, 1, 2, 3} Processor A Transmit Interrupt Enable n.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RIEN",
        "For n = {0, 1, 2, 3} Processor A Receive Interrupt Enable n.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GIEN",
        "For n = {0, 1, 2, 3} Processor A General Purpose Interrupt Enable n.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a MU module.
static const reg_t hw_mu[] =
{
    {
        "ATR0",
        "Use Processor A Transmit Register 0 (ATR0, 32-bit, write-only) to tran"
        "smit a message or data to the Processor B.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mu_atr0
    },
    {
        "ATR1",
        "Use Processor A Transmit Register 1 (ATR1, 32-bit, write-only) to tran"
        "smit a message or data to the Processor B.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mu_atr1
    },
    {
        "ATR2",
        "Use Processor A Transmit Register 2 (ATR2, 32-bit, write-only) to tran"
        "smit a message or data to the Processor B.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mu_atr2
    },
    {
        "ATR3",
        "Use Processor A Transmit Register 3 (ATR3, 32-bit, write-only) to tran"
        "smit a message or data to the Processor B.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mu_atr3
    },
    {
        "ARR0",
        "Use Processor A Receive Register 0 (ARR0, 32-bit, read-only) to receiv"
        "e a message or data from the Processor B.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mu_arr0
    },
    {
        "ARR1",
        "Use Processor A Receive Register 1 (ARR1, 32-bit, read-only) to receiv"
        "e a message or data from the Processor B.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mu_arr1
    },
    {
        "ARR2",
        "Use Processor A Receive Register 2 (ARR2, 32-bit, read-only) to receiv"
        "e a message or data from the Processor B.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mu_arr2
    },
    {
        "ARR3",
        "Use Processor A Receive Register 3 (ARR3, 32-bit, read-only) to receiv"
        "e a message or data from the Processor B.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mu_arr3
    },
    {
        "ASR",
        "Use the Processor A Status Register (ASR, 32-bit, read-write) to show "
        "interrupt status from the Processor B, general purpose flags, and to s"
        "et dual function control-status bits.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_mu_asr
    },
    {
        "ACR",
        "Use the Processor A Control Register (ACR, 32-bit, read-write) to enab"
        "le the MU interrupts on the Processor A-side, and trigger events and i"
        "nterrupts on the Processor B-side (general purpose interrupt, flag upd"
        "ate).",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_mu_acr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark OCOTP
#endif

// Bitfields in register OCOTP_CTRL.
static const field_t hw_ocotp_ctrl[] =
{
    {
        "ADDR",
        "OTP write and read access address register.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY",
        "OTP controller status bit.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ERROR",
        "Set by the controller when an access to a locked region (OTP or shadow"
        " register) is requested.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RELOAD_SHADOWS",
        "Set to force re-loading all the shadow registers (HW / SW capability a"
        "nd LOCK).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_TEST",
        "Set to calculate CRC32 according to start address and end address in C"
        "RC_ADDR register.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_FAIL",
        "Set by controller when calculated CRC value is not equal to appointed "
        "CRC fuse word.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_UNLOCK",
        "Write 0x3E77 to enable OTP write accesses.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_CTRL_SET.
static const field_t hw_ocotp_ctrl_set[] =
{
    {
        "ADDR",
        "OTP write and read access address register.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY",
        "OTP controller status bit.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ERROR",
        "Set by the controller when an access to a locked region (OTP or shadow"
        " register) is requested.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RELOAD_SHADOWS",
        "Set to force re-loading all the shadow registers (HW / SW capability a"
        "nd LOCK).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_TEST",
        "Set to calculate CRC32 according to start address and end address in C"
        "RC_ADDR register.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_FAIL",
        "Set by controller when calculated CRC value is not equal to appointed "
        "CRC fuse word.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_UNLOCK",
        "Write 0x3E77 to enable OTP write accesses.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_CTRL_CLR.
static const field_t hw_ocotp_ctrl_clr[] =
{
    {
        "ADDR",
        "OTP write and read access address register.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY",
        "OTP controller status bit.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ERROR",
        "Set by the controller when an access to a locked region (OTP or shadow"
        " register) is requested.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RELOAD_SHADOWS",
        "Set to force re-loading all the shadow registers (HW / SW capability a"
        "nd LOCK).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_TEST",
        "Set to calculate CRC32 according to start address and end address in C"
        "RC_ADDR register.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_FAIL",
        "Set by controller when calculated CRC value is not equal to appointed "
        "CRC fuse word.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_UNLOCK",
        "Write 0x3E77 to enable OTP write accesses.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_CTRL_TOG.
static const field_t hw_ocotp_ctrl_tog[] =
{
    {
        "ADDR",
        "OTP write and read access address register.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY",
        "OTP controller status bit.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ERROR",
        "Set by the controller when an access to a locked region (OTP or shadow"
        " register) is requested.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RELOAD_SHADOWS",
        "Set to force re-loading all the shadow registers (HW / SW capability a"
        "nd LOCK).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_TEST",
        "Set to calculate CRC32 according to start address and end address in C"
        "RC_ADDR register.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_FAIL",
        "Set by controller when calculated CRC value is not equal to appointed "
        "CRC fuse word.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_UNLOCK",
        "Write 0x3E77 to enable OTP write accesses.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_TIMING.
static const field_t hw_ocotp_timing[] =
{
    {
        "PROG",
        "This count value specifies the strobe period in one time write OTP.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSOURCE",
        "This count value specifies FSOURCE to PROG setup / hold time.",
        12, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "This read-only field is reserved and always has the value 0.",
        20, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_DATA0.
static const field_t hw_ocotp_data0[] =
{
    {
        "DATA0",
        "The program data for first fuse word in one 128 bits OTP.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_DATA1.
static const field_t hw_ocotp_data1[] =
{
    {
        "DATA1",
        "The program data for second fuse word in one 128 bits OTP.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_DATA2.
static const field_t hw_ocotp_data2[] =
{
    {
        "DATA2",
        "The program data for third fuse word in one 128 bits OTP.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_DATA3.
static const field_t hw_ocotp_data3[] =
{
    {
        "DATA3",
        "The program data for the last fuse word in one 128 bits OTP.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_READ_CTRL.
static const field_t hw_ocotp_read_ctrl[] =
{
    {
        "READ_FUSE",
        "Used to initiate a read to OTP.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_READ_FUSE_DATA0.
static const field_t hw_ocotp_read_fuse_data0[] =
{
    {
        "DATA0",
        "The first fuse word data read from one OTP.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_READ_FUSE_DATA1.
static const field_t hw_ocotp_read_fuse_data1[] =
{
    {
        "DATA1",
        "The second fuse word data read from one OTP.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_READ_FUSE_DATA2.
static const field_t hw_ocotp_read_fuse_data2[] =
{
    {
        "DATA2",
        "The third fuse word data read from one OTP.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_READ_FUSE_DATA3.
static const field_t hw_ocotp_read_fuse_data3[] =
{
    {
        "DATA3",
        "The last fuse word data read from one OTP.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SW_STICKY.
static const field_t hw_ocotp_sw_sticky[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRK_REVOKE_LOCK",
        "Shadow register write and OTP write lock for SRK_REVOKE region.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIELD_RETURN_LOCK",
        "Shadow register write and OTP write lock for FIELD_RETURN region.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        3, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SCS.
static const field_t hw_ocotp_scs[] =
{
    {
        "HAB_JDE",
        "This bit is used by the HAB to enable JTAG debugging, assuming that a "
        "properly signed command to do it, so it can be found and validated by "
        "the HAB.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE",
        "Unallocated read / write bits of implementation for specific software "
        "use.",
        1, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "When set, all of the bits in this register are locked and cannot be ch"
        "anged during SW programming.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SCS_SET.
static const field_t hw_ocotp_scs_set[] =
{
    {
        "HAB_JDE",
        "This bit is used by the HAB to enable JTAG debugging, assuming that a "
        "properly signed command to do it, so it can be found and validated by "
        "the HAB.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE",
        "Unallocated read / write bits of implementation for specific software "
        "use.",
        1, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "When set, all of the bits in this register are locked and cannot be ch"
        "anged during SW programming.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SCS_CLR.
static const field_t hw_ocotp_scs_clr[] =
{
    {
        "HAB_JDE",
        "This bit is used by the HAB to enable JTAG debugging, assuming that a "
        "properly signed command to do it, so it can be found and validated by "
        "the HAB.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE",
        "Unallocated read / write bits of implementation for specific software "
        "use.",
        1, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "When set, all of the bits in this register are locked and cannot be ch"
        "anged during SW programming.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SCS_TOG.
static const field_t hw_ocotp_scs_tog[] =
{
    {
        "HAB_JDE",
        "This bit is used by the HAB to enable JTAG debugging, assuming that a "
        "properly signed command to do it, so it can be found and validated by "
        "the HAB.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE",
        "Unallocated read / write bits of implementation for specific software "
        "use.",
        1, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "When set, all of the bits in this register are locked and cannot be ch"
        "anged during SW programming.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_CRC_ADDR.
static const field_t hw_ocotp_crc_addr[] =
{
    {
        "DATA_START_ADDR",
        "Start address of fuse word location is for CRC calculation.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_END_ADDR",
        "End address of fuse word location is for CRC calculation.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_ADDR",
        "Address of 32-bit CRC result is for comparing.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        18, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_CRC_VALUE.
static const field_t hw_ocotp_crc_value[] =
{
    {
        "DATA",
        "The CRC32 value is based on CRC_ADDR.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_VERSION.
static const field_t hw_ocotp_version[] =
{
    {
        "STEP",
        "Fixed read-only values reflect the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only values reflect the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only values reflect the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_LOCK.
static const field_t hw_ocotp_lock[] =
{
    {
        "TESTER",
        "Status of shadow register and OTP write lock for tester region.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BOOT_CFG",
        "Status of shadow register and OTP write lock for BOOT_CFG region.",
        2, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MEM_TRIM",
        "Status of shadow register and OTP write lock for MEM_TRIM region.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ANALOG",
        "Status of shadow register and OTP write lock for analog region.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OTPMK",
        "Status of shadow register read and write, OTP read and write lock for "
        "OTPMK region.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRK",
        "Status of shadow register and OTP write lock for SRK region.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SJC_RESP",
        "Status of shadow register read and write, OTP read and write lock for "
        "SJC_RESP region.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "USB_ID",
        "Status of shadow register and OTP write lock for USB_ID region.",
        12, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAC_ADDR",
        "Status of shadow register and OTP write lock for MAC_ADDR region.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAU_KEY",
        "Status of shadow register read and write, OTP read and write lock for "
        "MANUFACTURE_KEY region.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ROM_PATCH",
        "Status of shadow register and OTP write lock for ROM_PATCH region.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        18, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GP1",
        "Status of shadow register and OTP write lock for GP1 region.",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GP2",
        "Status of shadow register and OTP write lock for GP2 region.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        24, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CRC_GP1",
        "Status of shadow register write and read, OTP write and read lock for "
        "CRC_GP1 region.",
        28, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CRC_GP2",
        "Status of shadow register write and read, OTP write and read lock for "
        "CRC_GP2 region.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_TESTER0.
static const field_t hw_ocotp_tester0[] =
{
    {
        "BITS",
        "It reflects value of OTP Bank 0, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_TESTER1.
static const field_t hw_ocotp_tester1[] =
{
    {
        "BITS",
        "It reflects value of OTP Bank 0, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_TESTER2.
static const field_t hw_ocotp_tester2[] =
{
    {
        "BITS",
        "It reflects value of OTP Bank 0, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_TESTER3.
static const field_t hw_ocotp_tester3[] =
{
    {
        "BITS",
        "It reflects value of OTP Bank 1, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_TESTER4.
static const field_t hw_ocotp_tester4[] =
{
    {
        "BITS",
        "It reflects value of OTP Bank 1, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_TESTER5.
static const field_t hw_ocotp_tester5[] =
{
    {
        "BITS",
        "It reflects value of OTP Bank 1, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_BOOT_CFG0.
static const field_t hw_ocotp_boot_cfg0[] =
{
    {
        "BITS",
        "It reflects value of OTP Bank 1, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_BOOT_CFG1.
static const field_t hw_ocotp_boot_cfg1[] =
{
    {
        "BITS",
        "It reflects value of OTP bank 2, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_BOOT_CFG2.
static const field_t hw_ocotp_boot_cfg2[] =
{
    {
        "BITS",
        "It reflects value of OTP bank 2, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_BOOT_CFG3.
static const field_t hw_ocotp_boot_cfg3[] =
{
    {
        "BITS",
        "It reflects value of OTP bank 2, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_BOOT_CFG4.
static const field_t hw_ocotp_boot_cfg4[] =
{
    {
        "BITS",
        "It reflects value of OTP bank 2, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MEM_TRIM0.
static const field_t hw_ocotp_mem_trim0[] =
{
    {
        "BITS",
        "It reflects value of OTP bank 3, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MEM_TRIM1.
static const field_t hw_ocotp_mem_trim1[] =
{
    {
        "BITS",
        "It reflects value of OTP bank 3, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_ANA0.
static const field_t hw_ocotp_ana0[] =
{
    {
        "BITS",
        "It reflects value of OTP bank 3, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_ANA1.
static const field_t hw_ocotp_ana1[] =
{
    {
        "BITS",
        "It reflects value of OTP bank 3, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_OTPMK0.
static const field_t hw_ocotp_otpmk0[] =
{
    {
        "BITS",
        "Shadow register for the OTPMK Key word0 (Copy of OTP Bank 4, word 0).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_OTPMK1.
static const field_t hw_ocotp_otpmk1[] =
{
    {
        "BITS",
        "Shadow register for the OTPMK Key word1 (Copy of OTP Bank 4, word 1).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_OTPMK2.
static const field_t hw_ocotp_otpmk2[] =
{
    {
        "BITS",
        "Shadow register for the OTPMK Key word2 (Copy of OTP Bank 4, word 2).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_OTPMK3.
static const field_t hw_ocotp_otpmk3[] =
{
    {
        "BITS",
        "Shadow register for the OTPMK Key word3 (Copy of OTP Bank 4, word 3).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_OTPMK4.
static const field_t hw_ocotp_otpmk4[] =
{
    {
        "BITS",
        "Shadow register for the OTPMK Key word4 (Copy of OTP Bank 5, word 0).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_OTPMK5.
static const field_t hw_ocotp_otpmk5[] =
{
    {
        "BITS",
        "Shadow register for the OTPMK Key word5 (Copy of OTP Bank 5, word 1).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_OTPMK6.
static const field_t hw_ocotp_otpmk6[] =
{
    {
        "BITS",
        "Shadow register for the OTPMK Key word6 (Copy of OTP Bank 5, word 2).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_OTPMK7.
static const field_t hw_ocotp_otpmk7[] =
{
    {
        "BITS",
        "Shadow register for the OTPMK Key word7 (Copy of OTP Bank 5, word 3).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SRK0.
static const field_t hw_ocotp_srk0[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word0 (Copy of OTP "
        "Bank 6, word 0).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SRK1.
static const field_t hw_ocotp_srk1[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word1 (Copy of OTP "
        "Bank 6, word 1).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SRK2.
static const field_t hw_ocotp_srk2[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word2 (Copy of OTP "
        "Bank 6, word 2).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SRK3.
static const field_t hw_ocotp_srk3[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word3 (Copy of OTP "
        "Bank 6, word 3).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SRK4.
static const field_t hw_ocotp_srk4[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word4 (Copy of OTP "
        "Bank 7, word 0).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SRK5.
static const field_t hw_ocotp_srk5[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word5 (Copy of OTP "
        "Bank 7, word 1).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SRK6.
static const field_t hw_ocotp_srk6[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word6 (Copy of OTP "
        "Bank 7, word 2).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SRK7.
static const field_t hw_ocotp_srk7[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word7 (Copy of OTP "
        "Bank 7, word 3).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SJC_RESP0.
static const field_t hw_ocotp_sjc_resp0[] =
{
    {
        "BITS",
        "Shadow register for the SJC_RESP Key word0 (Copy of OTP Bank 8, word 0"
        ").",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SJC_RESP1.
static const field_t hw_ocotp_sjc_resp1[] =
{
    {
        "BITS",
        "Shadow register for the SJC_RESP Key word1 (Copy of OTP Bank 8, word 1"
        ").",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_USB_ID.
static const field_t hw_ocotp_usb_id[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 8, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_FIELD_RETURN.
static const field_t hw_ocotp_field_return[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 8, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAC_ADDR0.
static const field_t hw_ocotp_mac_addr0[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 9, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAC_ADDR1.
static const field_t hw_ocotp_mac_addr1[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 9, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAC_ADDR2.
static const field_t hw_ocotp_mac_addr2[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 9, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_SRK_REVOKE.
static const field_t hw_ocotp_srk_revoke[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 9, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAU_KEY0.
static const field_t hw_ocotp_mau_key0[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word0 (Copy of OTP Bank 10, word 0).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAU_KEY1.
static const field_t hw_ocotp_mau_key1[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word1 (Copy of OTP Bank 10, word 1).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAU_KEY2.
static const field_t hw_ocotp_mau_key2[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word2 (Copy of OTP Bank 10, word 2).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAU_KEY3.
static const field_t hw_ocotp_mau_key3[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word3 (Copy of OTP Bank 10, word 3).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAU_KEY4.
static const field_t hw_ocotp_mau_key4[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word4 (Copy of OTP Bank 11, word 0).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAU_KEY5.
static const field_t hw_ocotp_mau_key5[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word5 (Copy of OTP Bank 11, word 1).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAU_KEY6.
static const field_t hw_ocotp_mau_key6[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word6 (Copy of OTP Bank 11, word 2).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_MAU_KEY7.
static const field_t hw_ocotp_mau_key7[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word7 (Copy of OTP Bank 11, word 3).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_GP10.
static const field_t hw_ocotp_gp10[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 14, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_GP11.
static const field_t hw_ocotp_gp11[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 14, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_GP20.
static const field_t hw_ocotp_gp20[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 14, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_GP21.
static const field_t hw_ocotp_gp21[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 14, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_CRC_GP10.
static const field_t hw_ocotp_crc_gp10[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 15, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_CRC_GP11.
static const field_t hw_ocotp_crc_gp11[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 15, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_CRC_GP20.
static const field_t hw_ocotp_crc_gp20[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 15, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_CRC_GP21.
static const field_t hw_ocotp_crc_gp21[] =
{
    {
        "BITS",
        "It reflects the value of OTP Bank 15, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a OCOTP module.
static const reg_t hw_ocotp[] =
{
    {
        "CTRL",
        "The OCOTP Control and Status Register specifies the copy state, as wel"
        "l as the control required for random access of the OTP memory OCOTP_CT"
        "RL: 0x000 OCOTP_CTRL_SET: 0x004 OCOTP_CTRL_CLR: 0x008 OCOTP_CTRL_TOG: "
        "0x00C The OCOTP Control and Status Register provides the necessary sof"
        "tware interface for performing read and write operations to the On-Chi"
        "p OTP (One-Time Programmable ROM).",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_ocotp_ctrl
    },
    {
        "CTRL_SET",
        "The OCOTP Control and Status Register specifies the copy state, as wel"
        "l as the control required for random access of the OTP memory OCOTP_CT"
        "RL: 0x000 OCOTP_CTRL_SET: 0x004 OCOTP_CTRL_CLR: 0x008 OCOTP_CTRL_TOG: "
        "0x00C The OCOTP Control and Status Register provides the necessary sof"
        "tware interface for performing read and write operations to the On-Chi"
        "p OTP (One-Time Programmable ROM).",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_ocotp_ctrl_set
    },
    {
        "CTRL_CLR",
        "The OCOTP Control and Status Register specifies the copy state, as wel"
        "l as the control required for random access of the OTP memory OCOTP_CT"
        "RL: 0x000 OCOTP_CTRL_SET: 0x004 OCOTP_CTRL_CLR: 0x008 OCOTP_CTRL_TOG: "
        "0x00C The OCOTP Control and Status Register provides the necessary sof"
        "tware interface for performing read and write operations to the On-Chi"
        "p OTP (One-Time Programmable ROM).",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_ocotp_ctrl_clr
    },
    {
        "CTRL_TOG",
        "The OCOTP Control and Status Register specifies the copy state, as wel"
        "l as the control required for random access of the OTP memory OCOTP_CT"
        "RL: 0x000 OCOTP_CTRL_SET: 0x004 OCOTP_CTRL_CLR: 0x008 OCOTP_CTRL_TOG: "
        "0x00C The OCOTP Control and Status Register provides the necessary sof"
        "tware interface for performing read and write operations to the On-Chi"
        "p OTP (One-Time Programmable ROM).",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_ocotp_ctrl_tog
    },
    {
        "TIMING",
        "This register specifies timing parameters of programming and reading t"
        "he OCOTP fuse array.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ocotp_timing
    },
    {
        "DATA0",
        "This register associates with HW_OCOTP_CTRL to perform one-time writes"
        " to the OTP.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_data0
    },
    {
        "DATA1",
        "This register associates with HW_OCOTP_CTRL to perform one-time writes"
        " to the OTP.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_data1
    },
    {
        "DATA2",
        "This register associates with HW_OCOTP_CTRL to perform one-time writes"
        " to the OTP.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_data2
    },
    {
        "DATA3",
        "This register associates with HW_OCOTP_CTRL to perform one-time writes"
        " to the OTP.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_data3
    },
    {
        "READ_CTRL",
        "This register associates with HW_OCOTP_CTRL to perform one time read t"
        "o the OTP.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ocotp_read_ctrl
    },
    {
        "READ_FUSE_DATA0",
        "EXAMPLE Empty Example.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_read_fuse_data0
    },
    {
        "READ_FUSE_DATA1",
        "EXAMPLE Empty Example.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_read_fuse_data1
    },
    {
        "READ_FUSE_DATA2",
        "EXAMPLE Empty Example.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_read_fuse_data2
    },
    {
        "READ_FUSE_DATA3",
        "EXAMPLE Empty Example.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_read_fuse_data3
    },
    {
        "SW_STICKY",
        "Some sticky bits are used by software to lock some fuse area, shadow r"
        "egisters, and other features.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ocotp_sw_sticky
    },
    {
        "SCS",
        "OCOTP_SCS: 0x0C0 OCOTP_SCS_SET: 0x0C4 OCOTP_SCS_CLR: 0x0C8 OCOTP_SCS_T"
        "OG: 0x0CC This register holds volatile configuration values that can b"
        "e set and locked by verified software.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ocotp_scs
    },
    {
        "SCS_SET",
        "OCOTP_SCS: 0x0C0 OCOTP_SCS_SET: 0x0C4 OCOTP_SCS_CLR: 0x0C8 OCOTP_SCS_T"
        "OG: 0x0CC This register holds volatile configuration values that can b"
        "e set and locked by verified software.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ocotp_scs_set
    },
    {
        "SCS_CLR",
        "OCOTP_SCS: 0x0C0 OCOTP_SCS_SET: 0x0C4 OCOTP_SCS_CLR: 0x0C8 OCOTP_SCS_T"
        "OG: 0x0CC This register holds volatile configuration values that can b"
        "e set and locked by verified software.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ocotp_scs_clr
    },
    {
        "SCS_TOG",
        "OCOTP_SCS: 0x0C0 OCOTP_SCS_SET: 0x0C4 OCOTP_SCS_CLR: 0x0C8 OCOTP_SCS_T"
        "OG: 0x0CC This register holds volatile configuration values that can b"
        "e set and locked by verified software.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ocotp_scs_tog
    },
    {
        "CRC_ADDR",
        "The OCOTP Data Register is used for OTP Read EXAMPLE Empty Example.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ocotp_crc_addr
    },
    {
        "CRC_VALUE",
        "The CRC32 value is based on CRC_ADDR.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_crc_value
    },
    {
        "VERSION",
        "This register always returns a known read value for debug purposes.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_ocotp_version
    },
    {
        "LOCK",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        false, // Writable
        18, // Number of bitfields
        hw_ocotp_lock
    },
    {
        "TESTER0",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_tester0
    },
    {
        "TESTER1",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000420, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_tester1
    },
    {
        "TESTER2",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000430, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_tester2
    },
    {
        "TESTER3",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_tester3
    },
    {
        "TESTER4",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_tester4
    },
    {
        "TESTER5",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_tester5
    },
    {
        "BOOT_CFG0",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000470, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_boot_cfg0
    },
    {
        "BOOT_CFG1",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_boot_cfg1
    },
    {
        "BOOT_CFG2",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_boot_cfg2
    },
    {
        "BOOT_CFG3",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_boot_cfg3
    },
    {
        "BOOT_CFG4",
        "After reset, it copied from the OTP.",
        4, // Width in bytes
        0x000004b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_boot_cfg4
    },
    {
        "MEM_TRIM0",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mem_trim0
    },
    {
        "MEM_TRIM1",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000004d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mem_trim1
    },
    {
        "ANA0",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000004e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_ana0
    },
    {
        "ANA1",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000004f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_ana1
    },
    {
        "OTPMK0",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000500, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_otpmk0
    },
    {
        "OTPMK1",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000510, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_otpmk1
    },
    {
        "OTPMK2",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000520, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_otpmk2
    },
    {
        "OTPMK3",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000530, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_otpmk3
    },
    {
        "OTPMK4",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000540, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_otpmk4
    },
    {
        "OTPMK5",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000550, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_otpmk5
    },
    {
        "OTPMK6",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000560, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_otpmk6
    },
    {
        "OTPMK7",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000570, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_otpmk7
    },
    {
        "SRK0",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000580, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_srk0
    },
    {
        "SRK1",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000590, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_srk1
    },
    {
        "SRK2",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000005a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_srk2
    },
    {
        "SRK3",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000005b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_srk3
    },
    {
        "SRK4",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000005c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_srk4
    },
    {
        "SRK5",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000005d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_srk5
    },
    {
        "SRK6",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000005e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_srk6
    },
    {
        "SRK7",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000005f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_srk7
    },
    {
        "SJC_RESP0",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000600, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_sjc_resp0
    },
    {
        "SJC_RESP1",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000610, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_sjc_resp1
    },
    {
        "USB_ID",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000620, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_usb_id
    },
    {
        "FIELD_RETURN",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000630, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_field_return
    },
    {
        "MAC_ADDR0",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000640, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mac_addr0
    },
    {
        "MAC_ADDR1",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000650, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mac_addr1
    },
    {
        "MAC_ADDR2",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000660, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mac_addr2
    },
    {
        "SRK_REVOKE",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000670, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_srk_revoke
    },
    {
        "MAU_KEY0",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000680, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mau_key0
    },
    {
        "MAU_KEY1",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000690, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mau_key1
    },
    {
        "MAU_KEY2",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000006a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mau_key2
    },
    {
        "MAU_KEY3",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000006b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mau_key3
    },
    {
        "MAU_KEY4",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000006c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mau_key4
    },
    {
        "MAU_KEY5",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000006d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mau_key5
    },
    {
        "MAU_KEY6",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000006e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mau_key6
    },
    {
        "MAU_KEY7",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000006f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_mau_key7
    },
    {
        "GP10",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000780, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_gp10
    },
    {
        "GP11",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x00000790, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_gp11
    },
    {
        "GP20",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000007a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_gp20
    },
    {
        "GP21",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000007b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_gp21
    },
    {
        "CRC_GP10",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000007c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_crc_gp10
    },
    {
        "CRC_GP11",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000007d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_crc_gp11
    },
    {
        "CRC_GP20",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000007e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_crc_gp20
    },
    {
        "CRC_GP21",
        "After reset, it automatically copied from the OTP.",
        4, // Width in bytes
        0x000007f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_crc_gp21
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark PCIE_PHY_CMN
#endif

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG01.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg01[] =
{
    {
        "TCODE",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCODE",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG02.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg02[] =
{
    {
        "FORCE",
        "When FORCE pin is set to '1', TX and RX impedance can be controlled by"
        " manual code setting of TCODE[3:0] and RCODE[3:0] respectively.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDIV",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG03.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg03[] =
{
    {
        "CTRL_CP",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG04.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg04[] =
{
    {
        "CTRL_C",
        "",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL_R",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG05.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg05[] =
{
    {
        "DCC_FB_EN",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CKFB_MON_EN",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG06.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg06[] =
{
    {
        "SD_DIV",
        "It is prepared for the PLL target setting and should not be changed at"
        " all.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CK100M_EN",
        "It is also useful to monitor the REF_CKO clock in the ATE test because"
        " input reference clock connection can be checked.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MDIV_HS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG07.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg07[] =
{
    {
        "MDIV_MS",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG0B.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg0b[] =
{
    {
        "SSC",
        "The amount of SSC modulation can be controlled by using SSC[6:0] and S"
        "SC_CNTL[1:0].",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG08.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg08[] =
{
    {
        "PI_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PI_STR",
        "It is prepared for the PLL target setting and cannot be changed at all"
        ".",
        1, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG09.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg09[] =
{
    {
        "SSC_CNTL",
        "The amount of SSC modulation can be controlled by using SSC[6:0] and S"
        "SC_CNTL[1:0].",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG11.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg11[] =
{
    {
        "PREF",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG15.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg15[] =
{
    {
        "MON_EN",
        "When MON_EN is \"high\", clock from PLL could be monitored via TESTCLK"
        "OUT port.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PD_SCMN",
        "",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHY_CMNPD_EN",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG16.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg16[] =
{
    {
        "PHY_SSC_EN",
        "This SSC feature can be enabled with SSC_EN pin from SoC and only the "
        "amount of SSC can be controlled with these registers for debug.When th"
        "e SSC is enabled, PCIE_TX_P/N signal pins and the PCIE_REFCLKOUT_P/N s"
        "ignal pins would be SSC modulated.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG17.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg17[] =
{
    {
        "RDIV",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDIV_EN",
        "In the PCIe PHY, the reference clock frequency should be 100 MHz.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TG_CODE_EN",
        "It is prepared for the PLL target setting and cannot be changed at all"
        ".",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG18.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg18[] =
{
    {
        "TG_CODE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG19.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg19[] =
{
    {
        "TOL",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PD_CMN",
        "When disable all blocks of CMN, then PD_CMN is needed to be asserted ("
        "PD_CMN = 1).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTOL",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_CMN_PHY_CMN_REG1A.
static const field_t hw_pcie_phy_cmn_phy_cmn_reg1a[] =
{
    {
        "CMNRST",
        "In the PHY, RESET pins for CMN block can be controlled by register for"
        " the debug purpose.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a PCIE_PHY_CMN module.
static const reg_t hw_pcie_phy_cmn[] =
{
    {
        "PHY_CMN_REG01",
        "When FORCE pin is set to \"1\", TX and RX impedance can be controlled "
        "by manual code setting of TCODE[3:0] and RCODE[3:0] respectively.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg01
    },
    {
        "PHY_CMN_REG02",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg02
    },
    {
        "PHY_CMN_REG03",
        "This register is prepared for the PLL target setting and cannot be cha"
        "nged at all.",
        4, // Width in bytes
        0x00000012, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg03
    },
    {
        "PHY_CMN_REG04",
        "This register is prepared for the PLL target setting and cannot be cha"
        "nged at all.",
        4, // Width in bytes
        0x00000016, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg04
    },
    {
        "PHY_CMN_REG05",
        "This register is prepared for the PLL target setting and cannot be cha"
        "nged at all.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg05
    },
    {
        "PHY_CMN_REG06",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg06
    },
    {
        "PHY_CMN_REG07",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg07
    },
    {
        "PHY_CMN_REG0B",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg0b
    },
    {
        "PHY_CMN_REG08",
        "",
        4, // Width in bytes
        0x00000032, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg08
    },
    {
        "PHY_CMN_REG09",
        "",
        4, // Width in bytes
        0x00000036, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg09
    },
    {
        "PHY_CMN_REG11",
        "This register is prepared for the PLL target setting and cannot be cha"
        "nged at all.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg11
    },
    {
        "PHY_CMN_REG15",
        "When you would like to disable all blocks of CMN, then PD_CMN is neede"
        "d to be asserted (PD_CMN = 1).",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg15
    },
    {
        "PHY_CMN_REG16",
        "",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg16
    },
    {
        "PHY_CMN_REG17",
        "",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg17
    },
    {
        "PHY_CMN_REG18",
        "This register is prepared for the PLL target setting and should not be"
        " changed at all.",
        4, // Width in bytes
        0x00000072, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg18
    },
    {
        "PHY_CMN_REG19",
        "This register is prepared for the PLL target setting and cannot be cha"
        "nged at all.",
        4, // Width in bytes
        0x00000076, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg19
    },
    {
        "PHY_CMN_REG1A",
        "This register is prepared for the PLL target setting and should not be"
        " changed at all.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_cmn_phy_cmn_reg1a
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark PCIE_PHY_TRSV
#endif

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG21.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg21[] =
{
    {
        "EMP_LVL",
        "For the TX properties such as amplitude and de-emphasis, please use de"
        "fault setting for the first time evaluation.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRVR_PDH",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG22.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg22[] =
{
    {
        "DRV_LVL",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG24.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg24[] =
{
    {
        "RX_EQ_SEL",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_SS",
        "",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_EQS",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_SS_PD",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG2B.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg2b[] =
{
    {
        "RXCDR",
        "RX CDR(Clock and data recovery) BW(bandwidth) can be adjusted using RX"
        "CDR[7:0], however do not change it.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG3A.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg3a[] =
{
    {
        "TDIMODE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDIMODE",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMDET_EN",
        "When COMDET_EN is \"low\", RXD[0:19] is not aligned for debug purpose.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG3E.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg3e[] =
{
    {
        "DET_CNT",
        "For the DET_CNT[3:0], the number of K28.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG25.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg25[] =
{
    {
        "RXEQS",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXEQ",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG26.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg26[] =
{
    {
        "SQTH",
        "",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG29.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg29[] =
{
    {
        "BIAS",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG31.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg31[] =
{
    {
        "PD_TSV",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG33.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg33[] =
{
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG36.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg36[] =
{
    {
        "SR_LVL",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TX_SWING",
        "TX swing level can be changed according to the TX de-emphasis level co"
        "ntrol setting.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRVR_CNT",
        "",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG37.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg37[] =
{
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG38.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg38[] =
{
    {
        "ADD_ALIGN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_INV",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TX_INV",
        "This register is used for the serial data (PCIE_TX_P / PCIE_TX_N or PC"
        "IE_RX_P / PCIE_RX_N) polarity inversion.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG39.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg39[] =
{
    {
        "TD_ORD",
        "",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ORD",
        "",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG40.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg40[] =
{
    {
        "PD_TRAS",
        "When Reg40 bit<6> = 1, RX Deserializer power down.",
        2, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHY_TRSV_EN",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PCIE_PHY_TRSV_PHY_TRSV_REG42.
static const field_t hw_pcie_phy_trsv_phy_trsv_reg42[] =
{
    {
        "TRSVRST",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a PCIE_PHY_TRSV module.
static const reg_t hw_pcie_phy_trsv[] =
{
    {
        "PHY_TRSV_REG21",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg21
    },
    {
        "PHY_TRSV_REG22",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg22
    },
    {
        "PHY_TRSV_REG24",
        "For the RX squelch detector threshold votlage, this threshold voltage "
        "can be changed intentionally for debug purpose.",
        4, // Width in bytes
        0x00000096, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg24
    },
    {
        "PHY_TRSV_REG2B",
        "",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg2b
    },
    {
        "PHY_TRSV_REG3A",
        "This register can be used for the serial data (PCIE_TX_P / PCIE_TX_N o"
        "r PCIE_RX_P / PCIE_RX_N) polarity inversion.",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg3a
    },
    {
        "PHY_TRSV_REG3E",
        "",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg3e
    },
    {
        "PHY_TRSV_REG25",
        "For the RX squelch detector threshold votlage, this threshold voltage "
        "can be changed intentionally for debug purpose.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg25
    },
    {
        "PHY_TRSV_REG26",
        "",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg26
    },
    {
        "PHY_TRSV_REG29",
        "",
        4, // Width in bytes
        0x00000116, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg29
    },
    {
        "PHY_TRSV_REG31",
        "",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg31
    },
    {
        "PHY_TRSV_REG33",
        "",
        4, // Width in bytes
        0x00000132, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg33
    },
    {
        "PHY_TRSV_REG36",
        "",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg36
    },
    {
        "PHY_TRSV_REG37",
        "",
        4, // Width in bytes
        0x00000148, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg37
    },
    {
        "PHY_TRSV_REG38",
        "TX and RX parallel data also can have bit and / or byte order change t"
        "o be flexible with connection errors between the PHY and the LINK cont"
        "roller.",
        4, // Width in bytes
        0x00000152, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg38
    },
    {
        "PHY_TRSV_REG39",
        "This register can be used for the serial data (PCIE_TX_P / PCIE_TX_N o"
        "r PCIE_RX_P / PCIE_RX_N) polarity inversion.",
        4, // Width in bytes
        0x00000156, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg39
    },
    {
        "PHY_TRSV_REG40",
        "",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg40
    },
    {
        "PHY_TRSV_REG42",
        "",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pcie_phy_trsv_phy_trsv_reg42
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark PMU
#endif

// Bitfields in register PMU_REG_1P0A.
static const field_t hw_pmu_reg_1p0a[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_1P0A_SET.
static const field_t hw_pmu_reg_1p0a_set[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_1P0A_CLR.
static const field_t hw_pmu_reg_1p0a_clr[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_1P0A_TOG.
static const field_t hw_pmu_reg_1p0a_tog[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_1P0D.
static const field_t hw_pmu_reg_1p0d[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVERRIDE",
        "The OVERRIDE bit allows the GPC module to automatically override porti"
        "ons of the register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_1P0D_SET.
static const field_t hw_pmu_reg_1p0d_set[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVERRIDE",
        "The OVERRIDE bit allows the GPC module to automatically override porti"
        "ons of the register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_1P0D_CLR.
static const field_t hw_pmu_reg_1p0d_clr[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVERRIDE",
        "The OVERRIDE bit allows the GPC module to automatically override porti"
        "ons of the register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_1P0D_TOG.
static const field_t hw_pmu_reg_1p0d_tog[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVERRIDE",
        "The OVERRIDE bit allows the GPC module to automatically override porti"
        "ons of the register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_HSIC_1P2.
static const field_t hw_pmu_reg_hsic_1p2[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVERRIDE",
        "The OVERRIDE bit allows the GPC module to automatically override porti"
        "ons of the register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_HSIC_1P2_SET.
static const field_t hw_pmu_reg_hsic_1p2_set[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVERRIDE",
        "The OVERRIDE bit allows the GPC module to automatically override porti"
        "ons of the register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_HSIC_1P2_CLR.
static const field_t hw_pmu_reg_hsic_1p2_clr[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVERRIDE",
        "The OVERRIDE bit allows the GPC module to automatically override porti"
        "ons of the register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_HSIC_1P2_TOG.
static const field_t hw_pmu_reg_hsic_1p2_tog[] =
{
    {
        "ENABLE_LINREG",
        "Control bit to enable the regulator output.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Control bit to enable the brown-out circuitry in the regulator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Control bit to enable the current-limit circuitry in the regulator.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Control bit to enable the pull-down circuitry in the regulator",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Control bits to adjust the regulator brown-out offset voltage in 25mV "
        "steps.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Always set to zero (0).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Control bits to adjust the regulator output voltage in 25mV steps.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Interrupt/status bit that signals when a brown-out is detected on the "
        "regulator output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Status bit that signals when the regulator output is ok.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Enables the weak 1p1 regulator.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Selects the source for the reference voltage of the weak 1p1 regulator"
        ": 0x0=weak-linreg output tracks low-power-bandgap voltage, 0x1=weak-li"
        "nreg output tracks VDD_SOC_CAP voltage.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Test bits to monitor different analog signals though anamux.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVERRIDE",
        "The OVERRIDE bit allows the GPC module to automatically override porti"
        "ons of the register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_LPSR_1P0.
static const field_t hw_pmu_reg_lpsr_1p0[] =
{
    {
        "ENABLE_LINREG",
        "Always enabled, field not used",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Not used",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Not used",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Enables a ~50kohm load to ground.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Not used",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Enables a ~100kohm load to ground.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Not used.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Not used",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Always 1 after reset",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Not used, always on.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Not used",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Not used",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_LPSR_1P0_SET.
static const field_t hw_pmu_reg_lpsr_1p0_set[] =
{
    {
        "ENABLE_LINREG",
        "Always enabled, field not used",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Not used",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Not used",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Enables a ~50kohm load to ground.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Not used",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Enables a ~100kohm load to ground.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Not used.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Not used",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Always 1 after reset",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Not used, always on.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Not used",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Not used",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_LPSR_1P0_CLR.
static const field_t hw_pmu_reg_lpsr_1p0_clr[] =
{
    {
        "ENABLE_LINREG",
        "Always enabled, field not used",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Not used",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Not used",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Enables a ~50kohm load to ground.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Not used",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Enables a ~100kohm load to ground.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Not used.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Not used",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Always 1 after reset",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Not used, always on.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Not used",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Not used",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REG_LPSR_1P0_TOG.
static const field_t hw_pmu_reg_lpsr_1p0_tog[] =
{
    {
        "ENABLE_LINREG",
        "Always enabled, field not used",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_BO",
        "Not used",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ILIMIT",
        "Not used",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PULLDOWN",
        "Enables a ~50kohm load to ground.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO_OFFSET",
        "Not used",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PWRUPLOAD",
        "Enables a ~100kohm load to ground.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTPUT_TRG",
        "Not used.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BO",
        "Not used",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OK",
        "Always 1 after reset",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_WEAK_LINREG",
        "Not used, always on.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELREF_WEAK_LINREG",
        "Not used",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_TEST",
        "Not used",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REF.
static const field_t hw_pmu_ref[] =
{
    {
        "REFTOP_PWD",
        "Control bit to power-down the analog bandgap reference circuitry.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_PWDVBGUP",
        "Control bit to power-down the VBG-up detection circuitry in the analog"
        " bandgap.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_LOWPOWER",
        "Freescale debug/test only.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_SELFBIASOFF",
        "Control bit to disable the self-bias circuit in the analog bandgap.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_VBGADJ",
        "Freescale debug/test bits",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_VBGUP",
        "Status bit which signals that the analog bandgap voltage is up and sta"
        "ble.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REFTOP_BIAS_TST",
        "Freescale debug/test bits 0x0 - nom, 0x1 - 90% Ibias, 0x2 - 80% Ibias,"
        " 0x3 110% Ibias",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPBG_SEL",
        "Bandgap select.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPBG_TEST",
        "Low power bandgap test bit..",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_IBIAS_OFF",
        "Low power reftop ibias disable.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_LINREGREF_EN",
        "Enables buffer from the main bandgap for use with the linear regulator"
        "s.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        14, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REF_SET.
static const field_t hw_pmu_ref_set[] =
{
    {
        "REFTOP_PWD",
        "Control bit to power-down the analog bandgap reference circuitry.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_PWDVBGUP",
        "Control bit to power-down the VBG-up detection circuitry in the analog"
        " bandgap.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_LOWPOWER",
        "Freescale debug/test only.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_SELFBIASOFF",
        "Control bit to disable the self-bias circuit in the analog bandgap.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_VBGADJ",
        "Freescale debug/test bits",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_VBGUP",
        "Status bit which signals that the analog bandgap voltage is up and sta"
        "ble.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REFTOP_BIAS_TST",
        "Freescale debug/test bits 0x0 - nom, 0x1 - 90% Ibias, 0x2 - 80% Ibias,"
        " 0x3 110% Ibias",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPBG_SEL",
        "Bandgap select.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPBG_TEST",
        "Low power bandgap test bit..",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_IBIAS_OFF",
        "Low power reftop ibias disable.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_LINREGREF_EN",
        "Enables buffer from the main bandgap for use with the linear regulator"
        "s.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        14, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REF_CLR.
static const field_t hw_pmu_ref_clr[] =
{
    {
        "REFTOP_PWD",
        "Control bit to power-down the analog bandgap reference circuitry.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_PWDVBGUP",
        "Control bit to power-down the VBG-up detection circuitry in the analog"
        " bandgap.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_LOWPOWER",
        "Freescale debug/test only.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_SELFBIASOFF",
        "Control bit to disable the self-bias circuit in the analog bandgap.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_VBGADJ",
        "Freescale debug/test bits",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_VBGUP",
        "Status bit which signals that the analog bandgap voltage is up and sta"
        "ble.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REFTOP_BIAS_TST",
        "Freescale debug/test bits 0x0 - nom, 0x1 - 90% Ibias, 0x2 - 80% Ibias,"
        " 0x3 110% Ibias",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPBG_SEL",
        "Bandgap select.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPBG_TEST",
        "Low power bandgap test bit..",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_IBIAS_OFF",
        "Low power reftop ibias disable.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_LINREGREF_EN",
        "Enables buffer from the main bandgap for use with the linear regulator"
        "s.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        14, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_REF_TOG.
static const field_t hw_pmu_ref_tog[] =
{
    {
        "REFTOP_PWD",
        "Control bit to power-down the analog bandgap reference circuitry.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_PWDVBGUP",
        "Control bit to power-down the VBG-up detection circuitry in the analog"
        " bandgap.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_LOWPOWER",
        "Freescale debug/test only.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_SELFBIASOFF",
        "Control bit to disable the self-bias circuit in the analog bandgap.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_VBGADJ",
        "Freescale debug/test bits",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_VBGUP",
        "Status bit which signals that the analog bandgap voltage is up and sta"
        "ble.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REFTOP_BIAS_TST",
        "Freescale debug/test bits 0x0 - nom, 0x1 - 90% Ibias, 0x2 - 80% Ibias,"
        " 0x3 110% Ibias",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPBG_SEL",
        "Bandgap select.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPBG_TEST",
        "Low power bandgap test bit..",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_IBIAS_OFF",
        "Low power reftop ibias disable.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFTOP_LINREGREF_EN",
        "Enables buffer from the main bandgap for use with the linear regulator"
        "s.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        14, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_LOWPWR_CTRL.
static const field_t hw_pmu_lowpwr_ctrl[] =
{
    {
        "STOP_MODE_CONFIG",
        "Configure the analog behavior in stop mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        2, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L1_PWRGATE",
        "L1 power gate control.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2_PWRGATE",
        "L2 power gate control.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CPU_PWRGATE",
        "GPU power gate control.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISPLAY_PWRGATE",
        "Display power gate control.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIX_PWRGATE",
        "Display power gate control.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PWRGATE",
        "GPU power gate control.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONTROL0",
        "Reserved control bits.",
        14, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONTROL1",
        "Reserved control bits.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_LOWPWR_CTRL_SET.
static const field_t hw_pmu_lowpwr_ctrl_set[] =
{
    {
        "STOP_MODE_CONFIG",
        "Configure the analog behavior in stop mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        2, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L1_PWRGATE",
        "L1 power gate control.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2_PWRGATE",
        "L2 power gate control.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CPU_PWRGATE",
        "GPU power gate control.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISPLAY_PWRGATE",
        "Display power gate control.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIX_PWRGATE",
        "Display power gate control.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PWRGATE",
        "GPU power gate control.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONTROL0",
        "Reserved control bits.",
        14, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONTROL1",
        "Reserved control bits.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_LOWPWR_CTRL_CLR.
static const field_t hw_pmu_lowpwr_ctrl_clr[] =
{
    {
        "STOP_MODE_CONFIG",
        "Configure the analog behavior in stop mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        2, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L1_PWRGATE",
        "L1 power gate control.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2_PWRGATE",
        "L2 power gate control.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CPU_PWRGATE",
        "GPU power gate control.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISPLAY_PWRGATE",
        "Display power gate control.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIX_PWRGATE",
        "Display power gate control.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PWRGATE",
        "GPU power gate control.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONTROL0",
        "Reserved control bits.",
        14, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONTROL1",
        "Reserved control bits.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PMU_LOWPWR_CTRL_TOG.
static const field_t hw_pmu_lowpwr_ctrl_tog[] =
{
    {
        "STOP_MODE_CONFIG",
        "Configure the analog behavior in stop mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        2, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L1_PWRGATE",
        "L1 power gate control.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2_PWRGATE",
        "L2 power gate control.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CPU_PWRGATE",
        "GPU power gate control.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISPLAY_PWRGATE",
        "Display power gate control.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIX_PWRGATE",
        "Display power gate control.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PWRGATE",
        "GPU power gate control.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONTROL0",
        "Reserved control bits.",
        14, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONTROL1",
        "Reserved control bits.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a PMU module.
static const reg_t hw_pmu[] =
{
    {
        "REG_1P0A",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_pmu_reg_1p0a
    },
    {
        "REG_1P0A_SET",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_pmu_reg_1p0a_set
    },
    {
        "REG_1P0A_CLR",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_pmu_reg_1p0a_clr
    },
    {
        "REG_1P0A_TOG",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_pmu_reg_1p0a_tog
    },
    {
        "REG_1P0D",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_pmu_reg_1p0d
    },
    {
        "REG_1P0D_SET",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_pmu_reg_1p0d_set
    },
    {
        "REG_1P0D_CLR",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_pmu_reg_1p0d_clr
    },
    {
        "REG_1P0D_TOG",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_pmu_reg_1p0d_tog
    },
    {
        "REG_HSIC_1P2",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_pmu_reg_hsic_1p2
    },
    {
        "REG_HSIC_1P2_SET",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_pmu_reg_hsic_1p2_set
    },
    {
        "REG_HSIC_1P2_CLR",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_pmu_reg_hsic_1p2_clr
    },
    {
        "REG_HSIC_1P2_TOG",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_pmu_reg_hsic_1p2_tog
    },
    {
        "REG_LPSR_1P0",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_pmu_reg_lpsr_1p0
    },
    {
        "REG_LPSR_1P0_SET",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_pmu_reg_lpsr_1p0_set
    },
    {
        "REG_LPSR_1P0_CLR",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_pmu_reg_lpsr_1p0_clr
    },
    {
        "REG_LPSR_1P0_TOG",
        "This register defines the control and status bits for the 1.1V regulat"
        "or.",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_pmu_reg_lpsr_1p0_tog
    },
    {
        "REF",
        "This register defines the control and status bits for miscellaneous an"
        "alog blocks.",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pmu_ref
    },
    {
        "REF_SET",
        "This register defines the control and status bits for miscellaneous an"
        "alog blocks.",
        4, // Width in bytes
        0x00000274, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pmu_ref_set
    },
    {
        "REF_CLR",
        "This register defines the control and status bits for miscellaneous an"
        "alog blocks.",
        4, // Width in bytes
        0x00000278, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pmu_ref_clr
    },
    {
        "REF_TOG",
        "This register defines the control and status bits for miscellaneous an"
        "alog blocks.",
        4, // Width in bytes
        0x0000027c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pmu_ref_tog
    },
    {
        "LOWPWR_CTRL",
        "This register defines fields for low power capabilities of the analog.",
        4, // Width in bytes
        0x00000330, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_pmu_lowpwr_ctrl
    },
    {
        "LOWPWR_CTRL_SET",
        "This register defines fields for low power capabilities of the analog.",
        4, // Width in bytes
        0x00000334, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_pmu_lowpwr_ctrl_set
    },
    {
        "LOWPWR_CTRL_CLR",
        "This register defines fields for low power capabilities of the analog.",
        4, // Width in bytes
        0x00000338, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_pmu_lowpwr_ctrl_clr
    },
    {
        "LOWPWR_CTRL_TOG",
        "This register defines fields for low power capabilities of the analog.",
        4, // Width in bytes
        0x0000033c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_pmu_lowpwr_ctrl_tog
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark PWM
#endif

// Bitfields in register PWM_PWMCR.
static const field_t hw_pwm_pwmcr[] =
{
    {
        "EN",
        "PWM Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REPEAT",
        "Sample Repeat.",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWR",
        "Software Reset.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRESCALER",
        "Counter Clock Prescaler Value.",
        4, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKSRC",
        "Select Clock Source.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POUTC",
        "PWM Output Configuration.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HCTR",
        "Half-word Data Swap Control.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCTR",
        "Byte Data Swap Control.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGEN",
        "Debug Mode Enable.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAITEN",
        "Wait Mode Enable.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOZEN",
        "Doze Mode Enable.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOPEN",
        "Stop Mode Enable.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWM",
        "FIFO Water Mark.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PWM_PWMSR.
static const field_t hw_pwm_pwmsr[] =
{
    {
        "FIFOAV",
        "FIFO Available.",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FE",
        "FIFO Empty Status Bit.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROV",
        "Roll-over Status.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP",
        "Compare Status.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWE",
        "FIFO Write Error Status.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PWM_PWMIR.
static const field_t hw_pwm_pwmir[] =
{
    {
        "FIE",
        "FIFO Empty Interrupt Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RIE",
        "Roll-over Interrupt Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CIE",
        "Compare Interrupt Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PWM_PWMSAR.
static const field_t hw_pwm_pwmsar[] =
{
    {
        "SAMPLE",
        "Sample Value.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PWM_PWMPR.
static const field_t hw_pwm_pwmpr[] =
{
    {
        "PERIOD",
        "Period Value.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PWM_PWMCNR.
static const field_t hw_pwm_pwmcnr[] =
{
    {
        "COUNT",
        "Counter Value.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a PWM module.
static const reg_t hw_pwm[] =
{
    {
        "PWMCR",
        "The PWM control register (PWM_PWMCR) is used to configure the operatin"
        "g settings of the PWM.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_pwm_pwmcr
    },
    {
        "PWMSR",
        "The PWM status register (PWM_PWMSR) contains seven bits which display "
        "the state of the FIFO and the occurrence of rollover and compare event"
        "s.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pwm_pwmsr
    },
    {
        "PWMIR",
        "The PWM Interrupt register (PWM_PWMIR) contains three bits which contr"
        "ol the generation of the compare, rollover and FIFO empty interrupts.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pwm_pwmir
    },
    {
        "PWMSAR",
        "The PWM sample register (PWM_PWMSAR) is the input to the FIFO.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pwm_pwmsar
    },
    {
        "PWMPR",
        "The PWM period register (PWM_PWMPR) determines the period of the PWM o"
        "utput signal.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pwm_pwmpr
    },
    {
        "PWMCNR",
        "The read-only pulse-width modulator counter register (PWM_PWMCNR) cont"
        "ains the current count value and can be read at any time without distu"
        "rbing the counter.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_pwm_pwmcnr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark PXP
#endif

// Bitfields in register PXP_HW_PXP_CTRL.
static const field_t hw_pxp_hw_pxp_ctrl[] =
{
    {
        "ENABLE",
        "Enables PXP operation with specified parameters.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_ENABLE",
        "Interrupt enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NEXT_IRQ_ENABLE",
        "Next command interrupt enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_DMA_IRQ_ENABLE",
        "LUT DMA interrupt enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_LCD0_HANDSHAKE",
        "Enable handshake with LCD0 controller.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDSHAKE_ABORT_SKIP",
        "When skip is enable, even the abort asserted, pxp will not assert the "
        "ready directly but wait for whole block line complete.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ROTATE0",
        "Indicates the clockwise rotation to be applied at the output buffer.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HFLIP0",
        "Indicates that the output buffer should be flipped horizontally (effec"
        "t applied before rotation).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP0",
        "Indicates that the output buffer should be flipped vertically (effect "
        "applied before rotation).",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROTATE1",
        "Indicates the clockwise rotation to be applied at the input buffer.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HFLIP1",
        "Indicates that the input should be flipped horizontally (effect applie"
        "d before rotation).",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP1",
        "Indicates that the input should be flipped vertically (effect applied "
        "before rotation).",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PS_AS_OUT",
        "Enable the PS engine, AS engine, OUTBUF in the PXP primary processing "
        "flow.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_DITHER",
        "Enable the Dithering engine in the PXP primary processing flow.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_WFE_A",
        "Enable the WFE-A engine in the PXP primary processing flow.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_WFE_B",
        "Enable the WFE-B engine in the PXP primary processing flow.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_INPUT_FETCH_STORE",
        "Enable the Input Fetch and Store engine in the PXP primary processing "
        "flow.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ALPHA_B",
        "Enable the Alpha-B engine in the PXP primary processing flow.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BLOCK_SIZE",
        "Select the block size to process through the Rotate block.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CSC2",
        "Enable the CSC2 engine in the PXP primary processing flow.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_LUT",
        "Enable the LUT engine in the PXP primary processing flow.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ROTATE0",
        "Enable the ROTATE0 engine in the PXP primary processing flow.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ROTATE1",
        "Enable the ROTATE1 engine in the PXP primary processing flow.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_REPEAT",
        "Enable the PXP to run continuously.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal PXP operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_STAT.
static const field_t hw_pxp_hw_pxp_stat[] =
{
    {
        "IRQ0",
        "Indicates current PXP interrupt status.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AXI_WRITE_ERROR_0",
        "Indicates PXP encountered an AXI write error and processing has been t"
        "erminated.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AXI_READ_ERROR_0",
        "Indicates PXP encountered an AXI read error and processing has been te"
        "rminated.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NEXT_IRQ",
        "Indicates that a command issued with the \"Next Command\" functionalit"
        "y has been issued and that a new command may be initiated with a write"
        " to the PXP_NEXT register.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AXI_ERROR_ID_0",
        "Indicates the AXI0 ID of the failing bus operation.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LUT_DMA_LOAD_DONE_IRQ",
        "Indicates that the LUT DMA transfer has completed.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AXI_WRITE_ERROR_1",
        "Indicates PXP encountered an AXI write error and processing has been t"
        "erminated.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AXI_READ_ERROR_1",
        "Indicates PXP encountered an AXI read error and processing has been te"
        "rminated.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AXI_ERROR_ID_1",
        "Indicates the AXI1 ID of the failing bus operation.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BLOCKY",
        "Indicates the X coordinate of the block currently being rendered.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BLOCKX",
        "Indicates the X coordinate of the block currently being rendered.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_OUT_CTRL.
static const field_t hw_pxp_hw_pxp_out_ctrl[] =
{
    {
        "FORMAT",
        "Output framebuffer format.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "INTERLACED_OUTPUT",
        "Determines how the PXP writes it's output data.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        10, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALPHA_OUTPUT",
        "Indicates that alpha component in output buffer pixels should be overw"
        "ritten by REG_OUT_CTRL[ALPHA] register.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPHA",
        "When generating an output buffer with an alpha component, the value in"
        " this field will be used when enabled to override the alpha passed thr"
        "ough the pixel data pipeline.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_OUT_BUF.
static const field_t hw_pxp_hw_pxp_out_buf[] =
{
    {
        "ADDR",
        "Current address pointer for the output frame buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_OUT_BUF2.
static const field_t hw_pxp_hw_pxp_out_buf2[] =
{
    {
        "ADDR",
        "Current address pointer for the output frame buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_OUT_PITCH.
static const field_t hw_pxp_hw_pxp_out_pitch[] =
{
    {
        "PITCH",
        "Indicates the number of bytes in memory between two vertically adjacen"
        "t pixels.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "Reserved, always set to zero.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_OUT_LRC.
static const field_t hw_pxp_hw_pxp_out_lrc[] =
{
    {
        "Y",
        "Indicates the number of vertical PIXELS in the output surface (non-rot"
        "ated).",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "X",
        "Indicates number of horizontal PIXELS in the output surface (non-rotat"
        "ed).",
        16, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_OUT_PS_ULC.
static const field_t hw_pxp_hw_pxp_out_ps_ulc[] =
{
    {
        "Y",
        "This field indicates the upper left Y-coordinate (in pixels) of the pr"
        "ocessed surface in the output buffer.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "X",
        "This field indicates the upper left X-coordinate (in pixels) of the pr"
        "ocessed surface (PS) in the output buffer.",
        16, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_OUT_PS_LRC.
static const field_t hw_pxp_hw_pxp_out_ps_lrc[] =
{
    {
        "Y",
        "This field indicates the lower right Y-coordinate (in pixels) of the p"
        "rocessed surface in the output frame buffer.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "X",
        "This field indicates the lower right X-coordinate (in pixels) of the p"
        "rocessed surface (PS) in the output frame buffer.",
        16, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_OUT_AS_ULC.
static const field_t hw_pxp_hw_pxp_out_as_ulc[] =
{
    {
        "Y",
        "This field indicates the upper left Y-coordinate (in pixels) of the al"
        "pha surface in the output frame buffer.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "X",
        "This field indicates the upper left X-coordinate (in pixels) of the al"
        "pha surface (AS) in the output frame buffer.",
        16, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_OUT_AS_LRC.
static const field_t hw_pxp_hw_pxp_out_as_lrc[] =
{
    {
        "Y",
        "This field indicates the lower right Y-coordinate (in pixels) of the a"
        "lpha surface in the output frame buffer.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "X",
        "This field indicates the lower right X-coordinate (in pixels) of the a"
        "lpha surface (AS) in the output frame buffer.",
        16, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_CTRL.
static const field_t hw_pxp_hw_pxp_ps_ctrl[] =
{
    {
        "FORMAT",
        "PS buffer format.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WB_SWAP",
        "Swap bytes in words.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DECY",
        "Verticle pre decimation filter control.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECX",
        "Horizontal pre decimation filter control.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        12, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_BUF.
static const field_t hw_pxp_hw_pxp_ps_buf[] =
{
    {
        "ADDR",
        "Address pointer for the PS RGB or Y (luma) input buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_UBUF.
static const field_t hw_pxp_hw_pxp_ps_ubuf[] =
{
    {
        "ADDR",
        "Address pointer for the PS U/Cb or 2 plane UV Chroma input buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_VBUF.
static const field_t hw_pxp_hw_pxp_ps_vbuf[] =
{
    {
        "ADDR",
        "Address pointer for the PS V/Cr Chroma input buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_PITCH.
static const field_t hw_pxp_hw_pxp_ps_pitch[] =
{
    {
        "PITCH",
        "Indicates the number of bytes in memory between two vertically adjacen"
        "t pixels.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "Reserved, always set to zero.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_BACKGROUND_0.
static const field_t hw_pxp_hw_pxp_ps_background_0[] =
{
    {
        "COLOR",
        "Background color (in 24bpp format) for any pixels not within the buffe"
        "r range specified by the PS ULC/LRC.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_SCALE.
static const field_t hw_pxp_hw_pxp_ps_scale[] =
{
    {
        "XSCALE",
        "This is a two bit integer and 12 bit fractional representation (##.###"
        "#_####_####) of the X scaling factor for the PS source buffer.",
        0, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "YSCALE",
        "This is a two bit integer and 12 bit fractional representation (##.###"
        "#_####_####) of the Y scaling factor for the PS source buffer.",
        16, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_OFFSET.
static const field_t hw_pxp_hw_pxp_ps_offset[] =
{
    {
        "XOFFSET",
        "This is a 12 bit fractional representation (0.####_####_####) of the X"
        " scaling offset.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "YOFFSET",
        "This is a 12 bit fractional representation (0.####_####_####) of the Y"
        " scaling offset.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_CLRKEYLOW_0.
static const field_t hw_pxp_hw_pxp_ps_clrkeylow_0[] =
{
    {
        "PIXEL",
        "Low range of color key applied to PS buffer.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_CLRKEYHIGH_0.
static const field_t hw_pxp_hw_pxp_ps_clrkeyhigh_0[] =
{
    {
        "PIXEL",
        "High range of color key applied to PS buffer.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_AS_CTRL.
static const field_t hw_pxp_hw_pxp_as_ctrl[] =
{
    {
        "RSVD0",
        "Reserved, always set to zero.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALPHA_CTRL",
        "Determines how the alpha value is constructed for this alpha surface.",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_COLORKEY",
        "Indicates that colorkey functionality is enabled for this alpha surfac"
        "e.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FORMAT",
        "Indicates the input buffer format for AS.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPHA",
        "Alpha modifier used when the ALPHA_MULTIPLY or ALPHA_OVERRIDE values a"
        "re programmed in REG_AS_CTRL[ALPHA_CTRL].",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROP",
        "Indicates a raster operation to perform when enabled.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPHA0_INVERT",
        "Setting this bit to logic 0 will not alter the alpha0 value.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPHA1_INVERT",
        "Setting this bit to logic 0 will not alter the alpha1 value.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        22, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_AS_BUF.
static const field_t hw_pxp_hw_pxp_as_buf[] =
{
    {
        "ADDR",
        "Address pointer for the alpha surface 0 buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_AS_PITCH.
static const field_t hw_pxp_hw_pxp_as_pitch[] =
{
    {
        "PITCH",
        "Indicates the number of bytes in memory between two vertically adjacen"
        "t pixels.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "Reserved, always set to zero.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_AS_CLRKEYLOW_0.
static const field_t hw_pxp_hw_pxp_as_clrkeylow_0[] =
{
    {
        "PIXEL",
        "Low range of RGB color key applied to AS buffer.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_AS_CLRKEYHIGH_0.
static const field_t hw_pxp_hw_pxp_as_clrkeyhigh_0[] =
{
    {
        "PIXEL",
        "High range of RGB color key applied to AS buffer.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CSC1_COEF0.
static const field_t hw_pxp_hw_pxp_csc1_coef0[] =
{
    {
        "Y_OFFSET",
        "Two's compliment amplitude offset implicit in the Y data.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UV_OFFSET",
        "Two's compliment phase offset implicit for CbCr data.",
        9, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "C0",
        "Two's compliment Y multiplier coefficient.",
        18, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BYPASS",
        "Bypass the CSC unit in the scaling engine.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YCBCR_MODE",
        "Set to 1 when performing YCbCr conversion to RGB.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CSC1_COEF1.
static const field_t hw_pxp_hw_pxp_csc1_coef1[] =
{
    {
        "C4",
        "Two's compliment Blue U/Cb multiplier coefficient.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "C1",
        "Two's compliment Red V/Cr multiplier coefficient.",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CSC1_COEF2.
static const field_t hw_pxp_hw_pxp_csc1_coef2[] =
{
    {
        "C3",
        "Two's compliment Green U/Cb multiplier coefficient.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "C2",
        "Two's compliment Green V/Cr multiplier coefficient.",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CSC2_CTRL.
static const field_t hw_pxp_hw_pxp_csc2_ctrl[] =
{
    {
        "BYPASS",
        "This bit controls whether the pixels entering the CSC2 unit get conver"
        "ted or not.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSC_MODE",
        "This field controls how the CSC unit operates on pixels when the CSC i"
        "s not bypassed.",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "Reserved, always set to zero.",
        3, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CSC2_COEF0.
static const field_t hw_pxp_hw_pxp_csc2_coef0[] =
{
    {
        "A1",
        "Two's compliment coefficient offset.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A2",
        "Two's compliment coefficient offset.",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CSC2_COEF1.
static const field_t hw_pxp_hw_pxp_csc2_coef1[] =
{
    {
        "A3",
        "Two's compliment coefficient offset.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "B1",
        "Two's compliment coefficient offset.",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CSC2_COEF2.
static const field_t hw_pxp_hw_pxp_csc2_coef2[] =
{
    {
        "B2",
        "Two's compliment coefficient offset.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "B3",
        "Two's compliment coefficient offset.",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CSC2_COEF3.
static const field_t hw_pxp_hw_pxp_csc2_coef3[] =
{
    {
        "C1",
        "Two's compliment coefficient offset.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "C2",
        "Two's compliment coefficient offset.",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CSC2_COEF4.
static const field_t hw_pxp_hw_pxp_csc2_coef4[] =
{
    {
        "C3",
        "Two's compliment coefficient offset.",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D1",
        "Two's compliment coefficient integer offset to be added.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CSC2_COEF5.
static const field_t hw_pxp_hw_pxp_csc2_coef5[] =
{
    {
        "D2",
        "Two's compliment D1 coefficient integer offset to be added.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        9, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D3",
        "Two's compliment coefficient integer offset to be added.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_LUT_CTRL.
static const field_t hw_pxp_hw_pxp_lut_ctrl[] =
{
    {
        "DMA_START",
        "Setting this bit will result in the DMA operation to load the PXP LUT "
        "memory based on REG_LUT_ADDR_NUM_BYTES, REG_LUT_ADDR_ADDR, and REG_LUT"
        "_MEM_ADDR.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        1, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "INVALID",
        "Invalidate the cache LRU and valid bits.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRU_UPD",
        "Least Recently Used Policy Update Control: 1=> block LRU update for hi"
        "t after miss.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEL_8KB",
        "Selects which 8KB bank of memory to use for direct 12bpp lookup modes.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OUT_MODE",
        "Select the output mode of operation for the LUT resource.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        18, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOOKUP_MODE",
        "Configure the input address for the 16KB LUT memory.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        26, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BYPASS",
        "Setting this bit will bypass the LUT memory resource completely.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_LUT_ADDR.
static const field_t hw_pxp_hw_pxp_lut_addr[] =
{
    {
        "ADDR",
        "LUT indexed address pointer.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NUM_BYTES",
        "Indicates the number of bytes to load via a DMA operation.",
        16, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_LUT_DATA.
static const field_t hw_pxp_hw_pxp_lut_data[] =
{
    {
        "DATA",
        "Writing this field will load 4 bytes, aligned to four byte boundaries,"
        " of data indexed by the ADDR field of the REG_LUT_CTRL register.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_LUT_EXTMEM.
static const field_t hw_pxp_hw_pxp_lut_extmem[] =
{
    {
        "ADDR",
        "This register contains the external memory address used for LUT memory"
        " operation.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CFA.
static const field_t hw_pxp_hw_pxp_cfa[] =
{
    {
        "DATA",
        "This register contains the Color Filter Array pattern for decimation o"
        "f RGBW4444 16 bit pixels to individual R, G, B, W values.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_ALPHA_A_CTRL.
static const field_t hw_pxp_hw_pxp_alpha_a_ctrl[] =
{
    {
        "POTER_DUFF_ENABLE",
        "poter_duff enable",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S0_S1_FACTOR_MODE",
        "s0 to s1 factor mode",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S0_GLOBAL_ALPHA_MODE",
        "s0 global alpha mode",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S0_ALPHA_MODE",
        "s0 alpha mode",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S0_COLOR_MODE",
        "s0 color mode",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S1_S0_FACTOR_MODE",
        "s1 to s0 factor mode",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S1_GLOBAL_ALPHA_MODE",
        "s1 global alpha mode",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S1_ALPHA_MODE",
        "s1 alpha mode",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S1_COLOR_MODE",
        "s1 color mode",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S0_GLOBAL_ALPHA",
        "s0 global alpha",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S1_GLOBAL_ALPHA",
        "s1 global alpha",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_ALPHA_B_CTRL.
static const field_t hw_pxp_hw_pxp_alpha_b_ctrl[] =
{
    {
        "POTER_DUFF_ENABLE",
        "poter_duff enable",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S0_S1_FACTOR_MODE",
        "s0 to s1 factor mode",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S0_GLOBAL_ALPHA_MODE",
        "s0 global alpha mode",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S0_ALPHA_MODE",
        "s0 alpha mode",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S0_COLOR_MODE",
        "s0 color mode",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S1_S0_FACTOR_MODE",
        "s1 to s0 factor mode",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S1_GLOBAL_ALPHA_MODE",
        "s1 global alpha mode",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S1_ALPHA_MODE",
        "s1 alpha mode",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S1_COLOR_MODE",
        "s1 color mode",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S0_GLOBAL_ALPHA",
        "s0 global alpha",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S1_GLOBAL_ALPHA",
        "s1 global alpha",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_ALPHA_B_CTRL_1.
static const field_t hw_pxp_hw_pxp_alpha_b_ctrl_1[] =
{
    {
        "ROP_ENABLE",
        "ROP ENABLE",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OL_CLRKEY_ENABLE",
        "Indicates that colorkey functionality is enabled for this alpha surfac"
        "e.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        2, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ROP",
        "Indicates a raster operation to perform when enabled.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_BACKGROUND_1.
static const field_t hw_pxp_hw_pxp_ps_background_1[] =
{
    {
        "COLOR",
        "Background color (in 24bpp format) for any pixels not within the buffe"
        "r range specified by the PS ULC/LRC.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_CLRKEYLOW_1.
static const field_t hw_pxp_hw_pxp_ps_clrkeylow_1[] =
{
    {
        "PIXEL",
        "Low range of color key applied to PS buffer.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_PS_CLRKEYHIGH_1.
static const field_t hw_pxp_hw_pxp_ps_clrkeyhigh_1[] =
{
    {
        "PIXEL",
        "High range of color key applied to PS buffer.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_AS_CLRKEYLOW_1.
static const field_t hw_pxp_hw_pxp_as_clrkeylow_1[] =
{
    {
        "PIXEL",
        "Low range of RGB color key applied to AS buffer.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_AS_CLRKEYHIGH_1.
static const field_t hw_pxp_hw_pxp_as_clrkeyhigh_1[] =
{
    {
        "PIXEL",
        "High range of RGB color key applied to AS buffer.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_CTRL2.
static const field_t hw_pxp_hw_pxp_ctrl2[] =
{
    {
        "ENABLE",
        "Enables PXP secondary data processing flow with specified parameters.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        1, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ROTATE0",
        "Indicates the clockwise rotation to be applied at the output buffer.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HFLIP0",
        "Indicates that the output buffer should be flipped horizontally (effec"
        "t applied before rotation).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP0",
        "Indicates that the output buffer should be flipped vertically (effect "
        "applied before rotation).",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROTATE1",
        "Indicates the clockwise rotation to be applied at the input buffer.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HFLIP1",
        "Indicates that the input should be flipped horizontally (effect applie"
        "d before rotation).",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP1",
        "Indicates that the input should be flipped vertically (effect applied "
        "before rotation).",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENABLE_DITHER",
        "Enable the Dithering engine in the PXP secondary processing flow.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_WFE_A",
        "Enable the WFE-A engine in the PXP secondary processing flow.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_WFE_B",
        "Enable the WFE-B engine in the PXP secondary processing flow.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_INPUT_FETCH_STORE",
        "Enable the Input Fetch and Store engine in the PXP secondary processin"
        "g flow.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ALPHA_B",
        "Enable the Alpha-B engine in the PXP secondary processing flow.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BLOCK_SIZE",
        "Select the block size to process through the Rotate block.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_CSC2",
        "Enable the CSC2 engine in the PXP secondary processing flow.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_LUT",
        "Enable the LUT engine in the PXP secondary processing flow.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ROTATE0",
        "Enable the ROTATE0 engine in the PXP secondary processing flow.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ROTATE1",
        "Enable the ROTATE1 engine in the PXP secondary processing flow.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_POWER_REG0.
static const field_t hw_pxp_hw_pxp_power_reg0[] =
{
    {
        "LUT_LP_STATE_WAY0_BANK0",
        "Select the low power state of the LUT's WAY0-BANK0 memory.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_LP_STATE_WAY0_BANKN",
        "Select the low power state of the LUT's WAY0-BANK1,2,3 memory.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_LP_STATE_WAY1_BANKN",
        "Select the low power state of the LUT's WAY0-BANK0,1,2,3 memory.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROT0_MEM_LP_STATE",
        "Select the low power state of the ROT 0 memory.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRL",
        "This register contains power control for the PXP.",
        12, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_POWER_REG1.
static const field_t hw_pxp_hw_pxp_power_reg1[] =
{
    {
        "ROT1_MEM_LP_STATE",
        "Select the low power state of the ROT 1 memory.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITH0_LUT_MEM_LP_STATE",
        "Select the low power state of the dither0 LUT memory.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITH0_ERR0_MEM_LP_STATE",
        "Select the low power state of the dither0 ERR0 memory.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITH0_ERR1_MEM_LP_STATE",
        "Select the low power state of the dither0 ERR1 memory.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITH1_LUT_MEM_LP_STATE",
        "Select the low power state of the dither1 LUT memory.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITH2_LUT_MEM_LP_STATE",
        "Select the low power state of the dither2 LUT memory.",
        15, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALU_A_MEM_LP_STATE",
        "Select the low power state of the ALU A memory.",
        18, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALU_B_MEM_LP_STATE",
        "Select the low power state of the ALU B memory.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This register contains power control for the PXP.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DATA_PATH_CTRL0.
static const field_t hw_pxp_hw_pxp_data_path_ctrl0[] =
{
    {
        "MUX0_SEL",
        "This mux chooses the data that will go through the Rotate 2 engine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX1_SEL",
        "This field chooses the data path through MUX 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX2_SEL",
        "This field chooses the data path through MUX 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX3_SEL",
        "This field chooses the data path through MUX 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX4_SEL",
        "This field chooses the data path through MUX 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX5_SEL",
        "This field chooses the data path through MUX 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX6_SEL",
        "This field chooses the data path through MUX 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX7_SEL",
        "This field chooses the data path through MUX 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX8_SEL",
        "This field chooses the data path through MUX 8.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX9_SEL",
        "This field chooses the data path through MUX 9.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX10_SEL",
        "This field chooses the data path through MUX 10.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX11_SEL",
        "This field chooses the data path through MUX 11.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX12_SEL",
        "This field chooses the data path through MUX 13.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX13_SEL",
        "This field chooses the data path through MUX 14.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX14_SEL",
        "This field chooses the data path through MUX 14.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX15_SEL",
        "This field chooses the data path through MUX 15.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DATA_PATH_CTRL1.
static const field_t hw_pxp_hw_pxp_data_path_ctrl1[] =
{
    {
        "MUX16_SEL",
        "This mux chooses the data path through MUX 16.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX17_SEL",
        "This field chooses the data path through MUX 17.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        4, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INIT_MEM_CTRL.
static const field_t hw_pxp_hw_pxp_init_mem_ctrl[] =
{
    {
        "ADDR",
        "Base address to start writing.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        16, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Select which memory to write.",
        27, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "START",
        "Enable writing to the memory.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INIT_MEM_DATA.
static const field_t hw_pxp_hw_pxp_init_mem_data[] =
{
    {
        "DATA",
        "Data value to be written to the memory.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INIT_MEM_DATA_HIGH.
static const field_t hw_pxp_hw_pxp_init_mem_data_high[] =
{
    {
        "DATA",
        "Data value to be written to the most significant 32 bits of the fetch "
        "memories.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_IRQ_MASK.
static const field_t hw_pxp_hw_pxp_irq_mask[] =
{
    {
        "FIRST_CH0_PREFETCH_IRQ_EN",
        "Enable First ch0 prefetch engine interrupt detection",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIRST_CH1_PREFETCH_IRQ_EN",
        "Enable First ch1 prefetch engine interrupt detection",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIRST_CH0_STORE_IRQ_EN",
        "Enable First ch0 store engine interrupt detection",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIRST_CH1_STORE_IRQ_EN",
        "Enable First ch1 store engine interrupt detection",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_CH0_PREFETCH_IRQ_EN",
        "Enable Dither ch0 prefetch engine interrupt detection",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_CH1_PREFETCH_IRQ_EN",
        "Enable Dither ch1 prefetch engine interrupt detection",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_CH0_STORE_IRQ_EN",
        "Enable dither ch0 store engine interrupt detection.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_CH1_STORE_IRQ_EN",
        "Enable dither ch1 store engine interrupt detection.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_A_CH0_STORE_IRQ_EN",
        "Enable WFE A ch0 store engine interrupt detection.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_A_CH1_STORE_IRQ_EN",
        "Enable WFE A ch1 store engine interrupt detection.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_B_CH0_STORE_IRQ_EN",
        "Enable WFE B ch0 store engine interrupt detection.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_B_CH1_STORE_IRQ_EN",
        "Enable WFE B ch1 store engine interrupt detection.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIRST_STORE_IRQ_EN",
        "Enable First store engine interrupt detection",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_STORE_IRQ_EN",
        "Enable dither store engine interrupt detection.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_A_STORE_IRQ_EN",
        "Enable WFE A store engine interrupt detection.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_B_STORE_IRQ_EN",
        "Enable WFE B store engine interrupt detection.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        16, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPRESS_DONE_IRQ_EN",
        "Enable compression done interrupt detection.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_IRQ.
static const field_t hw_pxp_hw_pxp_irq[] =
{
    {
        "FIRST_CH0_PREFETCH_IRQ",
        "Initial ch0 prefetch engine interrupt",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIRST_CH1_PREFETCH_IRQ",
        "Initial ch1 prefetch engine interrupt",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIRST_CH0_STORE_IRQ",
        "Initial ch0 store engine interrupt",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIRST_CH1_STORE_IRQ",
        "Initial ch1 store engine interrupt",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_CH0_PREFETCH_IRQ",
        "Dither ch0 prefetch engine interrupt",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_CH1_PREFETCH_IRQ",
        "Dither ch1 prefetch engine interrupt",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_CH0_STORE_IRQ",
        "Dither ch0 store engine Interrupt",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_CH1_STORE_IRQ",
        "Dither ch1 store engine Interrupt",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_A_CH0_STORE_IRQ",
        "WFE A ch0 store engine Interrupt.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_A_CH1_STORE_IRQ",
        "WFE A ch1 store engine Interrupt.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_B_CH0_STORE_IRQ",
        "WFE B ch0 store engine Interrupt",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_B_CH1_STORE_IRQ",
        "WFE B ch1 store engine Interrupt",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIRST_STORE_IRQ",
        "Initial store engine interrupt",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_STORE_IRQ",
        "Dither store engine Interrupt",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_A_STORE_IRQ",
        "WFE A store engine Interrupt.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WFE_B_STORE_IRQ",
        "WFE B store engine Interrupt",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        16, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPRESS_DONE_IRQ",
        "compression done Interrupt",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_NEXT.
static const field_t hw_pxp_hw_pxp_next[] =
{
    {
        "ENABLED",
        "Indicates that the \"next frame\" functionality has been enabled.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD",
        "Reserved, always set to zero.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POINTER",
        "A pointer to a data structure containing register values to be used wh"
        "en processing the next frame.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_CTRL_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_ctrl_ch0[] =
{
    {
        "CH_EN",
        "Channel enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_EN",
        "Choses the prefetch mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_16",
        "Determines the block sixe.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDSHAKE_EN",
        "Enable bit for handshake with the store engine.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_PIXEL_EN",
        "Selects Channel 0 pixel source",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HIGH_BYTE",
        "channel 0 high byte selection",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        6, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HFLIP",
        "Enables HFLIP.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP",
        "Enables VFLIP",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ROTATION_ANGLE",
        "",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_NUM_BYTES",
        "Bytes in a read burst",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        18, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDSHAKE_SCAN_LINE_NUM",
        "scan handshake line number",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        26, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ARBIT_EN",
        "Enables Arbitration",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_CTRL_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_ctrl_ch1[] =
{
    {
        "CH_EN",
        "Channel enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_EN",
        "Choses the prefetch mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_16",
        "Determines the block sixe.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDSHAKE_EN",
        "Enable bit for handshake with the store engine.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_PIXEL_EN",
        "Selects Channel 1 pixel source",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        5, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HFLIP",
        "Enables HFLIP.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP",
        "Enables VFLIP",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ROTATION_ANGLE",
        "",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_NUM_BYTES",
        "Bytes in a read burst",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        18, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDSHAKE_SCAN_LINE_NUM",
        "scan handshake line number",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_STATUS_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_status_ch0[] =
{
    {
        "PREFETCH_BLOCK_X",
        "When in scan mode, this field is always 0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PREFETCH_BLOCK_Y",
        "When in scan mode, this field indicates the current Y coordinate of th"
        "e frame.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_STATUS_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_status_ch1[] =
{
    {
        "PREFETCH_BLOCK_X",
        "When in scan mode, this field is always 0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PREFETCH_BLOCK_Y",
        "When in scan mode, this field indicates the current Y coordinate of th"
        "e frame.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_ACTIVE_SIZE_ULC_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_active_size_ulc_ch0[] =
{
    {
        "ACTIVE_SIZE_ULC_X",
        "This field indicates the upper left X-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_SIZE_ULC_Y",
        "This field indicates the upper left Y-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_ACTIVE_SIZE_LRC_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_active_size_lrc_ch0[] =
{
    {
        "ACTIVE_SIZE_LRC_X",
        "This field indicates the upper left X-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_SIZE_LRC_Y",
        "This field indicates the upper left Y-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_ACTIVE_SIZE_ULC_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_active_size_ulc_ch1[] =
{
    {
        "ACTIVE_SIZE_ULC_X",
        "This field indicates the upper left X-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_SIZE_ULC_Y",
        "This field indicates the upper left Y-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_ACTIVE_SIZE_LRC_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_active_size_lrc_ch1[] =
{
    {
        "ACTIVE_SIZE_LRC_X",
        "This field indicates the upper left X-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_SIZE_LRC_Y",
        "This field indicates the upper left Y-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_SIZE_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_size_ch0[] =
{
    {
        "INPUT_TOTAL_WIDTH",
        "actual total width -1",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_TOTAL_HEIGHT",
        "actual total height - 1",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_SIZE_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_size_ch1[] =
{
    {
        "INPUT_TOTAL_WIDTH",
        "actual total width -1",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_TOTAL_HEIGHT",
        "actual total height -1",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_BACKGROUND_COLOR_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_background_color_ch0[] =
{
    {
        "BACKGROUND_COLOR",
        "background color(in 32bpp format) for any pixels not within the bufffe"
        "r range specified by the ULC/LRC",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_BACKGROUND_COLOR_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_background_color_ch1[] =
{
    {
        "BACKGROUND_COLOR",
        "background color(in 32bpp format) for any pixels not within the bufffe"
        "r range specified by the ULC/LRC",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_PITCH.
static const field_t hw_pxp_hw_pxp_input_fetch_pitch[] =
{
    {
        "CH0_INPUT_PITCH",
        "This field indicates the channel 0 input pitch",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_INPUT_PITCH",
        "This field indicates the channel 1 input pitch",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_SHIFT_CTRL_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_shift_ctrl_ch0[] =
{
    {
        "INPUT_ACTIVE_BPP",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        2, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EXPAND_FORMAT",
        "Select Pixel format",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXPAND_EN",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_BYPASS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        13, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_SHIFT_CTRL_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_shift_ctrl_ch1[] =
{
    {
        "INPUT_ACTIVE_BPP",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        2, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EXPAND_FORMAT",
        "Select Pixel format",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXPAND_EN",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_BYPASS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        13, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_SHIFT_OFFSET_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_shift_offset_ch0[] =
{
    {
        "OFFSET0",
        "Shift Offset for channel 0 componnent 0.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET1",
        "Shift Offset for channel 0 componnent 1.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET2",
        "Shift Offset for channel 0 componnent 2.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        21, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET3",
        "Shift Offset for channel 0 componnent 3.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        29, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_SHIFT_OFFSET_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_shift_offset_ch1[] =
{
    {
        "OFFSET0",
        "Shift Offset for channel 1 componnent 0.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET1",
        "Shift Offset for channel 1 componnent 1.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET2",
        "Shift Offset for channel 1 componnent 2.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        21, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET3",
        "Shift Offset for channel 1 componnent 3.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        29, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_SHIFT_WIDTH_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_shift_width_ch0[] =
{
    {
        "WIDTH0",
        "Shift Width for channel 0 componnent 0.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH1",
        "Shift Width for channel 0 componnent 1.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH2",
        "Shift Width for channel 0 componnent 2.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH3",
        "Shift Width for channel 0 componnent 3.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_SHIFT_WIDTH_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_shift_width_ch1[] =
{
    {
        "WIDTH0",
        "Shift Width for channel 1 componnent 0.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH1",
        "Shift Width for channel 1 componnent 1.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH2",
        "Shift Width for channel 1 componnent 2.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH3",
        "Shift Width for channel 1 componnent 3.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_ADDR_0_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_addr_0_ch0[] =
{
    {
        "INPUT_BASE_ADDR0",
        "input base address0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_ADDR_1_CH0.
static const field_t hw_pxp_hw_pxp_input_fetch_addr_1_ch0[] =
{
    {
        "INPUT_BASE_ADDR1",
        "input base address1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_ADDR_0_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_addr_0_ch1[] =
{
    {
        "INPUT_BASE_ADDR0",
        "input base address0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_FETCH_ADDR_1_CH1.
static const field_t hw_pxp_hw_pxp_input_fetch_addr_1_ch1[] =
{
    {
        "INPUT_BASE_ADDR1",
        "input base address1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_CTRL_CH0.
static const field_t hw_pxp_hw_pxp_input_store_ctrl_ch0[] =
{
    {
        "CH_EN",
        "Channel enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_EN",
        "Choses the store mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_16",
        "Determines the block sixe.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDSHAKE_EN",
        "Enable bit for handshake with the store engine.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARRAY_EN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARRAY_LINE_NUM",
        "Selects Array Size",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STORE_BYPASS_EN",
        "store bypass enable",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STORE_MEMORY_EN",
        "store memory enable",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PACK_IN_SEL",
        "pack_in_sel",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FILL_DATA_EN",
        "fill data enable",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_NUM_BYTES",
        "Bytes in a write burst",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        18, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMBINE_2CHANNEL",
        "Combine 2 channel Enable",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ARBIT_EN",
        "Arbitration Enable",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_CTRL_CH1.
static const field_t hw_pxp_hw_pxp_input_store_ctrl_ch1[] =
{
    {
        "CH_EN",
        "Channel enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_EN",
        "Choses the store mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_16",
        "Determines the block sixe.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDSHAKE_EN",
        "Enable bit for handshake with the fetch engine.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARRAY_EN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARRAY_LINE_NUM",
        "Selects Array Size",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STORE_BYPASS_EN",
        "enable bit for store bypass",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STORE_MEMORY_EN",
        "store memory enable",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PACK_IN_SEL",
        "pack_in_sel",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_NUM_BYTES",
        "Bytes in a write burst",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        18, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_STATUS_CH0.
static const field_t hw_pxp_hw_pxp_input_store_status_ch0[] =
{
    {
        "STORE_BLOCK_X",
        "When in scan mode, this field is always 0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STORE_BLOCK_Y",
        "When in scan mode, this field indicates the current Y coordinate of th"
        "e frame.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_STATUS_CH1.
static const field_t hw_pxp_hw_pxp_input_store_status_ch1[] =
{
    {
        "STORE_BLOCK_X",
        "When in scan mode, this field is always 0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STORE_BLOCK_Y",
        "When in scan mode, this field indicates the current Y coordinate of th"
        "e frame.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_SIZE_CH0.
static const field_t hw_pxp_hw_pxp_input_store_size_ch0[] =
{
    {
        "OUT_WIDTH",
        "actual output width -1",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_HEIGHT",
        "actual output height -1",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_SIZE_CH1.
static const field_t hw_pxp_hw_pxp_input_store_size_ch1[] =
{
    {
        "OUT_WIDTH",
        "actual output width -1",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_HEIGHT",
        "actual output height -1",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_PITCH.
static const field_t hw_pxp_hw_pxp_input_store_pitch[] =
{
    {
        "CH0_OUT_PITCH",
        "This field indicates the channel 0 input pitch",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_OUT_PITCH",
        "This field indicates the channel 1 input pitch",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_SHIFT_CTRL_CH0.
static const field_t hw_pxp_hw_pxp_input_store_shift_ctrl_ch0[] =
{
    {
        "RSVD2",
        "Reserved, always set to zero.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OUTPUT_ACTIVE_BPP",
        "",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_YUV422_1P_EN",
        "Enable for YUV422 1 plane",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_YUV422_2P_EN",
        "Enable for YUV422 2 plane",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SHIFT_BYPASS",
        "CH0 shift bypass",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_SHIFT_CTRL_CH1.
static const field_t hw_pxp_hw_pxp_input_store_shift_ctrl_ch1[] =
{
    {
        "RSVD2",
        "Reserved, always set to zero.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OUTPUT_ACTIVE_BPP",
        "",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_YUV422_1P_EN",
        "Enable for YUV422 1 plane",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_YUV422_2P_EN",
        "Enable for YUV422 2 plane",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_ADDR_0_CH0.
static const field_t hw_pxp_hw_pxp_input_store_addr_0_ch0[] =
{
    {
        "OUT_BASE_ADDR0",
        "input base address0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_ADDR_1_CH0.
static const field_t hw_pxp_hw_pxp_input_store_addr_1_ch0[] =
{
    {
        "OUT_BASE_ADDR1",
        "input base address1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_FILL_DATA_CH0.
static const field_t hw_pxp_hw_pxp_input_store_fill_data_ch0[] =
{
    {
        "FILL_DATA_CH0",
        "when using fill_data mode,store engine channel0 will store the fill_da"
        "ta value defined here.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_ADDR_0_CH1.
static const field_t hw_pxp_hw_pxp_input_store_addr_0_ch1[] =
{
    {
        "OUT_BASE_ADDR0",
        "input base address0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_ADDR_1_CH1.
static const field_t hw_pxp_hw_pxp_input_store_addr_1_ch1[] =
{
    {
        "OUT_BASE_ADDR1",
        "input base address1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK0_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask0_h_ch0[] =
{
    {
        "D_MASK0_H_CH0",
        "data mask0 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK0_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask0_l_ch0[] =
{
    {
        "D_MASK0_L_CH0",
        "data mask0 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK1_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask1_h_ch0[] =
{
    {
        "D_MASK1_H_CH0",
        "data mask1 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK1_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask1_l_ch0[] =
{
    {
        "D_MASK1_L_CH0",
        "data mask1 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK2_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask2_h_ch0[] =
{
    {
        "D_MASK2_H_CH0",
        "data mask2 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK2_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask2_l_ch0[] =
{
    {
        "D_MASK2_L_CH0",
        "data mask2 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK3_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask3_h_ch0[] =
{
    {
        "D_MASK3_H_CH0",
        "data mask3 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK3_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask3_l_ch0[] =
{
    {
        "D_MASK3_L_CH0",
        "data mask3 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK4_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask4_h_ch0[] =
{
    {
        "D_MASK4_H_CH0",
        "data mask4 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK4_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask4_l_ch0[] =
{
    {
        "D_MASK4_L_CH0",
        "data mask4 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK5_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask5_h_ch0[] =
{
    {
        "D_MASK5_H_CH0",
        "data mask5 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK5_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask5_l_ch0[] =
{
    {
        "D_MASK5_L_CH0",
        "data mask5 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK6_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask6_h_ch0[] =
{
    {
        "D_MASK6_H_CH0",
        "data mask6 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK6_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask6_l_ch0[] =
{
    {
        "D_MASK6_L_CH0",
        "data mask6 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK7_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask7_h_ch0[] =
{
    {
        "D_MASK7_H_CH0",
        "data mask7 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_MASK7_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_mask7_l_ch0[] =
{
    {
        "D_MASK7_L_CH0",
        "data mask7 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_SHIFT_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_shift_l_ch0[] =
{
    {
        "D_SHIFT_WIDTH0",
        "data shift width 0",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG0",
        "data shift flag 0",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH1",
        "data shift width 1",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG1",
        "data shift flag 1",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH2",
        "data shift width 2",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG2",
        "data shift flag 2",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH3",
        "data shift width 3",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG3",
        "data shift flag 3",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_D_SHIFT_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_d_shift_h_ch0[] =
{
    {
        "D_SHIFT_WIDTH4",
        "data shift width 4",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG4",
        "data shift flag 4",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH5",
        "data shift width 5",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG5",
        "data shift flag 5",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH6",
        "data shift width 6",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG6",
        "data shift flag 6",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH7",
        "data shift width 3",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG7",
        "data shift flag 7",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_F_SHIFT_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_f_shift_l_ch0[] =
{
    {
        "F_SHIFT_WIDTH0",
        "flag shift width 0",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG0",
        "flag shift flag0",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH1",
        "flag shift width 1",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG1",
        "flag shift flag1",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH2",
        "flag shift width 2",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG2",
        "flag shift flag2",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH3",
        "flag shift width 3",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG3",
        "flag shift flag3",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_F_SHIFT_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_f_shift_h_ch0[] =
{
    {
        "F_SHIFT_WIDTH4",
        "flag shift width 4",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG4",
        "flag shift flag4",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH5",
        "flag shift width 5",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG5",
        "flag shift flag5",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH6",
        "flag shift width 5",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG6",
        "flag shift flag6",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH7",
        "flag shift width 7",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG7",
        "flag shift flag7",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_F_MASK_L_CH0.
static const field_t hw_pxp_hw_pxp_input_store_f_mask_l_ch0[] =
{
    {
        "F_MASK0",
        "flag mask0",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK1",
        "flag mask1",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK2",
        "flag mask2",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK3",
        "flag mask3",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_INPUT_STORE_F_MASK_H_CH0.
static const field_t hw_pxp_hw_pxp_input_store_f_mask_h_ch0[] =
{
    {
        "F_MASK4",
        "flag mask4",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK5",
        "flag mask5",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK6",
        "flag mask6",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK7",
        "flag mask7",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_CTRL_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_ctrl_ch0[] =
{
    {
        "CH_EN",
        "Channel enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_EN",
        "Choses the prefetch mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_16",
        "Determines the block sixe.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDSHAKE_EN",
        "Enable bit for handshake with the store engine.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_PIXEL_EN",
        "Selects Channel 0 pixel source",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HIGH_BYTE",
        "channel 0 high byte selection",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        6, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HFLIP",
        "Enables HFLIP.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP",
        "Enables VFLIP",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ROTATION_ANGLE",
        "",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_NUM_BYTES",
        "Bytes in a read burst",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        18, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDSHAKE_SCAN_LINE_NUM",
        "scan handshake line number",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        26, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ARBIT_EN",
        "Enables Arbitration",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_CTRL_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_ctrl_ch1[] =
{
    {
        "CH_EN",
        "Channel enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_EN",
        "Choses the prefetch mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_16",
        "Determines the block sixe.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDSHAKE_EN",
        "Enable bit for handshake with the store engine.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_PIXEL_EN",
        "Selects Channel 1 pixel source",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        5, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HFLIP",
        "Enables HFLIP.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP",
        "Enables VFLIP",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ROTATION_ANGLE",
        "",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_NUM_BYTES",
        "Bytes in a read burst",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        18, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDSHAKE_SCAN_LINE_NUM",
        "scan handshake line number",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_STATUS_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_status_ch0[] =
{
    {
        "PREFETCH_BLOCK_X",
        "When in scan mode, this field is always 0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PREFETCH_BLOCK_Y",
        "When in scan mode, this field indicates the current Y coordinate of th"
        "e frame.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_STATUS_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_status_ch1[] =
{
    {
        "PREFETCH_BLOCK_X",
        "When in scan mode, this field is always 0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PREFETCH_BLOCK_Y",
        "When in scan mode, this field indicates the current Y coordinate of th"
        "e frame.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_ACTIVE_SIZE_ULC_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_active_size_ulc_ch0[] =
{
    {
        "ACTIVE_SIZE_ULC_X",
        "This field indicates the upper left X-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_SIZE_ULC_Y",
        "This field indicates the upper left Y-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_ACTIVE_SIZE_LRC_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_active_size_lrc_ch0[] =
{
    {
        "ACTIVE_SIZE_LRC_X",
        "This field indicates the upper left X-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_SIZE_LRC_Y",
        "This field indicates the upper left Y-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_ACTIVE_SIZE_ULC_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_active_size_ulc_ch1[] =
{
    {
        "ACTIVE_SIZE_ULC_X",
        "This field indicates the upper left X-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_SIZE_ULC_Y",
        "This field indicates the upper left Y-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_ACTIVE_SIZE_LRC_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_active_size_lrc_ch1[] =
{
    {
        "ACTIVE_SIZE_LRC_X",
        "This field indicates the upper left X-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_SIZE_LRC_Y",
        "This field indicates the upper left Y-coordinate(in pixels) of the act"
        "ive surface of the total input memory",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_SIZE_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_size_ch0[] =
{
    {
        "INPUT_TOTAL_WIDTH",
        "actual total widht -1",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_TOTAL_HEIGHT",
        "actual total height -1",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_SIZE_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_size_ch1[] =
{
    {
        "INPUT_TOTAL_WIDTH",
        "actual_total_width -1",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_TOTAL_HEIGHT",
        "acutal total height -1",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_BACKGROUND_COLOR_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_background_color_ch0[] =
{
    {
        "BACKGROUND_COLOR",
        "background color(in 32bpp format) for any pixels not within the bufffe"
        "r range specified by the ULC/LRC",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_BACKGROUND_COLOR_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_background_color_ch1[] =
{
    {
        "BACKGROUND_COLOR",
        "background color(in 32bpp format) for any pixels not within the bufffe"
        "r range specified by the ULC/LRC",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_PITCH.
static const field_t hw_pxp_hw_pxp_dither_fetch_pitch[] =
{
    {
        "CH0_INPUT_PITCH",
        "This field indicates the channel 0 input pitch",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_INPUT_PITCH",
        "This field indicates the channel 1 input pitch",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_SHIFT_CTRL_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_shift_ctrl_ch0[] =
{
    {
        "INPUT_ACTIVE_BPP",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        2, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EXPAND_FORMAT",
        "Select Pixel format",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXPAND_EN",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_BYPASS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        13, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_SHIFT_CTRL_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_shift_ctrl_ch1[] =
{
    {
        "INPUT_ACTIVE_BPP",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        2, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EXPAND_FORMAT",
        "Select Pixel format",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXPAND_EN",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_BYPASS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        13, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_SHIFT_OFFSET_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_shift_offset_ch0[] =
{
    {
        "OFFSET0",
        "Shift Offset for channel 0 componnent 0.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET1",
        "Shift Offset for channel 0 componnent 1.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET2",
        "Shift Offset for channel 0 componnent 2.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        21, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET3",
        "Shift Offset for channel 0 componnent 3.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        29, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_SHIFT_OFFSET_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_shift_offset_ch1[] =
{
    {
        "OFFSET0",
        "Shift Offset for channel 1 componnent 0.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET1",
        "Shift Offset for channel 1 componnent 1.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET2",
        "Shift Offset for channel 1 componnent 2.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        21, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OFFSET3",
        "Shift Offset for channel 1 componnent 3.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        29, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_SHIFT_WIDTH_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_shift_width_ch0[] =
{
    {
        "WIDTH0",
        "Shift Width for channel 0 componnent 0.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH1",
        "Shift Width for channel 0 componnent 1.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH2",
        "Shift Width for channel 0 componnent 2.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH3",
        "Shift Width for channel 0 componnent 3.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_SHIFT_WIDTH_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_shift_width_ch1[] =
{
    {
        "WIDTH0",
        "Shift Width for channel 1 componnent 0.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH1",
        "Shift Width for channel 1 componnent 1.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH2",
        "Shift Width for channel 1 componnent 2.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIDTH3",
        "Shift Width for channel 1 componnent 3.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_ADDR_0_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_addr_0_ch0[] =
{
    {
        "INPUT_BASE_ADDR0",
        "input base address0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_ADDR_1_CH0.
static const field_t hw_pxp_hw_pxp_dither_fetch_addr_1_ch0[] =
{
    {
        "INPUT_BASE_ADDR1",
        "input base address1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_ADDR_0_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_addr_0_ch1[] =
{
    {
        "INPUT_BASE_ADDR0",
        "input base address0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FETCH_ADDR_1_CH1.
static const field_t hw_pxp_hw_pxp_dither_fetch_addr_1_ch1[] =
{
    {
        "INPUT_BASE_ADDR1",
        "input base address1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_CTRL_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_ctrl_ch0[] =
{
    {
        "CH_EN",
        "Channel enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_EN",
        "Choses the store mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_16",
        "Determines the block sixe.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDSHAKE_EN",
        "Enable bit for handshake with the store engine.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARRAY_EN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARRAY_LINE_NUM",
        "Selects Array Size",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STORE_BYPASS_EN",
        "enable bit for store bypass",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STORE_MEMORY_EN",
        "store memory enable",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PACK_IN_SEL",
        "pack_in_sel",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FILL_DATA_EN",
        "enable bit for fill data",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_NUM_BYTES",
        "Bytes in a write burst",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        18, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMBINE_2CHANNEL",
        "Combine 2 channel Enable",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        25, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ARBIT_EN",
        "Arbitration Enable",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_CTRL_CH1.
static const field_t hw_pxp_hw_pxp_dither_store_ctrl_ch1[] =
{
    {
        "CH_EN",
        "Channel enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_EN",
        "Choses the store mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_16",
        "Determines the block sixe.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDSHAKE_EN",
        "Enable bit for handshake with the fetch engine.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARRAY_EN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARRAY_LINE_NUM",
        "Selects Array Size",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STORE_BYPASS_EN",
        "enable bit for store bypass",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STORE_MEMORY_EN",
        "store memory enable",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PACK_IN_SEL",
        "pack_in_sel",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_NUM_BYTES",
        "Bytes in a write burst",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        18, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_STATUS_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_status_ch0[] =
{
    {
        "STORE_BLOCK_X",
        "When in scan mode, this field is always 0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STORE_BLOCK_Y",
        "When in scan mode, this field indicates the current Y coordinate of th"
        "e frame.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_STATUS_CH1.
static const field_t hw_pxp_hw_pxp_dither_store_status_ch1[] =
{
    {
        "STORE_BLOCK_X",
        "When in scan mode, this field is always 0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STORE_BLOCK_Y",
        "When in scan mode, this field indicates the current Y coordinate of th"
        "e frame.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_SIZE_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_size_ch0[] =
{
    {
        "OUT_WIDTH",
        "actual output width -1",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_HEIGHT",
        "actual output height -1",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_SIZE_CH1.
static const field_t hw_pxp_hw_pxp_dither_store_size_ch1[] =
{
    {
        "OUT_WIDTH",
        "actual output width -1",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_HEIGHT",
        "actual output height -1",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_PITCH.
static const field_t hw_pxp_hw_pxp_dither_store_pitch[] =
{
    {
        "CH0_OUT_PITCH",
        "This field indicates the channel 0 input pitch",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_OUT_PITCH",
        "This field indicates the channel 1 input pitch",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_SHIFT_CTRL_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_shift_ctrl_ch0[] =
{
    {
        "RSVD2",
        "Reserved, always set to zero.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OUTPUT_ACTIVE_BPP",
        "",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_YUV422_1P_EN",
        "Enable for YUV422 1 plane",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_YUV422_2P_EN",
        "Enable for YUV422 2 plane",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SHIFT_BYPASS",
        "CH0 shift bypass",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_SHIFT_CTRL_CH1.
static const field_t hw_pxp_hw_pxp_dither_store_shift_ctrl_ch1[] =
{
    {
        "RSVD2",
        "Reserved, always set to zero.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OUTPUT_ACTIVE_BPP",
        "",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_YUV422_1P_EN",
        "Enable for YUV422 1 plane",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUT_YUV422_2P_EN",
        "Enable for YUV422 2 plane",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_ADDR_0_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_addr_0_ch0[] =
{
    {
        "OUT_BASE_ADDR0",
        "input base address0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_ADDR_1_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_addr_1_ch0[] =
{
    {
        "OUT_BASE_ADDR1",
        "input base address1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_FILL_DATA_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_fill_data_ch0[] =
{
    {
        "FILL_DATA_CH0",
        "when using fill_data mode,store engine channel0 will store the fill_da"
        "ta value defined here.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_ADDR_0_CH1.
static const field_t hw_pxp_hw_pxp_dither_store_addr_0_ch1[] =
{
    {
        "OUT_BASE_ADDR0",
        "input base address0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_ADDR_1_CH1.
static const field_t hw_pxp_hw_pxp_dither_store_addr_1_ch1[] =
{
    {
        "OUT_BASE_ADDR1",
        "input base address1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK0_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask0_h_ch0[] =
{
    {
        "D_MASK0_H_CH0",
        "data mask0 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK0_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask0_l_ch0[] =
{
    {
        "D_MASK0_L_CH0",
        "data mask0 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK1_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask1_h_ch0[] =
{
    {
        "D_MASK1_H_CH0",
        "data mask1 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK1_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask1_l_ch0[] =
{
    {
        "D_MASK1_L_CH0",
        "data mask1 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK2_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask2_h_ch0[] =
{
    {
        "D_MASK2_H_CH0",
        "data mask2 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK2_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask2_l_ch0[] =
{
    {
        "D_MASK2_L_CH0",
        "data mask2 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK3_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask3_h_ch0[] =
{
    {
        "D_MASK3_H_CH0",
        "data mask3 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK3_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask3_l_ch0[] =
{
    {
        "D_MASK3_L_CH0",
        "data mask3 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK4_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask4_h_ch0[] =
{
    {
        "D_MASK4_H_CH0",
        "data mask4 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK4_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask4_l_ch0[] =
{
    {
        "D_MASK4_L_CH0",
        "data mask4 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK5_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask5_h_ch0[] =
{
    {
        "D_MASK5_H_CH0",
        "data mask5 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK5_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask5_l_ch0[] =
{
    {
        "D_MASK5_L_CH0",
        "data mask5 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK6_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask6_h_ch0[] =
{
    {
        "D_MASK6_H_CH0",
        "data mask6 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK6_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask6_l_ch0[] =
{
    {
        "D_MASK6_L_CH0",
        "data mask6 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK7_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask7_h_ch0[] =
{
    {
        "D_MASK7_H_CH0",
        "data mask7 high byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_MASK7_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_mask7_l_ch0[] =
{
    {
        "D_MASK7_L_CH0",
        "data mask7 low byte",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_SHIFT_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_shift_l_ch0[] =
{
    {
        "D_SHIFT_WIDTH0",
        "data shift width 0",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG0",
        "data shift flag 0",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH1",
        "data shift width 1",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG1",
        "data shift flag 1",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH2",
        "data shift width 2",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG2",
        "data shift flag 2",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH3",
        "data shift width 3",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG3",
        "data shift flag 3",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_D_SHIFT_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_d_shift_h_ch0[] =
{
    {
        "D_SHIFT_WIDTH4",
        "data shift width 4",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG4",
        "data shift flag 4",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH5",
        "data shift width 5",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG5",
        "data shift flag 5",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH6",
        "data shift width 6",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG6",
        "data shift flag 6",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_SHIFT_WIDTH7",
        "data shift width 3",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "D_SHIFT_FLAG7",
        "data shift flag 7",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_F_SHIFT_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_f_shift_l_ch0[] =
{
    {
        "F_SHIFT_WIDTH0",
        "flag shift width 0",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG0",
        "flag shift flag0",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH1",
        "flag shift width 1",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG1",
        "flag shift flag1",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH2",
        "flag shift width 2",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG2",
        "flag shift flag2",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH3",
        "flag shift width 3",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG3",
        "flag shift flag3",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_F_SHIFT_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_f_shift_h_ch0[] =
{
    {
        "F_SHIFT_WIDTH4",
        "flag shift width 4",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG4",
        "flag shift flag4",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH5",
        "flag shift width 5",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG5",
        "flag shift flag5",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH6",
        "flag shift width 5",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG6",
        "flag shift flag6",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "F_SHIFT_WIDTH7",
        "flag shift width 7",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_SHIFT_FLAG7",
        "flag shift flag7",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_F_MASK_L_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_f_mask_l_ch0[] =
{
    {
        "F_MASK0",
        "flag mask0",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK1",
        "flag mask1",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK2",
        "flag mask2",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK3",
        "flag mask3",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_STORE_F_MASK_H_CH0.
static const field_t hw_pxp_hw_pxp_dither_store_f_mask_h_ch0[] =
{
    {
        "F_MASK4",
        "flag mask4",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK5",
        "flag mask5",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK6",
        "flag mask6",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F_MASK7",
        "flag mask7",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_CTRL.
static const field_t hw_pxp_hw_pxp_dither_ctrl[] =
{
    {
        "ENABLE0",
        "Enables the dither engine 0",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE1",
        "Enables the dither engine 1",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE2",
        "Enables the dither engine 2",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_MODE0",
        "Dither mode.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_MODE1",
        "Dither mode.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DITHER_MODE2",
        "Dither mode.",
        9, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM_QUANT_BIT",
        "Number of bits to quantize down to.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LUT_MODE",
        "Specify to use memory lut to transform pixel.",
        15, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDX_MATRIX0_SIZE",
        "For Dither Engine 0.",
        17, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDX_MATRIX1_SIZE",
        "For Dither Engine 1.",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDX_MATRIX2_SIZE",
        "For Dither Engine 2.",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FINAL_LUT_ENABLE",
        "Enables a final stage register based LUT at the last stage before outp"
        "ut.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ORDERED_ROUND_MODE",
        "For test purposes.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        25, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY2",
        "When set indicates if the dither engine 2 is busy -- started but not f"
        "inished processing all of the pixels in the current frame.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY1",
        "When set indicates if the dither engine 1 is busy -- started but not f"
        "inished processing all of the pixels in the current frame.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY0",
        "When set indicates if the dither engine 0 is busy -- started but not f"
        "inished processing all of the pixels in the current frame.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FINAL_LUT_DATA0.
static const field_t hw_pxp_hw_pxp_dither_final_lut_data0[] =
{
    {
        "DATA0",
        "Final stage LUT data value.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA1",
        "Final stage LUT data value.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA2",
        "Final stage LUT data value.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA3",
        "Final stage LUT data value.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FINAL_LUT_DATA1.
static const field_t hw_pxp_hw_pxp_dither_final_lut_data1[] =
{
    {
        "DATA4",
        "Final stage LUT data value.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA5",
        "Final stage LUT data value.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA6",
        "Final stage LUT data value.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA7",
        "Final stage LUT data value.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FINAL_LUT_DATA2.
static const field_t hw_pxp_hw_pxp_dither_final_lut_data2[] =
{
    {
        "DATA8",
        "Final stage LUT data value.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA9",
        "Final stage LUT data value.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA10",
        "Final stage LUT data value.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA11",
        "Final stage LUT data value.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_DITHER_FINAL_LUT_DATA3.
static const field_t hw_pxp_hw_pxp_dither_final_lut_data3[] =
{
    {
        "DATA12",
        "Final stage LUT data value.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA13",
        "Final stage LUT data value.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA14",
        "Final stage LUT data value.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA15",
        "Final stage LUT data value.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_A_CTRL.
static const field_t hw_pxp_hw_pxp_hist_a_ctrl[] =
{
    {
        "ENABLE",
        "Enable the Histogram Engine",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        1, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLEAR",
        "Write 1 to clear the histogram result and will be self-clear after cle"
        "ar function finished",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS",
        "Indicates which histogram matched the processed bitmap.",
        8, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PIXEL_OFFSET",
        "The offset of the pixel to be used for histogram calculation",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PIXEL_WIDTH",
        "The width of the pixel to be used for histogram calculation",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_A_MASK.
static const field_t hw_pxp_hw_pxp_hist_a_mask[] =
{
    {
        "MASK_EN",
        "Enable the Pixel Mask Function in Histogram",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        1, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MASK_MODE",
        "Operation mode of pixel mask function",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_OFFSET",
        "The offset of the field to be checked against mask condition",
        6, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_WIDTH",
        "The width of the field to be checked against mask condition",
        13, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_VALUE0",
        "The value0 for mask condition checking",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_VALUE1",
        "The value1 for mask condition checking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_A_BUF_SIZE.
static const field_t hw_pxp_hw_pxp_hist_a_buf_size[] =
{
    {
        "WIDTH",
        "This indicate the buffer width in pixels",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HEIGHT",
        "This indicate the buffer height in pixels",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_A_TOTAL_PIXEL.
static const field_t hw_pxp_hw_pxp_hist_a_total_pixel[] =
{
    {
        "TOTAL_PIXEL",
        "Total number of pixels used by histogram engine, the pixels got masked"
        " will be skipped",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_A_ACTIVE_AREA_X.
static const field_t hw_pxp_hw_pxp_hist_a_active_area_x[] =
{
    {
        "MIN_X_OFFSET",
        "Minimul X coordinate offset for the active area in histogram processin"
        "g",
        0, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAX_X_OFFSET",
        "Maximum X coordinate offset for the active area in histogram processin"
        "g",
        16, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_A_ACTIVE_AREA_Y.
static const field_t hw_pxp_hw_pxp_hist_a_active_area_y[] =
{
    {
        "MIN_Y_OFFSET",
        "Minimul Y coordinate offset for the active area in histogram processin"
        "g",
        0, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAX_Y_OFFSET",
        "Maximum Y coordinate offset for the active area in histogram processin"
        "g",
        16, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_A_RAW_STAT0.
static const field_t hw_pxp_hw_pxp_hist_a_raw_stat0[] =
{
    {
        "STAT0",
        "Lower 32-bit result fo the histogram calculation",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_A_RAW_STAT1.
static const field_t hw_pxp_hw_pxp_hist_a_raw_stat1[] =
{
    {
        "STAT1",
        "Higher 32-bit result fo the histogram calculation",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_B_CTRL.
static const field_t hw_pxp_hw_pxp_hist_b_ctrl[] =
{
    {
        "ENABLE",
        "Enable the Histogram Engine",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        1, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLEAR",
        "Write 1 to clear the histogram result and will be self-clear after cle"
        "ar function finished",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS",
        "Indicates which histogram matched the processed bitmap.",
        8, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PIXEL_OFFSET",
        "The offset of the pixel to be used for histogram calculation",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PIXEL_WIDTH",
        "The width of the pixel to be used for histogram calculation",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_B_MASK.
static const field_t hw_pxp_hw_pxp_hist_b_mask[] =
{
    {
        "MASK_EN",
        "Enable the Pixel Mask Function in Histogram",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        1, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MASK_MODE",
        "Operation mode of pixel mask function",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_OFFSET",
        "The offset of the field to be checked against mask condition",
        6, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_WIDTH",
        "The width of the field to be checked against mask condition",
        13, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_VALUE0",
        "The value0 for mask condition checking",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_VALUE1",
        "The value1 for mask condition checking",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_B_BUF_SIZE.
static const field_t hw_pxp_hw_pxp_hist_b_buf_size[] =
{
    {
        "WIDTH",
        "This indicate the buffer width in pixels",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HEIGHT",
        "This indicate the buffer height in pixels",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_B_TOTAL_PIXEL.
static const field_t hw_pxp_hw_pxp_hist_b_total_pixel[] =
{
    {
        "TOTAL_PIXEL",
        "Total number of pixels used by histogram engine, the pixels got masked"
        " will be skipped",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_B_ACTIVE_AREA_X.
static const field_t hw_pxp_hw_pxp_hist_b_active_area_x[] =
{
    {
        "MIN_X_OFFSET",
        "Minimul X coordinate offset for the active area in histogram processin"
        "g",
        0, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAX_X_OFFSET",
        "Maximum X coordinate offset for the active area in histogram processin"
        "g",
        16, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_B_ACTIVE_AREA_Y.
static const field_t hw_pxp_hw_pxp_hist_b_active_area_y[] =
{
    {
        "MIN_Y_OFFSET",
        "Minimul Y coordinate offset for the active area in histogram processin"
        "g",
        0, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAX_Y_OFFSET",
        "Maximum Y coordinate offset for the active area in histogram processin"
        "g",
        16, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_B_RAW_STAT0.
static const field_t hw_pxp_hw_pxp_hist_b_raw_stat0[] =
{
    {
        "STAT0",
        "Lower 32-bit result fo the histogram calculation",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST_B_RAW_STAT1.
static const field_t hw_pxp_hw_pxp_hist_b_raw_stat1[] =
{
    {
        "STAT1",
        "Higher 32-bit result fo the histogram calculation",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST2_PARAM.
static const field_t hw_pxp_hw_pxp_hist2_param[] =
{
    {
        "VALUE0",
        "Black value for 2-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE1",
        "White value for 2-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD",
        "Reserved, always set to zero.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST4_PARAM.
static const field_t hw_pxp_hw_pxp_hist4_param[] =
{
    {
        "VALUE0",
        "GRAY0 (Black) value for 4-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE1",
        "GRAY1 value for 4-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE2",
        "GRAY2 value for 4-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE3",
        "GRAY3 (White) value for 4-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST8_PARAM0.
static const field_t hw_pxp_hw_pxp_hist8_param0[] =
{
    {
        "VALUE0",
        "GRAY0 (Black) value for 8-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE1",
        "GRAY1 value for 8-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE2",
        "GRAY2 value for 8-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE3",
        "GRAY3 value for 8-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST8_PARAM1.
static const field_t hw_pxp_hw_pxp_hist8_param1[] =
{
    {
        "VALUE4",
        "GRAY4 value for 8-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE5",
        "GRAY5 value for 8-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE6",
        "GRAY6 value for 8-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD6",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE7",
        "GRAY7 (White) value for 8-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD7",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST16_PARAM0.
static const field_t hw_pxp_hw_pxp_hist16_param0[] =
{
    {
        "VALUE0",
        "GRAY0 (Black) value for 16-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE1",
        "GRAY1 value for 16-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE2",
        "GRAY2 value for 16-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE3",
        "GRAY3 value for 16-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST16_PARAM1.
static const field_t hw_pxp_hw_pxp_hist16_param1[] =
{
    {
        "VALUE4",
        "GRAY4 value for 16-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE5",
        "GRAY5 value for 16-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE6",
        "GRAY6 value for 16-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD6",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE7",
        "GRAY7 value for 16-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD7",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST16_PARAM2.
static const field_t hw_pxp_hw_pxp_hist16_param2[] =
{
    {
        "VALUE8",
        "GRAY8 value for 16-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD8",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE9",
        "GRAY9 value for 16-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD9",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE10",
        "GRAY10 value for 16-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD10",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE11",
        "GRAY11 value for 16-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD11",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST16_PARAM3.
static const field_t hw_pxp_hw_pxp_hist16_param3[] =
{
    {
        "VALUE12",
        "GRAY12 value for 16-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD12",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE13",
        "GRAY13 value for 16-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD13",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE14",
        "GRAY14 value for 16-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD14",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE15",
        "GRAY15 (White) value for 16-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD15",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST32_PARAM0.
static const field_t hw_pxp_hw_pxp_hist32_param0[] =
{
    {
        "VALUE0",
        "GRAY0 (Black) value for 32-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE1",
        "GRAY1 value for 32-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE2",
        "GRAY2 value for 32-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE3",
        "GRAY3 value for 32-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST32_PARAM1.
static const field_t hw_pxp_hw_pxp_hist32_param1[] =
{
    {
        "VALUE4",
        "GRAY4 value for 32-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE5",
        "GRAY5 value for 32-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE6",
        "GRAY6 value for 32-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD6",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE7",
        "GRAY7 value for 32-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD7",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST32_PARAM2.
static const field_t hw_pxp_hw_pxp_hist32_param2[] =
{
    {
        "VALUE8",
        "GRAY8 value for 32-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD8",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE9",
        "GRAY9 value for 32-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD9",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE10",
        "GRAY10 value for 32-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD10",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE11",
        "GRAY11 value for 32-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD11",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST32_PARAM3.
static const field_t hw_pxp_hw_pxp_hist32_param3[] =
{
    {
        "VALUE12",
        "GRAY12 value for 32-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD12",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE13",
        "GRAY13 value for 32-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD13",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE14",
        "GRAY14 value for 32-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD14",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE15",
        "GRAY15 (White) value for 32-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD15",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST32_PARAM4.
static const field_t hw_pxp_hw_pxp_hist32_param4[] =
{
    {
        "VALUE16",
        "GRAY16 (Black) value for 32-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE17",
        "GRAY17 value for 32-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE18",
        "GRAY18 value for 32-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE19",
        "GRAY19 value for 32-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST32_PARAM5.
static const field_t hw_pxp_hw_pxp_hist32_param5[] =
{
    {
        "VALUE20",
        "GRAY20 value for 32-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE21",
        "GRAY21 value for 32-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE22",
        "GRAY22 value for 32-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD6",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE23",
        "GRAY23 value for 32-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD7",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST32_PARAM6.
static const field_t hw_pxp_hw_pxp_hist32_param6[] =
{
    {
        "VALUE24",
        "GRAY24 value for 32-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD8",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE25",
        "GRAY25 value for 32-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD9",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE26",
        "GRAY26 value for 32-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD10",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE27",
        "GRAY27 value for 32-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD11",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HIST32_PARAM7.
static const field_t hw_pxp_hw_pxp_hist32_param7[] =
{
    {
        "VALUE28",
        "GRAY28 value for 32-level histogram",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved, always set to zero.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE29",
        "GRAY29 value for 32-level histogram",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD13",
        "Reserved, always set to zero.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE30",
        "GRAY30 value for 32-level histogram",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD14",
        "Reserved, always set to zero.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALUE31",
        "GRAY31 (White) value for 32-level histogram",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD15",
        "Reserved, always set to zero.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_CTRL.
static const field_t hw_pxp_hw_pxp_comp_ctrl[] =
{
    {
        "START",
        "Write to 1 to start operation, self-clear",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        1, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW_RESET",
        "Write to 1 to do a software reset to the engine, self-clear.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        9, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_FORMAT0.
static const field_t hw_pxp_hw_pxp_comp_format0[] =
{
    {
        "FLAG_32B",
        "1 indicate 32-bit for one pixel, 0 for 16-bit",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "Reserved.",
        1, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIELD_NUM",
        "indicate how many fields in one pixel,0 for only A;3 for ABCD",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Reserved.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MASK_INDEX",
        "which field is the mask,0 for A, 3 for D",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        10, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PIXEL_PITCH_64B",
        "extend each line to be 64-bit aligned",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ERR_PRONE",
        "step1 write fifo full",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFOFULL",
        "step1 write fifo full",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_FORMAT1.
static const field_t hw_pxp_hw_pxp_comp_format1[] =
{
    {
        "A_OFFSET",
        "offset for field A, 0 means A start from bit0",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A_LEN",
        "length of field A, 0 for 1 byte, 7 for 8 bytes, length of the field pl"
        "us the length of RLE(*_runlen) should not more than 16-bit",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "B_OFFSET",
        "offset for field B, 0 means B start from bit0",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "B_LEN",
        "length of field B, 0 for 1 byte, 7 for 8 bytes, length of the field pl"
        "us the length of RLE(*_runlen) should not more than 16-bit",
        13, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "C_OFFSET",
        "offset for field C, 0 means C start from bit0",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "C_LEN",
        "length of field C, 0 for 1 byte, 7 for 8 bytes, length of the field pl"
        "us the length of RLE(*_runlen) should not more than 16-bit",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_OFFSET",
        "offset for field D, 0 means D start from bit0",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_LEN",
        "length of field D, 0 for 1 byte, 7 for 8 bytes, length of the field pl"
        "us the length of RLE(*_runlen) should not more than 16-bit",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_FORMAT2.
static const field_t hw_pxp_hw_pxp_comp_format2[] =
{
    {
        "A_RUNLEN",
        "length of the RLE for field A, 12-bit(4095) max",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "B_RUNLEN",
        "length of the RLE for field B, 12-bit(4095) max",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "C_RUNLEN",
        "length of the RLE for field C, 12-bit(4095) max",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D_RUNLEN",
        "length of the RLE for field D, 12-bit(4095) max",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "Reserved.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_MASK0.
static const field_t hw_pxp_hw_pxp_comp_mask0[] =
{
    {
        "VLD_MASK_LOW",
        "low 32bit of the valid mask, one of ABCD will be vld_flag,1 left shift"
        "ed by vld_flag anded with vld_mask will be used to check whether this "
        "pixel is valid",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_MASK1.
static const field_t hw_pxp_hw_pxp_comp_mask1[] =
{
    {
        "VLD_MASK_HIGH",
        "high 32bit of the valid mask",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_BUFFER_SIZE.
static const field_t hw_pxp_hw_pxp_comp_buffer_size[] =
{
    {
        "PIXEL_LENGTH",
        "pixel length of the input frame, 4096 max",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PIXEL_WIDTH",
        "pixel width of the input frame, 4096 max",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved.",
        29, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_SOURCE.
static const field_t hw_pxp_hw_pxp_comp_source[] =
{
    {
        "SOURCE_ADDR",
        "source address of the input frame that located in the memory, should b"
        "e 32-byte aligned",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_TARGET.
static const field_t hw_pxp_hw_pxp_comp_target[] =
{
    {
        "TARGET_ADDR",
        "taget address of the output frmae that the pxp compress engine should "
        "write to the memory, should be 32-byte aligned",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_BUFFER_A.
static const field_t hw_pxp_hw_pxp_comp_buffer_a[] =
{
    {
        "A_SRAM_ADDR",
        "sram address used for inter-data saving of A filed,should be 32-bit al"
        "igned, SW should make sure the SRAM addr for 4 field will not overlap",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_BUFFER_B.
static const field_t hw_pxp_hw_pxp_comp_buffer_b[] =
{
    {
        "B_SRAM_ADDR",
        "sram address used for inter-data saving of B filed,should be 32-bit al"
        "igned, SW should make sure the SRAM addr for 4 field will not overlap",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_BUFFER_C.
static const field_t hw_pxp_hw_pxp_comp_buffer_c[] =
{
    {
        "C_SRAM_ADDR",
        "sram address used for inter-data saving of C filed,should be 32-bit al"
        "igned, SW should make sure the SRAM addr for 4 field will not overlap",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_BUFFER_D.
static const field_t hw_pxp_hw_pxp_comp_buffer_d[] =
{
    {
        "D_SRAM_ADDR",
        "sram address used for inter-data saving of D filed,should be 32-bit al"
        "igned, SW should make sure the SRAM addr for 4 field will not overlap",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_COMP_DEBUG.
static const field_t hw_pxp_hw_pxp_comp_debug[] =
{
    {
        "DEBUG_SEL",
        "debug selection",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBUG_VALUE",
        "value of selected debug signal",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_BUS_MUX.
static const field_t hw_pxp_hw_pxp_bus_mux[] =
{
    {
        "RD_SEL",
        "Subblock BUS to AXI MUX, setting 0 to axi0 and setting 1 to axi1",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_SEL",
        "Subblock BUS to AXI MUX, setting 0 to axi0 and setting 1 to axi1",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HANDSHAKE_READY_MUX0.
static const field_t hw_pxp_hw_pxp_handshake_ready_mux0[] =
{
    {
        "HSK0",
        "Subblock double buffer handshake signals MUX 0: Ready signal source is"
        " from pxp_control; 1: Ready signal source is from pxp_store_wfe_B CH0;"
        " 2: Ready signal source is from pxp_store_wfe_B CH1; 3: Ready signal s"
        "ource is from pxp_store_pre_ditering CH0; 4: Ready signal source is fr"
        "om pxp_store_pre_ditering CH1; 5: Ready signal source is from pxp_stor"
        "e_dithering CH0; 6: Ready signal source is from pxp_store_dithering CH"
        "1; 7: Ready signal source is from pxp_store_wfe_a CH0; 8: Ready signal"
        " source is from pxp_store_wfe_a CH1; 9: Ready signal source is from cp"
        "u_fetch_sw0_ready; A: Ready signal source is from cpu_fetch_sw1_ready;"
        " B: Ready signal source is from cpu_store_sw0_ready; C: Ready signal s"
        "ource is from cpu_store_sw1_ready;",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK1",
        "Subblock double buffer handshake signals MUX",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK2",
        "Subblock double buffer handshake signals MUX",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK3",
        "Subblock double buffer handshake signals MUX",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK4",
        "Subblock double buffer handshake signals MUX",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK5",
        "Subblock double buffer handshake signals MUX",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK6",
        "Subblock double buffer handshake signals MUX",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK7",
        "Subblock double buffer handshake signals MUX",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HANDSHAKE_READY_MUX1.
static const field_t hw_pxp_hw_pxp_handshake_ready_mux1[] =
{
    {
        "HSK8",
        "Subblock double buffer handshake signals MUX",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK9",
        "Subblock double buffer handshake signals MUX",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK10",
        "Subblock double buffer handshake signals MUX",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK11",
        "Subblock double buffer handshake signals MUX",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK12",
        "Subblock double buffer handshake signals MUX",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK13",
        "Subblock double buffer handshake signals MUX",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK14",
        "Subblock double buffer handshake signals MUX",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK15",
        "Subblock double buffer handshake signals MUX",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HANDSHAKE_DONE_MUX0.
static const field_t hw_pxp_hw_pxp_handshake_done_mux0[] =
{
    {
        "HSK0",
        "Subblock double buffer handshake signals MUX 0: Done signal source is "
        "from LCDIF; 1: Done signal source is from pxp_fetch_input CH0; 2: Done"
        " signal source is from pxp_fetch_input CH1; 3: Done signal source is f"
        "rom pxp_fetch_dithering CH0; 4: Done signal source is from pxp_fetch_d"
        "ithering CH1; 5: Done signal source is from pxp_fetch_wfe_a CH0; 6: Do"
        "ne signal source is from pxp_fetch_wfe_a CH1; 7: Done signal source is"
        " from pxp_fetch_wfe_b CH0; 8: Done signal source is from pxp_fetch_wfe"
        "_b CH1; 9: Done signal source is from cpu_fetch_sw0_done; A: Done sign"
        "al source is from cpu_fetch_sw1_done; B: Done signal source is from cp"
        "u_store_sw0_done; C: Done signal source is from cpu_store_sw1_done;",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK1",
        "Subblock double buffer handshake signals MUX",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK2",
        "Subblock double buffer handshake signals MUX",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK3",
        "Subblock double buffer handshake signals MUX",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK4",
        "Subblock double buffer handshake signals MUX",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK5",
        "Subblock double buffer handshake signals MUX",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK6",
        "Subblock double buffer handshake signals MUX",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK7",
        "Subblock double buffer handshake signals MUX",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HANDSHAKE_DONE_MUX1.
static const field_t hw_pxp_hw_pxp_handshake_done_mux1[] =
{
    {
        "HSK8",
        "Subblock double buffer handshake signals MUX",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK9",
        "Subblock double buffer handshake signals MUX",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK10",
        "Subblock double buffer handshake signals MUX",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK11",
        "Subblock double buffer handshake signals MUX",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK12",
        "Subblock double buffer handshake signals MUX",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK13",
        "Subblock double buffer handshake signals MUX",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK14",
        "Subblock double buffer handshake signals MUX",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSK15",
        "Subblock double buffer handshake signals MUX",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HANDSHAKE_CPU_FETCH.
static const field_t hw_pxp_hw_pxp_handshake_cpu_fetch[] =
{
    {
        "SW0_B0_READY",
        "PXP b0 buffer ready to CPU",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW0_B1_READY",
        "PXP b1 buffer ready to CPU",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW0_B0_DONE",
        "CPU b0 buffer done to PXP",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW0_B1_DONE",
        "CPU b1 buffer done to PXP",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW0_BUF_LINES",
        "Buffer lines for software handshake",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW0_HSK_EN",
        "Enable software handshake 0 with CPU",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW1_B0_READY",
        "PXP b0 buffer ready to CPU",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW1_B1_READY",
        "PXP b1 buffer ready to CPU",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW1_B0_DONE",
        "CPU b0 buffer done to PXP",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW1_B1_DONE",
        "CPU b1 buffer done to PXP",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW1_BUF_LINES",
        "Buffer lines for software handshake",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        22, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW1_HSK_EN",
        "Enable software handshake 1 with CPU",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PXP_HW_PXP_HANDSHAKE_CPU_STORE.
static const field_t hw_pxp_hw_pxp_handshake_cpu_store[] =
{
    {
        "SW0_B0_READY",
        "PXP b0 buffer ready to CPU",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW0_B1_READY",
        "PXP b1 buffer ready to CPU",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW0_B0_DONE",
        "CPU b0 buffer done to PXP",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW0_B1_DONE",
        "CPU b1 buffer done to PXP",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW0_BUF_LINES",
        "Buffer lines for software handshake",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        6, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW0_HSK_EN",
        "Enable software handshake 0 with CPU",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW1_B0_READY",
        "PXP b0 buffer ready to CPU",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW1_B1_READY",
        "PXP b1 buffer ready to CPU",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW1_B0_DONE",
        "CPU b0 buffer done to PXP",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW1_B1_DONE",
        "CPU b1 buffer done to PXP",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW1_BUF_LINES",
        "Buffer lines for software handshake",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        22, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW1_HSK_EN",
        "Enable software handshake 1 with CPU",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a PXP module.
static const reg_t hw_pxp[] =
{
    {
        "HW_PXP_CTRL",
        "The CTRL register contains controls for the PXP module.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        29, // Number of bitfields
        hw_pxp_hw_pxp_ctrl
    },
    {
        "HW_PXP_STAT",
        "The PXP Interrupt Status register provides interrupt status informatio"
        "n.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pxp_hw_pxp_stat
    },
    {
        "HW_PXP_OUT_CTRL",
        "The OUT_CTRL register contains controls for the Output Buffer.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_pxp_hw_pxp_out_ctrl
    },
    {
        "HW_PXP_OUT_BUF",
        "Output Framebuffer Pointer.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_out_buf
    },
    {
        "HW_PXP_OUT_BUF2",
        "Output Framebuffer Pointer #2.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_out_buf2
    },
    {
        "HW_PXP_OUT_PITCH",
        "This register contains the output buffer pitch in bytes.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_out_pitch
    },
    {
        "HW_PXP_OUT_LRC",
        "This register contains the size, or lower right coordinate, of the out"
        "put buffer NOT rotated.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_out_lrc
    },
    {
        "HW_PXP_OUT_PS_ULC",
        "This register contains the upper left pixel coordinate for the Process"
        "ed Surface in the OUTPUT buffer.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_out_ps_ulc
    },
    {
        "HW_PXP_OUT_PS_LRC",
        "This register contains the lower right extent for the Processed Surfac"
        "e in the OUTPUT buffer.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_out_ps_lrc
    },
    {
        "HW_PXP_OUT_AS_ULC",
        "This register contains the upper left location for the Alpha Surface i"
        "n the output buffer.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_out_as_ulc
    },
    {
        "HW_PXP_OUT_AS_LRC",
        "This register contains the lower right extent for Alpha Surface in the"
        " output buffer.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_out_as_lrc
    },
    {
        "HW_PXP_PS_CTRL",
        "The PS_CTRL register contains controls for the Processed Surface Buffe"
        "r.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_pxp_hw_pxp_ps_ctrl
    },
    {
        "HW_PXP_PS_BUF",
        "PS Input Buffer Address.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_ps_buf
    },
    {
        "HW_PXP_PS_UBUF",
        "PS Chroma (U/Cb/UV) Input Buffer Address.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_ps_ubuf
    },
    {
        "HW_PXP_PS_VBUF",
        "PS Chroma (V/Cr) Input Buffer Address.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_ps_vbuf
    },
    {
        "HW_PXP_PS_PITCH",
        "This register contains the processed surface pitch in bytes.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_ps_pitch
    },
    {
        "HW_PXP_PS_BACKGROUND_0",
        "PS Background Pixel Color.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_ps_background_0
    },
    {
        "HW_PXP_PS_SCALE",
        "PS Scale Factor.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_ps_scale
    },
    {
        "HW_PXP_PS_OFFSET",
        "PS Scale Offset.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_ps_offset
    },
    {
        "HW_PXP_PS_CLRKEYLOW_0",
        "This register contains the color key low value for the PS buffer.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_ps_clrkeylow_0
    },
    {
        "HW_PXP_PS_CLRKEYHIGH_0",
        "This register contains the color key high value for the PS buffer.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_ps_clrkeyhigh_0
    },
    {
        "HW_PXP_AS_CTRL",
        "This register contains buffer control for the Alpha Surface 0 input bu"
        "ffer.",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_pxp_hw_pxp_as_ctrl
    },
    {
        "HW_PXP_AS_BUF",
        "Alpha Surface 0 Buffer Address Pointer.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_as_buf
    },
    {
        "HW_PXP_AS_PITCH",
        "This register contains the alpha surface pitch in bytes.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_as_pitch
    },
    {
        "HW_PXP_AS_CLRKEYLOW_0",
        "This register contains the color key low value for the AS buffer.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_as_clrkeylow_0
    },
    {
        "HW_PXP_AS_CLRKEYHIGH_0",
        "This register contains the color key high value for the AS buffer.",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_as_clrkeyhigh_0
    },
    {
        "HW_PXP_CSC1_COEF0",
        "This register contains color space conversion coefficients in two's co"
        "mpliment notation.",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_pxp_hw_pxp_csc1_coef0
    },
    {
        "HW_PXP_CSC1_COEF1",
        "This register contains color space conversion coefficients in two's co"
        "mpliment notation.",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_csc1_coef1
    },
    {
        "HW_PXP_CSC1_COEF2",
        "This register contains color space conversion coefficients in two's co"
        "mpliment notation.",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_csc1_coef2
    },
    {
        "HW_PXP_CSC2_CTRL",
        "This register contains the control registers to configure the CSC modu"
        "le.",
        4, // Width in bytes
        0x000001d0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pxp_hw_pxp_csc2_ctrl
    },
    {
        "HW_PXP_CSC2_COEF0",
        "This register contains color space conversion coefficients in two's co"
        "mpliment notation.",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_csc2_coef0
    },
    {
        "HW_PXP_CSC2_COEF1",
        "This register contains color space conversion coefficients in two's co"
        "mpliment notation.",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_csc2_coef1
    },
    {
        "HW_PXP_CSC2_COEF2",
        "This register contains color space conversion coefficients in two's co"
        "mpliment notation.",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_csc2_coef2
    },
    {
        "HW_PXP_CSC2_COEF3",
        "This register contains color space conversion coefficients in two's co"
        "mpliment notation.",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_csc2_coef3
    },
    {
        "HW_PXP_CSC2_COEF4",
        "This register contains color space conversion coefficients in two's co"
        "mpliment notation.",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_csc2_coef4
    },
    {
        "HW_PXP_CSC2_COEF5",
        "This register contains color space conversion coefficients in two's co"
        "mpliment notation.",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_csc2_coef5
    },
    {
        "HW_PXP_LUT_CTRL",
        "This register is used to access/control the Monochrome Lookup table.",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_pxp_hw_pxp_lut_ctrl
    },
    {
        "HW_PXP_LUT_ADDR",
        "This register is used to access/control the Monochrome Lookup table.",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_lut_addr
    },
    {
        "HW_PXP_LUT_DATA",
        "This register is used to load data into the lookup table.",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_lut_data
    },
    {
        "HW_PXP_LUT_EXTMEM",
        "This register is used as the external memory base address for LUT data"
        " transfers.",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_lut_extmem
    },
    {
        "HW_PXP_CFA",
        "This register contains the pattern of the CFA mapping within PXP macro"
        " blocks.",
        4, // Width in bytes
        0x00000280, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_cfa
    },
    {
        "HW_PXP_ALPHA_A_CTRL",
        "This register controls alpha blending function in PXP.",
        4, // Width in bytes
        0x00000290, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_pxp_hw_pxp_alpha_a_ctrl
    },
    {
        "HW_PXP_ALPHA_B_CTRL",
        "This register controls alpha blending function in PXP.",
        4, // Width in bytes
        0x000002a0, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_pxp_hw_pxp_alpha_b_ctrl
    },
    {
        "HW_PXP_ALPHA_B_CTRL_1",
        "This register defines software define pixels for alpha blending.",
        4, // Width in bytes
        0x000002b0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pxp_hw_pxp_alpha_b_ctrl_1
    },
    {
        "HW_PXP_PS_BACKGROUND_1",
        "PS Background Pixel Color.",
        4, // Width in bytes
        0x000002c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_ps_background_1
    },
    {
        "HW_PXP_PS_CLRKEYLOW_1",
        "This register contains the color key low value for the PS buffer 1.",
        4, // Width in bytes
        0x000002d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_ps_clrkeylow_1
    },
    {
        "HW_PXP_PS_CLRKEYHIGH_1",
        "This register contains the color key high value for the PS buffer.",
        4, // Width in bytes
        0x000002e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_ps_clrkeyhigh_1
    },
    {
        "HW_PXP_AS_CLRKEYLOW_1",
        "This register contains the color key low value for the AS buffer.",
        4, // Width in bytes
        0x000002f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_as_clrkeylow_1
    },
    {
        "HW_PXP_AS_CLRKEYHIGH_1",
        "This register contains the color key high value for the AS buffer.",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_as_clrkeyhigh_1
    },
    {
        "HW_PXP_CTRL2",
        "The CTRL register contains controls for the secondary processing flow "
        "in PXP module.",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_pxp_hw_pxp_ctrl2
    },
    {
        "HW_PXP_POWER_REG0",
        "This register controls power states for PXP memories.",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pxp_hw_pxp_power_reg0
    },
    {
        "HW_PXP_POWER_REG1",
        "This register controls power states for PXP memories.",
        4, // Width in bytes
        0x00000330, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_pxp_hw_pxp_power_reg1
    },
    {
        "HW_PXP_DATA_PATH_CTRL0",
        "This register helps decide the data path gthrough the PXP.",
        4, // Width in bytes
        0x00000340, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_pxp_hw_pxp_data_path_ctrl0
    },
    {
        "HW_PXP_DATA_PATH_CTRL1",
        "This register helps decide the data path gthrough the PXP.",
        4, // Width in bytes
        0x00000350, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pxp_hw_pxp_data_path_ctrl1
    },
    {
        "HW_PXP_INIT_MEM_CTRL",
        "Controls initializing/writing to dither and ALU memory buffers.",
        4, // Width in bytes
        0x00000360, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_init_mem_ctrl
    },
    {
        "HW_PXP_INIT_MEM_DATA",
        "Write data for initializing/writing to dither, ALU and fetch memory bu"
        "ffers.",
        4, // Width in bytes
        0x00000370, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_init_mem_data
    },
    {
        "HW_PXP_INIT_MEM_DATA_HIGH",
        "Write data for initializing/writing to the most significant 32 bits of"
        " the fetch memory buffers.",
        4, // Width in bytes
        0x00000380, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_init_mem_data_high
    },
    {
        "HW_PXP_IRQ_MASK",
        "Controls masking for all PXP interrupts HW_PXP_IRQ_MASK: 0x390 HW_PXP_"
        "IRQ_MASK_SET: 0x394 HW_PXP_IRQ_MASK_CLR: 0x398 HW_PXP_IRQ_MASK_TOG: 0x"
        "39C This register controls IRQ masks for all PXP interrupts EXAMPLE",
        4, // Width in bytes
        0x00000390, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_pxp_hw_pxp_irq_mask
    },
    {
        "HW_PXP_IRQ",
        "PXP Fetch and Store engine IRQs.",
        4, // Width in bytes
        0x000003a0, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_pxp_hw_pxp_irq
    },
    {
        "HW_PXP_NEXT",
        "This register contains a pointer to a data structure used to reload th"
        "e PXP registers at the end of the current frame.",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pxp_hw_pxp_next
    },
    {
        "HW_PXP_INPUT_FETCH_CTRL_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_ctrl_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_CTRL_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_ctrl_ch1
    },
    {
        "HW_PXP_INPUT_FETCH_STATUS_CH0",
        "This register defines the status bits for the pxp prefetch_engine sub-"
        "block.",
        4, // Width in bytes
        0x00000470, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_status_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_STATUS_CH1",
        "This register defines the status bits for the pxp prefetch_engine sub-"
        "block.",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_status_ch1
    },
    {
        "HW_PXP_INPUT_FETCH_ACTIVE_SIZE_ULC_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_active_size_ulc_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_ACTIVE_SIZE_LRC_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_active_size_lrc_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_ACTIVE_SIZE_ULC_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000004b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_active_size_ulc_ch1
    },
    {
        "HW_PXP_INPUT_FETCH_ACTIVE_SIZE_LRC_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_active_size_lrc_ch1
    },
    {
        "HW_PXP_INPUT_FETCH_SIZE_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000004d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_size_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_SIZE_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000004e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_size_ch1
    },
    {
        "HW_PXP_INPUT_FETCH_BACKGROUND_COLOR_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000004f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_background_color_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_BACKGROUND_COLOR_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000500, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_background_color_ch1
    },
    {
        "HW_PXP_INPUT_FETCH_PITCH",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000510, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_pitch
    },
    {
        "HW_PXP_INPUT_FETCH_SHIFT_CTRL_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000520, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_shift_ctrl_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_SHIFT_CTRL_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000530, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_shift_ctrl_ch1
    },
    {
        "HW_PXP_INPUT_FETCH_SHIFT_OFFSET_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000540, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_shift_offset_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_SHIFT_OFFSET_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000550, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_shift_offset_ch1
    },
    {
        "HW_PXP_INPUT_FETCH_SHIFT_WIDTH_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000560, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_shift_width_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_SHIFT_WIDTH_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000570, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_shift_width_ch1
    },
    {
        "HW_PXP_INPUT_FETCH_ADDR_0_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000580, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_addr_0_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_ADDR_1_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000590, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_addr_1_ch0
    },
    {
        "HW_PXP_INPUT_FETCH_ADDR_0_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000005a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_addr_0_ch1
    },
    {
        "HW_PXP_INPUT_FETCH_ADDR_1_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000005b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_fetch_addr_1_ch1
    },
    {
        "HW_PXP_INPUT_STORE_CTRL_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000005c0, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_pxp_hw_pxp_input_store_ctrl_ch0
    },
    {
        "HW_PXP_INPUT_STORE_CTRL_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000005d0, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_pxp_hw_pxp_input_store_ctrl_ch1
    },
    {
        "HW_PXP_INPUT_STORE_STATUS_CH0",
        "This register defines the status bits for the pxp store_engine sub-blo"
        "ck.",
        4, // Width in bytes
        0x000005e0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_store_status_ch0
    },
    {
        "HW_PXP_INPUT_STORE_STATUS_CH1",
        "This register defines the status bits for the pxp store_engine sub-blo"
        "ck.",
        4, // Width in bytes
        0x000005f0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_store_status_ch1
    },
    {
        "HW_PXP_INPUT_STORE_SIZE_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000600, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_store_size_ch0
    },
    {
        "HW_PXP_INPUT_STORE_SIZE_CH1",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000610, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_store_size_ch1
    },
    {
        "HW_PXP_INPUT_STORE_PITCH",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000620, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_input_store_pitch
    },
    {
        "HW_PXP_INPUT_STORE_SHIFT_CTRL_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000630, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_pxp_hw_pxp_input_store_shift_ctrl_ch0
    },
    {
        "HW_PXP_INPUT_STORE_SHIFT_CTRL_CH1",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000640, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pxp_hw_pxp_input_store_shift_ctrl_ch1
    },
    {
        "HW_PXP_INPUT_STORE_ADDR_0_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000690, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_addr_0_ch0
    },
    {
        "HW_PXP_INPUT_STORE_ADDR_1_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000006a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_addr_1_ch0
    },
    {
        "HW_PXP_INPUT_STORE_FILL_DATA_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000006b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_fill_data_ch0
    },
    {
        "HW_PXP_INPUT_STORE_ADDR_0_CH1",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000006c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_addr_0_ch1
    },
    {
        "HW_PXP_INPUT_STORE_ADDR_1_CH1",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000006d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_addr_1_ch1
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK0_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000006e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask0_h_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK0_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000006f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask0_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK1_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000700, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask1_h_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK1_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000710, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask1_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK2_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000720, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask2_h_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK2_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000730, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask2_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK3_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000740, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask3_h_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK3_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000750, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask3_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK4_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000760, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask4_h_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK4_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000770, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask4_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK5_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000780, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask5_h_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK5_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000790, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask5_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK6_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000007a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask6_h_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK6_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000007b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask6_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK7_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000007c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask7_h_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_MASK7_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000007e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_mask7_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_SHIFT_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000007f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_shift_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_D_SHIFT_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pxp_hw_pxp_input_store_d_shift_h_ch0
    },
    {
        "HW_PXP_INPUT_STORE_F_SHIFT_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000810, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pxp_hw_pxp_input_store_f_shift_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_F_SHIFT_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000820, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pxp_hw_pxp_input_store_f_shift_h_ch0
    },
    {
        "HW_PXP_INPUT_STORE_F_MASK_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000830, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_input_store_f_mask_l_ch0
    },
    {
        "HW_PXP_INPUT_STORE_F_MASK_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000840, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_input_store_f_mask_h_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_CTRL_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000850, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_ctrl_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_CTRL_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000860, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_ctrl_ch1
    },
    {
        "HW_PXP_DITHER_FETCH_STATUS_CH0",
        "This register defines the status bits for the pxp prefetch_engine sub-"
        "block.",
        4, // Width in bytes
        0x00000870, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_status_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_STATUS_CH1",
        "This register defines the status bits for the pxp prefetch_engine sub-"
        "block.",
        4, // Width in bytes
        0x00000880, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_status_ch1
    },
    {
        "HW_PXP_DITHER_FETCH_ACTIVE_SIZE_ULC_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000890, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_active_size_ulc_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_ACTIVE_SIZE_LRC_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000008a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_active_size_lrc_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_ACTIVE_SIZE_ULC_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000008b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_active_size_ulc_ch1
    },
    {
        "HW_PXP_DITHER_FETCH_ACTIVE_SIZE_LRC_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000008c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_active_size_lrc_ch1
    },
    {
        "HW_PXP_DITHER_FETCH_SIZE_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000008d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_size_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_SIZE_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000008e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_size_ch1
    },
    {
        "HW_PXP_DITHER_FETCH_BACKGROUND_COLOR_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000008f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_background_color_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_BACKGROUND_COLOR_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000900, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_background_color_ch1
    },
    {
        "HW_PXP_DITHER_FETCH_PITCH",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000910, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_pitch
    },
    {
        "HW_PXP_DITHER_FETCH_SHIFT_CTRL_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000920, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_shift_ctrl_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_SHIFT_CTRL_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000930, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_shift_ctrl_ch1
    },
    {
        "HW_PXP_DITHER_FETCH_SHIFT_OFFSET_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000940, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_shift_offset_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_SHIFT_OFFSET_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000950, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_shift_offset_ch1
    },
    {
        "HW_PXP_DITHER_FETCH_SHIFT_WIDTH_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000960, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_shift_width_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_SHIFT_WIDTH_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000970, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_shift_width_ch1
    },
    {
        "HW_PXP_DITHER_FETCH_ADDR_0_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000980, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_addr_0_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_ADDR_1_CH0",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x00000990, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_addr_1_ch0
    },
    {
        "HW_PXP_DITHER_FETCH_ADDR_0_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000009a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_addr_0_ch1
    },
    {
        "HW_PXP_DITHER_FETCH_ADDR_1_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000009b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_fetch_addr_1_ch1
    },
    {
        "HW_PXP_DITHER_STORE_CTRL_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x000009c0, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_ctrl_ch0
    },
    {
        "HW_PXP_DITHER_STORE_CTRL_CH1",
        "This register defines the control bits for the pxp prefetch_engine sub"
        "-block.",
        4, // Width in bytes
        0x000009d0, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_ctrl_ch1
    },
    {
        "HW_PXP_DITHER_STORE_STATUS_CH0",
        "This register defines the status bits for the pxp store_engine sub-blo"
        "ck.",
        4, // Width in bytes
        0x000009e0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_status_ch0
    },
    {
        "HW_PXP_DITHER_STORE_STATUS_CH1",
        "This register defines the status bits for the pxp store_engine sub-blo"
        "ck.",
        4, // Width in bytes
        0x000009f0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_status_ch1
    },
    {
        "HW_PXP_DITHER_STORE_SIZE_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000a00, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_size_ch0
    },
    {
        "HW_PXP_DITHER_STORE_SIZE_CH1",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000a10, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_size_ch1
    },
    {
        "HW_PXP_DITHER_STORE_PITCH",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000a20, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_pitch
    },
    {
        "HW_PXP_DITHER_STORE_SHIFT_CTRL_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000a30, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_shift_ctrl_ch0
    },
    {
        "HW_PXP_DITHER_STORE_SHIFT_CTRL_CH1",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000a40, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_shift_ctrl_ch1
    },
    {
        "HW_PXP_DITHER_STORE_ADDR_0_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000a90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_addr_0_ch0
    },
    {
        "HW_PXP_DITHER_STORE_ADDR_1_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000aa0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_addr_1_ch0
    },
    {
        "HW_PXP_DITHER_STORE_FILL_DATA_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000ab0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_fill_data_ch0
    },
    {
        "HW_PXP_DITHER_STORE_ADDR_0_CH1",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000ac0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_addr_0_ch1
    },
    {
        "HW_PXP_DITHER_STORE_ADDR_1_CH1",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000ad0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_addr_1_ch1
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK0_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000ae0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask0_h_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK0_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000af0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask0_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK1_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000b00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask1_h_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK1_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000b10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask1_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK2_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000b20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask2_h_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK2_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000b30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask2_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK3_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000b40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask3_h_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK3_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000b50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask3_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK4_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000b60, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask4_h_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK4_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000b70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask4_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK5_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000b80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask5_h_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK5_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000b90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask5_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK6_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000ba0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask6_h_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK6_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000bb0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask6_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK7_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000bc0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask7_h_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_MASK7_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000bd0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_mask7_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_SHIFT_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000be0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_shift_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_D_SHIFT_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000bf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_d_shift_h_ch0
    },
    {
        "HW_PXP_DITHER_STORE_F_SHIFT_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000c00, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_f_shift_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_F_SHIFT_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000c10, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_f_shift_h_ch0
    },
    {
        "HW_PXP_DITHER_STORE_F_MASK_L_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000c20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_f_mask_l_ch0
    },
    {
        "HW_PXP_DITHER_STORE_F_MASK_H_CH0",
        "This register defines the control bits for the pxp store_engine sub-bl"
        "ock.",
        4, // Width in bytes
        0x00000c30, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_dither_store_f_mask_h_ch0
    },
    {
        "HW_PXP_DITHER_CTRL",
        "This register defines the control bits for the pxp dither sub-block.",
        4, // Width in bytes
        0x00001670, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_pxp_hw_pxp_dither_ctrl
    },
    {
        "HW_PXP_DITHER_FINAL_LUT_DATA0",
        "8 bit data values for the final stage dither LUT.",
        4, // Width in bytes
        0x00001680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_dither_final_lut_data0
    },
    {
        "HW_PXP_DITHER_FINAL_LUT_DATA1",
        "8 bit data values for the final stage dither LUT.",
        4, // Width in bytes
        0x00001690, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_dither_final_lut_data1
    },
    {
        "HW_PXP_DITHER_FINAL_LUT_DATA2",
        "8 bit data values for the final stage dither LUT.",
        4, // Width in bytes
        0x000016a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_dither_final_lut_data2
    },
    {
        "HW_PXP_DITHER_FINAL_LUT_DATA3",
        "8 bit data values for the final stage dither LUT.",
        4, // Width in bytes
        0x000016b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_dither_final_lut_data3
    },
    {
        "HW_PXP_HIST_A_CTRL",
        "Provides control and status registers for the PXP's histogram classifi"
        "cation algorithm.",
        4, // Width in bytes
        0x00002a00, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_pxp_hw_pxp_hist_a_ctrl
    },
    {
        "HW_PXP_HIST_A_MASK",
        "Provides control registers for the pixel masking in PXP's histogram.",
        4, // Width in bytes
        0x00002a10, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_pxp_hw_pxp_hist_a_mask
    },
    {
        "HW_PXP_HIST_A_BUF_SIZE",
        "This register defines the size of the buffer to be processed by the hi"
        "stogram engine.",
        4, // Width in bytes
        0x00002a20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_hist_a_buf_size
    },
    {
        "HW_PXP_HIST_A_TOTAL_PIXEL",
        "This register shows the total number of pixels used by histogram engin"
        "e",
        4, // Width in bytes
        0x00002a30, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_hist_a_total_pixel
    },
    {
        "HW_PXP_HIST_A_ACTIVE_AREA_X",
        "This register shows the minimal and maximum X coordinate offset for th"
        "e active area in histogram processing",
        4, // Width in bytes
        0x00002a40, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_hist_a_active_area_x
    },
    {
        "HW_PXP_HIST_A_ACTIVE_AREA_Y",
        "This register shows the minimal and maximum Y coordinate offset for th"
        "e active area in histogram processing",
        4, // Width in bytes
        0x00002a50, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_hist_a_active_area_y
    },
    {
        "HW_PXP_HIST_A_RAW_STAT0",
        "This register shows the lower 32-bit of the histogram result based on "
        "raw pixel value",
        4, // Width in bytes
        0x00002a60, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_hist_a_raw_stat0
    },
    {
        "HW_PXP_HIST_A_RAW_STAT1",
        "This register shows the higher 32-bit of the histogram result based on"
        " raw pixel value",
        4, // Width in bytes
        0x00002a70, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_hist_a_raw_stat1
    },
    {
        "HW_PXP_HIST_B_CTRL",
        "Provides control and status registers for the PXP's histogram classifi"
        "cation algorithm.",
        4, // Width in bytes
        0x00002a80, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_pxp_hw_pxp_hist_b_ctrl
    },
    {
        "HW_PXP_HIST_B_MASK",
        "Provides control registers for the pixel masking in PXP's histogram.",
        4, // Width in bytes
        0x00002a90, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_pxp_hw_pxp_hist_b_mask
    },
    {
        "HW_PXP_HIST_B_BUF_SIZE",
        "This register defines the size of the buffer to be processed by the hi"
        "stogram engine.",
        4, // Width in bytes
        0x00002aa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_hist_b_buf_size
    },
    {
        "HW_PXP_HIST_B_TOTAL_PIXEL",
        "This register shows the total number of pixels used by histogram engin"
        "e",
        4, // Width in bytes
        0x00002ab0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_hist_b_total_pixel
    },
    {
        "HW_PXP_HIST_B_ACTIVE_AREA_X",
        "This register shows the minimal and maximum X coordinate offset for th"
        "e active area in histogram processing",
        4, // Width in bytes
        0x00002ac0, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_hist_b_active_area_x
    },
    {
        "HW_PXP_HIST_B_ACTIVE_AREA_Y",
        "This register shows the minimal and maximum Y coordinate offset for th"
        "e active area in histogram processing",
        4, // Width in bytes
        0x00002ad0, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_hist_b_active_area_y
    },
    {
        "HW_PXP_HIST_B_RAW_STAT0",
        "This register shows the lower 32-bit of the histogram result based on "
        "raw pixel value",
        4, // Width in bytes
        0x00002ae0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_hist_b_raw_stat0
    },
    {
        "HW_PXP_HIST_B_RAW_STAT1",
        "This register shows the higher 32-bit of the histogram result based on"
        " raw pixel value",
        4, // Width in bytes
        0x00002af0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_hist_b_raw_stat1
    },
    {
        "HW_PXP_HIST2_PARAM",
        "This register specifies the valid values for a 2-level histogram.",
        4, // Width in bytes
        0x00002b00, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pxp_hw_pxp_hist2_param
    },
    {
        "HW_PXP_HIST4_PARAM",
        "This register specifies the valid values for a 4-level histogram.",
        4, // Width in bytes
        0x00002b10, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist4_param
    },
    {
        "HW_PXP_HIST8_PARAM0",
        "This register specifies four of the valid values for an 8-level histog"
        "ram.",
        4, // Width in bytes
        0x00002b20, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist8_param0
    },
    {
        "HW_PXP_HIST8_PARAM1",
        "This register specifies four of the valid values for an 8-level histog"
        "ram.",
        4, // Width in bytes
        0x00002b30, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist8_param1
    },
    {
        "HW_PXP_HIST16_PARAM0",
        "This register specifies four of the valid values for a 16-level histog"
        "ram.",
        4, // Width in bytes
        0x00002b40, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist16_param0
    },
    {
        "HW_PXP_HIST16_PARAM1",
        "This register specifies four of the valid values for a 16-level histog"
        "ram.",
        4, // Width in bytes
        0x00002b50, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist16_param1
    },
    {
        "HW_PXP_HIST16_PARAM2",
        "This register specifies four of the valid values for a 16-level histog"
        "ram.",
        4, // Width in bytes
        0x00002b60, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist16_param2
    },
    {
        "HW_PXP_HIST16_PARAM3",
        "This register specifies four of the valid values for a 16-level histog"
        "ram.",
        4, // Width in bytes
        0x00002b70, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist16_param3
    },
    {
        "HW_PXP_HIST32_PARAM0",
        "This register specifies four of the valid values for a 32-level histog"
        "ram.",
        4, // Width in bytes
        0x00002b80, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist32_param0
    },
    {
        "HW_PXP_HIST32_PARAM1",
        "This register specifies four of the valid values for a 32-level histog"
        "ram.",
        4, // Width in bytes
        0x00002b90, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist32_param1
    },
    {
        "HW_PXP_HIST32_PARAM2",
        "This register specifies four of the valid values for a 32-level histog"
        "ram.",
        4, // Width in bytes
        0x00002ba0, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist32_param2
    },
    {
        "HW_PXP_HIST32_PARAM3",
        "This register specifies four of the valid values for a 32-level histog"
        "ram.",
        4, // Width in bytes
        0x00002bb0, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist32_param3
    },
    {
        "HW_PXP_HIST32_PARAM4",
        "This register specifies four of the valid values for a 32-level histog"
        "ram.",
        4, // Width in bytes
        0x00002bc0, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist32_param4
    },
    {
        "HW_PXP_HIST32_PARAM5",
        "This register specifies four of the valid values for a 32-level histog"
        "ram.",
        4, // Width in bytes
        0x00002bd0, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist32_param5
    },
    {
        "HW_PXP_HIST32_PARAM6",
        "This register specifies four of the valid values for a 32-level histog"
        "ram.",
        4, // Width in bytes
        0x00002be0, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist32_param6
    },
    {
        "HW_PXP_HIST32_PARAM7",
        "This register specifies four of the valid values for a 32-level histog"
        "ram.",
        4, // Width in bytes
        0x00002bf0, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_hist32_param7
    },
    {
        "HW_PXP_COMP_CTRL",
        "This register defines the control bits for the pxp compression sub-blo"
        "ck.",
        4, // Width in bytes
        0x00002c00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_comp_ctrl
    },
    {
        "HW_PXP_COMP_FORMAT0",
        "This register defines the format bits for the pxp compression sub-bloc"
        "k.",
        4, // Width in bytes
        0x00002c10, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_pxp_hw_pxp_comp_format0
    },
    {
        "HW_PXP_COMP_FORMAT1",
        "This register defines the format bits for the pxp compression sub-bloc"
        "k.",
        4, // Width in bytes
        0x00002c20, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_comp_format1
    },
    {
        "HW_PXP_COMP_FORMAT2",
        "This register defines the format bits for the pxp compression sub-bloc"
        "k.",
        4, // Width in bytes
        0x00002c30, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pxp_hw_pxp_comp_format2
    },
    {
        "HW_PXP_COMP_MASK0",
        "This register defines the format bits for the pxp compress mask config"
        "ure.",
        4, // Width in bytes
        0x00002c40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_comp_mask0
    },
    {
        "HW_PXP_COMP_MASK1",
        "This register defines the format bits for the pxp compress mask config"
        "ure.",
        4, // Width in bytes
        0x00002c50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_comp_mask1
    },
    {
        "HW_PXP_COMP_BUFFER_SIZE",
        "This register defines the format bits for the pxp compress mask config"
        "ure.",
        4, // Width in bytes
        0x00002c60, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_comp_buffer_size
    },
    {
        "HW_PXP_COMP_SOURCE",
        "This register defines the pxp compress source buffer address register.",
        4, // Width in bytes
        0x00002c70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_comp_source
    },
    {
        "HW_PXP_COMP_TARGET",
        "This register defines the pxp compress target buffer address register.",
        4, // Width in bytes
        0x00002c80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_comp_target
    },
    {
        "HW_PXP_COMP_BUFFER_A",
        "This register defines the pxp compress field A buffer address register"
        ".",
        4, // Width in bytes
        0x00002c90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_comp_buffer_a
    },
    {
        "HW_PXP_COMP_BUFFER_B",
        "This register defines the pxp compress field B buffer address register"
        ".",
        4, // Width in bytes
        0x00002ca0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_comp_buffer_b
    },
    {
        "HW_PXP_COMP_BUFFER_C",
        "This register defines the pxp compress field C buffer address register"
        ".",
        4, // Width in bytes
        0x00002cb0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_comp_buffer_c
    },
    {
        "HW_PXP_COMP_BUFFER_D",
        "This register defines the pxp compress field D buffer address register"
        ".",
        4, // Width in bytes
        0x00002cc0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pxp_hw_pxp_comp_buffer_d
    },
    {
        "HW_PXP_COMP_DEBUG",
        "This register defines the pxp compress debug register.",
        4, // Width in bytes
        0x00002cd0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_pxp_hw_pxp_comp_debug
    },
    {
        "HW_PXP_BUS_MUX",
        "This register defines the pxp subblock bus mux on top level.",
        4, // Width in bytes
        0x00002ce0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_pxp_hw_pxp_bus_mux
    },
    {
        "HW_PXP_HANDSHAKE_READY_MUX0",
        "This register defines the pxp subblock handshake signals ready mux on "
        "top level.",
        4, // Width in bytes
        0x00002cf0, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_handshake_ready_mux0
    },
    {
        "HW_PXP_HANDSHAKE_READY_MUX1",
        "This register defines the pxp subblock handshake signals ready mux on "
        "top level.",
        4, // Width in bytes
        0x00002d00, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_handshake_ready_mux1
    },
    {
        "HW_PXP_HANDSHAKE_DONE_MUX0",
        "This register defines the pxp subblock handshake signals done mux on t"
        "op level.",
        4, // Width in bytes
        0x00002d10, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_handshake_done_mux0
    },
    {
        "HW_PXP_HANDSHAKE_DONE_MUX1",
        "This register defines the pxp subblock handshake signals done mux on t"
        "op level.",
        4, // Width in bytes
        0x00002d20, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_pxp_hw_pxp_handshake_done_mux1
    },
    {
        "HW_PXP_HANDSHAKE_CPU_FETCH",
        "This register defines the pxp software handshake signals with CPU.",
        4, // Width in bytes
        0x00002d30, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_pxp_hw_pxp_handshake_cpu_fetch
    },
    {
        "HW_PXP_HANDSHAKE_CPU_STORE",
        "This register defines the pxp software handshake signals with CPU.",
        4, // Width in bytes
        0x00002d40, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_pxp_hw_pxp_handshake_cpu_store
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark QuadSPI
#endif

// Bitfields in register QuadSPI_MCR.
static const field_t hw_quadspi_mcr[] =
{
    {
        "SWRSTSD",
        "Software reset for Serial Flash domainPlease keep other fields value w"
        "hen write to SWRSTHD and SWRSTSD These software reset don't reset regi"
        "ster setting but only reset internal flip‐flops in quadspi controlle"
        "r To remove the reset, need to write 0 to SWRSTHD and SWRSTSD",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWRSTHD",
        "Software reset for AHB domainPlease keep other fields value when write"
        " to SWRSTHD and SWRSTSD These software reset don't reset register sett"
        "ing but only reset internal flip‐flops in quadspi controller To remo"
        "ve the reset, need to write 0 to SWRSTHD and SWRSTSD",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "END_CFG",
        "Defines the endianness of the QSPI module.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DQS_EN",
        "DQS enable: This field is valid for both SDR and DDR mode.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR_EN",
        "DDR mode enable:",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_RXF",
        "Clear RX FIFO.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_TXF",
        "Clear TX FIFO/Buffer.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MDIS",
        "Module Disable.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DQS_LOOPBACK_FROM_PAD",
        "This bit should always be set to '1' when DQS_LOOPBACK_EN is set to '1"
        "'.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DQS_LOOPBACK_EN",
        "Quadspi will output serial data strobe signal which will be loopback f"
        "rom pad to sample input flash serial data.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DQS_PHASE_EN",
        "This bit controls internal DQS output phase.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_IPCR.
static const field_t hw_quadspi_ipcr[] =
{
    {
        "IDATSZ",
        "IP data transfer size: Defines the data transfer size in bytes of the "
        "IP command.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAR_EN",
        "When set, a transaction to two serial flash devices is triggered in pa"
        "rallel mode.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEQID",
        "Points to a sequence in the Look-up-table.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_FLSHCR.
static const field_t hw_quadspi_flshcr[] =
{
    {
        "TCSS",
        "Serial flash CS setup time in terms of serial flash clock cycles.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCSH",
        "Serial flash CS hold time in terms of serial flash clock cycles.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TDH",
        "Serial flash Data In hold time: This helps in meeting the Data In Hold"
        " time requirement of a Flash.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_BUF0CR.
static const field_t hw_quadspi_buf0cr[] =
{
    {
        "MSTRID",
        "Master ID: The ID of the AHB master associated with BUFFER0.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADATSZ",
        "AHB data transfer size: Defines the data transfer size in 8 bytes of a"
        "n AHB triggered access to serial flash.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HP_EN",
        "High Priority Enable: When set, the master associated with this buffer"
        " is assigned a priority higher than the rest of the masters.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_BUF1CR.
static const field_t hw_quadspi_buf1cr[] =
{
    {
        "MSTRID",
        "Master ID: The ID of the AHB master associated with BUFFER1.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADATSZ",
        "AHB data transfer size: Defines the data transfer size in 8 bytes of a"
        "n AHB triggered access to serial flash.For example, a value of 0x2 wil"
        "l set transfer size to 16bytes.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_BUF2CR.
static const field_t hw_quadspi_buf2cr[] =
{
    {
        "MSTRID",
        "Master ID: The ID of the AHB master associated with BUFFER2.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADATSZ",
        "AHB data transfer size: Defines the data transfer size in 8 Bytes of a"
        "n AHB triggered access to serial flash.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_BUF3CR.
static const field_t hw_quadspi_buf3cr[] =
{
    {
        "MSTRID",
        "Master ID: The ID of the AHB master associated with BUFFER3.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADATSZ",
        "AHB data transfer size: Defines the data transfer size in 8 Bytes of a"
        "n AHB triggered access to serial flash.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALLMST",
        "All master enable: When set, buffer3 acts as an all-master buffer.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_BFGENCR.
static const field_t hw_quadspi_bfgencr[] =
{
    {
        "SEQID",
        "Points to a sequence in the Look-up-table.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAR_EN",
        "When set, a transaction to two serial flash devices is triggered in pa"
        "rallel mode.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_BUF0IND.
static const field_t hw_quadspi_buf0ind[] =
{
    {
        "TPINDX0",
        "Top index of buffer 0.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_BUF1IND.
static const field_t hw_quadspi_buf1ind[] =
{
    {
        "TPINDX1",
        "Top index of buffer 1.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_BUF2IND.
static const field_t hw_quadspi_buf2ind[] =
{
    {
        "TPINDX2",
        "Top index of buffer 2.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_SFAR.
static const field_t hw_quadspi_sfar[] =
{
    {
        "SFADR",
        "Serial Flash Address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_SMPR.
static const field_t hw_quadspi_smpr[] =
{
    {
        "SDRSMP",
        "SDR sampling point.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDRSMP",
        "DDR Sampling point.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBSR.
static const field_t hw_quadspi_rbsr[] =
{
    {
        "RDBFL",
        "RX Buffer Fill Level, indicates how many entries of 4 bytes are still "
        "available in the RX Buffer.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RDCTR",
        "Read Counter, indicates how many entries of 4 bytes have been removed "
        "from the RX Buffer.For example a value of 0x2 would indicate 8bytes ha"
        "ve been removed It is incremented by the number (QSPI_RBCT[WMRK] + 1) "
        "on RX Buffer POP event.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBCT.
static const field_t hw_quadspi_rbct[] =
{
    {
        "WMRK",
        "RX Buffer Watermark: This field determines when the readout action of "
        "the RX Buffer is triggered.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXBRD",
        "RX Buffer Readout: This bit specifies the access scheme for the RX Buf"
        "fer readout.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_TBSR.
static const field_t hw_quadspi_tbsr[] =
{
    {
        "TRBFL",
        "TX Buffer Fill Level.",
        8, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TRCTR",
        "Transmit Counter.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_TBDR.
static const field_t hw_quadspi_tbdr[] =
{
    {
        "TXDATA",
        "TX Data On write access the data is written into the next available en"
        "try of the TX Buffer and the QPSI_TBSR[TRBFL] field is updated accordi"
        "ngly.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_SR.
static const field_t hw_quadspi_sr[] =
{
    {
        "BUSY",
        "Module Busy: Asserted when module is currently busy handling a transac"
        "tion to an external flash device.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IP_ACC",
        "IP Access: Asserted when transaction currently executed was initiated "
        "by IP bus.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB_ACC",
        "AHB Access: Asserted when the transaction currently executed was initi"
        "ated by AHB bus.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHBGNT",
        "AHB Command priority Granted: Asserted when another module has been gr"
        "anted priority of AHB Commands against IP Commands.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHBTRN",
        "AHB Access Transaction pending: Asserted when there is a pending reque"
        "st on the AHB interface.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB0NE",
        "AHB 0 Buffer Not Empty: Asserted when AHB 0 buffer contains data.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB1NE",
        "AHB 1 Buffer Not Empty: Asserted when AHB 1 buffer contains data.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB2NE",
        "AHB 2 Buffer Not Empty: Asserted when AHB 2 buffer contains data.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB3NE",
        "AHB 3 Buffer Not Empty: Asserted when AHB 3 buffer contains data.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB0FUL",
        "AHB 0 Buffer Full: Asserted when AHB 0 buffer is full.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB1FUL",
        "AHB 1 Buffer Full: Asserted when AHB 1 buffer is full.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB2FUL",
        "AHB 2 Buffer Full: Asserted when AHB 2 buffer is full.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB3FUL",
        "AHB 3 Buffer Full: Asserted when AHB 3 buffer is full.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RXWE",
        "RX Buffer Watermark Exceeded: Asserted when the number of valid entrie"
        "s in the RX Buffer exceeds the number given in the QSPI_RBCT[WMRK] fie"
        "ld.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RXFULL",
        "RX Buffer Full: Asserted when the RX Buffer is full, i.e.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RXDMA",
        "RX Buffer DMA: Asserted when RX Buffer read out via DMA is active i.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXEDA",
        "Asserted when TX Buffer contains enough data for any pop operation to "
        "take place.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXFULL",
        "TX Buffer Full: Asserted when no more data can be stored.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLPSMP",
        "Data learning is not implemented on this chip.",
        29, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_FR.
static const field_t hw_quadspi_fr[] =
{
    {
        "TFF",
        "IP Command Transaction Finished Flag: Set when the QuadSPI module has "
        "finished a running IP Command.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPGEF",
        "IP Command Trigger during AHB Grant Error Flag: Set when the following"
        " condition occurs: A write access occurs to the QSPI_IPCR[SEQID] field"
        " and the QSPI_SR[AHBGNT] bit is set.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPIEF",
        "IP Command Trigger could not be executed Error Flag.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPAEF",
        "IP Command Trigger during AHB Access Error Flag.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IUEF",
        "IP Command Usage Error Flag: Set when in parallel flash mode the execu"
        "tion of an IP Command is started and the sequence pointed to by the se"
        "quence ID contains a WRITE or a WRITE_DDR command.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABOF",
        "AHB Buffer Overflow Flag: Set when the size of the AHB access exceeds "
        "the size of the AHB buffer.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABSEF",
        "AHB Sequence Error Flag: Set when the execution of an AHB Command is s"
        "tarted with an WRITE or WRITE_DDR Command in the sequence pointed to b"
        "y the QSPI_BUFxCR QSPI_BUFxCR implies anyone of QSPI_BUF0CR/QSPI_BUF1C"
        "R/QSPI_BUF2CR/QSPI_BUF3CR register Communication with the serial flash"
        " device is terminated before the execution of WRITE/WRITE_DDR command "
        "by the QuadSPI module.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBDF",
        "RX Buffer Drain Flag: Will be set if the QuadSPI_SR[RXWE] status bit i"
        "s asserted.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBOF",
        "RX Buffer Overflow Flag: Set when not all the data read from the seria"
        "l flash device could be pushed into the RX Buffer.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ILLINE",
        "Illegal Instruction Error Flag: Set when an illegal instruction is enc"
        "ountered by the controller in any of the sequences.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TBUF",
        "TX Buffer Underrun Flag: Set when the module tried to pull data althou"
        "gh TX Buffer was emptyor the buffer contains less than 128bits of data"
        ".",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TBFF",
        "TX Buffer Fill Flag: Before writing to the TX buffer, this bit should "
        "be cleared.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLPFF",
        "Data learning is not implemented on this chip.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RSER.
static const field_t hw_quadspi_rser[] =
{
    {
        "TFIE",
        "Transaction Finished Interrupt Enable",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPGEIE",
        "IP Command Trigger during AHB Grant Error Interrupt Enable",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPIEIE",
        "IP Command Trigger during IP Access Error Interrupt Enable",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPAEIE",
        "IP Command Trigger during AHB Access Error Interrupt Enable",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IUEIE",
        "IP Command Usage Error Interrupt Enable",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABOIE",
        "AHB Buffer Overflow Interrupt Enable",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABSEIE",
        "AHB Sequence Error Interrupt Enable: Triggered by ABSEF flags of QSPI_"
        "FR",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBDIE",
        "RX Buffer Drain Interrupt Enable: Enables generation of IRQ requests f"
        "or RX Buffer Drain.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBOIE",
        "RX Buffer Overflow Interrupt Enable",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBDDE",
        "RX Buffer Drain DMA Enable: Enables generation of DMA requests for RX "
        "Buffer Drain.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ILLINIE",
        "Illegal Instruction Error Interrupt Enable.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TBUIE",
        "TX Buffer Underrun Interrupt Enable",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TBFIE",
        "TX Buffer Fill Interrupt Enable",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLPFIE",
        "Data learning is not implemented on this chip.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_SPNDST.
static const field_t hw_quadspi_spndst[] =
{
    {
        "SUSPND",
        "When set, it signifies that a sequence is in suspended state",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SPDBUF",
        "Suspended Buffer: Provides the suspended buffer number.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DATLFT",
        "Data left: Provides information about the amount of data left to be re"
        "ad in the suspended sequence.",
        9, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_SPTRCLR.
static const field_t hw_quadspi_sptrclr[] =
{
    {
        "BFPTRC",
        "Buffer Pointer Clear: 1: Clears the sequence pointer for AHB accesses "
        "as defined in QuadSPI_BFGENCR.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPPTRC",
        "IP Pointer Clear: 1: Clears the sequence pointer for IP accesses as de"
        "fined in QuadSPI_IPCR",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_SFA1AD.
static const field_t hw_quadspi_sfa1ad[] =
{
    {
        "TPADA1",
        "Top address for Serial Flash A1.",
        10, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_SFA2AD.
static const field_t hw_quadspi_sfa2ad[] =
{
    {
        "TPADA2",
        "Top address for Serial Flash A2.",
        10, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_SFB1AD.
static const field_t hw_quadspi_sfb1ad[] =
{
    {
        "TPADB1",
        "Top address for Serial Flash B1.",
        10, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_SFB2AD.
static const field_t hw_quadspi_sfb2ad[] =
{
    {
        "TPADB2",
        "Top address for Serial Flash B2.",
        10, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR0.
static const field_t hw_quadspi_rbdr0[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR1.
static const field_t hw_quadspi_rbdr1[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR2.
static const field_t hw_quadspi_rbdr2[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR3.
static const field_t hw_quadspi_rbdr3[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR4.
static const field_t hw_quadspi_rbdr4[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR5.
static const field_t hw_quadspi_rbdr5[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR6.
static const field_t hw_quadspi_rbdr6[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR7.
static const field_t hw_quadspi_rbdr7[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR8.
static const field_t hw_quadspi_rbdr8[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR9.
static const field_t hw_quadspi_rbdr9[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR10.
static const field_t hw_quadspi_rbdr10[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR11.
static const field_t hw_quadspi_rbdr11[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR12.
static const field_t hw_quadspi_rbdr12[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR13.
static const field_t hw_quadspi_rbdr13[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR14.
static const field_t hw_quadspi_rbdr14[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR15.
static const field_t hw_quadspi_rbdr15[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR16.
static const field_t hw_quadspi_rbdr16[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR17.
static const field_t hw_quadspi_rbdr17[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR18.
static const field_t hw_quadspi_rbdr18[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR19.
static const field_t hw_quadspi_rbdr19[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR20.
static const field_t hw_quadspi_rbdr20[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR21.
static const field_t hw_quadspi_rbdr21[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR22.
static const field_t hw_quadspi_rbdr22[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR23.
static const field_t hw_quadspi_rbdr23[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR24.
static const field_t hw_quadspi_rbdr24[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR25.
static const field_t hw_quadspi_rbdr25[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR26.
static const field_t hw_quadspi_rbdr26[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR27.
static const field_t hw_quadspi_rbdr27[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR28.
static const field_t hw_quadspi_rbdr28[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR29.
static const field_t hw_quadspi_rbdr29[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR30.
static const field_t hw_quadspi_rbdr30[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_RBDR31.
static const field_t hw_quadspi_rbdr31[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUTKEY.
static const field_t hw_quadspi_lutkey[] =
{
    {
        "KEY",
        "The key to lock or unlock the LUT.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LCKCR.
static const field_t hw_quadspi_lckcr[] =
{
    {
        "LOCK",
        "Locks the LUT when the following condition is met: This register is wr"
        "itten just after the LUTKEYLUT Key Register The LUT key register was w"
        "ritten with 0x5AF05AF0 key",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNLOCK",
        "Unlocks the LUT when the following two conditions are met: 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT0.
static const field_t hw_quadspi_lut0[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT1.
static const field_t hw_quadspi_lut1[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT2.
static const field_t hw_quadspi_lut2[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT3.
static const field_t hw_quadspi_lut3[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT4.
static const field_t hw_quadspi_lut4[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT5.
static const field_t hw_quadspi_lut5[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT6.
static const field_t hw_quadspi_lut6[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT7.
static const field_t hw_quadspi_lut7[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT8.
static const field_t hw_quadspi_lut8[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT9.
static const field_t hw_quadspi_lut9[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT10.
static const field_t hw_quadspi_lut10[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT11.
static const field_t hw_quadspi_lut11[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT12.
static const field_t hw_quadspi_lut12[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT13.
static const field_t hw_quadspi_lut13[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT14.
static const field_t hw_quadspi_lut14[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT15.
static const field_t hw_quadspi_lut15[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT16.
static const field_t hw_quadspi_lut16[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT17.
static const field_t hw_quadspi_lut17[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT18.
static const field_t hw_quadspi_lut18[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT19.
static const field_t hw_quadspi_lut19[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT20.
static const field_t hw_quadspi_lut20[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT21.
static const field_t hw_quadspi_lut21[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT22.
static const field_t hw_quadspi_lut22[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT23.
static const field_t hw_quadspi_lut23[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT24.
static const field_t hw_quadspi_lut24[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT25.
static const field_t hw_quadspi_lut25[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT26.
static const field_t hw_quadspi_lut26[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT27.
static const field_t hw_quadspi_lut27[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT28.
static const field_t hw_quadspi_lut28[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT29.
static const field_t hw_quadspi_lut29[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT30.
static const field_t hw_quadspi_lut30[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT31.
static const field_t hw_quadspi_lut31[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT32.
static const field_t hw_quadspi_lut32[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT33.
static const field_t hw_quadspi_lut33[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT34.
static const field_t hw_quadspi_lut34[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT35.
static const field_t hw_quadspi_lut35[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT36.
static const field_t hw_quadspi_lut36[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT37.
static const field_t hw_quadspi_lut37[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT38.
static const field_t hw_quadspi_lut38[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT39.
static const field_t hw_quadspi_lut39[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT40.
static const field_t hw_quadspi_lut40[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT41.
static const field_t hw_quadspi_lut41[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT42.
static const field_t hw_quadspi_lut42[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT43.
static const field_t hw_quadspi_lut43[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT44.
static const field_t hw_quadspi_lut44[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT45.
static const field_t hw_quadspi_lut45[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT46.
static const field_t hw_quadspi_lut46[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT47.
static const field_t hw_quadspi_lut47[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT48.
static const field_t hw_quadspi_lut48[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT49.
static const field_t hw_quadspi_lut49[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT50.
static const field_t hw_quadspi_lut50[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT51.
static const field_t hw_quadspi_lut51[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT52.
static const field_t hw_quadspi_lut52[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT53.
static const field_t hw_quadspi_lut53[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT54.
static const field_t hw_quadspi_lut54[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT55.
static const field_t hw_quadspi_lut55[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT56.
static const field_t hw_quadspi_lut56[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT57.
static const field_t hw_quadspi_lut57[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT58.
static const field_t hw_quadspi_lut58[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT59.
static const field_t hw_quadspi_lut59[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT60.
static const field_t hw_quadspi_lut60[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT61.
static const field_t hw_quadspi_lut61[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT62.
static const field_t hw_quadspi_lut62[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_LUT63.
static const field_t hw_quadspi_lut63[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a QUADSPI module.
static const reg_t hw_quadspi[] =
{
    {
        "MCR",
        "The QuadSPI_MCR holds configuration data associated with QuadSPI opera"
        "tion.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_quadspi_mcr
    },
    {
        "IPCR",
        "The IP configuration register provides all the configuration required "
        "for an IP initiated command.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_quadspi_ipcr
    },
    {
        "FLSHCR",
        "The Flash configuration register contains the flash device specific ti"
        "mings that must be met by the QuadSPI controller for the device to fun"
        "ction correctly.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_quadspi_flshcr
    },
    {
        "BUF0CR",
        "This register provides the configuration for any access to buffer0.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_quadspi_buf0cr
    },
    {
        "BUF1CR",
        "This register provides the configuration for any access to buffer1.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_buf1cr
    },
    {
        "BUF2CR",
        "This register provides the configuration for any access to buffer2.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_buf2cr
    },
    {
        "BUF3CR",
        "This register provides the configuration for any access to buffer3.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_quadspi_buf3cr
    },
    {
        "BFGENCR",
        "This register provides the generic configuration to any of the buffer "
        "accesses.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_bfgencr
    },
    {
        "BUF0IND",
        "This register specifies the top index of buffer0, which defines its si"
        "ze.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_buf0ind
    },
    {
        "BUF1IND",
        "This register specifies the top index of buffer1, which defines its si"
        "ze.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_buf1ind
    },
    {
        "BUF2IND",
        "This register specifies the top index of buffer2, which defines its si"
        "ze.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_buf2ind
    },
    {
        "SFAR",
        "The module automatically translates this address on the memory map to "
        "the address on the flash itself.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_sfar
    },
    {
        "SMPR",
        "The Sampling Register allows configuration of how the incoming data fr"
        "om the external serial flash devices are sampled in the QuadSPI module"
        ".",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_smpr
    },
    {
        "RBSR",
        "This register contains information related to the receive data buffer.",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_quadspi_rbsr
    },
    {
        "RBCT",
        "This register contains control data related to the receive data buffer"
        ".",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_rbct
    },
    {
        "TBSR",
        "This register contains information related to the transmit data buffer"
        ".",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_quadspi_tbsr
    },
    {
        "TBDR",
        "The QSPI_TBDR register provides access to the circular TX Buffer of de"
        "pth 128 bytes.",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_tbdr
    },
    {
        "SR",
        "The QSPI_SR register provides all available status information about S"
        "FM command execution and arbitration, the RX Buffer and TX Buffer and "
        "the AHB Buffer.",
        4, // Width in bytes
        0x0000015c, // Base address offset
        true, // Readable
        false, // Writable
        19, // Number of bitfields
        hw_quadspi_sr
    },
    {
        "FR",
        "The QSPI_FR register provides all available flags about SFM command ex"
        "ecution and arbitration which may serve as source for the generation o"
        "f interrupt service requests.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_quadspi_fr
    },
    {
        "RSER",
        "The QuadSPI_RSER register provides enables and selectors for the inter"
        "rupts in the QuadSPI module.",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_quadspi_rser
    },
    {
        "SPNDST",
        "The sequence suspend status register provides information specific to "
        "any suspended sequence.",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_quadspi_spndst
    },
    {
        "SPTRCLR",
        "The sequence pointer clear register provides bits to reset the IP and "
        "Buffer sequence pointers.",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_sptrclr
    },
    {
        "SFA1AD",
        "The QSPI_SFA1AD register provides the address mapping for the serial f"
        "lash A1.The difference between QSPI_SFA1AD[TPADA1] and QSPI_AMBA_BASE "
        "defines the size of the memory map for serial flash A1.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_sfa1ad
    },
    {
        "SFA2AD",
        "The QSPI_SFA2AD register provides the address mapping for the serial f"
        "lash A2.The difference between QSPI_SFA2AD[TPADA2] and QSPI_SFA1AD[TPA"
        "DA1] defines the size of the memory map for serial flash A2.",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_sfa2ad
    },
    {
        "SFB1AD",
        "The QSPI_SFB1AD register provides the address mapping for the serial f"
        "lash B1.The difference between QSPI_SFB1AD[TPADB1] and QSPI_SFA2AD[TPA"
        "DA2] defines the size of the memory map for serial flash B1.",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_sfb1ad
    },
    {
        "SFB2AD",
        "The QSPI_SFB2AD register provides the address mapping for the serial f"
        "lash B2.The difference between QSPI_SFB2AD[TPADB2] and QSPI_SFB1AD[TPA"
        "DB1] defines the size of the memory map for serial flash B2.",
        4, // Width in bytes
        0x0000018c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_sfb2ad
    },
    {
        "RBDR0",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr0
    },
    {
        "RBDR1",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr1
    },
    {
        "RBDR2",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr2
    },
    {
        "RBDR3",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr3
    },
    {
        "RBDR4",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr4
    },
    {
        "RBDR5",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr5
    },
    {
        "RBDR6",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr6
    },
    {
        "RBDR7",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr7
    },
    {
        "RBDR8",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr8
    },
    {
        "RBDR9",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr9
    },
    {
        "RBDR10",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr10
    },
    {
        "RBDR11",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr11
    },
    {
        "RBDR12",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr12
    },
    {
        "RBDR13",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr13
    },
    {
        "RBDR14",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr14
    },
    {
        "RBDR15",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr15
    },
    {
        "RBDR16",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr16
    },
    {
        "RBDR17",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr17
    },
    {
        "RBDR18",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr18
    },
    {
        "RBDR19",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr19
    },
    {
        "RBDR20",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr20
    },
    {
        "RBDR21",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr21
    },
    {
        "RBDR22",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr22
    },
    {
        "RBDR23",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr23
    },
    {
        "RBDR24",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr24
    },
    {
        "RBDR25",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr25
    },
    {
        "RBDR26",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr26
    },
    {
        "RBDR27",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr27
    },
    {
        "RBDR28",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr28
    },
    {
        "RBDR29",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000274, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr29
    },
    {
        "RBDR30",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000278, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr30
    },
    {
        "RBDR31",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000027c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_rbdr31
    },
    {
        "LUTKEY",
        "The LUT Key register contains the key to lock and unlock the Look-up-t"
        "able.",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_lutkey
    },
    {
        "LCKCR",
        "The LUT lock configuration register is used along with QSPI_LUTKEY reg"
        "ister to lock or unlock the LUT.",
        4, // Width in bytes
        0x00000304, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_lckcr
    },
    {
        "LUT0",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut0
    },
    {
        "LUT1",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000314, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut1
    },
    {
        "LUT2",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000318, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut2
    },
    {
        "LUT3",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000031c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut3
    },
    {
        "LUT4",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut4
    },
    {
        "LUT5",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000324, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut5
    },
    {
        "LUT6",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000328, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut6
    },
    {
        "LUT7",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000032c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut7
    },
    {
        "LUT8",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000330, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut8
    },
    {
        "LUT9",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000334, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut9
    },
    {
        "LUT10",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000338, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut10
    },
    {
        "LUT11",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000033c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut11
    },
    {
        "LUT12",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000340, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut12
    },
    {
        "LUT13",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000344, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut13
    },
    {
        "LUT14",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000348, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut14
    },
    {
        "LUT15",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000034c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut15
    },
    {
        "LUT16",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000350, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut16
    },
    {
        "LUT17",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000354, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut17
    },
    {
        "LUT18",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000358, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut18
    },
    {
        "LUT19",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000035c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut19
    },
    {
        "LUT20",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000360, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut20
    },
    {
        "LUT21",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000364, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut21
    },
    {
        "LUT22",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000368, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut22
    },
    {
        "LUT23",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000036c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut23
    },
    {
        "LUT24",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000370, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut24
    },
    {
        "LUT25",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000374, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut25
    },
    {
        "LUT26",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000378, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut26
    },
    {
        "LUT27",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000037c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut27
    },
    {
        "LUT28",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000380, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut28
    },
    {
        "LUT29",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000384, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut29
    },
    {
        "LUT30",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000388, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut30
    },
    {
        "LUT31",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000038c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut31
    },
    {
        "LUT32",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000390, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut32
    },
    {
        "LUT33",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000394, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut33
    },
    {
        "LUT34",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000398, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut34
    },
    {
        "LUT35",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000039c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut35
    },
    {
        "LUT36",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003a0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut36
    },
    {
        "LUT37",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003a4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut37
    },
    {
        "LUT38",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003a8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut38
    },
    {
        "LUT39",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003ac, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut39
    },
    {
        "LUT40",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003b0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut40
    },
    {
        "LUT41",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003b4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut41
    },
    {
        "LUT42",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003b8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut42
    },
    {
        "LUT43",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003bc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut43
    },
    {
        "LUT44",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003c0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut44
    },
    {
        "LUT45",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003c4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut45
    },
    {
        "LUT46",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003c8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut46
    },
    {
        "LUT47",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003cc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut47
    },
    {
        "LUT48",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003d0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut48
    },
    {
        "LUT49",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003d4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut49
    },
    {
        "LUT50",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003d8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut50
    },
    {
        "LUT51",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003dc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut51
    },
    {
        "LUT52",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003e0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut52
    },
    {
        "LUT53",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003e4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut53
    },
    {
        "LUT54",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003e8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut54
    },
    {
        "LUT55",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003ec, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut55
    },
    {
        "LUT56",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003f0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut56
    },
    {
        "LUT57",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003f4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut57
    },
    {
        "LUT58",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003f8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut58
    },
    {
        "LUT59",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003fc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut59
    },
    {
        "LUT60",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut60
    },
    {
        "LUT61",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut61
    },
    {
        "LUT62",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut62
    },
    {
        "LUT63",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000040c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_lut63
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark RDC
#endif

// Bitfields in register RDC_VIR.
static const field_t hw_rdc_vir[] =
{
    {
        "NDID",
        "Indicates the number of domain ids supported by this instance of the R"
        "DC.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NMSTR",
        "Indicates the number of masters supported by this instance of RDC.",
        4, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NPER",
        "Indicates the number of peripherals that can be isolated or safe-share"
        "d",
        12, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NRGN",
        "Indicates the number of memory regions in this instance of the RDC.",
        20, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_STAT.
static const field_t hw_rdc_stat[] =
{
    {
        "DID",
        "The Domain ID of the core or bus master that is reading this.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDS",
        "Indicates if the \"Power Down\" memory regions are powered and availab"
        "le.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_INTCTRL.
static const field_t hw_rdc_intctrl[] =
{
    {
        "RCI_EN",
        "Interrupt generated when the RDC has completed restoring state to a re"
        "cently re-powered memory regions.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_INTSTAT.
static const field_t hw_rdc_intstat[] =
{
    {
        "INT",
        "Indicates state of interrupt signal for state restoration.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA0.
static const field_t hw_rdc_mda0[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA1.
static const field_t hw_rdc_mda1[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA2.
static const field_t hw_rdc_mda2[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA3.
static const field_t hw_rdc_mda3[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA4.
static const field_t hw_rdc_mda4[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA5.
static const field_t hw_rdc_mda5[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA6.
static const field_t hw_rdc_mda6[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA7.
static const field_t hw_rdc_mda7[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA8.
static const field_t hw_rdc_mda8[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA9.
static const field_t hw_rdc_mda9[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA10.
static const field_t hw_rdc_mda10[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA11.
static const field_t hw_rdc_mda11[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA12.
static const field_t hw_rdc_mda12[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA13.
static const field_t hw_rdc_mda13[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA14.
static const field_t hw_rdc_mda14[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA15.
static const field_t hw_rdc_mda15[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA16.
static const field_t hw_rdc_mda16[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA17.
static const field_t hw_rdc_mda17[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA18.
static const field_t hw_rdc_mda18[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA19.
static const field_t hw_rdc_mda19[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA20.
static const field_t hw_rdc_mda20[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA21.
static const field_t hw_rdc_mda21[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA22.
static const field_t hw_rdc_mda22[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA23.
static const field_t hw_rdc_mda23[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA24.
static const field_t hw_rdc_mda24[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA25.
static const field_t hw_rdc_mda25[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA26.
static const field_t hw_rdc_mda26[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP0.
static const field_t hw_rdc_pdap0[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP1.
static const field_t hw_rdc_pdap1[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP2.
static const field_t hw_rdc_pdap2[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP3.
static const field_t hw_rdc_pdap3[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP4.
static const field_t hw_rdc_pdap4[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP5.
static const field_t hw_rdc_pdap5[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP6.
static const field_t hw_rdc_pdap6[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP7.
static const field_t hw_rdc_pdap7[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP8.
static const field_t hw_rdc_pdap8[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP9.
static const field_t hw_rdc_pdap9[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP10.
static const field_t hw_rdc_pdap10[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP11.
static const field_t hw_rdc_pdap11[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP12.
static const field_t hw_rdc_pdap12[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP13.
static const field_t hw_rdc_pdap13[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP14.
static const field_t hw_rdc_pdap14[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP15.
static const field_t hw_rdc_pdap15[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP16.
static const field_t hw_rdc_pdap16[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP17.
static const field_t hw_rdc_pdap17[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP18.
static const field_t hw_rdc_pdap18[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP19.
static const field_t hw_rdc_pdap19[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP20.
static const field_t hw_rdc_pdap20[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP21.
static const field_t hw_rdc_pdap21[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP22.
static const field_t hw_rdc_pdap22[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP23.
static const field_t hw_rdc_pdap23[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP24.
static const field_t hw_rdc_pdap24[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP25.
static const field_t hw_rdc_pdap25[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP26.
static const field_t hw_rdc_pdap26[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP27.
static const field_t hw_rdc_pdap27[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP28.
static const field_t hw_rdc_pdap28[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP29.
static const field_t hw_rdc_pdap29[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP30.
static const field_t hw_rdc_pdap30[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP31.
static const field_t hw_rdc_pdap31[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP32.
static const field_t hw_rdc_pdap32[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP33.
static const field_t hw_rdc_pdap33[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP34.
static const field_t hw_rdc_pdap34[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP35.
static const field_t hw_rdc_pdap35[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP36.
static const field_t hw_rdc_pdap36[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP37.
static const field_t hw_rdc_pdap37[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP38.
static const field_t hw_rdc_pdap38[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP39.
static const field_t hw_rdc_pdap39[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP40.
static const field_t hw_rdc_pdap40[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP41.
static const field_t hw_rdc_pdap41[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP42.
static const field_t hw_rdc_pdap42[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP43.
static const field_t hw_rdc_pdap43[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP44.
static const field_t hw_rdc_pdap44[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP45.
static const field_t hw_rdc_pdap45[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP46.
static const field_t hw_rdc_pdap46[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP47.
static const field_t hw_rdc_pdap47[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP48.
static const field_t hw_rdc_pdap48[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP49.
static const field_t hw_rdc_pdap49[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP50.
static const field_t hw_rdc_pdap50[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP51.
static const field_t hw_rdc_pdap51[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP52.
static const field_t hw_rdc_pdap52[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP53.
static const field_t hw_rdc_pdap53[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP54.
static const field_t hw_rdc_pdap54[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP55.
static const field_t hw_rdc_pdap55[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP56.
static const field_t hw_rdc_pdap56[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP57.
static const field_t hw_rdc_pdap57[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP58.
static const field_t hw_rdc_pdap58[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP59.
static const field_t hw_rdc_pdap59[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP60.
static const field_t hw_rdc_pdap60[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP61.
static const field_t hw_rdc_pdap61[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP62.
static const field_t hw_rdc_pdap62[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP63.
static const field_t hw_rdc_pdap63[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP64.
static const field_t hw_rdc_pdap64[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP65.
static const field_t hw_rdc_pdap65[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP66.
static const field_t hw_rdc_pdap66[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP67.
static const field_t hw_rdc_pdap67[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP68.
static const field_t hw_rdc_pdap68[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP69.
static const field_t hw_rdc_pdap69[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP70.
static const field_t hw_rdc_pdap70[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP71.
static const field_t hw_rdc_pdap71[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP72.
static const field_t hw_rdc_pdap72[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP73.
static const field_t hw_rdc_pdap73[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP74.
static const field_t hw_rdc_pdap74[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP75.
static const field_t hw_rdc_pdap75[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP76.
static const field_t hw_rdc_pdap76[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP77.
static const field_t hw_rdc_pdap77[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP78.
static const field_t hw_rdc_pdap78[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP79.
static const field_t hw_rdc_pdap79[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP80.
static const field_t hw_rdc_pdap80[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP81.
static const field_t hw_rdc_pdap81[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP82.
static const field_t hw_rdc_pdap82[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP83.
static const field_t hw_rdc_pdap83[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP84.
static const field_t hw_rdc_pdap84[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP85.
static const field_t hw_rdc_pdap85[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP86.
static const field_t hw_rdc_pdap86[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP87.
static const field_t hw_rdc_pdap87[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP88.
static const field_t hw_rdc_pdap88[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP89.
static const field_t hw_rdc_pdap89[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP90.
static const field_t hw_rdc_pdap90[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP91.
static const field_t hw_rdc_pdap91[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP92.
static const field_t hw_rdc_pdap92[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP93.
static const field_t hw_rdc_pdap93[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP94.
static const field_t hw_rdc_pdap94[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP95.
static const field_t hw_rdc_pdap95[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP96.
static const field_t hw_rdc_pdap96[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP97.
static const field_t hw_rdc_pdap97[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP98.
static const field_t hw_rdc_pdap98[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP99.
static const field_t hw_rdc_pdap99[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP100.
static const field_t hw_rdc_pdap100[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP101.
static const field_t hw_rdc_pdap101[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP102.
static const field_t hw_rdc_pdap102[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP103.
static const field_t hw_rdc_pdap103[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP104.
static const field_t hw_rdc_pdap104[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP105.
static const field_t hw_rdc_pdap105[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP106.
static const field_t hw_rdc_pdap106[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP107.
static const field_t hw_rdc_pdap107[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP108.
static const field_t hw_rdc_pdap108[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP109.
static const field_t hw_rdc_pdap109[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP110.
static const field_t hw_rdc_pdap110[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP111.
static const field_t hw_rdc_pdap111[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP112.
static const field_t hw_rdc_pdap112[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP113.
static const field_t hw_rdc_pdap113[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP114.
static const field_t hw_rdc_pdap114[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP115.
static const field_t hw_rdc_pdap115[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP116.
static const field_t hw_rdc_pdap116[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP117.
static const field_t hw_rdc_pdap117[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA0.
static const field_t hw_rdc_mrsa0[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA0.
static const field_t hw_rdc_mrea0[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC0.
static const field_t hw_rdc_mrc0[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS0.
static const field_t hw_rdc_mrvs0[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA1.
static const field_t hw_rdc_mrsa1[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA1.
static const field_t hw_rdc_mrea1[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC1.
static const field_t hw_rdc_mrc1[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS1.
static const field_t hw_rdc_mrvs1[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA2.
static const field_t hw_rdc_mrsa2[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA2.
static const field_t hw_rdc_mrea2[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC2.
static const field_t hw_rdc_mrc2[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS2.
static const field_t hw_rdc_mrvs2[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA3.
static const field_t hw_rdc_mrsa3[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA3.
static const field_t hw_rdc_mrea3[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC3.
static const field_t hw_rdc_mrc3[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS3.
static const field_t hw_rdc_mrvs3[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA4.
static const field_t hw_rdc_mrsa4[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA4.
static const field_t hw_rdc_mrea4[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC4.
static const field_t hw_rdc_mrc4[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS4.
static const field_t hw_rdc_mrvs4[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA5.
static const field_t hw_rdc_mrsa5[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA5.
static const field_t hw_rdc_mrea5[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC5.
static const field_t hw_rdc_mrc5[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS5.
static const field_t hw_rdc_mrvs5[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA6.
static const field_t hw_rdc_mrsa6[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA6.
static const field_t hw_rdc_mrea6[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC6.
static const field_t hw_rdc_mrc6[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS6.
static const field_t hw_rdc_mrvs6[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA7.
static const field_t hw_rdc_mrsa7[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA7.
static const field_t hw_rdc_mrea7[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC7.
static const field_t hw_rdc_mrc7[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS7.
static const field_t hw_rdc_mrvs7[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA8.
static const field_t hw_rdc_mrsa8[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA8.
static const field_t hw_rdc_mrea8[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC8.
static const field_t hw_rdc_mrc8[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS8.
static const field_t hw_rdc_mrvs8[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA9.
static const field_t hw_rdc_mrsa9[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA9.
static const field_t hw_rdc_mrea9[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC9.
static const field_t hw_rdc_mrc9[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS9.
static const field_t hw_rdc_mrvs9[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA10.
static const field_t hw_rdc_mrsa10[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA10.
static const field_t hw_rdc_mrea10[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC10.
static const field_t hw_rdc_mrc10[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS10.
static const field_t hw_rdc_mrvs10[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA11.
static const field_t hw_rdc_mrsa11[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA11.
static const field_t hw_rdc_mrea11[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC11.
static const field_t hw_rdc_mrc11[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS11.
static const field_t hw_rdc_mrvs11[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA12.
static const field_t hw_rdc_mrsa12[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA12.
static const field_t hw_rdc_mrea12[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC12.
static const field_t hw_rdc_mrc12[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS12.
static const field_t hw_rdc_mrvs12[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA13.
static const field_t hw_rdc_mrsa13[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA13.
static const field_t hw_rdc_mrea13[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC13.
static const field_t hw_rdc_mrc13[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS13.
static const field_t hw_rdc_mrvs13[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA14.
static const field_t hw_rdc_mrsa14[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA14.
static const field_t hw_rdc_mrea14[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC14.
static const field_t hw_rdc_mrc14[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS14.
static const field_t hw_rdc_mrvs14[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA15.
static const field_t hw_rdc_mrsa15[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA15.
static const field_t hw_rdc_mrea15[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC15.
static const field_t hw_rdc_mrc15[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS15.
static const field_t hw_rdc_mrvs15[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA16.
static const field_t hw_rdc_mrsa16[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA16.
static const field_t hw_rdc_mrea16[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC16.
static const field_t hw_rdc_mrc16[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS16.
static const field_t hw_rdc_mrvs16[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA17.
static const field_t hw_rdc_mrsa17[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA17.
static const field_t hw_rdc_mrea17[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC17.
static const field_t hw_rdc_mrc17[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS17.
static const field_t hw_rdc_mrvs17[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA18.
static const field_t hw_rdc_mrsa18[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA18.
static const field_t hw_rdc_mrea18[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC18.
static const field_t hw_rdc_mrc18[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS18.
static const field_t hw_rdc_mrvs18[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA19.
static const field_t hw_rdc_mrsa19[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA19.
static const field_t hw_rdc_mrea19[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC19.
static const field_t hw_rdc_mrc19[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS19.
static const field_t hw_rdc_mrvs19[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA20.
static const field_t hw_rdc_mrsa20[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA20.
static const field_t hw_rdc_mrea20[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC20.
static const field_t hw_rdc_mrc20[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS20.
static const field_t hw_rdc_mrvs20[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA21.
static const field_t hw_rdc_mrsa21[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA21.
static const field_t hw_rdc_mrea21[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC21.
static const field_t hw_rdc_mrc21[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS21.
static const field_t hw_rdc_mrvs21[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA22.
static const field_t hw_rdc_mrsa22[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA22.
static const field_t hw_rdc_mrea22[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC22.
static const field_t hw_rdc_mrc22[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS22.
static const field_t hw_rdc_mrvs22[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA23.
static const field_t hw_rdc_mrsa23[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA23.
static const field_t hw_rdc_mrea23[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC23.
static const field_t hw_rdc_mrc23[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS23.
static const field_t hw_rdc_mrvs23[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA24.
static const field_t hw_rdc_mrsa24[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA24.
static const field_t hw_rdc_mrea24[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC24.
static const field_t hw_rdc_mrc24[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS24.
static const field_t hw_rdc_mrvs24[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA25.
static const field_t hw_rdc_mrsa25[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA25.
static const field_t hw_rdc_mrea25[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC25.
static const field_t hw_rdc_mrc25[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS25.
static const field_t hw_rdc_mrvs25[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA26.
static const field_t hw_rdc_mrsa26[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA26.
static const field_t hw_rdc_mrea26[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC26.
static const field_t hw_rdc_mrc26[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS26.
static const field_t hw_rdc_mrvs26[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA27.
static const field_t hw_rdc_mrsa27[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA27.
static const field_t hw_rdc_mrea27[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC27.
static const field_t hw_rdc_mrc27[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS27.
static const field_t hw_rdc_mrvs27[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA28.
static const field_t hw_rdc_mrsa28[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA28.
static const field_t hw_rdc_mrea28[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC28.
static const field_t hw_rdc_mrc28[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS28.
static const field_t hw_rdc_mrvs28[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA29.
static const field_t hw_rdc_mrsa29[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA29.
static const field_t hw_rdc_mrea29[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC29.
static const field_t hw_rdc_mrc29[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS29.
static const field_t hw_rdc_mrvs29[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA30.
static const field_t hw_rdc_mrsa30[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA30.
static const field_t hw_rdc_mrea30[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC30.
static const field_t hw_rdc_mrc30[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS30.
static const field_t hw_rdc_mrvs30[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA31.
static const field_t hw_rdc_mrsa31[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA31.
static const field_t hw_rdc_mrea31[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC31.
static const field_t hw_rdc_mrc31[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS31.
static const field_t hw_rdc_mrvs31[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA32.
static const field_t hw_rdc_mrsa32[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA32.
static const field_t hw_rdc_mrea32[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC32.
static const field_t hw_rdc_mrc32[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS32.
static const field_t hw_rdc_mrvs32[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA33.
static const field_t hw_rdc_mrsa33[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA33.
static const field_t hw_rdc_mrea33[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC33.
static const field_t hw_rdc_mrc33[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS33.
static const field_t hw_rdc_mrvs33[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA34.
static const field_t hw_rdc_mrsa34[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA34.
static const field_t hw_rdc_mrea34[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC34.
static const field_t hw_rdc_mrc34[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS34.
static const field_t hw_rdc_mrvs34[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA35.
static const field_t hw_rdc_mrsa35[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA35.
static const field_t hw_rdc_mrea35[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC35.
static const field_t hw_rdc_mrc35[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS35.
static const field_t hw_rdc_mrvs35[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA36.
static const field_t hw_rdc_mrsa36[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA36.
static const field_t hw_rdc_mrea36[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC36.
static const field_t hw_rdc_mrc36[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS36.
static const field_t hw_rdc_mrvs36[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA37.
static const field_t hw_rdc_mrsa37[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA37.
static const field_t hw_rdc_mrea37[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC37.
static const field_t hw_rdc_mrc37[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS37.
static const field_t hw_rdc_mrvs37[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA38.
static const field_t hw_rdc_mrsa38[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA38.
static const field_t hw_rdc_mrea38[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC38.
static const field_t hw_rdc_mrc38[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS38.
static const field_t hw_rdc_mrvs38[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA39.
static const field_t hw_rdc_mrsa39[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA39.
static const field_t hw_rdc_mrea39[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC39.
static const field_t hw_rdc_mrc39[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS39.
static const field_t hw_rdc_mrvs39[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA40.
static const field_t hw_rdc_mrsa40[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA40.
static const field_t hw_rdc_mrea40[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC40.
static const field_t hw_rdc_mrc40[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS40.
static const field_t hw_rdc_mrvs40[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA41.
static const field_t hw_rdc_mrsa41[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA41.
static const field_t hw_rdc_mrea41[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC41.
static const field_t hw_rdc_mrc41[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS41.
static const field_t hw_rdc_mrvs41[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA42.
static const field_t hw_rdc_mrsa42[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA42.
static const field_t hw_rdc_mrea42[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC42.
static const field_t hw_rdc_mrc42[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS42.
static const field_t hw_rdc_mrvs42[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA43.
static const field_t hw_rdc_mrsa43[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA43.
static const field_t hw_rdc_mrea43[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC43.
static const field_t hw_rdc_mrc43[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS43.
static const field_t hw_rdc_mrvs43[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA44.
static const field_t hw_rdc_mrsa44[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA44.
static const field_t hw_rdc_mrea44[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC44.
static const field_t hw_rdc_mrc44[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS44.
static const field_t hw_rdc_mrvs44[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA45.
static const field_t hw_rdc_mrsa45[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA45.
static const field_t hw_rdc_mrea45[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC45.
static const field_t hw_rdc_mrc45[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS45.
static const field_t hw_rdc_mrvs45[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA46.
static const field_t hw_rdc_mrsa46[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA46.
static const field_t hw_rdc_mrea46[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC46.
static const field_t hw_rdc_mrc46[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS46.
static const field_t hw_rdc_mrvs46[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA47.
static const field_t hw_rdc_mrsa47[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA47.
static const field_t hw_rdc_mrea47[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC47.
static const field_t hw_rdc_mrc47[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS47.
static const field_t hw_rdc_mrvs47[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA48.
static const field_t hw_rdc_mrsa48[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA48.
static const field_t hw_rdc_mrea48[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC48.
static const field_t hw_rdc_mrc48[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS48.
static const field_t hw_rdc_mrvs48[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA49.
static const field_t hw_rdc_mrsa49[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA49.
static const field_t hw_rdc_mrea49[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC49.
static const field_t hw_rdc_mrc49[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS49.
static const field_t hw_rdc_mrvs49[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA50.
static const field_t hw_rdc_mrsa50[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA50.
static const field_t hw_rdc_mrea50[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC50.
static const field_t hw_rdc_mrc50[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS50.
static const field_t hw_rdc_mrvs50[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA51.
static const field_t hw_rdc_mrsa51[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA51.
static const field_t hw_rdc_mrea51[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC51.
static const field_t hw_rdc_mrc51[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS51.
static const field_t hw_rdc_mrvs51[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a RDC module.
static const reg_t hw_rdc[] =
{
    {
        "VIR",
        "The VIR provides version information including the number of domains, "
        "number of master slots, number of peripheral slots, and number of memo"
        "ry regions.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_rdc_vir
    },
    {
        "STAT",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_stat
    },
    {
        "INTCTRL",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_intctrl
    },
    {
        "INTSTAT",
        "Indication of Interrupt Pending for State Restoration",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_intstat
    },
    {
        "MDA0",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda0
    },
    {
        "MDA1",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda1
    },
    {
        "MDA2",
        "",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda2
    },
    {
        "MDA3",
        "",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda3
    },
    {
        "MDA4",
        "",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda4
    },
    {
        "MDA5",
        "",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda5
    },
    {
        "MDA6",
        "",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda6
    },
    {
        "MDA7",
        "",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda7
    },
    {
        "MDA8",
        "",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda8
    },
    {
        "MDA9",
        "",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda9
    },
    {
        "MDA10",
        "",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda10
    },
    {
        "MDA11",
        "",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda11
    },
    {
        "MDA12",
        "",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda12
    },
    {
        "MDA13",
        "",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda13
    },
    {
        "MDA14",
        "",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda14
    },
    {
        "MDA15",
        "",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda15
    },
    {
        "MDA16",
        "",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda16
    },
    {
        "MDA17",
        "",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda17
    },
    {
        "MDA18",
        "",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda18
    },
    {
        "MDA19",
        "",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda19
    },
    {
        "MDA20",
        "",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda20
    },
    {
        "MDA21",
        "",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda21
    },
    {
        "MDA22",
        "",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda22
    },
    {
        "MDA23",
        "",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda23
    },
    {
        "MDA24",
        "",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda24
    },
    {
        "MDA25",
        "",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda25
    },
    {
        "MDA26",
        "",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda26
    },
    {
        "PDAP0",
        "",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap0
    },
    {
        "PDAP1",
        "",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap1
    },
    {
        "PDAP2",
        "",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap2
    },
    {
        "PDAP3",
        "",
        4, // Width in bytes
        0x0000040c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap3
    },
    {
        "PDAP4",
        "",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap4
    },
    {
        "PDAP5",
        "",
        4, // Width in bytes
        0x00000414, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap5
    },
    {
        "PDAP6",
        "",
        4, // Width in bytes
        0x00000418, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap6
    },
    {
        "PDAP7",
        "",
        4, // Width in bytes
        0x0000041c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap7
    },
    {
        "PDAP8",
        "",
        4, // Width in bytes
        0x00000420, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap8
    },
    {
        "PDAP9",
        "",
        4, // Width in bytes
        0x00000424, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap9
    },
    {
        "PDAP10",
        "",
        4, // Width in bytes
        0x00000428, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap10
    },
    {
        "PDAP11",
        "",
        4, // Width in bytes
        0x0000042c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap11
    },
    {
        "PDAP12",
        "",
        4, // Width in bytes
        0x00000430, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap12
    },
    {
        "PDAP13",
        "",
        4, // Width in bytes
        0x00000434, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap13
    },
    {
        "PDAP14",
        "",
        4, // Width in bytes
        0x00000438, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap14
    },
    {
        "PDAP15",
        "",
        4, // Width in bytes
        0x0000043c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap15
    },
    {
        "PDAP16",
        "",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap16
    },
    {
        "PDAP17",
        "",
        4, // Width in bytes
        0x00000444, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap17
    },
    {
        "PDAP18",
        "",
        4, // Width in bytes
        0x00000448, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap18
    },
    {
        "PDAP19",
        "",
        4, // Width in bytes
        0x0000044c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap19
    },
    {
        "PDAP20",
        "",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap20
    },
    {
        "PDAP21",
        "",
        4, // Width in bytes
        0x00000454, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap21
    },
    {
        "PDAP22",
        "",
        4, // Width in bytes
        0x00000458, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap22
    },
    {
        "PDAP23",
        "",
        4, // Width in bytes
        0x0000045c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap23
    },
    {
        "PDAP24",
        "",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap24
    },
    {
        "PDAP25",
        "",
        4, // Width in bytes
        0x00000464, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap25
    },
    {
        "PDAP26",
        "",
        4, // Width in bytes
        0x00000468, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap26
    },
    {
        "PDAP27",
        "",
        4, // Width in bytes
        0x0000046c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap27
    },
    {
        "PDAP28",
        "",
        4, // Width in bytes
        0x00000470, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap28
    },
    {
        "PDAP29",
        "",
        4, // Width in bytes
        0x00000474, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap29
    },
    {
        "PDAP30",
        "",
        4, // Width in bytes
        0x00000478, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap30
    },
    {
        "PDAP31",
        "",
        4, // Width in bytes
        0x0000047c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap31
    },
    {
        "PDAP32",
        "",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap32
    },
    {
        "PDAP33",
        "",
        4, // Width in bytes
        0x00000484, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap33
    },
    {
        "PDAP34",
        "",
        4, // Width in bytes
        0x00000488, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap34
    },
    {
        "PDAP35",
        "",
        4, // Width in bytes
        0x0000048c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap35
    },
    {
        "PDAP36",
        "",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap36
    },
    {
        "PDAP37",
        "",
        4, // Width in bytes
        0x00000494, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap37
    },
    {
        "PDAP38",
        "",
        4, // Width in bytes
        0x00000498, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap38
    },
    {
        "PDAP39",
        "",
        4, // Width in bytes
        0x0000049c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap39
    },
    {
        "PDAP40",
        "",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap40
    },
    {
        "PDAP41",
        "",
        4, // Width in bytes
        0x000004a4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap41
    },
    {
        "PDAP42",
        "",
        4, // Width in bytes
        0x000004a8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap42
    },
    {
        "PDAP43",
        "",
        4, // Width in bytes
        0x000004ac, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap43
    },
    {
        "PDAP44",
        "",
        4, // Width in bytes
        0x000004b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap44
    },
    {
        "PDAP45",
        "",
        4, // Width in bytes
        0x000004b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap45
    },
    {
        "PDAP46",
        "",
        4, // Width in bytes
        0x000004b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap46
    },
    {
        "PDAP47",
        "",
        4, // Width in bytes
        0x000004bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap47
    },
    {
        "PDAP48",
        "",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap48
    },
    {
        "PDAP49",
        "",
        4, // Width in bytes
        0x000004c4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap49
    },
    {
        "PDAP50",
        "",
        4, // Width in bytes
        0x000004c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap50
    },
    {
        "PDAP51",
        "",
        4, // Width in bytes
        0x000004cc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap51
    },
    {
        "PDAP52",
        "",
        4, // Width in bytes
        0x000004d0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap52
    },
    {
        "PDAP53",
        "",
        4, // Width in bytes
        0x000004d4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap53
    },
    {
        "PDAP54",
        "",
        4, // Width in bytes
        0x000004d8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap54
    },
    {
        "PDAP55",
        "",
        4, // Width in bytes
        0x000004dc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap55
    },
    {
        "PDAP56",
        "",
        4, // Width in bytes
        0x000004e0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap56
    },
    {
        "PDAP57",
        "",
        4, // Width in bytes
        0x000004e4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap57
    },
    {
        "PDAP58",
        "",
        4, // Width in bytes
        0x000004e8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap58
    },
    {
        "PDAP59",
        "",
        4, // Width in bytes
        0x000004ec, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap59
    },
    {
        "PDAP60",
        "",
        4, // Width in bytes
        0x000004f0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap60
    },
    {
        "PDAP61",
        "",
        4, // Width in bytes
        0x000004f4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap61
    },
    {
        "PDAP62",
        "",
        4, // Width in bytes
        0x000004f8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap62
    },
    {
        "PDAP63",
        "",
        4, // Width in bytes
        0x000004fc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap63
    },
    {
        "PDAP64",
        "",
        4, // Width in bytes
        0x00000500, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap64
    },
    {
        "PDAP65",
        "",
        4, // Width in bytes
        0x00000504, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap65
    },
    {
        "PDAP66",
        "",
        4, // Width in bytes
        0x00000508, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap66
    },
    {
        "PDAP67",
        "",
        4, // Width in bytes
        0x0000050c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap67
    },
    {
        "PDAP68",
        "",
        4, // Width in bytes
        0x00000510, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap68
    },
    {
        "PDAP69",
        "",
        4, // Width in bytes
        0x00000514, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap69
    },
    {
        "PDAP70",
        "",
        4, // Width in bytes
        0x00000518, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap70
    },
    {
        "PDAP71",
        "",
        4, // Width in bytes
        0x0000051c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap71
    },
    {
        "PDAP72",
        "",
        4, // Width in bytes
        0x00000520, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap72
    },
    {
        "PDAP73",
        "",
        4, // Width in bytes
        0x00000524, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap73
    },
    {
        "PDAP74",
        "",
        4, // Width in bytes
        0x00000528, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap74
    },
    {
        "PDAP75",
        "",
        4, // Width in bytes
        0x0000052c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap75
    },
    {
        "PDAP76",
        "",
        4, // Width in bytes
        0x00000530, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap76
    },
    {
        "PDAP77",
        "",
        4, // Width in bytes
        0x00000534, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap77
    },
    {
        "PDAP78",
        "",
        4, // Width in bytes
        0x00000538, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap78
    },
    {
        "PDAP79",
        "",
        4, // Width in bytes
        0x0000053c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap79
    },
    {
        "PDAP80",
        "",
        4, // Width in bytes
        0x00000540, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap80
    },
    {
        "PDAP81",
        "",
        4, // Width in bytes
        0x00000544, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap81
    },
    {
        "PDAP82",
        "",
        4, // Width in bytes
        0x00000548, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap82
    },
    {
        "PDAP83",
        "",
        4, // Width in bytes
        0x0000054c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap83
    },
    {
        "PDAP84",
        "",
        4, // Width in bytes
        0x00000550, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap84
    },
    {
        "PDAP85",
        "",
        4, // Width in bytes
        0x00000554, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap85
    },
    {
        "PDAP86",
        "",
        4, // Width in bytes
        0x00000558, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap86
    },
    {
        "PDAP87",
        "",
        4, // Width in bytes
        0x0000055c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap87
    },
    {
        "PDAP88",
        "",
        4, // Width in bytes
        0x00000560, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap88
    },
    {
        "PDAP89",
        "",
        4, // Width in bytes
        0x00000564, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap89
    },
    {
        "PDAP90",
        "",
        4, // Width in bytes
        0x00000568, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap90
    },
    {
        "PDAP91",
        "",
        4, // Width in bytes
        0x0000056c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap91
    },
    {
        "PDAP92",
        "",
        4, // Width in bytes
        0x00000570, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap92
    },
    {
        "PDAP93",
        "",
        4, // Width in bytes
        0x00000574, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap93
    },
    {
        "PDAP94",
        "",
        4, // Width in bytes
        0x00000578, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap94
    },
    {
        "PDAP95",
        "",
        4, // Width in bytes
        0x0000057c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap95
    },
    {
        "PDAP96",
        "",
        4, // Width in bytes
        0x00000580, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap96
    },
    {
        "PDAP97",
        "",
        4, // Width in bytes
        0x00000584, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap97
    },
    {
        "PDAP98",
        "",
        4, // Width in bytes
        0x00000588, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap98
    },
    {
        "PDAP99",
        "",
        4, // Width in bytes
        0x0000058c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap99
    },
    {
        "PDAP100",
        "",
        4, // Width in bytes
        0x00000590, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap100
    },
    {
        "PDAP101",
        "",
        4, // Width in bytes
        0x00000594, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap101
    },
    {
        "PDAP102",
        "",
        4, // Width in bytes
        0x00000598, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap102
    },
    {
        "PDAP103",
        "",
        4, // Width in bytes
        0x0000059c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap103
    },
    {
        "PDAP104",
        "",
        4, // Width in bytes
        0x000005a0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap104
    },
    {
        "PDAP105",
        "",
        4, // Width in bytes
        0x000005a4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap105
    },
    {
        "PDAP106",
        "",
        4, // Width in bytes
        0x000005a8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap106
    },
    {
        "PDAP107",
        "",
        4, // Width in bytes
        0x000005ac, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap107
    },
    {
        "PDAP108",
        "",
        4, // Width in bytes
        0x000005b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap108
    },
    {
        "PDAP109",
        "",
        4, // Width in bytes
        0x000005b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap109
    },
    {
        "PDAP110",
        "",
        4, // Width in bytes
        0x000005b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap110
    },
    {
        "PDAP111",
        "",
        4, // Width in bytes
        0x000005bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap111
    },
    {
        "PDAP112",
        "",
        4, // Width in bytes
        0x000005c0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap112
    },
    {
        "PDAP113",
        "",
        4, // Width in bytes
        0x000005c4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap113
    },
    {
        "PDAP114",
        "",
        4, // Width in bytes
        0x000005c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap114
    },
    {
        "PDAP115",
        "",
        4, // Width in bytes
        0x000005cc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap115
    },
    {
        "PDAP116",
        "",
        4, // Width in bytes
        0x000005d0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap116
    },
    {
        "PDAP117",
        "",
        4, // Width in bytes
        0x000005d4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap117
    },
    {
        "MRSA0",
        "",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa0
    },
    {
        "MREA0",
        "",
        4, // Width in bytes
        0x00000804, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea0
    },
    {
        "MRC0",
        "",
        4, // Width in bytes
        0x00000808, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc0
    },
    {
        "MRVS0",
        "",
        4, // Width in bytes
        0x0000080c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs0
    },
    {
        "MRSA1",
        "",
        4, // Width in bytes
        0x00000810, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa1
    },
    {
        "MREA1",
        "",
        4, // Width in bytes
        0x00000814, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea1
    },
    {
        "MRC1",
        "",
        4, // Width in bytes
        0x00000818, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc1
    },
    {
        "MRVS1",
        "",
        4, // Width in bytes
        0x0000081c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs1
    },
    {
        "MRSA2",
        "",
        4, // Width in bytes
        0x00000820, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa2
    },
    {
        "MREA2",
        "",
        4, // Width in bytes
        0x00000824, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea2
    },
    {
        "MRC2",
        "",
        4, // Width in bytes
        0x00000828, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc2
    },
    {
        "MRVS2",
        "",
        4, // Width in bytes
        0x0000082c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs2
    },
    {
        "MRSA3",
        "",
        4, // Width in bytes
        0x00000830, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa3
    },
    {
        "MREA3",
        "",
        4, // Width in bytes
        0x00000834, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea3
    },
    {
        "MRC3",
        "",
        4, // Width in bytes
        0x00000838, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc3
    },
    {
        "MRVS3",
        "",
        4, // Width in bytes
        0x0000083c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs3
    },
    {
        "MRSA4",
        "",
        4, // Width in bytes
        0x00000840, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa4
    },
    {
        "MREA4",
        "",
        4, // Width in bytes
        0x00000844, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea4
    },
    {
        "MRC4",
        "",
        4, // Width in bytes
        0x00000848, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc4
    },
    {
        "MRVS4",
        "",
        4, // Width in bytes
        0x0000084c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs4
    },
    {
        "MRSA5",
        "",
        4, // Width in bytes
        0x00000850, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa5
    },
    {
        "MREA5",
        "",
        4, // Width in bytes
        0x00000854, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea5
    },
    {
        "MRC5",
        "",
        4, // Width in bytes
        0x00000858, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc5
    },
    {
        "MRVS5",
        "",
        4, // Width in bytes
        0x0000085c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs5
    },
    {
        "MRSA6",
        "",
        4, // Width in bytes
        0x00000860, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa6
    },
    {
        "MREA6",
        "",
        4, // Width in bytes
        0x00000864, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea6
    },
    {
        "MRC6",
        "",
        4, // Width in bytes
        0x00000868, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc6
    },
    {
        "MRVS6",
        "",
        4, // Width in bytes
        0x0000086c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs6
    },
    {
        "MRSA7",
        "",
        4, // Width in bytes
        0x00000870, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa7
    },
    {
        "MREA7",
        "",
        4, // Width in bytes
        0x00000874, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea7
    },
    {
        "MRC7",
        "",
        4, // Width in bytes
        0x00000878, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc7
    },
    {
        "MRVS7",
        "",
        4, // Width in bytes
        0x0000087c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs7
    },
    {
        "MRSA8",
        "",
        4, // Width in bytes
        0x00000880, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa8
    },
    {
        "MREA8",
        "",
        4, // Width in bytes
        0x00000884, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea8
    },
    {
        "MRC8",
        "",
        4, // Width in bytes
        0x00000888, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc8
    },
    {
        "MRVS8",
        "",
        4, // Width in bytes
        0x0000088c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs8
    },
    {
        "MRSA9",
        "",
        4, // Width in bytes
        0x00000890, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa9
    },
    {
        "MREA9",
        "",
        4, // Width in bytes
        0x00000894, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea9
    },
    {
        "MRC9",
        "",
        4, // Width in bytes
        0x00000898, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc9
    },
    {
        "MRVS9",
        "",
        4, // Width in bytes
        0x0000089c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs9
    },
    {
        "MRSA10",
        "",
        4, // Width in bytes
        0x000008a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa10
    },
    {
        "MREA10",
        "",
        4, // Width in bytes
        0x000008a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea10
    },
    {
        "MRC10",
        "",
        4, // Width in bytes
        0x000008a8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc10
    },
    {
        "MRVS10",
        "",
        4, // Width in bytes
        0x000008ac, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs10
    },
    {
        "MRSA11",
        "",
        4, // Width in bytes
        0x000008b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa11
    },
    {
        "MREA11",
        "",
        4, // Width in bytes
        0x000008b4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea11
    },
    {
        "MRC11",
        "",
        4, // Width in bytes
        0x000008b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc11
    },
    {
        "MRVS11",
        "",
        4, // Width in bytes
        0x000008bc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs11
    },
    {
        "MRSA12",
        "",
        4, // Width in bytes
        0x000008c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa12
    },
    {
        "MREA12",
        "",
        4, // Width in bytes
        0x000008c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea12
    },
    {
        "MRC12",
        "",
        4, // Width in bytes
        0x000008c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc12
    },
    {
        "MRVS12",
        "",
        4, // Width in bytes
        0x000008cc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs12
    },
    {
        "MRSA13",
        "",
        4, // Width in bytes
        0x000008d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa13
    },
    {
        "MREA13",
        "",
        4, // Width in bytes
        0x000008d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea13
    },
    {
        "MRC13",
        "",
        4, // Width in bytes
        0x000008d8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc13
    },
    {
        "MRVS13",
        "",
        4, // Width in bytes
        0x000008dc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs13
    },
    {
        "MRSA14",
        "",
        4, // Width in bytes
        0x000008e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa14
    },
    {
        "MREA14",
        "",
        4, // Width in bytes
        0x000008e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea14
    },
    {
        "MRC14",
        "",
        4, // Width in bytes
        0x000008e8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc14
    },
    {
        "MRVS14",
        "",
        4, // Width in bytes
        0x000008ec, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs14
    },
    {
        "MRSA15",
        "",
        4, // Width in bytes
        0x000008f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa15
    },
    {
        "MREA15",
        "",
        4, // Width in bytes
        0x000008f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea15
    },
    {
        "MRC15",
        "",
        4, // Width in bytes
        0x000008f8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc15
    },
    {
        "MRVS15",
        "",
        4, // Width in bytes
        0x000008fc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs15
    },
    {
        "MRSA16",
        "",
        4, // Width in bytes
        0x00000900, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa16
    },
    {
        "MREA16",
        "",
        4, // Width in bytes
        0x00000904, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea16
    },
    {
        "MRC16",
        "",
        4, // Width in bytes
        0x00000908, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc16
    },
    {
        "MRVS16",
        "",
        4, // Width in bytes
        0x0000090c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs16
    },
    {
        "MRSA17",
        "",
        4, // Width in bytes
        0x00000910, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa17
    },
    {
        "MREA17",
        "",
        4, // Width in bytes
        0x00000914, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea17
    },
    {
        "MRC17",
        "",
        4, // Width in bytes
        0x00000918, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc17
    },
    {
        "MRVS17",
        "",
        4, // Width in bytes
        0x0000091c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs17
    },
    {
        "MRSA18",
        "",
        4, // Width in bytes
        0x00000920, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa18
    },
    {
        "MREA18",
        "",
        4, // Width in bytes
        0x00000924, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea18
    },
    {
        "MRC18",
        "",
        4, // Width in bytes
        0x00000928, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc18
    },
    {
        "MRVS18",
        "",
        4, // Width in bytes
        0x0000092c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs18
    },
    {
        "MRSA19",
        "",
        4, // Width in bytes
        0x00000930, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa19
    },
    {
        "MREA19",
        "",
        4, // Width in bytes
        0x00000934, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea19
    },
    {
        "MRC19",
        "",
        4, // Width in bytes
        0x00000938, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc19
    },
    {
        "MRVS19",
        "",
        4, // Width in bytes
        0x0000093c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs19
    },
    {
        "MRSA20",
        "",
        4, // Width in bytes
        0x00000940, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa20
    },
    {
        "MREA20",
        "",
        4, // Width in bytes
        0x00000944, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea20
    },
    {
        "MRC20",
        "",
        4, // Width in bytes
        0x00000948, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc20
    },
    {
        "MRVS20",
        "",
        4, // Width in bytes
        0x0000094c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs20
    },
    {
        "MRSA21",
        "",
        4, // Width in bytes
        0x00000950, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa21
    },
    {
        "MREA21",
        "",
        4, // Width in bytes
        0x00000954, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea21
    },
    {
        "MRC21",
        "",
        4, // Width in bytes
        0x00000958, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc21
    },
    {
        "MRVS21",
        "",
        4, // Width in bytes
        0x0000095c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs21
    },
    {
        "MRSA22",
        "",
        4, // Width in bytes
        0x00000960, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa22
    },
    {
        "MREA22",
        "",
        4, // Width in bytes
        0x00000964, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea22
    },
    {
        "MRC22",
        "",
        4, // Width in bytes
        0x00000968, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc22
    },
    {
        "MRVS22",
        "",
        4, // Width in bytes
        0x0000096c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs22
    },
    {
        "MRSA23",
        "",
        4, // Width in bytes
        0x00000970, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa23
    },
    {
        "MREA23",
        "",
        4, // Width in bytes
        0x00000974, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea23
    },
    {
        "MRC23",
        "",
        4, // Width in bytes
        0x00000978, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc23
    },
    {
        "MRVS23",
        "",
        4, // Width in bytes
        0x0000097c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs23
    },
    {
        "MRSA24",
        "",
        4, // Width in bytes
        0x00000980, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa24
    },
    {
        "MREA24",
        "",
        4, // Width in bytes
        0x00000984, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea24
    },
    {
        "MRC24",
        "",
        4, // Width in bytes
        0x00000988, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc24
    },
    {
        "MRVS24",
        "",
        4, // Width in bytes
        0x0000098c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs24
    },
    {
        "MRSA25",
        "",
        4, // Width in bytes
        0x00000990, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa25
    },
    {
        "MREA25",
        "",
        4, // Width in bytes
        0x00000994, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea25
    },
    {
        "MRC25",
        "",
        4, // Width in bytes
        0x00000998, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc25
    },
    {
        "MRVS25",
        "",
        4, // Width in bytes
        0x0000099c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs25
    },
    {
        "MRSA26",
        "",
        4, // Width in bytes
        0x000009a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa26
    },
    {
        "MREA26",
        "",
        4, // Width in bytes
        0x000009a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea26
    },
    {
        "MRC26",
        "",
        4, // Width in bytes
        0x000009a8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc26
    },
    {
        "MRVS26",
        "",
        4, // Width in bytes
        0x000009ac, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs26
    },
    {
        "MRSA27",
        "",
        4, // Width in bytes
        0x000009b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa27
    },
    {
        "MREA27",
        "",
        4, // Width in bytes
        0x000009b4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea27
    },
    {
        "MRC27",
        "",
        4, // Width in bytes
        0x000009b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc27
    },
    {
        "MRVS27",
        "",
        4, // Width in bytes
        0x000009bc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs27
    },
    {
        "MRSA28",
        "",
        4, // Width in bytes
        0x000009c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa28
    },
    {
        "MREA28",
        "",
        4, // Width in bytes
        0x000009c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea28
    },
    {
        "MRC28",
        "",
        4, // Width in bytes
        0x000009c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc28
    },
    {
        "MRVS28",
        "",
        4, // Width in bytes
        0x000009cc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs28
    },
    {
        "MRSA29",
        "",
        4, // Width in bytes
        0x000009d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa29
    },
    {
        "MREA29",
        "",
        4, // Width in bytes
        0x000009d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea29
    },
    {
        "MRC29",
        "",
        4, // Width in bytes
        0x000009d8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc29
    },
    {
        "MRVS29",
        "",
        4, // Width in bytes
        0x000009dc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs29
    },
    {
        "MRSA30",
        "",
        4, // Width in bytes
        0x000009e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa30
    },
    {
        "MREA30",
        "",
        4, // Width in bytes
        0x000009e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea30
    },
    {
        "MRC30",
        "",
        4, // Width in bytes
        0x000009e8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc30
    },
    {
        "MRVS30",
        "",
        4, // Width in bytes
        0x000009ec, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs30
    },
    {
        "MRSA31",
        "",
        4, // Width in bytes
        0x000009f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa31
    },
    {
        "MREA31",
        "",
        4, // Width in bytes
        0x000009f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea31
    },
    {
        "MRC31",
        "",
        4, // Width in bytes
        0x000009f8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc31
    },
    {
        "MRVS31",
        "",
        4, // Width in bytes
        0x000009fc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs31
    },
    {
        "MRSA32",
        "",
        4, // Width in bytes
        0x00000a00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa32
    },
    {
        "MREA32",
        "",
        4, // Width in bytes
        0x00000a04, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea32
    },
    {
        "MRC32",
        "",
        4, // Width in bytes
        0x00000a08, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc32
    },
    {
        "MRVS32",
        "",
        4, // Width in bytes
        0x00000a0c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs32
    },
    {
        "MRSA33",
        "",
        4, // Width in bytes
        0x00000a10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa33
    },
    {
        "MREA33",
        "",
        4, // Width in bytes
        0x00000a14, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea33
    },
    {
        "MRC33",
        "",
        4, // Width in bytes
        0x00000a18, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc33
    },
    {
        "MRVS33",
        "",
        4, // Width in bytes
        0x00000a1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs33
    },
    {
        "MRSA34",
        "",
        4, // Width in bytes
        0x00000a20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa34
    },
    {
        "MREA34",
        "",
        4, // Width in bytes
        0x00000a24, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea34
    },
    {
        "MRC34",
        "",
        4, // Width in bytes
        0x00000a28, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc34
    },
    {
        "MRVS34",
        "",
        4, // Width in bytes
        0x00000a2c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs34
    },
    {
        "MRSA35",
        "",
        4, // Width in bytes
        0x00000a30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa35
    },
    {
        "MREA35",
        "",
        4, // Width in bytes
        0x00000a34, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea35
    },
    {
        "MRC35",
        "",
        4, // Width in bytes
        0x00000a38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc35
    },
    {
        "MRVS35",
        "",
        4, // Width in bytes
        0x00000a3c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs35
    },
    {
        "MRSA36",
        "",
        4, // Width in bytes
        0x00000a40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa36
    },
    {
        "MREA36",
        "",
        4, // Width in bytes
        0x00000a44, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea36
    },
    {
        "MRC36",
        "",
        4, // Width in bytes
        0x00000a48, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc36
    },
    {
        "MRVS36",
        "",
        4, // Width in bytes
        0x00000a4c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs36
    },
    {
        "MRSA37",
        "",
        4, // Width in bytes
        0x00000a50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa37
    },
    {
        "MREA37",
        "",
        4, // Width in bytes
        0x00000a54, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea37
    },
    {
        "MRC37",
        "",
        4, // Width in bytes
        0x00000a58, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc37
    },
    {
        "MRVS37",
        "",
        4, // Width in bytes
        0x00000a5c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs37
    },
    {
        "MRSA38",
        "",
        4, // Width in bytes
        0x00000a60, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa38
    },
    {
        "MREA38",
        "",
        4, // Width in bytes
        0x00000a64, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea38
    },
    {
        "MRC38",
        "",
        4, // Width in bytes
        0x00000a68, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc38
    },
    {
        "MRVS38",
        "",
        4, // Width in bytes
        0x00000a6c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs38
    },
    {
        "MRSA39",
        "",
        4, // Width in bytes
        0x00000a70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa39
    },
    {
        "MREA39",
        "",
        4, // Width in bytes
        0x00000a74, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea39
    },
    {
        "MRC39",
        "",
        4, // Width in bytes
        0x00000a78, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc39
    },
    {
        "MRVS39",
        "",
        4, // Width in bytes
        0x00000a7c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs39
    },
    {
        "MRSA40",
        "",
        4, // Width in bytes
        0x00000a80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa40
    },
    {
        "MREA40",
        "",
        4, // Width in bytes
        0x00000a84, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea40
    },
    {
        "MRC40",
        "",
        4, // Width in bytes
        0x00000a88, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc40
    },
    {
        "MRVS40",
        "",
        4, // Width in bytes
        0x00000a8c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs40
    },
    {
        "MRSA41",
        "",
        4, // Width in bytes
        0x00000a90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa41
    },
    {
        "MREA41",
        "",
        4, // Width in bytes
        0x00000a94, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea41
    },
    {
        "MRC41",
        "",
        4, // Width in bytes
        0x00000a98, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc41
    },
    {
        "MRVS41",
        "",
        4, // Width in bytes
        0x00000a9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs41
    },
    {
        "MRSA42",
        "",
        4, // Width in bytes
        0x00000aa0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa42
    },
    {
        "MREA42",
        "",
        4, // Width in bytes
        0x00000aa4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea42
    },
    {
        "MRC42",
        "",
        4, // Width in bytes
        0x00000aa8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc42
    },
    {
        "MRVS42",
        "",
        4, // Width in bytes
        0x00000aac, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs42
    },
    {
        "MRSA43",
        "",
        4, // Width in bytes
        0x00000ab0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa43
    },
    {
        "MREA43",
        "",
        4, // Width in bytes
        0x00000ab4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea43
    },
    {
        "MRC43",
        "",
        4, // Width in bytes
        0x00000ab8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc43
    },
    {
        "MRVS43",
        "",
        4, // Width in bytes
        0x00000abc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs43
    },
    {
        "MRSA44",
        "",
        4, // Width in bytes
        0x00000ac0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa44
    },
    {
        "MREA44",
        "",
        4, // Width in bytes
        0x00000ac4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea44
    },
    {
        "MRC44",
        "",
        4, // Width in bytes
        0x00000ac8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc44
    },
    {
        "MRVS44",
        "",
        4, // Width in bytes
        0x00000acc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs44
    },
    {
        "MRSA45",
        "",
        4, // Width in bytes
        0x00000ad0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa45
    },
    {
        "MREA45",
        "",
        4, // Width in bytes
        0x00000ad4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea45
    },
    {
        "MRC45",
        "",
        4, // Width in bytes
        0x00000ad8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc45
    },
    {
        "MRVS45",
        "",
        4, // Width in bytes
        0x00000adc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs45
    },
    {
        "MRSA46",
        "",
        4, // Width in bytes
        0x00000ae0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa46
    },
    {
        "MREA46",
        "",
        4, // Width in bytes
        0x00000ae4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea46
    },
    {
        "MRC46",
        "",
        4, // Width in bytes
        0x00000ae8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc46
    },
    {
        "MRVS46",
        "",
        4, // Width in bytes
        0x00000aec, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs46
    },
    {
        "MRSA47",
        "",
        4, // Width in bytes
        0x00000af0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa47
    },
    {
        "MREA47",
        "",
        4, // Width in bytes
        0x00000af4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea47
    },
    {
        "MRC47",
        "",
        4, // Width in bytes
        0x00000af8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc47
    },
    {
        "MRVS47",
        "",
        4, // Width in bytes
        0x00000afc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs47
    },
    {
        "MRSA48",
        "",
        4, // Width in bytes
        0x00000b00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa48
    },
    {
        "MREA48",
        "",
        4, // Width in bytes
        0x00000b04, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea48
    },
    {
        "MRC48",
        "",
        4, // Width in bytes
        0x00000b08, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc48
    },
    {
        "MRVS48",
        "",
        4, // Width in bytes
        0x00000b0c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs48
    },
    {
        "MRSA49",
        "",
        4, // Width in bytes
        0x00000b10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa49
    },
    {
        "MREA49",
        "",
        4, // Width in bytes
        0x00000b14, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea49
    },
    {
        "MRC49",
        "",
        4, // Width in bytes
        0x00000b18, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc49
    },
    {
        "MRVS49",
        "",
        4, // Width in bytes
        0x00000b1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs49
    },
    {
        "MRSA50",
        "",
        4, // Width in bytes
        0x00000b20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa50
    },
    {
        "MREA50",
        "",
        4, // Width in bytes
        0x00000b24, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea50
    },
    {
        "MRC50",
        "",
        4, // Width in bytes
        0x00000b28, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc50
    },
    {
        "MRVS50",
        "",
        4, // Width in bytes
        0x00000b2c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs50
    },
    {
        "MRSA51",
        "",
        4, // Width in bytes
        0x00000b30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa51
    },
    {
        "MREA51",
        "",
        4, // Width in bytes
        0x00000b34, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea51
    },
    {
        "MRC51",
        "",
        4, // Width in bytes
        0x00000b38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc51
    },
    {
        "MRVS51",
        "",
        4, // Width in bytes
        0x00000b3c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs51
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark RDC_SEMAPHORE
#endif

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE0.
static const field_t hw_rdc_semaphore_semaphore1_gate0[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE1.
static const field_t hw_rdc_semaphore_semaphore1_gate1[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE2.
static const field_t hw_rdc_semaphore_semaphore1_gate2[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE3.
static const field_t hw_rdc_semaphore_semaphore1_gate3[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE4.
static const field_t hw_rdc_semaphore_semaphore1_gate4[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE5.
static const field_t hw_rdc_semaphore_semaphore1_gate5[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE6.
static const field_t hw_rdc_semaphore_semaphore1_gate6[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE7.
static const field_t hw_rdc_semaphore_semaphore1_gate7[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE8.
static const field_t hw_rdc_semaphore_semaphore1_gate8[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE9.
static const field_t hw_rdc_semaphore_semaphore1_gate9[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE10.
static const field_t hw_rdc_semaphore_semaphore1_gate10[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE11.
static const field_t hw_rdc_semaphore_semaphore1_gate11[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE12.
static const field_t hw_rdc_semaphore_semaphore1_gate12[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE13.
static const field_t hw_rdc_semaphore_semaphore1_gate13[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE14.
static const field_t hw_rdc_semaphore_semaphore1_gate14[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE15.
static const field_t hw_rdc_semaphore_semaphore1_gate15[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE16.
static const field_t hw_rdc_semaphore_semaphore1_gate16[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE17.
static const field_t hw_rdc_semaphore_semaphore1_gate17[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE18.
static const field_t hw_rdc_semaphore_semaphore1_gate18[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE19.
static const field_t hw_rdc_semaphore_semaphore1_gate19[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE20.
static const field_t hw_rdc_semaphore_semaphore1_gate20[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE21.
static const field_t hw_rdc_semaphore_semaphore1_gate21[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE22.
static const field_t hw_rdc_semaphore_semaphore1_gate22[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE23.
static const field_t hw_rdc_semaphore_semaphore1_gate23[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE24.
static const field_t hw_rdc_semaphore_semaphore1_gate24[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE25.
static const field_t hw_rdc_semaphore_semaphore1_gate25[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE26.
static const field_t hw_rdc_semaphore_semaphore1_gate26[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE27.
static const field_t hw_rdc_semaphore_semaphore1_gate27[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE28.
static const field_t hw_rdc_semaphore_semaphore1_gate28[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE29.
static const field_t hw_rdc_semaphore_semaphore1_gate29[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE30.
static const field_t hw_rdc_semaphore_semaphore1_gate30[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE31.
static const field_t hw_rdc_semaphore_semaphore1_gate31[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE32.
static const field_t hw_rdc_semaphore_semaphore1_gate32[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE33.
static const field_t hw_rdc_semaphore_semaphore1_gate33[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE34.
static const field_t hw_rdc_semaphore_semaphore1_gate34[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE35.
static const field_t hw_rdc_semaphore_semaphore1_gate35[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE36.
static const field_t hw_rdc_semaphore_semaphore1_gate36[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE37.
static const field_t hw_rdc_semaphore_semaphore1_gate37[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE38.
static const field_t hw_rdc_semaphore_semaphore1_gate38[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE39.
static const field_t hw_rdc_semaphore_semaphore1_gate39[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE40.
static const field_t hw_rdc_semaphore_semaphore1_gate40[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE41.
static const field_t hw_rdc_semaphore_semaphore1_gate41[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE42.
static const field_t hw_rdc_semaphore_semaphore1_gate42[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE43.
static const field_t hw_rdc_semaphore_semaphore1_gate43[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE44.
static const field_t hw_rdc_semaphore_semaphore1_gate44[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE45.
static const field_t hw_rdc_semaphore_semaphore1_gate45[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE46.
static const field_t hw_rdc_semaphore_semaphore1_gate46[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE47.
static const field_t hw_rdc_semaphore_semaphore1_gate47[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE48.
static const field_t hw_rdc_semaphore_semaphore1_gate48[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE49.
static const field_t hw_rdc_semaphore_semaphore1_gate49[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE50.
static const field_t hw_rdc_semaphore_semaphore1_gate50[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE51.
static const field_t hw_rdc_semaphore_semaphore1_gate51[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE52.
static const field_t hw_rdc_semaphore_semaphore1_gate52[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE53.
static const field_t hw_rdc_semaphore_semaphore1_gate53[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE54.
static const field_t hw_rdc_semaphore_semaphore1_gate54[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE55.
static const field_t hw_rdc_semaphore_semaphore1_gate55[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE56.
static const field_t hw_rdc_semaphore_semaphore1_gate56[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE57.
static const field_t hw_rdc_semaphore_semaphore1_gate57[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE58.
static const field_t hw_rdc_semaphore_semaphore1_gate58[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE59.
static const field_t hw_rdc_semaphore_semaphore1_gate59[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE60.
static const field_t hw_rdc_semaphore_semaphore1_gate60[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE61.
static const field_t hw_rdc_semaphore_semaphore1_gate61[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE62.
static const field_t hw_rdc_semaphore_semaphore1_gate62[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_GATE63.
static const field_t hw_rdc_semaphore_semaphore1_gate63[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Bits 6-5 are read-only bits.",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_RSTGT_W.
static const field_t hw_rdc_semaphore_semaphore1_rstgt_w[] =
{
    {
        "RSTGDP",
        "Reset Gate Data Pattern.",
        0, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "RSTGTN",
        "Reset Gate Number.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_SEMAPHORE1_RSTGT_R.
static const field_t hw_rdc_semaphore_semaphore1_rstgt_r[] =
{
    {
        "RSTGMS",
        "Reset Gate Bus Master.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSTGSM",
        "Reset Gate Finite State Machine.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSTGTN",
        "Reset Gate Number.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a RDC_SEMAPHORE module.
static const reg_t hw_rdc_semaphore[] =
{
    {
        "SEMAPHORE1_GATE0",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate0
    },
    {
        "SEMAPHORE1_GATE1",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000001, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate1
    },
    {
        "SEMAPHORE1_GATE2",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000002, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate2
    },
    {
        "SEMAPHORE1_GATE3",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000003, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate3
    },
    {
        "SEMAPHORE1_GATE4",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate4
    },
    {
        "SEMAPHORE1_GATE5",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000005, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate5
    },
    {
        "SEMAPHORE1_GATE6",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000006, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate6
    },
    {
        "SEMAPHORE1_GATE7",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000007, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate7
    },
    {
        "SEMAPHORE1_GATE8",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate8
    },
    {
        "SEMAPHORE1_GATE9",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000009, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate9
    },
    {
        "SEMAPHORE1_GATE10",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000a, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate10
    },
    {
        "SEMAPHORE1_GATE11",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000b, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate11
    },
    {
        "SEMAPHORE1_GATE12",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate12
    },
    {
        "SEMAPHORE1_GATE13",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000d, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate13
    },
    {
        "SEMAPHORE1_GATE14",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000e, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate14
    },
    {
        "SEMAPHORE1_GATE15",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000f, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate15
    },
    {
        "SEMAPHORE1_GATE16",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate16
    },
    {
        "SEMAPHORE1_GATE17",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000011, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate17
    },
    {
        "SEMAPHORE1_GATE18",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000012, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate18
    },
    {
        "SEMAPHORE1_GATE19",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000013, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate19
    },
    {
        "SEMAPHORE1_GATE20",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate20
    },
    {
        "SEMAPHORE1_GATE21",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000015, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate21
    },
    {
        "SEMAPHORE1_GATE22",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000016, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate22
    },
    {
        "SEMAPHORE1_GATE23",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000017, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate23
    },
    {
        "SEMAPHORE1_GATE24",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate24
    },
    {
        "SEMAPHORE1_GATE25",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000019, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate25
    },
    {
        "SEMAPHORE1_GATE26",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001a, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate26
    },
    {
        "SEMAPHORE1_GATE27",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001b, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate27
    },
    {
        "SEMAPHORE1_GATE28",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate28
    },
    {
        "SEMAPHORE1_GATE29",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001d, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate29
    },
    {
        "SEMAPHORE1_GATE30",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001e, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate30
    },
    {
        "SEMAPHORE1_GATE31",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001f, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate31
    },
    {
        "SEMAPHORE1_GATE32",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate32
    },
    {
        "SEMAPHORE1_GATE33",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000021, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate33
    },
    {
        "SEMAPHORE1_GATE34",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000022, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate34
    },
    {
        "SEMAPHORE1_GATE35",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000023, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate35
    },
    {
        "SEMAPHORE1_GATE36",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate36
    },
    {
        "SEMAPHORE1_GATE37",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000025, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate37
    },
    {
        "SEMAPHORE1_GATE38",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000026, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate38
    },
    {
        "SEMAPHORE1_GATE39",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000027, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate39
    },
    {
        "SEMAPHORE1_GATE40",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate40
    },
    {
        "SEMAPHORE1_GATE41",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000029, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate41
    },
    {
        "SEMAPHORE1_GATE42",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002a, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate42
    },
    {
        "SEMAPHORE1_GATE43",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002b, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate43
    },
    {
        "SEMAPHORE1_GATE44",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate44
    },
    {
        "SEMAPHORE1_GATE45",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002d, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate45
    },
    {
        "SEMAPHORE1_GATE46",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002e, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate46
    },
    {
        "SEMAPHORE1_GATE47",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002f, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate47
    },
    {
        "SEMAPHORE1_GATE48",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate48
    },
    {
        "SEMAPHORE1_GATE49",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000031, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate49
    },
    {
        "SEMAPHORE1_GATE50",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000032, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate50
    },
    {
        "SEMAPHORE1_GATE51",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000033, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate51
    },
    {
        "SEMAPHORE1_GATE52",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate52
    },
    {
        "SEMAPHORE1_GATE53",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000035, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate53
    },
    {
        "SEMAPHORE1_GATE54",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000036, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate54
    },
    {
        "SEMAPHORE1_GATE55",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000037, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate55
    },
    {
        "SEMAPHORE1_GATE56",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate56
    },
    {
        "SEMAPHORE1_GATE57",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000039, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate57
    },
    {
        "SEMAPHORE1_GATE58",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003a, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate58
    },
    {
        "SEMAPHORE1_GATE59",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003b, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate59
    },
    {
        "SEMAPHORE1_GATE60",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate60
    },
    {
        "SEMAPHORE1_GATE61",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003d, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate61
    },
    {
        "SEMAPHORE1_GATE62",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003e, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate62
    },
    {
        "SEMAPHORE1_GATE63",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003f, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_gate63
    },
    {
        "SEMAPHORE1_RSTGT_W",
        "Although the intent of the hardware gate implementation specifies a pr"
        "otocol where the locking processor must unlock the gate, it is recogni"
        "zed that system operation may require a reset function to re-initializ"
        "e the state of any gate(s) without requiring a system-level reset.",
        2, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_semaphore1_rstgt_w
    },
    {
        "SEMAPHORE1_RSTGT_R",
        "Although the intent of the hardware gate implementation specifies a pr"
        "otocol where the locking processor must unlock the gate, it is recogni"
        "zed that system operation may require a reset function to re-initializ"
        "e the state of any gate(s) without requiring a system-level reset.",
        2, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_semaphore_semaphore1_rstgt_r
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark ROMC
#endif

// Bitfields in register ROMC_ROMPATCH0D.
static const field_t hw_romc_rompatch0d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH1D.
static const field_t hw_romc_rompatch1d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH2D.
static const field_t hw_romc_rompatch2d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH3D.
static const field_t hw_romc_rompatch3d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH4D.
static const field_t hw_romc_rompatch4d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH5D.
static const field_t hw_romc_rompatch5d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH6D.
static const field_t hw_romc_rompatch6d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH7D.
static const field_t hw_romc_rompatch7d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCHCNTL.
static const field_t hw_romc_rompatchcntl[] =
{
    {
        "DATAFIX",
        "Data Fix Enable - Controls the use of the first 8 address comparators "
        "for 1-word data fix or for code patch routine.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS",
        "ROMC Disable -- This bit, when set, disables all ROMC operations.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCHENH.
static const field_t hw_romc_rompatchenh[] =
{
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCHENL.
static const field_t hw_romc_rompatchenl[] =
{
    {
        "ENABLE",
        "Enable Address Comparator - This bit enables the corresponding address"
        " comparator to trigger an event.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH0A.
static const field_t hw_romc_rompatch0a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH1A.
static const field_t hw_romc_rompatch1a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH2A.
static const field_t hw_romc_rompatch2a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH3A.
static const field_t hw_romc_rompatch3a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH4A.
static const field_t hw_romc_rompatch4a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH5A.
static const field_t hw_romc_rompatch5a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH6A.
static const field_t hw_romc_rompatch6a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH7A.
static const field_t hw_romc_rompatch7a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH8A.
static const field_t hw_romc_rompatch8a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH9A.
static const field_t hw_romc_rompatch9a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH10A.
static const field_t hw_romc_rompatch10a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH11A.
static const field_t hw_romc_rompatch11a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH12A.
static const field_t hw_romc_rompatch12a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH13A.
static const field_t hw_romc_rompatch13a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH14A.
static const field_t hw_romc_rompatch14a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH15A.
static const field_t hw_romc_rompatch15a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an ARM opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCHSR.
static const field_t hw_romc_rompatchsr[] =
{
    {
        "SOURCE",
        "ROMC Source Number - Binary encoding of the number of the address comp"
        "arator which has an address match in the most recent patch event on RO"
        "MC AHB.",
        0, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW",
        "ROMC AHB Multiple Address Comparator matches Indicator - Indicates tha"
        "t multiple address comparator matches occurred.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a ROMC module.
static const reg_t hw_romc[] =
{
    {
        "ROMPATCH0D",
        "The ROMC data registers (ROMC_ROMPATCH7D through ROMC_ROMPATCH0D) stor"
        "e the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch0d
    },
    {
        "ROMPATCH1D",
        "The ROMC data registers (ROMC_ROMPATCH7D through ROMC_ROMPATCH0D) stor"
        "e the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch1d
    },
    {
        "ROMPATCH2D",
        "The ROMC data registers (ROMC_ROMPATCH7D through ROMC_ROMPATCH0D) stor"
        "e the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch2d
    },
    {
        "ROMPATCH3D",
        "The ROMC data registers (ROMC_ROMPATCH7D through ROMC_ROMPATCH0D) stor"
        "e the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch3d
    },
    {
        "ROMPATCH4D",
        "The ROMC data registers (ROMC_ROMPATCH7D through ROMC_ROMPATCH0D) stor"
        "e the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch4d
    },
    {
        "ROMPATCH5D",
        "The ROMC data registers (ROMC_ROMPATCH7D through ROMC_ROMPATCH0D) stor"
        "e the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch5d
    },
    {
        "ROMPATCH6D",
        "The ROMC data registers (ROMC_ROMPATCH7D through ROMC_ROMPATCH0D) stor"
        "e the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch6d
    },
    {
        "ROMPATCH7D",
        "The ROMC data registers (ROMC_ROMPATCH7D through ROMC_ROMPATCH0D) stor"
        "e the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch7d
    },
    {
        "ROMPATCHCNTL",
        "The ROMC control register (ROMC_ROMPATCHCNTL) contains the block disab"
        "le bit and the data fix enable bits.",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatchcntl
    },
    {
        "ROMPATCHENH",
        "The ROMC enable register high (ROMC_ROMPATCHENH) and ROMC enable regis"
        "ter low (ROMC_ROMPATCHENL) control whether or not the associated addre"
        "ss comparator can trigger a opcode patch or data fix event.",
        4, // Width in bytes
        0x000000f8, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_romc_rompatchenh
    },
    {
        "ROMPATCHENL",
        "The ROMC enable register high (ROMC_ROMPATCHENH) and ROMC enable regis"
        "ter low (ROMC_ROMPATCHENL) control whether or not the associated addre"
        "ss comparator can trigger a opcode patch or data fix event.",
        4, // Width in bytes
        0x000000fc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatchenl
    },
    {
        "ROMPATCH0A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch0a
    },
    {
        "ROMPATCH1A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch1a
    },
    {
        "ROMPATCH2A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch2a
    },
    {
        "ROMPATCH3A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch3a
    },
    {
        "ROMPATCH4A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch4a
    },
    {
        "ROMPATCH5A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch5a
    },
    {
        "ROMPATCH6A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch6a
    },
    {
        "ROMPATCH7A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch7a
    },
    {
        "ROMPATCH8A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch8a
    },
    {
        "ROMPATCH9A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch9a
    },
    {
        "ROMPATCH10A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000128, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch10a
    },
    {
        "ROMPATCH11A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x0000012c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch11a
    },
    {
        "ROMPATCH12A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch12a
    },
    {
        "ROMPATCH13A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch13a
    },
    {
        "ROMPATCH14A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch14a
    },
    {
        "ROMPATCH15A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch15a
    },
    {
        "ROMPATCHSR",
        "The ROMC status register (ROMC_ROMPATCHSR) indicates the current state"
        " of the ROMC and the source number of the most recent address comparat"
        "or event.",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatchsr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SDMAARM
#endif

// Bitfields in register SDMAARM_MC0PTR.
static const field_t hw_sdmaarm_mc0ptr[] =
{
    {
        "MC0PTR",
        "Channel 0 Pointer contains the 32-bit address, in ARM platform memory,"
        " of channel 0 control block (the boot channel).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_INTR.
static const field_t hw_sdmaarm_intr[] =
{
    {
        "HI",
        "The ARM platform Interrupts register contains the 32 HI[i] bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_STOP_STAT.
static const field_t hw_sdmaarm_stop_stat[] =
{
    {
        "HE",
        "This 32-bit register gives access to the ARM platform Enable bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_HSTART.
static const field_t hw_sdmaarm_hstart[] =
{
    {
        "HSTART_HE",
        "The HSTART_HE registers are 32 bits wide with one bit for every channe"
        "l.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVTOVR.
static const field_t hw_sdmaarm_evtovr[] =
{
    {
        "EO",
        "The Channel Event Override register contains the 32 EO[i] bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_DSPOVR.
static const field_t hw_sdmaarm_dspovr[] =
{
    {
        "DO",
        "This register is reserved.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_HOSTOVR.
static const field_t hw_sdmaarm_hostovr[] =
{
    {
        "HO",
        "The Channel ARM platform Override register contains the 32 HO[i] bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVTPEND.
static const field_t hw_sdmaarm_evtpend[] =
{
    {
        "EP",
        "The Channel Event Pending register contains the 32 EP[i] bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_RESET.
static const field_t hw_sdmaarm_reset[] =
{
    {
        "RESET",
        "When set, this bit causes the SDMA to be held in a software reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESCHED",
        "When set, this bit forces the SDMA to reschedule as if a script had ex"
        "ecuted a done instruction.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVTERR.
static const field_t hw_sdmaarm_evterr[] =
{
    {
        "CHNERR",
        "This register is used by the SDMA to warn the ARM platform when an inc"
        "oming DMA request was detected and it triggers a channel that is alrea"
        "dy pending or being serviced.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_INTRMASK.
static const field_t hw_sdmaarm_intrmask[] =
{
    {
        "HIMASK",
        "The Interrupt Mask Register contains 32 interrupt generation mask bits"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_PSW.
static const field_t hw_sdmaarm_psw[] =
{
    {
        "CCR",
        "The Current Channel Register indicates the number of the channel that "
        "is being executed by the SDMA.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CCP",
        "The Current Channel Priority indicates the priority of the current act"
        "ive channel.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NCR",
        "The Next Channel Register indicates the number of the next scheduled p"
        "ending channel with the highest priority.",
        8, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NCP",
        "The Next Channel Priority gives the next pending channel priority.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVTERRDBG.
static const field_t hw_sdmaarm_evterrdbg[] =
{
    {
        "CHNERR",
        "This register is the same as EVTERR, except reading it does not clear "
        "its contents.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CONFIG.
static const field_t hw_sdmaarm_config[] =
{
    {
        "CSM",
        "Selects the Context Switch Mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACR",
        "ARM platform DMA / SDMA Core Clock Ratio.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTDOBS",
        "Indicates if Real-Time Debug pins are used: They do not toggle by defa"
        "ult in order to reduce power consumption.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSPDMA",
        "This bit's function is reserved and should be configured as zero.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_LOCK.
static const field_t hw_sdmaarm_sdma_lock[] =
{
    {
        "LOCK",
        "The LOCK bit is used to restrict access to update SDMA script memory t"
        "hrough ROM channel zero scripts and through the OnCE interface under A"
        "RM platform control.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRESET_LOCK_CLR",
        "The SRESET_LOCK_CLR bit determine if the LOCK bit is cleared on a soft"
        "ware reset triggered by writing to the RESET register.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ONCE_ENB.
static const field_t hw_sdmaarm_once_enb[] =
{
    {
        "ENB",
        "The OnCE Enable register selects the OnCE control source: When cleared"
        " (0), the OnCE registers are accessed through the JTAG interface; when"
        " set (1), the OnCE registers may be accessed by the ARM platform throu"
        "gh the addresses described, as follows.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ONCE_DATA.
static const field_t hw_sdmaarm_once_data[] =
{
    {
        "DATA",
        "Data register of the OnCE JTAG controller.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ONCE_INSTR.
static const field_t hw_sdmaarm_once_instr[] =
{
    {
        "INSTR",
        "Instruction register of the OnCE JTAG controller.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ONCE_STAT.
static const field_t hw_sdmaarm_once_stat[] =
{
    {
        "ECDR",
        "Event Cell Debug Request.",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MST",
        "This flag is raised when the OnCE is controlled from the ARM platform "
        "peripheral interface.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SWB",
        "This flag is raised when the SDMA has entered debug mode after a softw"
        "are breakpoint.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ODR",
        "This flag is raised when the SDMA has entered debug mode after a OnCE "
        "debug request.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EDR",
        "This flag is raised when the SDMA has entered debug mode after an exte"
        "rnal debug request.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCV",
        "After each write access to the real time buffer (RTB), the RCV bit is "
        "set.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PST",
        "The Processor Status bits reflect the state of the SDMA RISC engine.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ONCE_CMD.
static const field_t hw_sdmaarm_once_cmd[] =
{
    {
        "CMD",
        "Writing to this register will cause the OnCE to execute the command th"
        "at is written.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ILLINSTADDR.
static const field_t hw_sdmaarm_illinstaddr[] =
{
    {
        "ILLINSTADDR",
        "The Illegal Instruction Trap Address is the address where the SDMA jum"
        "ps when an illegal instruction is executed.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHN0ADDR.
static const field_t hw_sdmaarm_chn0addr[] =
{
    {
        "CHN0ADDR",
        "This 14-bit register is used by the boot code of the SDMA.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SMSZ",
        "The bit 14 (Scratch Memory Size) determines if scratch memory must be "
        "available after every channel context.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVT_MIRROR.
static const field_t hw_sdmaarm_evt_mirror[] =
{
    {
        "EVENTS",
        "This register reflects the DMA requests received by the SDMA for event"
        "s 31-0.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVT_MIRROR2.
static const field_t hw_sdmaarm_evt_mirror2[] =
{
    {
        "EVENTS",
        "This register reflects the DMA requests received by the SDMA for event"
        "s 47-32.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_XTRIG_CONF1.
static const field_t hw_sdmaarm_xtrig_conf1[] =
{
    {
        "NUM0",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF0",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM1",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF1",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM2",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF2",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM3",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF3",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_XTRIG_CONF2.
static const field_t hw_sdmaarm_xtrig_conf2[] =
{
    {
        "NUM4",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF4",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM5",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF5",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM6",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF6",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM7",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF7",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI0.
static const field_t hw_sdmaarm_sdma_chnpri0[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI1.
static const field_t hw_sdmaarm_sdma_chnpri1[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI2.
static const field_t hw_sdmaarm_sdma_chnpri2[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI3.
static const field_t hw_sdmaarm_sdma_chnpri3[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI4.
static const field_t hw_sdmaarm_sdma_chnpri4[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI5.
static const field_t hw_sdmaarm_sdma_chnpri5[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI6.
static const field_t hw_sdmaarm_sdma_chnpri6[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI7.
static const field_t hw_sdmaarm_sdma_chnpri7[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI8.
static const field_t hw_sdmaarm_sdma_chnpri8[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI9.
static const field_t hw_sdmaarm_sdma_chnpri9[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI10.
static const field_t hw_sdmaarm_sdma_chnpri10[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI11.
static const field_t hw_sdmaarm_sdma_chnpri11[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI12.
static const field_t hw_sdmaarm_sdma_chnpri12[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI13.
static const field_t hw_sdmaarm_sdma_chnpri13[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI14.
static const field_t hw_sdmaarm_sdma_chnpri14[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI15.
static const field_t hw_sdmaarm_sdma_chnpri15[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI16.
static const field_t hw_sdmaarm_sdma_chnpri16[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI17.
static const field_t hw_sdmaarm_sdma_chnpri17[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI18.
static const field_t hw_sdmaarm_sdma_chnpri18[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI19.
static const field_t hw_sdmaarm_sdma_chnpri19[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI20.
static const field_t hw_sdmaarm_sdma_chnpri20[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI21.
static const field_t hw_sdmaarm_sdma_chnpri21[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI22.
static const field_t hw_sdmaarm_sdma_chnpri22[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI23.
static const field_t hw_sdmaarm_sdma_chnpri23[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI24.
static const field_t hw_sdmaarm_sdma_chnpri24[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI25.
static const field_t hw_sdmaarm_sdma_chnpri25[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI26.
static const field_t hw_sdmaarm_sdma_chnpri26[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI27.
static const field_t hw_sdmaarm_sdma_chnpri27[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI28.
static const field_t hw_sdmaarm_sdma_chnpri28[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI29.
static const field_t hw_sdmaarm_sdma_chnpri29[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI30.
static const field_t hw_sdmaarm_sdma_chnpri30[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI31.
static const field_t hw_sdmaarm_sdma_chnpri31[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL0.
static const field_t hw_sdmaarm_chnenbl0[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL1.
static const field_t hw_sdmaarm_chnenbl1[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL2.
static const field_t hw_sdmaarm_chnenbl2[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL3.
static const field_t hw_sdmaarm_chnenbl3[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL4.
static const field_t hw_sdmaarm_chnenbl4[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL5.
static const field_t hw_sdmaarm_chnenbl5[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL6.
static const field_t hw_sdmaarm_chnenbl6[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL7.
static const field_t hw_sdmaarm_chnenbl7[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL8.
static const field_t hw_sdmaarm_chnenbl8[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL9.
static const field_t hw_sdmaarm_chnenbl9[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL10.
static const field_t hw_sdmaarm_chnenbl10[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL11.
static const field_t hw_sdmaarm_chnenbl11[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL12.
static const field_t hw_sdmaarm_chnenbl12[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL13.
static const field_t hw_sdmaarm_chnenbl13[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL14.
static const field_t hw_sdmaarm_chnenbl14[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL15.
static const field_t hw_sdmaarm_chnenbl15[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL16.
static const field_t hw_sdmaarm_chnenbl16[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL17.
static const field_t hw_sdmaarm_chnenbl17[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL18.
static const field_t hw_sdmaarm_chnenbl18[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL19.
static const field_t hw_sdmaarm_chnenbl19[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL20.
static const field_t hw_sdmaarm_chnenbl20[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL21.
static const field_t hw_sdmaarm_chnenbl21[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL22.
static const field_t hw_sdmaarm_chnenbl22[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL23.
static const field_t hw_sdmaarm_chnenbl23[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL24.
static const field_t hw_sdmaarm_chnenbl24[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL25.
static const field_t hw_sdmaarm_chnenbl25[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL26.
static const field_t hw_sdmaarm_chnenbl26[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL27.
static const field_t hw_sdmaarm_chnenbl27[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL28.
static const field_t hw_sdmaarm_chnenbl28[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL29.
static const field_t hw_sdmaarm_chnenbl29[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL30.
static const field_t hw_sdmaarm_chnenbl30[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL31.
static const field_t hw_sdmaarm_chnenbl31[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL32.
static const field_t hw_sdmaarm_chnenbl32[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL33.
static const field_t hw_sdmaarm_chnenbl33[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL34.
static const field_t hw_sdmaarm_chnenbl34[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL35.
static const field_t hw_sdmaarm_chnenbl35[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL36.
static const field_t hw_sdmaarm_chnenbl36[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL37.
static const field_t hw_sdmaarm_chnenbl37[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL38.
static const field_t hw_sdmaarm_chnenbl38[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL39.
static const field_t hw_sdmaarm_chnenbl39[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL40.
static const field_t hw_sdmaarm_chnenbl40[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL41.
static const field_t hw_sdmaarm_chnenbl41[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL42.
static const field_t hw_sdmaarm_chnenbl42[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL43.
static const field_t hw_sdmaarm_chnenbl43[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL44.
static const field_t hw_sdmaarm_chnenbl44[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL45.
static const field_t hw_sdmaarm_chnenbl45[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL46.
static const field_t hw_sdmaarm_chnenbl46[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL47.
static const field_t hw_sdmaarm_chnenbl47[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SDMAARM module.
static const reg_t hw_sdmaarm[] =
{
    {
        "MC0PTR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_mc0ptr
    },
    {
        "INTR",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_intr
    },
    {
        "STOP_STAT",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_stop_stat
    },
    {
        "HSTART",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_hstart
    },
    {
        "EVTOVR",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evtovr
    },
    {
        "DSPOVR",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_dspovr
    },
    {
        "HOSTOVR",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_hostovr
    },
    {
        "EVTPEND",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evtpend
    },
    {
        "RESET",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_sdmaarm_reset
    },
    {
        "EVTERR",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evterr
    },
    {
        "INTRMASK",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_intrmask
    },
    {
        "PSW",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_sdmaarm_psw
    },
    {
        "EVTERRDBG",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evterrdbg
    },
    {
        "CONFIG",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_sdmaarm_config
    },
    {
        "SDMA_LOCK",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sdmaarm_sdma_lock
    },
    {
        "ONCE_ENB",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_once_enb
    },
    {
        "ONCE_DATA",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_once_data
    },
    {
        "ONCE_INSTR",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_once_instr
    },
    {
        "ONCE_STAT",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        false, // Writable
        7, // Number of bitfields
        hw_sdmaarm_once_stat
    },
    {
        "ONCE_CMD",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_once_cmd
    },
    {
        "ILLINSTADDR",
        "",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_illinstaddr
    },
    {
        "CHN0ADDR",
        "",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sdmaarm_chn0addr
    },
    {
        "EVT_MIRROR",
        "",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evt_mirror
    },
    {
        "EVT_MIRROR2",
        "",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evt_mirror2
    },
    {
        "XTRIG_CONF1",
        "",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_sdmaarm_xtrig_conf1
    },
    {
        "XTRIG_CONF2",
        "",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_sdmaarm_xtrig_conf2
    },
    {
        "SDMA_CHNPRI0",
        "",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri0
    },
    {
        "SDMA_CHNPRI1",
        "",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri1
    },
    {
        "SDMA_CHNPRI2",
        "",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri2
    },
    {
        "SDMA_CHNPRI3",
        "",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri3
    },
    {
        "SDMA_CHNPRI4",
        "",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri4
    },
    {
        "SDMA_CHNPRI5",
        "",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri5
    },
    {
        "SDMA_CHNPRI6",
        "",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri6
    },
    {
        "SDMA_CHNPRI7",
        "",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri7
    },
    {
        "SDMA_CHNPRI8",
        "",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri8
    },
    {
        "SDMA_CHNPRI9",
        "",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri9
    },
    {
        "SDMA_CHNPRI10",
        "",
        4, // Width in bytes
        0x00000128, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri10
    },
    {
        "SDMA_CHNPRI11",
        "",
        4, // Width in bytes
        0x0000012c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri11
    },
    {
        "SDMA_CHNPRI12",
        "",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri12
    },
    {
        "SDMA_CHNPRI13",
        "",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri13
    },
    {
        "SDMA_CHNPRI14",
        "",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri14
    },
    {
        "SDMA_CHNPRI15",
        "",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri15
    },
    {
        "SDMA_CHNPRI16",
        "",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri16
    },
    {
        "SDMA_CHNPRI17",
        "",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri17
    },
    {
        "SDMA_CHNPRI18",
        "",
        4, // Width in bytes
        0x00000148, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri18
    },
    {
        "SDMA_CHNPRI19",
        "",
        4, // Width in bytes
        0x0000014c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri19
    },
    {
        "SDMA_CHNPRI20",
        "",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri20
    },
    {
        "SDMA_CHNPRI21",
        "",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri21
    },
    {
        "SDMA_CHNPRI22",
        "",
        4, // Width in bytes
        0x00000158, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri22
    },
    {
        "SDMA_CHNPRI23",
        "",
        4, // Width in bytes
        0x0000015c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri23
    },
    {
        "SDMA_CHNPRI24",
        "",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri24
    },
    {
        "SDMA_CHNPRI25",
        "",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri25
    },
    {
        "SDMA_CHNPRI26",
        "",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri26
    },
    {
        "SDMA_CHNPRI27",
        "",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri27
    },
    {
        "SDMA_CHNPRI28",
        "",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri28
    },
    {
        "SDMA_CHNPRI29",
        "",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri29
    },
    {
        "SDMA_CHNPRI30",
        "",
        4, // Width in bytes
        0x00000178, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri30
    },
    {
        "SDMA_CHNPRI31",
        "",
        4, // Width in bytes
        0x0000017c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri31
    },
    {
        "CHNENBL0",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl0
    },
    {
        "CHNENBL1",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl1
    },
    {
        "CHNENBL2",
        "",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl2
    },
    {
        "CHNENBL3",
        "",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl3
    },
    {
        "CHNENBL4",
        "",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl4
    },
    {
        "CHNENBL5",
        "",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl5
    },
    {
        "CHNENBL6",
        "",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl6
    },
    {
        "CHNENBL7",
        "",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl7
    },
    {
        "CHNENBL8",
        "",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl8
    },
    {
        "CHNENBL9",
        "",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl9
    },
    {
        "CHNENBL10",
        "",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl10
    },
    {
        "CHNENBL11",
        "",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl11
    },
    {
        "CHNENBL12",
        "",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl12
    },
    {
        "CHNENBL13",
        "",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl13
    },
    {
        "CHNENBL14",
        "",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl14
    },
    {
        "CHNENBL15",
        "",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl15
    },
    {
        "CHNENBL16",
        "",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl16
    },
    {
        "CHNENBL17",
        "",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl17
    },
    {
        "CHNENBL18",
        "",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl18
    },
    {
        "CHNENBL19",
        "",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl19
    },
    {
        "CHNENBL20",
        "",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl20
    },
    {
        "CHNENBL21",
        "",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl21
    },
    {
        "CHNENBL22",
        "",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl22
    },
    {
        "CHNENBL23",
        "",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl23
    },
    {
        "CHNENBL24",
        "",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl24
    },
    {
        "CHNENBL25",
        "",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl25
    },
    {
        "CHNENBL26",
        "",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl26
    },
    {
        "CHNENBL27",
        "",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl27
    },
    {
        "CHNENBL28",
        "",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl28
    },
    {
        "CHNENBL29",
        "",
        4, // Width in bytes
        0x00000274, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl29
    },
    {
        "CHNENBL30",
        "",
        4, // Width in bytes
        0x00000278, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl30
    },
    {
        "CHNENBL31",
        "",
        4, // Width in bytes
        0x0000027c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl31
    },
    {
        "CHNENBL32",
        "",
        4, // Width in bytes
        0x00000280, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl32
    },
    {
        "CHNENBL33",
        "",
        4, // Width in bytes
        0x00000284, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl33
    },
    {
        "CHNENBL34",
        "",
        4, // Width in bytes
        0x00000288, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl34
    },
    {
        "CHNENBL35",
        "",
        4, // Width in bytes
        0x0000028c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl35
    },
    {
        "CHNENBL36",
        "",
        4, // Width in bytes
        0x00000290, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl36
    },
    {
        "CHNENBL37",
        "",
        4, // Width in bytes
        0x00000294, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl37
    },
    {
        "CHNENBL38",
        "",
        4, // Width in bytes
        0x00000298, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl38
    },
    {
        "CHNENBL39",
        "",
        4, // Width in bytes
        0x0000029c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl39
    },
    {
        "CHNENBL40",
        "",
        4, // Width in bytes
        0x000002a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl40
    },
    {
        "CHNENBL41",
        "",
        4, // Width in bytes
        0x000002a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl41
    },
    {
        "CHNENBL42",
        "",
        4, // Width in bytes
        0x000002a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl42
    },
    {
        "CHNENBL43",
        "",
        4, // Width in bytes
        0x000002ac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl43
    },
    {
        "CHNENBL44",
        "",
        4, // Width in bytes
        0x000002b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl44
    },
    {
        "CHNENBL45",
        "",
        4, // Width in bytes
        0x000002b4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl45
    },
    {
        "CHNENBL46",
        "",
        4, // Width in bytes
        0x000002b8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl46
    },
    {
        "CHNENBL47",
        "",
        4, // Width in bytes
        0x000002bc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl47
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SDMABP
#endif

// Bitfields in register SDMABP_DC0PTR.
static const field_t hw_sdmabp_dc0ptr[] =
{
    {
        "DC0PTR",
        "Channel 0 Pointer contains the 32-bit address, in BP memory, of the ar"
        "ray of channel control blocks starting with the one for channel 0 (the"
        " control channel).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMABP_INTR.
static const field_t hw_sdmabp_intr[] =
{
    {
        "DI",
        "The BP Interrupts register contains the 32 DI[i] bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMABP_STOP_STAT.
static const field_t hw_sdmabp_stop_stat[] =
{
    {
        "DE",
        "This 32-bit register gives access to the BP (DSP) Enable bits, DE.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMABP_DSTART.
static const field_t hw_sdmabp_dstart[] =
{
    {
        "DSTART_DE",
        "The DSTART_DE registers are 32 bits wide with one bit for every channe"
        "l.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMABP_EVTERR.
static const field_t hw_sdmabp_evterr[] =
{
    {
        "CHNERR",
        "This register is used by the SDMA to warn the BP when an incoming DMA "
        "request was detected; it then triggers a channel that is already pendi"
        "ng or being serviced, which may mean there is an overflow of data for "
        "that channel.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMABP_INTRMASK.
static const field_t hw_sdmabp_intrmask[] =
{
    {
        "DIMASK",
        "The Interrupt Mask Register contains 32 interrupt generation mask bits"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMABP_EVTERRDBG.
static const field_t hw_sdmabp_evterrdbg[] =
{
    {
        "CHNERR",
        "This register is the same as EVTERR except reading it does not clear i"
        "ts contents.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a SDMABP module.
static const reg_t hw_sdmabp[] =
{
    {
        "DC0PTR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmabp_dc0ptr
    },
    {
        "INTR",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmabp_intr
    },
    {
        "STOP_STAT",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmabp_stop_stat
    },
    {
        "DSTART",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmabp_dstart
    },
    {
        "EVTERR",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmabp_evterr
    },
    {
        "INTRMASK",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmabp_intrmask
    },
    {
        "EVTERRDBG",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmabp_evterrdbg
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SDMACORE
#endif

// Bitfields in register SDMACORE_MC0PTR.
static const field_t hw_sdmacore_mc0ptr[] =
{
    {
        "MC0PTR",
        "Contains the address-in the ARM platform memory space-of the initial S"
        "DMA context and scripts that are loaded by the SDMA boot script runnin"
        "g on channel 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_CCPTR.
static const field_t hw_sdmacore_ccptr[] =
{
    {
        "CCPTR",
        "Contains the start address of the context data for the current channel"
        ": Its value is CONTEXT_BASE + 24* CCR or CONTEXT_BASE + 32* CCR where "
        "CONTEXT_BASE = 0x0800.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_CCR.
static const field_t hw_sdmacore_ccr[] =
{
    {
        "CCR",
        "Contains the number of the current running channel whose context is in"
        "stalled.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_NCR.
static const field_t hw_sdmacore_ncr[] =
{
    {
        "NCR",
        "Contains the number of the pending channel that the scheduler has sele"
        "cted to run next.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_EVENTS.
static const field_t hw_sdmacore_events[] =
{
    {
        "EVENTS",
        "Reflects the status of the SDMA's external DMA requests.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_CCPRI.
static const field_t hw_sdmacore_ccpri[] =
{
    {
        "CCPRI",
        "Contains the 3-bit priority of the channel whose context is installed.",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_NCPRI.
static const field_t hw_sdmacore_ncpri[] =
{
    {
        "NCPRI",
        "Contains the 3-bit priority of the channel the scheduler has selected "
        "to run next.",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_ECOUNT.
static const field_t hw_sdmacore_ecount[] =
{
    {
        "ECOUNT",
        "The event cell counter contains the number of times minus one that an "
        "event detection must occur before generating a debug request.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_ECTL.
static const field_t hw_sdmacore_ectl[] =
{
    {
        "ATS",
        "The access type select bits define the memory access type required on "
        "the SDMA memory bus.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AATC",
        "The Address A Trigger Condition (AATC) controls the operations perform"
        "ed by address comparator A.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABTC",
        "The Address B Trigger Condition (ABTC) controls the operations perform"
        "ed by address comparator B.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATC",
        "The address trigger condition bits select how the two address conditio"
        "ns (addressA and addressB) are combined to define the global address m"
        "atching condition.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTC",
        "The data trigger condition bits define when data is considered matchin"
        "g after comparison with the data register of the event detection unit.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECTC",
        "The event cell trigger condition bits select the combination of addres"
        "s and data matching conditions that generate the final address/data co"
        "ndition.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNT",
        "Event Counter Enable.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN",
        "Event Cell Enable.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_EAA.
static const field_t hw_sdmacore_eaa[] =
{
    {
        "EAA",
        "Event Cell Address Register A computes an address A condition.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_EAB.
static const field_t hw_sdmacore_eab[] =
{
    {
        "EAB",
        "Event Cell Address Register B computes an address B condition.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_EAM.
static const field_t hw_sdmacore_eam[] =
{
    {
        "EAM",
        "The Event Cell Address Mask contains a user-defined address mask value"
        ".",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_ED.
static const field_t hw_sdmacore_ed[] =
{
    {
        "ED",
        "The event cell data register contains a user defined data value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_EDM.
static const field_t hw_sdmacore_edm[] =
{
    {
        "EDM",
        "The event cell data mask register contains the user-defined data mask "
        "value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_RTB.
static const field_t hw_sdmacore_rtb[] =
{
    {
        "RTB",
        "The Real Time Buffer register stores and retrieves run time informatio"
        "n without putting the SDMA in debug mode.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_TB.
static const field_t hw_sdmacore_tb[] =
{
    {
        "CHFADDR",
        "The change of flow address is the address where the change of flow is "
        "taken when executing a change of flow instruction.",
        0, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TADDR",
        "The target address is the address taken after the execution of the cha"
        "nge of flow instruction.",
        14, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TBF",
        "The Trace Buffer Flag is set when the buffer contains the addresses of"
        " a valid change of flow.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_OSTAT.
static const field_t hw_sdmacore_ostat[] =
{
    {
        "ECDR",
        "Event Cell Debug Request.",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MST",
        "This flag is raised when the OnCE is controlled from the ARM platform "
        "peripheral interface.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SWB",
        "This flag is raised when the SDMA has entered debug mode after a softw"
        "are breakpoint.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ODR",
        "This flag is raised when the SDMA has entered debug mode after a OnCE "
        "debug request.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EDR",
        "This flag is raised when the SDMA has entered debug mode after an exte"
        "rnal debug request.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCV",
        "After each write access to the real time buffer (RTB), the RCV bit is "
        "set.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PST",
        "The Processor Status bits reflect the state of the SDMA RISC engine.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_MCHN0ADDR.
static const field_t hw_sdmacore_mchn0addr[] =
{
    {
        "CHN0ADDR",
        "Contains the address of the channel 0 routine programmed by the ARM pl"
        "atform; it is loaded into a general register at the very start of the "
        "boot and the SDMA jumps to the address it contains.",
        0, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SMSZ",
        "The bit 14 (Scratch Memory Size) determines if scratch memory must be "
        "available after every channel context.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_ENDIANNESS.
static const field_t hw_sdmacore_endianness[] =
{
    {
        "APEND",
        "APEND indicates the endian mode of the Peripheral and Burst DMA interf"
        "aces.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_SDMA_LOCK.
static const field_t hw_sdmacore_sdma_lock[] =
{
    {
        "LOCK",
        "The LOCK bit reports the value of the LOCK bit in the SDMA_LOCK status"
        " register.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMACORE_EVENTS2.
static const field_t hw_sdmacore_events2[] =
{
    {
        "EVENTS",
        "Reflects the status of the SDMA's external DMA requests.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a SDMACORE module.
static const reg_t hw_sdmacore[] =
{
    {
        "MC0PTR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmacore_mc0ptr
    },
    {
        "CCPTR",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmacore_ccptr
    },
    {
        "CCR",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmacore_ccr
    },
    {
        "NCR",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmacore_ncr
    },
    {
        "EVENTS",
        "This register is very useful in the case of DMA requests that are acti"
        "ve when a peripheral FIFO level is above the programmed watermark.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmacore_events
    },
    {
        "CCPRI",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmacore_ccpri
    },
    {
        "NCPRI",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmacore_ncpri
    },
    {
        "ECOUNT",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmacore_ecount
    },
    {
        "ECTL",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_sdmacore_ectl
    },
    {
        "EAA",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmacore_eaa
    },
    {
        "EAB",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmacore_eab
    },
    {
        "EAM",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmacore_eam
    },
    {
        "ED",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmacore_ed
    },
    {
        "EDM",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmacore_edm
    },
    {
        "RTB",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmacore_rtb
    },
    {
        "TB",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sdmacore_tb
    },
    {
        "OSTAT",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        false, // Writable
        7, // Number of bitfields
        hw_sdmacore_ostat
    },
    {
        "MCHN0ADDR",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_sdmacore_mchn0addr
    },
    {
        "ENDIANNESS",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmacore_endianness
    },
    {
        "SDMA_LOCK",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmacore_sdma_lock
    },
    {
        "EVENTS2",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmacore_events2
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SEMA4
#endif

// Bitfields in register SEMA4_Gate00.
static const field_t hw_sema4_gate00[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate01.
static const field_t hw_sema4_gate01[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate02.
static const field_t hw_sema4_gate02[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate03.
static const field_t hw_sema4_gate03[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate04.
static const field_t hw_sema4_gate04[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate05.
static const field_t hw_sema4_gate05[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate06.
static const field_t hw_sema4_gate06[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate07.
static const field_t hw_sema4_gate07[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate08.
static const field_t hw_sema4_gate08[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate09.
static const field_t hw_sema4_gate09[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate10.
static const field_t hw_sema4_gate10[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate11.
static const field_t hw_sema4_gate11[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate12.
static const field_t hw_sema4_gate12[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate13.
static const field_t hw_sema4_gate13[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate14.
static const field_t hw_sema4_gate14[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate15.
static const field_t hw_sema4_gate15[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_CP0INE.
static const field_t hw_sema4_cp0ine[] =
{
    {
        "INE7",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE6",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE5",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE4",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE3",
        "Interrupt Request Notification Enable 3.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE2",
        "Interrupt Request Notification Enable 2.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE1",
        "Interrupt Request Notification Enable 1.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE0",
        "Interrupt Request Notification Enable 0.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE15",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE14",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE13",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE12",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE11",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE10",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE9",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE8",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_CP1INE.
static const field_t hw_sema4_cp1ine[] =
{
    {
        "INE7",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE6",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE5",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE4",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE3",
        "Interrupt Request Notification Enable 3.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE2",
        "Interrupt Request Notification Enable 2.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE1",
        "Interrupt Request Notification Enable 1.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE0",
        "Interrupt Request Notification Enable 0.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE15",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE14",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE13",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE12",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE11",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE10",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE9",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE8",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_CP0NTF.
static const field_t hw_sema4_cp0ntf[] =
{
    {
        "GN7",
        "Gate 7 Notification.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN6",
        "Gate 6 Notification.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN5",
        "Gate 5 Notification.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN4",
        "Gate 4 Notification.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN3",
        "Gate 3 Notification.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN2",
        "Gate 2 Notification.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN1",
        "Gate 1 Notification.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN0",
        "Gate 0 Notification.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN15",
        "Gate 15 Notification.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN14",
        "Gate 14 Notification.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN13",
        "Gate 13 Notification.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN12",
        "Gate 12 Notification.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN11",
        "Gate 11 Notification.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN10",
        "Gate 10 Notification.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN9",
        "Gate 9 Notification.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN8",
        "Gate 8 Notification.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_CP1NTF.
static const field_t hw_sema4_cp1ntf[] =
{
    {
        "GN7",
        "Gate 7 Notification.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN6",
        "Gate 6 Notification.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN5",
        "Gate 5 Notification.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN4",
        "Gate 4 Notification.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN3",
        "Gate 3 Notification.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN2",
        "Gate 2 Notification.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN1",
        "Gate 1 Notification.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN0",
        "Gate 0 Notification.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN15",
        "Gate 15 Notification.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN14",
        "Gate 14 Notification.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN13",
        "Gate 13 Notification.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN12",
        "Gate 12 Notification.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN11",
        "Gate 11 Notification.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN10",
        "Gate 10 Notification.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN9",
        "Gate 9 Notification.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GN8",
        "Gate 8 Notification.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_RSTGT.
static const field_t hw_sema4_rstgt[] =
{
    {
        "RSTGSM_RSTGMS_RSTGDP",
        "This field contains subfields that vary depending on whether it is bei"
        "ng read or written.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTGTN",
        "Reset Gate Number.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_RSTNTF.
static const field_t hw_sema4_rstntf[] =
{
    {
        "RSTNSM_RSTNMS_RSTNDP",
        "This field contains subfields that vary depending on whether it is bei"
        "ng read or written.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTNTN",
        "Reset Notification Number.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SEMA4 module.
static const reg_t hw_sema4[] =
{
    {
        "Gate00",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate00
    },
    {
        "Gate01",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000001, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate01
    },
    {
        "Gate02",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000002, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate02
    },
    {
        "Gate03",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000003, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate03
    },
    {
        "Gate04",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate04
    },
    {
        "Gate05",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000005, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate05
    },
    {
        "Gate06",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000006, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate06
    },
    {
        "Gate07",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000007, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate07
    },
    {
        "Gate08",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate08
    },
    {
        "Gate09",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000009, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate09
    },
    {
        "Gate10",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000a, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate10
    },
    {
        "Gate11",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000b, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate11
    },
    {
        "Gate12",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate12
    },
    {
        "Gate13",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000d, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate13
    },
    {
        "Gate14",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000e, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate14
    },
    {
        "Gate15",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000f, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate15
    },
    {
        "CP0INE",
        "The application of a hardware semaphore module provides an opportunity"
        " for implementation of helpful system-level features.",
        2, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_sema4_cp0ine
    },
    {
        "CP1INE",
        "The application of a hardware semaphore module provides an opportunity"
        " for implementation of helpful system-level features.",
        2, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_sema4_cp1ine
    },
    {
        "CP0NTF",
        "The Semaphores module optionally allows the processor that fails in th"
        "e lock attempt to continue with other tasks and allow a properly-enabl"
        "ed notification interrupt to return its execution to the original lock"
        " function rather than simply execute in a spin-wait loop.",
        2, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_sema4_cp0ntf
    },
    {
        "CP1NTF",
        "The Semaphores module optionally allows the processor that fails in th"
        "e lock attempt to continue with other tasks and allow a properly-enabl"
        "ed notification interrupt to return its execution to the original lock"
        " function rather than simply execute in a spin-wait loop.",
        2, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_sema4_cp1ntf
    },
    {
        "RSTGT",
        "Although the intent of the hardware gate implementation specifies a pr"
        "otocol where the locking processor must unlock the gate, it is recogni"
        "zed that system operation may require a reset function to re-initializ"
        "e the state of any gate(s) without requiring a system-level reset.",
        2, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sema4_rstgt
    },
    {
        "RSTNTF",
        "As with the case of the secure reset function and the hardware gates, "
        "it is recognized that system operation may require a reset function to"
        " re-initialize the state of the IRQ notification logic without requiri"
        "ng a system-level reset.",
        2, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sema4_rstntf
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SIM
#endif

// Bitfields in register SIM_PORT1_CNTL.
static const field_t hw_sim_port1_cntl[] =
{
    {
        "SAPD1",
        "SIM card Auto Power Down Port 1.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SVEN1",
        "SIM card Vcc Enable Port 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STEN1",
        "SIM card Transmit Enable Port 1.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRST1",
        "SIM card Reset.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCEN1",
        "SIM card Clock Enable Port 1.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCSP1",
        "SIM Card Clock Stop Polarity Port1.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VOLT3_1",
        "External one wire interface for SIM Card port1.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFPD1",
        "Auto Power Down port1.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_SETUP.
static const field_t hw_sim_setup[] =
{
    {
        "AMODE",
        "Alternate SIM Card Mode enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPS",
        "SIM card Port Select.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_PORT1_DETECT.
static const field_t hw_sim_port1_detect[] =
{
    {
        "SDIM1",
        "SIM Detect Interrupt Mask Port 1.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDI1",
        "SIM Detect Interrupt Flag Port 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPDP1",
        "SIMPD1 input pin status.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SPDS1",
        "SIM Presence Detect Select Port 1.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_XMT_BUF.
static const field_t hw_sim_xmt_buf[] =
{
    {
        "XMT",
        "Transmit Buffer.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_RCV_BUF.
static const field_t hw_sim_rcv_buf[] =
{
    {
        "RCV",
        "Receive buffer.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PE",
        "Parity Error flag.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FE",
        "Frame Error flag.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CWT",
        "CWT flag.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_PORT0_CNTL.
static const field_t hw_sim_port0_cntl[] =
{
    {
        "SAPD0",
        "SIM card Auto Power Down Port 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SVEN0",
        "SIM card VCC Enable Port 0.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STEN0",
        "SIM card Transmit Enable Port 0.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRST0",
        "SIM card Reset.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCEN0",
        "SIM card Clock Enable Port 0.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCSP0",
        "SIM Card Clock Stop Polarity port0.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VOLT3_0",
        "External one wire interface for SIM Card port0.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFPD0",
        "Auto Power Down port0.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_CNTL.
static const field_t hw_sim_cntl[] =
{
    {
        "ICM",
        "Initial Character Mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ANACK",
        "Automatic NACK Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ONACK",
        "Overrun NACK Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SAMPLE12",
        "Sample12.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BAUD_SEL",
        "SIM Baud Rate Select.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPCNT_CLK_SEL",
        "General Purpose Counter Clock Select.",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CWTEN",
        "Character Wait Time Counter Enable.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRCEN",
        "LRC Enable.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRCEN",
        "CRC Enable.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XMT_CRC_LRC",
        "Transmit CRC or LRC.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BWTEN",
        "Block wait time enable.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_CLK_PRESCALER.
static const field_t hw_sim_clk_prescaler[] =
{
    {
        "CLK_PRESCALER",
        "Clock prescaler divisor register.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_RCV_THRESHOLD.
static const field_t hw_sim_rcv_threshold[] =
{
    {
        "RDT",
        "Receive Data Threshold.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTH",
        "Receive Nack Threshold.",
        9, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_ENABLE.
static const field_t hw_sim_enable[] =
{
    {
        "RCV_EN",
        "SIM Receiver Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XMT_EN",
        "SIM Transmit Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDMA_EN",
        "Receiver DMA Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXDMA_EN",
        "Transmitter DMA Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NACK_DD_EN",
        "NACK delay detection enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ESTOP_EN",
        "Enforce reception early stop enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ESTOP_EXE",
        "Enforce reception early stop execution.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXCL",
        "Reception data latch disable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_XMT_STATUS.
static const field_t hw_sim_xmt_status[] =
{
    {
        "XTE",
        "Transmit NACK Threshold Error.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TFE",
        "Transmit FIFO Empty.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ETC",
        "Early Transmit Complete.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC",
        "Transmit Complete.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TFO",
        "Transmit FIFO Overfill Error.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TDTF",
        "Transmit Data Threshold Flag.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPCNT",
        "General purpose Counter Flag.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_RCV_STATUS.
static const field_t hw_sim_rcv_status[] =
{
    {
        "OEF",
        "Overrun Error Flag.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFE",
        "Receive FIFO Empty.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFD",
        "Receive FIFO has unread Data.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RDRF",
        "Receive Data Register Full.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRCOK",
        "Linear Redundancy Check Okay flag.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CRCOK",
        "Cyclic Redundancy Check Okay flag.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CWT",
        "Character Wait Time Counter Flag.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTE",
        "Receive NACK threshold error flag.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BWT",
        "Block wait time error flag.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BGT",
        "Block guard time error flag.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_INT_MASK.
static const field_t hw_sim_int_mask[] =
{
    {
        "RIM",
        "Receive Interrupt Mask.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCIM",
        "Transmit Complete Interrupt Mask.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OIM",
        "Overrun Interrupt Mask.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ETCIM",
        "Early Transmit Complete Interrupt Mask.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TFEIM",
        "Transmit FIFO Empty Interrupt Mask.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTM",
        "Transmit Threshold Interrupt Mask.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TFOM",
        "Transmit FIFO Overfill Error Interrupt Mask.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TDTFM",
        "Transmit Data Threshold Interrupt Mask.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPCNTM",
        "General Purpose Counter Interrupt Mask.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CWTM",
        "Character Wait Time Interrupt Mask.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTM",
        "Receive Nack threshold interrupt mask.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BWTM",
        "Block wait time interrupt mask.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BGTM",
        "Block guard time interrupt mask.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFEM",
        "Receive fifo empty interrupt mask.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_PORT0_DETECT.
static const field_t hw_sim_port0_detect[] =
{
    {
        "SDIM0",
        "SIM Detect Interrupt Mask Port 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDI0",
        "SIM Detect Interrupt flag Port 0.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPDP0",
        "SIMPD0 input pin status.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SPDS0",
        "SIM Presence Detect Select Port 0.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_DATA_FORMAT.
static const field_t hw_sim_data_format[] =
{
    {
        "IC",
        "Inverse Convention.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_XMT_THRESHOLD.
static const field_t hw_sim_xmt_threshold[] =
{
    {
        "TDT",
        "Transmit Data Threshold.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTH",
        "XTH[3:0] Transmit NACK Threshold.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_GUARD_CNTL.
static const field_t hw_sim_guard_cntl[] =
{
    {
        "GETU",
        "Transmit Guard ETUs.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCVR11",
        "Receiver use 11 ETUs.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_OD_CONFIG.
static const field_t hw_sim_od_config[] =
{
    {
        "OD_P0",
        "Open Drain control for Port 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OD_P1",
        "Open Drain control for Port 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_RESET_CNTL.
static const field_t hw_sim_reset_cntl[] =
{
    {
        "FLUSH_RCV",
        "Flush Receiver.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FLUSH_XMT",
        "Flush Transmitter.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOFT_RST",
        "Software Reset.",
        2, // LSB
        2, // MSB
        false, // Readable
        false // Writable
    },
    {
        "KILL_CLOCK",
        "Kill SIM Clock.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOZE",
        "DOZE.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOP",
        "STOP.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_CHAR_WAIT.
static const field_t hw_sim_char_wait[] =
{
    {
        "CWT",
        "Character Wait Time.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_GPCNT.
static const field_t hw_sim_gpcnt[] =
{
    {
        "GPCNT",
        "General Purpose Counter.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_DIVISOR.
static const field_t hw_sim_divisor[] =
{
    {
        "DIVISOR",
        "DIVISOR Register.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_BWT.
static const field_t hw_sim_bwt[] =
{
    {
        "BWT",
        "BWT Register 16 LSB.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_BGT.
static const field_t hw_sim_bgt[] =
{
    {
        "BGT",
        "BGT Register.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_BWT_H.
static const field_t hw_sim_bwt_h[] =
{
    {
        "BWT_H",
        "BWT Register 16 MSB.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_XMT_FIFO_STAT.
static const field_t hw_sim_xmt_fifo_stat[] =
{
    {
        "XMT_RPTR",
        "These bits indicate the transmit FIFO Read Pointer.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XMT_WPTR",
        "These bits indicate the transmit FIFO Write Pointer.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XMT_CNT",
        "These bits indicate the number of Bytes in the transmit FIFO.",
        8, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_RCV_FIFO_CNT.
static const field_t hw_sim_rcv_fifo_cnt[] =
{
    {
        "RCV_CNT",
        "These bits indicate the number of Byte can be written into the receive"
        " FIFO.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_RCV_FIFO_WPTR.
static const field_t hw_sim_rcv_fifo_wptr[] =
{
    {
        "RCV_WPTR",
        "These bits indicate the receive FIFO Write pointer.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SIM_RCV_FIFO_RPTR.
static const field_t hw_sim_rcv_fifo_rptr[] =
{
    {
        "RCV_RPTR",
        "These bits indicate the receiver FIFO read pointer.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a SIM module.
static const reg_t hw_sim[] =
{
    {
        "PORT1_CNTL",
        "See the figure below for illustration of valid bits in the SIM Port1 C"
        "ontrol Register and the table below for description of the bit fields.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_sim_port1_cntl
    },
    {
        "SETUP",
        "See the figure below for illustration of valid bits in the SIM Setup R"
        "egister and the table below for description of the bit fields.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sim_setup
    },
    {
        "PORT1_DETECT",
        "See the figure below for illustration of valid bits in the SIM Port1 D"
        "etect Register and the table below for description of the bit fields.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_sim_port1_detect
    },
    {
        "XMT_BUF",
        "See the figure below for illustration of valid bits in the SIM Transmi"
        "t Buffer Register and the table below for description of the bit field"
        "s.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sim_xmt_buf
    },
    {
        "RCV_BUF",
        "See the figure below for illustration of valid bits in the SIM Receive"
        " Buffer Register and the table below for description of the bit fields"
        ".",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_sim_rcv_buf
    },
    {
        "PORT0_CNTL",
        "See the figure below for illustration of valid bits in the SIM Port0 C"
        "ontrol Register and the table below for description of the bit fields.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_sim_port0_cntl
    },
    {
        "CNTL",
        "See the figure below for illustration of valid bits in the SIM Control"
        " Register and the table below for description of the bit fields.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_sim_cntl
    },
    {
        "CLK_PRESCALER",
        "See the figure below for illustration of valid bits in the SIM Clock P"
        "rescaler Register and the table below for description of the bit field"
        "s.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sim_clk_prescaler
    },
    {
        "RCV_THRESHOLD",
        "See the figure below for illustration of valid bits in the SIM Receive"
        " Threshold Register and the table below for description of the bit fie"
        "lds.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sim_rcv_threshold
    },
    {
        "ENABLE",
        "See the figure below for illustration of valid bits in the SIM Enable "
        "Register and the table below for description of the bit fields.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_sim_enable
    },
    {
        "XMT_STATUS",
        "See the figure below for illustration of valid bits in the SIM Transmi"
        "t Status Register and the table below for description of the bit field"
        "s.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_sim_xmt_status
    },
    {
        "RCV_STATUS",
        "See the figure below for illustration of valid bits in the SIM Receive"
        " Status Register and the table below for description of the bit fields"
        ".",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_sim_rcv_status
    },
    {
        "INT_MASK",
        "See the figure below for illustration of valid bits in the SIM Interru"
        "pt Mask Register and the table below for description of the bit fields"
        ".",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_sim_int_mask
    },
    {
        "PORT0_DETECT",
        "See the figure below for illustration of valid bits in the SIM Port0 D"
        "etect Register and the table below for description of the bit fields.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_sim_port0_detect
    },
    {
        "DATA_FORMAT",
        "See the figure below for illustration of valid bits in the SIM Data Fo"
        "rmat Register and the table below for description of the bit fields.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sim_data_format
    },
    {
        "XMT_THRESHOLD",
        "See the figure below for illustration of valid bits in the SIM Transmi"
        "t Threshold Register and the table below for description of the bit fi"
        "elds.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sim_xmt_threshold
    },
    {
        "GUARD_CNTL",
        "See the figure below for illustration of valid bits in the SIM Transmi"
        "t Guard Control Register and the table below for description of the bi"
        "t fields.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sim_guard_cntl
    },
    {
        "OD_CONFIG",
        "See the figure below for illustration of valid bits in the SIM Open Dr"
        "ain Configuration Control Register and the table below for description"
        " of the bit fields.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sim_od_config
    },
    {
        "RESET_CNTL",
        "See the figure below for illustration of valid bits in the SIM Reset C"
        "ontrol Register and the table below for description of the bit fields.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_sim_reset_cntl
    },
    {
        "CHAR_WAIT",
        "See the figure below for illustration of valid bits in the SIM Charact"
        "er Wait Time Register and the table below for description of the bit f"
        "ields.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sim_char_wait
    },
    {
        "GPCNT",
        "See the figure below for illustration of valid bits in the SIM General"
        " Purpose Counter Register and the table below for description of the b"
        "it fields.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sim_gpcnt
    },
    {
        "DIVISOR",
        "See the figure below for illustration of valid bits in the SIM Divisor"
        " Register and the table below for description of the bit fields.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sim_divisor
    },
    {
        "BWT",
        "See the figure below for illustration of valid bits in the SIM Block W"
        "ait Time Register and the table below for description of the bit field"
        "s.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sim_bwt
    },
    {
        "BGT",
        "See the figure below for illustration of valid bits in the SIM Block G"
        "uard Time Register and the table below for description of the bit fiel"
        "ds.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sim_bgt
    },
    {
        "BWT_H",
        "See the figure below for illustration of valid bits in the SIM Block W"
        "ait Time Register HIGH and the table below for description of the bit "
        "fields.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sim_bwt_h
    },
    {
        "XMT_FIFO_STAT",
        "See the figure below for illustration of valid bits in the SIM Transmi"
        "t FIFO Status Register and the table below for description of the bit "
        "fields.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sim_xmt_fifo_stat
    },
    {
        "RCV_FIFO_CNT",
        "See the figure below for illustration of valid bits in the SIM Receive"
        "r FIFO Counter Register and the table below for description of the bit"
        " fields.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sim_rcv_fifo_cnt
    },
    {
        "RCV_FIFO_WPTR",
        "See the figure below for illustration of valid bits in the SIM Receive"
        " FIFO Write Pointer Register and the table below for description of th"
        "e bit fields.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sim_rcv_fifo_wptr
    },
    {
        "RCV_FIFO_RPTR",
        "See the figure below for illustration of valid bits in the SIM Receive"
        " FIFO Read Pointer Register and the table below for description of the"
        " bit fields.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sim_rcv_fifo_rptr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SJC
#endif

// Bitfields in register SJC_GPUSR1.
static const field_t hw_sjc_gpusr1[] =
{
    {
        "A_DBG",
        "ARM core debug status bit Bit 0 is the ARM core DBGACK (debug acknowle"
        "dge) DBGACK can be overwritten in the ARM core DCR to force a particul"
        "ar DBGACK value.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A_WFI",
        "ARM core wait-for interrupt bit Bit 1 is the ARM core standbywfi (stan"
        "d by wait-for interrupt).",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_STAT",
        "3 LSBits of SDMA core statusH.",
        2, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PLL_LOCK",
        "PLL_LOCK A Combined PLL-Lock flag indicator, for all the PLL's.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SJC_GPUSR2.
static const field_t hw_sjc_gpusr2[] =
{
    {
        "STBYWFI",
        "STBYWFI[3:0] These bits provide status of \"Standby Wait-For-Interrupt"
        "\" state of all ARM cores.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_STAT",
        "S_STAT[3:0] SDMA debug status bits: debug_core_state[3:0]",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STBYWFE",
        "STBYWFE[3:0] Reflecting the \"Standby Wait For Event\" signals of all "
        "cores.",
        8, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SJC_GPUSR3.
static const field_t hw_sjc_gpusr3[] =
{
    {
        "IPG_WAIT",
        "IPG_WAIT CCM's \"ipg_wait\" signal indication",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IPG_STOP",
        "IPG_STOP CCM's \"ipg_stop\" signal indication",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SYS_WAIT",
        "System In wait Indication on System in wait mode (from CCM).",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SJC_GPSSR.
static const field_t hw_sjc_gpssr[] =
{
    {
        "GPSSR",
        "General Purpose Secured Status Register Register is used for testing a"
        "nd debug.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SJC_DCR.
static const field_t hw_sjc_dcr[] =
{
    {
        "DE_TO_ARM",
        "ARM platform debug request input propagation This bit controls the pro"
        "pagation of debug request to ARM platform (\"dbgreq\"), when the JTAG "
        "state machine is put in \"ENTER_DEBUG\" IR instruction.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DE_TO_SDMA",
        "SDMA debug request input propagation This bit controls the propagation"
        " of debug request to SDMA, when the JTAG state machine is put in \"ENT"
        "ER_DEBUG\" IR instruction.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBUG_OBS",
        "Debug observability This bit controls the propagation of the \"system "
        "debug\" input to SJC For i.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIRECT_SDMA_REQ_EN",
        "Debug enable of the sdma debug request This bit controls the propagati"
        "on of debug request DE_B to the sdma.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIRECT_ARM_REQ_EN",
        "Pass Debug Enable event from DE_B pin to ARM platform debug request si"
        "gnal(s).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SJC_SSR.
static const field_t hw_sjc_ssr[] =
{
    {
        "KTF",
        "Kill Trace Enable fuse value",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KTA",
        "Kill Trace is active",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SWF",
        "Software JTAG enable fuse Status of the no SW disable JTAG fuse",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SWE",
        "SW enable SW JTAG enable status",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EBF",
        "External Boot fuse Status of the external boot disable fuse",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EBG",
        "External boot granted External boot enabled, requested and granted",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FT",
        "Fuse type Fuse type bit - e-fuse or laser fuse",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SJM",
        "SJC Secure mode Secure JTAG mode, as set by external fuses.",
        9, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSSTAT",
        "Response status Response status bits",
        11, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BOOTIND",
        "Boot Indication Inverted Internal Boot indication, i.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SJC_GPCCR.
static const field_t hw_sjc_gpccr[] =
{
    {
        "SCLKR",
        "SDMA Clock ON Register - This bit forces the clock on of the SDMA",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACLKOFFDIS",
        "Disable/prevent ARM platform clock/power shutdown",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SJC module.
static const reg_t hw_sjc[] =
{
    {
        "GPUSR1",
        "The General Purpose Unsecured Status Register 1 is a read only registe"
        "rs used to check the status of the different Cores and of the PLL.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_sjc_gpusr1
    },
    {
        "GPUSR2",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sjc_gpusr2
    },
    {
        "GPUSR3",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sjc_gpusr3
    },
    {
        "GPSSR",
        "The General Purpose Secured Status Register is a read-only register us"
        "ed to check the status of the different critical information in the So"
        "C.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sjc_gpssr
    },
    {
        "DCR",
        "This register is used to control propagation of debug request from DE_"
        "B pad to the cores and debug signals from internal logic to the DE_B p"
        "ad.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_sjc_dcr
    },
    {
        "SSR",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_sjc_ssr
    },
    {
        "GPCCR",
        "This register is used to configure clock related modes in SOC, see Sys"
        "tem Configuration chapter for more information.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sjc_gpccr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SNVS
#endif

// Bitfields in register SNVS_HPLR.
static const field_t hw_snvs_hplr[] =
{
    {
        "MC_SL",
        "Monotonic Counter Soft Lock When set, prevents any writes (increments)"
        " to the MC Registers and MC_ENV bit.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_SL",
        "General Purpose Register Soft Lock When set, prevents any writes to th"
        "e GPR.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPCOMR.
static const field_t hw_snvs_hpcomr[] =
{
    {
        "LP_SWR",
        "LP Software Reset When set, it resets the SNVS_LP section.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "LP_SWR_DIS",
        "LP Software Reset Disable When set, disables the LP software reset.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NPSWA_EN",
        "Non-Privileged Software Access Enable When set, allows non-privileged "
        "software to access all SNVS registers, including those that are privil"
        "eged software read/write access only.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPCR.
static const field_t hw_snvs_hpcr[] =
{
    {
        "RTC_EN",
        "HP Real Time Counter Enable",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HPTA_EN",
        "HP Time Alarm Enable When set, the time alarm interrupt is generated i"
        "f the value in the HP Time Alarm Registers is equal to the value of th"
        "e HP Real Time Counter.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PI_EN",
        "HP Periodic Interrupt Enable The periodic interrupt can be generated o"
        "nly if the HP Real Time Counter is enabled.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PI_FREQ",
        "Periodic Interrupt Frequency Defines frequency of the periodic interru"
        "pt.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HPCALB_EN",
        "HP Real Time Counter Calibration Enabled Indicates that the time calib"
        "ration mechanism is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HPCALB_VAL",
        "HP Calibration Value Defines signed calibration value for the HP Real "
        "Time Counter.",
        10, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BTN_CONFIG",
        "Button Configuration.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BTN_MASK",
        "Button interrupt mask.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPSR.
static const field_t hw_snvs_hpsr[] =
{
    {
        "BTN",
        "Value of the BTN input.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BI",
        "Button Interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPRTCMR.
static const field_t hw_snvs_hprtcmr[] =
{
    {
        "RTC",
        "HP Real Time Counter Most significant 32 bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPRTCLR.
static const field_t hw_snvs_hprtclr[] =
{
    {
        "RTC",
        "HP Real Time Counter Least significant 32 bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPTAMR.
static const field_t hw_snvs_hptamr[] =
{
    {
        "HPTA",
        "HP Time Alarm Most significant 15 bits.",
        0, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPTALR.
static const field_t hw_snvs_hptalr[] =
{
    {
        "HPTA",
        "HP Time Alarm Least significant bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPLR.
static const field_t hw_snvs_lplr[] =
{
    {
        "MC_HL",
        "Monotonic Counter Hard Lock When set, prevents any writes (increments)"
        " to the MC Registers and MC_ENV bit.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_HL",
        "General Purpose Register Hard Lock When set, prevents any writes to th"
        "e GPR.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPCR.
static const field_t hw_snvs_lpcr[] =
{
    {
        "MC_ENV",
        "Monotonic Counter Enable and Valid When set, the MC can be incremented"
        " (by write transaction to the LPSMCMR or LPSMCLR).",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DP_EN",
        "Dumb PMIC Enabled When set, software can control the system power.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOP",
        "Turn off System Power Asserting this bit causes a signal to be sent to"
        " the Power Management IC to turn off the system power.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_GLITCH_EN",
        "By default the detection of a power glitch does not cause the pmic_en_"
        "b signal to be asserted.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BTN_PRESS_TIME",
        "Button press time out values for PMIC Logic.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBOUNCE",
        "This field configures the amount of debounce time for the BTN input si"
        "gnal.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ON_TIME",
        "The ON_TIME field is used to configure the period of time after BTN is"
        " asserted before pmic_en_b is asserted to turn on the SoCpower.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PK_EN",
        "PMIC On Request Enable.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PK_OVERRIDE",
        "PMIC On Request Override.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPSR.
static const field_t hw_snvs_lpsr[] =
{
    {
        "MCR",
        "Monotonic Counter Rollover.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EO",
        "Emergency Off This bit is set when a power off is requested.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPO",
        "Set Power Off The SPO bit is set when the set_pwr_off_irq interrupt is"
        " triggered, which happens when software writes a 1 to the TOP bit in t"
        "he LPCR or when the power button is pressed longer than the configured"
        " debounce time.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPSMCMR.
static const field_t hw_snvs_lpsmcmr[] =
{
    {
        "MON_COUNTER",
        "Monotonic Counter Most Significant 16 Bits The MC is incremented by on"
        "e when: A write transaction to the LPSMCMR or LPSMCLR register is dete"
        "cted.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MC_ERA_BITS",
        "Monotonic Counter Era Bits These bits are inputs to the module and typ"
        "ically connect to fuses.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPSMCLR.
static const field_t hw_snvs_lpsmclr[] =
{
    {
        "MON_COUNTER",
        "Monotonic Counter bits The MC is incremented by one when: A write tran"
        "saction to the LPSMCMR or LPSMCLR Register is detected.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPGPR.
static const field_t hw_snvs_lpgpr[] =
{
    {
        "GPR",
        "General Purpose Register When GPR_SL or GPR_HL bit is set, the registe"
        "r cannot be programmed.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPVIDR1.
static const field_t hw_snvs_hpvidr1[] =
{
    {
        "MINOR_REV",
        "SNVS block minor version number",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR_REV",
        "SNVS block major version number",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IP_ID",
        "SNVS block ID",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPVIDR2.
static const field_t hw_snvs_hpvidr2[] =
{
    {
        "CONFIG_OPT",
        "SNVS Configuration Option",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ECO_REV",
        "SNVS ECO Revision",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "INTG_OPT",
        "SNVS Integration Option",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IP_ERA",
        "00h - Era 1 or 2 03h - Era 3 04h - Era 4 05h - Era 5",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a SNVS module.
static const reg_t hw_snvs[] =
{
    {
        "HPLR",
        "The SNVS_HP Lock Register contains lock bits for the SNVS registers.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_snvs_hplr
    },
    {
        "HPCOMR",
        "The SNVS_HP Command Register contains the command, configuration, and "
        "control bits for the SNVS block.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_snvs_hpcomr
    },
    {
        "HPCR",
        "The SNVS_HP Control Register contains various control bits of the HP s"
        "ection of SNVS .",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_snvs_hpcr
    },
    {
        "HPSR",
        "The HP Status Register reflects the internal state of the SNVS.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_snvs_hpsr
    },
    {
        "HPRTCMR",
        "The SNVS_HP Real Time Counter MSB register contains the most significa"
        "nt bits of the HP Real Time Counter.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_hprtcmr
    },
    {
        "HPRTCLR",
        "The SNVS_HP Real Time Counter LSB register contains the 32 least signi"
        "ficant bits of the HP real time counter.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_hprtclr
    },
    {
        "HPTAMR",
        "The SNVS_HP Time Alarm MSB register contains the most significant bits"
        " of the SNVS_HP Time Alarm value.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_hptamr
    },
    {
        "HPTALR",
        "The SNVS_HP Time Alarm LSB register contains the 32 least significant "
        "bits of the SNVS_HP Time Alarm value.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_hptalr
    },
    {
        "LPLR",
        "The SNVS_LP Lock Register contains lock bits for the SNVS_LP registers"
        ".",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_snvs_lplr
    },
    {
        "LPCR",
        "The SNVS_LP Control Register contains various control bits of the LP s"
        "ection of SNVS.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_snvs_lpcr
    },
    {
        "LPSR",
        "The SNVS_LP Status Register reflects the internal state and behavior o"
        "f the SNVS_LP.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_snvs_lpsr
    },
    {
        "LPSMCMR",
        "The SNVS_LP Secure Monotonic Counter MSB Register contains the monoton"
        "ic counter era bits and the most significant 16 bits of the monotonic "
        "counter.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_snvs_lpsmcmr
    },
    {
        "LPSMCLR",
        "The SNVS_LP Secure Monotonic Counter LSB Register contains the 32 leas"
        "t significant bits of the monotonic counter.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpsmclr
    },
    {
        "LPGPR",
        "The SNVS_LP General Purpose Register is a 32-bit read/write register l"
        "ocated in the low power domain.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpgpr
    },
    {
        "HPVIDR1",
        "The SNVS_HP Version ID Register 1 is a read-only register that contain"
        "s the current version of the SNVS .",
        4, // Width in bytes
        0x00000bf8, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_snvs_hpvidr1
    },
    {
        "HPVIDR2",
        "The SNVS_HP Version ID Register 2 is a read-only register that indicat"
        "es the current version of the SNVS.",
        4, // Width in bytes
        0x00000bfc, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_snvs_hpvidr2
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SPBA
#endif

// Bitfields in register SPBA_PRR0.
static const field_t hw_spba_prr0[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR1.
static const field_t hw_spba_prr1[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR2.
static const field_t hw_spba_prr2[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR3.
static const field_t hw_spba_prr3[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR4.
static const field_t hw_spba_prr4[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR5.
static const field_t hw_spba_prr5[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR6.
static const field_t hw_spba_prr6[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR7.
static const field_t hw_spba_prr7[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR8.
static const field_t hw_spba_prr8[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR9.
static const field_t hw_spba_prr9[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR10.
static const field_t hw_spba_prr10[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR11.
static const field_t hw_spba_prr11[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR12.
static const field_t hw_spba_prr12[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR13.
static const field_t hw_spba_prr13[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR14.
static const field_t hw_spba_prr14[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR15.
static const field_t hw_spba_prr15[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR16.
static const field_t hw_spba_prr16[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR17.
static const field_t hw_spba_prr17[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR18.
static const field_t hw_spba_prr18[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR19.
static const field_t hw_spba_prr19[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR20.
static const field_t hw_spba_prr20[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR21.
static const field_t hw_spba_prr21[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR22.
static const field_t hw_spba_prr22[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR23.
static const field_t hw_spba_prr23[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR24.
static const field_t hw_spba_prr24[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR25.
static const field_t hw_spba_prr25[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR26.
static const field_t hw_spba_prr26[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR27.
static const field_t hw_spba_prr27[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR28.
static const field_t hw_spba_prr28[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR29.
static const field_t hw_spba_prr29[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR30.
static const field_t hw_spba_prr30[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR31.
static const field_t hw_spba_prr31[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a SPBA module.
static const reg_t hw_spba[] =
{
    {
        "PRR0",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr0
    },
    {
        "PRR1",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr1
    },
    {
        "PRR2",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr2
    },
    {
        "PRR3",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr3
    },
    {
        "PRR4",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr4
    },
    {
        "PRR5",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr5
    },
    {
        "PRR6",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr6
    },
    {
        "PRR7",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr7
    },
    {
        "PRR8",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr8
    },
    {
        "PRR9",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr9
    },
    {
        "PRR10",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr10
    },
    {
        "PRR11",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr11
    },
    {
        "PRR12",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr12
    },
    {
        "PRR13",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr13
    },
    {
        "PRR14",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr14
    },
    {
        "PRR15",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr15
    },
    {
        "PRR16",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr16
    },
    {
        "PRR17",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr17
    },
    {
        "PRR18",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr18
    },
    {
        "PRR19",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr19
    },
    {
        "PRR20",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr20
    },
    {
        "PRR21",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr21
    },
    {
        "PRR22",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr22
    },
    {
        "PRR23",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr23
    },
    {
        "PRR24",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr24
    },
    {
        "PRR25",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr25
    },
    {
        "PRR26",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr26
    },
    {
        "PRR27",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr27
    },
    {
        "PRR28",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr28
    },
    {
        "PRR29",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr29
    },
    {
        "PRR30",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr30
    },
    {
        "PRR31",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr31
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SRC
#endif

// Bitfields in register SRC_SCR.
static const field_t hw_src_scr[] =
{
    {
        "MASK_TEMPSENSE_RESET",
        "Mask tempsense_reset source.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_A7RCR0.
static const field_t hw_src_a7rcr0[] =
{
    {
        "A7_CORE_POR_RESET0",
        "POR reset for A7 core0 only.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_CORE_POR_RESET1",
        "POR reset for A7 core1 only.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_CORE_RESET0",
        "Software reset for core0 only.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_CORE_RESET1",
        "Software reset for core1 only.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_DBG_RESET0",
        "Software reset for core0 debug only.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_DBG_RESET1",
        "Software reset for core1 debug only.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_ETM_RESET0",
        "Software reset for core0 ETM only.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_ETM_RESET1",
        "Software reset for core1 ETM only.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_WDOG1_RST",
        "Mask wdog1_rst_b source.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_SOC_DBG_RESET",
        "Software reset for system level debug reset.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A7_L2RESET",
        "Software reset for A7 Snoop Control Unit (SCU).",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_A7RCR1.
static const field_t hw_src_a7rcr1[] =
{
    {
        "A7_CORE1_ENABLE",
        "core 1 enable",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_M4RCR.
static const field_t hw_src_m4rcr[] =
{
    {
        "SW_M4C_NON_SCLR_RST",
        "Non-self-clearing SW reset for M4 core",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "SW_M4C_RST",
        "Self-clearing SW reset for M4 core This is a self clearing bit.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_M4P_RST",
        "Self-clearing SW reset for M4 platform This is a self clearing bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_M4",
        "Enable M4",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_WDOG3_RST",
        "Mask wdog3_rst_b source.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG3_RST_OPTION_M4",
        "Wdog3_rst_b option for M4.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG3_RST_OPTION",
        "Wdog3_rst_b option",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_ERCR.
static const field_t hw_src_ercr[] =
{
    {
        "EIM_RST",
        "EIM reset is needed in order to reconfigure the eim chip select.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_HSICPHY_RCR.
static const field_t hw_src_hsicphy_rcr[] =
{
    {
        "HSIC_PHY_POR",
        "HSIC PHY POR This is a self clearing bit.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "HSICPHY_PORT_RST",
        "HSIC PHY Port Reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_USBOPHY1_RCR.
static const field_t hw_src_usbophy1_rcr[] =
{
    {
        "USBPHY1_POR",
        "USB OTG PHY 1 PORThis is a self clearing bit.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USBPHY1_PORT_RST",
        "USB OTG PHY1 Port Reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_USBOPHY2_RCR.
static const field_t hw_src_usbophy2_rcr[] =
{
    {
        "USBPHY2_POR",
        "USB OTG PHY 2 PORThis is a self clearing bit.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USBPHY2_PORT_RST",
        "USB OTG PHY2 Port Reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_MIPIPHY_RCR.
static const field_t hw_src_mipiphy_rcr[] =
{
    {
        "MIPI_PHY_MRST",
        "MIPI PHY Master Reset",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PHY_SRST",
        "MIPI PHY Slave Reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_PCIEPHY_RCR.
static const field_t hw_src_pciephy_rcr[] =
{
    {
        "PCIEPHY_G_RST",
        "PCIE PHY Global Reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIEPHY_BTN",
        "PCIE PHY button",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIEPHY_PERST",
        "Pciephy_perst",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_CLK_REQ",
        "Pcie_ctrl_app_clk_req_n",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_RST",
        "Pcie_ctrl_app_init_rst",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_EN",
        "Pcie_ctrl_app_ltssm_enable",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_READY",
        "Pcie_ctrl_app_ready_entr_l23",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_ENTER",
        "Pcie_ctrl_app_req_entr_l1",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_EXIT",
        "Pcie_ctrl_app_req_exit_l1",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_PME",
        "Pcie_ctrl_apps_pm_xmt_pme",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_TURNOFF",
        "Pcie_ctrl_apps_pm_xmt_turnoff",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_CFG_L1_AUX",
        "Pcie_ctrl_cfg_l1_aux_clk_switch_core_clk_gate_en",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_CFG_L1_MAC",
        "Pcie_ctrl_cfg_l1_mac_powerdown_override_to_p2_en",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_SYS_INT",
        "PCIE_CTRL_SYS_INT",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_SBMR1.
static const field_t hw_src_sbmr1[] =
{
    {
        "BOOT_CFG1",
        "Refer to fusemap.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BOOT_CFG2",
        "Refer to fusemap.",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BOOT_CFG3",
        "Refer to fusemap.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BOOT_CFG4",
        "Refer to fusemap.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_SRSR.
static const field_t hw_src_srsr[] =
{
    {
        "IPP_RESET_B",
        "Indicates whether reset was the result of ipp_reset_b pin (Power-up se"
        "quence)",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSU_RESET_B",
        "Indicates whether the reset was the result of the csu_reset_b input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPP_USER_RESET_B",
        "Indicates whether the reset was the result of the ipp_user_reset_b qua"
        "lified reset.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG1_RST_B",
        "IC Watchdog1 Time-out reset.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "JTAG_RST_B",
        "HIGH - Z JTAG reset.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "JTAG_SW_RST",
        "JTAG software reset.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG3_RST_B",
        "IC Watchdog3 Time-out reset.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG4_RST_B",
        "IC Watchdog4 Time-out reset.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEMPSENSE_RST_B",
        "Temper Sensor software reset.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_SISR.
static const field_t hw_src_sisr[] =
{
    {
        "HSICPHY_PASSED_RESET",
        "Interrupt generated to indicate that HSIC PHY passed software reset an"
        "d is ready to be used",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OTGPHY1_PASSED_RESET",
        "Interrupt generated to indicate that OTG PHY1 passed software reset an"
        "d is ready to be used",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OTGPHY2_PASSED_RESET",
        "Interrupt generated to indicate that OTG PHY2 passed software reset an"
        "d is ready to be used",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MIPIPHY_PASSED_RESET",
        "Interrupt generated to indicate that MIPI PHY passed software reset an"
        "d is ready to be used",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4C_PASSED_RESET",
        "Interrupt generated to indicate that m4 core passed software reset and"
        " is ready to be used",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4P_PASSED_RESET",
        "Interrupt generated to indicate that m4 platform passed software reset"
        " and is ready to be used",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_SIMR.
static const field_t hw_src_simr[] =
{
    {
        "MASK_HSICPHY_PASSED_RESET",
        "mask interrupt generation due to HSIC PHY passed reset",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MASK_OTGPHY1_PASSED_RESET",
        "mask interrupt generation due to OTG PHY1 passed reset",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MASK_OTGPHY2_PASSED_RESET",
        "mask interrupt generation due to OTG PHY2 passed reset",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MASK_MIPIPHY_PASSED_RESET",
        "mask interrupt generation due to MIPI PHY passed reset",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MASK_M4C_PASSED_RESET",
        "mask interrupt generation due to m4 core passed reset",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MASK_M4P_PASSED_RESET",
        "mask interrupt generation due to m4 platform passed reset",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_SBMR2.
static const field_t hw_src_sbmr2[] =
{
    {
        "SEC_CONFIG",
        "SECONFIG[1] shows the state of the SECONFIG[1] fuse.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DIR_BT_DIS",
        "DIR_BT_DIS shows the state of the DIR_BT_DIS fuse.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BT_FUSE_SEL",
        "BT_FUSE_SEL (connected to gpio bt_fuse_sel) shows the state of the BT_"
        "FUSE_SEL fuse.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BMOD",
        "BMOD[1:0] shows the latched state of the BOOT_MODE1 and BOOT_MODE0 sig"
        "nals on the rising edge of POR_B.",
        24, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR1.
static const field_t hw_src_gpr1[] =
{
    {
        "PERSISTENT_ENTRY0",
        "Holds entry function for core0 for waking-up from low power mode.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR2.
static const field_t hw_src_gpr2[] =
{
    {
        "PERSISTENT_ARG0",
        "Holds argument of entry function for core0 for waking-up from low powe"
        "r mode.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR3.
static const field_t hw_src_gpr3[] =
{
    {
        "PERSISTENT_ENTRY1",
        "Holds entry function for core1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR4.
static const field_t hw_src_gpr4[] =
{
    {
        "PERSISTENT_ARG1",
        "Holds argument of entry function for core1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR5.
static const field_t hw_src_gpr5[] =
{
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR6.
static const field_t hw_src_gpr6[] =
{
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR7.
static const field_t hw_src_gpr7[] =
{
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR8.
static const field_t hw_src_gpr8[] =
{
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR9.
static const field_t hw_src_gpr9[] =
{
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR10.
static const field_t hw_src_gpr10[] =
{
    { 0 } // Terminator
};

// Bitfields in register SRC_DDRC_RCR.
static const field_t hw_src_ddrc_rcr[] =
{
    {
        "DDRC_PRST",
        "DDR Controller preset and DDR PHY reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDRC_CORE_RST",
        "DDR Controller core_ddrc_rstn and aresetn.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SRC module.
static const reg_t hw_src[] =
{
    {
        "SCR",
        "The reset control register (SCR), contains bits that control operation"
        " of the reset controller.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_src_scr
    },
    {
        "A7RCR0",
        "The A7 Reset Control Register (A7RCR), contains bits that control the "
        "A7 reset generation.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_src_a7rcr0
    },
    {
        "A7RCR1",
        "The A7 Reset Control Register (A7RCR), contains bits that control the "
        "A7 reset generation.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_src_a7rcr1
    },
    {
        "M4RCR",
        "The M4 Reset Control Register (M4RCR), contains bits that control the "
        "M4 reset generation.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_src_m4rcr
    },
    {
        "ERCR",
        "The EIM Reset Control Register (SRC_ERCR), contains bits that control "
        "the EIM Controller reset generation.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_src_ercr
    },
    {
        "HSICPHY_RCR",
        "The HSIC PHY Reset Control Register (SRC_HSICPHY_RCR), contains bits t"
        "hat control the HSIC PHY reset generation.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_src_hsicphy_rcr
    },
    {
        "USBOPHY1_RCR",
        "The USB OTG PHY1 Reset Control Register (SRC_IP_RCR2), contains bits t"
        "hat control the USB OTG PHY1 reset generation.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_src_usbophy1_rcr
    },
    {
        "USBOPHY2_RCR",
        "The USB OTG PHY2 Reset Control Register (SRC_IP_RCR2), contains bits t"
        "hat control the USB OTG PHY2 reset generation.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_src_usbophy2_rcr
    },
    {
        "MIPIPHY_RCR",
        "The MIPI PHY Reset Control Register (SRC_MIPIPHY_RCR), contains bits t"
        "hat control the MIPI PHYreset generation.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_src_mipiphy_rcr
    },
    {
        "PCIEPHY_RCR",
        "The PCIE PHY Control Register (SRC_PCIEPHY_RCR), contains bits that co"
        "ntrol the PCIE PHY reset generation.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        20, // Number of bitfields
        hw_src_pciephy_rcr
    },
    {
        "SBMR1",
        "The Boot Mode register (SBMR) contains bits that reflect the status of"
        " Boot Mode Pins of the chip.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_src_sbmr1
    },
    {
        "SRSR",
        "The SRSR is a write to one clear register which records the source of "
        "the reset events for the chip.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_src_srsr
    },
    {
        "SISR",
        "",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        false, // Writable
        6, // Number of bitfields
        hw_src_sisr
    },
    {
        "SIMR",
        "",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        false, // Writable
        6, // Number of bitfields
        hw_src_simr
    },
    {
        "SBMR2",
        "The Boot Mode register (SBMR), contains bits that reflect the status o"
        "f Boot Mode Pins of the chip.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_src_sbmr2
    },
    {
        "GPR1",
        "",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr1
    },
    {
        "GPR2",
        "",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr2
    },
    {
        "GPR3",
        "",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr3
    },
    {
        "GPR4",
        "",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr4
    },
    {
        "GPR5",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        0, // Number of bitfields
        hw_src_gpr5
    },
    {
        "GPR6",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        0, // Number of bitfields
        hw_src_gpr6
    },
    {
        "GPR7",
        "",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        0, // Number of bitfields
        hw_src_gpr7
    },
    {
        "GPR8",
        "",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        0, // Number of bitfields
        hw_src_gpr8
    },
    {
        "GPR9",
        "Reserved for Internal Use.",
        4, // Width in bytes
        0x00000094, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_src_gpr9
    },
    {
        "GPR10",
        "",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        0, // Number of bitfields
        hw_src_gpr10
    },
    {
        "DDRC_RCR",
        "DDR Controller Reset Control Register",
        4, // Width in bytes
        0x00001000, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_src_ddrc_rcr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark TEMPMON
#endif

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE0.
static const field_t hw_tempmon_hw_anadig_tempsense0[] =
{
    {
        "LOW_ALARM_VALUE",
        "This bit field contains the temperature measurement that will issue a "
        "low temperature interrupt.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HIGH_ALARM_VALUE",
        "This bit field contains the temperature measurement that will issue a "
        "high temperature interrupt",
        9, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PANIC_ALARM_VALUE",
        "This bit field contains the temperature measurement that will cause a "
        "panic and reset the chip.",
        18, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This bit field contains the last measured temperature.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE0_SET.
static const field_t hw_tempmon_hw_anadig_tempsense0_set[] =
{
    {
        "LOW_ALARM_VALUE",
        "This bit field contains the temperature measurement that will issue a "
        "low temperature interrupt.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HIGH_ALARM_VALUE",
        "This bit field contains the temperature measurement that will issue a "
        "high temperature interrupt",
        9, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PANIC_ALARM_VALUE",
        "This bit field contains the temperature measurement that will cause a "
        "panic and reset the chip.",
        18, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This bit field contains the last measured temperature.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE0_CLR.
static const field_t hw_tempmon_hw_anadig_tempsense0_clr[] =
{
    {
        "LOW_ALARM_VALUE",
        "This bit field contains the temperature measurement that will issue a "
        "low temperature interrupt.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HIGH_ALARM_VALUE",
        "This bit field contains the temperature measurement that will issue a "
        "high temperature interrupt",
        9, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PANIC_ALARM_VALUE",
        "This bit field contains the temperature measurement that will cause a "
        "panic and reset the chip.",
        18, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This bit field contains the last measured temperature.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE0_TOG.
static const field_t hw_tempmon_hw_anadig_tempsense0_tog[] =
{
    {
        "LOW_ALARM_VALUE",
        "This bit field contains the temperature measurement that will issue a "
        "low temperature interrupt.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HIGH_ALARM_VALUE",
        "This bit field contains the temperature measurement that will issue a "
        "high temperature interrupt",
        9, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PANIC_ALARM_VALUE",
        "This bit field contains the temperature measurement that will cause a "
        "panic and reset the chip.",
        18, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This bit field contains the last measured temperature.",
        27, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE1.
static const field_t hw_tempmon_hw_anadig_tempsense1[] =
{
    {
        "TEMP_VALUE",
        "This bit field contains the temperature measurement.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POWER_DOWN",
        "This bit powers down the temperature sensor.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEASURE_TEMP",
        "Starts the measurement process.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FINISHED",
        "Indicates that the latest temp is valid.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MEASURE_FREQ",
        "This bits determines how many RTC clocks to wait before automatically "
        "repeating a temperature measurement.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE1_SET.
static const field_t hw_tempmon_hw_anadig_tempsense1_set[] =
{
    {
        "TEMP_VALUE",
        "This bit field contains the temperature measurement.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POWER_DOWN",
        "This bit powers down the temperature sensor.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEASURE_TEMP",
        "Starts the measurement process.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FINISHED",
        "Indicates that the latest temp is valid.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MEASURE_FREQ",
        "This bits determines how many RTC clocks to wait before automatically "
        "repeating a temperature measurement.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE1_CLR.
static const field_t hw_tempmon_hw_anadig_tempsense1_clr[] =
{
    {
        "TEMP_VALUE",
        "This bit field contains the temperature measurement.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POWER_DOWN",
        "This bit powers down the temperature sensor.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEASURE_TEMP",
        "Starts the measurement process.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FINISHED",
        "Indicates that the latest temp is valid.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MEASURE_FREQ",
        "This bits determines how many RTC clocks to wait before automatically "
        "repeating a temperature measurement.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE1_TOG.
static const field_t hw_tempmon_hw_anadig_tempsense1_tog[] =
{
    {
        "TEMP_VALUE",
        "This bit field contains the temperature measurement.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POWER_DOWN",
        "This bit powers down the temperature sensor.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEASURE_TEMP",
        "Starts the measurement process.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FINISHED",
        "Indicates that the latest temp is valid.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MEASURE_FREQ",
        "This bits determines how many RTC clocks to wait before automatically "
        "repeating a temperature measurement.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE_TRIM.
static const field_t hw_tempmon_hw_anadig_tempsense_trim[] =
{
    {
        "T_BUF_VREF_SEL",
        "Reference voltage setting bits for the am-plifier in the Positive-TC g"
        "enerator block.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_EN_READ",
        "Definition:TBD",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_VREF_VBE_SEL",
        "Reference voltage setting bits for the am-plifier in the Positive-TC g"
        "enerator block.",
        8, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        17, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_BUF_SLOPE_SEL",
        "Amplifier gain setting bits.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Always set to zero (0).",
        24, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_MUX_ADDR",
        "Test MUX address setting bits.",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE_TRIM_SET.
static const field_t hw_tempmon_hw_anadig_tempsense_trim_set[] =
{
    {
        "T_BUF_VREF_SEL",
        "Reference voltage setting bits for the am-plifier in the Positive-TC g"
        "enerator block.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_EN_READ",
        "Definition:TBD",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_VREF_VBE_SEL",
        "Reference voltage setting bits for the am-plifier in the Positive-TC g"
        "enerator block.",
        8, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        17, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_BUF_SLOPE_SEL",
        "Amplifier gain setting bits.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Always set to zero (0).",
        24, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_MUX_ADDR",
        "Test MUX address setting bits.",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE_TRIM_CLR.
static const field_t hw_tempmon_hw_anadig_tempsense_trim_clr[] =
{
    {
        "T_BUF_VREF_SEL",
        "Reference voltage setting bits for the am-plifier in the Positive-TC g"
        "enerator block.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_EN_READ",
        "Definition:TBD",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_VREF_VBE_SEL",
        "Reference voltage setting bits for the am-plifier in the Positive-TC g"
        "enerator block.",
        8, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        17, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_BUF_SLOPE_SEL",
        "Amplifier gain setting bits.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Always set to zero (0).",
        24, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_MUX_ADDR",
        "Test MUX address setting bits.",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TEMPMON_HW_ANADIG_TEMPSENSE_TRIM_TOG.
static const field_t hw_tempmon_hw_anadig_tempsense_trim_tog[] =
{
    {
        "T_BUF_VREF_SEL",
        "Reference voltage setting bits for the am-plifier in the Positive-TC g"
        "enerator block.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always set to zero (0).",
        5, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_EN_READ",
        "Definition:TBD",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_VREF_VBE_SEL",
        "Reference voltage setting bits for the am-plifier in the Positive-TC g"
        "enerator block.",
        8, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always set to zero (0).",
        17, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_BUF_SLOPE_SEL",
        "Amplifier gain setting bits.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Always set to zero (0).",
        24, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "T_MUX_ADDR",
        "Test MUX address setting bits.",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a TEMPMON module.
static const reg_t hw_tempmon[] =
{
    {
        "HW_ANADIG_TEMPSENSE0",
        "This register defines the alarm and panic functions for the temperatur"
        "e sensor.",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense0
    },
    {
        "HW_ANADIG_TEMPSENSE0_SET",
        "This register defines the alarm and panic functions for the temperatur"
        "e sensor.",
        4, // Width in bytes
        0x00000304, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense0_set
    },
    {
        "HW_ANADIG_TEMPSENSE0_CLR",
        "This register defines the alarm and panic functions for the temperatur"
        "e sensor.",
        4, // Width in bytes
        0x00000308, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense0_clr
    },
    {
        "HW_ANADIG_TEMPSENSE0_TOG",
        "This register defines the alarm and panic functions for the temperatur"
        "e sensor.",
        4, // Width in bytes
        0x0000030c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense0_tog
    },
    {
        "HW_ANADIG_TEMPSENSE1",
        "This register defines the automatic repeat time of the temperature sen"
        "sor.",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense1
    },
    {
        "HW_ANADIG_TEMPSENSE1_SET",
        "This register defines the automatic repeat time of the temperature sen"
        "sor.",
        4, // Width in bytes
        0x00000314, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense1_set
    },
    {
        "HW_ANADIG_TEMPSENSE1_CLR",
        "This register defines the automatic repeat time of the temperature sen"
        "sor.",
        4, // Width in bytes
        0x00000318, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense1_clr
    },
    {
        "HW_ANADIG_TEMPSENSE1_TOG",
        "This register defines the automatic repeat time of the temperature sen"
        "sor.",
        4, // Width in bytes
        0x0000031c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense1_tog
    },
    {
        "HW_ANADIG_TEMPSENSE_TRIM",
        "This register defines the automatic repeat time of the temperature sen"
        "sor.",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense_trim
    },
    {
        "HW_ANADIG_TEMPSENSE_TRIM_SET",
        "This register defines the automatic repeat time of the temperature sen"
        "sor.",
        4, // Width in bytes
        0x00000324, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense_trim_set
    },
    {
        "HW_ANADIG_TEMPSENSE_TRIM_CLR",
        "This register defines the automatic repeat time of the temperature sen"
        "sor.",
        4, // Width in bytes
        0x00000328, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense_trim_clr
    },
    {
        "HW_ANADIG_TEMPSENSE_TRIM_TOG",
        "This register defines the automatic repeat time of the temperature sen"
        "sor.",
        4, // Width in bytes
        0x0000032c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_tempmon_hw_anadig_tempsense_trim_tog
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark UART
#endif

// Bitfields in register UART_URXD.
static const field_t hw_uart_urxd[] =
{
    {
        "RX_DATA",
        "Received Data.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRERR",
        "In RS-485 mode, it holds the ninth data bit (bit [8]) of received 9-bi"
        "t RS-485 data In RS232/IrDA mode, it is the Parity Error flag.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BRK",
        "BREAK Detect.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRMERR",
        "Frame Error.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVRRUN",
        "Receiver Overrun.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ERR",
        "Error Detect.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHARRDY",
        "Character Ready.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UTXD.
static const field_t hw_uart_utxd[] =
{
    {
        "TX_DATA",
        "Transmit Data.",
        0, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UCR1.
static const field_t hw_uart_ucr1[] =
{
    {
        "UARTEN",
        "UART Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOZE",
        "DOZE.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATDMAEN",
        "Aging DMA Timer Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXDMAEN",
        "Transmitter Ready DMA Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SNDBRK",
        "Send BREAK.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTSDEN",
        "RTS Delta Interrupt Enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXMPTYEN",
        "Transmitter Empty Interrupt Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IREN",
        "Infrared Interface Enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDMAEN",
        "Receive Ready DMA Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RRDYEN",
        "Receiver Ready Interrupt Enable.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICD",
        "Idle Condition Detect.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDEN",
        "Idle Condition Detected Interrupt Enable.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRDYEN",
        "Transmitter Ready Interrupt Enable.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADBR",
        "Automatic Detection of Baud Rate.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADEN",
        "Automatic Baud Rate Detection Interrupt Enable.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UCR2.
static const field_t hw_uart_ucr2[] =
{
    {
        "SRST",
        "Software Reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXEN",
        "Receiver Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXEN",
        "Transmitter Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATEN",
        "Aging Timer Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTSEN",
        "Request to Send Interrupt Enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WS",
        "Word Size.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STPB",
        "Stop.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PROE",
        "Parity Odd/Even.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PREN",
        "Parity Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTEC",
        "Request to Send Edge Control.",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ESCEN",
        "Escape Enable.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTS",
        "Clear to Send.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTSC",
        "CTS Pin Control.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRTS",
        "Ignore RTS Pin.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ESCI",
        "Escape Sequence Interrupt Enable.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UCR3.
static const field_t hw_uart_ucr3[] =
{
    {
        "ACIEN",
        "Autobaud Counter Interrupt Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVT",
        "Invert TXD output in RS-232/RS-485 mode, set TXD active level in IrDA "
        "mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDMUXSEL",
        "RXD Muxed Input Selected.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTRDEN",
        "Data Terminal Ready Delta Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWAKEN",
        "Asynchronous WAKE Interrupt Enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AIRINTEN",
        "Asynchronous IR WAKE Interrupt Enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDSEN",
        "Receive Status Interrupt Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADNIMP",
        "Autobaud Detection Not Improved-.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RI",
        "Ring Indicator.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCD",
        "Data Carrier Detect.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSR",
        "Data Set Ready.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAERREN",
        "Frame Error Interrupt Enable.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PARERREN",
        "Parity Error Interrupt Enable.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTREN",
        "Data Terminal Ready Interrupt Enable.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPEC",
        "DTR/DSR Interrupt Edge Control.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UCR4.
static const field_t hw_uart_ucr4[] =
{
    {
        "DREN",
        "Receive Data Ready Interrupt Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OREN",
        "Receiver Overrun Interrupt Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BKEN",
        "BREAK Condition Detected Interrupt Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCEN",
        "Transmit Complete Interrupt Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPBYP",
        "Low Power Bypass.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRSC",
        "IR Special Case.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDDMAEN",
        "DMA IDLE Condition Detected Interrupt Enable Enables/Disables the rece"
        "ive DMA request dma_req_rx for the IDLE interrupt (triggered with IDLE"
        " flag in USR2[12]).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKEN",
        "WAKE Interrupt Enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENIRI",
        "Serial Infrared Interrupt Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVR",
        "Invert RXD input in RS-232/RS-485 Mode, determine RXD input logic leve"
        "l being sampled in In IrDA mode.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTSTL",
        "CTS Trigger Level.",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UFCR.
static const field_t hw_uart_ufcr[] =
{
    {
        "RXTL",
        "Receiver Trigger Level.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCEDTE",
        "DCE/DTE mode select.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFDIV",
        "Reference Frequency Divider.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXTL",
        "Transmitter Trigger Level.",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_USR1.
static const field_t hw_uart_usr1[] =
{
    {
        "SAD",
        "RS-485 Slave Address Detected Interrupt Flag.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWAKE",
        "Asynchronous WAKE Interrupt Flag.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AIRINT",
        "Asynchronous IR WAKE Interrupt Flag.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDS",
        "Receiver IDLE Interrupt Flag.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DTRD",
        "DTR Delta.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AGTIM",
        "Ageing Timer Interrupt Flag.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RRDY",
        "Receiver Ready Interrupt / DMA Flag.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAMERR",
        "Frame Error Interrupt Flag.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ESCF",
        "Escape Sequence Interrupt Flag.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTSD",
        "RTS Delta.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRDY",
        "Transmitter Ready Interrupt / DMA Flag.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RTSS",
        "RTS_B Pin Status.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PARITYERR",
        "Parity Error Interrupt Flag.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_USR2.
static const field_t hw_uart_usr2[] =
{
    {
        "RDR",
        "Receive Data Ready-Indicates that at least 1 character is received and"
        " written to the RxFIFO.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ORE",
        "Overrun Error.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRCD",
        "BREAK Condition Detected.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXDC",
        "Transmitter Complete.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RTSF",
        "RTS Edge Triggered Interrupt Flag.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCDIN",
        "Data Carrier Detect Input.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DCDDELT",
        "Data Carrier Detect Delta.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAKE",
        "Wake.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRINT",
        "Serial Infrared Interrupt Flag.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RIIN",
        "Ring Indicator Input.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDELT",
        "Ring Indicator Delta.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACST",
        "Autobaud Counter Stopped.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDLE",
        "Idle Condition.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTRF",
        "DTR edge triggered interrupt flag.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXFE",
        "Transmit Buffer FIFO Empty.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADET",
        "Automatic Baud Rate Detect Complete.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UESC.
static const field_t hw_uart_uesc[] =
{
    {
        "ESC_CHAR",
        "UART Escape Character.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UTIM.
static const field_t hw_uart_utim[] =
{
    {
        "TIM",
        "UART Escape Timer.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UBIR.
static const field_t hw_uart_ubir[] =
{
    {
        "INC",
        "Incremental Numerator.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UBMR.
static const field_t hw_uart_ubmr[] =
{
    {
        "MOD",
        "Modulator Denominator.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UBRC.
static const field_t hw_uart_ubrc[] =
{
    {
        "BCNT",
        "Baud Rate Count Register.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_ONEMS.
static const field_t hw_uart_onems[] =
{
    {
        "ONEMS",
        "One Millisecond Register.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UTS.
static const field_t hw_uart_uts[] =
{
    {
        "SOFTRST",
        "Software Reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFULL",
        "RxFIFO FULL.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXFULL",
        "TxFIFO FULL.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXEMPTY",
        "RxFIFO Empty.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXEMPTY",
        "TxFIFO Empty.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDBG",
        "RX_fifo_debug_mode.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOOPIR",
        "Loop TX and RX for IR Test (LOOPIR).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGEN",
        "debug_enable_B.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOOP",
        "Loop TX and RX for Test.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRCPERR",
        "Force Parity Error.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UMCR.
static const field_t hw_uart_umcr[] =
{
    {
        "MDEN",
        "9-bit data or Multidrop Mode (RS-485) Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLAM",
        "RS-485 Slave Address Detect Mode Selection.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB8",
        "Transmit RS-485 bit 8 (the ninth bit or 9th bit).",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SADEN",
        "RS-485 Slave Address Detected Interrupt Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLADDR",
        "RS-485 Slave Address Character.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a UART module.
static const reg_t hw_uart[] =
{
    {
        "URXD",
        "The UART will yield a transfer error on the peripheral bus when core i"
        "s reading URXD register with receive interface disabled (RXEN=0 or UAR"
        "TEN=0).",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        7, // Number of bitfields
        hw_uart_urxd
    },
    {
        "UTXD",
        "The UART will yield a transfer error on the peripheral bus when core i"
        "s writing into UART_URXD register with transmit interface disabled (TX"
        "EN=0 or UARTEN=0).",
        4, // Width in bytes
        0x00000040, // Base address offset
        false, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_uart_utxd
    },
    {
        "UCR1",
        "",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_uart_ucr1
    },
    {
        "UCR2",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_uart_ucr2
    },
    {
        "UCR3",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_uart_ucr3
    },
    {
        "UCR4",
        "",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_uart_ucr4
    },
    {
        "UFCR",
        "",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_uart_ufcr
    },
    {
        "USR1",
        "",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_uart_usr1
    },
    {
        "USR2",
        "",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_uart_usr2
    },
    {
        "UESC",
        "",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_uart_uesc
    },
    {
        "UTIM",
        "",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_uart_utim
    },
    {
        "UBIR",
        "This register can be written by both software and hardware.",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_uart_ubir
    },
    {
        "UBMR",
        "This register can be written by both software and hardware.",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_uart_ubmr
    },
    {
        "UBRC",
        "",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_uart_ubrc
    },
    {
        "ONEMS",
        "This register has been expanded from 16 bits to 24 bits.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_uart_onems
    },
    {
        "UTS",
        "",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_uart_uts
    },
    {
        "UMCR",
        "",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_uart_umcr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark USBNC
#endif

// Bitfields in register USBNC_OTG1_CTRL1.
static const field_t hw_usbnc_otg1_ctrl1[] =
{
    {
        "OVER_CUR_DIS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVER_CUR_POL",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_POL",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIE",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_SW_EN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_SW",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_ID_EN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_VBUS_EN",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_DPDM_EN",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIR",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_OTG1_CTRL2.
static const field_t hw_usbnc_otg1_ctrl2[] =
{
    {
        "VBUS_SOURCE_SEL",
        "VBUS source select when detect VBUS wakeup event, it is for UTMI PHY o"
        "nly (UH core has no such feature).",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTURESUME_EN",
        "It is for UTMI PHY host mode only (UH core has no this feature since H"
        "SIC PHY does not support auto resume).",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOWSPEED_EN",
        "Set if AUTURESUME_EN is set and works on low speed.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIG_ID_SEL",
        "Set to select the ID from one GPIO input, it also affects bit4 of USB_"
        "UTMIPHY_STATUS.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UTMI_CLK_VLD",
        "Indicate whether PHY clock is valid.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_OTG1_PHY_CFG1.
static const field_t hw_usbnc_otg1_phy_cfg1[] =
{
    {
        "COMMONONN",
        "This signal controls the power-down signals in the Bias and PLL blocks"
        " when the USB OTG PHY is in Suspend or Sleep modes.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSEL",
        "This signal selects the USB OTG PHY reference clock frequency for the "
        "USB PLL.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPDISTUNE0",
        "This bus adjusts the voltage level for the receiver threshold used to "
        "detect a disconnect event at the host.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SQRXTUNE0",
        "This bus adjusts the voltage level for the receiver threshold used to "
        "detect valid high-speed data.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTGTUNE0",
        "This bus adjust the voltage level for the VBUS VALID threshold.",
        10, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXHSXVTUNE0",
        "This bus adjusts the voltage at which the USB_OTG*_DP and USB_OTG*_DN "
        "signals cross while transmitting in HS mode.",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXFSLSTUNE0",
        "This bus adjusts the low- and full-speed single-ended source impedance"
        " while driving high.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXVREFTUNE0",
        "This bus adjust the high-speed transmitter DC level voltage.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXRISETUNE0",
        "This bus adjust the rise/fall times of the high-speed transmitter wave"
        "form.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXRESTUNE0",
        "In some applications, there can be significant series resistance on th"
        "e USB DP/DN path between the USB_OTG*_DP/USB_OTG*_DN pins tns and the "
        "USB cable.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXPREEMPAMPTUNE0",
        "This signal controls the amount of current sourced to the USB_OTG*_DP "
        "and USB_OTG*_DN pins after a J-to-K or K-to-J transition.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXPREEMPPULSETUNE0",
        "This signal controls the duration for which the HS pre-emphais current"
        " is sourced on the the USB_OTG*_DP and USB_OTG*DN pins.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHRGDET_MEGAMIX",
        "This signal controls the state of the USB_OTG1_CHD_B external pin toge"
        "ther with the CHRGDET (USBNC_USB_OTG1_PHY_STATUS[29] signal during per"
        "iods when the SOC is fully powered.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_OTG1_PHY_CFG2.
static const field_t hw_usbnc_otg1_phy_cfg2[] =
{
    {
        "CHRGSEL",
        "This signal is used to select the Battery Charging detection connectio"
        "ns per the USB Battery Charging Specification revision 1.2.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VDATDETENB0",
        "This signal is used to enable attach/connect detection per the USB Bat"
        "tery Charging Specification revision 1.2.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VDATSRCENB0",
        "This signal is used to enable the VD*_SRC voltage source and ID*SINK c"
        "urrent sink per the USB Battery Charging Specification revision 1.2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCDENB",
        "This signal enables current sourcing on the USB_OTG*_DP pin and pull-d"
        "own resistaince on the USB_OTG*_DN pin for Data Cantact Detect (DCD) p"
        "er the USB Battery Charging Specification revision 1.2.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACAENB0",
        "This signal enables the circuitry to detect resistance on the USB_OTG*"
        "_ID pin if the USB cable is connected to an ACA (Acessory Charger Adap"
        "tor).",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLEEPM0",
        "Asserting this signal places the USB OTG PHY in Sleep mode accourding "
        "to the USB 2.0 Link Power Management (LPM) addendum to the USB 2.0 spe"
        "cification.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOOPBACKENB0",
        "This signal places the USB OTG PHY in Loopback mode, which enables the"
        " receive and transmit logic concurrently.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXBITSTUFFEN0",
        "This controller signal controls bit stuffing on DATAIN[7:0] when OPMOD"
        "E[1:0] = 2'b11.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXBITSTUFFENH0",
        "This controller signal controls bit stuffing on DATAINH[7:0] when OPMO"
        "DE[1:0] = 2'b11.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTGDISABLE0",
        "This signal powers down the VBUS Valid comparator.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADPCHRG0",
        "This signal controls charging the USB_OTG*_VBUS pin during ADP.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADPDISCHRG0",
        "This signal controls discharging the USB_OTG*_VBUS pin during ADP.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADPPRBENB0",
        "This signal determines whether the ADP (Attach Detection Protocol) Pro"
        "be comparator on the USB_OTG*_VBUS pin is enabled.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VBUSVLDEXTSEL0",
        "This signal selects whether the VBUSVLDEXT input (USBNC_USB_OTGx_PHY_C"
        "FG2[15]) or the internal Session Valid comparator in the USB OTG PHY i"
        "s used to check if the VBUS signal on USB_OTG*_VBUS is valid and to en"
        "able the pull-up resistor on the USB_OTG*_DP pin.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VBUSVLDEXT",
        "This signal is used if a VBUS Valid signal generated from a circuit ou"
        "tside the USB OTG PHY is desired.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRVVBUS0",
        "This signal controls the USB OTG PHY VBUS Valid comparator which indic"
        "ates whether the voltage on the USB_OTG*_VBUS pin is below the VBUS Va"
        "lid threshold.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_OTG1_PHY_STATUS.
static const field_t hw_usbnc_otg1_phy_status[] =
{
    {
        "LINE_STATE",
        "These signals reflect the state of the single-ended receivers as defin"
        "ed by the UTMI+ Specification.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SESS_VLD",
        "This signal is the output from the USB OTG PHY Session Valid comparato"
        "r and indicates whether the voltage on the USB_OTG*_VBUS pin is below "
        "the OTG Device Session Valid threshold.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VBUS_VLD",
        "This signal is the output from the USB OTG PHY VBUS Valid comparator a"
        "nd indicates whether the voltage on the USB_OTG*_VBUS pin is below the"
        " VBUS Valid threshold.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ID_DIG",
        "This signal is the output from the ID pin A/B detector, which determin"
        "es whether the resistance from the USB_OTG*_ID pin to VSS is grounded "
        "(10 ohm maximum for a Micro- or Mini-A plug) or floating (1 Megohm min"
        "imum for a Micro- or Mini- B plug).",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HOST_DISCONNECT",
        "This signal indicates to the USB_OTGx controller that a peripheral has"
        " been disconnected from or connected to the USB cable.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDC0",
        "For USB Charger Detection, indicates whether the USB_OTG*_ID pin conne"
        "cted to an ACA is within the RID_C) range.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDB0",
        "For USB Charger Detection, indicates whether the USB_OTG*_ID pin conne"
        "cted to an ACA is within the RID_B) range.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDA0",
        "For USB Charger Detection, indicates whether the USB_OTG*_ID pin conne"
        "cted to an ACA is within the RID_A) range.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDGND0",
        "For USB Charger Detection, indicates whether the USB_OTG*_ID pin conne"
        "cted to an ACA is grounded (has resistance < RID_GND).",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDFLOAT0",
        "For USB Charger Detection, indicates whether the USB_OTG*_ID pin conne"
        "cted to an ACA is floating (has resistance > RID_FLOAT).",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHRGDET",
        "This signal indicates whether the voltage level on USB_OTG*_DP or USB_"
        "OTG*_DN is greater than VDAT_REF as defined in the USB Battery Charger"
        ", Revision 1.2 Specification.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADPPRB0",
        "This signal is output from the USB OTG PHY ADP Probe comparator and in"
        "dicates whether the voltage on the USB_OTG*_VBUS pin is below the ADP "
        "probing voltage.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADPSNS0",
        "This signal is output from the USB OTG PHY ADP Sense comparator and in"
        "dicates whether the voltage on the USB_OTG*_VBUS pin is below the ADP "
        "sensing voltage.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_ADP_CFG1.
static const field_t hw_usbnc_adp_cfg1[] =
{
    {
        "ADP_WAIT",
        "Delay between 2 ADP probe, default value is about 1.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMER_EN",
        "Set will start the internal 18-bit counter.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADP_SNS_INT_EN",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADP_PRB_INT_EN",
        "ADP probe interrupt enable",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADP_PRB_EN",
        "Set to enable the ADP probe sequence",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_ADP_CFG2.
static const field_t hw_usbnc_adp_cfg2[] =
{
    {
        "ADP_CHRG_DELTA",
        "ADP charge time compare If diffence is larger than ADP_CHG_DELTA, it g"
        "enerates ADP_PROBE interrupt.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADP_CHRG_SWCMP",
        "If set, HW uses ADP_CHRG_SWTIME to compare.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADP_CHRG_SWTIME",
        "ADP charge time assigned by software",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADP_DISCHG_TIME",
        "Default value is about 2.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_ADP_STATUS.
static const field_t hw_usbnc_adp_status[] =
{
    {
        "ADP_PRB_TIMR",
        "It latchs the internal counter when PHY indicates ADP_PROBE.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADP_CNT",
        "It counts when ADP_PRB_EN or TIMER_TEST_EN is set cleared if both ADP_"
        "PRB_EN and TIMER_TEST_EN are 0, or internal state machine change inter"
        "nal state machine:",
        8, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADP_SNS_INT",
        "Set when PHY detect ADP sense cleared by clear ADP_SNS_INT_EN",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADP_PRB_INT",
        "Set when ADP charge time exceed [ADP_CHG_MIN, ADP_CHG_MAX] cleared by "
        "CLEAR ADP_PRB_INT_EN",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_OTG2_CTRL1.
static const field_t hw_usbnc_otg2_ctrl1[] =
{
    {
        "OVER_CUR_DIS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVER_CUR_POL",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_POL",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIE",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_SW_EN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_SW",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_ID_EN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_VBUS_EN",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_DPDM_EN",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIR",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_OTG2_CTRL2.
static const field_t hw_usbnc_otg2_ctrl2[] =
{
    {
        "VBUS_SOURCE_SEL",
        "VBUS source select when detect VBUS wakeup event, it is for UTMI PHY o"
        "nly (UH core has no such feature).",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTURESUME_EN",
        "It is for UTMI PHY host mode only (UH core has no this feature since H"
        "SIC PHY does not support auto resume).",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOWSPEED_EN",
        "Set if AUTURESUME_EN is set and works on low speed.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIG_ID_SEL",
        "Set to select the ID from one GPIO input, it also affects bit4 of USB_"
        "UTMIPHY_STATUS.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UTMI_CLK_VLD",
        "Indicate whether PHY clock is valid.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_OTG2_PHY_CFG1.
static const field_t hw_usbnc_otg2_phy_cfg1[] =
{
    {
        "COMMONONN",
        "This signal controls the power-down signals in the Bias and PLL blocks"
        " when the USB OTG PHY is in Suspend or Sleep modes.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSEL",
        "This signal selects the USB OTG PHY reference clock frequency for the "
        "USB PLL.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPDISTUNE0",
        "This bus adjusts the voltage level for the receiver threshold used to "
        "detect a disconnect event at the host.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SQRXTUNE0",
        "This bus adjusts the voltage level for the receiver threshold used to "
        "detect valid high-speed data.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTGTUNE0",
        "This bus adjust the voltage level for the VBUS VALID threshold.",
        10, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXHSXVTUNE0",
        "This bus adjusts the voltage at which the USB_OTG*_DP and USB_OTG*_DN "
        "signals cross while transmitting in HS mode.",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXFSLSTUNE0",
        "This bus adjusts the low- and full-speed single-ended source impedance"
        " while driving high.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXVREFTUNE0",
        "This bus adjust the high-speed transmitter DC level voltage.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXRISETUNE0",
        "This bus adjust the rise/fall times of the high-speed transmitter wave"
        "form.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXRESTUNE0",
        "In some applications, there can be significant series resistance on th"
        "e USB DP/DN path between the USB_OTG*_DP/USB_OTG*_DN pins tns and the "
        "USB cable.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXPREEMPAMPTUNE0",
        "This signal controls the amount of current sourced to the USB_OTG*_DP "
        "and USB_OTG*_DN pins after a J-to-K or K-to-J transition.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXPREEMPPULSETUNE0",
        "This signal controls the duration for which the HS pre-emphais current"
        " is sourced on the the USB_OTG*_DP and USB_OTG*DN pins.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHRGDET_MEGAMIX",
        "This signal controls the state of the USB_OTG1_CHD_B external pin toge"
        "ther with the CHRGDET (USBNC_USB_OTG1_PHY_STATUS[29] signal during per"
        "iods when the SOC is fully powered.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_OTG2_PHY_CFG2.
static const field_t hw_usbnc_otg2_phy_cfg2[] =
{
    {
        "CHRGSEL",
        "This signal is used to select the Battery Charging detection connectio"
        "ns per the USB Battery Charging Specification revision 1.2.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VDATDETENB0",
        "This signal is used to enable attach/connect detection per the USB Bat"
        "tery Charging Specification revision 1.2.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VDATSRCENB0",
        "This signal is used to enable the VD*_SRC voltage source and ID*SINK c"
        "urrent sink per the USB Battery Charging Specification revision 1.2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCDENB",
        "This signal enables current sourcing on the USB_OTG*_DP pin and pull-d"
        "own resistaince on the USB_OTG*_DN pin for Data Cantact Detect (DCD) p"
        "er the USB Battery Charging Specification revision 1.2.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACAENB0",
        "This signal enables the circuitry to detect resistance on the USB_OTG*"
        "_ID pin if the USB cable is connected to an ACA (Acessory Charger Adap"
        "tor).",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLEEPM0",
        "Asserting this signal places the USB OTG PHY in Sleep mode accourding "
        "to the USB 2.0 Link Power Management (LPM) addendum to the USB 2.0 spe"
        "cification.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOOPBACKENB0",
        "This signal places the USB OTG PHY in Loopback mode, which enables the"
        " receive and transmit logic concurrently.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXBITSTUFFEN0",
        "This controller signal controls bit stuffing on DATAIN[7:0] when OPMOD"
        "E[1:0] = 2'b11.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXBITSTUFFENH0",
        "This controller signal controls bit stuffing on DATAINH[7:0] when OPMO"
        "DE[1:0] = 2'b11.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTGDISABLE0",
        "This signal powers down the VBUS Valid comparator.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADPCHRG0",
        "This signal controls charging the USB_OTG*_VBUS pin during ADP.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADPDISCHRG0",
        "This signal controls discharging the USB_OTG*_VBUS pin during ADP.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADPPRBENB0",
        "This signal determines whether the ADP (Attach Detection Protocol) Pro"
        "be comparator on the USB_OTG*_VBUS pin is enabled.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VBUSVLDEXTSEL0",
        "This signal selects whether the VBUSVLDEXT input (USBNC_USB_OTGx_PHY_C"
        "FG2[15]) or the internal Session Valid comparator in the USB OTG PHY i"
        "s used to check if the VBUS signal on USB_OTG*_VBUS is valid and to en"
        "able the pull-up resistor on the USB_OTG*_DP pin.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VBUSVLDEXT",
        "This signal is used if a VBUS Valid signal generated from a circuit ou"
        "tside the USB OTG PHY is desired.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRVVBUS0",
        "This signal controls the USB OTG PHY VBUS Valid comparator which indic"
        "ates whether the voltage on the USB_OTG*_VBUS pin is below the VBUS Va"
        "lid threshold.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_OTG2_PHY_STATUS.
static const field_t hw_usbnc_otg2_phy_status[] =
{
    {
        "LINE_STATE",
        "These signals reflect the state of the single-ended receivers as defin"
        "ed by the UTMI+ Specification.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SESS_VLD",
        "This signal is the output from the USB OTG PHY Session Valid comparato"
        "r and indicates whether the voltage on the USB_OTG*_VBUS pin is below "
        "the OTG Device Session Valid threshold.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VBUS_VLD",
        "This signal is the output from the USB OTG PHY VBUS Valid comparator a"
        "nd indicates whether the voltage on the USB_OTG*_VBUS pin is below the"
        " VBUS Valid threshold.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ID_DIG",
        "This signal is the output from the ID pin A/B detector, which determin"
        "es whether the resistance from the USB_OTG*_ID pin to VSS is grounded "
        "(10 ohm maximum for a Micro- or Mini-A plug) or floating (1 Megohm min"
        "imum for a Micro- or Mini- B plug).",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HOST_DISCONNECT",
        "This signal indicates to the USB_OTGx controller that a peripheral has"
        " been disconnected from or connected to the USB cable.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDC0",
        "For USB Charger Detection, indicates whether the USB_OTG*_ID pin conne"
        "cted to an ACA is within the RID_C) range.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDB0",
        "For USB Charger Detection, indicates whether the USB_OTG*_ID pin conne"
        "cted to an ACA is within the RID_B) range.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDA0",
        "For USB Charger Detection, indicates whether the USB_OTG*_ID pin conne"
        "cted to an ACA is within the RID_A) range.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDGND0",
        "For USB Charger Detection, indicates whether the USB_OTG*_ID pin conne"
        "cted to an ACA is grounded (has resistance < RID_GND).",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDFLOAT0",
        "For USB Charger Detection, indicates whether the USB_OTG*_ID pin conne"
        "cted to an ACA is floating (has resistance > RID_FLOAT).",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHRGDET",
        "This signal indicates whether the voltage level on USB_OTG*_DP or USB_"
        "OTG*_DN is greater than VDAT_REF as defined in the USB Battery Charger"
        ", Revision 1.2 Specification.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADPPRB0",
        "This signal is output from the USB OTG PHY ADP Probe comparator and in"
        "dicates whether the voltage on the USB_OTG*_VBUS pin is below the ADP "
        "probing voltage.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADPSNS0",
        "This signal is output from the USB OTG PHY ADP Sense comparator and in"
        "dicates whether the voltage on the USB_OTG*_VBUS pin is below the ADP "
        "sensing voltage.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_HSIC_CTRL1.
static const field_t hw_usbnc_hsic_ctrl1[] =
{
    {
        "OVER_CUR_DIS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVER_CUR_POL",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_POL",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIE",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_SW_EN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_SW",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_ID_EN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_VBUS_EN",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKUP_DPDM_EN",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIR",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_HSIC_CTRL2.
static const field_t hw_usbnc_hsic_ctrl2[] =
{
    {
        "VBUS_SOURCE_SEL",
        "VBUS source select when detect VBUS wakeup event, it is for UTMI PHY o"
        "nly (UH core has no such feature).",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTURESUME_EN",
        "It is for UTMI PHY host mode only (UH core has no this feature since H"
        "SIC PHY does not support auto resume).",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOWSPEED_EN",
        "Set if AUTURESUME_EN is set and works on low speed.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIG_ID_SEL",
        "Set to select the ID from one GPIO input, it also affects bit4 of USB_"
        "UTMIPHY_STATUS.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UTMI_CLK_VLD",
        "Indicate whether PHY clock is valid.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USBNC_UH_HSICPHY_CFG1.
static const field_t hw_usbnc_uh_hsicphy_cfg1[] =
{
    {
        "COMMONONN",
        "This clock configuration setting should not be changed and must remain"
        " at 1'b1.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOOPBACKENB",
        "Loopback test enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPPULLDOWN",
        "Bus keeper resistors enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMPULLDOWN",
        "Bus keeper resistors enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLEEPM",
        "Sleeep mode assertion.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXBITSTUFFEN",
        "This controller signal controls bit stuffing on DATAIN[7:0] when OPMOD"
        "E[1:0] = 2'b11.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXBITSTUFFENH",
        "This controller signal controls bit stuffing on DATAINH[7:0] when OPMO"
        "DE[1:0] = 2'b11.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXRPUTUNE",
        "Driver pull-up single-ended source impedance adjustment for USB_H_DATA"
        " and USB_H_STROBE pins when driving high.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXRPDTUNE",
        "Driver pull-down single-ended source impedance adjustment for USB_H_DA"
        "TA and USB_H_STROBE pins when driving low.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXSRTUNE",
        "Driver slew rate adjustment for USB_H_DATA and USB_H_STROBE pins.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFCLKDIV",
        "Reference clock frequency select.",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFCLKSEL",
        "Reference clock select.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a USBNC module.
static const reg_t hw_usbnc[] =
{
    {
        "OTG1_CTRL1",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_usbnc_otg1_ctrl1
    },
    {
        "OTG1_CTRL2",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_usbnc_otg1_ctrl2
    },
    {
        "OTG1_PHY_CFG1",
        "The USB_OTGx_PHY_CFG1 register allows control of selected inputs to th"
        "e USB OTG PHY.",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_usbnc_otg1_phy_cfg1
    },
    {
        "OTG1_PHY_CFG2",
        "The USB_OTGx_PHY_CFG2 register allows control of selected inputs to th"
        "e USB OTG PHY.",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_usbnc_otg1_phy_cfg2
    },
    {
        "OTG1_PHY_STATUS",
        "The USB_OTGx_PHY_STATUS register allows visibility of selected outputs"
        " of the USB OTG PHY.",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        false, // Writable
        13, // Number of bitfields
        hw_usbnc_otg1_phy_status
    },
    {
        "ADP_CFG1",
        "",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_usbnc_adp_cfg1
    },
    {
        "ADP_CFG2",
        "",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_usbnc_adp_cfg2
    },
    {
        "ADP_STATUS",
        "",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_usbnc_adp_status
    },
    {
        "OTG2_CTRL1",
        "",
        4, // Width in bytes
        0x00010200, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_usbnc_otg2_ctrl1
    },
    {
        "OTG2_CTRL2",
        "",
        4, // Width in bytes
        0x00010204, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_usbnc_otg2_ctrl2
    },
    {
        "OTG2_PHY_CFG1",
        "The USB_OTGx_PHY_CFG1 register allows control of selected inputs to th"
        "e USB OTG PHY.",
        4, // Width in bytes
        0x00010230, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_usbnc_otg2_phy_cfg1
    },
    {
        "OTG2_PHY_CFG2",
        "The USB_OTGx_PHY_CFG2 register allows control of selected inputs to th"
        "e USB OTG PHY.",
        4, // Width in bytes
        0x00010234, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_usbnc_otg2_phy_cfg2
    },
    {
        "OTG2_PHY_STATUS",
        "The USB_OTGx_PHY_STATUS register allows visibility of selected outputs"
        " of the USB OTG PHY.",
        4, // Width in bytes
        0x0001023c, // Base address offset
        true, // Readable
        false, // Writable
        13, // Number of bitfields
        hw_usbnc_otg2_phy_status
    },
    {
        "HSIC_CTRL1",
        "",
        4, // Width in bytes
        0x00020200, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_usbnc_hsic_ctrl1
    },
    {
        "HSIC_CTRL2",
        "",
        4, // Width in bytes
        0x00020204, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_usbnc_hsic_ctrl2
    },
    {
        "UH_HSICPHY_CFG1",
        "This register provides functional and parametric settings for the USB "
        "UH HSIC PHY.",
        4, // Width in bytes
        0x00020240, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_usbnc_uh_hsicphy_cfg1
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark USB
#endif

// Bitfields in register USB_HSIC_ID.
static const field_t hw_usb_hsic_id[] =
{
    {
        "ID",
        "Configuration number.",
        0, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NID",
        "Complement version of ID",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REVISION",
        "Revision number of the controller core.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_HWGENERAL.
static const field_t hw_usb_hsic_hwgeneral[] =
{
    {
        "PHYW",
        "Data width of the transciever connected to the controller core.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PHYM",
        "Transceiver type PHYM bit reset value: '0000b' for OTG1/OTG2 controlle"
        "r core, and '1011b' for Host-only HSIC controller core.",
        6, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SM",
        "Serial interface mode capability SM bit reset value is '00b'",
        10, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_HWHOST.
static const field_t hw_usb_hsic_hwhost[] =
{
    {
        "HC",
        "Host Capable.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NPORT",
        "The Nmber of downstream ports supported by the host controller is (NPO"
        "RT+1).",
        1, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_HWDEVICE.
static const field_t hw_usb_hsic_hwdevice[] =
{
    {
        "DC",
        "Device Capable.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEVEP",
        "Device Endpoint Number",
        1, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_HWTXBUF.
static const field_t hw_usb_hsic_hwtxbuf[] =
{
    {
        "TXBURST",
        "Default burst size for memory to TX buffer transfer.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXCHANADD",
        "TX FIFO Buffer size is: (2^TXCHANADD) * 4 Bytes.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_HWRXBUF.
static const field_t hw_usb_hsic_hwrxbuf[] =
{
    {
        "RXBURST",
        "Default burst size for memory to RX buffer transfer.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RXADD",
        "Buffer total size for all receive endpoints is (2^RXADD).",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_GPTIMER0LD.
static const field_t hw_usb_hsic_gptimer0ld[] =
{
    {
        "GPTLD",
        "General Purpose Timer Load Value These bit fields are loaded to GPTCNT"
        " bits when GPTRST bit is set '1b'.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_GPTIMER0CTRL.
static const field_t hw_usb_hsic_gptimer0ctrl[] =
{
    {
        "GPTCNT",
        "General Purpose Timer Counter.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPTMODE",
        "General Purpose Timer Mode In one shot mode, the timer will count down"
        " to zero, generate an interrupt, and stop until the counter is reset b"
        "y software; In repeat mode, the timer will count down to zero, generat"
        "e an interrupt and automatically reload the counter value from GPTLD b"
        "its to start again.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPTRST",
        "General Purpose Timer Reset",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPTRUN",
        "General Purpose Timer Run GPTCNT bits are not effected when setting or"
        " clearing this bit.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_GPTIMER1LD.
static const field_t hw_usb_hsic_gptimer1ld[] =
{
    {
        "GPTLD",
        "General Purpose Timer Load Value These bit fields are loaded to GPTCNT"
        " bits when GPTRST bit is set '1b'.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_GPTIMER1CTRL.
static const field_t hw_usb_hsic_gptimer1ctrl[] =
{
    {
        "GPTCNT",
        "General Purpose Timer Counter.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPTMODE",
        "General Purpose Timer Mode In one shot mode, the timer will count down"
        " to zero, generate an interrupt, and stop until the counter is reset b"
        "y software.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPTRST",
        "General Purpose Timer Reset",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPTRUN",
        "General Purpose Timer Run GPTCNT bits are not effected when setting or"
        " clearing this bit.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_SBUSCFG.
static const field_t hw_usb_hsic_sbuscfg[] =
{
    {
        "AHBBRST",
        "AHB master interface Burst configuration These bits control AHB master"
        " transfer type sequence (or priority).",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_CAPLENGTH.
static const field_t hw_usb_hsic_caplength[] =
{
    {
        "CAPLENGTH",
        "These bits are used as an offset to add to register base to find the b"
        "eginning of the Operational Register.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_HCIVERSION.
static const field_t hw_usb_hsic_hciversion[] =
{
    {
        "HCIVERSION",
        "Host Controller Interface Version Number Default value is '10h', which"
        " means EHCI rev1.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_HCSPARAMS.
static const field_t hw_usb_hsic_hcsparams[] =
{
    {
        "N_PORTS",
        "Number of downstream ports.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PPC",
        "Port Power Control This field indicates whether the host controller im"
        "plementation includes port power control.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "N_PCC",
        "Number of Ports per Companion Controller This field indicates the numb"
        "er of ports supported per internal Companion Controller.",
        8, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "N_CC",
        "Number of Companion Controller (N_CC).",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PI",
        "Port Indicators (P INDICATOR) This bit indicates whether the ports sup"
        "port port indicator control.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "N_PTT",
        "Number of Ports per Transaction Translator (N_PTT).",
        20, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "N_TT",
        "Number of Transaction Translators (N_TT).",
        24, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_HCCPARAMS.
static const field_t hw_usb_hsic_hccparams[] =
{
    {
        "ADC",
        "64-bit Addressing Capability This bit is set '0b' in all controller co"
        "re, no 64-bit addressing capability is supported.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PFL",
        "Programmable Frame List Flag If this bit is set to zero, then the syst"
        "em software must use a frame list length of 1024 elements with this ho"
        "st controller.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ASP",
        "Asynchronous Schedule Park Capability If this bit is set to a one, the"
        "n the host controller supports the park feature for high-speed queue h"
        "eads in the Asynchronous Schedule.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IST",
        "Isochronous Scheduling Threshold.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EECP",
        "EHCI Extended Capabilities Pointer.",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_DCIVERSION.
static const field_t hw_usb_hsic_dciversion[] =
{
    {
        "DCIVERSION",
        "Device Controller Interface Version Number Default value is '01h', whi"
        "ch means rev0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_DCCPARAMS.
static const field_t hw_usb_hsic_dccparams[] =
{
    {
        "DEN",
        "Device Endpoint Number This field indicates the number of endpoints bu"
        "ilt into the device controller.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DC",
        "Device Capable When this bit is 1, this controller is capable of opera"
        "ting as a USB 2.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HC",
        "Host Capable When this bit is 1, this controller is capable of operati"
        "ng as an EHCI compatible USB 2.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_USBCMD.
static const field_t hw_usb_hsic_usbcmd[] =
{
    {
        "RS",
        "Run/Stop (RS) - Read/Write.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RST",
        "Controller Reset (RESET) - Read/Write.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FS_1",
        "See description at bit 15",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSE",
        "Periodic Schedule Enable- Read/Write.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ASE",
        "Asynchronous Schedule Enable - Read/Write.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IAA",
        "Interrupt on Async Advance Doorbell - Read/Write.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ASP",
        "Asynchronous Schedule Park Mode Count - Read/Write.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ASPE",
        "Asynchronous Schedule Park Mode Enable - Read/Write.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATDTW",
        "Add dTD TripWire - Read/Write.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SUTW",
        "Setup TripWire - Read/Write.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FS_2",
        "See also bits 3-2 Frame List Size - (Read/Write or Read Only).",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ITC",
        "Interrupt Threshold Control -Read/Write.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_USBSTS.
static const field_t hw_usb_hsic_usbsts[] =
{
    {
        "UI",
        "USB Interrupt (USBINT) - R/WC.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UEI",
        "USB Error Interrupt (USBERRINT) - R/WC.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCI",
        "Port Change Detect - R/WC.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRI",
        "Frame List Rollover - R/WC.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEI",
        "System Error- R/WC.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AAI",
        "Interrupt on Async Advance - R/WC.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "URI",
        "USB Reset Received - R/WC.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRI",
        "SOF Received - R/WC.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLI",
        "DCSuspend - R/WC.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ULPII",
        "ULPI Interrupt - R/WC.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HCH",
        "HCHaIted - Read Only.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCL",
        "Reclamation - Read Only.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "Periodic Schedule Status - Read Only.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AS",
        "Asynchronous Schedule Status - Read Only.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NAKI",
        "NAK Interrupt Bit--RO.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TI0",
        "General Purpose Timer Interrupt 0(GPTINT0)--R/WC.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TI1",
        "General Purpose Timer Interrupt 1(GPTINT1)--R/WC.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_USBINTR.
static const field_t hw_usb_hsic_usbintr[] =
{
    {
        "UE",
        "USB Interrupt Enalbe When this bit is one and the UI bit in n_USBSTS r"
        "egister is a one the controller will issue an interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UEE",
        "USB Error Interrupt Enable When this bit is one and the UEI bit in n_U"
        "SBSTS register is a one the controller will issue an interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCE",
        "Port Change Detect Interrupt Enable When this bit is one and the PCI b"
        "it in n_USBSTS register is a one the controller will issue an interrup"
        "t.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRE",
        "Frame List Rollover Interrupt Enable When this bit is one and the FRI "
        "bit in n_USBSTS register is a one the controller will issue an interru"
        "pt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEE",
        "System Error Interrupt Enable When this bit is one and the SEI bit in "
        "n_USBSTS register is a one the controller will issue an interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AAE",
        "Async Advance Interrupt Enable When this bit is one and the AAI bit in"
        " n_USBSTS register is a one the controller will issue an interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "URE",
        "USB Reset Interrupt Enable When this bit is one and the URI bit in n_U"
        "SBSTS register is a one the controller will issue an interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "SOF Received Interrupt Enable When this bit is one and the SRI bit in "
        "n_USBSTS register is a one the controller will issue an interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLE",
        "Sleep Interrupt Enable When this bit is one and the SLI bit in n_n_USB"
        "STS register is a one the controller will issue an interrupt.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ULPIE",
        "ULPI Interrupt Enable When this bit is one and the UPLII bit in n_USBS"
        "TS register is a one the controller will issue an interrupt.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NAKE",
        "NAK Interrupt Enable When this bit is one and the NAKI bit in n_USBSTS"
        " register is a one the controller will issue an interrupt.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UAIE",
        "USB Host Asynchronous Interrupt Enable When this bit is one, and the U"
        "AI bit in the n_USBSTS register is one, host controller will issue an "
        "interrupt at the next interrupt threshold.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPIE",
        "USB Host Periodic Interrupt Enable When this bit is one, and the UPI b"
        "it in the n_USBSTS register is one, host controller will issue an inte"
        "rrupt at the next interrupt threshold.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIE0",
        "General Purpose Timer #0 Interrupt Enable When this bit is one and the"
        " TI0 bit in n_USBSTS register is a one the controller will issue an in"
        "terrupt.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIE1",
        "General Purpose Timer #1 Interrupt Enable When this bit is one and the"
        " TI1 bit in n_USBSTS register is a one the controller will issue an in"
        "terrupt.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_FRINDEX.
static const field_t hw_usb_hsic_frindex[] =
{
    {
        "FRINDEX",
        "Frame Index.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_PERIODICLISTBASE.
static const field_t hw_usb_hsic_periodiclistbase[] =
{
    {
        "BASEADR",
        "Base Address (Low).",
        12, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_DEVICEADDR.
static const field_t hw_usb_hsic_deviceaddr[] =
{
    {
        "USBADRA",
        "Device Address Advance.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USBADR",
        "Device Address.",
        25, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ASYNCLISTADDR.
static const field_t hw_usb_hsic_asynclistaddr[] =
{
    {
        "ASYBASE",
        "Link Pointer Low (LPL).",
        5, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTLISTADDR.
static const field_t hw_usb_hsic_endptlistaddr[] =
{
    {
        "EPBASE",
        "Endpoint List Pointer(Low).",
        11, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_BURSTSIZE.
static const field_t hw_usb_hsic_burstsize[] =
{
    {
        "RXPBURST",
        "Programmable RX Burst Size.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXPBURST",
        "Programmable TX Burst Size.",
        8, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_TXFILLTUNING.
static const field_t hw_usb_hsic_txfilltuning[] =
{
    {
        "TXSCHOH",
        "Scheduler Overhead.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXSCHHEALTH",
        "Scheduler Health Counter.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXFIFOTHRES",
        "FIFO Burst Threshold.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTNAK.
static const field_t hw_usb_hsic_endptnak[] =
{
    {
        "EPRN",
        "RX Endpoint NAK - R/WC.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EPTN",
        "TX Endpoint NAK - R/WC.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTNAKEN.
static const field_t hw_usb_hsic_endptnaken[] =
{
    {
        "EPRNE",
        "RX Endpoint NAK Enable - R/W.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EPTNE",
        "TX Endpoint NAK Enable - R/W.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_CONFIGFLAG.
static const field_t hw_usb_hsic_configflag[] =
{
    {
        "CF",
        "Configure Flag Host software sets this bit as the last action in its p"
        "rocess of configuring the Host Controller.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_PORTSC1.
static const field_t hw_usb_hsic_portsc1[] =
{
    {
        "CCS",
        "Current Connect Status-Read Only.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSC",
        "Connect Status Change-R/WC.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PE",
        "Port Enabled/Disabled-Read/Write.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PEC",
        "Port Enable/Disable Change-R/WC.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCA",
        "Over-current Active-Read Only.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OCC",
        "Over-current Change-R/WC.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FPR",
        "Force Port Resume -Read/Write.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SUSP",
        "Suspend - Read/Write or Read Only.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PR",
        "Port Reset - Read/Write or Read Only.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSP",
        "High-Speed Port - Read Only.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LS",
        "Line Status-Read Only.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PP",
        "Port Power (PP)-Read/Write or Read Only.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PO",
        "Port Owner-Read/Write.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIC",
        "Port Indicator Control - Read/Write.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PTC",
        "Port Test Control - Read/Write.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKCN",
        "Wake on Connect Enable (WKCNNT_E) - Read/Write.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKDC",
        "Wake on Disconnect Enable (WKDSCNNT_E) - Read/Write.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKOC",
        "Wake on Over-current Enable (WKOC_E) - Read/Write.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHCD",
        "PHY Low Power Suspend - Clock Disable (PLPSCD) - Read/Write.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFSC",
        "Port Force Full Speed Connect - Read/Write.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PTS_2",
        "See description at bits 31-30",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSPD",
        "Port Speed - Read Only.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PTW",
        "Parallel Transceiver Width This bit has no effect if serial interface "
        "engine is used.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STS",
        "Serial Transceiver Select - Read Only Serial Transceiver Select 1 Seri"
        "al Interface Engine is selected 0 Parallel Interface signals is select"
        "ed Serial Interface Engine can be used in combination with UTMI+/ULPI "
        "physical interface to provide FS/LS signaling instead of the parallel "
        "interface signals.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PTS_1",
        "Bit field {bit25, bit31, bit30}: \"000b\" UTMI/UTMI+ \"001b\" Reserved"
        " \"010b\" ULPI \"011b\" Serial/USB 1.1 PHY/IC-USB (FS Only) \"100b\" H"
        "SIC Parallel Transceiver Select (bit25, bit31, bi30).",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_OTGSC.
static const field_t hw_usb_hsic_otgsc[] =
{
    {
        "VD",
        "VBUS_Discharge - Read/Write.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VC",
        "VBUS Charge - Read/Write.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OT",
        "OTG Termination - Read/Write.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DP",
        "Data Pulsing - Read/Write.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDPU",
        "ID Pullup - Read/Write This bit provide control over the ID pull-up re"
        "sistor; 0 = off, 1 = on [default].",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ID",
        "USB ID - Read Only.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AVV",
        "A VBus Valid - Read Only.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ASV",
        "A Session Valid - Read Only.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BSV",
        "B Session Valid - Read Only.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BSE",
        "B Session End - Read Only.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TOG_1MS",
        "1 millisecond timer toggle - Read Only.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPS",
        "Data Bus Pulsing Status - Read Only.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IDIS",
        "USB ID Interrupt Status - Read/Write.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AVVIS",
        "A VBus Valid Interrupt Status - Read/Write to Clear.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ASVIS",
        "A Session Valid Interrupt Status - Read/Write to Clear.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BSVIS",
        "B Session Valid Interrupt Status - Read/Write to Clear.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BSEIS",
        "B Session End Interrupt Status - Read/Write to Clear.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STATUS_1MS",
        "1 millisecond timer Interrupt Status - Read/Write to Clear.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPIS",
        "Data Pulse Interrupt Status - Read/Write to Clear.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDIE",
        "USB ID Interrupt Enable - Read/Write.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AVVIE",
        "A VBus Valid Interrupt Enable - Read/Write.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ASVIE",
        "A Session Valid Interrupt Enable - Read/Write.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BSVIE",
        "B Session Valid Interrupt Enable - Read/Write.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BSEIE",
        "B Session End Interrupt Enable - Read/Write.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_1MS",
        "1 millisecond timer Interrupt Enable - Read/Write",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPIE",
        "Data Pulse Interrupt Enable",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_USBMODE.
static const field_t hw_usb_hsic_usbmode[] =
{
    {
        "CM",
        "Controller Mode - R/WO.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ES",
        "Endian Select - Read/Write.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLOM",
        "Setup Lockout Mode.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDIS",
        "Stream Disable Mode.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTSETUPSTAT.
static const field_t hw_usb_hsic_endptsetupstat[] =
{
    {
        "ENDPTSETUPSTAT",
        "Setup Endpoint Status.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTPRIME.
static const field_t hw_usb_hsic_endptprime[] =
{
    {
        "PERB",
        "Prime Endpoint Receive Buffer - R/WS.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PETB",
        "Prime Endpoint Transmit Buffer - R/WS.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTFLUSH.
static const field_t hw_usb_hsic_endptflush[] =
{
    {
        "FERB",
        "Flush Endpoint Receive Buffer - R/WS.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FETB",
        "Flush Endpoint Transmit Buffer - R/WS.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTSTAT.
static const field_t hw_usb_hsic_endptstat[] =
{
    {
        "ERBR",
        "Endpoint Receive Buffer Ready -- Read Only.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ETBR",
        "Endpoint Transmit Buffer Ready -- Read Only.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTCOMPLETE.
static const field_t hw_usb_hsic_endptcomplete[] =
{
    {
        "ERCE",
        "Endpoint Receive Complete Event - RW/C.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ETCE",
        "Endpoint Transmit Complete Event - R/WC.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTCTRL0.
static const field_t hw_usb_hsic_endptctrl0[] =
{
    {
        "RXS",
        "RX Endpoint Stall - Read/Write 0 End Point OK.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXT",
        "RX Endpoint Type - Read/Write 00 Control Endpoint0 is fixed as a Contr"
        "ol End Point.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXE",
        "RX Endpoint Enable 1 Enabled Endpoint0 is always enabled.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXS",
        "TX Endpoint Stall - Read/Write 0 End Point OK [Default] 1 End Point St"
        "alled Software can write a one to this bit to force the endpoint to re"
        "turn a STALL handshake to the Host.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXT",
        "TX Endpoint Type - Read/Write 00 - Control Endpoint0 is fixed as a Con"
        "trol End Point.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXE",
        "TX Endpoint Enable 1 Enabled Endpoint0 is always enabled.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTCTRL1.
static const field_t hw_usb_hsic_endptctrl1[] =
{
    {
        "RXS",
        "RX Endpoint Stall - Read/Write 0 End Point OK.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXD",
        "RX Endpoint Data Sink - Read/Write - TBD 0 Dual Port Memory Buffer/DMA"
        " Engine [Default] Should always be written as zero.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXT",
        "RX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Res"
        "erved",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXI",
        "RX Data Toggle Inhibit 0 Disabled [Default] 1 Enabled This bit is only"
        " used for test and should always be written as zero.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXR",
        "RX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the host"
        " and device.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXE",
        "RX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXS",
        "TX Endpoint Stall - Read/Write 0 End Point OK 1 End Point Stalled This"
        " bit will be cleared automatically upon receipt of a SETUP request if "
        "this Endpoint is configured as a Control Endpoint and this bit will co"
        "ntinue to be cleared by hardware until the associated ENDPTSETUPSTAT b"
        "it is cleared.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXD",
        "TX Endpoint Data Source - Read/Write 0 Dual Port Memory Buffer/DMA Eng"
        "ine [DEFAULT] Should always be written as 0.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXT",
        "TX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Int"
        "errupt",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXI",
        "TX Data Toggle Inhibit 0 PID Sequencing Enabled.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXR",
        "TX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the Host"
        " and device.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXE",
        "TX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTCTRL2.
static const field_t hw_usb_hsic_endptctrl2[] =
{
    {
        "RXS",
        "RX Endpoint Stall - Read/Write 0 End Point OK.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXD",
        "RX Endpoint Data Sink - Read/Write - TBD 0 Dual Port Memory Buffer/DMA"
        " Engine [Default] Should always be written as zero.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXT",
        "RX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Res"
        "erved",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXI",
        "RX Data Toggle Inhibit 0 Disabled [Default] 1 Enabled This bit is only"
        " used for test and should always be written as zero.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXR",
        "RX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the host"
        " and device.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXE",
        "RX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXS",
        "TX Endpoint Stall - Read/Write 0 End Point OK 1 End Point Stalled This"
        " bit will be cleared automatically upon receipt of a SETUP request if "
        "this Endpoint is configured as a Control Endpoint and this bit will co"
        "ntinue to be cleared by hardware until the associated ENDPTSETUPSTAT b"
        "it is cleared.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXD",
        "TX Endpoint Data Source - Read/Write 0 Dual Port Memory Buffer/DMA Eng"
        "ine [DEFAULT] Should always be written as 0.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXT",
        "TX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Int"
        "errupt",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXI",
        "TX Data Toggle Inhibit 0 PID Sequencing Enabled.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXR",
        "TX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the Host"
        " and device.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXE",
        "TX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTCTRL3.
static const field_t hw_usb_hsic_endptctrl3[] =
{
    {
        "RXS",
        "RX Endpoint Stall - Read/Write 0 End Point OK.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXD",
        "RX Endpoint Data Sink - Read/Write - TBD 0 Dual Port Memory Buffer/DMA"
        " Engine [Default] Should always be written as zero.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXT",
        "RX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Res"
        "erved",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXI",
        "RX Data Toggle Inhibit 0 Disabled [Default] 1 Enabled This bit is only"
        " used for test and should always be written as zero.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXR",
        "RX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the host"
        " and device.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXE",
        "RX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXS",
        "TX Endpoint Stall - Read/Write 0 End Point OK 1 End Point Stalled This"
        " bit will be cleared automatically upon receipt of a SETUP request if "
        "this Endpoint is configured as a Control Endpoint and this bit will co"
        "ntinue to be cleared by hardware until the associated ENDPTSETUPSTAT b"
        "it is cleared.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXD",
        "TX Endpoint Data Source - Read/Write 0 Dual Port Memory Buffer/DMA Eng"
        "ine [DEFAULT] Should always be written as 0.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXT",
        "TX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Int"
        "errupt",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXI",
        "TX Data Toggle Inhibit 0 PID Sequencing Enabled.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXR",
        "TX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the Host"
        " and device.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXE",
        "TX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTCTRL4.
static const field_t hw_usb_hsic_endptctrl4[] =
{
    {
        "RXS",
        "RX Endpoint Stall - Read/Write 0 End Point OK.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXD",
        "RX Endpoint Data Sink - Read/Write - TBD 0 Dual Port Memory Buffer/DMA"
        " Engine [Default] Should always be written as zero.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXT",
        "RX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Res"
        "erved",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXI",
        "RX Data Toggle Inhibit 0 Disabled [Default] 1 Enabled This bit is only"
        " used for test and should always be written as zero.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXR",
        "RX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the host"
        " and device.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXE",
        "RX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXS",
        "TX Endpoint Stall - Read/Write 0 End Point OK 1 End Point Stalled This"
        " bit will be cleared automatically upon receipt of a SETUP request if "
        "this Endpoint is configured as a Control Endpoint and this bit will co"
        "ntinue to be cleared by hardware until the associated ENDPTSETUPSTAT b"
        "it is cleared.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXD",
        "TX Endpoint Data Source - Read/Write 0 Dual Port Memory Buffer/DMA Eng"
        "ine [DEFAULT] Should always be written as 0.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXT",
        "TX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Int"
        "errupt",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXI",
        "TX Data Toggle Inhibit 0 PID Sequencing Enabled.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXR",
        "TX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the Host"
        " and device.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXE",
        "TX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTCTRL5.
static const field_t hw_usb_hsic_endptctrl5[] =
{
    {
        "RXS",
        "RX Endpoint Stall - Read/Write 0 End Point OK.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXD",
        "RX Endpoint Data Sink - Read/Write - TBD 0 Dual Port Memory Buffer/DMA"
        " Engine [Default] Should always be written as zero.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXT",
        "RX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Res"
        "erved",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXI",
        "RX Data Toggle Inhibit 0 Disabled [Default] 1 Enabled This bit is only"
        " used for test and should always be written as zero.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXR",
        "RX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the host"
        " and device.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXE",
        "RX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXS",
        "TX Endpoint Stall - Read/Write 0 End Point OK 1 End Point Stalled This"
        " bit will be cleared automatically upon receipt of a SETUP request if "
        "this Endpoint is configured as a Control Endpoint and this bit will co"
        "ntinue to be cleared by hardware until the associated ENDPTSETUPSTAT b"
        "it is cleared.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXD",
        "TX Endpoint Data Source - Read/Write 0 Dual Port Memory Buffer/DMA Eng"
        "ine [DEFAULT] Should always be written as 0.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXT",
        "TX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Int"
        "errupt",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXI",
        "TX Data Toggle Inhibit 0 PID Sequencing Enabled.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXR",
        "TX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the Host"
        " and device.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXE",
        "TX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTCTRL6.
static const field_t hw_usb_hsic_endptctrl6[] =
{
    {
        "RXS",
        "RX Endpoint Stall - Read/Write 0 End Point OK.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXD",
        "RX Endpoint Data Sink - Read/Write - TBD 0 Dual Port Memory Buffer/DMA"
        " Engine [Default] Should always be written as zero.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXT",
        "RX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Res"
        "erved",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXI",
        "RX Data Toggle Inhibit 0 Disabled [Default] 1 Enabled This bit is only"
        " used for test and should always be written as zero.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXR",
        "RX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the host"
        " and device.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXE",
        "RX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXS",
        "TX Endpoint Stall - Read/Write 0 End Point OK 1 End Point Stalled This"
        " bit will be cleared automatically upon receipt of a SETUP request if "
        "this Endpoint is configured as a Control Endpoint and this bit will co"
        "ntinue to be cleared by hardware until the associated ENDPTSETUPSTAT b"
        "it is cleared.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXD",
        "TX Endpoint Data Source - Read/Write 0 Dual Port Memory Buffer/DMA Eng"
        "ine [DEFAULT] Should always be written as 0.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXT",
        "TX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Int"
        "errupt",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXI",
        "TX Data Toggle Inhibit 0 PID Sequencing Enabled.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXR",
        "TX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the Host"
        " and device.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXE",
        "TX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register USB_HSIC_ENDPTCTRL7.
static const field_t hw_usb_hsic_endptctrl7[] =
{
    {
        "RXS",
        "RX Endpoint Stall - Read/Write 0 End Point OK.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXD",
        "RX Endpoint Data Sink - Read/Write - TBD 0 Dual Port Memory Buffer/DMA"
        " Engine [Default] Should always be written as zero.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXT",
        "RX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Res"
        "erved",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXI",
        "RX Data Toggle Inhibit 0 Disabled [Default] 1 Enabled This bit is only"
        " used for test and should always be written as zero.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXR",
        "RX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the host"
        " and device.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXE",
        "RX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXS",
        "TX Endpoint Stall - Read/Write 0 End Point OK 1 End Point Stalled This"
        " bit will be cleared automatically upon receipt of a SETUP request if "
        "this Endpoint is configured as a Control Endpoint and this bit will co"
        "ntinue to be cleared by hardware until the associated ENDPTSETUPSTAT b"
        "it is cleared.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXD",
        "TX Endpoint Data Source - Read/Write 0 Dual Port Memory Buffer/DMA Eng"
        "ine [DEFAULT] Should always be written as 0.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXT",
        "TX Endpoint Type - Read/Write 00 Control 01 Isochronous 10 Bulk 11 Int"
        "errupt",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXI",
        "TX Data Toggle Inhibit 0 PID Sequencing Enabled.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXR",
        "TX Data Toggle Reset (WS) Write 1 - Reset PID Sequence Whenever a conf"
        "iguration event is received for this Endpoint, software must write a o"
        "ne to this bit in order to synchronize the data PID's between the Host"
        " and device.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXE",
        "TX Endpoint Enable 0 Disabled [Default] 1 Enabled An Endpoint should b"
        "e enabled only after it has been configured.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a USB module.
static const reg_t hw_usb[] =
{
    {
        "HSIC_ID",
        "The ID register identifies the USB 2.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_usb_hsic_id
    },
    {
        "HSIC_HWGENERAL",
        "General hardware parameters as defined in System Level Issues and Core"
        " Configuration.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_usb_hsic_hwgeneral
    },
    {
        "HSIC_HWHOST",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_usb_hsic_hwhost
    },
    {
        "HSIC_HWDEVICE",
        "This register is only available in OTG core.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_usb_hsic_hwdevice
    },
    {
        "HSIC_HWTXBUF",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_usb_hsic_hwtxbuf
    },
    {
        "HSIC_HWRXBUF",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_usb_hsic_hwrxbuf
    },
    {
        "HSIC_GPTIMER0LD",
        "This register controls load value of the count timer in register n_GPT"
        "IMER0CTRL.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usb_hsic_gptimer0ld
    },
    {
        "HSIC_GPTIMER0CTRL",
        "This register contains the control for this countdown timer and a data"
        " field can be queried to determine the running count value.",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_usb_hsic_gptimer0ctrl
    },
    {
        "HSIC_GPTIMER1LD",
        "This register controls load value of the count timer in register n_GPT"
        "IMER1CTRL.",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usb_hsic_gptimer1ld
    },
    {
        "HSIC_GPTIMER1CTRL",
        "This register contains the control for this countdown timer and a data"
        " field can be queried to determine the running count value.",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_usb_hsic_gptimer1ctrl
    },
    {
        "HSIC_SBUSCFG",
        "",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usb_hsic_sbuscfg
    },
    {
        "HSIC_CAPLENGTH",
        "The Capability Registers Length register contains the address offset t"
        "o the Operational registers relative to the CAPLENGTH register.",
        1, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usb_hsic_caplength
    },
    {
        "HSIC_HCIVERSION",
        "This is a 2-byte register containing a BCD encoding of the EHCI revisi"
        "on number supported by this host controller.",
        2, // Width in bytes
        0x00000102, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usb_hsic_hciversion
    },
    {
        "HSIC_HCSPARAMS",
        "The following figure shows the port steering logic capabilities of Hos"
        "t Control Structural Parameters (n_HCSPARAMS).",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        false, // Writable
        7, // Number of bitfields
        hw_usb_hsic_hcsparams
    },
    {
        "HSIC_HCCPARAMS",
        "This register identifies multiple mode control (time-base bit function"
        "ality), addressing capability.",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_usb_hsic_hccparams
    },
    {
        "HSIC_DCIVERSION",
        "This register indicates the two-byte BCD encoding of the device contro"
        "ller interface version number.",
        2, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usb_hsic_dciversion
    },
    {
        "HSIC_DCCPARAMS",
        "These fields describe the overall device capability of the controller.",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_usb_hsic_dccparams
    },
    {
        "HSIC_USBCMD",
        "The Command Register indicates the command to be executed by the seria"
        "l bus host/device controller.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_usb_hsic_usbcmd
    },
    {
        "HSIC_USBSTS",
        "This register indicates various states of the Host/Device Controller a"
        "nd any pending interrupts.",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_usb_hsic_usbsts
    },
    {
        "HSIC_USBINTR",
        "The interrupts to software are enabled with this register.",
        4, // Width in bytes
        0x00000148, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_usb_hsic_usbintr
    },
    {
        "HSIC_FRINDEX",
        "This register is used by the host controller to index the periodic fra"
        "me list.",
        4, // Width in bytes
        0x0000014c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usb_hsic_frindex
    },
    {
        "HSIC_PERIODICLISTBASE",
        "Host Controller only This 32-bit register contains the beginning addre"
        "ss of the Periodic Frame List in the system memory.",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usb_hsic_periodiclistbase
    },
    {
        "HSIC_DEVICEADDR",
        "Device Controller only The upper seven bits of this register represent"
        " the device address.",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_usb_hsic_deviceaddr
    },
    {
        "HSIC_ASYNCLISTADDR",
        "Host Controller only This 32-bit register contains the address of the "
        "next asynchronous queue head to be executed by the host.",
        4, // Width in bytes
        0x00000158, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usb_hsic_asynclistaddr
    },
    {
        "HSIC_ENDPTLISTADDR",
        "Device Controller only In device mode, this register contains the addr"
        "ess of the top of the endpoint list in system memory.",
        4, // Width in bytes
        0x00000158, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usb_hsic_endptlistaddr
    },
    {
        "HSIC_BURSTSIZE",
        "This register is used to control the burst size used during data movem"
        "ent on the AHB master interface.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_usb_hsic_burstsize
    },
    {
        "HSIC_TXFILLTUNING",
        "The fields in this register control performance tuning associated with"
        " how the host controller posts data to the TX latency FIFO before movi"
        "ng the data onto the USB bus.",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_usb_hsic_txfilltuning
    },
    {
        "HSIC_ENDPTNAK",
        "",
        4, // Width in bytes
        0x00000178, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_usb_hsic_endptnak
    },
    {
        "HSIC_ENDPTNAKEN",
        "",
        4, // Width in bytes
        0x0000017c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_usb_hsic_endptnaken
    },
    {
        "HSIC_CONFIGFLAG",
        "",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usb_hsic_configflag
    },
    {
        "HSIC_PORTSC1",
        "Host Controller A host controller could implement one to eight port st"
        "atus and control registers.",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        25, // Number of bitfields
        hw_usb_hsic_portsc1
    },
    {
        "HSIC_OTGSC",
        "This register is availabe only in OTG controller core.",
        4, // Width in bytes
        0x000001a4, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_usb_hsic_otgsc
    },
    {
        "HSIC_USBMODE",
        "",
        4, // Width in bytes
        0x000001a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_usb_hsic_usbmode
    },
    {
        "HSIC_ENDPTSETUPSTAT",
        "",
        4, // Width in bytes
        0x000001ac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usb_hsic_endptsetupstat
    },
    {
        "HSIC_ENDPTPRIME",
        "This register is only used in device mode.",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_usb_hsic_endptprime
    },
    {
        "HSIC_ENDPTFLUSH",
        "This register is only used in device mode.",
        4, // Width in bytes
        0x000001b4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_usb_hsic_endptflush
    },
    {
        "HSIC_ENDPTSTAT",
        "This register is only used in device mode.",
        4, // Width in bytes
        0x000001b8, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_usb_hsic_endptstat
    },
    {
        "HSIC_ENDPTCOMPLETE",
        "This register is only used in device mode.",
        4, // Width in bytes
        0x000001bc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_usb_hsic_endptcomplete
    },
    {
        "HSIC_ENDPTCTRL0",
        "Every Device implements Endpoint 0 as a control endpoint.",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_usb_hsic_endptctrl0
    },
    {
        "HSIC_ENDPTCTRL1",
        "This is endpoint control register for endpoint 1 in device operation m"
        "ode.",
        4, // Width in bytes
        0x000001c4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_usb_hsic_endptctrl1
    },
    {
        "HSIC_ENDPTCTRL2",
        "This is endpoint control register for endpoint 2 in device operation m"
        "ode.",
        4, // Width in bytes
        0x000001c8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_usb_hsic_endptctrl2
    },
    {
        "HSIC_ENDPTCTRL3",
        "This is endpoint control register for endpoint 3 in device operation m"
        "ode.",
        4, // Width in bytes
        0x000001cc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_usb_hsic_endptctrl3
    },
    {
        "HSIC_ENDPTCTRL4",
        "This is endpoint control register for endpoint 4 in device operation m"
        "ode.",
        4, // Width in bytes
        0x000001d0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_usb_hsic_endptctrl4
    },
    {
        "HSIC_ENDPTCTRL5",
        "This is endpoint control register for endpoint 5 in device operation m"
        "ode.",
        4, // Width in bytes
        0x000001d4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_usb_hsic_endptctrl5
    },
    {
        "HSIC_ENDPTCTRL6",
        "This is endpoint control register for endpoint 6 in device operation m"
        "ode.",
        4, // Width in bytes
        0x000001d8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_usb_hsic_endptctrl6
    },
    {
        "HSIC_ENDPTCTRL7",
        "This is endpoint control register for endpoint 7 in device operation m"
        "ode.",
        4, // Width in bytes
        0x000001dc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_usb_hsic_endptctrl7
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark uSDHC
#endif

// Bitfields in register uSDHC_DS_ADDR.
static const field_t hw_usdhc_ds_addr[] =
{
    {
        "DS_ADDR",
        "DMA System Address: This register contains the 32-bit system memory ad"
        "dress for a DMA transfer.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_BLK_ATT.
static const field_t hw_usdhc_blk_att[] =
{
    {
        "BLKSIZE",
        "Transfer Block Size: This register specifies the block size for block "
        "data transfers.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLKCNT",
        "Blocks Count For Current Transfer: This register is enabled when the B"
        "lock Count Enable bit in the Transfer Mode register is set to 1 and is"
        " valid only for multiple block transfers.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_CMD_ARG.
static const field_t hw_usdhc_cmd_arg[] =
{
    {
        "CMDARG",
        "The SD / MMC Command Argument is specified as bits 39-8 of the Command"
        " Format in the SD or MMC Specification.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_CMD_XFR_TYP.
static const field_t hw_usdhc_cmd_xfr_typ[] =
{
    {
        "RSPTYP",
        "",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CCCEN",
        "If this bit is set to 1, the uSDHC shall check the CRC field in the re"
        "sponse.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CICEN",
        "If this bit is set to 1, the uSDHC will check the Index field in the r"
        "esponse to see if it has the same value as the command index.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPSEL",
        "This bit is set to 1 to indicate that data is present and shall be tra"
        "nsferred using the DATA line.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMDTYP",
        "There are three types of special commands: Suspend, Resume and Abort.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMDINX",
        "These bits shall be set to the command number that is specified in bit"
        "s 45-40 of the Command-Format in the SD Memory Card Physical Layer Spe"
        "cification and SDIO Card Specification.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_CMD_RSP0.
static const field_t hw_usdhc_cmd_rsp0[] =
{
    {
        "CMDRSP0",
        "Refer to CMD_RSP3Command Response3 for the mapping of command response"
        "s from the SD Bus to this register for each response type.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_CMD_RSP1.
static const field_t hw_usdhc_cmd_rsp1[] =
{
    {
        "CMDRSP1",
        "Refer to CMD_RSP3Command Response3 for the mapping of command response"
        "s from the SD Bus to this register for each response type.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_CMD_RSP2.
static const field_t hw_usdhc_cmd_rsp2[] =
{
    {
        "CMDRSP2",
        "Refer to CMD_RSP3Command Response3 for the mapping of command response"
        "s from the SD Bus to this register for each response type.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_CMD_RSP3.
static const field_t hw_usdhc_cmd_rsp3[] =
{
    {
        "CMDRSP3",
        "Refer to CMD_RSP3Command Response3 for the mapping of command response"
        "s from the SD Bus to this register for each response type.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_DATA_BUFF_ACC_PORT.
static const field_t hw_usdhc_data_buff_acc_port[] =
{
    {
        "DATCONT",
        "The Buffer Data Port register is for 32-bit data access by the ARM pla"
        "tform or the external DMA.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_PRES_STATE.
static const field_t hw_usdhc_pres_state[] =
{
    {
        "CIHB",
        "If this status bit is 0, it indicates that the CMD line is not in use "
        "and the uSDHC can issue a SD / MMC Command using the CMD line.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CDIHB",
        "This status bit is generated if either the DAT Line Active or the Read"
        " Transfer Active is set to 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLA",
        "This status bit indicates whether one of the DATA lines on the SD Bus "
        "is in use.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SDSTB",
        "This status bit indicates that the internal card clock is stable.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IPGOFF",
        "This status bit indicates that the ipg_clk is internally gated off.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HCKOFF",
        "This status bit indicates that the HCLK is internally gated off.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PEROFF",
        "This status bit indicates that the IPG_PERCLK is internally gated off.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SDOFF",
        "This status bit indicates that the SD Clock is internally gated off, b"
        "ecause of buffer over / under-run or read pause without read wait asse"
        "rtion, or the driver set FRC_SDCLK_ON bit is 0 to stop the SD clock in"
        " idle status.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WTA",
        "This status bit indicates a write transfer is active.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RTA",
        "This status bit is used for detecting completion of a read transfer.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BWEN",
        "This status bit is used for non-DMA write transfers.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BREN",
        "This status bit is used for non-DMA read transfers.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RTR",
        "Host Controller may request Host Driver to execute re-tuning sequence "
        "by setting this bit when the data window is shifted by temperature dri"
        "ft and a tuned sampling point does not have a good margin to receive c"
        "orrect data.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TSCD",
        "This bit indicates the dealy setting is effective after write CLK_TUNE"
        "_CTRL_STATUS register.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CINST",
        "This bit indicates whether a card has been inserted.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CDPL",
        "This bit reflects the inverse value of the CD_B pin for the card socke"
        "t.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WPSPL",
        "The Write Protect Switch is supported for memory and combo cards.This "
        "bit reflects the inverted value of the WP pin of the card socket.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLSL",
        "This status is used to check the CMD line level to recover from errors"
        ", and for debugging.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLSL",
        "This status is used to check the DATA line level to recover from error"
        "s, and for debugging.This is especially useful in detecting the busy s"
        "ignal level from DATA0.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_PROT_CTRL.
static const field_t hw_usdhc_prot_ctrl[] =
{
    {
        "LCTL",
        "This bit, fully controlled by the Host Driver, is used to caution the "
        "user not to remove the card while the card is being accessed.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTW",
        "This bit selects the data width of the SD bus for a data transfer.",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3CD",
        "If this bit is set, DATA3 should be pulled down to act as a card detec"
        "tion pin.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMODE",
        "The uSDHC supports all three endian modes in data transfer.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CDTL",
        "This is bit is enabled while the Card Detection Signal Selection is se"
        "t to 1 and it indicates card insertion.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CDSS",
        "This bit selects the source for the card detection.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMASEL",
        "This field is valid while DMA (SDMA or ADMA) is enabled and selects th"
        "e DMA operation.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SABGREQ",
        "This bit is used to stop executing a transaction at the next block gap"
        " for both DMA and non-DMA transfers.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CREQ",
        "This bit is used to restart a transaction which was stopped using the "
        "Stop At Block Gap Request.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RWCTL",
        "The read wait function is optional for SDIO cards.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IABG",
        "This bit is valid only in 4-bit mode, of the SDIO card, and selects a "
        "sample point in the interrupt cycle.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_DONE_NO_8CLK",
        "Read done no 8 clock: According to the SD/MMC spec, for read data tran"
        "saction, 8 clocks are needed after the end bit of the last data block.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WECINT",
        "This bit enables a wakeup event, via a Card Interrupt, in the Interrup"
        "t Status register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WECINS",
        "This bit enables a wakeup event, via a Card Insertion, in the Interrup"
        "t Status register.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WECRM",
        "This bit enables a wakeup event, via a Card Removal, in the Interrupt "
        "Status register.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_LEN_EN",
        "This is used to enable / disable the burst length for the external AHB"
        "2AXI bridge.",
        27, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NON_EXACT_BLK_RD",
        "Current block read is non-exact block read.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_SYS_CTRL.
static const field_t hw_usdhc_sys_ctrl[] =
{
    {
        "DVS",
        "This register is used to provide a more exact divisor to generate the "
        "desired SD clock frequency.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDCLKFS",
        "This register is used to select the frequency of the SDCLK pin.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTOCV",
        "This value determines the interval by which DAT line timeouts are dete"
        "cted.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPP_RST_N",
        "This register's value will be output to CARD from pad directly for har"
        "dware reset of the card if the card supports this feature.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTA",
        "This reset effects the entire Host Controller except for the card dete"
        "ction circuit.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTC",
        "Only part of the command circuit is reset.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTD",
        "Only part of the data circuit is reset.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INITA",
        "When this bit is set, 80 SD-Clocks are sent to the card.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTT",
        "When set this bit to 1, it will reset tuning circuit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_INT_STATUS.
static const field_t hw_usdhc_int_status[] =
{
    {
        "CC",
        "This bit is set when you receive the end bit of the command response ("
        "except Auto CMD12).",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC",
        "This bit is set when a read or write transfer is completed.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BGE",
        "If the Stop At Block Gap Request bit in the Protocol Control register "
        "is set, this bit is set when a read or write transaction is stopped at"
        " a block gap.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DINT",
        "Occurs only when the internal DMA finishes the data transfer successfu"
        "lly.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BWR",
        "This status bit is set if the Buffer Write Enable bit, in the Present "
        "State register, changes from 0 to 1.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRR",
        "This status bit is set if the Buffer Read Enable bit, in the Present S"
        "tate register, changes from 0 to 1.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINS",
        "This status bit is set if the Card Inserted bit in the Present State r"
        "egister changes from 0 to 1.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRM",
        "This status bit is set if the Card Inserted bit in the Present State r"
        "egister changes from 1 to 0.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINT",
        "This status bit is set when an interrupt signal is detected from the e"
        "xternal card.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTE",
        "This status is set if Re-Tuning Request in the Present State register "
        "changes from 0 to 1.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TP",
        "Current CMD19 transfer is done successfully.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTOE",
        "Occurs only if no response is returned within 64 SDCLK cycles from the"
        " end bit of the command.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CCE",
        "Command CRC Error is generated in two cases.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CEBE",
        "Occurs when detecting that the end bit of a command response is 0.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CIE",
        "Occurs if a Command Index error occurs in the command response.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTOE",
        "Occurs when detecting one of following time-out conditions.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCE",
        "Occurs when detecting a CRC error when transferring read data, which u"
        "ses the DATA line, or when detecting the Write CRC status having a val"
        "ue other than 010.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBE",
        "Occurs either when detecting 0 at the end bit position of read data, w"
        "hich uses the DATA line, or at the end bit position of the CRC.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC12E",
        "Occurs when detecting that one of the bits in the Auto CMD12 Error Sta"
        "tus register has changed from 0 to 1.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TNE",
        "This bit is set when an unrecoverable error is detected in a tuning ci"
        "rcuit.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAE",
        "Occurs when an Internal DMA transfer has failed.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_INT_STATUS_EN.
static const field_t hw_usdhc_int_status_en[] =
{
    {
        "CCSEN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCSEN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BGESEN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DINTSEN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BWRSEN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRRSEN",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINSSEN",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRMSEN",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINTSEN",
        "If this bit is set to 0, the uSDHC will clear the interrupt request to"
        " the system.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTESEN",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TPSEN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTOESEN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CCESEN",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CEBESEN",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CIESEN",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTOESEN",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCESEN",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBESEN",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC12ESEN",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TNESEN",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAESEN",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_INT_SIGNAL_EN.
static const field_t hw_usdhc_int_signal_en[] =
{
    {
        "CCIEN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCIEN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BGEIEN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DINTIEN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BWRIEN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRRIEN",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINSIEN",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRMIEN",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINTIEN",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTEIEN",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TPIEN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTOEIEN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CCEIEN",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CEBEIEN",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CIEIEN",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTOEIEN",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCEIEN",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBEIEN",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC12EIEN",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TNEIEN",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAEIEN",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_AUTOCMD12_ERR_STATUS.
static const field_t hw_usdhc_autocmd12_err_status[] =
{
    {
        "AC12NE",
        "If memory multiple block data transfer is not started, due to a comman"
        "d error, this bit is not set because it is not necessary to issue an A"
        "uto CMD12.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AC12TOE",
        "Occurs if no response is returned within 64 SDCLK cycles from the end "
        "bit of the command.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AC12EBE",
        "Occurs when detecting that the end bit of command response is 0 which "
        "should be 1.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AC12CE",
        "Occurs when detecting a CRC error in the command response.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AC12IE",
        "Occurs if the Command Index error occurs in response to a command.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CNIBAC12E",
        "Setting this bit to 1 means CMD_wo_DAT is not executed due to an Auto "
        "CMD12 Error (D04-D01) in this register.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EXECUTE_TUNING",
        "When std_tuning_en bit is set, this bit is used to start tuning proced"
        "ure.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SMP_CLK_SEL",
        "When std_tuning_en bit is set, this bit is used to select sampling clo"
        "ck to receive CMD and DATA.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_HOST_CTRL_CAP.
static const field_t hw_usdhc_host_ctrl_cap[] =
{
    {
        "SDR50_SUPPORT",
        "This bit indicates support of SDR50 mode.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SDR104_SUPPORT",
        "This bit indicates support of SDR104 mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DDR50_SUPPORT",
        "This bit indicates support of DDR50 mode.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TIME_COUNT_RETUNING",
        "This bit indicates an initial value of the Retuning Timer for Re-Tunin"
        "g Mode1 and 3.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USE_TUNING_SDR50",
        "This bit is set to 1.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RETUNING_MODE",
        "This bit selects retuning method.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MBL",
        "This value indicates the maximum block size that the Host Driver can r"
        "ead and write to the buffer in the uSDHC.",
        16, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADMAS",
        "This bit indicates whether the uSDHC supports the ADMA feature.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HSS",
        "This bit indicates whether the uSDHC supports High Speed mode and the "
        "Host System can supply a SD Clock frequency from 25 MHz to 50 MHz.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DMAS",
        "This bit indicates whether the uSDHC is capable of using the internal "
        "DMA to transfer data between system memory and the data buffer directl"
        "y.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRS",
        "This bit indicates whether the uSDHC supports Suspend / Resume functio"
        "nality.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VS33",
        "This bit shall depend on the Host System ability.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VS30",
        "This bit shall depend on the Host System ability.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VS18",
        "This bit shall depend on the Host System ability.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_WTMK_LVL.
static const field_t hw_usdhc_wtmk_lvl[] =
{
    {
        "RD_WML",
        "The number of words used as the watermark level (FIFO threshold) in a "
        "DMA read operation.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_BRST_LEN",
        "The number of words the uSDHC reads in a single burst.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_WML",
        "The number of words used as the watermark level (FIFO threshold) in a "
        "DMA write operation.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_BRST_LEN",
        "The number of words the uSDHC writes in a single burst.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_MIX_CTRL.
static const field_t hw_usdhc_mix_ctrl[] =
{
    {
        "DMAEN",
        "This bit enables DMA functionality.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCEN",
        "This bit is used to enable the Block Count register, which is only rel"
        "evant for multiple block transfers.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC12EN",
        "Multiple block transfers for memory require a CMD12 to stop the transa"
        "ction.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR_EN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTDSEL",
        "This bit defines the direction of DATA line data transfers.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSBSEL",
        "This bit enables multiple block DATA line data transfers.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NIBBLE_POS",
        "In DDR 4-bit mode nibble position indictation.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC23EN",
        "When this bit is set to 1, the Host Controller issues a CMD23 automati"
        "cally before issuing a command specified in the Command Register.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXE_TUNE",
        "When STD_TUNING_EN is 0, this bit is set to 1 to indicate the Host Dri"
        "ver is starting tuning procedure.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SMP_CLK_SEL",
        "When STD_TUNING_EN is 0, this bit is used to select Tuned clock or Fix"
        "ed clock to sample data / cmd (Only used for SD3.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTO_TUNE_EN",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FBCLK_SEL",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HS400_MODE",
        "HS400 Enable",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_FORCE_EVENT.
static const field_t hw_usdhc_force_event[] =
{
    {
        "FEVTAC12NE",
        "Forces the AC12NE bit in the Auto Command12 Error Status Register to b"
        "e set.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTAC12TOE",
        "Forces the AC12TOE bit in the Auto Command12 Error Status Register to "
        "be set.",
        1, // LSB
        1, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTAC12CE",
        "Forces the AC12CE bit in the Auto Command12 Error Status Register to b"
        "e set.",
        2, // LSB
        2, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTAC12EBE",
        "Forces the AC12EBE bit in the Auto Command12 Error Status Register to "
        "be set.",
        3, // LSB
        3, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTAC12IE",
        "Forces the AC12IE bit in the Auto Command12 Error Status Register to b"
        "e set.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCNIBAC12E",
        "Forces the CNIBAC12E bit in the Auto Command12 Error Status Register t"
        "o be set.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCTOE",
        "Forces the CTOE bit of Interrupt Status Register to be set.",
        16, // LSB
        16, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCCE",
        "Forces the CCE bit of Interrupt Status Register to be set.",
        17, // LSB
        17, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCEBE",
        "Forces the CEBE bit of Interrupt Status Register to be set.",
        18, // LSB
        18, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCIE",
        "Forces the CCE bit of Interrupt Status Register to be set.",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTDTOE",
        "Force the DTOE bit of Interrupt Status Register to be set.",
        20, // LSB
        20, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTDCE",
        "Forces the DCE bit of Interrupt Status Register to be set.",
        21, // LSB
        21, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTDEBE",
        "Forces the DEBE bit of Interrupt Status Register to be set.",
        22, // LSB
        22, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTAC12E",
        "Forces the AC12E bit of Interrupt Status Register to be set.",
        24, // LSB
        24, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTTNE",
        "Forces the TNE bit of Interrupt Status Register to be set.",
        26, // LSB
        26, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTDMAE",
        "Forces the DMAE bit of Interrupt Status Register to be set.",
        28, // LSB
        28, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCINT",
        "Writing 1 to this bit generates a short low-level pulse on the interna"
        "l DATA1 line, as if a self clearing interrupt was received from the ex"
        "ternal card.",
        31, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_ADMA_ERR_STATUS.
static const field_t hw_usdhc_adma_err_status[] =
{
    {
        "ADMAES",
        "This field indicates the state of the ADMA when an error has occurred "
        "during an ADMA data transfer.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADMALME",
        "This error occurs in the following 2 cases: While the Block Count Enab"
        "le is being set, the total data length specified by the Descriptor tab"
        "le is different from that specified by the Block Count and Block Lengt"
        "h.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADMADCE",
        "This error occurs when invalid descriptor fetched by ADMA.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_ADMA_SYS_ADDR.
static const field_t hw_usdhc_adma_sys_addr[] =
{
    {
        "ADS_ADDR",
        "This register holds the word address of the executing command in the D"
        "escriptor table.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_DLL_CTRL.
static const field_t hw_usdhc_dll_ctrl[] =
{
    {
        "DLL_CTRL_ENABLE",
        "Set this bit to 1 to enable the DLL and delay chain; otherwise; set to"
        " 0 to bypasses DLL.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_RESET",
        "Setting this bit to 1 force a reset on DLL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_FORCE_UPD",
        "Setting this bit to 1, forces the slave delay line to update to the DL"
        "L calibrated value immediately.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_DLY_TARGET0",
        "The delay target for the uSDHC loopback read clock can be programmed i"
        "n 1/16th increments of an ref_clock half-period.",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_GATE_UPDATE",
        "Set this bit to 1 to prevent the DLL from updating (since when clock_i"
        "n exists, glitches may appear during DLL updates).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_OVERRIDE",
        "Set this bit to 1 to Enable manual override for slave delay chain usin"
        "g SLV_OVERRIDE_VAL; to set 0 to disable manual override.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_OVERRIDE_VAL",
        "When SLV_OVERRIDE = 1 This field is used to select 1 of 128 physical t"
        "aps manually.",
        9, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_DLY_TARGET1",
        "Refer to DLL_CTRL_SLV_DLY_TARGET0 below.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_UPDATE_INT",
        "Slave delay line update interval.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_REF_UPDATE_INT",
        "DLL control loop update interval.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_DLL_STATUS.
static const field_t hw_usdhc_dll_status[] =
{
    {
        "DLL_STS_SLV_LOCK",
        "Slave delay-line lock status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLL_STS_REF_LOCK",
        "Reference DLL lock status.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLL_STS_SLV_SEL",
        "Slave delay line select status.",
        2, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLL_STS_REF_SEL",
        "Reference delay line select taps.",
        9, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_CLK_TUNE_CTRL_STATUS.
static const field_t hw_usdhc_clk_tune_ctrl_status[] =
{
    {
        "DLY_CELL_SET_POST",
        "Set the number of delay cells on the feedback clock between CLK_OUT an"
        "d CLK_POST.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLY_CELL_SET_OUT",
        "Set the number of delay cells on the feedback clock between CLK_PRE an"
        "d CLK_OUT.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLY_CELL_SET_PRE",
        "Set the number of delay cells on the feedback clock between the feedba"
        "ck clock and CLK_PRE.",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NXT_ERR",
        "NXT error which means the number of delay cells added on the feedback "
        "clock is too large.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TAP_SEL_POST",
        "Reflect the number of delay cells added on the feedback clock between "
        "CLK_OUT and CLK_POST.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TAP_SEL_OUT",
        "Reflect the number of delay cells added on the feedback clock between "
        "CLK_PRE and CLK_OUT.",
        20, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TAP_SEL_PRE",
        "Reflects the number of delay cells added on the feedback clock between"
        " the feedback clock and CLK_PRE.",
        24, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_ERR",
        "PRE error which means the number of delay cells added on the feedback "
        "clock is too small.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_STROBE_DLL_CTRL.
static const field_t hw_usdhc_strobe_dll_ctrl[] =
{
    {
        "STROBE_DLL_CTRL_ENABLE",
        "Set this bit to 1 to enable the DLL and delay chain; otherwise, set to"
        " 0 to bypasses DLL.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_RESET",
        "Setting this bit to 1 to force a reset on DLL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_SLV_FORCE_UPD",
        "Setting this bit to 1, forces the slave delay line to update to the DL"
        "L calibrated value immediately.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_SLV_DLY_TARGET",
        "The delay target for the uSDHC loopback read clock can be programmed i"
        "n 1/16th increments of an STROBE_REF_CLOCK half-period.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_GATE_UPDATE_0",
        "Set this bit to 1 to prevent the DLL from updating (since when STROBE_"
        "CLOCK_IN exists, glitches may appear during DLL updates).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_GATE_UPDATE_1",
        "Set this bit to 1 to prevent the DLL from updating (since when STROBE_"
        "CLOCK_IN exists, glitches may appear during DLL updates).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_SLV_OVERRIDE",
        "Set this bit to 1 to Enable manual override for slave delay chain usin"
        "g STROBE_SLV_OVERRIDE_VAL; set this bit to 0 to disable manual overrid"
        "e.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_SLV_OVERRIDE_VAL",
        "When STROBE_SLV_OVERRIDE = 1, this field is used to manually select on"
        "e of 128 physical taps.",
        9, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_SLV_UPDATE_INT",
        "Slave delay line update interval.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_REF_UPDATE_INT",
        "The interval cycle is (2 + STROBE_REF_UPDATE_INT) * STROBE_REF_CLOCK.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_STROBE_DLL_STATUS.
static const field_t hw_usdhc_strobe_dll_status[] =
{
    {
        "STROBE_DLL_STS_SLV_LOCK",
        "Slave delay-line lock status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STROBE_DLL_STS_REF_LOCK",
        "This signifies that the DLL has detected and locked to a half-phase RE"
        "F_CLOCK shift, it allows the slave delay-line to perform programmed cl"
        "ock delays.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STROBE_DLL_STS_SLV_SEL",
        "Slave delay line select status.",
        2, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STROBE_DLL_STS_REF_SEL",
        "Reference delay line select taps.",
        9, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_VEND_SPEC.
static const field_t hw_usdhc_vend_spec[] =
{
    {
        "EXT_DMA_EN",
        "Enable the request to external DMA.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSELECT",
        "Change the value of output signal VSELECT, to control the voltage on p"
        "ads for external card.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONFLICT_CHK_EN",
        "It is not implemented in uSDHC IP.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC12_WR_CHKBUSY_EN",
        "Check busy enable after auto CMD12 for write data packet",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAT3_CD_POL",
        "Only for debug.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CD_POL",
        "Only for debug.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WP_POL",
        "Only for debug.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKONJ_IN_ABORT",
        "Only for debug.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRC_SDCLK_ON",
        "Force CLK output active",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPG_CLK_SOFT_EN",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HCLK_SOFT_EN",
        "Hardware auto-enables the AHB clock when the internal DMA is enabled e"
        "ven if HCLK_SOFT_EN is 0.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPG_PERCLK_SOFT_EN",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CARD_CLK_SOFT_EN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_CHK_DIS",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INT_ST_VAL",
        "Internal state value, reflecting the corresponding state value selecte"
        "d by Debug Select field.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMD_BYTE_EN",
        "Byte access",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_MMC_BOOT.
static const field_t hw_usdhc_mmc_boot[] =
{
    {
        "DTOCV_ACK",
        "Boot ACK time out counter value.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOOT_ACK",
        "Boot ACK mode select",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOOT_MODE",
        "Boot mode select",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOOT_EN",
        "Boot mode enable",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTO_SABG_EN",
        "During boot, enable auto stop at block gap function.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_TIME_OUT",
        "When this bit is set, there is no timeout check no matter whether BOOT"
        "_EN is set or not.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOOT_BLK_CNT",
        "The value defines the Stop At Block Gap value of automatic mode.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_VEND_SPEC2.
static const field_t hw_usdhc_vend_spec2[] =
{
    {
        "SDR104_TIMING_DIS",
        "Timeout counter test.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDR104_OE_DIS",
        "CMD_OE / DATA_OE logic generation test.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDR104_NSD_DIS",
        "Interrupt window after abort command is sent.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CARD_INT_D3_TEST",
        "This bit only uses for debugging.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_8BIT_EN",
        "Enable the auto tuning circuit to check the DATA[7:0].",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_1BIT_EN",
        "Enable the auto tuning circuit to check the DATA0 only.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_CMD_EN",
        "Enable the auto tuning circuit to check the CMD line.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CARD_INT_AUTO_CLR_DIS",
        "Disable the feature to clear the Card interrupt status bit when Card I"
        "nterrupt status enable bit is cleared.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HS400_WR_CLK_STOP_EN",
        "Only stop clock at write block gap.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HS400_RD_CLK_STOP_EN",
        "Only stop clock at read block gap.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_TUNING_CTRL.
static const field_t hw_usdhc_tuning_ctrl[] =
{
    {
        "TUNING_START_TAP",
        "The start dealy cell point when send first CMD19 in tuning procedure.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_COUNTER",
        "The MAX repeat CMD19 times in tuning procedure.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_STEP",
        "The increasing delay cell steps in tuning procedure.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_WINDOW",
        "Select data window value for auto tuning",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STD_TUNING_EN",
        "Standard tuning circuit and procedure enable: This bit is used to enab"
        "le standard tuning circuit and procedure.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a USDHC module.
static const reg_t hw_usdhc[] =
{
    {
        "DS_ADDR",
        "This register contains the physical system memory address used for DMA"
        " transfers.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usdhc_ds_addr
    },
    {
        "BLK_ATT",
        "This register is used to configure the number of data blocks and the n"
        "umber of bytes in each block.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_usdhc_blk_att
    },
    {
        "CMD_ARG",
        "This register contains the SD / MMC Command Argument.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usdhc_cmd_arg
    },
    {
        "CMD_XFR_TYP",
        "This register is used to control the operation of data transfers.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_usdhc_cmd_xfr_typ
    },
    {
        "CMD_RSP0",
        "This register is used to store part 0 of the response bits from the ca"
        "rd.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usdhc_cmd_rsp0
    },
    {
        "CMD_RSP1",
        "This register is used to store part 1 of the response bits from the ca"
        "rd.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usdhc_cmd_rsp1
    },
    {
        "CMD_RSP2",
        "This register is used to store part 2 of the response bits from the ca"
        "rd.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usdhc_cmd_rsp2
    },
    {
        "CMD_RSP3",
        "This register is used to store part 3 of the response bits from the ca"
        "rd.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usdhc_cmd_rsp3
    },
    {
        "DATA_BUFF_ACC_PORT",
        "This is a 32-bit data port register used to access the internal buffer"
        ".",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usdhc_data_buff_acc_port
    },
    {
        "PRES_STATE",
        "The Host Driver can get status of the uSDHC from this 32-bit read only"
        " register.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        19, // Number of bitfields
        hw_usdhc_pres_state
    },
    {
        "PROT_CTRL",
        "There are three cases to restart the transfer after stop at the block "
        "gap.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_usdhc_prot_ctrl
    },
    {
        "SYS_CTRL",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_usdhc_sys_ctrl
    },
    {
        "INT_STATUS",
        "An interrupt is generated when the Normal Interrupt Signal Enable is e"
        "nabled and at least one of the status bits is set to 1.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_usdhc_int_status
    },
    {
        "INT_STATUS_EN",
        "Setting the bits in this register to 1 enables the corresponding Inter"
        "rupt Status to be set by the specified event.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_usdhc_int_status_en
    },
    {
        "INT_SIGNAL_EN",
        "This register is used to select which interrupt status is indicated to"
        " the Host System as the interrupt.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_usdhc_int_signal_en
    },
    {
        "AUTOCMD12_ERR_STATUS",
        "When the Auto CMD12 Error Status bit in the Status register is set, th"
        "e Host Driver shall check this register to identify what kind of error"
        " the Auto CMD12 / CMD 23 indicated.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_usdhc_autocmd12_err_status
    },
    {
        "HOST_CTRL_CAP",
        "This register provides the Host Driver with information specific to th"
        "e uSDHC implementation.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_usdhc_host_ctrl_cap
    },
    {
        "WTMK_LVL",
        "Both write and read watermark levels (FIFO threshold) are configurable"
        ".",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_usdhc_wtmk_lvl
    },
    {
        "MIX_CTRL",
        "This register is used to DMA and data transfer.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_usdhc_mix_ctrl
    },
    {
        "FORCE_EVENT",
        "The Force Event Register is not a physically implemented register.",
        4, // Width in bytes
        0x00000050, // Base address offset
        false, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_usdhc_force_event
    },
    {
        "ADMA_ERR_STATUS",
        "When an ADMA Error Interrupt has occurred, the ADMA Error States field"
        " in this register holds the ADMA state and the ADMA System Address reg"
        "ister holds the address around the error descriptor.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_usdhc_adma_err_status
    },
    {
        "ADMA_SYS_ADDR",
        "This register contains the physical system memory address used for ADM"
        "A transfers.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usdhc_adma_sys_addr
    },
    {
        "DLL_CTRL",
        "This register contains control bits for DLL.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_usdhc_dll_ctrl
    },
    {
        "DLL_STATUS",
        "This register contains the DLL status information.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_usdhc_dll_status
    },
    {
        "CLK_TUNE_CTRL_STATUS",
        "This register contains the Clock Tuning Control status information.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_usdhc_clk_tune_ctrl_status
    },
    {
        "STROBE_DLL_CTRL",
        "This register contains the strobe DLL Control information.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_usdhc_strobe_dll_ctrl
    },
    {
        "STROBE_DLL_STATUS",
        "This register contains the strobe DLL status information.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_usdhc_strobe_dll_status
    },
    {
        "VEND_SPEC",
        "This register contains the vendor specific control / status register.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_usdhc_vend_spec
    },
    {
        "MMC_BOOT",
        "This register contains the MMC Fast Boot control register.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_usdhc_mmc_boot
    },
    {
        "VEND_SPEC2",
        "This register contains the vendor specific control 2 register.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_usdhc_vend_spec2
    },
    {
        "TUNING_CTRL",
        "The register contains configuration of tuning circuit.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_usdhc_tuning_ctrl
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark WDOG
#endif

// Bitfields in register WDOG_WCR.
static const field_t hw_wdog_wcr[] =
{
    {
        "WDZST",
        "Watchdog Low Power.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDBG",
        "Watchdog DEBUG Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDE",
        "Watchdog Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDT",
        "WDOG_B Time-out assertion.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRS",
        "Software Reset Signal.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDA",
        "WDOG_B assertion.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "adopt a new way to generate a more robust software reset.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDW",
        "Watchdog Disable for Wait.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WT",
        "Watchdog Time-out Field.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WDOG_WSR.
static const field_t hw_wdog_wsr[] =
{
    {
        "WSR",
        "Watchdog Service Register.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WDOG_WRSR.
static const field_t hw_wdog_wrsr[] =
{
    {
        "SFTW",
        "Software Reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TOUT",
        "Timeout.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POR",
        "Power On Reset.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WDOG_WICR.
static const field_t hw_wdog_wicr[] =
{
    {
        "WICT",
        "Watchdog Interrupt Count Time-out (WICT) field determines, how long be"
        "fore the counter time-out must the interrupt occur.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WTIS",
        "Watchdog TImer Interrupt Status bit will reflect the timer interrupt s"
        "tatus, whether interrupt has occurred or not.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIE",
        "Watchdog Timer Interrupt enable bit.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WDOG_WMCR.
static const field_t hw_wdog_wmcr[] =
{
    {
        "PDE",
        "Power Down Enable bit.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a WDOG module.
static const reg_t hw_wdog[] =
{
    {
        "WCR",
        "The Watchdog Control Register (WDOG_WCR) controls the WDOG operation.",
        2, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_wdog_wcr
    },
    {
        "WSR",
        "When enabled, the WDOG requires that a service sequence be written to "
        "the Watchdog Service Register (WSR) to prevent the timeout condition.",
        2, // Width in bytes
        0x00000002, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_wdog_wsr
    },
    {
        "WRSR",
        "The WRSR is a read-only register that records the source of the output"
        " reset assertion.",
        2, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_wdog_wrsr
    },
    {
        "WICR",
        "The WDOG_WICR controls the WDOG interrupt generation.",
        2, // Width in bytes
        0x00000006, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_wdog_wicr
    },
    {
        "WMCR",
        "WDOG_WMCR Controls the Power Down counter operation.",
        2, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_wdog_wmcr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark XTALOSC
#endif

// Bitfields in register XTALOSC_CTRL_24M.
static const field_t hw_xtalosc_ctrl_24m[] =
{
    {
        "XTAL_24M_PWD",
        "This field powers down the 24M crystal oscillator if set true.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTAL_24M_EN",
        "This field controls the clock gate at the output of the oscillator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_XTALOK",
        "Status bit which signals that the output of the 24MHz crystal oscillat"
        "or is stable.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OSC_XTALOK_EN",
        "Enable the xtalok detection circuitry.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE_CTRL",
        "This bit allows disabling the clock gate (always un-gated) for the xta"
        "l 24MHz clock that clocks the digital logic in the analog block.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE_DELAY",
        "This field specifies the delay between powering up the xtal 24MHz cloc"
        "k and release the clock to the digital logic inside the analog block.",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCOSC_CG_OVERRIDE",
        "For debug purposes only.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTALOSC_PWRUP_DELAY",
        "Specifies the time delay between when the 24MHz xtal is powered up unt"
        "il it is stable and ready to use.",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTALOSC_PWRUP_STAT",
        "Status of the 24MHz xtal oscillator.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OSC_SEL",
        "Select the source for the 24MHz clock.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_EN",
        "RC osc.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTAL_MISC",
        "Misc control bits for 24m xtal osc",
        15, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_CTRL_24M_SET.
static const field_t hw_xtalosc_ctrl_24m_set[] =
{
    {
        "XTAL_24M_PWD",
        "This field powers down the 24M crystal oscillator if set true.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTAL_24M_EN",
        "This field controls the clock gate at the output of the oscillator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_XTALOK",
        "Status bit which signals that the output of the 24MHz crystal oscillat"
        "or is stable.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OSC_XTALOK_EN",
        "Enable the xtalok detection circuitry.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE_CTRL",
        "This bit allows disabling the clock gate (always un-gated) for the xta"
        "l 24MHz clock that clocks the digital logic in the analog block.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE_DELAY",
        "This field specifies the delay between powering up the xtal 24MHz cloc"
        "k and release the clock to the digital logic inside the analog block.",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCOSC_CG_OVERRIDE",
        "For debug purposes only.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTALOSC_PWRUP_DELAY",
        "Specifies the time delay between when the 24MHz xtal is powered up unt"
        "il it is stable and ready to use.",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTALOSC_PWRUP_STAT",
        "Status of the 24MHz xtal oscillator.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OSC_SEL",
        "Select the source for the 24MHz clock.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_EN",
        "RC osc.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTAL_MISC",
        "Misc control bits for 24m xtal osc",
        15, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_CTRL_24M_CLR.
static const field_t hw_xtalosc_ctrl_24m_clr[] =
{
    {
        "XTAL_24M_PWD",
        "This field powers down the 24M crystal oscillator if set true.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTAL_24M_EN",
        "This field controls the clock gate at the output of the oscillator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_XTALOK",
        "Status bit which signals that the output of the 24MHz crystal oscillat"
        "or is stable.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OSC_XTALOK_EN",
        "Enable the xtalok detection circuitry.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE_CTRL",
        "This bit allows disabling the clock gate (always un-gated) for the xta"
        "l 24MHz clock that clocks the digital logic in the analog block.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE_DELAY",
        "This field specifies the delay between powering up the xtal 24MHz cloc"
        "k and release the clock to the digital logic inside the analog block.",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCOSC_CG_OVERRIDE",
        "For debug purposes only.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTALOSC_PWRUP_DELAY",
        "Specifies the time delay between when the 24MHz xtal is powered up unt"
        "il it is stable and ready to use.",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTALOSC_PWRUP_STAT",
        "Status of the 24MHz xtal oscillator.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OSC_SEL",
        "Select the source for the 24MHz clock.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_EN",
        "RC osc.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTAL_MISC",
        "Misc control bits for 24m xtal osc",
        15, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_CTRL_24M_TOG.
static const field_t hw_xtalosc_ctrl_24m_tog[] =
{
    {
        "XTAL_24M_PWD",
        "This field powers down the 24M crystal oscillator if set true.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTAL_24M_EN",
        "This field controls the clock gate at the output of the oscillator.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_XTALOK",
        "Status bit which signals that the output of the 24MHz crystal oscillat"
        "or is stable.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OSC_XTALOK_EN",
        "Enable the xtalok detection circuitry.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE_CTRL",
        "This bit allows disabling the clock gate (always un-gated) for the xta"
        "l 24MHz clock that clocks the digital logic in the analog block.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE_DELAY",
        "This field specifies the delay between powering up the xtal 24MHz cloc"
        "k and release the clock to the digital logic inside the analog block.",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCOSC_CG_OVERRIDE",
        "For debug purposes only.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTALOSC_PWRUP_DELAY",
        "Specifies the time delay between when the 24MHz xtal is powered up unt"
        "il it is stable and ready to use.",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTALOSC_PWRUP_STAT",
        "Status of the 24MHz xtal oscillator.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OSC_SEL",
        "Select the source for the 24MHz clock.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_EN",
        "RC osc.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XTAL_MISC",
        "Misc control bits for 24m xtal osc",
        15, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG0.
static const field_t hw_xtalosc_rcosc_config0[] =
{
    {
        "TUNE_START",
        "Start/stop bit for the RC tuning calculation logic.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_ENABLE",
        "Enables the tuning logic to calculate new RC tuning values.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_BYPASS",
        "Bypasses any calculated RC tuning value and uses the programmed regist"
        "er value.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_INVERT",
        "Invert the stepping of the calculated RC tuning value.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_PROG",
        "RC osc.",
        4, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYST_PLUS",
        "Positive hysteresis value.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYST_MINUS",
        "Negative hysteresis value.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_PROG_CUR",
        "The current tuning value in use.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG0_SET.
static const field_t hw_xtalosc_rcosc_config0_set[] =
{
    {
        "TUNE_START",
        "Start/stop bit for the RC tuning calculation logic.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_ENABLE",
        "Enables the tuning logic to calculate new RC tuning values.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_BYPASS",
        "Bypasses any calculated RC tuning value and uses the programmed regist"
        "er value.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_INVERT",
        "Invert the stepping of the calculated RC tuning value.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_PROG",
        "RC osc.",
        4, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYST_PLUS",
        "Positive hysteresis value.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYST_MINUS",
        "Negative hysteresis value.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_PROG_CUR",
        "The current tuning value in use.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG0_CLR.
static const field_t hw_xtalosc_rcosc_config0_clr[] =
{
    {
        "TUNE_START",
        "Start/stop bit for the RC tuning calculation logic.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_ENABLE",
        "Enables the tuning logic to calculate new RC tuning values.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_BYPASS",
        "Bypasses any calculated RC tuning value and uses the programmed regist"
        "er value.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_INVERT",
        "Invert the stepping of the calculated RC tuning value.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_PROG",
        "RC osc.",
        4, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYST_PLUS",
        "Positive hysteresis value.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYST_MINUS",
        "Negative hysteresis value.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_PROG_CUR",
        "The current tuning value in use.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG0_TOG.
static const field_t hw_xtalosc_rcosc_config0_tog[] =
{
    {
        "TUNE_START",
        "Start/stop bit for the RC tuning calculation logic.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_ENABLE",
        "Enables the tuning logic to calculate new RC tuning values.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_BYPASS",
        "Bypasses any calculated RC tuning value and uses the programmed regist"
        "er value.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNE_INVERT",
        "Invert the stepping of the calculated RC tuning value.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_PROG",
        "RC osc.",
        4, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYST_PLUS",
        "Positive hysteresis value.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYST_MINUS",
        "Negative hysteresis value.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_OSC_PROG_CUR",
        "The current tuning value in use.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG1.
static const field_t hw_xtalosc_rcosc_config1[] =
{
    {
        "COUNT_RC_TRG",
        "The target count used to tune the RC OSC frequency.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COUNT_RC_CUR",
        "The current tuning value in use.",
        20, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG1_SET.
static const field_t hw_xtalosc_rcosc_config1_set[] =
{
    {
        "COUNT_RC_TRG",
        "The target count used to tune the RC OSC frequency.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COUNT_RC_CUR",
        "The current tuning value in use.",
        20, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG1_CLR.
static const field_t hw_xtalosc_rcosc_config1_clr[] =
{
    {
        "COUNT_RC_TRG",
        "The target count used to tune the RC OSC frequency.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COUNT_RC_CUR",
        "The current tuning value in use.",
        20, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG1_TOG.
static const field_t hw_xtalosc_rcosc_config1_tog[] =
{
    {
        "COUNT_RC_TRG",
        "The target count used to tune the RC OSC frequency.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COUNT_RC_CUR",
        "The current tuning value in use.",
        20, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG2.
static const field_t hw_xtalosc_rcosc_config2[] =
{
    {
        "COUNT_1M_TRG",
        "The target count used to tune the RC OSC frequency.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_1M",
        "Enable the 1MHz clock output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX_1M",
        "Mux the corrected or uncorrected 1MHz clock to the output.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLK_1M_ERR_FL",
        "Flag indicates that the count_1m count wasn't reached within 1 32KHz p"
        "eriod.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG2_SET.
static const field_t hw_xtalosc_rcosc_config2_set[] =
{
    {
        "COUNT_1M_TRG",
        "The target count used to tune the RC OSC frequency.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_1M",
        "Enable the 1MHz clock output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX_1M",
        "Mux the corrected or uncorrected 1MHz clock to the output.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLK_1M_ERR_FL",
        "Flag indicates that the count_1m count wasn't reached within 1 32KHz p"
        "eriod.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG2_CLR.
static const field_t hw_xtalosc_rcosc_config2_clr[] =
{
    {
        "COUNT_1M_TRG",
        "The target count used to tune the RC OSC frequency.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_1M",
        "Enable the 1MHz clock output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX_1M",
        "Mux the corrected or uncorrected 1MHz clock to the output.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLK_1M_ERR_FL",
        "Flag indicates that the count_1m count wasn't reached within 1 32KHz p"
        "eriod.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_RCOSC_CONFIG2_TOG.
static const field_t hw_xtalosc_rcosc_config2_tog[] =
{
    {
        "COUNT_1M_TRG",
        "The target count used to tune the RC OSC frequency.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_1M",
        "Enable the 1MHz clock output.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX_1M",
        "Mux the corrected or uncorrected 1MHz clock to the output.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLK_1M_ERR_FL",
        "Flag indicates that the count_1m count wasn't reached within 1 32KHz p"
        "eriod.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_OSC_32K.
static const field_t hw_xtalosc_osc_32k[] =
{
    {
        "RTC_XTAL_SOURCE",
        "This field indicates which chip source is being used for the rtc clock"
        ".",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_OSC_32K_SET.
static const field_t hw_xtalosc_osc_32k_set[] =
{
    {
        "RTC_XTAL_SOURCE",
        "This field indicates which chip source is being used for the rtc clock"
        ".",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_OSC_32K_CLR.
static const field_t hw_xtalosc_osc_32k_clr[] =
{
    {
        "RTC_XTAL_SOURCE",
        "This field indicates which chip source is being used for the rtc clock"
        ".",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_OSC_32K_TOG.
static const field_t hw_xtalosc_osc_32k_tog[] =
{
    {
        "RTC_XTAL_SOURCE",
        "This field indicates which chip source is being used for the rtc clock"
        ".",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a XTALOSC module.
static const reg_t hw_xtalosc[] =
{
    {
        "CTRL_24M",
        "The enable bit is useful kill the output clocks while keeping the osci"
        "llator working.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_xtalosc_ctrl_24m
    },
    {
        "CTRL_24M_SET",
        "The enable bit is useful kill the output clocks while keeping the osci"
        "llator working.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_xtalosc_ctrl_24m_set
    },
    {
        "CTRL_24M_CLR",
        "The enable bit is useful kill the output clocks while keeping the osci"
        "llator working.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_xtalosc_ctrl_24m_clr
    },
    {
        "CTRL_24M_TOG",
        "The enable bit is useful kill the output clocks while keeping the osci"
        "llator working.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_xtalosc_ctrl_24m_tog
    },
    {
        "RCOSC_CONFIG0",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_xtalosc_rcosc_config0
    },
    {
        "RCOSC_CONFIG0_SET",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_xtalosc_rcosc_config0_set
    },
    {
        "RCOSC_CONFIG0_CLR",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_xtalosc_rcosc_config0_clr
    },
    {
        "RCOSC_CONFIG0_TOG",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_xtalosc_rcosc_config0_tog
    },
    {
        "RCOSC_CONFIG1",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_xtalosc_rcosc_config1
    },
    {
        "RCOSC_CONFIG1_SET",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_xtalosc_rcosc_config1_set
    },
    {
        "RCOSC_CONFIG1_CLR",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_xtalosc_rcosc_config1_clr
    },
    {
        "RCOSC_CONFIG1_TOG",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_xtalosc_rcosc_config1_tog
    },
    {
        "RCOSC_CONFIG2",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_xtalosc_rcosc_config2
    },
    {
        "RCOSC_CONFIG2_SET",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_xtalosc_rcosc_config2_set
    },
    {
        "RCOSC_CONFIG2_CLR",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_xtalosc_rcosc_config2_clr
    },
    {
        "RCOSC_CONFIG2_TOG",
        "This register is used to configure the 24MHz RC oscillator.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_xtalosc_rcosc_config2_tog
    },
    {
        "OSC_32K",
        "The 32K low precision oscillator is only enabled when the frequency on"
        " the RTC xtal oscillator is determined to be out of range.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_xtalosc_osc_32k
    },
    {
        "OSC_32K_SET",
        "The 32K low precision oscillator is only enabled when the frequency on"
        " the RTC xtal oscillator is determined to be out of range.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_xtalosc_osc_32k_set
    },
    {
        "OSC_32K_CLR",
        "The 32K low precision oscillator is only enabled when the frequency on"
        " the RTC xtal oscillator is determined to be out of range.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_xtalosc_osc_32k_clr
    },
    {
        "OSC_32K_TOG",
        "The 32K low precision oscillator is only enabled when the frequency on"
        " the RTC xtal oscillator is determined to be out of range.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_xtalosc_osc_32k_tog
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark mx6
#endif

const module_t mx7d[] =
{
    // Module name, instance number, base address, register count, register definitions
    { "ADC1",           1, 0x30610000, 20,   hw_adc },
    { "ADC2",           2, 0x30620000, 20,   hw_adc },
    { "APBH",           1, 0x33000000, 132,  hw_apbh },
    { "BCH",            1, 0x33004000, 92,   hw_bch },
    { "CCM",            1, 0x30380000, 3320, hw_ccm },
    { "CCM_ANALOG",     1, 0x30360000, 45,   hw_ccm_analog },
    { "CSI1",           1, 0x30710000, 14,   hw_csi },
    { "CSI2",           2, 0x30718000, 14,   hw_csi },
    { "DDRC",           1, 0x307a0000, 65,   hw_ddrc },
    { "DDRC_MP",        1, 0x307a0000, 49,   hw_ddrc_mp },
    { "DDR_PHY",        1, 0x30790000, 45,   hw_ddr_phy },
    { "ECSPI1",         1, 0x30820000, 10,   hw_ecspi },
    { "ECSPI2",         2, 0x30830000, 10,   hw_ecspi },
    { "ECSPI3",         3, 0x30840000, 10,   hw_ecspi },
    { "ECSPI4",         4, 0x30630000, 10,   hw_ecspi },
    { "EIM",            1, 0x30bc0000, 41,   hw_eim },
    { "ENET1",          1, 0x30be0000, 123,  hw_enet },
    { "ENET2",          2, 0x30bf0000, 123,  hw_enet },
    { "EPDC",           1, 0x306f0000, 206,  hw_epdc },
    { "FLEXCAN1",       1, 0x30a00000, 19,   hw_flexcan },
    { "FLEXCAN2",       2, 0x30a10000, 19,   hw_flexcan },
    { "FTM1",           1, 0x30640000, 36,   hw_ftm },
    { "FTM2",           2, 0x30650000, 36,   hw_ftm },
    { "GPC",            1, 0x303a0000, 67,   hw_gpc },
    { "GPC_PGC",        1, 0x303a0000, 31,   hw_gpc_pgc },
    { "GPIO1",          1, 0x30200000, 8,    hw_gpio },
    { "GPIO2",          2, 0x30210000, 8,    hw_gpio },
    { "GPIO3",          3, 0x30220000, 8,    hw_gpio },
    { "GPIO4",          4, 0x30230000, 8,    hw_gpio },
    { "GPIO5",          5, 0x30240000, 8,    hw_gpio },
    { "GPIO6",          6, 0x30250000, 8,    hw_gpio },
    { "GPIO7",          7, 0x30260000, 8,    hw_gpio },
    { "GPMI",           1, 0x33002000, 27,   hw_gpmi },
    { "GPT1",           1, 0x302d0000, 10,   hw_gpt },
    { "GPT2",           2, 0x302e0000, 10,   hw_gpt },
    { "GPT3",           3, 0x302f0000, 10,   hw_gpt },
    { "GPT4",           4, 0x30300000, 10,   hw_gpt },
    { "I2C1",           1, 0x30a20000, 5,    hw_i2c },
    { "I2C2",           2, 0x30a30000, 5,    hw_i2c },
    { "I2C3",           3, 0x30a40000, 5,    hw_i2c },
    { "I2C4",           4, 0x30a50000, 5,    hw_i2c },
    { "I2S1",           1, 0x308a0000, 18,   hw_i2s },
    { "I2S2",           2, 0x308b0000, 18,   hw_i2s },
    { "I2S3",           3, 0x308c0000, 18,   hw_i2s },
    { "IOMUXC",         1, 0x30330000, 459,  hw_iomuxc },
    { "IOMUXC_GPR",     1, 0x30340000, 23,   hw_iomuxc_gpr },
    { "IOMUXC_LPSR",    1, 0x302c0000, 20,   hw_iomuxc_lpsr },
    { "IOMUXC_LPSR_GPR", 1, 0x30270000, 23,  hw_iomuxc_lpsr_gpr },
    { "KPP",            1, 0x30320000, 4,    hw_kpp },
    { "LCDIF1",         1, 0x30730000, 54,   hw_lcdif },
    { "LCDIF2",         2, 0x30734000, 54,   hw_lcdif },
    { "LMEM",           1, 0xe0002000, 8,    hw_lmem },
    { "MCM",            1, 0xe0000000, 5,    hw_mcm },
    { "MIPI_CSI2",      1, 0x30750000, 20,   hw_mipi_csi2 },
    { "MIPI_DSI",       1, 0x30760000, 34,   hw_mipi_dsi },
    { "MU",             1, 0x30aa0000, 10,   hw_mu },
    { "OCOTP",          1, 0x30350000, 78,   hw_ocotp },
    { "PCIE_PHY_CMN",   1, 0x306d0000, 17,   hw_pcie_phy_cmn },
    { "PCIE_PHY_TRSV",  1, 0x306d0000, 17,   hw_pcie_phy_trsv },
    { "PMU",            1, 0x30360000, 24,   hw_pmu },
    { "PWM1",           1, 0x30660000, 6,    hw_pwm },
    { "PWM2",           2, 0x30670000, 6,    hw_pwm },
    { "PWM3",           3, 0x30680000, 6,    hw_pwm },
    { "PWM4",           4, 0x30690000, 6,    hw_pwm },
    { "PXP",            1, 0x30700000, 236,  hw_pxp },
    { "QUADSPI1",       1, 0x30bb0000, 124,  hw_quadspi },
    { "QUADSPI2",       2, 0x30bb4000, 124,  hw_quadspi },
    { "RDC",            1, 0x303d0000, 357,  hw_rdc },
    { "RDC_SEMAPHORE1", 1, 0x303b0000, 66,   hw_rdc_semaphore },
    { "RDC_SEMAPHORE2", 2, 0x303c0000, 66,   hw_rdc_semaphore },
    { "ROMC",           1, 0x30310000, 28,   hw_romc },
    { "SDMAARM",        1, 0x30bd0000, 106,  hw_sdmaarm },
    { "SDMABP",         1, 0x30bd0000, 7,    hw_sdmabp },
    { "SDMACORE",       1, 0x30bd0000, 21,   hw_sdmacore },
    { "SEMA4",          1, 0x30ac0000, 22,   hw_sema4 },
    { "SIM1",           1, 0x30b90000, 29,   hw_sim },
    { "SIM2",           2, 0x30ba0000, 29,   hw_sim },
    { "SJC",            1, 0x00000000, 7,    hw_sjc },
    { "SNVS",           1, 0x30370000, 16,   hw_snvs },
    { "SPBA",           1, 0x308f0000, 32,   hw_spba },
    { "SRC",            1, 0x30390000, 26,   hw_src },
    { "TEMPMON",        1, 0x30360000, 12,   hw_tempmon },
    { "UART1",          1, 0x30860000, 17,   hw_uart },
    { "UART2",          2, 0x30890000, 17,   hw_uart },
    { "UART3",          3, 0x30880000, 17,   hw_uart },
    { "UART4",          4, 0x30a60000, 17,   hw_uart },
    { "UART5",          5, 0x30a70000, 17,   hw_uart },
    { "UART6",          6, 0x30a80000, 17,   hw_uart },
    { "UART7",          7, 0x30a90000, 17,   hw_uart },
    { "USBNC",          1, 0x30b10000, 16,   hw_usbnc },
    { "USB_HSIC",       1, 0x30b30000, 46,   hw_usb },
    { "USB_OTG1",       2, 0x30b10000, 46,   hw_usb },
    { "USB_OTG2",       3, 0x30b20000, 46,   hw_usb },
    { "USDHC1",         1, 0x30b40000, 31,   hw_usdhc },
    { "USDHC2",         2, 0x30b50000, 31,   hw_usdhc },
    { "USDHC3",         3, 0x30b60000, 31,   hw_usdhc },
    { "WDOG1",          1, 0x30280000, 5,    hw_wdog },
    { "WDOG2",          2, 0x30290000, 5,    hw_wdog },
    { "WDOG3",          3, 0x302a0000, 5,    hw_wdog },
    { "WDOG4",          4, 0x302b0000, 5,    hw_wdog },
    { "XTALOSC",        1, 0x30360000, 20,   hw_xtalosc },
    { 0 } // Terminator
};

////////////////////////////////////////////////////////////////////////////////
